
#ifndef DHCONFIGSDK_H
#define DHCONFIGSDK_H

#ifndef AVGLOBAL_H
#define AVGLOBAL_H

typedef int					AV_int32;	
typedef unsigned int		AV_uint32;	

#ifndef __OBJC__
typedef int					AV_BOOL;
#else
typedef BOOL				AV_BOOL;
#endif	

typedef void*				AV_HANDLE;		
typedef unsigned char		AV_BYTE;	
typedef float				AV_float;

#ifdef WIN32
typedef __int64				AV_int64;	
typedef unsigned __int64	AV_uint64;	
#else
typedef long long			AV_int64;
typedef unsigned long long	AV_uint64;
#endif	
	
#endif


#if (defined(_MSC_VER))
    #include <windows.h>

    #ifdef CONFIGSDK_EXPORTS
		#if((defined(_WIN64) || defined(WIN64)))
			#define CLIENT_CFG_API
		#else
			#define CLIENT_CFG_API      __declspec(dllexport) 
		#endif
    #else
        #define CLIENT_CFG_API      __declspec(dllimport)
    #endif

    #define CALLBACK                __stdcall
    #define CALL_METHOD             __stdcall  //__cdecl

    #ifndef LLONG
        #if (defined(WIN32) || defined(_WIN32) || defined(_WIN64))
            #ifdef _WIN64
                #define LLONG       __int64
            #else //WIN32 
                #define LLONG       LONG
            #endif
        #else	//Linux
            #define LLONG           long 
        #endif
    #endif

    #ifndef LDWORD
        #if (defined(WIN32) || defined(_WIN32) || defined(_WIN64))
            #ifdef _WIN64
                #define LDWORD      __int64
            #else //WIN32 
                #define LDWORD      DWORD
            #endif
        #else	//Linux
            #define LDWORD          long 
        #endif
    #endif

#else	//Linux
    #define CLIENT_CFG_API	extern "C"
    #define CALL_METHOD
    #define CALLBACK
#endif


#ifdef __cplusplus
extern "C" {
#endif

/************************************************************************
 ** 
 ***********************************************************************/

#define MAX_CHANNEL_COUNT                       16
#define MAX_VIDEO_CHANNEL_NUM                   256             // ͨ256
#define MAX_CHANNELNAME_LEN                     64              // ͨƳ
#define MAX_VIDEOSTREAM_NUM                     4               // 
#define MAX_VIDEO_COVER_NUM                     16              // ڵ
#define WEEK_DAY_NUM                            7               // һܵ
#define MAX_REC_TSECT                           6               // ¼ʱθ
#define MAX_REC_TSECT_EX                        10              // ¼ʱչ
#define MAX_WATERMARK_LEN                       4096            // ˮӡ󳤶
#define MAX_MOTION_ROW                          32              // ̬
#define MAX_MOTION_COL                          32              // ̬
#define MAX_IMAGESIZE_NUM                       256             // ֵ֧ķֱʸ
#define MAX_FPS_NUM                             1024            // ֵ֧֡ʸ
#define MAX_QUALITY_NUM                         32              // ֵ֧Ļʸ
#define MAX_ADDRESS_LEN                         256             // ĵַ
#define MAX_USERNAME_LEN                        64              // û
#define MAX_PASSWORD_LEN                        64              // 볤
#define MAX_DIRECTORY_LEN                       256             // ļַ
#define MAX_NAS_TIME_SECTION                    2               // 洢ʱθ
#define MAX_NAME_LEN                            128             // ַͨ
#define	MAX_SCENE_TYPE_LIST_SIZE                8               // бֵ֧ĳ
#define MAX_DECPRO_LIST_SIZE                    100             // Эб
#define MAX_SCENE_LIST_SIZE                     32              // Ƶ豸ֵ֧ĳб
#define MAX_OBJECT_LIST_SIZE                    16              // Ƶ豸ֵ֧ļб
#define MAX_RULE_LIST_SIZE                      128             // Ƶ豸ֵ֧Ĺб
#define	MAX_SUPPORTED_COMP_SIZE                 4               // ֵ֧ĳ
#define	MAX_SUPPORTED_COMP_DATA                 8               // ÿֵ֧ĳ
#define MAX_ANALYSE_MODULE_NUM                  16              // Ƶ豸ģ
#define MAX_ANALYSE_RULE_NUM                    32              // Ƶ豸
#define MAX_POLYGON_NUM                         20              // Ƶ豸򶥵
#define MAX_POLYLINE_NUM                        20              // Ƶ豸߶
#define MAX_TEMPLATEREGION_NUM                  32              // Ƶ豸ģϢԸ
#define POINT_PAIR_NUM                          2               // Ƶ豸ģ԰ĵ
#define MAX_VEHICLE_SIZE_LIST                   4               // Ƶ豸С
#define MAX_VEHICLE_TYPE_LIST                   4               // Ƶ豸͸
#define MAX_PLATE_TYPE_LIST                     32              // Ƶ豸͸
#define MAX_LANE_NUM                            8               // Ƶ豸ÿͨӦ
#define MAX_STAFF_NUM                           20              // Ƶ豸ÿͨӦı
#define MAX_CALIBRATEAREA_NUM                   20              // Ƶ豸궨
#define MAX_EXCLUDEREGION_NUM                   10              // ܷҪų 
#define MAX_CALIBRATEBOX_NUM                    10              // ܷУ׼
#define MAX_SPECIALDETECT_NUM                   10              // ܷ
#define MAX_HUMANFACE_LIST_SIZE                 8               // Ƶ豸ֵ֧б
#define MAX_FEATURE_LIST_SIZE					32				// Ƶ豸ֵ֧б
#define	MAX_SEVER_NUM                           16              // 
#define MAX_SERVER_NAME_LEN                     16              // ַС
#define MAX_POWER_NUM                           8               // Դ
#define MAX_FUN_NUM                             8               // ȸ
#define MAX_CPU_NUM                             8               // cpu
#define MAX_HARDDISK_NUM                        32              // Ӳ
#define MAX_TANK_NUM                            16              // 洢
#define MAX_CHAN_NUM                            256             // ͨ
#define MAX_RAID_NUM                            16              // 
#define MAX_DEV_NUM                             16              // 豸
#define MAX_STORAGEPOOL_NUM                     16              // 洢
#define MAX_STRORAGEPOS_NUM                     16              // 洢λ
#define	MAX_VIDEODEV_NUM                        256             // ǰ豸
#define MAX_REMOTEDEVICENAME_LEN                32              // Զ豸ֳ
#define	MAX_REMOTE_DEV_NUM                      256             // Զ豸
#define MAX_PLATEHINT_NUM                       8               // ַʾ
#define MAX_LIGHT_NUM                           8               // ͨƸ
#define MAX_LIGHTGROUP_NUM                      8               // ͨ
#define MAX_LIGHT_TYPE                          8               // ͨ
#define MAX_LIGHT_DIRECTION                     8               // ָͨʾ
#define MAX_TRIGGERMODE_NUM                     32              // ͨ·ڹ򴥷ģʽ 
#define MAX_VIOLATIONCODE                       16              // ܽͨΥ´볤
#define MAX_DETECTOR                            6               // ܽͨ
#define MAX_COILCONFIG                          3               // ܽͨȦ
#define MAX_DEVICE_ADDRESS                      256             // TrafficSnapshotܽͨ豸ַ
#define MAX_DEPARTMENT                          256             // Departmentܽͨ豸λ
#define MAX_ROADWAYNO                           128             // ·	32ֺĸ
#define MAX_VIOLATIONCODE_DESCRIPT              64              // ܽͨΥ´볤
#define MAX_DRIVINGDIRECTION                    256             // ʻַ
#define MAX_ACTIVEUSER_NUM                      64              // ûϢ
#define MAX_POLYGON_NUM10                       10              // Ƶ豸򶥵
#define MAX_VIDEODIAGNOSIS_DETECT_TYPE          64              // Ƶ͸
#define MAX_ACTION_LIST_SIZE                    16              // Ƶ豸ֵ֧ĹĶб
#define MAX_STORAGEGROUPNAME_LEN                32              // 洢ƻ
#define MAX_CALIBRATEAREA_TYPE_NUM              4               // 궨
#define MAX_PROTOCOL_NAME_LEN                   32              // ЭƳ
#define	MAX_COMM_NUM                            16              // 󴮿
#define MAX_DNS_SERVER_NUM                      2               // DNS
#define MAX_NETWORK_INTERFACE_NUM               32              // 
#define	MAX_NAS_NUM                             16              // 洢
#define MAX_STORAGEPOINT_NUM                    32              // ¼洢ӳ
#define MAX_TRACKSCENE_NUM                      10              // ܸٳ
#define MAX_STATUS_NUM                          16              // ͨ豸״̬
#define MAX_SERVICE_NUM                         128             // ֵ֧
#define MAX_DBKEY_NUM                           64              // ݿؼֵ
#define MAX_SUMMARY_LEN                         1024            // ӵJPEGͼƬժҪϢ󳤶
#define MAX_MOTION_WINDOW                       10              // ֵ֧Ƶֵ
#define MAX_OSD_SUMMARY_LEN                     256             // osd󳤶    
#define MAX_OSD_TITLE_LEN                       128             // osdӱ󳤶
#define MAX_CUSTOMCASE_NUM                      16              // Զ尸
#define MAX_GLOBAL_MSTERSLAVE_NUM               64              //ʽȫ
#define MAX_OBJECT_ATTRIBUTES_SIZE              16              // Ƶ豸ֵ֧ļб
#define MAX_MODEL_LEN                           32              // 豸ͺų
#define MAX_BURNING_DEV_NUM                     32              // ¼豸
#define MAX_NET_TYPE_NUM                        8               // ͸
#define MAX_NET_TYPE_LEN                        64              // ַ 
#define MAX_DEVICE_NAME_LEN                     64              // 
#define MAX_DEV_ID_LEN_EX                       128             // 豸ID󳤶
#define MONTH_OF_YEAR                           12              // һ·
#define MAX_SERVER_NUM                          10              // 
#define MAX_REGISTER_NUM                        10              // ע 
#define MAX_VIDEO_IN_ZOOM                       32              // ͨø
#define	MAX_ANALYSE_SCENE_NUM                   32              // Ƶȫó
#define	MAX_CONFIG_NUM                          32              // ÿ̨
#define	MAX_PTZ_PRESET_NAME_LEN                 64              // ̨ԤõƳ
#define CFG_COMMON_STRING_8                     8               // ַͨ8
#define CFG_COMMON_STRING_16                    16              // ַͨ16
#define CFG_COMMON_STRING_32                    32              // ַͨ32
#define CFG_COMMON_STRING_64                    64              // ַͨ64
#define CFG_COMMON_STRING_128                   128             // ַͨ128
#define CFG_COMMON_STRING_256                   256             // ַͨ256
#define CFG_COMMON_STRING_512                   512             // ַͨ512
#define AV_CFG_Channel_Name_Len                 64              // ͨƳ
#define CFG_MAX_CHANNEL_NAME_LEN                256             // ͨ󳤶    
#define AV_CFG_Weekday_Num                      7               // һ
#define AV_CFG_Max_TimeSection                  6               // ʱ
#define AV_CFG_Device_ID_Len                    64              // 豸ID
#define AV_CFG_IP_Address_Len                   32              // ip
#define AV_CFG_IP_Address_Len_EX                40              // չIPַַ, ֧IPV6
#define AV_CFG_User_Name_Len                    64              // û
#define AV_CFG_Password_Len                     64              // 볤
#define AV_CFG_Protocol_Len                     32              // Э
#define AV_CFG_Serial_Len                       32              // кų
#define AV_CFG_Device_Class_Len                 16              // 豸ͳ
#define AV_CFG_Device_Type_Len                  32              // 豸ͺų
#define AV_CFG_Device_Name_Len                  128             // 
#define AV_CFG_Address_Len                      128             // ص
#define AV_CFG_Max_Path                         260             // ·
#define AV_CFG_Max_Split_Window                 128             // ָ
#define	AV_CFG_Monitor_Favorite_In_Channel      64              // ÿͨѵղ
#define AV_CFG_Monitor_Favorite_Name_Len        64              // ղƳ
#define AV_CFG_Max_Monitor_Favorite_Window      64              // ղص󴰿
#define AV_CFG_Max_Split_Group                  64              // ָ
#define AV_CFG_Max_Split_Mode                   32              // ָģʽ
#define AV_CFG_Raid_Name_Len                    64              // RAIDƳ
#define AV_CFG_Max_Rail_Member                  32              // RAID
#define AV_CFG_Max_Encode_Main_Format           3               // 
#define AV_CFG_Max_Encode_Extra_Format          3               // 
#define	AV_CFG_Max_Encode_Snap_Format           3               // ץͼ
#define AV_CFG_Max_VideoColor                   24              // ÿͨƵɫ
#define AV_CFG_Custom_Title_Len                 1024            // ԶƳ(䵽1024)
#define AV_CFG_Custom_TitleType_Len             32              // Զͳ
#define AV_CFG_Max_Video_Widget_Cover           16              // 򸲸
#define AV_CFG_Max_Video_Widget_Custom_Title    8               // Զ
#define AV_CFG_Max_Video_Widget_Sensor_Info     2               // ӴϢĿ
#define AV_CFG_Max_Description_Num              4               // Ϣ
#define AV_CFG_Group_Name_Len                   64              // Ƴ
#define AV_CFG_DeviceNo_Len                     32              // 豸ų
#define AV_CFG_Group_Memo_Len                   128             // ˵
#define AV_CFG_Max_Channel_Num                  1024            // ͨ
#define AV_CFG_Time_Format_Len                  32              // ʱʽ
#define AV_CFG_Max_White_List                   1024            // 
#define AV_CFG_Max_Black_List                   1024            // ֹ
#define AV_CFG_Filter_IP_Len                    96              // IP󳤶
#define AV_CFG_Max_ChannelRule                  32              // ͨ洢󳤶, ͨ
#define AV_CFG_Max_DBKey_Num                    64              // ¼ؼ
#define AV_CFG_DBKey_Len                        32              // ¼ؼֳ
#define AV_CFG_Max_Summary_Len                  1024            // ժҪ
#define AV_CFG_Max_Event_Title_Num              32              // ¼
#define AV_CFG_Max_Tour_Link_Num                128             // Ѳ
#define AV_CFG_PIP_BASE                         1000            // лָģʽֵ
#define DES_KEY_LEN                             8               // DESԿֽڳ
#define DES_KEY_NUM                             3               // 3DESԿĸ
#define AES_KEY_LEN                             32              // AESԿֽڳ
#define MAX_TIME_SCHEDULE_NUM                   8               // ʱԪظ
#define MAX_SCENE_SUBTYPE_LEN                   64              // ַ
#define MAX_SCENE_SUBTYPE_NUM                   32              //     
#define MAX_VIDEO_IN_FOCUS                      32              // ͨ۽ø
#define MAX_TIMESPEEDLIMIT_NUM                  16              // ʱø
#define MAX_VOICEALERT_NUM                      64              // ʾø
#define CFG_MAX_LOWER_MATRIX_NUM                16              // λ
#define CFG_MAX_LOWER_MATRIX_INPUT              64              // λͨ
#define CFG_MAX_LOWER_MATRIX_OUTPUT             32              // λͨ
#define CFG_MAX_AUDIO_MATRIX_INPUT              32              // Ƶͨ
#define CFG_MAX_AUDIO_OUTPUT_CHN                32              // Ƶͨ
#define CFG_MAX_AUDIO_MATRIX_NUM                4               // Ƶ
#define CFG_MAX_AUDIO_MATRIX_OUTPUT             8               // ÿƵֵ֧ͨ
#define CFG_MAX_VIDEO_IN_DEFOG                  3               // ÿͨ͸ø
#define CFG_MAX_INFRARED_BOARD_TEMPLATE_NUM     16              // ģ
#define	CFG_MAX_INFRARED_KEY_NUM                128             // 尴
#define	CFG_MAX_INFRARED_BOARD_NUM              16              // 
#define CFG_MAX_VTO_NUM                         128             // ſڻ
#define MAX_PHONE_NUMBER_LEN                    32              // 绰󳤶
#define MAX_AUDIO_OUTPUT_NUM                    16              // Ƶͨ
#define MAX_AUDIO_INPUT_NUM                     32              // Ƶͨ
#define MAX_LIGHT_GLOBAL_NUM					16				// ֳ״̬Ŀ
#define MAX_AUDIO_MIX_NUM                       16              // Ƶͨ
#define MAX_PSTN_SERVER_NUM                     8               // 󱨾绰
#define MAX_ALARM_CHANNEL_NUM                   32              // 󱨾ͨ
#define MAX_ALARM_DEFENCE_TYPE_NUM              8               // 󱨾
#define MAX_ALARM_SENSE_METHOD_NUM              16              // 󱨾Ӧʽ
#define MAX_EXALARMBOX_PROTOCOL_NUM             8               // ֧չЭ
#define MAX_EXALARM_CHANNEL_NUM                 256             // 󱨾ͨ
#define MAX_EXALARMBOX_NUM                      8               // 󱨾
#define MAX_MAILTITLE_LEN                       256             // ʼⳤ
#define MAX_DEVICE_ID_LEN                       48              // 豸볤
#define MAX_DEVICE_MARK_LEN                     64              // 豸
#define MAX_BRAND_NAME_LEN                      64              // 豸ƷƳ
#define MAX_ADDRESS_NUM                         16              // 󴮿ڵַ
#define MAX_AIRCONDITION_NUM                    16              // յ豸
#define CFG_MAX_COLLECTION_NUM                  64              // Ԥ
#define MAX_FLOOR_NUM                           128             // ¥
#define MAX_SEAT_NUM                            8               // λ
#define AV_CFG_Local_Device_ID                  "Local"         // 豸ID
#define AV_CFG_Remote_Devce_ID                  "Remote"        // Զ豸ID   
#define MAX_LANE_CONFIG_NUMBER                  32              // 
#define MAX_PRIORITY_NUMBER                     256             // ΥȼΥ
#define MAX_CATEGORY_TYPE_NUMBER                128             // 
#define MAX_TRIGGER_MODE_NUMBER                 64              // ģʽ
#define MAX_ABNORMAL_DETECT_TYPE                32              // 쳣
#define	MAX_ABNORMAL_THRESHOLD_LEN              32              // 쳣ֵ
#define TS_POINT_NUM                            3               // У׼
#define CFG_FILTER_IP_LEN                       96              // IP󳤶
#define CFG_MAX_TRUST_LIST                      1024            // 
#define CFG_MAX_BANNED_LIST                     1024            // ֹ
#define VIDEOIN_TSEC_NUM                        3               // VideoIn ϵЭʱθĿǰͨ졢ҹ
#define	MAX_RECT_COUNT                          4               // ֵ֧ͨ
#define CFG_MAX_SSID_LEN                        36              // SSID󳤶
#define	MAX_OUTAUDIO_CHANNEL_COUNT              16              // Ƶͨ
#define MAX_INAUDIO_CHANNEL_COUNT               32              // Ƶͨ
#define MAX_FREQUENCY_COUNT                     16              // Ƶʶθ
#define MAX_NTP_SERVER                          4               // NTPַ
#define MAX_ACCESS_TEXTDISPLAY_LEN              32              // Žʾֳ
#define CFG_MAX_NVR_ENCRYPT_COUNT               4               // ÿͨø
#define MAX_IP_ADDR_LEN                         16              // IPַַ
#define MAX_PRIVACY_MASKING_COUNT               64              // ͨ˽ڵø
#define MAX_ALL_SNAP_CAR_COUNT					32				// гբ
#define CFG_MAX_PLATE_NUMBER_LEN				32				// ƺ볤
#define CFG_MAX_SN_LEN							32				// 豸кų
#define CFG_MAX_ACCESS_CONTROL_ADDRESS_LEN		64				// ĵַ
#define MAX_CFG_APN_NAME						32				// Wirelessн
#define	MAX_CFG_DAIL_NUMBER						32				// Wirelessвź볤
#define	MAX_GROUP_ID_LEN						64				// 󲼿ID
#define	MAX_COLOR_NAME_LEN						32				// ɫ
#define	MAX_COLOR_HEX_LEN						8				// HEXɫ
#define	MAX_LINK_GROUP_NUM						20				// Ĳ
#define MAX_CROWD_DISTRI_MAP_REGION_POINT_NUM	20				// 
#define MAX_PEOPLESTATREGIONS_NUM				8				// ͳ
#define MAX_AUDIOCHANNELS_ARRAY_NUM             8               // Ƶͨİͨб
#define MAX_NUMBER_STAT_MAULT_NUM				32				// ͳƳPD
#define CFG_MAX_DAY_NIGHT_MODE					3				// ÿƵͨӦ(ֱʾ졢ҹͨ)
/************************************************************************
 **  ӦCLIENT_GetNewDevConfigCLIENT_SetNewDevConfigӿ
 ***********************************************************************/

#define CFG_CMD_ENCODE                          "Encode"                    // ͼͨ(Ӧ CFG_ENCODE_INFO)
#define CFG_CMD_RECORD                          "Record"                    // ʱ¼(Ӧ CFG_RECORD_INFO)
#define CFG_CMD_ALARMINPUT                      "Alarm"                     // ⲿ뱨(Ӧ CFG_ALARMIN_INFO)
#define CFG_CMD_NETALARMINPUT                   "NetAlarm"                  // 籨(Ӧ CFG_NETALARMIN_INFO)
#define CFG_CMD_MOTIONDETECT                    "MotionDetect"              // ̬ⱨ(Ӧ CFG_MOTION_INFO)
#define CFG_CMD_VIDEOLOST                       "LossDetect"                // Ƶʧ(Ӧ CFG_VIDEOLOST_INFO)
#define CFG_CMD_VIDEOBLIND                      "BlindDetect"               // Ƶڵ(Ӧ CFG_SHELTER_INFO)
#define CFG_CMD_STORAGENOEXIST                  "StorageNotExist"           // ޴洢豸(Ӧ CFG_STORAGENOEXIST_INFO)
#define CFG_CMD_STORAGEFAILURE                  "StorageFailure"            // 洢豸ʳ(Ӧ CFG_STORAGEFAILURE_INFO)
#define CFG_CMD_STORAGELOWSAPCE                 "StorageLowSpace"           // 洢豸ռ䲻㱨(Ӧ CFG_STORAGELOWSAPCE_INFO)
#define CFG_CMD_NETABORT                        "NetAbort"                  // Ͽ(Ӧ CFG_NETABORT_INFO)	
#define CFG_CMD_IPCONFLICT                      "IPConflict"                // IPͻ(Ӧ CFG_IPCONFLICT_INFO)
#define CFG_CMD_SNAPCAPINFO                     "SnapInfo"                  // ץͼѯ(Ӧ CFG_SNAPCAPINFO_INFO)
#define CFG_CMD_NAS                             "NAS"                       // 洢(Ӧ CFG_NAS_INFO)
#define CFG_CMD_PTZ                             "Ptz"                       // ̨(Ӧ CFG_PTZ_INFO)
#define	CFG_CMD_PTZ_AUTO_MOVEMENT               "PtzAutoMovement"           // ̨ʱ(Ӧ CFG_PTZ_AUTOMOVE_INFO)
#define CFG_CMD_WATERMARK                       "WaterMark"                 // Ƶˮӡ(Ӧ CFG_WATERMARK_INFO)
#define CFG_CMD_ANALYSEGLOBAL                   "VideoAnalyseGlobal"        // Ƶȫ(Ӧ CFG_ANALYSEGLOBAL_INFO)
#define CFG_CMD_ANALYSEMODULE                   "VideoAnalyseModule"        // ļģ(Ӧ CFG_ANALYSEMODULES_INFO)
#define CFG_CMD_ANALYSERULE                     "VideoAnalyseRule"          // Ƶ(Ӧ CFG_ANALYSERULES_INFO)
#define CFG_CMD_ANALYSESOURCE                   "VideoAnalyseSource"        // ƵԴ(Ӧ CFG_ANALYSESOURCE_INFO)
#define CFG_CMD_RAINBRUSH                       "RainBrush"                 // ˢ(Ӧ CFG_RAINBRUSH_INFO)
#define CFG_CMD_INTELLECTIVETRAFFIC             "TrafficSnapshot"           // ܽͨץ(CFG_TRAFFICSNAPSHOT_INFO ֻΪЭ飻ʹCFG_CMD_TRAFFICSNAPSHOT_MULTI)
#define CFG_CMD_TRAFFICGLOBAL                   "TrafficGlobal"             // ܽͨȫ(CFG_TRAFFICGLOBAL_INFO)
#define CFG_CMD_DEV_GENERRAL                    "General"                   // ͨ (Ӧ CFG_DEV_DISPOSITION_INFO)
#define CFG_CMD_ATMMOTION                       "FetchMoneyOverTime"        // ATMȡʱ(Ӧ CFG_ATMMOTION_INFO)
#define CFG_CMD_DEVICESTATUS                    "DeviceStatus"              // 豸״̬Ϣ(Ӧ CFG_DEVICESTATUS_INFO)
#define CFG_CMD_HARDDISKTANK                    "HardDiskTank"              // չϢ(Ӧ CFG_HARDISKTANKGROUP_INFO)
#define CFG_CMD_RAIDGROUP                       "RaidGroup"                 // RaidϢ(Ӧ CFG_RAIDGROUP_INFO)
#define CFG_CMD_STORAGEPOOLGROUP                "StoragePoolGroup"          // 洢Ϣ(Ӧ CFG_STORAGEPOOLGROUP_INFO)
#define CFG_CMD_STORAGEPOSITIONGROUP            "StoragePositionGroup"      // ļϵͳϢ(Ӧ CFG_STORAGEPOSITIONGROUP_INFO)
#define CFG_CMD_VIDEOINDEVGROUP                 "VideoInDevGroup"           // ǰ豸Ϣ(Ӧ CFG_VIDEOINDEVGROUP_INFO)
#define CFG_CMD_DEVRECORDGROUP                  "DevRecordGroup"            // ͨ¼״̬(Ӧ CFG_DEVRECORDGROUP_INFO)
#define CFG_CMD_IPSSERVER                       "IpsServer"                 // ״̬(Ӧ CFG_IPSERVER_STATUS)
#define CFG_CMD_SNAPSOURCE                      "SnapSource"                // ץͼԴ(Ӧ CFG_SNAPSOURCE_INFO)
#define CFG_CMD_DHRADER                         "DahuaRadar"                // ״ã͸ json 
#define CFG_CMD_DHRADER_PP                      "DahuaRadar"                // ״ãΪṹ壬Ӧ CFG_DAHUA_RADAR
#define CFG_CMD_TRANSRADER                      "TransRadar"                // ״
#define CFG_CMD_LANDUNRADER                     "LanDunRadar"               // ״
#define CFG_CMD_LANDUNCOILS                     "LanDunCoils"               // Ȧ
#define CFG_CMD_MATRIX_SPOT                     "SpotMatrix"                // Spot(Ӧ CFG_VIDEO_MATRIX)
#define CFG_CMD_HDVR_DSP                        "DspEncodeCap"              // HDVRÿͨdspϢ ͨIPCDVR ҲIPCDVR(ӦCFG_DSPENCODECAP_INFO)
#define CFG_CMD_HDVR_ATTR_CFG                   "SystemAttr"                // HDVRÿͨ豸Ϣ
#define CFG_CMD_CHANNEL_HOLIDAY                 "HolidaySchedule"           // ¼ƻ(Ӧṹ CFG_HOLIDAY_SCHEDULE)
#define CFG_CMD_HEALTH_MAIL                     "HealthMail"                // ʼ
#define CFG_CMD_CAMERAMOVE                      "IntelliMoveDetect"         // λ 
#define CFG_CMD_SPLITTOUR                       "SplitTour"                 // ƵָѲ(Ӧ CFG_VIDEO_MATRIX)
#define CFG_CMD_VIDEOENCODEROI                  "VideoEncodeROI"            // ƵROI(Region of Intrest) CFG_VIDEOENCODEROI_INFO
#define CFG_CMD_VIDEO_INMETERING                "VideoInMetering"           // (Ӧ CFG_VIDEO_INMETERING_INFO)
#define CFG_CMD_TRAFFIC_FLOWSTAT                "TrafficFlowStat"           // ͨͳ(Ӧ CFG_TRAFFIC_FLOWSTAT_INFO)
#define CFG_CMD_HDMIMATRIX                      "HDMIMatrix"                // HDMIƵ
#define CFG_CMD_VIDEOINOPTIONS	                "VideoInOptions"            // Ƶǰѡ(Ӧ CFG_VIDEO_IN_OPTIONS)
#define CFG_CMD_RTSP                            "RTSP"                      // RTSP( Ӧ CFG_RTSP_INFO_INCFG_RTSP_INFO_OUT )
#define CFG_CMD_TRAFFICSNAPSHOT                 "TrafficSnapshotNew"        // ܽͨץ(CFG_TRAFFICSNAPSHOT_INFO ϳʹ CFG_CMD_TRAFFICSNAPSHOT_MULTI_EX)
#define CFG_CMD_TRAFFICSNAPSHOT_MULTI           "TrafficSnapshotNew"        // ܽͨץ(CFG_TRAFFICSNAPSHOT_NEW_INFO ϳʹ CFG_CMD_TRAFFICSNAPSHOT_MULTI_EX)
#define CFG_CMD_TRAFFICSNAPSHOT_MULTI_EX        "TrafficSnapshotNew"        // ܽͨץ(CFG_TRAFFICSNAPSHOT_NEW_EX_INFO)
#define CFG_CMD_MULTICAST                       "Multicast"                 // 鲥(Ӧ CFG_MULTICASTS_INFO_INCFG_MULTICASTS_INFO_OUT)
#define CFG_CMD_VIDEODIAGNOSIS_PROFILE          "VideoDiagnosisProfile"     // Ƶϲ(CFG_VIDEODIAGNOSIS_PROFILE)
#define CFG_CMD_VIDEODIAGNOSIS_TASK             "VideoDiagnosisTask"        // Ƶ(CFG_VIDEODIAGNOSIS_TASK)
#define CFG_CMD_VIDEODIAGNOSIS_PROJECT          "VideoDiagnosisProject"     // Ƶϼƻ(CFG_VIDEODIAGNOSIS_PROJECT)
#define CFG_CMD_VIDEODIAGNOSIS_REALPROJECT      "VideoDiagnosisRealProject" // Ƶʵʱƻ(CFG_VIDEODIAGNOSIS_REALPROJECT)
#define CFG_CMD_VIDEODIAGNOSIS_GLOBAL           "VideoDiagnosisGlobal"      // Ƶȫֱ(CFG_VIDEODIAGNOSIS_GLOBAL)
#define CFG_CMD_VIDEODIAGNOSIS_TASK_ONE         "VideoDiagnosisTask.x"      // Ƶ(CFG_VIDEODIAGNOSIS_TASK)
#define CFG_CMD_TRAFFIC_WORKSTATE               "WorkState"                 // 豸״̬(Ӧ CFG_TRAFFIC_WORKSTATE_INFO)
#define CFG_CMD_STORAGEDEVGROUP                 "StorageDevGroup"           // ̴洢(Ӧ CFG_STORAGEGROUP_INFO)
#define CFG_CMD_RECORDTOGROUP                   "RecordToGroup"             // ¼ŵĴ洢(Ӧ CFG_RECORDTOGROUP_INFO)
#define CFG_CMD_INTELLITRACKSCENE               "IntelliTrackScene"         // ܸٳ(CFG_INTELLITRACKSCENE_INFO) 
#define CFG_CMD_IVSFRAM_RULE                    "IVSFramRule"               // ֡(Ӧ CFG_ANALYSERULES_INFO)
#define CFG_CMD_RECORD_STORAGEPOINT             "RecordStoragePoint"        // ¼洢ӳ(Ӧ CFG_RECORDTOSTORAGEPOINT_INFO)
#define CFG_CMD_RECORD_STORAGEPOINT_EX			"RecordStoragePoint"		// ¼洢ӳչ (Ӧ CFG_RECORDTOSTORAGEPOINT_EX_INFO)
#define CFG_CMD_MD_SERVER                       "MetaDataServer"            // Ԫݷ(Ӧ CFG_METADATA_SERVERṹ)
#define CFG_CMD_CHANNELTITLE                    "ChannelTitle"              // ͨ(Ӧ AV_CFG_ChannelName)
#define	CFG_CMD_RECORDMODE                      "RecordMode"                // ¼ģʽ(Ӧ AV_CFG_RecordMode)
#define CFG_CMD_VIDEOOUT                        "VideoOut"                  // Ƶ(Ӧ AV_CFG_VideoOutAttr)
#define CFG_CMD_REMOTEDEVICE                    "RemoteDevice"              // Զ豸Ϣ(Ӧ AV_CFG_RemoteDevice, ͨ޹)
#define CFG_CMD_REMOTECHANNEL                   "RemoteChannel"             // Զͨ(Ӧ AV_CFG_RemoteChannel)
#define CFG_CMD_MONITORTOUR                     "MonitorTour"               // ѵ(Ӧ AV_CFG_MonitorTour)
#define CFG_CMD_MONITORCOLLECTION               "MonitorCollection"         // ղ(Ӧ AV_CFG_MonitorCollection)
#define CFG_CMD_DISPLAYSOURCE                   "DisplaySource"             // ָʾԴ(Ӧ AV_CFG_ChannelDisplaySource)(ϳʹ)
#define CFG_CMD_RAID                            "Raid"                      // 洢(Ӧ AV_CFG_Raid, ͨ޹)
#define CFG_CMD_RECORDSOURCE                    "RecordSource"              // ¼Դ(Ӧ AV_CFG_RecordSource)
#define CFG_CMD_VIDEOCOLOR                      "VideoColor"                // Ƶɫ(Ӧ AV_CFG_ChannelVideoColor)
#define CFG_CMD_VIDEOWIDGET                     "VideoWidget"               // Ƶ(Ӧ AV_CFG_VideoWidget)
#define CFG_CMD_STORAGEGROUP                    "StorageGroup"              // 洢Ϣ(Ӧ AV_CFG_StorageGroup, ͨ޹)
#define CFG_CMD_LOCALS                          "Locales"                   // (Ӧ AV_CFG_Locales)
#define CFG_CMD_LANGUAGE                        "Language"                  // ѡ(Ӧ AV_CFG_Language)
#define CFG_CMD_ACCESSFILTER                    "AccessFilter"              // ʵַ(Ӧ AV_CFG_AccessFilter)
#define CFG_CMD_AUTOMAINTAIN                    "AutoMaintain"              // Զά(Ӧ AV_CFG_AutoMaintain)
#define CFG_CMD_REMOTEEVENT                     "RemoteEvent"               // Զ豸¼(Ӧ AV_CFG_RemoteEvent)
#define CFG_CMD_MONITORWALL                     "MonitorWall"               // ǽ(Ӧ AV_CFG_MonitorWall, ͨ޹)
#define	CFG_CMD_SPLICESCREEN                    "VideoOutputComposite"      // ں(Ӧ AV_CFG_SpliceScreen, ͨ޹)
#define CFG_CMD_TEMPERATUREALARM                "TemperatureAlarm"          // ¶ȱ(Ӧ AV_CFG_TemperatureAlarm, ͨ޹)
#define	CFG_CMD_FANSPEEDALARM                   "FanSpeedAlarm"             // תٱ(Ӧ AV_CFG_FanSpeedAlarm, ͨ޹)
#define CFG_CMD_RECORDBACKUP                    "RecordBackupRestore"       // ¼ش(Ӧ AV_CFG_RecordBackup, ͨ޹)
#define CFG_CMD_RECORDDOWNLOADSPEED             "RecordDownloadSpeed"       // ¼ٶ(ӦCFG_RecordDownloadSpeed)
#define CFG_CMD_COMM                            "Comm"                      // (Ӧ CFG_COMMGROUP_INFO)
#define	CFG_CMD_NETWORK                         "Network"                   // (Ӧ CFG_NETWORK_INFO)
#define CFG_CMD_NASEX                           "NAS"                       // 洢, (Ӧ CFG_NAS_INFO_EX)
#define CFG_CMD_LDAP                            "LDAP"                      // LDAP
#define CFG_CMD_ACTIVE_DIR                      "ActiveDirectory"           // Ŀ¼
#define CFG_CMD_FLASH                           "FlashLight"                // (Ӧ CFG_FLASH_LIGHT)
#define CFG_CMD_AUDIO_ANALYSERULE               "AudioAnalyseRule"          // Ƶ(Ӧ CFG_ANALYSERULES_INFO)
#define CFG_CMD_JUDICATURE                      "Judicature"                // ¼(Ӧ CFG_JUDICATURE_INFO)
#define CFG_CMD_GOODS_WEIGHT                    "CQDTSet"                   // ػ(Ӧ CFG_GOOD_WEIGHT_INFO)
#define CFG_CMD_VIDEOIN                         "VideoIn"                   // ͨ(Ӧ CFG_VIDEO_IN_INFO)
#define CFG_CMD_ENCODEPLAN                      "EncodePlan"                // ¼̱ƻ(Ӧ CFG_ENCODE_PLAN_INFO)
#define CFG_CMD_PICINPIC                        "PicInPic"                  // Ѷл(Ӧ CFG_PICINPIC_INFO)Ϊ鷽ʽǰãݳ
#define CFG_CMD_BURNFULL                        "BurnFull"                  // ¼¼(Ӧ CFG_BURNFULL_INFO)
#define CFG_CMD_MASTERSLAVE_GLOBAL              "MasterSlaveTrackerGlobal"  // ʽȫ(Ӧ CFG_MASTERSLAVE_GLOBAL_INFO)
#define CFG_CMD_MASTERSLAVE_LINKAGE             "MasterSlaveGlobal"         // ǹȫ(Ӧ CFG_MASTERSLAVE_LINKAGE_INFO)
#define CFG_CMD_MASTERSLAVE_GROUP               "MasterSlaveGroup"          // ǹ󶨹ϵ(Ӧ CFG_MASTERSLAVE_GROUP_INFO)
#define CFG_CMD_ANALYSEWHOLE                    "VideoAnalyseWhole"         // Ƶ(Ӧ CFG_ANALYSEWHOLE_INFO)
#define CFG_CMD_VIDEO_IN_BOUNDARY               "VideoInBoundary"           // Ƶ߽(Ӧ CFG_VIDEO_IN_BOUNDARY)
#define	CFG_CMD_MONITORWALL_COLLECTION          "MonitorWallCollection"     // ǽԤ(Ӧ CFG_MONITORWALL_COLLECTION)
#define CFG_CMD_ANALOGMATRIX                    "AnalogMatrix"              // ģ(Ӧ CFG_ANALOG_MATRIX_INFO)
#define CFG_CMD_ANALOG_MATRIX_PROTOCOL          "AnalogMatrixProtocol"      // ģЭ(Ӧ CFG_ANALOG_MATRIX_PROTOCOL)
#define	CFG_CMD_VIDEO_OUT_TITLE                 "VideoOutputTitle"          // Ƶ(Ӧ CFG_VIDEO_OUT_TITLE)
#define CFG_CMD_DISK_FLUX_ALARM                 "DiskFluxAlarm"             // Ӳ(Ӧ CFG_DISK_FLUX_INFO)
#define CFG_CMD_NET_FLUX_ALARM                  "NetFluxAlarm"              // (Ӧ CFG_NET_FLUX_INFO)
#define CFG_CMD_DVRIP                           "DVRIP"                     // Э(Ӧ CFG_DVRIP_INFO)
#define CFG_CMD_PARKINGSPACE_SCREEN             "ParkingSpaceScreen"        // Խӵ(Ӧ CFG_PARKINGSPACE_SCREEN_INFO ,飬ԪֵDH_PRODUCTION_DEFNITION.nMaxParkingSpaceScreen)
#define CFG_CMD_PARKINGSPACE_STATUS             "ParkingSpaceCellStatus"    // λ(רгλͨλ)(Ӧ CFG_PARKINGSPACE_STATUS_INFO 飬ԪֵDH_PRODUCTION_DEFNITION.nMaxRoadWays)
#define CFG_CMD_CLIENT_CUSTOM_DATA              "ClientCustomData"          // ƽ̨ԶϢ(Ӧ CFG_CLIENT_CUSTOM_INFO)
#define CFG_CMD_BURN_RECORD_FORMAT              "BurnRecordFormat"          // ¼ʽ(Ӧ CFG_BURN_RECORD_FORMAT)
#define CFG_CMD_MULTIBURN                       "MultiBurn"                 // ͬ¼(Ӧ CFG_MULTIBURN_INFO)һ飬ÿһԪرʾһͬ¼У
#define	CFG_CMD_ENCODE_ENCRYPT                  "EncodeEncrypt"             // Ϣ( CFG_ENCODE_ENCRYPT_CHN_INFO )
#define CFG_CMD_VIDEO_IN_ZOOM                   "VideoInZoom"               // ̨ͨ䱶(Ӧ CFG_VIDEO_IN_ZOOM)
#define CFG_CMD_SNAP                            "Snap"                      // ץͼ(Ӧ CFG_SNAP_INFO)
#define CFG_CMD_REMOTE_STORAGE_LIMIT            "RemoteStorageLimit"        // 洢(Ӧ CFG_REMOTE_STORAGELIMIT_GROUP)
#define CFG_CMD_SPECIAL_DIR                     "SpecialDirectoryDefine"    // ;Ŀ¼(Ӧ CFG_SPECIAL_DIR_INFO)
#define CFG_CMD_AUTO_STARTUP_DELAY              "AutoStartupDelay"          // ػʱԶ(Ӧ CFG_AUTO_STARTUP_DELAY_INFO)
#define CFG_CMD_CANFILTER                       "CANFilter"                 // CAN͸(Ӧ CFG_CANFILTER_LIST)
#define CFG_CMD_VIDEOIN_FOCUS                   "VideoInFocus"              // ۽(Ӧ CFG_VIDEO_IN_FOCUS)
#define CFG_CMD_ENCODE_ADAPT                    "EncodeAdapt"               // Ӧ(Ӧ CFG_ENCODE_ADAPT_INFO)
#define CFG_CMD_VIDEOANALYSE_CALIBRATE          "VideoAnalyseCalibrate"     // Ƶ궨(Ӧ CFG_VIDEO_ANALYSE_CALIBRATEAREA)
#define CFG_CMD_PTZ_PRESET                      "PtzPreset"                 // ̨Ԥõ(Ӧṹ PTZ_PRESET_INFO)
#define CFG_CMD_TIMESPEEDLIMIT                  "TimeSpeedLimit"            // ʱֵ(Ӧṹ CFG_TIMESPEEDLIMIT_LIST)
#define CFG_CMD_VOICEALERT                      "VoiceAlert"                // ʾ(Ӧṹ CFG_VOICEALERT_LIST)
#define CFG_CMD_DEVICEKEEPALIVE                 "DeviceKeepAlive"           // 豸(Ӧṹ CFG_DEVICEKEEPALIVELIST)

#define CFG_CMD_AUDIO_SPIRIT                    "AudioSpirit"               // (Ӧ CFG_AUDIO_SPIRIT)
#define CFG_CMD_AUDIO_MATRIX_SILENCE            "AudioMatrixSilence"        // (Ӧ CFG_AUDIO_MATRIX_SILENCE)
#define CFG_CMD_AUDIO_MATRIX                    "AudioMatrixConfig"         // Ƶ(Ӧ CFG_AUDIO_MATRIX)
#define CFG_CMD_COMPOSE_CHANNEL                 "ComposeChannel"            // ϳͨ(Ӧ CFG_COMPOSE_CHANNEL)
#define CFG_CMD_COMPOSE_LINKAGE                 "ComposeLinkage"            // ϳͨ  ͥʹã֤л(Ӧ CFG_COMPOSE_CHANNEL)
#define CFG_CMD_LOWER_MATRIX                    "LowerMatrix"               // λ(Ӧ CFG_LOWER_MATRIX_LIST) 
#define CFG_CMD_INFRARED_BOARD_TEMPLATE	        "InfraredBoardTemplate"	    // ģ(Ӧ CFG_INFRARED_BOARD_TEMPLATE_GROUP)
#define CFG_CMD_INFRARED_BOARD                  "InfraredBoard"	            // ģ(Ӧ CFG_INFRARED_BOARD_GROUP)
#define CFG_CMD_VIDEOIN_EXPOSURE                "VideoInExposure"           // ع(Ӧ CFG_VIDEOIN_EXPOSURE_INFO)
#define CFG_CMD_VIDEOIN_BACKLIGHT               "VideoInBacklight"          // ߻(ӦCFG_VIDEOIN_BACKLIGHT_INFO)

#define CFG_CMD_ACCESS_GENERAL                  "AccessControlGeneral"      // Ž(Ӧ CFG_ACCESS_GENERAL_INFO)
#define CFG_CMD_ACCESS_EVENT                    "AccessControl"             // Ž¼(Ӧ CFG_ACCESS_EVENT_INFO )     
#define CFG_CMD_WIRELESS                        "Wireless"                  // (Ӧ CFG_WIRELESS_INFO)
#define CFG_CMD_ALARMSERVER                     "AlarmServer"               // (Ӧ CFG_ALARMCENTER_INFO)
#define CFG_CMD_COMMGLOBAL                      "CommGlobal"                // ȫ(Ӧ CFG_COMMGLOBAL_INFO)
#define CFG_CMD_ANALOGALARM                     "AnalogAlarm"               // ģͨ(Ӧ CFG_ANALOGALARM_INFO)
#define CFG_CMD_ALARMOUT                        "AlarmOut"                  // ͨ(Ӧ CFG_ALARMOUT_INFO)
#define CFG_CMD_NTP                             "NTP"                       // ʱͬ(Ӧ CFG_NTP_INFO)
#define CFG_CMD_ALARMBELL                       "AlarmBell"                 // (Ӧ CFG_ALARMBELL_INFO)
#define CFG_CMD_MOBILE                          "Mobile"                    // ƶҵ(Ӧ CFG_MOBILE_INFO)
#define CFG_CMD_PHONEEVENTNOTIFY                "PhoneEventNotify"          // (Ӧ CFG_PHONEEVENTNOTIFY_INFO)
#define CFG_CMD_PSTN_ALARM_SERVER               "PSTNAlarmServer"           // 绰(CFG_PSTN_ALARM_CENTER_INFO)
#define CFG_CMD_AUDIO_OUTPUT_VOLUME             "AudioOutputVolume"         // Ƶ(CFG_AUDIO_OUTPUT_VOLUME)
#define CFG_CMD_AUDIO_INPUT_VOLUME              "AudioInputVolume"          // Ƶ(CFG_AUDIO_INPUT_VOLUME)
#define CFG_CMD_LIGHT_GLOBAL					"LightGlobal"				// ָʾƿ (CFG_LIGHT_GLOBAL)
#define	CFG_CMD_AUDIO_MIX_VOLUME                "AudioMixVolume"            // Ƶͥ(CFG_AUDIO_MIX_VOLUME)
#define CFG_CMD_ALARMKEYBOARD                   "AlarmKeyboard"             // (CFG_ALARMKEYBOARD_INFO)
#define CFG_CMD_POWERFAULT                      "PowerFault"                // Դ(CFG_POWERFAULT_INFO)
#define CFG_CMD_CHASSISINTRUSION                "ChassisIntrusion"          // ֱ(𱨾)(CFG_CHASSISINTRUSION_INFO)
#define CFG_CMD_EXALARMBOX                      "ExAlarmBox"                // չ (CFG_EXALARMBOX_INFO)
#define CFG_CMD_EXALARMOUTPUT                   "ExAlarmOut"                // չ(CFG_EXALARMOUTPUT_INFO)
#define CFG_CMD_EXALARMINPUT                    "ExAlarm"                   // չ(CFG_EXALARMINPUT_INFO)
#define CFG_CMD_ACCESSTIMESCHEDULE              "AccessTimeSchedule"        // Žˢʱ(CFG_ACCESS_TIMESCHEDULE_INFO)
#define CFG_CMD_URGENCY                         "Emergency"                 // ¼(CFG_URGENCY_INFO)
#define CFG_CMD_SENSORSAMPLING                  "SensorSampling"            // (CFG_SENSORSAMPLING_INFO)
#define CFG_CMD_STP                             "STP"                       // (CFG_STP_INFO)
#define CFG_CMD_ALARM_SUBSYSTEM                 "AlarmSubSystem"            // ϵͳ(CFG_ALARM_SUBSYSTEM_INFO)
#define CFG_CMD_BATTERY_LOW_POWER               "BatteryLowPowerAlarm"      // ص(CFG_BATTERY_LOW_POWER_INFO)
#define CFG_CMD_SNAPLIKAGE                      "SnapLinkage"               // ץͼͨ(CFG_SNAPLINKAGE_INFO)
#define CFG_CMD_AUDIOINPUT                      "AudioInput"                // Ƶ(CFG_AUDIO_INPUT)
#define CFG_CMD_EMAIL                           "Email"                     // ʼ(CFG_EMAIL_INFO)
#define CFG_CMD_TRAFFIC_TRANSFER_OFFLINE        "TrafficTransferOffline"    // ļ(TRAFFIC_TRANSFER_OFFLINE_INFO)
#define CFG_CMD_COMMSUBSCRIBE                   "CommSubscribe"             // Ĵ(CFG_DEVCOMM_SUBSCRIBE)
#define CFG_CMD_PARKINGSPACE_LIGHT_STATE        "ParkingSpaceLightState"    // λ״̬Ӧĳλָʾ(CFG_PARKINGSPACE_LIGHT_STATE)
#define CFG_CMD_AIRCONDITION                    "AirCondition"              // յ豸(CFG_AIRCONDITION_INFO)
#define CFG_CMD_COMPRESS_PLAY                   "CompressPlay"              // ѹط(CFG_COMPRESS_PLAY_INFO)
#define CFG_CMD_BUILDING                        "Building"                  // VTO¥(CFG_BUILDING_INFO)
#define CFG_CMD_BUILDING_EXTERNAL               "BuildingExternal"          // VTO¥չ(CFG_BUILDING_EXTERNAL_INFO)
#define CFG_CMD_DIALRULE                        "DialRule"                  // Ź(CFG_DIALRULE_INFO)
#define CFG_CMD_OIL_MASS_INFO                   "OilMassInfo"               // (CFG_OIL_MASS_INFO)
#define CFG_CMD_FISHEYE_INFO                    "FishEye"                   // ϸϢ(CFG_FISHEYE_DETAIL_INFO)
#define CFG_CMD_VTNOANSWER_FORWARD              "VTNoAnswerForward"         // ƽ̨·Ӧתб(CFG_VT_NOANSWER_FORWARD_INFO)
#define CFG_CMD_VTO_CALL                        "VTOCall"                   // VTO(CFG_VTO_CALL_INFO)
#define CFG_CMD_MACCONFLICT                     "MacConflict"               // MACͻ(CFG_MACCONFLICT_INFO)
#define CFG_CMD_IDLEMOTION_INFO                 "IdleMotion"                // ж(CFG_IDLE_MOTION_INFO)
#define CFG_CMD_MONITORWALL_COLL_TOUR           "MonitorWallCollectionTour" // ǽԤѲ(CFG_MONITORWALL_COLLECTION_TOUR_INFO)
#define CFG_CMD_PSTN_BREAK_LINE                 "PSTNBreakLine"             // PSTN¼(CFG_PSTN_BREAK_LINE_INFO)
#define CFG_CMD_NET_COLLECTION                  "NetCollection"             // ɼ豸(CFG_NET_COLLECTION_INFO)
#define CFG_CMD_ALARM_SLOT_BOND                 "AlarmSlotBond"             // Slotڵ豸ĶӦϵ(CFG_ALARM_SLOT_BOND_INFO)
#define CFG_CMD_TRAFFICSTROBE                   "TrafficStrobe"             // բ(CFG_TRAFFICSTROBE_INFO)
#define CFG_CMD_TRAFFICVOICE                    "TrafficVoiceBroadcast"     // ܽͨ( CFG_TRAFFICVOICE_BROADCAST)
#define CFG_CMD_STANDING_TIME                   "StandingTime"              // ͣʱ(CFG_STANDING_TIME_INFO)
#define CFG_CMD_ENCLOSURE_TIME_SCHEDULE         "EnclosureTimeSchedule"     // Χʱ(CFG_ENCLOSURE_TIME_SCHEDULE_INFO)
#define CFG_CMD_ECKCONFIG                       "ECKConfig"                 // ͣڿ(CFG_ECKCONFIG_INFO)
#define CFG_CMD_PARKING_CARD                    "ParkingCard"               // ͣˢ¼(CFG_PARKING_CARD_INFO)
#define CFG_CMD_RCEMERGENCY_CALL                "RCEmergencyCall"           // б¼(CFG_RCEMERGENCY_CALL_INFO)
#define CFG_CMD_LANES_STATE_REPORT              "LanesStateReport"          // Ϣϱ(CFG_LANES_STATE_REPORT)
#define CFG_CMD_OPEN_DOOR_GROUP                 "OpenDoorGroup"             // ˶࿪ŷʽ(CFG_OPEN_DOOR_GROUP_INFO)
#define CFG_CMD_OPEN_DOOR_ROUTE                 "OpenDoorRoute"             // ·߼ϣƷǱ·(CFG_OPEN_DOOR_ROUTE_INFO)
#define CFG_CMD_BURNPLAN                        "BurnPlan"                  // ¼ƻ(Ӧ CFG_BURNPLAN_INFO)
#define CFG_CMD_SCADA_DEV                       "SCADADev"                  // ɼ豸(CFG_SCADA_DEV_INFO)
#define CFG_CMD_VSP_GAYS                        "VSP_GAYS"                  // һƽ̨(CFG_VSP_GAYS_INFO)
#define CFG_CMD_AUDIODETECT                     "AudioDetect"               // Ƶⱨ(CFG_AUDIO_DETECT_INFO)
#define CFG_CMD_GUIDESCREEN                     "GuideScreen"               // յϵͳ(CFG_GUIDESCREEN_INFO)
#define CFG_CMD_VTS_CALL_INFO                   "VTSCallInfo"               // VTS(CFG_VTS_CALL_INFO)
#define CFG_CMD_DEV_LIST                        "DevList"                   // 豸б(CFG_DEV_LIST_INFO)
#define CFG_CMD_CALIBRATE_MATRIX                "CalibrateMatrix"           // ʽ궨(CFG_CALIBRATE_MATRIX_INFO, öӦCFG_CALIBRATE_MATRIX_EX_INFO)
#define CFG_CMD_DEFENCE_AREA_DELAY              "DefenceAreaDelay"          // ʱ(CFG_DEFENCE_AREA_DELAY_INFO)
#define CFG_CMD_THERMO_GRAPHY                   "ThermographyOptions"       // ȳͷ(CFG_THERMOGRAPHY_INFO)
#define CFG_CMD_THERMOMETRY_RULE                "ThermometryRule"           // ȳ¹(CFG_RADIOMETRY_RULE_INFO)
#define CFG_CMD_TEMP_STATISTICS                 "TemperatureStatistics"     // ¶ͳ(CFG_TEMP_STATISTICS_INFO)
#define CFG_CMD_THERMOMETRY                     "HeatImagingThermometry"    // ȳȫ(CFG_THERMOMETRY_INFO)
#define CFG_CMD_FLAT_FIELD_CORRECTION           "FlatFieldCorrection"       // ȳƽ۽У׼(CFG_FLAT_FIELD_CORRECTION_INFO)
#define CFG_CMD_THERMO_FUSION                   "ThermographyFusion"        // ȳƵں(CFG_THERMO_FUSION_INFO)
#define CFG_CMD_LCE_STATE                       "LCEState"                  // ȳлоͷԵľֲԱȶǿ(CFG_LCE_STATE_INFO)
#define CFG_CMD_LIGHTING                        "Lighting"                  // ƹ(CFG_LIGHTING_INFO)
#define CFG_CMD_RAINBRUSHMODE                   "RainBrushMode"             // ˢģʽ(Ӧ CFG_RAINBRUSHMODE_INFO)
#define CFG_CMD_LIGHTINGSCHEDULE                "LightingSchedule"          // ƹƻ(Ӧ CFG_LIGHTINGSCHEDULE_INFO)
#define CFG_CMD_EMERGENCY_RECORD_FOR_PULL       "EmergencyRecordForPull"    // ¼洢ãڿͻķʽڿͻ洢쳣֮󣬽н¼洢(CFG_EMERGENCY_RECORD_FOR_PULL_INFO)
#define CFG_CMD_ALARM_SHIELD_RULE               "AlarmShieldRule"           // 澯ι( CFG_ALARM_SHIELD_RULE_INFO)
#define CFG_CMD_VIDEOIN_ANALYSERULE             "VideoInAnalyseRule"        // Ƶܹͨ(CFG_VIDEOIN_ANALYSE_RULE_INFO)
#define CFG_CMD_ACCESS_WORK_MODE                "AccessWorkMode"            // ģʽ(Ӧ CFG_ACCESS_WORK_MODE_INFO )
#define CFG_CMD_VIDEO_TALK_PHONE_GENERAL        "VideoTalkPhoneGeneral"     // ƵԽ绰ͨ(CFG_VIDEO_TALK_PHONE_GENERAL)
#define CFG_CMD_TRAFFIC_SNAP_MOSAIC             "TrafficSnapMosaic"         // ץͼϳ(Ӧ CFG_TRAFFIC_SNAP_MOSAIC_INFO)
#define CFG_CMD_SCENE_SNAP_RULE                 "SceneSnapShotWithRule"     // ץ(Ӧ CFG_SCENE_SNAPSHOT_RULE_INFO)
#define CFG_CMD_PTZTOUR                         "PtzTour"                   // ̨Ѳ·(Ӧ CFG_PTZTOUR_INFO)
#define CFG_CMD_VTO_INFO                        "VTOInfo"                   // ſڻ(Ӧ CFG_VTO_LIST)
#define CFG_CMD_TS_POINT                        "TSPoint"                   // У׼(Ӧ CFG_TSPOINT_INFO)
#define CFG_CMD_VTH_NUMBER_INFO                 "VTHNumberInfo"             // ڻϢ(Ӧ CFG_VTH_NUMBER_INFO)
#define CFG_CMD_GPS                             "GPS"                       // GPS(Ӧ CFG_GPS_INFO_ALL)
#define CFG_CMD_VTO_BASIC_INFO                  "VTOBasicInfo"              // VTOϢ (Ӧ CFG_VTO_BASIC_INFO)
#define CFG_CMD_SHORTCUT_CALL                   "ShortcutCall"              // ݺ (Ӧ CFG_SHORTCUT_CALL_INFO)
#define CFG_CMD_GPS_LOCATION_VER                "GPSLocationVersion"        // ¼GPSLocationİ汾(Ӧ CFG_LOCATION_VER_INFO)
#define CFG_CMD_PARKING_SPACE_ACCESS_FILTER     "ParkingSpaceAccessFilter"  // 豸ɷʵַ(Ӧ CFG_PARKING_SPACE_ACCESS_FILTER_INFO)
#define CFG_CMD_WORK_TIME                       "WorkTime"                  // ʱ(Ӧ CFG_WORK_TIME_INFO)
#define CFG_CMD_PARKING_SPACE_LIGHT_GROUP       "ParkingSpaceLightGroup"    // λָʾƱ(Ӧ CFG_PARKING_SPACE_LIGHT_GROUP_INFO_ALL)
#define CFG_CMD_CUSTOM_AUDIO                    "CustomAudio"               // ԶƵ(CFG_CUSTOM_AUDIO)
#define CFG_CMD_WIFI_SEARCH                     "AroudWifiSearch"           // 豸ͨwifiģɨΧ豸(Ӧ CFG_WIFI_SEARCH_INFO)
#define CFG_CMD_G3G4AUTOCHANGE                  "G3G4AutoChange"            // 豸ͨģ3G 4GԶл(CFG_G3G4AUTOCHANGE)
#define CFG_CMD_CHECKCODE                       "CheckCode"                 // ˢУУ(Ӧ CFG_CHECKCODE_INFO)
#define CFG_CMD_VSP_SCYDKD                      "VSP_SCYDKD"                // Ĵƶƽ̨(Ӧ CFG_VSP_SCYDKD_INFO)
#define CFG_CMD_VIDEOIN_DAYNIGHT                "VideoInDayNight"           // оҹ(Ӧ CFG_VIDEOIN_DAYNIGHT_INFO)
#define CFG_CMD_PTZ_POWERUP                     "PowerUp"                   // ̨(Ӧ CFG_PTZ_POWERUP_INFO)
#define CFG_CMD_AUDIO_MIX_CHANNEL               "AudioMixChannel"           // öÿƵͨ(Ӧ CFG_AUDIO_MIX_CHANNEL_INFO_ALL)
#define CFG_CMD_AUDIO_TOUCH                     "AudioTouch"                // б仯(Ӧ CFG_AUDIO_TOUCH_INFO_ALL)
#define	CFG_CMD_VIDEO_MOSAIC                    "VideoMosaic"               // ˵(ӦCFG_VIDEO_MOSAIC_INFO)
#define CFG_CMD_VTH_REMOTE_IPC_INFO             "VTHRemoteIPCInfo"          // VTHԶIPC(Ӧ CFG_VTH_REMOTE_IPC_INFO)ȫֵģͨ
#define CFG_CMD_UNFOCUSDETECT                   "UnFocusDetect"             // 齹(ӦCFG_UNFOCUSDETECT_INFO)
#define	CFG_CMD_MOVE_DETECT                     "MovedDetect"               // (ӦCFG_MOVE_DETECT_INFO)
#define CFG_CMD_FLOODLIGHT                      "Floodlight"                // ƿ(Ӧ CFG_FLOODLIGHT_CONTROLMODE_INFO)
#define CFG_CMD_AIRFAN                          "AirFan"                    // շȿ(Ӧ CFG_AIRFAN_CONTROLMODE_INFO)
#define CFG_CMD_WLAN                            "WLan"                      // WLAN(Ӧ CFG_NETAPP_WLAN)
#define CFG_CMD_SMART_ENCODE                    "SmartEncode"               // Smart H264뷽ʽ(Ӧ CFG_SMART_ENCODE_INFO)
#define CFG_CMD_VEHICLE_HIGH_SPEED              "HighSpeed"                 // ظٱ(Ӧ CFG_VEHICLE_HIGHSPEED_INFO )
#define CFG_CMD_VEHICLE_LOW_SPEED               "LowSpeed"                  // صٱ(Ӧ CFG_VEHICLE_LOWSPEED_INFO )
#define CFG_CMD_PSTN_PERSON_SERVER              "PSTNPersonServer"          // ˵绰ӻ(Ӧ CFG_PSTN_PERSON_SERVER_INFO_ALL )
#define CFG_CMD_ARM_LINK                        "ArmLink"                   // (Ӧ CFG_ARMLINK_INFO )
#define CFG_CMD_CABINLED_TIME_SCHEDULE          "CabinLedTimeSchedule"      // Ledʾƻ(Ӧ CFG_CABINLED_TIME_SCHEDULE)
#define CFG_CMD_PSTN_TESTPLAN                   "PSTNTestPlan"              // PSTN Լƻ(Ӧ CFG_PSTN_TESTPLAN_INFO)
#define CFG_CMD_DEFENCE_ARMMODE                 "DefenceArmMode"            // ʹ(Ӧ CFG_DEFENCE_ARMMODE_INFO)
#define CFG_CMD_SENSORMODE                      "SensorMode"                // ̽װģʽ(Ӧ CFG_SENSORMODE_INFO)
#define CFG_CMD_ALARMLAMP                       "AlarmLamp"                 // (Ӧ CFG_ALARMLAMP_INFO)
#define CFG_CMD_RADAR_SPEED_MEASURE             "RadarSpeedMeasure"         // ״ ¥ר(Ӧ CFG_RADAR_SPEED_MEASURE_INFO)
#define CFG_CMD_VIDEOINDEFOG                    "VideoInDefog"              // ͸(Ӧṹ CFG_VIDEOINDEFOG_LIST)
#define CFG_CMD_RTMP                            "RTMP"                      // RTMP(Ӧṹ CFG_RTMP_INFO)
#define CFG_CMD_AUDIO_OUT_EQUALIZER             "AudioOutEqualizer"         // Ƶ(ӦṹCFG_AUDIO_OUTEQUALIZER_INFO)
#define CFG_CMD_AUDIO_OUT_SUPPRESSION           "AudioOutSuppression"       // Ƶ(ӦṹCFG_AUDIO_SUPPRESSION_INFO)
#define CFG_CMD_AUDIO_IN_CONTROL                "AudioInControl"            // Ƶ(ӦṹCFG_AUDIO_INCONTROL_INFO)
#define CFG_CMD_LASER_DIST_MEASURE              "LaserDistMeasure"          // (Ӧṹ CFG_LASER_DIST_MEASURE_INFO)
#define CFG_CMD_OIL_4G_OVERFLOW                 "Oil4GFlow"                 // ɽ4Gֵģʽ(Ӧṹ CFG_OIL_4G_OVERFLOW_INFO)
#define CFG_CMD_OIL_VIDEOWIDGET_4G_FLOW         "VideoWidget4GFlow"         // ɽ4GOSD(Ӧṹ CFG_OIL_VIDEOWIDGET_4G_FLOW_INFO)
#define CFG_CMD_ATMOSPHERE_OSD                  "AtmosphereOSD"             // Ϣ(Ӧṹ CFG_CMD_ATMOSPHERE_OSD_INFO)
#define CFG_CMD_PARK_SPACE_OUT_LIGHT            "ParkSpaceOutLight"         // ָʾ(Ӧṹ CFG_PARK_SPACE_OUT_LIGHT_INFO)
#define CFD_CMD_VTO_CALL_INFO_EXTEND            "VTOCallInfo"               // VTOչ(ӦṹCFG_VTO_CALL_INFO_EXTEND)
#define CFG_CMD_ACCESS_TEXTDISPLAY              "AccessControlTextDisplay"  // Žʾʾ(Ӧṹ CFG_ACCESS_TEXTDISPLAY_INFO)
#define	CFG_CMD_NETNVR_ENCRYPT                  "NvrEncrypt"                // ʦƵĿϢ漰IPCNVR( CFG_NETNVR_ENCRYPT_INFO )
#define CFG_CMD_LIGHT                           "Light"                     // ƹ豸 (Ӧṹ CFG_LIGHT_INFO)
#define CFG_CMD_CURTAIN                         "Curtain"                   // (Ӧṹ CFG_CURTAIN_INFO)
#define CFG_CMD_FRESH_AIR                       "FreshAir"                  // ·(Ӧṹ CFG_FRESH_AIR_INFO)
#define CFG_CMD_GROUND_HEAT                     "GroundHeat"                // ů(Ӧṹ CFG_GROUND_HEAT_INFO)
#define CFG_CMD_SCENE_MODE                      "SceneMode"                 // 龰ģʽ(Ӧṹ CFG_SCENE_MODE_INFO)
#define CFG_CMD_AIO_APP_CONFIG                  "AIOAppConfig"              // AIOAppConfig(Ӧṹ CFG_AIO_APP_CONFIG_INFO)
#define CFG_CMD_HTTPS                           "Https"                     // Https(Ӧṹ CFG_HTTPS_INFO)
#define CFG_CMD_NETAUTOADAPTORENCODE            "NetAutoAdaptEncode"        // Ӧ(Ӧṹ CFG_NET_AUTO_ADAPT_ENCODE)
#define CFG_CMD_USERLOCKALARM                   "UserLockAlarm"             // ½(Ӧṹ CFG_USERLOCKALARM_INFO)
#define CFG_CMD_STROBOSCOPIC_LAMP               "StroboscopicLamp"          // Ƶ(Ӧṹ CFG_STROBOSCOPIC_LAMP_INFO)
#define CFG_CMD_FREECOMBINATION                 "FreeCombination"           // ɷָģʽĴ CFG_FREECOMBINATION_INFO )
#define CFG_CMD_IOT_INFRARED_DETECT             "IOT_InfraredDetect"        // (ӦṹCFG_IOT_INFRARED_DETECT_INFO)
#define CFG_CMD_IOT_RECORD_HANDLE               "IOT_RecordHandle"          // ¼(ӦṹCFG_IOT_RECORD_HANDLE_INFO)
#define CFG_CMD_IOT_SNAP_HANDLE                 "IOT_SnapHandle"            // ץͼ(ӦṹCFG_IOT_SNAP_HANDLE_INFO)
#define CFG_CMD_PLATFORM_MONITOR_IPC            "PlatformMonitorIPC"        // ƽ̨ԤIPC CFG_PLATFORMMONITORIPC_INFO )
#define CFG_CMD_CALLFORWARD                     "CallForward"               // ת(Ӧṹ CFG_CALLFORWARD_INFO)
#define CFD_CMD_DOORBELLSOUND                   "DoorBellSound"             // (ӦṹCFG_DOOR_BELLSOUND_INFO)
#define CFG_CMD_TELNET                          "Telnet"                    // telnet(ӦṹCFG_TELNET_INFO)
#define CFG_CMD_OSDSYSABNORMAL                  "OSDSysAbnormal"            // ʾ쳣Ϣĵ(Ӧṹ CFG_OSD_SYSABNORMAL_INFO)
#define CFG_CMD_VIDEO_WIDGET2                   "VideoWidget2"              // Ƶ(Ӧṹ CFG_VIDEO_WIDGET2_INFO)
#define CFG_CMD_VIDEOWIDGET_NUMBERSTAT          "VideoWidgetNumberStat"     // ͳƵOSD(Ӧṹ CFG_VIDEOWIDGET_NUMBERSTAT_INFO)
#define CFG_CMD_PRIVACY_MASKING	                "PrivacyMasking"            // ˽ڵ(Ӧṹ CFG_PRIVACY_MASKING_INFO)
#define CFG_CMD_DEVICE_INFO                     "DeviceInfo"                // 豸Ϣ(Ӧṹ CFG_DEVICE_INFO)
#define CFG_CMD_POLICEID_MAP_INFO               "PoliceMap"                 // ԱID豸ͨӳϵϢ(Ӧṹ CFG_POLICEID_MAP_INFO)
#define CFG_CMD_GPS_NOT_ALIGNED                 "GpsNotAligned"             // GPSδλ(Ӧṹ CFG_GPS_NOT_ALIGNED_INFO) 
#define CFG_CMD_WIRELESS_NOT_CONNECTED          "WireLessNotConnected"      // δӣwifi3G/4G(Ӧṹ CFG_WIRELESS_NOT_CONNECTED_INFO)
#define CFG_CMD_MCS_GENERAL_CAPACITY_LOW		"MCSGeneralCapacityLow"		// ΢Ƴ澯(ӦṹCFG_MCS_GENERAL_CAPACITY_LOW)
#define CFG_CMD_MCS_DATA_NODE_OFFLINE			"MCSDataNodeOffline"		// ΢ƴ洢ڵ(ӦṹCFG_MCS_DATA_NODE_OFFLINE)
#define CFG_CMD_MCS_DISK_OFFLINE				"MCSDiskOffline"			// ΢ƴ߸澯(ӦṹCFG_MCS_DISK_OFFLINE)
#define CFG_CMD_MCS_DISK_SLOW					"MCSDiskSlow"				// ΢ƴ̱澯(ӦṹCFG_MCS_DISK_SLOW)
#define CFG_CMD_MCS_DISK_BROKEN					"MCSDiskBroken"				// ΢ƴ𻵸澯(ӦṹCFG_MCS_DISK_BROKEN)
#define CFG_CMD_MCS_DISK_UNKNOW_ERROR			"MCSDiskUnknowError"		// ΢ƴδ֪澯(ӦṹCFG_MCS_DISK_UNKNOW_ERROR)
#define CFG_CMD_MCS_METADATA_SERVER_ABNORMAL	"MCSMetadataServerAbnormal" // ΢Ԫݷ쳣澯(ӦṹCFG_MCS_METADATA_SERVER_ABNORMAL)
#define CFG_CMD_MCS_CATALOG_SERVER_ABNORMAL		"MCSCatalogServerAbnormal"	// ΢Ŀ¼쳣澯(ӦṹCFG_MCS_CATALOG_SERVER_ABNORMAL)
#define CFG_CMD_MCS_GENERAL_CAPACITY_RESUME		"MCSGeneralCapacityResume"	// ΢Ƴ澯ָ澯(ӦṹCFG_MCS_GENERAL_CAPACITY_RESUME)
#define CFG_CMD_MCS_DATA_NODE_ONLINE			"MCSDataNodeOnline"			// ΢ƴ洢ڵ߸澯(ӦṹCFG_MCS_DATA_NODE_ONLINE)
#define CFG_CMD_MCS_DISK_ONLINE					"MCSDiskOnline"				// ΢ƴ߸澯(ӦṹCFG_MCS_DISK_ONLINE)
#define CFG_CMD_MCS_METADATA_SLAVE_ONLINE		"MCSMetadataSlaveOnline"	// ΢Ԫݱ߸澯(ӦṹCFG_MCS_METADATA_SLAVE_ONLINE)
#define CFG_CMD_MCS_CATALOG_SERVER_ONLINE		"MCSCatalogServerOnline"	// ΢Ŀ¼߸澯(ӦṹCFG_MCS_CATALOG_SERVER_ONLINE)
#define CFG_CMD_SECURITY_ALARMS_PRIVACY         "SecurityAlarmsPrivacy"     // SecurityAlarmsͻƹܣ˽(ӦṹCFG_SECURITY_ALARMS_PRIVACY)
#define CFG_CMD_NO_FLY_TIME                     "NoFlyTime"                 // ˻ʱ ( Ӧṹ CFG_NO_FLY_TIME_INFO )
#define CFG_CMD_PWD_RESET                       "PwdReset"                  // ùʹ ( Ӧṹ CFG_PWD_RESET_INFO )
#define	CFG_CMD_NET_MONITOR_ABORT				"NetMonitorAbort"			// Ԥж¼( Ӧṹ CFG_NET_MONITOR_ABORT_INFO )
#define CFG_CMD_LOCAL_EXT_ALARM                 "LocalExtAlarm"             // չ ( Ӧṹ CFG_LOCAL_EXT_ALARME_INFO )
#define CFG_CMD_ACCESSCONTROL_DELAYSTRATEGY     "DelayStrategy"             // ŽǷԤǷ״̬(Ӧṹ CFG_ACCESSCONTROL_DELAYSTRATEGY)
#define	CFG_CMD_VIDEO_TALK_PHONE_BASIC			"VideoTalkPhoneBasic"		// ƵԽ绰( Ӧṹ CFG_VIDEO_TALK_PHONE_BASIC_INFO )
#define CFG_CMD_APP_EVENT_LANGUAGE				"AppEventLanguage"			// ֻϢķĿ(Ӧṹ CFG_APP_EVENT_LANGUAGE_INFO )
#define CFG_CMD_LOGIN_FAILURE_ALARM				"LoginFailureAlarm"			// ½ʧܱ(Ӧṹ CFG_LOGIN_FAILURE_ALARM)
#define CFG_CMD_DROPBOXTOKEN                    "DropBoxToken"              // Dropbox Token ( Ӧṹ CFG_DROPBOXTOKEN_INFO)
#define CFG_CMD_IDLINGTIME						"IdlingTime"				// (Ӧṹ CFG_IDLINGTIME_INFO) 
#define CFG_CMD_CARDIVERSTATE					"CarDiverState"				// ʻ״̬(Ӧṹ CFG_CARDIVERSTATE_INFO)
#define CFG_CMD_VEHICLE							"Vehicle"					// (Ӧṹ CFG_VEHICLE_INFO)
#define CFG_CMD_PTZDEVICE                       "PtzDevice"                 // ģ̨( Ӧṹ CFG_PTZDEVICE_INFO)
#define CFG_CMD_DEVLOCATION                     "DevLocation"               // 豸װλõGPSϢ( Ӧṹ CFG_DEVLOCATION_INFO)
#define CFG_CMD_SMARTHOME_SCENELIST				"SmartHomeSceneList"		//ĵزܼҾӳб(ӦṹCFG_SMARTHOME_SCENELIST_INFO)
#define CFG_CMD_LIGHTING_V2						"Lighting_V2"				//ȫ(Ӧṹ CFG_LIGHTING_V2_INFO)
#define CFG_CMD_KBUSER_PASSWORD					"KbuserPassword"            // ̲Աû(ӦṹCFG_KBUSER_USERS_INFO)
#define	CFG_CMD_ACCESS_OEM						"AccessOEMSettings"			//нŽϢãӦṹCFG_ACCESS_OEM_INFO
#define CFG_CMD_FIRE_WARNING_EXT				"FireWarningExt"			// չӦṹCFG_FIREWARNING_EXT_INFO
#define CFG_CMD_LOCATION_CALIBRATE				"LocationCalibrate"			// 豸궨(ӦṹCFG_LOCATION_CALIBRATE_INFO)
#define	CFG_CMD_THERM_DENOISE					"ThermDenoise"				//ȳеĻо룬ӦṹCFG_THERM_DENOISE
#define	CFG_CMD_CONSTANT_LAMP					"ConstantLamp"				//ܽͨƹãӦṹCFG_CONSTANT_LAMP_INFO
#define	CFG_CMD_TRAFFIC_IO					    "TrafficIO"				    //ȦIOãӦṹCFG_TRAFFIC_IO
#define	CFG_CMD_MONITOR_WALL_COLLECTION_MAP		"MonitorWallCollectionMap"  // ǽԤ,ӦṹCFG_MONITOR_WALL_COLLECTION_MAP_INFO,ִֻ֧ͨ-1
#define	CFG_CMD_VIDEO_INPUT_GROUP		        "VideoInputGroup"           // Ƶ,ӦṹCFG_VIDEO_INPUT_GROUP_INFO 
#define	CFG_CMD_DOOR_NOT_CLOSE					"DoorNotClosed"				// δرӦṹ CFG_DOOR_NOT_CLOSE_INFO
#define	CFG_CMD_BREAK_IN						"BreakIn"					// 뱨Ӧṹ CFG_BREAK_IN_INFO
#define	CFG_CMD_ANTI_PASSBACK					"AntiPassback"				// ǱرӦṹ CFG_ANTI_PASSBACK_INFO
#define	CFG_CMD_DURESS							"Duress"					// вȱӦṹ CFG_DURESS_INFO
#define	CFG_CMD_MALICIOUS_ACCESSCONTROL			"MaliciousAccessControl"	// ǷαӦṹ CFG_DOOR_MALICIOUS_ACCESSCONTROL_INFO
#define CFG_CMD_REGULATOR_DETECT				"RegulatorDetect"			// ׼Դ쳣Ӧṹ CFG_REGULATOR_DETECT_INFO. ȳͨЧ

#define CFG_CMD_REMOTE_ANALYSEGLOBAL                   "RemoteVideoAnalyseGlobal"        // ԶƵȫ(Ӧ CFG_ANALYSEGLOBAL_INFO)
#define CFG_CMD_REMOTE_ANALYSEMODULE                   "RemoteVideoAnalyseModule"        // Զļģ(Ӧ CFG_ANALYSEMODULES_INFO)
#define CFG_CMD_REMOTE_ANALYSERULE                     "RemoteVideoAnalyseRule"          // ԶƵ(Ӧ CFG_ANALYSERULES_INFO)


#define CFG_CMD_INFRARED_CONFIG                        "InfraredSet"                     // ⹦ (Ӧ CFG_INFRARED_INFO, ֳ豸ʹ)
#define CFG_CMD_ACCESS_DOOR_STATUS				"AccessDoorStatus"			// ʱӦ״̬ Žˢʱ(CFG_ACCESS_TIMESCHEDULE_INFO)ʹ Ӧ(CFG_ACCESS_DOORSTATUS_INFO)
#define CFG_CMD_UPNP							"UPnP"						// UPnP(ӦCFG_UPNP_INFO)
/************************************************************************
 **   ӦCLIENT_QueryNewSystemInfo/CLIENT_QueryNewSystemInfoEx
 ***********************************************************************/

#define CFG_CAP_CMD_VIDEOANALYSE                "devVideoAnalyse.getCaps"                   // Ƶ(Ӧ CFG_CAP_ANALYSE_INFO, pExtendInfo Ӧ CFG_CAP_ANALYSE_REQ_EXTEND_INFO)
#define CFG_CAP_CMD_VIDEOANALYSE_EX             "devVideoAnalyse.getCapsEx"                 // Ƶ(ӦCFG_CAP_ANALYSE_INFO_EX)
#define CFG_CAP_CMD_REMOTE_VIDEOANALYSE         "devRemoteVideoAnalyse.getCaps"             // ԶƵ(ӦCFG_CAP_ANALYSE_INFO)
#define CFG_NETAPP_REMOTEDEVICE	                "netApp.getRemoteDeviceStatus"              // ȡ豸ĵ״̬(ӦCFG_REMOTE_DEVICE_STATUS)
#define CFG_CAP_CMD_PRODUCTDEFINITION           "magicBox.getProductDefinition"             // 豸Ϣ(Ӧ CFG_PRODUCT_DEFINITION_INFO)
#define CFG_DEVICE_CAP_CMD_VIDEOANALYSE         "intelli.getVideoAnalyseDeviceChannels"     // 豸ܷ(ӦCFG_CAP_DEVICE_ANALYSE_INFO)豸
#define CFG_DEVICE_CAP_NEW_CMD_VIDEOANALYSE     "devVideoAnalyse.factory.getCollect"        // 豸ܷ(ӦCFG_CAP_DEVICE_ANALYSE_INFO)
#define CFG_CAP_CMD_CPU_COUNT                   "magicBox.getCPUCount"                      // CPU ڲδʵ
#define CFG_CAP_CMD_CPU_USAGE                   "magicBox.getCPUUsage"                      // ȡCPUռ ڲδʵ
#define CFG_CAP_CMD_MEMORY_INFO                 "magicBox.getMemoryInfo"                    // ڴ ڲδʵ
#define	CFG_CAP_CMD_DEVICE_CLASS 				"magicBox.getDeviceClass"					// ȡ豸(ӦCFG_DEVICE_CLASS_INFO)
#define CFG_CAP_CMD_DEVICE_STATE                "trafficSnap.getDeviceStatus"               // ȡ豸״̬Ϣ (ӦCFG_CAP_TRAFFIC_DEVICE_STATUS)
#define CFG_CAP_CMD_VIDEOINPUT                  "devVideoInput.getCaps"                     // Ƶ(ӦCFG_CAP_VIDEOINPUT_INFO)
#define CFG_USERMANAGER_ACTIVEUSER              "userManager.getActiveUserInfoAll"          // õлûϢ(Ӧ CFG_ACTIVEALLUSER_INFO)
#define CFG_CAP_VIDEOSTAT_SUMMARY               "videoStatServer.getSummary"                // ȡƵͳժҪϢ(ӦCFG_VIDEOSATA_SUMMARY_INFO)
#define CFG_CAP_CMD_VIDEODIAGNOSIS_SERVER       "videoDiagnosisServer.getCaps"              // ȡƵϷ(CFG_VIDEODIAGNOSIS_CAPS_INFO)
#define CFG_CMD_VIDEODIAGNOSIS_GETCOLLECT       "videoDiagnosisServer.factory.getCollect"   // ȡƵͨĿ(CFG_VIDEODIAGNOSIS_GETCOLLECT_INFO)
#define CFG_CMD_VIDEODIAGNOSIS_GETSTATE         "videoDiagnosisServer.getState"             // ȡƵϽ״̬(CFG_VIDEODIAGNOSIS_STATE_INFO)
#define CFG_CAP_CMD_SERVICE_LIST                "system.listService"                        //ȡֵ֧ķб(CFG_DEV_SERVICE_LIST)
#define CFG_CAP_CMD_EVENTHANDLER                "capsManager.get&EventManagerEventHandler"  // ȡ(CFG_CAP_EVENTHANDLER_INFO)
#define CFG_CAP_ALARM                           "alarm.getAlarmCaps"                        // ȡ(CFG_CAP_ALARM_INFO)
#define CFG_CAP_CMD_AUDIO_ANALYSE               "devAudioAnalyse.getCaps"                   // ȡƵ(CFG_CAP_AUDIO_ANALYSE_INFO)
#define CFG_CMD_MASTERSLAVE_GETCOLLECT          "masterSlaveTracker.factory.getCollect"     // ȡʽͨĿ(ӦṹCFG_MASTERSLAVETRACKER_INFO)
#define CFG_CAP_CMD_MASTERSLAVE                 "capsManager.get&MasterSlaveTracker"        // ȡʽ豸(CFG_CAP_MASTERSLAVE_INFO)
#define CFG_CAP_CMD_FOCUS_STATE                 "devVideoInput.getFocusStatus"              // ȡͷ۽״̬Ϣ (ӦCFG_CAP_FOCUS_STATUS)
#define CFG_CAP_CMD_NETAPP                      "netApp.getCaps"                            // ȡӦ(ӦCFG_CAP_NETAPP)
#define CFG_CAP_CMD_PTZ_ENABLE                  "ptz.factory.instance"                      // ȡ̨֧Ϣ(CFG_CAP_PTZ_ENABLEINFO )
#define CFG_CAP_CMD_RECORD                      "recordManager.getCaps"                     // ȡ¼(CFG_CAP_RECORD_INFO)
#define CFG_CAP_CMD_BURN_MANAGER                "BurnManager.getCaps"                       // ȡ¼( CFG_CAP_BURN_MANAGER)
#define CFG_CAP_CMD_PTZ                         "ptz.getCurrentProtocolCaps"                // ȡ̨(CFG_PTZ_PROTOCOL_CAPS_INFO)
#define CFG_CMD_ENCODE_GETCAPS                  "encode.getCaps"                            // ȡ(CFG_ENCODECAP)
#define CFG_CAP_CMD_VIDEOINPUT_EX               "devVideoInput.getCapsEx"                   // Ƶչ(ӦCFG_CAP_VIDEOINPUT_INFO_EX)
#define CFG_CAP_CMD_ANALYSE_MODE                "intelli.getCaps.AnalyseMode"               // ȡ豸ܷģʽ(Ӧ CFG_ANALYSE_MODE)
#define CFG_CAP_CMD_EVENTMANAGER                "eventManager.getCaps"                      // ȡ豸,Эѷϳ,¿ʹøֶ(CFG_CAP_EVENTMANAGER_INFO)
#define CFG_CAP_CMD_REMOTE_EVENTMANAGER         "RemoteEventManager.getCaps"                // ȡԶ豸¼(Ӧ CFG_CAP_EVENTMANAGER_INFO) 
#define CFG_CAP_CMD_FILEMANAGER	                "FileManager.getCaps"                       // ȡļ(CFG_CAP_FILEMANAGER)
#define	CFG_CAP_CMD_LOG                         "log.getCaps"                               // ȡ־(CFG_CAP_LOG)
#define CFG_CAP_CMD_SPEAK                       "speak.getCaps"                             // (CFG_CAP_SPEAK)
#define CFG_CAP_CMD_ACCESSCONTROLMANAGER        "accessControlManager.getCaps"              // Ž(CFG_CAP_ACCESSCONTROL)
#define CFG_CAP_CMD_EXALARM                     "alarm.getExAlarmCaps"                      // ȡչ, (Ӧṹ CFG_CAP_EXALARM_INFO)
#define CFG_CAP_CMD_EXALARMBOX                  "alarm.getExAlarmBoxCaps"                   // ȡչ, (Ӧṹ CFG_CAP_EXALARMBOX_INFO)
#define CFG_CAP_CMD_RECORDFINDER                "RecordFinder.getCaps"                      // ȡѯ¼, (Ӧṹ CFG_CAP_RECORDFINDER_INFO)
#define CFG_CAP_CMD_ANALOGALARM	                "AnalogAlarm.getCaps"                       // ģͨ(Ӧṹ CFG_CAP_ANALOGALARM)
#define CFG_CAP_CMD_LOWRATEWPAN	                "LowRateWPAN.getCaps"                       // ȡLowRateWPAN(ӦĽṹ CFG_CAP_LOWRATEWPAN)
#define CFG_CAP_CMD_ADAPTENCODE                 "encode.getNAACaps"                         // ȡӦ(ӦĽṹ CFG_CAP_ADAPT_ENCODE_INFO)
#define CFG_CAP_CMD_PTZPROTOCAL	                "ptz.getProtocol"                           // ȡ̨ʵܹʹõЭ飬 (Ӧṹ CFG_CAP_PTZ_PROTOCOL)
#define CFG_CAP_CMD_MEDIACROP                   "encode.getCropCaps"                        // ѯǷ֧Ƶü (Ӧṹ CFG_CAP_MEDIA_CROP)
#define CFG_CAP_CMD_OSDMANAGER					"OSDManager.getCaps"			            // ȡOSD(ӦṹCFG_CAP_OSDMANAGER_INFO)
#define CFG_CAP_CMD_CUSTOM						"OSDManager.getCustomCaps"		            //  ȡԶ(ӦṹCFG_CAP_CUSTOM_OSD_INFO)


/************************************************************************
** ģ  ӦCLIENT_GetVideoInAnalyse
***********************************************************************/
#define CFG_VIDEOINANALYSE_RULE                 "VideoInAnalyse.getTemplateRule"            // ȡܹģĬֵ(ӦṹCFG_ANALYSERULES_INFO)
#define CFG_VIDEOINANALYSE_GLOBAL               "VideoInAnalyse.getTemplateGlobal"          // ȡȫģĬֵ(ӦṹCFG_VIDEOINANALYSE_GLOBAL_INFO)
#define	CFG_VIDEOINANALYSE_MODULE               "VideoInAnalyse.getTemplateModule"          // ȡܼģĬֵ(ӦṹCFG_VIDEOINANALYSE_MODULE_INFO)

///@brief ־
typedef struct tagCFG_CAP_LOG
{
	DWORD		dwMaxLogItems;		// ־
	DWORD		dwMaxPageItems;		// ÿҳ־
	BOOL		bSupportStartNo;	// ѯǷ֧ʼ
	BOOL		bSupportTypeFilter;	// ѯǷ֧͹
	BOOL		bSupportTimeFilter;	// ѯǷ֧ʱ
}CFG_CAP_LOG;


#define MAX_AUDIO_PROPERTY_NUM       32          // Ƶ  
#define MAX_AUDIO_FORMAT_NUM         16          // Ƶʽ 

///@brief Ƶѹʽ
typedef enum EM_TALK_AUDIO_TYPE
{
	EM_TALK_AUDIO_PCM,
	EM_TALK_AUDIO_ADPCM, 
	EM_TALK_AUDIO_G711A, 
	EM_TALK_AUDIO_G711Mu, 
	EM_TALK_AUDIO_G726, 
	EM_TALK_AUDIO_G729, 
	EM_TALK_AUDIO_MPEG2, 
	EM_TALK_AUDIO_AMR, 
	EM_TALK_AUDIO_AAC, 
}EM_TALK_AUDIO_TYPE;

///@brief Ƶ
typedef struct CFG_AUDIO_PROPERTY
{
	int            nBitRate;               // Сλ:kbps192kbps
	int            nSampleBit;             // λ816
	int            nSampleRate;            // ʣλ:Hz44100Hz
}CFG_AUDIO_PROPERTY;

///@brief ֵ֧Ƶʽ
typedef struct CFG_CAP_AUDIO_FORMAT
{
	EM_TALK_AUDIO_TYPE  emCompression;          // ƵѹʽöAV_Talk_Audio_Type
	int		            nPropertyNum;           // ƵԸ
	CFG_AUDIO_PROPERTY  stuProperty[MAX_AUDIO_PROPERTY_NUM]; // Ƶ
}CFG_CAP_AUDIO_FORMAT;

///@brief Ƶ·
typedef struct tagCFG_AUDIO_PLAY_PATH
{
    char           szPath[256];            // ļ·
    BOOL           bSupportUpload;         // Ƿ֧ϴ
    int            nMaxFileUploadNum;      // ֧ϴ, ֧ϴЧ
    int            nMaxUploadFileSize;     // ϴļСλֽ, ֧ϴЧ
} CFG_AUDIO_PLAY_PATH;

///@brief ʱԤ
typedef struct tagCFG_VOICE_PLAY_PLAN
{
	BOOL           bSupport;			// Ƿ֧ʱԤ
	int            nVoiceTaskNum;		// ֧ʱԤ
} CFG_VOICE_PLAY_PLAN;

///@brief 
typedef struct CFG_CAP_SPEAK
{
	int						nAudioCapNum;           // ֵ֧Ƶʽ
	CFG_CAP_AUDIO_FORMAT	stuAudioCap[MAX_AUDIO_FORMAT_NUM]; // ֵ֧Ƶʽ 
    int                     nAudioPlayPathNum;      // Ƶ·
    CFG_AUDIO_PLAY_PATH     stuAudioPlayPath[8];    // Ƶ·
	CFG_VOICE_PLAY_PLAN		stuVoicePlayPlan;		// ʱԤ
}CFG_CAP_SPEAK;

///@brief AccessControlCustomPassword¼ı淽ʽ
typedef enum tagEM_CUSTOM_PASSWORD_ENCRYPTION_MODE
{
	EM_CUSTOM_PASSWORD_ENCRYPTION_MODE_UNKNOWN,			// δ֪ʽ
	EM_CUSTOM_PASSWORD_ENCRYPTION_MODE_PLAINTEXT,		// 
	EM_CUSTOM_PASSWORD_ENCRYPTION_MODE_MD5,				// MD5ܷʽ
}EM_CUSTOM_PASSWORD_ENCRYPTION_MODE;

///@brief Ƿָ֧ƹ
typedef enum tagEM_SUPPORTFINGERPRINT
{
	EM_SUPPORTFINGERPRINT_UNKNOWN,				// δ֪
	EM_SUPPORTFINGERPRINT_NONSUPPORT,			// ָ֧ƹ
	EM_SUPPORTFINGERPRINT_SUPPORT,				// ָ֧ƹ
}EM_SUPPORTFINGERPRINT; 

///@brief ռƻ
typedef struct tagNET_SPECIAL_DAYS_SCHEDULE
{
	BOOL								bSupport;						// Ƿּ֧ռƻ
	int									nMaxSpecialDaysSchedules;		// 豸ֵ֧ƻ
	int									nMaxTimePeriodsPerDay;			// ÿʱ
	int									nMaxSpecialDayGroups;			// 豸ֵ֧
	int									nMaxDaysInSpecialDayGroup;		// ÿļ
	BYTE								byReserved[128];				// ֽ
} NET_SPECIAL_DAYS_SCHEDULE;

///@brief Ƿ֧Žٵ빦
typedef enum tagEM_SUPPORT_FAST_IMPORT_TYPE
{
	EM_SUPPORT_FAST_IMPORT_UNKNOWN	= -1,			// δ֪
	EM_SUPPORT_FAST_IMPORT_NONSUPPORT,				// ֧
	EM_SUPPORT_FAST_IMPORT_SUPPORT,					// ֧
} EM_SUPPORT_FAST_IMPORT_TYPE;

///@brief Ƿ֧Žٸ˹
typedef enum tagEM_SUPPORT_FAST_CHECK_TYPE
{
	EM_SUPPORT_FAST_CHECK_UNKNOWN = -1,				// δ֪
	EM_SUPPORT_FAST_CHECK_NONSUPPORT,				// ֧
	EM_SUPPORT_FAST_CHECK_SUPPORT,					// ֧
} EM_SUPPORT_FAST_CHECK_TYPE;

///@brief ֵ֧ݿƷʽ
typedef enum tagEM_SUPPORT_LIFT_CONTROL_TYPES
{
	EM_SUPPORT_LIFT_CONTROL_TYPES_UNKNOWN ,                            // δ֪
	EM_SUPPORT_LIFT_CONTROL_TYPES_LOCAL485,                            // 485Эݿطʽ
	EM_SUPPORT_LIFT_CONTROL_TYPES_LINKMAINVTO,                         // ſڻſڽ
	EM_SUPPORT_LIFT_CONTROL_TYPES_LINkLIFTCONTROLHOST,                 // ݿ
}EM_SUPPORT_LIFT_CONTROL_TYPES;

///@brief Ž
typedef struct tagCFG_CAP_ACCESSCONTROL
{
	int									nAccessControlGroups;			// Ž
    BOOL								bSupAccessControlAlarmRecord;   // Ƿ֧Ž־¼ڼ¼
	EM_CUSTOM_PASSWORD_ENCRYPTION_MODE  emCustomPasswordEncryption;		// AccessControlCustomPassword¼ı淽ʽ
	EM_SUPPORTFINGERPRINT				emSupportFingerPrint;			// Ƿָ֧ƹ
    BOOL								bOnlySingleDoorAuth;            // Ƿֵֻ֧Ȩ()
    BOOL								bAsynAuth;                      // Ƿ֧Ȩ첽      
	NET_SPECIAL_DAYS_SCHEDULE			stSpecialDaysSchedule;			// ռƻ
    BOOL                                bSupportMultiUserMultiTypeAuth; // Ƿֶ֧˶Ͽ
    EM_SUPPORT_FAST_IMPORT_TYPE			bSupportFastImport;				// Ƿ֧Žٵ빦
    EM_SUPPORT_FAST_CHECK_TYPE			bSupportFastCheck;				// Ƿ֧Žٸ˹
	BOOL								bSupportCallLift;				// Ƿ֧ݿع
	EM_SUPPORT_LIFT_CONTROL_TYPES       emSupportLiftControlTypes[32];  // ֵ֧ݿƷʽ͵ļ
	int								    nSupportLiftControlTypesNum;    // ֵ֧ݿطʽ͵Ч
	BOOL								bSupportESD;					// ֧־⹦ 	
	BOOL								bSupportSpecialDaysAlwaysOpenOrClose;//Ƿּ֧ճչ
}CFG_CAP_ACCESSCONTROL;

///@brief Ӧʽö
typedef enum tagEM_SENSE_METHOD
{
    EM_SENSE_UNKNOWN = -1,		// δ֪
	EM_SENSE_DOOR=0,			// Ŵ
	EM_SENSE_PASSIVEINFRA,		// 
	EM_SENSE_GAS,				// 
	EM_SENSE_SMOKING,			// ̸
	EM_SENSE_WATER,				// ˮ
	EM_SENSE_ACTIVEFRA,			//  
	EM_SENSE_GLASS,				// 
	EM_SENSE_EMERGENCYSWITCH,	// 
	EM_SENSE_SHOCK,				// 
	EM_SENSE_DOUBLEMETHOD,		// ˫(+΢)
	EM_SENSE_THREEMETHOD,		// 
	EM_SENSE_TEMP,				// ¶
	EM_SENSE_HUMIDITY,			// ʪ
    EM_SENSE_WIND,				// 
	EM_SENSE_CALLBUTTON,		// аť
	EM_SENSE_GASPRESSURE,		// ѹ
	EM_SENSE_GASCONCENTRATION,	// ȼŨ
	EM_SENSE_GASFLOW,			// 
    EM_SENSE_OIL,				// 
    EM_SENSE_MILEAGE,			// 
	EM_SENSE_OTHER,				// 
	EM_SEHSE_CO2,				// ̼Ũȼ
	EM_SEHSE_SOUND,				// 
	EM_SEHSE_PM25,				// PM2.5
	EM_SEHSE_SF6,				// Ũȼ
	EM_SEHSE_O3,				// 
	EM_SEHSE_AMBIENTLIGHT,		// ռ
	EM_SEHSE_INFRARED,			// ⱨ
	EM_SEHSE_TEMP1500,			// 1500¶ȴ
	EM_SEHSE_TEMPDS18B20,		// DS18B20¶ȴ
	EM_SEHSE_HUMIDITY1500,		// 1500ʪȴ
	EM_SEHSE_URGENCYBUTTON,		// ť
	EM_SEHSE_STEAL,				// 
	EM_SEHSE_PERIMETER,			// ܽ
	EM_SEHSE_PREVENTREMOVE,		// 
	EM_SEHSE_DOORBELL,			// 
	EM_SEHSE_ALTERVOLT,			// ѹ
	EM_SEHSE_DIRECTVOLT,		// ֱѹ
	EM_SEHSE_ALTERCUR,			// 
	EM_SEHSE_DIRECTCUR,			// ֱ
	EM_SEHSE_RSUGENERAL,		// ͨģ
	EM_SEHSE_RSUDOOR,			// ŽӦ
	EM_SEHSE_RSUPOWEROFF,		// ˶ϵӦ
	EM_SEHSE_CURTAINSENSOR,		// Ļ
	EM_SEHSE_MOBILESENSOR,		// ƶ
	EM_SEHSE_FIREALARM,			// 
    EM_SEHSE_LOCKTONGUE,        // 
	EM_SENSE_NUM				// ö,ע⣺ֵΪʹ
}EM_SENSE_METHOD;

///@brief ʽ
typedef struct tagCFG_EXALARM_SENSE_METHOD
{
	int                 nSupportSenseMethodNum;								// ֵ֧Ĵʽ
	EM_SENSE_METHOD     emSupportSenseMethod[MAX_ALARM_SENSE_METHOD_NUM];   // ֵ֧Ĵʽ
}CFG_EXALARM_SENSE_METHOD;

///@brief ģͨ
typedef struct tagCFG_CAP_ANALOGALARM 
{
	DWORD						dwLocalNum;										// ģͨ
	DWORD						dwExLocalNum;									// չģͨ
	int							nAnalogAlarmChannelNum;							// ģͨ, Ϊ0ʱʾÿ֧ͨ͵Ĵ
	CFG_EXALARM_SENSE_METHOD	stuAnalogAlarmChannel[MAX_EXALARM_CHANNEL_NUM];	// ͨ
}CFG_CAP_ANALOGALARM;

///@brief ȡLowRateWPANṹ
typedef struct tagCFG_CAP_LOWRATEWPAN
{
	UINT						nMaxPageSize;						// ҳѯĶ
	UINT						n433GatewayCount;					// ȡֵ֧433Ŀ, 0ʾ֧豸
}CFG_CAP_LOWRATEWPAN;

///@brief Ӧ
typedef struct tagCFG_CAP_ADAPT_ENCODE
{
    BOOL        bSupportedNAAEncode;                                // Ӧ ݲ֧
    BOOL        bSupportedIPSmoothness;                             // 豸ƽ
}CFG_CAP_ADAPT_ENCODE;

///@brief ȡӦ
typedef struct tagCFG_CAP_ADAPT_ENCODE_INFO
{
    CFG_CAP_ADAPT_ENCODE    stuMainStream[MAX_VIDEOSTREAM_NUM];	    // 0ͨ¼1-¼2¼
    CFG_CAP_ADAPT_ENCODE	stuExtraStream[MAX_VIDEOSTREAM_NUM];    // 011223
}CFG_CAP_ADAPT_ENCODE_INFO;

///@brief ѯǷ֧Ƶü
typedef struct tagCFG_CAP_MEDIA_CROP
{
	BOOL bExtra1SupportCrop;										// 1ü
	BOOL bExtra2SupportCrop;										// 2ü
}CFG_CAP_MEDIA_CROP;

///@brief osd
typedef struct CFG_CAP_OSDMANAGER_INFO
{
	BOOL					bLineSpacing;						// Ƿ֧OSDм࣬ѡ
	BOOL					bSysAbnormal;						// Ƿ֧쳣Ϣʾ
	BOOL					bNetAbort;							// ǷʾϿ
	BOOL					bIPConflict;						// ǷʾIPͻ
	BOOL					bVoltageStatus;						// Ƿʾѹ쳣
	BOOL					bSDHotPlug;							// ǷʾSD롢γ 쳣
	BOOL					bSDLowSpace;						// ǷʾSDռ䲻
	BOOL					bSDFailure;							// ǷʾSD
	BOOL					bDestroy;							// Ƿʾƻ
	BOOL					bOvercurrent;						// Ƿʾ⹩
	BOOL					bTaskName;							// Ƿֶ֧
	unsigned int			nMaxSize;							// ͼƬֽ,λֽ
	unsigned int			nMaxWidth;							// ͼƬ, λ
	unsigned int			nMaxHeight;							// ͼƬ߶, λ
} CFG_CAP_OSDMANAGER_INFO;

///@brief Զ
typedef struct tagCFG_CAP_CUSTOM_OSD_INFO
{
	BOOL			abGeography;			// bGeographyǷЧ
	BOOL			bGeography;				//Ƿֵ֧Ϣ

	BOOL			abTitleLine;			// nTitleLineǷЧ
	unsigned int	nTitleLine;				// Ϣ, ĬΪ5
} CFG_CAP_CUSTOM_OSD_INFO;

///@brief Ӧó, EM_SCENE_CLASS_TYPEһ
typedef enum tagEM_SCENE_TYPE
{
	EM_SCENE_UNKNOW,			// δ֪
	EM_SCENE_NORMAL,			// "Normal" ͨ
	EM_SCENE_TRAFFIC,			// "Traffic" ͨ
	EM_SCENE_TRAFFIC_PATROL,	// "TrafficPatrol" ͨѲ
	EM_SCENE_FACEDETECTION,		// "FaceDetection" /Ŀʶ
	EM_SCENE_ATM,				// "ATM"
	EM_SCENE_INDOOR,			// "Indoor"  Ϊͨͬڳ㷨Ż
	EM_SCENE_FACERECOGNITION,	// "TargetRecognition" Ŀʶ
	EM_SCENE_PS,			
	EM_SCENE_NUMBERSTAT,		// "NumberStat" ͳ
	EM_SCENE_HEAT_MAP,			// "HeatMap" ȶͼ
	EM_SCENE_VIDEODIAGNOSIS,	// "VideoDiagnosis" Ƶ
	EM_SCENE_VEHICLEANALYSE,	// "VehicleAnalyse" 
	EM_SCENE_COURSERECORD,		// "CourseRecord" Զ¼
	EM_SCENE_VEHICLE,			// "Vehicle" س(ҵãͬܽͨTraffic)
	EM_SCENE_STANDUPDETECTION,	// "StandUpDetection" 
	EM_SCENE_GATE,				// "Gate" 
	EM_SCENE_SDFACEDETECTION,	// "SDFaceDetect"  Ԥõ⣬һ򵫿ڲͬԤõЧ
	EM_SCENE_HEAT_MAP_PLAN,		// "HeatMapPlan" ȶͼƻ
	EM_SCENE_NUMBERSTAT_PLAN,	// "NumberStatPlan"	ͳƼƻ
	EM_SCENE_ATMFD,				// "ATMFD"⣬쳣ͷATMŻ
	EM_SCENE_HIGHWAY,			// "Highway" ٽͨ¼
	EM_SCENE_CITY,				// "City" нͨ¼
	EM_SCENE_LETRACK,			// "LeTrack" ü׸
	EM_SCENE_SCR,				// "SCR"
	EM_SCENE_STEREO_VISION,     // "StereoVision"Ӿ(˫Ŀ)
	EM_SCENE_HUMANDETECT,       // "HumanDetect"
	EM_SCENE_FACEANALYSIS,		// "FaceAnalysis" (ͬʱ֧⡢ĿʶԵۺҵ)
	EM_SCENE_XRAY_DETECTION,	// "XRayDetection" X
	EM_SCENE_STEREO_NUMBER,		// "StereoNumber" ˫Ŀͳ
	EM_SCENE_CROWD_DISTRI_MAP,	// "CrowdDistriMap" Ⱥֲͼ
	EM_SCENE_OBJECTDETECT,	    // "ObjectDetect" Ŀ(˻ǵ)
	EM_SCENE_FACEATTRIBUTE,		// "FaceAttribute" IVSS
	EM_SCENE_FACECOMPARE,		// "FaceCompare" IVSSĿʶ
	EM_SCENE_STEREO_BEHAVIOR,	// "StereoBehavior" Ϊ(ͳATM)
	EM_SCENE_INTELLICITYMANAGER,// "IntelliCityMgr" ǻ۳ǹ
	EM_SCENE_PROTECTIVECABIN,	// "ProtectiveCabin" գATMڣ
	EM_SCENE_AIRPLANEDETECT,	// "AirplaneDetect" ɻΪ
	EM_SCENE_CROWDPOSTURE,		// "CrowdPosture" Ⱥ̬ƣȺֲͼ
	EM_SCENE_PHONECALLDETECT,	// "PhoneCallDetect"  绰
	EM_SCENE_SMOKEDETECTION,	// "SmokeDetection"   
	EM_SCENE_BOATDETECTION,		// "BoatDetection"	  ֻ
	EM_SCENE_SMOKINGDETECT,		// "SmokingDetect"	  ̼
	EM_SCENE_WATERMONITOR,		// "WaterMonitor"	  ˮ
	EM_SCENE_GENERATEGRAPHDETECTION, // GenerateGraphDetection ͼ
	EM_SCENE_TRAFFIC_PARK,		// "TrafficPark"		ͨͣ
    EM_SCENE_OPERATEMONITOR, 	// "OperateMonitor"     ҵ  
    EM_SCENE_INTELLI_RETAIL,	// "IntelliRetail" ǻ۴
    EM_SCENE_CLASSROOM_ANALYSE,	// "ClassroomAnalyse" ǻۿ
	EM_SCENE_FEATURE_ABSTRACT, // "FeatureAbstract" ȡ
	EM_SCENE_FACEBODY_DETECT,	// "FaceBodyDetect"
	EM_SCENE_FACEBODY_ANALYSE,	// "FaceBodyAnalyse"ʶ
	EM_SCENE_VEHICLES_DISTRI,	// "VehiclesDistri"ܶ
	EM_SCENE_INTELLI_BREED,     // "IntelliBreed" ǻֳ
	EM_SCENE_INTELLI_PS,   
	EM_SCENE_ELECTRIC_DETECT,   // "ElectricDetect" 
	EM_SCENE_RADAR_DETECT,		// "RadarDetect" ׼
    EM_SCENE_PARKINGSPACE,      // "ParkingSpace" λ
	EM_SCENE_INTELLI_FINANCE,   // "IntelliFinance" ǻ۽
	EM_SCENE_CROWD_ABNORMAL,	// "CrowdAbnormal" 
	EM_SCENE_ANATOMYTEMP_DETECT,// "AnatomyTempDetect" ¼
	EM_SCENE_WEATHER_MONITOR,	// "WeatherMonitor"
	EM_SCENE_ELEVATOR_ACCESS_CONTROL,// "ElevatorAccessControl" Ž
    EM_SCENE_BREAK_RULE_BUILDING,    //  "BreakRuleBuilding"Υ½
    EM_SCENE_PANORAMA_TRAFFIC,    // "PanoramaTraffic"ȫͨ
    EM_SCENE_PORTRAIT_DETECT,    // "PortraitDetect"
	EM_SCENE_CONVEY_OR_BLOCK,	// "ConveyorBlock" ʹ
    EM_SCENE_KITCHEN_ANIMAL,     // "KitchenAnimal" к
    EM_SCENE_ALLSEEINGEYE,       // "AllSeeingEye" 
    EM_SCENE_DRIVE,             // "Drive" ʻΪ
    EM_SCENE_DRIVEASSISTANT,    // "DriveAssistant" ߼ʻϵͳ
    EM_SCENE_INCABINMONITOR,    // "InCabinMonitor" ڼʻռ
    EM_SCENE_BLINDSPOTDETECTION, // "BlindSpotDetection" ä
    EM_SCENE_CONVERYER_BELT,    // "ConveyerBelt" ʹ
    EM_SCENE_INTELLI_LOGISTICS,   // "IntelliLogistics"  ǻ
	EM_SCENE_SMOKE_FIRE,        // "SmokeFire" ̻
	EM_SCENE_OBJECT_MONITOR,    // "ObjectMonitor" Ʒ
	EM_SCENE_FIRE_FACILITIES,    // "FireFacilities" ʩ
	EM_SCENE_FIRE_CONTROL,		//  "IntelliFireControl" ǻ
	EM_SCENE_INTELLI_PARKING,    // "IntelliParking" ͣ
	EM_SCENE_FINANCE_REGULATION,		// "FinanceRegulation" ڳ
	EM_SCENE_ENERGY,                    // "Energy" ǻԴ
	EM_SCENE_FIRE_CONTROL_EX,			// "FireControl" ǻ
	EM_SCENE_ANIMAL_DETECTION,			// "AnimalDetection" 
	EM_SCENE_FIRE_CONTROL_MONITOR,		// "FireControlMonitor" 𾯼
	EM_SCENE_PROTECTIVE_SUIT,         // "ProtectiveSuit" 
	EM_SCENE_FISH_MONITOR,				// "FishMonitor" Ⱥ
}EM_SCENE_TYPE;

 /************************************************************************
 ** fAnalyzerDataصdwDataTypeͶ
 ***********************************************************************/
#define    TYPE_CB_VIDEOSTAT            0x1000000      // صƵϢժҪͣӦṹΪCFG_VIDEOSATA_SUMMARY_INFO 
#define    TYPE_CB_ANARULES             0x1000001      // صƵͨӦ¼ͣӦṹΪCFG_ANALYSERULES_INFO
#define    TYPE_CB_VIDEOSYNOPSIS        0x1000002	   // صŨƵ֡ӦṹDH_MSG_OBJECT
#define	   TYPE_CB_TRAFFICFLOWINFO      0x1000003	   // صͨϢӦṹDEV_EVENT_TRAFFIC_FLOWSTAT_INFO	
#define    TYPE_CB_TRAFFICFLOWRULE      0x1000004      // صͨϢӦṹ CFG_TRAFFIC_FLOWSTAT_INFO 
#define    TYPE_CB_VIDEOSYNOPSIS_RULE   0x1000005      // صŨƵĹϢӦṹ NET_VIDEOSYNOPSISRULE_INFO
	
/************************************************************************
 ** Ϣ(ÿṹ嶼Ϣֲͬ豸汾Ͳͬͺ豸)
 ***********************************************************************/
///@brief Э汾Ϣ
typedef enum 
{
	CFG_PROTOCOL_VERSION_2 = 2,						// Э
	CFG_PROTOCOL_VERSION_3 = 3						// Э
}EM_PROTOCOL_VERSION;

///@brief Ƶͨ
typedef struct CFG_RemoteDeviceVideoInput 
{
	BOOL			bEnable;
	char			szName[MAX_DEVICE_NAME_LEN];
	char			szControlID[MAX_DEV_ID_LEN_EX];
	char			szMainUrl[MAX_PATH];			// urlַ
	char			szExtraUrl[MAX_PATH];			// urlַ
	int				nServiceType;					// , 0-TCP, 1-UDP, 2-MCAST, -1-AUTO
}CFG_RemoteDeviceVideoInput;

///@brief Զ豸
typedef struct AV_CFG_RemoteDevice 
{
	AV_int32			nStructSize;
	AV_BOOL				bEnable;						// ʹ
	char				szID[AV_CFG_Device_ID_Len];		// 豸ID
	char				szIP[AV_CFG_IP_Address_Len];	// 豸IP
	AV_int32			nPort;							// ˿
	char				szProtocol[AV_CFG_Protocol_Len];// Э
	char				szUser[AV_CFG_User_Name_Len];	// û
	char				szPassword[AV_CFG_Password_Len];// 
	char				szSerial[AV_CFG_Serial_Len];	// 豸к
	char				szDevClass[AV_CFG_Device_Class_Len];// 豸
	char				szDevType[AV_CFG_Device_Type_Len];	// 豸ͺ
	char				szName[AV_CFG_Device_Name_Len];	// 
	char				szAddress[AV_CFG_Address_Len];	// ص
	char				szGroup[AV_CFG_Group_Name_Len];	// 
	AV_int32			nDefinition;					// , 0-, 1-
	AV_int32			nVideoChannel;					// Ƶͨ
	AV_int32			nAudioChannel;					// Ƶͨ
	AV_int32            nRtspPort;                      // Rtsp˿ں
	char                szVendor[MAX_PATH];             // 豸
	CFG_RemoteDeviceVideoInput *pVideoInput;            // ƵͨûnMaxVideoInputsCFG_RemoteDeviceVideoInputռ
	int                 nMaxVideoInputs;
	int                 nRetVideoInputs;
	int					nHttpPort;						// http˿ں
														// 3Ϊʽ뷽ʽ
	AV_BOOL				bGB28181;						// Ƿйʽ뷽ʽ
	int					nDevLocalPort;					// 豸ض˿
	char				szDeviceNo[AV_CFG_DeviceNo_Len];// 豸
	int					nLoginType;						// ¼ʽ 0 : TCPֱ(ĬϷʽ)  6 : ע  7 : P2Pʽ˷ʽʱͨSerialNo豸ͨP2P
    char                szVersion[32];                  // 豸汾
	BOOL				bPoE;							// ǷPoE˿, ѡΪֻ, ֻ豸޸
	UINT				nPoEPort;						// PoE˿ں, ѡΪֻ, ֻ豸޸
	char				szMac[18];						// 豸macַð+д
}AV_CFG_RemoteDevice;

//-----------------------------ͼͨ-------------------------------

///@brief 
typedef enum tagCFG_IMAGE_QUALITY
{
	IMAGE_QUALITY_Q10 = 1,							// ͼ10%
	IMAGE_QUALITY_Q30,								// ͼ30%
	IMAGE_QUALITY_Q50,								// ͼ50%
	IMAGE_QUALITY_Q60,								// ͼ60%
	IMAGE_QUALITY_Q80,								// ͼ80%
	IMAGE_QUALITY_Q100,								// ͼ100%
} CFG_IMAGE_QUALITY;

///@brief Ƶѹʽ
typedef enum tagCFG_VIDEO_COMPRESSION
{
	VIDEO_FORMAT_MPEG4,								// MPEG4
	VIDEO_FORMAT_MS_MPEG4,							// MS-MPEG4
	VIDEO_FORMAT_MPEG2,								// MPEG2
	VIDEO_FORMAT_MPEG1,								// MPEG1
	VIDEO_FORMAT_H263,								// H.263
	VIDEO_FORMAT_MJPG,								// MJPG
	VIDEO_FORMAT_FCC_MPEG4,							// FCC-MPEG4
	VIDEO_FORMAT_H264,								// H.264
    VIDEO_FORMAT_H265,								// H.265
	VIDEO_FORMAT_SVAC,								// SVAC
} CFG_VIDEO_COMPRESSION;
///@brief Ƶģʽ
typedef enum tatCFG_AUDIO_FORAMT
{
	AUDIO_FORMAT_G711A,                              // G711a
    AUDIO_FORMAT_PCM,                                // PCM
    AUDIO_FORMAT_G711U,                              // G711u
    AUDIO_FORMAT_AMR,                                // AMR
    AUDIO_FORMAT_AAC,                                // AAC
	AUDIO_FORMAT_G726,								 // G.726
	AUDIO_FORMAT_MPEG2_LAYER2,						 // MPEG2-Layer2
	AUDIO_FORMAT_G729,								 // G.729
	AUDIO_FORMAT_G7221,								 // G.722.1
} CFG_AUDIO_FORMAT;

///@brief ģʽ
typedef enum tagCFG_BITRATE_CONTROL
{
	BITRATE_CBR,									// ̶
	BITRATE_VBR,									// ɱ
} CFG_BITRATE_CONTROL;

///@brief H264 뼶
typedef enum tagCFG_H264_PROFILE_RANK
{
	PROFILE_BASELINE = 1,                       // ṩI/P֧֡progressive(ɨ)CAVLC
	PROFILE_MAIN,                               // ṩI/P/B֧֡progressivinterlacedṩCAVLCCABAC
	PROFILE_EXTENDED,                           // ṩI/P/B/SP/SI֧֡progressive(ɨ)CAVLC
	PROFILE_HIGH,                               // FRExtMain_Profile8x8 intra prediction(8x8 ֡Ԥ), custom 
												// quant(Զ), lossless video coding(Ƶ), yuvʽ
}CFG_H264_PROFILE_RANK;

///@brief ֱö
typedef enum tagCFG_CAPTURE_SIZE
{
	IMAGE_SIZE_D1,								// 704*576(PAL)  704*480(NTSC)
	IMAGE_SIZE_HD1,								// 352*576(PAL)  352*480(NTSC)
	IMAGE_SIZE_BCIF,							// 704*288(PAL)  704*240(NTSC)
	IMAGE_SIZE_CIF,								// 352*288(PAL)  352*240(NTSC)
	IMAGE_SIZE_QCIF,							// 176*144(PAL)  176*120(NTSC)
	IMAGE_SIZE_VGA,								// 640*480
	IMAGE_SIZE_QVGA,							// 320*240
	IMAGE_SIZE_SVCD,							// 480*480
	IMAGE_SIZE_QQVGA,							// 160*128
	IMAGE_SIZE_SVGA,							// 800*592
	IMAGE_SIZE_XVGA,							// 1024*768
	IMAGE_SIZE_WXGA,							// 1280*800
	IMAGE_SIZE_SXGA,							// 1280*1024  
	IMAGE_SIZE_WSXGA,							// 1600*1024  
	IMAGE_SIZE_UXGA,							// 1600*1200
	IMAGE_SIZE_WUXGA,							// 1920*1200
	IMAGE_SIZE_LTF,								// 240*192
	IMAGE_SIZE_720,								// 1280*720
	IMAGE_SIZE_1080,							// 1920*1080
	IMAGE_SIZE_1_3M,							// 1280*960
	IMAGE_SIZE_2M,							    // 1872*1408
	IMAGE_SIZE_5M,						   	    // 3744*1408
	IMAGE_SIZE_3M,							    // 2048*1536
	IMAGE_SIZE_5_0M,                            // 2432*2050
	IMAGE_SIZE_1_2M,							// 1216*1024
	IMAGE_SIZE_1408_1024,                       // 1408*1024
	IMAGE_SIZE_8M,                              // 3296*2472
	IMAGE_SIZE_2560_1920,                       // 2560*1920(5M)
	IMAGE_SIZE_960H,                            // 960*576(PAL) 960*480(NTSC)
	IMAGE_SIZE_960_720,                         // 960*720
	IMAGE_SIZE_NHD,							    // 640*360
	IMAGE_SIZE_QNHD,							// 320*180
	IMAGE_SIZE_QQNHD,							// 160*90
	IMAGE_SIZE_NR  
} CFG_CAPTURE_SIZE;

///@brief Ƶʽ
typedef struct tagCFG_VIDEO_FORMAT
{
	// 
	bool				abCompression;
	bool				abWidth;
	bool				abHeight;
	bool				abBitRateControl;
	bool				abBitRate;
	bool				abFrameRate;
	bool				abIFrameInterval;
	bool				abImageQuality;
	bool				abFrameType;
	bool				abProfile;

	// Ϣ
	CFG_VIDEO_COMPRESSION emCompression;			// Ƶѹʽ
	int					nWidth;						// Ƶ
	int					nHeight;					// Ƶ߶
	CFG_BITRATE_CONTROL	emBitRateControl;			// ģʽ
	int					nBitRate;					// Ƶ(kbps)
	float				nFrameRate;					// Ƶ֡
	int					nIFrameInterval;			// I֡(1-100)50ʾÿ49B֡P֡һI֡
	CFG_IMAGE_QUALITY	emImageQuality;				// ͼ
	int					nFrameType;					// ģʽ0DHAV1"PS"
    CFG_H264_PROFILE_RANK emProfile;                // H.264뼶
	int					nMaxBitrate;				// λkbpsרã
} CFG_VIDEO_FORMAT;

///@brief Ƶʽ
typedef struct tagCFG_AUDIO_FORMAT 
{
	// 
	bool				abCompression;
	bool				abDepth;
	bool				abFrequency;
	bool				abMode;
	bool				abFrameType;
	bool				abPacketPeriod;
    bool                abChannels;
    bool                abMix;

	// Ϣ
	CFG_AUDIO_FORMAT	emCompression;				// Ƶѹģʽ
	AV_int32			nDepth;						// Ƶ
	AV_int32			nFrequency;					// ƵƵ
	AV_int32			nMode;						// Ƶģʽ
	AV_int32			nFrameType;					// Ƶģʽ, 0-DHAV, 1-PS
	AV_int32			nPacketPeriod;				// Ƶ, ms
    AV_int32            nChannelsNum;               // Ƶͨİͨб
    AV_uint32           arrChannels[MAX_AUDIOCHANNELS_ARRAY_NUM];   // Ƶͨİͨб
    BOOL                bMix;                       // ǷͬԴ
} CFG_AUDIO_ENCODE_FORMAT;

///@brief Ƶ
typedef struct tagCFG_VIDEOENC_OPT
{
	// 
	bool				abVideoEnable;
	bool				abAudioEnable;
	bool				abSnapEnable;
	bool                abAudioAdd;                 // Ƶ
	bool				abAudioFormat;

	// Ϣ
	BOOL				bVideoEnable;				// Ƶʹ
	CFG_VIDEO_FORMAT	stuVideoFormat;				// Ƶʽ
	BOOL				bAudioEnable;				// Ƶʹ
	BOOL				bSnapEnable;				// ʱץͼʹ
	BOOL                bAudioAddEnable;            // Ƶʹ
	CFG_AUDIO_ENCODE_FORMAT	stuAudioFormat;			// Ƶʽ
} CFG_VIDEOENC_OPT;

///@brief RGBAϢ
typedef struct tagCFG_RGBA
{
	int					nRed;
	int					nGreen;
	int					nBlue;
	int					nAlpha;
} CFG_RGBA;

///@brief Ϣ
typedef struct tagCFG_RECT
{
	int					nLeft;
	int					nTop;
    int					nRight;
    int					nBottom;				
} CFG_RECT;


///@brief 򶥵Ϣ
typedef struct tagCFG_POLYGON
{
	int					nX; //0~8191
	int					nY;		
} CFG_POLYGON;

///@brief Ϣ
typedef struct tagCFG_REGION
{
	int         nPointNum;
	CFG_POLYGON stuPolygon[MAX_POLYGON_NUM];
}CFG_REGION;

///@brief ߵĶ˵Ϣ
typedef struct tagCFG_POLYLINE
{
	int					nX; //0~8191
	int					nY;		
} CFG_POLYLINE;
///@brief ʻ
typedef enum tagCFG_FLOWSTAT_DIRECTION
{
	CFG_DRIVING_DIR_APPROACH ,		//У豸ԽԽ
	CFG_DRIVING_DIR_LEAVE ,				//У豸ԽԽԶ
}CFG_FLOWSTAT_DIRECTION;

#define  CFG_FLOWSTAT_ADDR_NAME			16						//еص
///@brief ͳƳϢ 
typedef struct tagCFG_TRAFFIC_FLOWSTAT_DIR_INFO
{
	CFG_FLOWSTAT_DIRECTION		emDrivingDir;							//ʻ
	char						szUpGoing[CFG_FLOWSTAT_ADDR_NAME];			//еص 
	char						szDownGoing[CFG_FLOWSTAT_ADDR_NAME];		//еص 
}CFG_TRAFFIC_FLOWSTAT_DIR_INFO;

///@brief ·ȼ
typedef enum tagEM_LANE_RANK_TYPE
{
	EM_LANE_RANK_UNKNOWN,			// δ֪
	EM_LANE_RANK_RAPID,				// ·
	EM_LANE_RANK_TRUNK,				// ·
	EM_LANE_RANK_SUBTRUNK,			// θ·
	EM_LANE_RANK_BRANCH,			// ֧·
} EM_LANE_RANK_TYPE;

///@brief Ϣ
typedef struct tagCFG_LANE
{
	int                nLaneId;                           // 
	int                nDirection;                        // (ķ),0- 1- 2- 3- 4- 5- 6- 7-
	CFG_POLYLINE       stuLeftLine[MAX_POLYLINE_NUM];     // 󳵵ߣߵķʾسߵĳΪ󳵵
	int                nLeftLineNum;                      // 󳵵߶
	CFG_POLYLINE       stuRightLine[MAX_POLYLINE_NUM];    // ҳߣߵķʾسұߵĳΪҳ
	int                nRightLineNum;                     // ҳ߶
	int                nLeftLineType;                     // 󳵵ԣ1-ʾʵߣ2- ߣ3- 
	int                nRightLineType;                    // ҳԣ1-ʾʵߣ2- ߣ3- 
	BOOL               bDriveDirectionEnable;             // ʻʹ
	int                nDriveDirectionNum;                     // ʻ 
	char               szDriveDirection[MAX_LIGHT_DIRECTION][MAX_NAME_LEN];  // ʻ"Straight" ֱУ"TurnLeft" ת"TurnRight" ת,"U-Turn":ͷ
	int                nStopLineNum;                      // Ӧֹͣ߶
	CFG_POLYLINE       stuStopLine[MAX_POLYLINE_NUM];     // Ӧֹͣ
	int                nTrafficLightNumber;               // Ӧĺ̵

	bool               abDetectLine;                      // Ӧ
	bool               abPreLine;
	bool               abPostLine;
	BYTE               byReserved[1];

	int                nDetectLine;
	CFG_POLYLINE       stuDetectLine[MAX_POLYLINE_NUM];   // Ӧļ
	int                nPreLine;
	CFG_POLYLINE       stuPreLine[MAX_POLYLINE_NUM];      // Ӧǰ
	int                nPostLine;
	CFG_POLYLINE       stuPostLine[MAX_POLYLINE_NUM];     // Ӧĺ
	CFG_TRAFFIC_FLOWSTAT_DIR_INFO stuTrafficFlowDir;	  // Ϣ
	EM_LANE_RANK_TYPE  emRankType;						  // ·ȼڳͳϱͨ״̬
	UINT			   nRoadwayNumber;					  // ûԶ峵, 1-16
}CFG_LANE;

///@brief ͨ
typedef struct tagCFG_LIGHTATTRIBUTE
{
	BOOL             bEnable;                           // ǰͨǷЧ복ͨ޹صĽͨҪЧ
	int              nTypeNum; 
	char		     szLightType[MAX_LIGHT_TYPE][MAX_NAME_LEN];      // ǰͨݣ:-Red,-Yellow,-Green,ʱ-Countdownĳͨƿʾɫĳֻͨʾʱ
	int              nDirectionNum;
	char             szDirection[MAX_LIGHT_DIRECTION][MAX_NAME_LEN];      // ָͨʾг,"Straight": ֱУ"TurnLeft":ת"TurnRight":ת"U-Turn": ͷ
	int              nYellowTime;                       // Ƶʱ
}CFG_LIGHTATTRIBUTE;

///@brief ͨϢ 
typedef struct tagCFG_LIGHTGROUPS
{
	int                nLightGroupId;                     // 
	CFG_RECT           stuLightLocation;                  // 
	int                nDirection;                        // ķ,1- ˮƽ,2- 鴹ֱ
	BOOL               bExternalDetection;                // ǷΪӺ̵ź,Ӻ̵ʱźΪжݡźÿʱ֪ͨ
	BOOL               bSwingDetection;                   // Ƿ֧Ӧҡڼ,ڷ紵𶯵ĳ£λûһĸƫ㷨м⣬Ӽʱ
	int                nLightNum;                         // нͨƵ
	CFG_LIGHTATTRIBUTE stuLightAtrributes[MAX_LIGHT_NUM]; // иͨƵ

}CFG_LIGHTGROUPS;
///@brief 
typedef enum EM_STAFF_TYPE
{
	EM_STAFF_TYPE_ERR,
		EM_STAFF_TYPE_HORIZONTAL,     // "Horizontal" ˮƽ߶
		EM_STAFF_TYPE_VERTICAL,       // "Vertical" ֱ߶
		EM_STAFF_TYPE_ANY,            // "Any" ߶
		EM_STAFF_TYPE_CROSS,          // "Cross" ֱ潻߶
}EM_STAFF_TYPE;
///@brief 궨
typedef enum EM_CALIBRATEAREA_TYPE
{
	EM_CALIBRATEAREA_TYPE_ERR,
		EM_CALIBRATEAREA_TYPE_GROUD,                         // "Groud" : 棬ҪNֱ߶+Mˮƽ߶ΣN=3M=1N=2M=2չ
		EM_CALIBRATEAREA_TYPE_HORIZONTAL,                    // "Horizontal"  : ˮƽ棬Ҫˮƽһ㵽ͶӰֱ߶Ρ		
		EM_CALIBRATEAREA_TYPE_VERTICAL,                      // "Vertical" : ֱ棬ҪֱĽߡ
		EM_CALIBRATEAREA_TYPE_ANY,                           // "Any" ƽ棬Nֱ߶ΣÿȣN=3չ
}EM_CALIBRATEAREA_TYPE;

///@brief 
typedef enum EM_SEPCIALREGION_PROPERTY_TYPE
{
	EM_SEPCIALREGION_PROPERTY_TYPE_HIGHLIGHT = 1,            // ̼д
	EM_SEPCIALREGION_PROPERTY_TYPE_REGULARBLINK,             // ɵ˸忨д
	EM_SEPCIALREGION_PROPERTY_TYPE_IREGULARBLINK,            // ɵ˸Ļд
	EM_SEPCIALREGION_PROPERTY_TYPE_NUM = 4,
}EM_SEPCIALREGION_PROPERTY_TYPE;


///@brief 
typedef enum EM_FACEDETECTION_TYPE
{
	EM_FACEDETECTION_TYPE_ERR,
	EM_FACEDETECTION_TYPE_SMALLFACE,						//СͣƵеıش17%
	EM_FACEDETECTION_TYPE_LARGEFACE,						//ͣƵеıش33%
	EM_FACEDETECTION_TYPE_BOTH,								//
}EM_FACEDETECTION_TYPE; 
///@brief ֱ
typedef struct tagCFG_STAFF
{
	CFG_POLYLINE       stuStartLocation;      // ʼ
	CFG_POLYLINE       stuEndLocation;        // ֹ
	float                nLenth;              // ʵʳ,λ
	EM_STAFF_TYPE	   emType;                // 
}CFG_STAFF;

///@brief Size
typedef struct tagCFG_SIZE
{
	union
	{
		float				nWidth;			// 
		float				nArea;			// 
	};
	float					nHeight;		// 
	
} CFG_SIZE;

///@brief ڵϢ
typedef struct tagCFG_COVER_INFO
{
	// 
	bool				abBlockType;
	bool				abEncodeBlend;
	bool				abPreviewBlend;

	// Ϣ
	CFG_RECT			stuRect;					// ǵ
	CFG_RGBA			stuColor;					// ǵɫ
	int					nBlockType;					// Ƿʽ0ڿ飬1
	int					nEncodeBlend;				// 뼶ڵ1Ч0Ч
	int					nPreviewBlend;				// Ԥڵ1Ч0Ч
} CFG_COVER_INFO;

///@brief ڵ
typedef struct tagCFG_VIDEO_COVER
{
	int                 nTotalBlocks;						// ֵ֧ڵ
	int					nCurBlocks;							// õĿ
	CFG_COVER_INFO		stuCoverBlock[MAX_VIDEO_COVER_NUM];	// ǵ	
} CFG_VIDEO_COVER;

///@brief OSDϢ
typedef struct tagCFG_OSD_INFO
{
	// 
	bool				abShowEnable;

	// Ϣ
	CFG_RGBA			stuFrontColor;				// ǰɫ
	CFG_RGBA			stuBackColor;				// ɫ
	CFG_RECT			stuRect;					// 
	BOOL				bShowEnable;				// ʾʹ
} CFG_OSD_INFO;

///@brief ɫ
typedef struct tagCFG_COLOR_INFO
{
	int					nBrightness;				// (0-100)
	int					nContrast;					// Աȶ(0-100)
	int					nSaturation;				// Ͷ(0-100)
	int					nHue;						// ɫ(0-100)
	int					nGain;						// (0-100)
	BOOL				bGainEn;					// ʹ
} CFG_COLOR_INFO;

///@brief ͼͨϢ
typedef struct tagCFG_ENCODE_INFO
{
	int                 nChannelID;							// ͨ(0ʼ),ȡʱֶЧʱֶЧ
	char				szChnName[MAX_CHANNELNAME_LEN];		// Чֶ
	CFG_VIDEOENC_OPT	stuMainStream[MAX_VIDEOSTREAM_NUM];	// 0ͨ¼1-¼2¼
	int                 nValidCountMainStream;              // Чĸ
	CFG_VIDEOENC_OPT	stuExtraStream[MAX_VIDEOSTREAM_NUM];// 011223
	int                 nValidCountExtraStream;             // Чĸ
	CFG_VIDEOENC_OPT	stuSnapFormat[MAX_VIDEOSTREAM_NUM];	// ץͼ0ͨץͼ1ץͼ2ץͼ
	int                 nValidCountSnapFormat;              // ץͼЧĸ
	DWORD				dwCoverAbilityMask;					// Чֶ
	DWORD				dwCoverEnableMask;					// Чֶ
	CFG_VIDEO_COVER		stuVideoCover;						// Чֶ
	CFG_OSD_INFO		stuChnTitle;						// Чֶ
	CFG_OSD_INFO		stuTimeTitle;						// Чֶ
	CFG_COLOR_INFO		stuVideoColor;						// Чֶ
	CFG_AUDIO_FORMAT    emAudioFormat;                      // Чֶ
	int					nProtocolVer;						// Э汾, ֻ,ȡʱֶЧʱֶЧ
} CFG_ENCODE_INFO;

///@brief Ƶǰ
typedef struct tagCFG_VIDEO_ENCODECAP
{
	int		nMaxCIFFrame;			// CIF Pֵ֡ λKbits, Ĭֵ40
	int		nMinCIFFrame;			// CIF P֡Сֵ λKbits, Ĭֵ7
    int     nMaxEncodeAudios;       // ֵ֧Ƶ˫Ƶ,Ĭ1
    BYTE    byReserved[4];          // ֽڣֽڶ
}CFG_VIDEO_ENCODECAP;

///@brief ໭Ԥģʽ
typedef enum tagCFG_EM_PREVIEW_MODE
{
    CFG_EM_PREVIEW_MODE_UNKNOWN = 0,        // 
    CFG_EM_PREVIEW_MODE_SNAPSHOT,           // շʽ
    CFG_EM_PREVIEW_MODE_SPLITENCODE,        // ָ뷽ʽ
    CFG_EM_PREVIEW_MODE_SPLITSNAP,          // ָշʽ
}CFG_EM_PREVIEW_MODE;

#define MAX_PREVIEW_MODE_SPLIT_TYPE_NUM     8                           // ໭Ԥڷָ

///@brief 
typedef struct tagCFG_ENCODECAP
{
	int                     nChannelNum;                                // ʵͨ
	CFG_VIDEO_ENCODECAP     stuVideoEncodeCap[MAX_VIDEO_CHANNEL_NUM];	// ͨϢ
    CFG_EM_PREVIEW_MODE     emPreviewMode;                              // ໭Ԥģʽ
    int                     nSplitModeNum;                              // ЧĶ໭Ԥڷָ
    int                     anSplitMode[MAX_PREVIEW_MODE_SPLIT_TYPE_NUM];// ໭ԤڷָϢ, Ϊ1, 4, 6, 8, 9, 16, 25, 36...
                                                                        // -1ʾĬ[1, 4, 8, 9, 16, ģͨ], ΪСģͨNƽ, ģͨ8, Ҳ8
    int                     nAudioFrequence[16];                        // ֵ֧Ƶ
    int                     nAudioFrequenceCount;                       // ֵ֧Ƶʵʵʸ
}CFG_ENCODECAP;

///@brief ˮӡ
typedef struct tagCFG_WATERMARK_INFO 
{
	int                 nChannelID;					// ͨ(0ʼ)
	BOOL				bEnable;					// ʹܿ
	int					nStreamType;				// (1n)0
	int					nDataType;					// ͣ1֣2ͼƬ
	char				pData[MAX_WATERMARK_LEN];	// ַˮӡ
} CFG_WATERMARK_INFO;

///@brief dsp
typedef struct tagCFG_DSPENCODECAP_INFO{
	DWORD				dwVideoStandardMask;	// Ƶʽ룬λʾ豸ֵܹ֧Ƶʽ
	DWORD				dwImageSizeMask;		// ֱ룬λʾ豸ֵܹ֧ķֱ
	DWORD				dwEncodeModeMask;		// ģʽ룬λʾ豸ֵܹ֧ıģʽ
	DWORD				dwStreamCap;			// λʾ豸ֵ֧Ķý幦ܣ
                                             	// һλʾ֧
	                                         	// ڶλʾָ֧1
	                                         	// λʾָ֧2
	                                         	// λʾ֧jpgץͼ
	DWORD				dwImageSizeMask_Assi[32];// ʾΪֱʱֵ֧ĸֱ롣
	DWORD				dwMaxEncodePower;		// DSPֵ֧߱ 
	WORD				wMaxSupportChannel;		// ÿDSP֧Ƶͨ 
	WORD				wChannelMaxSetSync;		// DSPÿͨǷͬ0ͬ1ͬ
	BYTE				bMaxFrameOfImageSize[256];// ֱͬµɼ֡ʣdwVideoStandardMaskλӦ
	BYTE				bEncodeCap;				// ־ʱҪòЧ
	                                         	// 0ı+ı <= 豸ı
	                                         	// 1ı+ı <= 豸ı
	                                         	// ı <= ı
	                                         	// ķֱ <= ķֱʣ
	                                         	// ͸֡ <= ǰƵɼ֡
	                                         	// 2N5ļ㷽
	                                         	// ķֱ <= ķֱ
												// ѯֵ֧ķֱʺӦ֡
	BYTE				byResolutionNum;			// bResolutionĳ
	BYTE				byResolutionNum_1;		// bResolution_1ĳ
	BYTE				byReserved;
	BYTE				byResolution[256];		//,շֱʽָ֧÷ֱʣbResolution[n]ֵ֧֡.Ϊ0.							
	BYTE				byResolution_1[256];		//1,ͬ˵.
	char				reserved[28];
	BYTE				byImageSize[256];		// ֵ֧ķֱ,μenum CAPTURE_SIZE
	BYTE				byImageSize_Assi[256][256]; //ʾΪֱʱֵ֧ĸֱʣ±ʾֵ֧ķֱֵ
}CFG_DSPENCODECAP_INFO;

///@brief ̨
typedef enum tagEM_PTZ_ACTION {
    EM_PTZ_ACTION_UNKNOWN,                                      // δ֪
    EM_PTZ_ACTION_SCAN,                                         // ɨ
    EM_PTZ_ACTION_PRESET,                                       // Ԥõ
    EM_PTZ_ACTION_PATTERN,                                      // Ѳ
    EM_PTZ_ACTION_TOUR,                                         // Ѳ
} EM_PTZ_ACTION;

//-------------------------------¼---------------------------------

///@brief ʱϢ
typedef struct tagCFG_TIME_SECTION 
{
	DWORD				dwRecordMask;						// ¼룬λֱΪBit0-̬¼Bit1-¼Bit2-ʱ¼Bit3-ͱͬʱʱ¼Bit4-¼Bit5-¼Bit6-POS¼Bit7~Bit15
	int					nBeginHour;
	int					nBeginMin;
	int					nBeginSec;
	int					nEndHour;
	int					nEndMin;
	int					nEndSec;
} CFG_TIME_SECTION;

///@brief ʱϢ
typedef struct tagCFG_TIME_SCHEDULE
{
    BOOL                bEnableHoliday;                     // Ƿֽ֧ڼãĬΪ֧֣ǻȡú󷵻ΪTRUEҪʹܼ
	CFG_TIME_SECTION	stuTimeSection[MAX_TIME_SCHEDULE_NUM][MAX_REC_TSECT]; // һάǰ7ԪضӦÿ7죬8ԪضӦڼգÿ6ʱ
} CFG_TIME_SCHEDULE;

///@brief ʵʱ֡,EVS
typedef struct tagCFG_BACKUP_LIVE_INFO
{  
    BOOL                bEnable;                                        // Ƿ֡   
    int                 nBackupRate;                                    // ֡ݱʣΪ0ʾֻI֡±ʾI֡ԼP֡
                                                                        // λٷֱ
                                                                        // GOPΪ5020ʾ50*20%=10֡(1I֡9P֡)Сȡ              
    CFG_TIME_SECTION    stuTimeSection;                                 // ֡ʱ
} CFG_BACKUP_LIVE_INFO;

///@brief ʱ¼Ϣ
typedef struct tagCFG_RECORD_INFO
{
	int                 nChannelID;					// ͨ(0ʼ)
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT]; // ʱ
	int					nPreRecTime;				// Ԥ¼ʱ䣬Ϊʱʾر(0~300)
	BOOL				bRedundancyEn;				// ¼࿪
	int					nStreamType;				// 0112233
	int					nProtocolVer;				// Э汾, ֻ

	// 
	BOOL				abHolidaySchedule;          // ΪtrueʱмϢbHolidayEnstuHolTimeSectionЧ;
    BOOL                bHolidayEn;                 // ¼ʹTRUE:ʹ,FALSE:δʹ
    CFG_TIME_SECTION    stuHolTimeSection[MAX_REC_TSECT];          // ¼ʱ
    int                      nBackupLiveNum;                // ʵʱ֡ø
    CFG_BACKUP_LIVE_INFO     stuBackupLiveInfo[8];          // ʵʱ֡,EVS
	BOOL                     bSaveVideo;                    // Ƿ¼Ƶ֡
	BOOL						bSaveAudio;					// ¼ʱǷ񱣴Ƶ
} CFG_RECORD_INFO;

//----------------------------------------------------------------

///@brief ̨
typedef enum tagCFG_LINK_TYPE
{
	LINK_TYPE_NONE,						    		// 
	LINK_TYPE_PRESET,								// Ԥõ
	LINK_TYPE_TOUR,									// Ѳ
	LINK_TYPE_PATTERN,								// 켣
} CFG_LINK_TYPE;

///@brief ̨Ϣ
typedef struct tagCFG_PTZ_LINK
{
	CFG_LINK_TYPE		emType;						// 
	int					nValue;						// ȡֱֵӦԤõţѲŵȵ
} CFG_PTZ_LINK;

///@brief ̨Ϣչ
typedef struct tagCFG_PTZ_LINK_EX
{
	CFG_LINK_TYPE	emType;				//  
	int			    nParam1;			// 1
	int			    nParam2;            // 2
	int			    nParam3;            // 3
	int			    nChannelID;         // ̨ͨ
} CFG_PTZ_LINK_EX;


///@brief ¼ݽṹ
typedef struct tagCFG_EVENT_TITLE
{
	char				szText[MAX_CHANNELNAME_LEN];
	CFG_POLYGON			stuPoint;			// Ͻ, 0-8191ϵ
	CFG_SIZE     		stuSize;			// ĿȺ͸߶,0-8191ϵĳΪ0ʾӦ
    CFG_RGBA			stuFrontColor;		// ǰɫ
    CFG_RGBA			stuBackColor;		// ɫ
} CFG_EVENT_TITLE;

///@brief ʼ
typedef enum tagCFG_ATTACHMENT_TYPE
{
		ATTACHMENT_TYPE_PIC,							// ͼƬ
		ATTACHMENT_TYPE_VIDEO,							// Ƶ
		ATTACHMENT_TYPE_NUM,							// 
} CFG_ATTACHMENT_TYPE;
///@brief ʼϸ
typedef struct tagCFG_MAIL_DETAIL
{
	   CFG_ATTACHMENT_TYPE emAttachType;                 // 
       int                 nMaxSize;                     // ļСޣλkB
       int                 nMaxTimeLength;               // ¼ʱ䳤ȣλ룬videoЧ
}CFG_MAIL_DETAIL;

///@brief ָģʽ
typedef enum tagCFG_SPLITMODE
{
	    SPLITMODE_1  = 1,						// 1
	    SPLITMODE_2  = 2,						// 2
	    SPLITMODE_4 = 4,						// 4
		SPLITMODE_5 = 5,						// 5
		SPLITMODE_6 = 6,						// 6
		SPLITMODE_8 = 8,						// 8
		SPLITMODE_9 = 9,						// 9
		SPLITMODE_12 = 12,				    	// 12
		SPLITMODE_16 = 16,				    	// 16
		SPLITMODE_20 = 20,				    	// 20
		SPLITMODE_25 = 25,					    // 25
		SPLITMODE_36 = 36,					    // 36
		SPLITMODE_64 = 64,					    // 64
		SPLITMODE_144 = 144,					// 144
		SPLITMODE_PIP = 1000,                   // лָģʽֵ
		SPLITMODE_PIP1 = SPLITMODE_PIP + 1,		// лģʽ, 1ȫ+1С洰
		SPLITMODE_PIP3 = SPLITMODE_PIP + 3,		// лģʽ, 1ȫ+3С洰
		SPLITMODE_FREE = SPLITMODE_PIP * 2,	// ɿģʽɴرմڣôλúZ
		SPLITMODE_COMPOSITE_1 = SPLITMODE_PIP * 3 + 1,	// ںԱ1ָ
		SPLITMODE_COMPOSITE_4 = SPLITMODE_PIP * 3 + 4,	// ںԱ4ָ
		SPLITMODE_3  = 10,						// 3
		SPLITMODE_3B = 11,						// 3浹Ʒ
		SPLITMODE_EOF,                          // ʶ
} CFG_SPLITMODE;

///@brief Ѳ
typedef struct tagCFG_TOURLINK
{
	BOOL				bEnable;			             // Ѳʹ
	CFG_SPLITMODE	    emSplitMode;		             // Ѳʱķָģʽ
	int			        nChannels[MAX_VIDEO_CHANNEL_NUM];  // Ѳͨб
	int			        nChannelCount;		             // Ѳͨ
} CFG_TOURLINK;

///@brief Ž
typedef enum EM_CFG_ACCESSCONTROLTYPE
{
	EM_CFG_ACCESSCONTROLTYPE_NULL = 0,					// 
	EM_CFG_ACCESSCONTROLTYPE_AUTO,						// Զ
	EM_CFG_ACCESSCONTROLTYPE_OPEN,						// 
	EM_CFG_ACCESSCONTROLTYPE_CLOSE,						// 
	EM_CFG_ACCESSCONTROLTYPE_OPENALWAYS,				// Զ
	EM_CFG_ACCESSCONTROLTYPE_CLOSEALWAYS,				// Զر
}EM_CFG_ACCESSCONTROLTYPE;

#define MAX_ACCESSCONTROL_NUM	8						// Ž


///@brief з
typedef enum
{
	EM_CALLER_DEVICE = 0,								// 豸
}EM_CALLER_TYPE;

///@brief Э
typedef enum
{
	EM_CALLER_PROTOCOL_CELLULAR = 0,					// ֻʽ
}EM_CALLER_PROTOCOL_TYPE;


///@brief Ϣ
typedef struct tagCFG_TALKBACK_INFO
{
	BOOL				bCallEnable;					// ʹ
	EM_CALLER_TYPE		emCallerType;					// з
	EM_CALLER_PROTOCOL_TYPE	emCallerProtocol;			// Э
}CFG_TALKBACK_INFO;

///@brief 绰Ϣ
typedef struct tagCFG_PSTN_ALARM_SERVER
{
	BOOL				bNeedReport;						// Ƿϱ绰
	int					nServerCount;						// 绰					
	BYTE 				byDestination[MAX_PSTN_SERVER_NUM];	// ϱı±,CFG_PSTN_ALARM_CENTER_INFO
}CFG_PSTN_ALARM_SERVER;

///@brief Ϣ
typedef struct tagCFG_ALARM_MSG_HANDLE
{
	//
	bool				abRecordMask;
	bool				abRecordEnable;
	bool				abRecordLatch;
	bool				abAlarmOutMask;
	bool				abAlarmOutEn;
	bool				abAlarmOutLatch;	
	bool				abExAlarmOutMask;
	bool				abExAlarmOutEn;
	bool				abPtzLinkEn;
	bool				abTourMask;
	bool				abTourEnable;
	bool				abSnapshot;
	bool				abSnapshotEn;
	bool				abSnapshotPeriod;
	bool				abSnapshotTimes;
	bool				abTipEnable;
	bool				abMailEnable;
	bool				abMessageEnable;
	bool				abBeepEnable;
	bool				abVoiceEnable;
	bool				abMatrixMask;
	bool				abMatrixEnable;
	bool				abEventLatch;
	bool				abLogEnable;
	bool				abDelay;
	bool				abVideoMessageEn;
	bool				abMMSEnable;
	bool				abMessageToNetEn;
	bool				abTourSplit;
	bool				abSnapshotTitleEn;

    bool                abChannelCount;
	bool                abAlarmOutCount;
	bool                abPtzLinkEx;
	bool                abSnapshotTitle;
	bool                abMailDetail;
	bool                abVideoTitleEn;
	bool                abVideoTitle;
	bool                abTour;
	bool                abDBKeys;
	bool                abJpegSummary;
	bool                abFlashEn;
	bool                abFlashLatch;
	BYTE				byReserved1[2];                             // 


	//Ϣ
	int					nChannelCount;								 // 豸Ƶͨ
	int					nAlarmOutCount;								 // 豸ı
	DWORD				dwRecordMask[MAX_CHANNEL_COUNT];			 // ¼ͨ(λ)
	BOOL				bRecordEnable;								 // ¼ʹ
	int					nRecordLatch;								 // ¼ʱʱ()
	DWORD				dwAlarmOutMask[MAX_CHANNEL_COUNT];			 // ͨ
	BOOL				bAlarmOutEn;								 // ʹ
	int					nAlarmOutLatch;								 // ʱʱ()
	DWORD				dwExAlarmOutMask[MAX_CHANNEL_COUNT];		 // չͨ
	BOOL				bExAlarmOutEn;								 // չʹ
	CFG_PTZ_LINK		stuPtzLink[MAX_VIDEO_CHANNEL_NUM];			 // ̨
	BOOL				bPtzLinkEn;									 // ̨ʹ
	DWORD				dwTourMask[MAX_CHANNEL_COUNT];				 // ѯͨ
	BOOL				bTourEnable;								 // ѯʹ
	DWORD				dwSnapshot[MAX_CHANNEL_COUNT];				 // ͨ
	BOOL				bSnapshotEn;								 // ʹ
	int					nSnapshotPeriod;							 // ()
	int					nSnapshotTimes;								 // Ĵ
	BOOL				bTipEnable;									 // Ϣʾ
	BOOL				bMailEnable;								 // ʼͼƬΪ
	BOOL				bMessageEnable;								  // ϴ
	BOOL				bBeepEnable;							 	  // 
	BOOL				bVoiceEnable;								  // ʾ
	DWORD				dwMatrixMask[MAX_CHANNEL_COUNT];			  // Ƶͨ
	BOOL				bMatrixEnable;								  // Ƶ
	int					nEventLatch;								  // ʼʱʱ()015
	BOOL				bLogEnable;									  // Ƿ¼־
	int					nDelay;										  // ʱʱЧλΪ
	BOOL				bVideoMessageEn;							  // ʾĻƵӵĻ¼ͣͨţʱ
	BOOL				bMMSEnable;									  // Ͳʹ
	BOOL				bMessageToNetEn;							  // Ϣϴʹ
	int					nTourSplit;									  // Ѳʱķָģʽ 0: 1; 1: 8
	BOOL				bSnapshotTitleEn;							  // ǷͼƬ
	int                 nPtzLinkExNum;                                // ̨
	CFG_PTZ_LINK_EX     stuPtzLinkEx[MAX_VIDEO_CHANNEL_NUM];          // չ̨Ϣ
	int                 nSnapTitleNum;                                // ͼƬ
	CFG_EVENT_TITLE     stuSnapshotTitle[MAX_VIDEO_CHANNEL_NUM];      // ͼƬ
	CFG_MAIL_DETAIL     stuMailDetail;                                // ʼϸ
	BOOL                bVideoTitleEn;                                // ǷƵ⣬Ҫָ
    int                 nVideoTitleNum;                               // ƵĿ
	CFG_EVENT_TITLE     stuVideoTitle[MAX_VIDEO_CHANNEL_NUM];         // Ƶ
	int                 nTourNum;                                     // ѯĿ
	CFG_TOURLINK        stuTour[MAX_VIDEO_CHANNEL_NUM];               // ѯ
	int                 nDBKeysNum;			                          // ָݿؼֵЧ
	char                szDBKeys[MAX_DBKEY_NUM][MAX_CHANNELNAME_LEN]; // ָ¼ϸϢҪдݿĹؼ
	BYTE                byJpegSummary[MAX_SUMMARY_LEN];               // ӵJPEGͼƬժҪϢ
	BOOL                bFlashEnable;                                 // Ƿʹܲ
	int                 nFlashLatch;                                  // ʱʱ(),ʱʱ䷶Χ[10,300]
	
	bool				abAudioFileName;
	bool				abAlarmBellEn;
	bool				abAccessControlEn;
	bool				abAccessControl;

	char				szAudioFileName[MAX_PATH];					// ļ·
	BOOL				bAlarmBellEn;								// ʹ
	BOOL				bAccessControlEn;							// Žʹ

	DWORD				dwAccessControl;							// Ž
	EM_CFG_ACCESSCONTROLTYPE	emAccessControlType[MAX_ACCESSCONTROL_NUM];	// ŽϢ
	
	bool				abTalkBack;	
    BYTE				byReserved2[3];                             // 
	CFG_TALKBACK_INFO	stuTalkback;								// Ϣ

	bool				abPSTNAlarmServer;
    BYTE				byReserved3[3];                             // 
	CFG_PSTN_ALARM_SERVER	stuPSTNAlarmServer;						// 绰Ϣ
    CFG_TIME_SCHEDULE       stuTimeSection;                         // ¼Ӧʱ
	bool				abAlarmBellLatch;
    BYTE				byReserved4[3];                             // 
	int					nAlarmBellLatch;							// ʱʱ(10-300)

    bool				abAudioPlayTimes;
    bool				abAudioLinkTime;
    BYTE				byReserved5[2];                             // 
    UINT                nAudioPlayTimes;                            // Ŵ
    UINT                nAudioLinkTime;                             // ŵʱ, λ
	bool				abAlarmOutTime;								// nAlarmOutTime ǷЧ
	int					nAlarmOutTime;								// ʱ,λ, ޴ֶΣ豸ԭķʽʵ֣ƣ
	bool				abBeepTime;									// nBeepTime ǷЧ
	int					nBeepTime;									// ʱƣλ룬ֵΪ36000
} CFG_ALARM_MSG_HANDLE;



///@brief ʹܿƷʽö
typedef enum tagEM_CTRL_ENABLE
{
	EM_CTRL_NORMAL=0,   //ʹ
	EM_CTRL_ALWAYS_EN,  //ʹ
	EM_CTRL_ONCE_DIS,   //·
	EM_CTRL_ALWAYS_DIS, //Ƴ
	EM_CTRL_NUM         //ö
}EM_CTRL_ENABLE;


///@brief 
typedef enum tagEM_CFG_DEFENCEAREATYPE
{
	EM_CFG_DefenceAreaType_Unknown = 0,     // δ֪
	EM_CFG_DefenceAreaType_InTime,          // ʱ 
	EM_CFG_DefenceAreaType_Delay,           // ʱ
	EM_CFG_DefenceAreaType_FullDay,         // 24Сʱ
    EM_CFG_DefenceAreaType_Follow,          // 
    EM_CFG_DefenceAreaType_Medical,         // ҽƽ
    EM_CFG_DefenceAreaType_Panic,           // ֻŷ
    EM_CFG_DefenceAreaType_Fire,            // 𾯷
    EM_CFG_DefenceAreaType_FullDaySound,    // 24Сʱ
    EM_CFG_DefenceAreaType_FullDaySlient,   // 24Сʱ
    EM_CFG_DefenceAreaType_Entrance1,       // 1
    EM_CFG_DefenceAreaType_Entrance2,       // 2
    EM_CFG_DefenceAreaType_InSide,          // ڲ
    EM_CFG_DefenceAreaType_OutSide,         // ⲿ
    EM_CFG_DefenceAreaType_PeopleDetect,    // Ա
	EM_CFG_DefenceAreaType_Robbery,			// ˾
}EM_CFG_DEFENCEAREATYPE;

///@brief ⲿ
typedef struct tagCFG_ALARMIN_INFO
{
	int					nChannelID;									// ͨ(0ʼ)
	BOOL				bEnable;									// ʹܿ
	char				szChnName[MAX_CHANNELNAME_LEN];				// ͨ
	int					nAlarmType;									// ͣ0գ1
	CFG_ALARM_MSG_HANDLE stuEventHandler;							// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];// ¼ӦʱΣʱλȡԴ˳ԱΪ׼ stuEventHandler е stuTimeSection
	BOOL				abDevID;									// 
	char				szDevID[MAX_NAME_LEN];						// 豸ID
	int                 nPole;                                      // ģʽ, 0:Ч1Ч
	                                                                // ΪӵorԴnAlarmTypeʹ
	EM_SENSE_METHOD     emSense;                                    // Ӧʽ
	EM_CTRL_ENABLE      emCtrl;                                     // ʹܿƷʽ
	int                 nDisDelay;                                  // ʱʱ,Ϊ"Delay"(ʱ)ʱЧ, λ: , ʱͨѯ
	                                                                // emCtrlֵΪEM_CTRL_NORMALEM_CTRL_ALWAYS_EN ʱЧ

	EM_CFG_DEFENCEAREATYPE emDefenceAreaType;						// , ֵ֧ͨѯ
	int					nEnableDelay;								// ʱʱ, Ϊ"Delay"(ʱ)ʱЧ, λ: , ʱͨѯ    
    int                 nSlot;                                      // ַ, -1ʾЧ, 0ʾͨ, 1ʾڵһϵչͨ, 23...Դ
    int                 nLevel1;                                    // һַ, ʾڵnSlotϵĵnLevel1̽Ǳ, -1ʾЧ, 0ʼ
    bool                abLevel2;                                   // ʾnLevel2ֶǷ
    int                 nLevel2;                                    // ڶַ, ʾڵnLevel1Ǳϵ̽, -1ʾЧ, 0ʼ
    int                 nDoorNotClosedTimeout;                      // δسʱʱ,λΪs,Χ 15s-300s
} CFG_ALARMIN_INFO;

///@brief 뱨
typedef struct tagCFG_NETALARMIN_INFO 
{
	int					nChannelID;									// ͨ(0ʼ)
	BOOL				bEnable;									// ʹܿ
	char				szChnName[MAX_CHANNELNAME_LEN];				// ͨ
	int					nAlarmType;									// ͣ0գ1
	CFG_ALARM_MSG_HANDLE stuEventHandler;							// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];// ¼ӦʱΣʱλȡԴ˳ԱΪ׼ stuEventHandler е stuTimeSection
} CFG_NETALARMIN_INFO;


///@brief ֵ֧Ƶ
typedef struct tagCFG_MOTION_WINDOW
{
	int                  nThreshold;           // ֵȡֵ[0, 100]
	int                  nSensitive;           // ȣȡֵ[0, 100]
	CFG_RECT             stuWindow;            // 촰, λȡֵ[0, 8192)
}CFG_MOTION_WINDOW;
///@brief 
typedef struct tagCFG_DETECT_REGION
{
    int				     nRegionID;									    // ID
    char                 szRegionName[CFG_COMMON_STRING_64];            // ̬
    int                  nThreshold;                                    // ֵȡֵ[0, 100]
	int					 nSenseLevel;								    // 16
	int					 nMotionRow;									// ̬
	int					 nMotionCol;									// ̬
	BYTE				 byRegion[MAX_MOTION_ROW][MAX_MOTION_COL];	    // 32*32 
}CFG_DETECT_REGION;

///@brief ̬ⱨ
typedef struct tagCFG_MOTION_INFO 
{
	int					 nChannelID;									// ͨ(0ʼ), nVersion=1ʱֶЧ
	BOOL				 bEnable;									    // ʹܿ
	int					 nSenseLevel;								    // һ16
	int					 nMotionRow;									// һ̬
	int					 nMotionCol;									// һ̬
	BYTE				 byRegion[MAX_MOTION_ROW][MAX_MOTION_COL];	    // һ32*32
	CFG_ALARM_MSG_HANDLE stuEventHandler;							    // 
	CFG_TIME_SECTION	 stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];   // ¼ӦʱΣʱλȡԴ˳ԱΪ׼ stuEventHandler е stuTimeSection
	int			         nVersion;                                      // 0, 1, ȷ, ֻ, 1ʱֶЧ
	BOOL                 bSenseLevelEn;                                 // ֻnSenseLevelǷЧ
	BOOL                 bVRatioEn;                                     // ֻռñʹܣ nVolumeRatioǷЧ
	int                  nVolumeRatio;                                  // һռñ,1-100
	BOOL                 bSRatioEn;                                     // ֻʹܣnSubRatioֵǷЧ
	int                  nSubRatio;                                     // һĲвֵ, 1-100
	BOOL                 abWindow;                                      // ֶμֶѷ
	int                  nWindowCount;                                  // Ƶڸ
	CFG_MOTION_WINDOW    stuWindows[MAX_MOTION_WINDOW];                 // Ƶ
	BOOL                 abDetectRegion;                                // ֻ1nRegionCountstuRegionЧ
                                                                        //       0nMotionRownMotionColbyRegionЧ
	int                  nRegionCount;                                  // ̬
	CFG_DETECT_REGION    stuRegion[MAX_MOTION_WINDOW];                  // ̬

    CFG_ALARM_MSG_HANDLE stuRemoteEventHandler;                               // ǰ˶̬
    CFG_TIME_SECTION     stuRemoteTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];   // ǰ˶̬, ¼ӦʱΣʱλȡԴ˳ԱΪ׼ stuRemoteEventHandler е stuTimeSection
} CFG_MOTION_INFO;

///@brief Ƶʧ
typedef struct tagCFG_VIDEOLOST_INFO 
{
	int					nChannelID;									// ͨ(0ʼ)
	BOOL				bEnable;									// ʹܿ
	CFG_ALARM_MSG_HANDLE stuEventHandler;							// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];// ¼ӦʱΣʱλȡԴ˳ԱΪ׼ stuEventHandler е stuTimeSection
} CFG_VIDEOLOST_INFO;

///@brief Ƶڵ
typedef struct tagCFG_SHELTER_INFO 
{
	int					nChannelID;									// ͨ(0ʼ)
	BOOL				bEnable;									// ʹܿ
	int					nSenseLevel;								// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;							// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];// ¼ӦʱΣʱλȡԴ˳ԱΪ׼ stuEventHandler е stuTimeSection
} CFG_SHELTER_INFO;

///@brief ޴洢豸
typedef struct tagCFG_STORAGENOEXIST_INFO 
{
	BOOL				bEnable;						// ʹܿ
	CFG_ALARM_MSG_HANDLE stuEventHandler;				// 
} CFG_STORAGENOEXIST_INFO;

///@brief 洢豸ʳ
typedef struct tagCFG_STORAGEFAILURE_INFO 
{
	BOOL				bEnable;						// ʹܿ
	CFG_ALARM_MSG_HANDLE stuEventHandler;				// 
} CFG_STORAGEFAILURE_INFO;

///@brief 洢豸ռ䲻㱨
typedef struct tagCFG_STORAGELOWSAPCE_INFO 
{
	BOOL				bEnable;						// ʹܿ
	int					nLowerLimit;					// Ӳʣޣٷ(0~99)
	CFG_ALARM_MSG_HANDLE stuEventHandler;				// 
} CFG_STORAGELOWSAPCE_INFO;

///@brief Ͽ
typedef struct tagCFG_NETABORT_INFO 
{
	BOOL				bEnable;						// ʹܿ
	CFG_ALARM_MSG_HANDLE stuEventHandler;				// 
} CFG_NETABORT_INFO;

///@brief IPͻ
typedef struct tagCFG_IPCONFLICT_INFO 
{
	BOOL				bEnable;						// ʹܿ
	CFG_ALARM_MSG_HANDLE stuEventHandler;				// 
} CFG_IPCONFLICT_INFO;

///@brief CLIENT_QueryNewSystemInfo ӿڵ CFG_CAP_ALARM (ȡ)Ӧṹ

///@brief ʽ
typedef struct tagCFG_ALARM_SENSE_METHOD
{
	int                 nSupportSenseMethodNum;								// ֵ֧Ĵʽ
	EM_SENSE_METHOD     emSupportSenseMethod[MAX_ALARM_SENSE_METHOD_NUM];   // ֵ֧Ĵʽ
}CFG_ALARM_SENSE_METHOD;
///@brief ȡ
typedef struct tagCFG_CAP_ALARM_INFO
{
	BOOL                 bAlarmPir;									// 豸Ƿ֧PIR(ʽӦ),ⲿһ
	BOOL                 bFlashLight;								// 豸Ƿֲ֧
	int					 nDefenceAreaTypeNum;						// ,Ϊ0ʾ޴ֶʱ벻Ϊʹá
	EM_CFG_DEFENCEAREATYPE	emDefenceAreaType[MAX_ALARM_DEFENCE_TYPE_NUM];			// ַ֧ 
	int				 	 nMaxDelay;									// ʱʱʱ,λΪ룬ֻ֧ʱʱֶβЧ
	int					 nAlarmChannelNum;							// ͨ,Ϊ˱ּ,Ϊ0ʱʾÿ֧ͨ͵Ĵ
	CFG_ALARM_SENSE_METHOD stuAlarmChannel[MAX_ALARM_CHANNEL_NUM];	// ͨ
	int					 nAlarmBellCount;							// Ÿ
	int					 nMaxBackupAlarmServer;						// ñ,޴ֶʱĬΪ0,0ʾֱ֧ñ
	int					 nMaxPSTNAlarmServer;						// 绰, ޴ֶʱĬΪ0,0ʾֵ֧绰ġ
	BOOL				bSupportAlarmRegion;						// 豸Ƿ֧AlarmRegionûиֶλ߸ֶΪfalseͻʹбalarmalarmSubregion豸ֶΪtrueͻʹ±豸
}CFG_CAP_ALARM_INFO;

///@brief 
typedef struct tagCFG_FLASH_LIGHT
{
	BOOL                bEnable;                        // ʹܿ
	int                 nBrightness;                    //  0~100
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];// ƹʱ
}CFG_FLASH_LIGHT;
///@brief Զ尸Ϣ
typedef struct tagCFG_CUSTOMCASE
{
	char                szCaseTitle[MAX_OSD_TITLE_LEN];    // 
	char                szCaseContent[MAX_OSD_SUMMARY_LEN];  // 
	BOOL                bCaseNoOsdEn;                        // ŵʹ
}CFG_CUSTOMCASE;

///@brief ʱ
typedef struct tagCFG_NET_TIME
{
    int                 nStructSize;
    DWORD				dwYear;					// 
    DWORD				dwMonth;				// 
    DWORD				dwDay;					// 
    DWORD				dwHour;					// ʱ
    DWORD				dwMinute;				// 
    DWORD				dwSecond;				// 
} CFG_NET_TIME;

///@brief ¼
typedef struct tagCFG_JUDICATURE_INFO
{
	char                szDiskPassword[MAX_PASSWORD_LEN];  // (, ʹszPasswordnPasswordLen)
	char                szCaseNo[MAX_OSD_SUMMARY_LEN];     // 
	BOOL                bCaseNoOsdEn;                      // ŵʹ
	char                szCaseTitle[MAX_OSD_SUMMARY_LEN];  // 
	BOOL                bCaseTitleOsdEn;                   // Ƶʹ
	char                szOfficer[MAX_OSD_SUMMARY_LEN];    // 참Ա
	BOOL                bOfficerOsdEn;                     // 참Աʹ
	char                szLocation[MAX_OSD_SUMMARY_LEN];   // 참ص
	BOOL                bLocationOsdEn;                    // 참صʹ
	char                szRelatedMan[MAX_OSD_SUMMARY_LEN]; // 永Ա
	BOOL                bRelatedManOsdEn;                  // 永Աʹ
	char                szDiskNo[MAX_OSD_SUMMARY_LEN];     // ̱
	BOOL                bDiskNoOsdEn;                      // ̱ŵʹ

	BOOL                bCustomCase;                       // TRUE:Զ尸Ϣ,FALSE: ϱszCaseNoֶЧ
	int                 nCustomCase;                       // ʵCFG_CUSTOMCASE
	CFG_CUSTOMCASE      stuCustomCases[MAX_CUSTOMCASE_NUM];// Զ尸Ϣ

	BOOL                bDataCheckOsdEn;                   // ̿¼У ʹ
	BOOL                bAttachFileEn;                     // ϴʹ
    char                szPassword[MAX_PASSWORD_LEN];      // , ¼ʱö
    int                 nPasswordLen;                      // 볤
    CFG_NET_TIME        stuStartTime;                      // ƬͷϢӿʼʱ
    int                 nPeriod;                           // ƬͷϢʱ䳤ȣλ
}CFG_JUDICATURE_INFO;

///@brief ¼¼
typedef struct tagCFG_BURNFULL_ONE
{
	char                szBurnDisk[MAX_NAME_LEN];          // ¼豸
	BOOL                bEnable;                           // ʹܿ
	unsigned int        nLowerLimit;                       // ʣ	λM
	BOOL                bBurnStop;                         // ¼ֹͣʹ
	CFG_ALARM_MSG_HANDLE stuEventHandler;							// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];// ¼Ӧʱ
    BOOL                bChangeDisk;                       // ʹ
}CFG_BURNFULL_ONE;
///@brief ¼¼
typedef struct tagCFG_BURNFULL_INFO
{
	unsigned int        nBurnDev;                          // ʵʿ¼豸
	CFG_BURNFULL_ONE    stuBurns[MAX_BURNING_DEV_NUM];     // ÿԪضӦһ¼豸
}CFG_BURNFULL_INFO;

//-------------------------------ץͼ---------------------------------
///@brief ץͼ
typedef struct tagCFG_SNAPCAPINFO_INFO  
{
	int					nChannelID;						// ץͼͨ(0ʼ)
	DWORD				dwIMageSizeNum;					// ֵ֧ķֱϢ
	CFG_CAPTURE_SIZE	emIMageSizeList[MAX_IMAGESIZE_NUM];
	DWORD				dwFramesPerSecNum;				// ֵ֧֡Ϣ
	int					nFramesPerSecList[MAX_FPS_NUM];
	DWORD				dwQualityMun;					// ֵ֧ĻϢ
	CFG_IMAGE_QUALITY	emQualityList[MAX_QUALITY_NUM];

	DWORD               dwMode;							// ģʽ,λһλʱڶλֶ
	DWORD               dwFormat;						// ͼƬʽģʽ,λһλbmpڶλjpg
} CFG_SNAPCAPINFO_INFO;


//-------------------------------洢---------------------------------
///@brief 洢
typedef struct tagCFG_CHANNEL_TIME_SECTION 
{
	CFG_TIME_SECTION stuTimeSection[WEEK_DAY_NUM][MAX_NAS_TIME_SECTION];//洢ʱ
} CFG_CHANNEL_TIME_SECTION;
///@brief NASϢ
typedef struct tagCFG_NAS_INFO
{
	BOOL						bEnable;									// ʹܿ
	int							nVersion;									// 洢汾0=ϵFTP1=NAS洢
	int							nProtocol;									// Э0=FTP 1=SMB
	char						szAddress[MAX_ADDRESS_LEN];					// IPַ
	int							nPort;										// ˿ں
	char						szUserName[MAX_USERNAME_LEN];				// ʻ
	char						szPassword[MAX_PASSWORD_LEN];				// 
	char						szDirectory[MAX_DIRECTORY_LEN];				// Ŀ¼
	int							nFileLen;									// ļ
	int							nInterval;									// ļʱ
	CFG_CHANNEL_TIME_SECTION	stuChnTime[MAX_VIDEO_CHANNEL_NUM];			// 洢ʱ
	int                         nChnTimeCount;                              // ЧĴ洢ʱ
} CFG_NAS_INFO;

//------------------------------̨--------------------------------------------
///@brief Э
typedef struct tagCFG_PRONAME
{
	char				name[MAX_NAME_LEN];			// Э
} CFG_PRONAME;

///@brief ڻ
typedef struct tagCFG_COMM_PROP
{
	BYTE				byDataBit;					// λ05162738
	BYTE				byStopBit;					// ֹͣλ01λ11.5λ22λ
	BYTE				byParity;					// Уλ0У飬1У飻2żУ
	BYTE				byBaudRate;					// ʣ03001600212003240044800													
	                                                // 596006192007384008576009115200
} CFG_COMM_PROP;

///@brief λԤõ
typedef struct tagCFG_PRESET_HOMING
{
	int          nPtzPresetId;   //̨Ԥõ	0~65535
 //-1ʾЧ
	int          nFreeSec;       //еʱ䣬λΪ
}CFG_PRESET_HOMING;

///@brief ̨
typedef struct tagCFG_PTZ_INFO
{
	// 
	bool				abMartixID;
	bool				abCamID;
	bool				abPTZType;

	// Ϣ
	int					nChannelID;								// ͨ(0ʼ)
	BOOL                bEnable;                                // ʹܿ
	char                szProName[MAX_NAME_LEN];                // Э
	int					nDecoderAddress;						// ַ0 - 255
	CFG_COMM_PROP		struComm;
	int					nMartixID;								// 
	int					nPTZType;								// ̨0-ݣ̨ 1-Զ̨
	int					nCamID;									// ͷID
	int                 nPort;                                  // ʹõĴڶ˿ں
	CFG_PRESET_HOMING   stuPresetHoming;                        // һʱ䲻̨ԶλĳԤõ
	int                 nControlMode;                           // ģʽ, 0:"RS485"ڿ(Ĭ);1:"Coaxial" ͬڿ
} CFG_PTZ_INFO;  

///@brief ʱ
typedef enum tagCFG_PTZ_FUNC_TYPE
{
	FUNC_TYPE_TOUR = 0 ,		//Ѳ
	FUNC_TYPE_PATTERN  ,		//ԶѲ
	FUNC_TYPE_PRE	   ,		//Ԥõ
	FUNC_TYPE_SCAN	   ,		//Զɨ
	FUNC_TYPE_MAX	   ,		
}CFG_PTZ_FUNC_TYPE;


///@brief Զλ
typedef struct tagCFG_AUTO_HOMING
{
	BOOL	bEnable;		// Զλ
	int		nTime;			// ʱ,ʾеʱ䣬λΪ
}CFG_AUTO_HOMING;

///@brief ʱ
typedef struct tagCFG_PTZ_PER_AUTOMOVE_INFO
{
	BOOL				bEnable;				//	ʱر־ TRUE FALSE 
	CFG_TIME_SCHEDULE	stTimeSchedule;			//  ʱ
	CFG_PTZ_FUNC_TYPE	emFuncType;				//  ʱ
	int					nTourId;				// 	Ѳ,		ΧCFG_PTZ_PROTOCOL_CAPS_INFOwTourMinwTourMax
	int					nPatternId;				// 	ԶѲ,	ΧCFG_PTZ_PROTOCOL_CAPS_INFOwPatternMinwPatternMax
	int					nPresetId;				//  Ԥõ,		ΧCFG_PTZ_PROTOCOL_CAPS_INFOwPresetMinwPresetMax
	int					nScanId;				//	Զɨ,	ΧCFG_PTZ_PROTOCOL_CAPS_INFOwAutoScanMinwAutoScanMax
	CFG_AUTO_HOMING		stAutoHoming;			//  Զλ,һʱ䲻̨ԶλʱڵĶ
	BOOL				bSnapshotEnable;		//	Ԥõʹ,ֻеemFuncTypeΪFUNC_TYPE_PREʱЧ
	int					nSnapshortDelayTime;	//	Ԥõץʱʱ,λ,ֻеemFuncTypeΪFUNC_TYPE_PREʱЧ
}CFG_PTZ_PER_AUTOMOVE_INFO;
///@brief ̨Ϣ
typedef struct tagCFG_PTZ_ALL_AUTOMOVE_INFO
{
	CFG_PTZ_PER_AUTOMOVE_INFO stPTZPerInfo[MAX_CONFIG_NUM];		//Ϣ
	int						  nCfgNum;							//ȡø
}CFG_PTZ_ALL_AUTOMOVE_INFO;

///@brief ̨ʱãע⣬˽ṹ豸
typedef struct tagCFG_PTZ_AUTOMOVE_INFO
{
	CFG_PTZ_ALL_AUTOMOVE_INFO *pstPTZAutoConfig;				//̨Ϣ
	int						   nMaxPTZNum;						//ų̃́(ڶͨѯ벻С豸ͨڵͨѯһ͹)
	int						   nReturnPTZNum;					//豸ص̨(һΪ豸ͨ)
}CFG_PTZ_AUTOMOVE_INFO;

//---------------------------------Ƶ豸------------------------------------------
///@brief 
typedef enum tagEM_FACEFEATURE_TYPE
{
	EM_FACEFEATURE_UNKNOWN,			// δ֪
	EM_FACEFEATURE_SEX,				// Ա
	EM_FACEFEATURE_AGE,				// 
	EM_FACEFEATURE_EMOTION,			// 
	EM_FACEFEATURE_GLASSES,			// ۾״̬		
	EM_FACEFEATURE_EYE,				// ۾״̬
	EM_FACEFEATURE_MOUTH,			// ״̬
	EM_FACEFEATURE_MASK,			// ״̬
	EM_FACEFEATURE_BEARD,			// ״̬
	EM_FACEFEATURE_ATTRACTIVE,		// ֵ
} EM_FACEFEATURE_TYPE;

///@brief ʱϱԼϱ
typedef struct tagCFG_SUPPORT_SCHEDULE_REPORT
{
	BOOL					bEnable;			// Ƿֶ֧ʱϱ
	int						nSupportPeriodNum;	//Чϱڸ
	int						nSupportPeriod[16];	// 豸ֵ֧ϱڿ飬λΪ
}CFG_SUPPORT_SCHEDULE_REPORT;

///@brief ͳƴೡ
typedef struct tagCFG_NUMBER_STAT_INFO
{
	UINT						nCameraType;				// ͣ0ʾϵĿ 1ʾͳһĿ 2ʾͳһ˫Ŀ
	CFG_SUPPORT_SCHEDULE_REPORT	stuSupportScheduleReport;	// ʱϱԼϱ
}CFG_NUMBER_STAT_INFO;

///@brief ͳ
typedef struct tagCFG_NUMBERSTAT_RULE_INFO
{
	UINT					nMaxRules;			// ֹ֧
}CFG_NUMBERSTAT_RULE_INFO;

///@brief ŶӼ
typedef struct tagCFG_QUEUEDETECTION_RULE_INFO
{
	UINT					nMaxRules;			// ֹ֧
}CFG_QUEUEDETECTION_RULE_INFO;

///@brief ͳ
typedef struct tagCFG_MANNUMDETECTION_RULE_INFO
{
	UINT					nMaxRules;			// ֹ֧
}CFG_MANNUMDETECTION_RULE_INFO;


///@brief ⼰ʶֵ֧ƣ
typedef enum tagCFG_EM_FACE_TRAIT
{
	CFG_EM_FACE_TRAIT_UNKNOWN,							// δ֪
	CFG_EM_FACE_TRAIT_SEX,								// Ա					
	CFG_EM_FACE_TRAIT_AGE,								// 
	CFG_EM_FACE_TRAIT_GLASSES,							// ۾
	CFG_EM_FACE_TRAIT_BEARD,							// 
	CFG_EM_FACE_TRAIT_MASK,								// 
	CFG_EM_FACE_TRAIT_EMOTION,							// 
}CFG_EM_FACE_TRAIT;


///@brief ⼰ʶֵ֧ƣ
typedef enum tagCFG_EM_BODY_TRAIT
{
	CFG_EM_BODY_TRAIT_UNKNOWN,							// δ֪
	CFG_EM_BODY_TRAIT_SEX,								// Ա					
	CFG_EM_BODY_TRAIT_AGEGROUP,							// 
	CFG_EM_BODY_TRAIT_COATTYPE,							// 
	CFG_EM_BODY_TRAIT_TROUSERSTYPE,						// 
	CFG_EM_BODY_TRAIT_ANGLE,							// Ƕ
	CFG_EM_BODY_TRAIT_UPPERPATTERN,						// ģʽ
	CFG_EM_BODY_TRAIT_TROUSERSCOLOR,					// ɫ
	CFG_EM_BODY_TRAIT_UMBRELLA,							// ɡ				
	CFG_EM_BODY_TRAIT_UMBRELLACOLOR,					// ɡɫ
	CFG_EM_BODY_TRAIT_HOLD,								// ǰ
	CFG_EM_BODY_TRAIT_TROUSERSPATTERN,					// ģʽ
	CFG_EM_BODY_TRAIT_HATTYPE,							// ñӿʽ
	CFG_EM_BODY_TRAIT_HATCOLOR,							// ñɫ
	CFG_EM_BODY_TRAIT_UPPERTYPE,						// ¿ʽ
	CFG_EM_BODY_TRAIT_COATCOLOR,						// ɫ
	CFG_EM_BODY_TRAIT_HAIRSTYLE,						// 
	CFG_EM_BODY_TRAIT_HAIRCOLOR,						// ͷɫ				
	CFG_EM_BODY_TRAIT_SHOESTYPE,						// Ьӿʽ
	CFG_EM_BODY_TRAIT_SHOESCOLOR,						// Ьɫ
	CFG_EM_BODY_TRAIT_BAG,								// ʽ
	CFG_EM_BODY_TRAIT_BAGCOLOR,							// ɫ
	CFG_EM_BODY_TRAIT_MASK,								// 
	CFG_EM_BODY_TRAIT_MASKCOLOR,						// ɫ
}CFG_EM_BODY_TRAIT;

///@brief ⼰ʶֵ֧ץĲԣƣ
typedef enum tagCFG_EM_FACE_SNAP_POLICY
{
	CFG_EM_FACE_SNAP_POLICY_UNKNOWN,					// δ֪
	CFG_EM_FACE_SNAP_POLICY_REALTIME,					// ʵʱץģʽ(ǰͨģʽʵʱ)
	CFG_EM_FACE_SNAP_POLICY_OPTIMAL,					// ѡץģʽ趨ʱ(OptimalTime)ѡߵץͼ׼ȷȵʱϴ
	CFG_EM_FACE_SNAP_POLICY_QUALITY,					// ץģʽOptimalĻϣͼƬֵǰѡʵʱ
	CFG_EM_FACE_SNAP_POLICY_RECOGNITION,				// ʶץģʽѡʱڣһ֡νбȶԣһȶԳɹѡ߶Աȳɹʣȡģʽ
	CFG_EM_FACE_SNAP_POLICY_QUICK,						// ѡӼ⵽/忪ʼץһ֡ڵõ,
	CFG_EM_FACE_SNAP_POLICY_FULLTRACK,					// ȫѡץȫõ壬
	CFG_EM_FACE_SNAP_POLICY_INTERVAL,					// ץģ
	CFG_EM_FACE_SNAP_POLICY_SINGLE,						// ģʽŽ
	CFG_EM_FACE_SNAP_POLICY_PRECISION,					// ߾ģʽǿĿʶ𣬶
}CFG_EM_FACE_SNAP_POLICY;

///@brief ƣ
typedef struct tagFACEBODY_DETECT_CAPS
{
	CFG_EM_FACE_TRAIT				szFaceFeatureList[32];			// ּ֧
	unsigned int					nFaceFeature;					// صԸ
	CFG_EM_BODY_TRAIT				szBodyFeatureList[32];			// ּ֧
	unsigned int					nBodyFeature;					// صԸ
	CFG_EM_FACE_SNAP_POLICY			szSnapPolicyList[16];			// ֧ץ
	unsigned int					nSnapPolicy;					// صԸ	
	BYTE							byReserved[256];				// Ԥֶ
}FACEBODY_DETECT_CAPS;

///@brief ʶƣ
typedef struct tagFACEBODY_ANALYSE_CAPS
{
	CFG_EM_FACE_TRAIT				szFaceFeatureList[32];			// ּ֧
	unsigned int					nFaceFeature;					// صԸ
	CFG_EM_BODY_TRAIT				szBodyFeatureList[32];			// ּ֧
	unsigned int					nBodyFeature;					// صԸ
	CFG_EM_FACE_SNAP_POLICY			szSnapPolicyList[16];			// ֧ץ
	unsigned int					nSnapPolicy;					// صԸ
	BYTE							byReserved[256];				// Ԥֶ
}FACEBODY_ANALYSE_CAPS;

///@brief ѡдģʽ
typedef enum tagEM_SUPPORT_CLOSE_UP_TYPE
{
    EM_SUPPORT_CLOSE_UP_TYPE_UNKNOWN,                               // δ֪
    EM_SUPPORT_CLOSE_UP_TYPE_TRACK_MODE,                            // ģʽ
    EM_SUPPORT_CLOSE_UP_TYPE_FIXED_MODE,                            // ̶ģʽ
    EM_SUPPORT_CLOSE_UP_TYPE_DESIGNED_REGION_MODE,                  // ָģʽ
} EM_SUPPORT_CLOSE_UP_TYPE;
///@brief װб
typedef enum tagEM_FEATURE_LIST_TYPE
{
	EM_FEATURE_LIST_UNKNOWN,		// δ֪
	EM_FEATURE_LIST_HAS_MASK,		// Ƿ
	EM_FEATURE_LIST_HAS_CHEF_HAT,	// Ƿʦñ
	EM_FEATURE_LIST_HAS_CHEF_CLOTHES,//Ƿ񴩳ʦ
	EM_FEATURE_LIST_CHEF_CLOTHES_COLOR,	// ʦɫ
}EM_FEATURE_LIST_TYPE;

///@brief Ҫĳʦɫ(޴ֶαʾʦɫ)
typedef enum tagEM_SUPPORTED_COLOR_LIST_TYPE
{
	EM_SUPPORTED_COLOR_LIST_TYPE_UNKNOWN,	// δ֪
	EM_SUPPORTED_COLOR_LIST_TYPE_BLACK,		// ɫ
	EM_SUPPORTED_COLOR_LIST_TYPE_WHITE,		// ɫ
	EM_SUPPORTED_COLOR_LIST_TYPE_RED,		// ɫ
}EM_SUPPORTED_COLOR_LIST_TYPE;

///@brief ҵѡ
typedef struct tagCFG_LINK_CLASS_TYPE
{
    int                 nChannel;                      // ҵͨ
    EM_SCENE_TYPE       emClassType;                   // ҵ
    BOOL                bSupportAllTimeWork;           // ״̬Ƿ֧ȫʱ
    BYTE                byReserved[252];               // Ԥֶ
} CFG_LINK_CLASS_TYPE;

///@brief Ծͳƹ
typedef struct tagCFG_ACTIVITY_ANALYSE_CAPS
{
	BOOL				bSupportLocalDataStore;	// Ƿֱ֧ݴ洢
	UINT				nMaxRules;				// ùֵ֧
	BYTE				byReserved[256];		// Ԥֶ
}CFG_ACTIVITY_ANALYSE_CAPS;

///@brief ץĲȡֵ
typedef enum tagEM_SNAP_POLICY_TYPE
{
	EM_SNAP_POLICY_TYPE_UNKNOWN,				// δ֪
	EM_SNAP_POLICY_TYPE_REALTIME,				// ʵʱ
	EM_SNAP_POLICY_TYPE_OPTIMAL,				// ѡ
	EM_SNAP_POLICY_TYPE_QUALITY,				// 
	EM_SNAP_POLICY_TYPE_TRIPLINE,				// 
}EM_SNAP_POLICY_TYPE;

///@brief Ϣ
typedef struct tagCFG_PORTRAIT_DETECTION_CAPS
{
	int					nSnapPolicyNum;			// ץĲȡֵ
	EM_SNAP_POLICY_TYPE	emSnapPolicyType[8];	// ץĲȡֵ
	BOOL				bCompliantDetectSupport;// Ƿֺ֧Ϲ
	BYTE				byReserved[256];		// Ԥֽ
}CFG_PORTRAIT_DETECTION_CAPS;

///@brief ֵ֧Ĺ
typedef struct
{
	DWORD             	dwSupportedRule;                                    		// 
	int               	nSupportedObjectTypeNum;                        			// ֵ֧ļ͸
	char              	szObjectTypeName[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// ֵ֧ļб
	int               	nSupportedActionsNum;                                    	// ֵ֧ļ嶯
	char              	szSupportedActions[MAX_ACTION_LIST_SIZE][MAX_NAME_LEN];  	// ֵ֧ļ嶯б
	int               	nSupportedDetectTypeNum;                                 	// ֵ֧ļ͸
	char              	szSupportedDetectTypes[MAX_ACTION_LIST_SIZE][MAX_NAME_LEN];	// ֵ֧ļб
	int               	nSupportFaceTypeNum;                                       	// ֵ֧͸
	char              	szSupportFaceTypes[MAX_HUMANFACE_LIST_SIZE][MAX_NAME_LEN]; 	// ֵ֧б
	BOOL              	bTriggerPosition;                                        	// Ƿִ֧λ
	BOOL			  	bTriggerTrack;												// Ƿִ֧
	BOOL			  	bFaceDetection;												// Ƿÿʶ
	int				  	nSupportFeactureNum;										// ֵ֧͸
	EM_FACEFEATURE_TYPE	emFeatureList[MAX_FEATURE_LIST_SIZE];						// ֵ֧б
    int                 nMaxRules;                                                  // ֹ֧
	FACEBODY_DETECT_CAPS			stuFaceBodyDetectCaps;							// ƣ
	FACEBODY_ANALYSE_CAPS			stuFaceBodyAnalyseCaps;							// ʶƣ
    UINT			  	nFeatureSupport;											// ǷFeatureEnable,0-֧(Ĭ)1-֧(ڰ߼¼;¼)
    BOOL                bSupportMinRegion;                                          // ԱۼǷ֧"Сۼ",ĬTRUE
    int                              nSupportCloseUp;                               // ֵ֧д 0:ʾûֶλ߲֧֣1ʾ֧
    int                              nSupportCloseUpTypeNum;                        // дģʽ
    EM_SUPPORT_CLOSE_UP_TYPE         emSupportCloseUpType[32];                      // ѡдģʽ
	EM_FEATURE_LIST_TYPE emFeature[32];												// װб
	int					 nDetectFeatureCount;										// ⵽
	EM_SUPPORTED_COLOR_LIST_TYPE emSupportedColorList[8];							// ⵽ĳʦװɫб
	int					 nDetectSupportedColorCount;						        // ⵽ĳʦװɫ
    BOOL                 bSupportPolygon;                                           // ȺֲͼǷֶ֧ΣTRUE:ʾ֧;FALSE:ʾûʾֻ֧4ƽı
	CFG_ACTIVITY_ANALYSE_CAPS	stuActivityAnalyseCaps;								// Ծͳƹ
    int                          nLink;                                             // ҵ
    CFG_LINK_CLASS_TYPE          stuLinkClassType[16];                              // ҵѡ
	CFG_PORTRAIT_DETECTION_CAPS	 stuPortraitDetectionCaps;							// 
}SCENE_SUPPORT_RULE;

///@brief 궨Ϣ
typedef struct tagCFG_CAP_CELIBRATE_AREA
{
	EM_CALIBRATEAREA_TYPE  emType;												 // 궨
	BYTE                   byMaxHorizontalStaffNum;                              // ֵ֧ˮƽ
	BYTE                   byMinHorizontalStaffNum;                              // ֵ֧ˮƽС
	BYTE                   byMaxVerticalStaffNum;                                // ֵ֧Ĵֱ
	BYTE                   byMinVerticalStaffNum;                                // ֵ֧ĴֱС
}CFG_CAP_CELIBRATE_AREA;

///@brief ໮
typedef enum tagEM_VEHICLE_TYPE_SPLIT
{
    EM_VEHICLE_TYPE_SPLIT_UNKNOWN,              // δ֪
    EM_VEHICLE_TYPE_SPLIT_FUNC,                 // ܻ
    EM_VEHICLE_TYPE_SPLIT_STANDARD,             // ׼
} EM_VEHICLE_TYPE_SPLIT;

///@brief ˽
typedef enum tagEM_PRIVACY_MASK_TYPE
{
    EM_PRIVACY_MASK_UNKNOWN,		// δ֪
    EM_PRIVACY_MASK_HUMAN_FACE,		// 
    EM_PRIVACY_MASK_HUMAN,			// 
}EM_PRIVACY_MASK_TYPE;

///@brief Ⱥֲͼı궨߶ 
typedef struct tagCROWD_CALIBRATION
{
    UINT    nHorizontalLines;       // ˮƽ߶
    UINT    nVerticalLines;         // ֱ߶
}CROWD_CALIBRATION;

///@brief 
typedef enum tagCFG_EM_FACEDETECT_TYPE
{
	CFG_EM_FACEDETECT_TYPE_UNKNOWN = 0,										// δ֪
	CFG_EM_FACEDETECT_TYPE_VISUAL,											// ɼ
	CFG_EM_FACEDETECT_TYPE_THERMAL,											// 
	CFG_EM_FACEDETECT_TYPE_SWITCHBYTIME,									// ʱл
}CFG_EM_FACEDETECT_TYPE;

///@brief µĿɼ
typedef struct tagCFG_ANATOMYTEMP_VISUAL_CAPS
{
	BOOL							bSupportFaceRight;							// Ƿ֧ҽǶȹ
	BOOL							bSupportFaceUp;								// Ƿ֧½Ƕȹ
	BOOL							bSupportFaceRoll;							// Ƿ֧ͷǶȹ
	BYTE							byReserved[64];								// Ԥ
}CFG_ANATOMYTEMP_VISUAL_CAPS;

///@brief ¼ⳡ
typedef struct tagCFG_ANATOMYTEMP_DETECT_SCENE_CAPS
{
	CFG_EM_FACEDETECT_TYPE	emFaceDetectTypes[32];								// ֧
	int					nFaceDetectTypesNum;									// ֧͵ĸ
	CFG_ANATOMYTEMP_VISUAL_CAPS	stuVisual;										// ɼ
	BYTE				byReserved[1024];										// Ԥ
}CFG_ANATOMYTEMP_DETECT_SCENE_CAPS;

///@brief Ϊֶ
typedef struct tagCFG_STEREO_BEHAVIOR_SCENE_CAPS
{
	int					nEventListNum;											// ɲѯ¼ĸ
	DWORD				dwOnlyFindLastEventList[32];							// ô֧Щ¼ɲѯǰһ¼ݣ¼-ܷ¼
	BYTE				byReserved[892];										// Ԥ
}CFG_STEREO_BEHAVIOR_SCENE_CAPS;

///@brief  ̬Ϊ
typedef struct tagCFG_GENEAL_ATTITUDE_CAPS
{
	int					nMaxRules;										// ֵ֧
	char				szShowType[32];									// ⲿչʾ
	char				szReserved[988];								// Ԥֽ
}CFG_GENEAL_ATTITUDE_CAPS;

///@brief 
typedef struct tagCFG_CAP_SCENE
{
    char               szSceneName[MAX_PATH];                                   // 
    int                nSupportedObjectTypeNum;                                 // ǰֵ֧ļ͸
    char               szObjectTypeName[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];	// ǰֵ֧ļб
    int                nSupportRules;                                           // ֵ֧Ĺ
    SCENE_SUPPORT_RULE stSpportRules[MAX_RULE_LIST_SIZE];                       // ֵ֧Ĺб

    //ֵ֧ģ
    bool               bDisturbance;                                            // Ƿ֧Ŷǿ
    bool               bAntiDisturbance;                                        // Ƿ֧ȥŶ
    bool               bBacklight;                                              // Ƿ֧⴦
    bool               bShadow;                                                 // Ƿ֧Ӱ
    bool               bAccuracy;                                               // Ƿּ֧⾫
    bool               bMovingStep;                                             // Ƿּ֧ⲽ
    bool               bScalingFactor;                                          // Ƿּ֧
    bool               bThresholdY;                                             // Ƿ֧Yжֵ
    bool               bThresholdUV;                                            // Ƿ֧UVжֵ
    bool               bThresholdEdge;                                          // Ƿֱ֧Եжֵ
    bool               bDetectBalance;                                          // Ƿּ֧ƽ
    bool               bAlgorithmIndex;                                         // Ƿ֧㷨
    bool               bHighlight;                                              // Ƿָ֧߹⴦Backgroud 
    bool               bSnapshot;                                               // Ƿ֧ץͼ
    bool               bDetectRegion;                                           // Ƿּ֧
    bool               bExcludeRegion;                                          // Ƿ֧ų
    bool               bContourAssistantTrack;                                  // Ƿ֧

    //ֵ֧ĳ
    bool               bCameraAspect;                                            // Ƿͷλò
    bool               bJitter;                                                  // Ƿֶ֧
    bool               bDejitter;                                                // Ƿ֧ȥ

    // ֵ֧ı궨
    int               nMaxCalibrateAreaNum;                                      // 궨
    int               nCalibrateAreaNum;                                         // 궨Ϣ
    CFG_CAP_CELIBRATE_AREA stCalibrateAreaCap[MAX_CALIBRATEAREA_TYPE_NUM];       // 궨Ϣ

    // ߴʽ
    bool              bPixel;                                                    // Ƿ֧ؼʽ
    bool              bMetric;                                                   // Ƿ֧ʵʳȼʽ
    bool              bCalibratedPixel;                                          // Ƿ֧Զ˽˱궨ؼʽ

    char              szSubType[MAX_SCENE_SUBTYPE_NUM][MAX_SCENE_SUBTYPE_LEN];  // ǰֵ֧ӳ
    int               nSubTypeNum;                                              // ӳ͸
    int               nMaxRules;                                                // ÿֵ֧
    BOOL              bSupportedSetModule;                                      // Ƿ֧ؽĬϲ֧(false)
    BOOL              bSupportFightCalibrate;                                   // Ƿִ֧ܱ궨,ĬFALSE
    UINT              nVehicleTypeSplitNum;                                     // ໮͸
    EM_VEHICLE_TYPE_SPLIT emVehicleTypeSplit[16];                               // ໮

    BOOL              bPrivacyMaskSupport;                                      // Ƿ֧˽, false-֧(Ĭ);true-֧
    UINT              nPrivacyMaskCount;                                        // ˽͵
    EM_PRIVACY_MASK_TYPE emPrivacyMaskTypes[32];                                // ˽ 
	char				 szClassAlias[16];										// ҵ񷽰
	CROWD_CALIBRATION stuCalibration;                                           // Ⱥֲͼı궨߶  
	CFG_ANATOMYTEMP_DETECT_SCENE_CAPS	stuAnatomyTempDetect;					// ³
	CFG_STEREO_BEHAVIOR_SCENE_CAPS	stuStereoBehaviorCaps;						// Ϊ
	int								nGenealAttitudeCaps;						// ̬Ϊ
	CFG_GENEAL_ATTITUDE_CAPS		stuGenealAttitudeCaps[128];					// ̬Ϊ
	BYTE              byReserved[1024];                                         // ֽ
}CFG_CAP_SCENE;

///@brief б
typedef struct tagCFG_VACAP_SUPPORTEDSCENES
{
    int									nScenes;                                                // ֵ֧ĳ
    CFG_CAP_SCENE						stScenes[MAX_SCENE_LIST_SIZE];                          // ֵ֧ĳб
	CFG_NUMBER_STAT_INFO				stuNumberStat;                                          // ͳƴೡ
}CFG_VACAP_SUPPORTEDSCENES;

#define CFG_DEVICE_ANALYSE_INFO CFG_CAP_DEVICE_ANALYSE_INFO
///@brief Ƶ豸Ϣ
typedef struct tagCFG_CAP_DEVICE_ANALYSE_INFO
{
	int                nMaxChannels;											 // ֧ܷͨ
}CFG_CAP_DEVICE_ANALYSE_INFO;

///@brief 豸
typedef enum tagNET_EM_DEVICE_TYPE
{
	NET_EM_DEVICE_UNKNOWN,						// δ֪
	NET_EM_DEVICE_CAMERA,						// ģ
	NET_EM_DEVICE_DOME,							// ģ
	NET_EM_DEVICE_MATRIX,						// ģ
	NET_EM_DEVICE_IPC,							// 
	NET_EM_DEVICE_NVS,							// Ƶ
	NET_EM_DEVICE_SD,							// 
	NET_EM_DEVICE_ITSE,							// ܴ洢
	NET_EM_DEVICE_ITC,							// 
	NET_EM_DEVICE_TPC,							// ȳ
	NET_EM_DEVICE_DVR,							// Ӳ¼
	NET_EM_DEVICE_HDVR,							// Ӳ¼
	NET_EM_DEVICE_HCVR,							// CVIӿ¼
	NET_EM_DEVICE_NVR,							// ¼
	NET_EM_DEVICE_PCNVR,						// PCϵ¼
	NET_EM_DEVICE_NVD,							// 
	NET_EM_DEVICE_SNVD,							// 
	NET_EM_DEVICE_UDS,							// ܽ
	NET_EM_DEVICE_SVR,							// 洢ʽ¼
	NET_EM_DEVICE_M,							// Ƶۺƽ̨
	NET_EM_DEVICE_IVS,							// IVS
	NET_EM_DEVICE_VNCSERVER,					// 
	NET_EM_DEVICE_VNCCLIENT,					// ͻ
	NET_EM_DEVICE_DSCON,						// Ƕʽ
	NET_EM_DEVICE_PC,							// ͨø˼
	NET_EM_DEVICE_EVS,							// Ƶ洢
	NET_EM_DEVICE_VCS,							// Ƶת
	NET_EM_DEVICE_A,							// , 15 ǰ
	NET_EM_DEVICE_ARC,							// , 15
	NET_EM_DEVICE_SDHNI,						// 
	NET_EM_DEVICE_BSC,							// Ž
	NET_EM_DEVICE_BSR,							// Ž
	NET_EM_DEVICE_MGATEWAY,						// ý(밲׿豸)
	NET_EM_DEVICE_VTO,							// ſڻ豸
	NET_EM_DEVICE_VTH,							// ڻ豸
	NET_EM_DEVICE_VTT,							// ӶԽն
	NET_EM_DEVICE_VTS,							// 
	NET_EM_DEVICE_VTNC,							// 
	NET_EM_DEVICE_CE,							// ࿨ƬƷ
	NET_EM_DEVICE_MPT,							// ֳն
	NET_EM_DEVICE_ATM,							// ATM
	NET_EM_DEVICE_SHG,							// ͥ
	NET_EM_DEVICE_ARM,							// տ
	NET_EM_DEVICE_ASM,							// м豸
	NET_EM_DEVICE_VTA,							// 
	NET_EM_DEVICE_UAVGA,						// ̨
	NET_EM_DEVICE_UAVR,							// һ廯ң
	NET_EM_DEVICE_AIRCRAFT,						// ˻
	NET_EM_DEVICE_UAVS,							// վ
	NET_EM_DEVICE_TPCSD,						// ȳ̨
	NET_EM_DEVICE_TPCBF,						// ȳǹ
	NET_EM_DEVICE_RADAR,						// ״
	NET_EM_DEVICE_RADAR_PTZ,					// ״ϵͳ
	NET_EM_DEVICE_RADAR_CAM,					// ״
    NET_EM_DEVICE_KVM_IN,                       // KVMڵ
    NET_EM_DEVICE_KVM_OUT,                       // KVMڵ
    NET_EM_DEVICE_IVSS							// IVSS
} NET_EM_DEVICE_TYPE;

///@brief 豸Ϣ
typedef struct tagCFG_DEVICE_CLASS_INFO
{
	DWORD				dwSize;
	NET_EM_DEVICE_TYPE	emDeviceType;			// 豸
} CFG_DEVICE_CLASS_INFO;

///@brief ĳֵ֧
typedef struct
{
	DWORD               dwRuleType;                                             // ǰ
	int					nSupportedObjectTypeNum;								// ǰֵ֧ļ͸
	char				szObjectTypeName[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];	// ǰֵ֧ļб
}RULE_SUPPORTED_OBJECT_TYPE;

///@brief 
typedef struct tagCFG_SUPPORTED_COMP
{
	int 	nSupportedData;													// ֵ֧ĳ
	char	szSupportedData[MAX_SUPPORTED_COMP_DATA][CFG_COMMON_STRING_16];	// ֵ֧ĳб
}CFG_SUPPORTED_COMP;

///@brief ͷװǶʾʽ
typedef enum tagEM_DISPLAY_CAMERA_ANGLE_TYPE
{
	EM_DISPLAY_CAMERA_ANGLE_UNKNOWN,		// δ֪ʾʽ
	EM_DISPLAY_CAMERA_ANGLE_NUM,			// Ƕֵ(Ĭ)
	EM_DISPLAY_CAMERA_ANGLE_MODE,			// ģʽã0~20չʾΪװ,21~90չʾΪбװʱ60·
} EM_DISPLAY_CAMERA_ANGLE_TYPE;

///@brief ֵ֧Ĺ
typedef struct tagCFG_SUPPORTED_RULES_INFO
{
	CFG_NUMBERSTAT_RULE_INFO			stuNumberStat;		// ͳƹ
	CFG_QUEUEDETECTION_RULE_INFO		stuQueueDetection;	// ŶӼ
	CFG_MANNUMDETECTION_RULE_INFO		stuManNumDetection;	// ͳƹ
}CFG_SUPPORTED_RULES_INFO;

///@brief ͳPD
typedef struct tagCFG_NUMBERSTART_MULT_INFO
{
	UINT							nMaxRules;			// 󷵻ع
	BOOL							bHiddenDetailEnable;// زֲʹ true-StereoNumber/NumberStat㷨࣬StereoCalibrate궨ú͹MaxHeight/MinHeight
	UINT							nCameraType;		// ͣ0ʾϵĿ 1ʾͳһĿ 2ʾͳһ˫Ŀ
	int								nMaxSupportedRulesNum;	// ֵ֧¼͹
	CFG_SUPPORTED_RULES_INFO		stuSupportedRules[MAX_RULE_LIST_SIZE]; // ֵ֧¼͹б¼ͣdhnetsdk.h"ܷ¼"
}CFG_NUMBERSTAT_MULT_INFO;

///@brief Ƶ
typedef struct _tagVA_CAPS_INFO
{
	char				szSceneName[MAX_SCENE_LIST_SIZE][MAX_NAME_LEN];			// ֵ֧ĳб
	int					nSupportedSceneNum;										// ֵ֧ĳ
	BYTE				byReserved[4];											// Ԥֶ
}VA_CAPS_INFO;

///@brief ̬
typedef struct _tagVA_DYNAMIC_CAPS_INFO
{
    EM_SCENE_TYPE       emSceneType[32];    // ֵ֧ĳ    
    int					nSceneNum;			// ֵ֧ĳ
    BYTE				byReserved[252];	// Ԥֶ
}VA_DYNAMIC_CAPS_INFO;

///@brief Ƶ
typedef struct tagCFG_CAP_ANALYSE_INFO
{	
    int                 nSupportedSceneNum;                                     // ֵ֧ĳ
    char                szSceneName[MAX_SCENE_LIST_SIZE][MAX_NAME_LEN];         // ֵ֧ĳб
    int                 nMaxMoudles;                                            // ÿ֧ͨģ
    int                 nSupportedObjectTypeNum;                                // ֵ֧ļ͸
    char                szObjectTypeName[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];   // ֵ֧ļб
    int                 nMaxRules;                                              // ÿ֧ͨ
    int                 nSupportedRulesNum;                                     // ֵ֧¼͹
    DWORD               dwRulesType[MAX_RULE_LIST_SIZE];                        // ֵ֧¼͹б¼ͣdhnetsdk.h"ܷ¼"
    int                 nMaxStaffs;                                             // ֵ֧߸
    int                 nMaxPointOfLine;                                        // 󶥵
    int                 nMaxPointOfRegion;                                      // 󶥵
    int                 nMaxInternalOptions;                                    // ڲѡ
    bool                bComplexSizeFilter;                                     // Ƿָ֧ӳߴ	ӳߴʹö˺Ϳ߱ȹ˲      
    bool                bSpecifiedObjectFilter;                                 // Ƿ֧ض
    int                 nMaxExcludeRegionNum;                                   // ֧ģеų
    int                 nMaxCalibrateBoxNum;                                    // ֵ֧ģеУ׼
    int                 nMinCalibrateBoxNum;                                    // ģҪõУ׼
    int                 nMaxSepcialDetectRegions;                               // ģֵ֧
    int                 nSupportedTimeSectionNum;                               // ֵ֧ÿʱθ 
    int                 nSpecialDetectPropertyNum;                              // ֵ֧Ը
    int                 nSupportedSpecialDetectPropertys[EM_SEPCIALREGION_PROPERTY_TYPE_NUM]; // ֵ֧
    DWORD               nSupportedVideoChannelType;                             // ֵ֧Ƶͨѡ   0λΪ1ʾ֧,1λΪ1ʾ֧ģ,2Ϊ1ʾֻ֧(ֺģ)				
    bool                bSupportMultiSceneSwitch;                               // Ƿֶ֧ೡл
    CFG_VACAP_SUPPORTEDSCENES  stSupportScenes;                                 // ֵ֧ĳ
    int                 nSupportedComp;                                         // ֵ֧ĳ
    CFG_SUPPORTED_COMP  stuSupportedComp[MAX_SUPPORTED_COMP_SIZE];              // ֵ֧ĳб
    BYTE                byFilterMask;                                           // 0 Module/RuleþҪ(Ĭϣܷ), 1 RuleҪ(IPC/xVR)
    EM_DISPLAY_CAMERA_ANGLE_TYPE emDisCameraAngleType;                          // ͷװǶʾʽ
    int                          nMaxNumberStatMultNum;                         // ʵʷؿͳƳPD
    CFG_NUMBERSTAT_MULT_INFO     stuNumberStatMult[MAX_NUMBER_STAT_MAULT_NUM];  // ͳƳPD

    VA_CAPS_INFO         stuFullCaps;                                           // ȫʾƵͨ fullΪǲ
    VA_DYNAMIC_CAPS_INFO stuDynamicCaps;                                        // ̬ʾǰƵͨ
} CFG_CAP_ANALYSE_INFO;

///@brief ܷʵ
typedef enum tagCFG_EM_INSTANCE_SUBCLASS_TYPE
{
	CFG_EM_INSTANCE_SUBCLASS_TYPE_LOCAL = 0,		// ʵ
	CFG_EM_INSTANCE_SUBCLASS_TYPE_REMOTE,			// Զʵ
}CFG_EM_INSTANCE_SUBCLASS_TYPE;

///@brief ȡչ
typedef struct tagCFG_CAP_ANALYSE_REQ_EXTEND_INFO
{
	DWORD							dwSize;			// ṹС
	CFG_EM_INSTANCE_SUBCLASS_TYPE	emSubClassID;	// ܷʵ
}CFG_CAP_ANALYSE_REQ_EXTEND_INFO;

///@brief Ƶֵ֧Ķ
typedef enum tagEM_VIDEO_ANALYSE_OBJECT_TYPE
{
    EM_VIDEO_ANALYSE_OBJECT_TYPE_UNKNOWN,           // δ֪
    EM_VIDEO_ANALYSE_OBJECT_TYPE_ALL_OBJECT,        // 
    EM_VIDEO_ANALYSE_OBJECT_TYPE_HUMAN,             //        
    EM_VIDEO_ANALYSE_OBJECT_TYPE_VEHICLE,           // 
    EM_VIDEO_ANALYSE_OBJECT_TYPE_FIRE,              // 
    EM_VIDEO_ANALYSE_OBJECT_TYPE_SMOKE,             // 
    EM_VIDEO_ANALYSE_OBJECT_TYPE_PLATE,             // Ƭ״             
    EM_VIDEO_ANALYSE_OBJECT_TYPE_HUMANFACE,         // 
    EM_VIDEO_ANALYSE_OBJECT_TYPE_CONTAINER,         // 
    EM_VIDEO_ANALYSE_OBJECT_TYPE_ANIMAL,            // 
    EM_VIDEO_ANALYSE_OBJECT_TYPE_TRAFFICLIGHT,      // ̵
    EM_VIDEO_ANALYSE_OBJECT_TYPE_PASTEPAPER,        // ֽ Ƭ
    EM_VIDEO_ANALYSE_OBJECT_TYPE_HUMANHEAD,         // ˵ͷ
    EM_VIDEO_ANALYSE_OBJECT_TYPE_ENTITY,            // ͨ
}EM_VIDEO_ANALYSE_OBJECT_TYPE;

///@brief Ƶֵ֧Ķ
typedef enum tagEM_VIDEO_ANALYSE_ACTION_TYPE
{                                                   
    EM_VIDEO_ANALYSE_ACTION_TYPE_UNKNOWN,           // δ֪Ϊ        
    EM_VIDEO_ANALYSE_ACTION_TYPE_APPEAR,            // ֣ԵĿ꣬־ͱ
    EM_VIDEO_ANALYSE_ACTION_TYPE_DISAPPEAR,         // ʧ
    EM_VIDEO_ANALYSE_ACTION_TYPE_INSIDE,            // ڣҪĿﵽָָʱű
    EM_VIDEO_ANALYSE_ACTION_TYPE_CROSS,             // Խ
}EM_VIDEO_ANALYSE_ACTION_TYPE;

///@brief Ƶֵ֧ļ
typedef enum tagEM_VIDEO_ANALYSE_DETECT_TYPE
{
    EM_VIDEO_ANALYSE_DETECT_TYPE_UNKNOWN,           // δ֪
    EM_VIDEO_ANALYSE_DETECT_TYPE_LOSS,              // Ƶʧ
    EM_VIDEO_ANALYSE_DETECT_TYPE_COVER,             // Ƶڵ
    EM_VIDEO_ANALYSE_DETECT_TYPE_FROZEN,            // 涳
    EM_VIDEO_ANALYSE_DETECT_TYPE_LIGHT,             // 
    EM_VIDEO_ANALYSE_DETECT_TYPE_DARK,              // 
    EM_VIDEO_ANALYSE_DETECT_TYPE_SCENECHANGE,       // 仯
    EM_VIDEO_ANALYSE_DETECT_TYPE_STRIATION,         // Ƽ
    EM_VIDEO_ANALYSE_DETECT_TYPE_NOISE,             // 
    EM_VIDEO_ANALYSE_DETECT_TYPE_UNBALANCE,         // ƫɫ
    EM_VIDEO_ANALYSE_DETECT_TYPE_BLUR,              // Ƶģ
    EM_VIDEO_ANALYSE_DETECT_TYPE_CONTRAST,          // Աȶ쳣
    EM_VIDEO_ANALYSE_DETECT_TYPE_MOTION,            // Ƶ˶
    EM_VIDEO_ANALYSE_DETECT_TYPE_FILCKERING,        // Ƶ˸
    EM_VIDEO_ANALYSE_DETECT_TYPE_COLOR,             // Ƶɫ仯
    EM_VIDEO_ANALYSE_DETECT_TYPE_UNFOCUS,           // 齹
    EM_VIDEO_ANALYSE_DETECT_TYPE_OVEREXPOSURE,      // ؼ 
}EM_VIDEO_ANALYSE_DETECT_TYPE;

///@brief Ƶֵ֧
typedef enum tagEM_VIDEO_ANALYSE_HUMANFACE_TYPE
{
    EM_VIDEO_ANALYSE_HUMANFACE_TYPE_UNKNOWN,        // δ֪
    EM_VIDEO_ANALYSE_HUMANFACE_TYPE_NORMAL,         // ͨ
    EM_VIDEO_ANALYSE_HUMANFACE_TYPE_HIDEEYE,        // ۲ڵ
    EM_VIDEO_ANALYSE_HUMANFACE_TYPE_HIDENOSE,       // ڵ
    EM_VIDEO_ANALYSE_HUMANFACE_TYPE_HIDEMOUTH,      // 첿ڵ
    EM_VIDEO_ANALYSE_HUMANFACE_TYPE_ADJACENTFACE,   //  (עATMβ)
    EM_VIDEO_ANALYSE_HUMANFACE_TYPE_ABNORMALFACE,   // 쳣
    EM_VIDEO_ANALYSE_HUMANFACE_TYPE_HELMETFACE,     // ͷ(Ħг)
}EM_VIDEO_ANALYSE_HUMANFACE_TYPE;

///@brief ֵ֧Ĺ
typedef struct
{
    DWORD                                       dwSupportedRule;                                         // 
    int                                         nSupportedObjectTypeNum;                                 // ֵ֧ļ͸
    EM_VIDEO_ANALYSE_OBJECT_TYPE                emObjectType[MAX_OBJECT_LIST_SIZE];	                     // ֵ֧ļб
    int                                         nSupportedActionsNum;                                    // ֵ֧ļ嶯
    EM_VIDEO_ANALYSE_ACTION_TYPE                emSupportedAction[MAX_ACTION_LIST_SIZE];                 // ֵ֧ļ嶯б
    int                                         nSupportedDetectTypeNum;                                 // ֵ֧ļ͸
    EM_VIDEO_ANALYSE_DETECT_TYPE                emSupportedDetectType[MAX_ACTION_LIST_SIZE];             // ֵ֧ļб
    int                                         nSupportFaceTypeNum;                                     // ֵ֧͸
    EM_VIDEO_ANALYSE_HUMANFACE_TYPE             emSupportFaceType[MAX_HUMANFACE_LIST_SIZE];              // ֵ֧б
    BOOL                                        bTriggerPosition;                                        // Ƿִ֧λ
    BOOL			                            bTriggerTrack;											 // Ƿִ֧
	FACEBODY_DETECT_CAPS						stuFaceBodyDetectCaps;									 // ƣ
	FACEBODY_ANALYSE_CAPS						stuFaceBodyAnalyseCaps;							         // ʶƣ
	EM_FEATURE_LIST_TYPE						emFeature[32];											 // װб
	int											nDetectFeatureCount;									 // ⵽
	EM_SUPPORTED_COLOR_LIST_TYPE				emSupportedColorList[8];								 // ⵽ĳʦװɫб
	int											nDetectSupportedColorCount;								 // ⵽ĳʦװɫ
    int                                         nLink;                                                   // ҵ
    CFG_LINK_CLASS_TYPE                         stuLinkClassType[16];                                    // ҵѡ
    BOOL                                        bSupportPolygon;                                         // ȺֲͼǷֶ֧ΣTRUE:ʾ֧;FALSE:ʾûʾֻ֧4ƽı
}SCENE_SUPPORT_RULE_EX;

///@brief 
typedef struct tagCFG_CAP_SCENE_EX
{
    char               szSceneName[MAX_PATH];                                   // 
    int                nSupportedObjectTypeNum;                                 // ǰֵ֧ļ͸
    char               szObjectTypeName[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];	// ǰֵ֧ļб
    int                nSupportRules;                                           // ֵ֧Ĺ
    SCENE_SUPPORT_RULE_EX stSpportRules[MAX_RULE_LIST_SIZE];                    // ֵ֧Ĺб

    //ֵ֧ģ
    bool               bDisturbance;                                            // Ƿ֧Ŷǿ
    bool               bAntiDisturbance;                                        // Ƿ֧ȥŶ
    bool               bBacklight;                                              // Ƿ֧⴦
    bool               bShadow;                                                 // Ƿ֧Ӱ
    bool               bAccuracy;                                               // Ƿּ֧⾫
    bool               bMovingStep;												// Ƿּ֧ⲽ
    bool               bScalingFactor;                                          // Ƿּ֧
    bool               bThresholdY;                                             // Ƿ֧Yжֵ
    bool               bThresholdUV;                                            // Ƿ֧UVжֵ
    bool               bThresholdEdge;                                          // Ƿֱ֧Եжֵ
    bool               bDetectBalance;                                          // Ƿּ֧ƽ
    bool               bAlgorithmIndex;                                         // Ƿ֧㷨
    bool               bHighlight;                                              // Ƿָ֧߹⴦Backgroud 
    bool               bSnapshot;                                               // Ƿ֧ץͼ
    bool               bDetectRegion;                                           // Ƿּ֧
    bool               bExcludeRegion;                                          // Ƿ֧ų
    bool               bContourAssistantTrack;                                  // Ƿ֧

    //ֵ֧ĳ
    bool               bCameraAspect;                                            // Ƿͷλò
    bool               bJitter;                                                  // Ƿֶ֧
    bool               bDejitter;                                                // Ƿ֧ȥ

    // ֵ֧ı궨
    int               nMaxCalibrateAreaNum;                                      // 궨
    int               nCalibrateAreaNum;                                         // 궨Ϣ
    CFG_CAP_CELIBRATE_AREA stCalibrateAreaCap[MAX_CALIBRATEAREA_TYPE_NUM];       // 궨Ϣ

    // ߴʽ
    bool              bPixel;                                                    // Ƿ֧ؼʽ
    bool              bMetric;                                                   // Ƿ֧ʵʳȼʽ
    bool              bCalibratedPixel;                                          // Ƿ֧Զ˽˱궨ؼʽ

    char              szSubType[MAX_SCENE_SUBTYPE_NUM][MAX_SCENE_SUBTYPE_LEN];  // ǰֵ֧ӳ
    int               nSubTypeNum;                                              // ӳ͸
    int				  nMaxRules;												// ÿֵ֧
	BOOL			  bSupportedSetModule;										// Ƿ֧ؽĬϲ֧(false)	
    BOOL              bSupportFightCalibrate;                                   // Ƿִ֧ܱ궨,ĬFALSE
	char			  szClassAlias[16];											// ҵ񷽰  
	CROWD_CALIBRATION stuCalibration;                                           // Ⱥֲͼı궨߶
	CFG_ANATOMYTEMP_DETECT_SCENE_CAPS	stuAnatomyTempDetect;					// ³
	CFG_STEREO_BEHAVIOR_SCENE_CAPS	stuStereoBehaviorCaps;						// Ϊ
	BYTE              byReserved[1024];                                         // ֽ
}CFG_CAP_SCENE_EX;

///@brief б
typedef struct tagCFG_VACAP_SUPPORTEDSCENES_EX
{
    int                nScenes;													   // ֵ֧ĳ
    CFG_CAP_SCENE_EX   stScenes[MAX_SCENE_LIST_SIZE];                              // ֵ֧ĳб
}CFG_VACAP_SUPPORTEDSCENES_EX;

///@brief ƵֶstSupportScenes⣬ֶκCFG_CAP_ANALYSE_INFOһ
typedef struct tagCFG_CAP_ANALYSE_INFO_EX
{
    int					nSupportedSceneNum;										// ֵ֧ĳ
    char				szSceneName[MAX_SCENE_LIST_SIZE][MAX_NAME_LEN];			// ֵ֧ĳб
    int					nMaxMoudles;											// ÿ֧ͨģ
    int					nSupportedObjectTypeNum;								// ֵ֧ļ͸
    char				szObjectTypeName[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];	// ֵ֧ļб
    int					nMaxRules;												// ÿ֧ͨ
    int					nSupportedRulesNum;										// ֵ֧¼͹
    DWORD				dwRulesType[MAX_RULE_LIST_SIZE];	             		// ֵ֧¼͹б¼ͣdhnetsdk.h"ܷ¼"
    int					nMaxStaffs;												// ֵ֧߸
    int					nMaxPointOfLine;										// 󶥵
    int					nMaxPointOfRegion;										// 󶥵
    int                 nMaxInternalOptions;                                    // ڲѡ
    bool                bComplexSizeFilter;                                     // Ƿָ֧ӳߴ	ӳߴʹö˺Ϳ߱ȹ˲      
    bool                bSpecifiedObjectFilter;                                 // Ƿ֧ض
    int                 nMaxExcludeRegionNum;                                   // ֧ģеų
    int                 nMaxCalibrateBoxNum;                                    // ֵ֧ģеУ׼
    int                 nMinCalibrateBoxNum;                                    // ģҪõУ׼
    int                 nMaxSepcialDetectRegions;                               // ģֵ֧
    int                 nSupportedTimeSectionNum;                               // ֵ֧ÿʱθ 
    int                 nSpecialDetectPropertyNum;                              // ֵ֧Ը
    int			        nSupportedSpecialDetectPropertys[EM_SEPCIALREGION_PROPERTY_TYPE_NUM]; // ֵ֧
    DWORD				nSupportedVideoChannelType;								// ֵ֧Ƶͨѡ   0λΪ1ʾ֧,1λΪ1ʾ֧ģ,2Ϊ1ʾֻ֧(ֺģ)				
    bool				bSupportMultiSceneSwitch;								// Ƿֶ֧ೡл
    CFG_VACAP_SUPPORTEDSCENES_EX  stSupportScenes;                                 // ֵ֧ĳ
    int 				nSupportedComp; 										// ֵ֧ĳ
    CFG_SUPPORTED_COMP	stuSupportedComp[MAX_SUPPORTED_COMP_SIZE];				// ֵ֧ĳб
    BYTE				byFilterMask;											// 0 Module/RuleþҪ(Ĭϣܷ), 1 RuleҪ(IPC/xVR)
    EM_DISPLAY_CAMERA_ANGLE_TYPE emDisCameraAngleType;							// ͷװǶʾʽ
    VA_DYNAMIC_CAPS_INFO stuDynamicCaps;                                        // ̬ʾǰƵͨǰ
}CFG_CAP_ANALYSE_INFO_EX;

///@brief У׼Ϣ
typedef struct tagCFG_CALIBRATEBOX_INFO
{
	CFG_POLYGON         stuCenterPoint;                       // У׼ĵ(һ[0,8191])
	float               fRatio;                               // Ի׼У׼ı(1ʾ׼С0.5ʾ׼Сһ)
}CFG_CALIBRATEBOX_INFO;

///@brief 궨ʽ
typedef enum tagEM_METHOD_TYPE
{
	EM_METHOD_UNKNOWN,		// δ֪ʽ
	EM_METHOD_SCENE,		// 궨
	EM_METHOD_LANE,			// 궨
	EM_METHOD_PLATE,		// Ʊ궨
	EM_METHOD_STEREO,		// ˫Ŀ궨
} EM_METHOD_TYPE;

///@brief 궨,ͨʹ
typedef struct tagCFG_CALIBRATEAREA_INFO
{
	int						nLinePoint;						// ˮƽ߶
	CFG_POLYGON				stuLine[MAX_POLYLINE_NUM];		// ˮƽ
	float					fLenth;                 		// ʵʳ
	CFG_REGION				stuArea;                  		// 
	int                 	nStaffNum;                 		// ֱ
	CFG_STAFF           	stuStaffs[MAX_STAFF_NUM];		// ֱ         
	EM_CALIBRATEAREA_TYPE 	emType;							// 
	EM_METHOD_TYPE			emMethodType;					// 궨ʽ
}CFG_CALIBRATEAREA_INFO;

///@brief Ŀʶ𳡾
typedef struct tagCFG_FACERECOGNITION_SCENCE_INFO
{
	double				dbCameraHeight;							// ͷظ߶ λ
	double				dbCameraDistance;						// ͷĵˮƽ λ
	int                 nMainDirection;                         // Ҫ򶥵
	CFG_POLYGON         stuMainDirection[MAX_POLYLINE_NUM];     // Ҫ򣬵һʼ㣬ڶֹ
	char                byFaceAngleDown;                        // Ҫƫ, λȣ-45~45ʾϱߣʾ±ߣ0ʾֱͷ
	char                byFaceAngleUp;                          // Ҫƫ,λȣ-45~45ʾϱߣʾ±ߣ0ʾֱͷ
 	char                byFaceAngleLeft;                        // Ҫƫ,λȣ-45~45ʾߣʾұߣ0ʾˮƽͷ
	char                byFaceAngleRight;                       // Ҫƫ,λȣ-45~45ʾߣʾұߣ0ʾˮƽͷ
	EM_FACEDETECTION_TYPE	emDetectType;						// 
}CFG_FACERECOGNITION_SCENCE_INFO;

///@brief ⳡ
typedef struct tagCFG_FACEDETECTION_SCENCE_INFO
{
	double				dbCameraHeight;							// ͷظ߶ λ
	double				dbCameraDistance;						// ͷĵˮƽ λ
	int                 nMainDirection;                         // Ҫ򶥵
	CFG_POLYGON         stuMainDirection[MAX_POLYLINE_NUM];     // Ҫ򣬵һʼ㣬ڶֹ
	char                byFaceAngleDown;                        // Ҫƫ, λȣ-45~45ʾϱߣʾ±ߣ0ʾֱͷ
	char                byFaceAngleUp;                          // Ҫƫ,λȣ-45~45ʾϱߣʾ±ߣ0ʾֱͷ
	char                byFaceAngleLeft;                        // Ҫƫ,λȣ-45~45ʾߣʾұߣ0ʾˮƽͷ
	char                byFaceAngleRight;                       // Ҫƫ,λȣ-45~45ʾߣʾұߣ0ʾˮƽͷ
	EM_FACEDETECTION_TYPE	emDetectType;						// 
}CFG_FACEDETECTION_SCENCE_INFO;


///@brief ͨɫУã
typedef struct tagADJUST_LEVEL_SEP
{
    int                 nType;                                  // 0δ壬1Ƶ2ͼƬ
    int                 nTime;                                  // 0δ壬1죬2ҹ
    int                 nLevel;                                 // Χ0~100ֵԽԽ
} ADJUST_LEVEL_SEP;

///@brief ͨɫУ
typedef struct tagCFG_ADJUST_LIGHT_COLOR
{
    int                 nMode;                                  // ɫУģʽ 0:δ 1:̵ƲУ 2:һֱУ
    BOOL                bEnable;                                // ǷͼƬ̵ɫУ
    int                 nLevel;                                 // Уȼ Χ0~100ֵԽԽ
    BOOL                bVideoEnable;                           // ǷƵͿ칦ܣڴʱLevelֵʹLevelSeparateµLevelֵ                                
    ADJUST_LEVEL_SEP    stLevelSep[4];                          // ȼĿǰΪ4
} CFG_ADJUST_LIGHT_COLOR;

#define  MAX_PARKING_SPACE_NUM          6       //6λϢ
#define  MAX_SHIELD_AREA_NUM            16      //1λӦ16
///@brief  λϢ
typedef struct tagCFG_PARKING_SPACE
{
    int             nNumber;                // λ
    CFG_REGION      stArea;                 // 
    int             nShieldAreaNum;                              // Ч
    CFG_REGION      stShieldArea[MAX_SHIELD_AREA_NUM];           // 
    char            szCustomParkNo[CFG_COMMON_STRING_32];        // Զ峵λ
}CFG_PARKING_SPACE;

///@brief ͨ
typedef struct tagCFG_TRAFFIC_SCENE_INFO 
{
	BOOL                abCompatibleMode;	
	int                 nCompatibleMode;                        // 0:"OldTrafficRule" : ͨϹģʽ;1:"NewTrafficRule" :  ͨ¹ģʽ;-1:ַ
	float				fCameraHeight;							// ͷظ߶	λ
	float				fCameraDistance;						// ͷĵˮƽ	λ
	char                szSubType[MAX_NAME_LEN];                // ͨ,"Gate" ,"Junction" · 
																// "Tunnel" , "ParkingSpace"λ
																// "Bridge"
																// "Freeway"ٹ·                 
	CFG_POLYGON         stuNearDetectPoint;                     // 
	CFG_POLYGON         stuFarDectectPoint;                     // Զ
	int                 nNearDistance;                          // NearDetectPoint,תʵʳʱ,ͷֱߵˮƽ
	int                 nFarDistance;                           // FarDectectPoint,תʵʳʱ,ͷֱߵˮƽ
	int                 nPlateHintNum;                          // ַʾ
	char                szPlateHints[MAX_PLATEHINT_NUM][MAX_NAME_LEN]; // ַʾ飬ͼƬϲʶȷʱݴеַƥ䣬±ԽСƥȼԽ
	int                 nLaneNum;                               // 
	CFG_LANE            stuLanes[MAX_LANE_NUM];                 // Ϣ
    int                 nLightGroupNum;                         // 
	CFG_LIGHTGROUPS     stLightGroups[MAX_LIGHTGROUP_NUM];      // Ϣ
    BOOL                bHangingWordPlate;                      // Ƿʶֳ
    BOOL                bNonStdPolicePlate;                     // ǷʶǱ׼
    BOOL                bYellowPlateLetter;                     // Ƿʶĸ
    int                 nReportMode;                            // ϱģʽ0δ壬1ϱΥ³2ϱʶɹΥ³
    int                 nPlateMatch;                            // ƥʣ0~100ʶʹ,ʾظʶƺǰһʶƵһҪ
    int                 nJudgment;                              // Υжݣ0δ壬12ʻ3ʻ
    int                 nLeftDivisionPtCount;                   // תֽߵ
    CFG_POLYLINE        stLeftDivisionLine[MAX_POLYLINE_NUM];   // תֽ
    int                 nRightDivisionPtCount;                  // תֽߵ
    CFG_POLYLINE        stRightDivisionLine[MAX_POLYLINE_NUM];  // תֽ
    CFG_ADJUST_LIGHT_COLOR  stAdjustLightColor;                 // ͨɫУ
    int                  nParkingSpaceNum;                      // λ                             
    CFG_PARKING_SPACE    stParkingSpaces[MAX_PARKING_SPACE_NUM];// λϢ,ÿԪشһλ

} CFG_TRAFFIC_SCENE_INFO;

///@brief ձ鳡
typedef struct tagCFG_NORMAL_SCENE_INFO
{
	float				fCameraHeight;							// ͷظ߶	λ
	float				fCameraAngle;							// ͷ봹ļн	λȣ0~90
	float				fCameraDistance;						// ͷĵˮƽ	λ
	CFG_POLYGON			stuLandLineStart;						// ƽ߶ʼ(һ[0,8192)䡣)
	CFG_POLYGON			stuLandLineEnd;							// ƽ߶ֹ(һ[0,8192)䡣)
} CFG_NORMAL_SCENE_INFO;

///@brief ͨѲӳ
typedef struct tagCFG_TRAFFIC_TOUR_SCENE_INFO 
{
	int                 nPlateHintNum;                          // ַʾ
	char                szPlateHints[MAX_PLATEHINT_NUM][MAX_NAME_LEN]; // ַʾ飬ͼƬϲʶȷʱݴеַƥ䣬±ԽСƥȼԽ
} CFG_TRAFFIC_TOUR_SCENE_INFO;

///@brief Ⱥ̬ƺȺܶȳ
typedef struct tagCFG_CROWD_SCENE_INFO 
{
	float				fCameraHeight;							// ͷظ߶	λ
} CFG_CROWD_SCENE_INFO;

///@brief 澰
typedef enum tagEM_DEPTH_TYPE
{
	EM_DEPTH_UNKNOWN,		//unknown
	EM_DEPTH_NORMAL,		// "Normal" δ֪
	EM_DEPTH_FAR,			// "Far" Զ
	EM_DEPTH_MIDDLE,		// "Middle" о
	EM_DEPTH_NEAR			// "Near" 
}EM_DEPTH_TYPE;


///@brief ͳһ,TypeListʱô˳
typedef struct tagCFG_INTELLI_UNIFORM_SCENE{
	char                szSubType[MAX_NAME_LEN];                // ͨ,"Gate" ,"Junction" · 
																// "Tunnel" , "ParkingSpace"λ
																// "Bridge"
																// "Freeway"ٹ·                 
	int                 nPlateHintNum;                          // ַʾ
	char                szPlateHints[MAX_PLATEHINT_NUM][MAX_NAME_LEN]; // ַʾ飬ͼƬϲʶȷʱݴеַƥ䣬±ԽСƥȼԽ
	int                 nLaneNum;                               // 
	CFG_LANE            stuLanes[MAX_LANE_NUM];                 // Ϣ
}CFG_INTELLI_UNIFORM_SCENE;

///@brief ɼ
typedef struct tagCFG_FACEDETECT_VISUAL_INFO
{
	UINT						nFaceAngleUp;								// Ҫ()ƫ,˽ǶȲϱ,λ,0-90
	UINT						nFaceAngleRight;							// Ҫ()ƫ,˽ǶȲϱ,λ,0-90
	UINT						nFaceRollRight;								// Ҫңͷƫ,˽ǶȲϱ,λ,0-90
	BOOL                        bTempOptimization;                          // Ƿѡ
    BOOL                        bEyesWidthDetection;                        // Ƿͫ⣬ͨͫɻĿ
    BYTE						byReserved[1016];							// Ԥֶ
}CFG_FACEDETECT_VISUAL_INFO;

///@brief ³
typedef struct tagCFG_ANATOMYTEMP_SCENCE_INFO
{
	CFG_EM_FACEDETECT_TYPE			emFaceDetectType;								// 
	CFG_FACEDETECT_VISUAL_INFO		stuVisual;										// ɼãemFaceDetectTypeΪCFG_EM_FACEDETECT_TYPE_VISUALCFG_EM_FACEDETECT_TYPE_TIMESECTIONʱЧ
	CFG_TIME_SECTION				stuTimeSection;									// ɼʱΣemFaceDetectTypeΪCFG_EM_FACEDETECT_TYPE_TIMESECTIONʱЧ
	BYTE							byReserved[1024];								// Ԥֶ
}CFG_ANATOMYTEMP_SCENCE_INFO;

///@brief ؼϢ
typedef struct tagCFG_DETECT_REGIONS_INFO
{
	BOOL			bEnable;		// ʹֶβʱĬΪTRUE
	int				nDetectRegionPoint;			// 򶥵
	CFG_POLYGON		stuDetectRegion[20];		// 
}CFG_DETECT_REGIONS_INFO;

///@brief Ƶȫó
typedef struct tagCFG_ANALYSEGLOBAL_SCENE
{
	char				szSceneType[MAX_NAME_LEN];				// Ӧó,"ֵ֧ĳб"

	// ΪϢ, szSceneTypeĸЧ
	union
	{
		CFG_FACEDETECTION_SCENCE_INFO	stuFaceDetectionScene;	// ⳡ/Ŀʶ
		CFG_TRAFFIC_SCENE_INFO			stuTrafficScene;		// ͨ
		CFG_NORMAL_SCENE_INFO			stuNormalScene;			// ͨ/Զ/о//ڳ/ͳƳ
		CFG_TRAFFIC_TOUR_SCENE_INFO		stuTrafficTourScene;	// ͨѲӳ
		CFG_CROWD_SCENE_INFO			stuCrowdScene;			// Ⱥ̬ƺȺܶȳ
		CFG_ANATOMYTEMP_SCENCE_INFO		stuAnatomyTempScene;	// ³
	};

	EM_DEPTH_TYPE		emDepthType;							// 澰
	int					nPtzPresetId;							// ̨Ԥõţ0~255
	// жҵ
	int					nSceneListCount;						// ʵʳ
	char				szSceneTypeList[MAX_SCENE_TYPE_LIST_SIZE][CFG_COMMON_STRING_16];// бͬһƵͨöʱʾ2֮ķ
																						// ҵʱЧ
	CFG_INTELLI_UNIFORM_SCENE 	stuUniformScene; 						// ͳһ
	BOOL						bSceneTypeListEx;						// szSceneTypeListEx ǷЧΪTRUEʱʹszSceneTypeListEx
	int							nSceneListCountEx;						// ʵʳչszSceneTypeListEx Ч
	char						szSceneTypeListEx[32][128];				// бչszSceneTypeList չֶ
	CFG_DETECT_REGIONS_INFO		*pstuDetectRegionsInfo;					// ؼϢ
	int							nMaxDetectRegions;						// ؼ,ڴɿͻ
	int							nDetectRegionsNum;						// ؼϢ
} CFG_ANALYSEGLOBAL_SCENE;
///@brief   ʱ
typedef struct tagCFG_TIME
{
	DWORD				dwHour;					// ʱ
	DWORD				dwMinute;				// 
	DWORD				dwSecond;				// 
}CFG_TIME;
///@brief   ʱ
typedef struct tagCFG_TIME_PERIOD
{
	CFG_TIME	stuStartTime;				
	CFG_TIME	stuEndTime;			
}CFG_TIME_PERIOD;

///@brief ೡ궨ûԪ
typedef struct tagCFG_CALIBRATEAREA_SCENE_UNIT
{
	unsigned int           nCalibrateAreaNum;                                // ˳ڱ궨
	CFG_CALIBRATEAREA_INFO stuCalibrateArea[MAX_CALIBRATEBOX_NUM];           // 궨(ֶβڣΪ궨)
}
CFG_CALIBRATEAREA_SCENE_UNIT;

///@brief ೡ궨
typedef struct tagCFG_CALIBRATEAREA_SCENE_INFO
{
	DWORD                        dwMaxSceneCalibrateAreaNum;                 // ೡ궨(Ҫ˴Сڴ)
	DWORD                        dwRetSceneCalibrateAreaNum;                 // ʵʰೡ궨
	CFG_CALIBRATEAREA_SCENE_UNIT *pstuCalibrateArea;                         // ೡ궨Ԫ
}
CFG_CALIBRATEAREA_SCENE_INFO;

///@brief ̨굥Ԫ
typedef struct tagCFG_PTZ_SPACE_UNIT
{
	int                    nPositionX;           //̨ˮƽ˶λãЧΧ[0,3600]
	int                    nPositionY;           //ֱ̨˶λãЧΧ[-1800,1800]
	int                    nZoom;                //̨Ȧ䶯λãЧΧ[0,128]
}CFG_PTZ_SPACE_UNIT;

///@brief 궨
typedef struct tagCFG_CALIBRATEAREA_UNIT
{
	int                          nSceneID;                                 // 
	int                          nPtzPresetID;                             // Ԥõ
	BOOL                         abCalibrateArea;                          // 궨Ƿ
	CFG_CALIBRATEAREA_SCENE_UNIT stuCalibrateArea;                         // 궨
	CFG_PTZ_SPACE_UNIT           stuPtzPosition;                           // 궨̨λ
}
CFG_VIDEO_ANALYSE_CALIBRATEAREA_UNIT;

///@brief 궨
typedef struct tagCFG_VIDEO_ANALYSE_CALIBRATEAREA
{

	DWORD                                dwMaxSceneCalibrateNum;           // ೡ궨(Ҫ˴Сڴ)
	DWORD                                dwRetSceneCalibrateNum;           // ʵʰೡ궨
	CFG_VIDEO_ANALYSE_CALIBRATEAREA_UNIT *pstuCalibrateAreaUnit;           // 궨
}
CFG_VIDEO_ANALYSE_CALIBRATEAREA;

///@brief ҹ㷨лģʽ
typedef enum tagCFG_TIMEPERIOD_SWITCH_MODE
{
	CFG_TIMEPERIOD_SWITCH_MODE_UNKNOWN,                                     // δ֪
	CFG_TIMEPERIOD_SWITCH_MODE_BYCOLOR,                                    	// ͨɫл                     
	CFG_TIMEPERIOD_SWITCH_MODE_BYBRIGHTNESS,                               	// ͨл
	CFG_TIMEPERIOD_SWITCH_MODE_BYPOS,										// ͨγȼճʱл
}CFG_TIMEPERIOD_SWITCH_MODE;

///@brief ೡ궨ͺҹûԪ
typedef struct tagCFG_TIME_PERIOD_SCENE_UNIT
{
	CFG_TIME_PERIOD        stuDayTimePeriod;								 	// 궨ʱ.(8,20),ʾ8㵽20Ϊ
	CFG_TIME_PERIOD        stuNightTimePeriod;								 	// 궨ҹʱ.(20,7)ʾ8㵽賿7Ϊҹ
	CFG_TIMEPERIOD_SWITCH_MODE emSwitchMode;                                  	// ҹ㷨лģʽCFG_TIMEPERIOD_SWITCH_MODE
	UINT					unLongitude;										//  λ֮һ
	UINT					unLatitude;											// γ λ֮һ
}
CFG_TIME_PERIOD_SCENE_UNIT;

///@brief ೡ궨ͺҹ
typedef struct tagCFG_TIME_PERIOD_SCENE_INFO
{
	DWORD                        dwMaxTimePeriodSceneNum;                    // ೡ궨ͺҹ(Ҫ˴Сڴ)
	DWORD                        dwRetTimePeriodSceneNum;                    // ʵʰೡ궨ͺҹø
	CFG_TIME_PERIOD_SCENE_UNIT   *pstuTimePeriodScene;                       // ೡͺҹԪ,ûڴ棬СΪsizeof(CFG_TIME_PERIOD_SCENE_UNIT)*dwMaxTimePeriodSceneNum
}CFG_TIME_PERIOD_SCENE_INFO;

///@brief ʻ
typedef struct tagCFG_DETAIL_DRIVEASSISTANT_INFO
{
    BOOL                            bValid;                                 // ǷЧ
    int                             nVehicleWidth;                          //  0-5000mm λmm
    int                             nCamHeight;                             // ߶ 0-5000mm λmm
    int                             nCamToCarHead;                          // ͷľ 0-5000mm λmm
	CFG_POLYGON						stuCenterPoint;							// ĵ
    BYTE                            byReserved[48];                         // 
}CFG_DETAIL_DRIVEASSISTANT_INFO;


///@brief Ϣ
typedef struct tagCFG_AREA_MODE_INFO
{
	char							szName[32];								// 
	UINT							nCount;									// ܳλ
	UINT							nAreaCount;								// 
	CFG_POLYGON						stuArea[20];							// 
	int								nSpaceType;								// λ: 0:δ֪, 1:Сλ, 2:󳵳λ, 3:ΣƷλ, 4:λ, 5:Сͳλ, 6:ͳλ
	char							szReserved[60];							// ֽ
}CFG_AREA_MODE_INFO;

///@brief λϢ
typedef struct tagCFG_SPACE_MODE_INFO 
{
	char							szParkNo[32];							// λ
	CFG_POLYGON						stuCoordinate;							// λĵ
	int								nSpaceType;								// λ: 0:δ֪, 1:Сλ, 2:󳵳λ, 3:ΣƷλ, 4:λ, 5:Сͳλ, 6:ͳλ
	char							szReserved[60];							// ֽ
}CFG_SPACE_MODE_INFO;

///@brief λͳƳϢ
typedef struct tagCFG_PARKING_STATISTICS_INFO
{
	char							szStatisticsMode[16];					// ͳģʽ: "AreaMode" ģʽ, "SpaceMode" λģʽ
	int								nAreaModeCount;							// 
	CFG_AREA_MODE_INFO				stuAreaMode[128];						// Ϣ, ÿԪرʾһ; szStatisticsModeΪAreaModeʱЧ
	int								nSpaceModeCount;						// λ
	CFG_SPACE_MODE_INFO				stuSpaceMode[128];						// λϢ, ÿԪرʾһλ; szStatisticsModeΪSpaceModeʱЧ
	UINT							nConfidenceFilter;						// Ŷֵ, Χ[0, 100], ڸֵĳͳ
}CFG_PARKING_STATISTICS_INFO;

///@brief Ƶȫ
typedef struct tagCFG_ANALYSEGLOBAL_INFO
{
	// Ϣ
	char				            szSceneType[MAX_NAME_LEN];				// Ӧó,"ֵ֧ĳб"

	//ͨϢ
    double				            CameraHeight;							// ͷظ߶	λ
	double				            CameraDistance;						    // ͷĵˮƽ	λ
	CFG_POLYGON                     stuNearDetectPoint;                     // 
	CFG_POLYGON                     stuFarDectectPoint;                     // Զ
	int                             nNearDistance;                          // NearDetectPoint,תʵʳʱ,ͷֱߵˮƽ
	int                             nFarDistance;                           // FarDectectPoint,תʵʳʱ,ͷֱߵˮƽ
	char                            szSubType[MAX_NAME_LEN];                // ͨ,"Gate",,"Junction" ·,"ParkingSpace" λ, "ParkingStatistics":λͳ                             
	int                             nLaneNum;                               // 
	CFG_LANE                        stuLanes[MAX_LANE_NUM];                 // Ϣ
    int                             nPlateHintNum;                          // ַʾ
    char                            szPlateHints[MAX_PLATEHINT_NUM][MAX_NAME_LEN]; // ַʾ飬ͼƬϲʶȷʱݴеַƥ䣬±ԽСƥȼԽ
	int                             nLightGroupNum;                         // 
	CFG_LIGHTGROUPS                 stLightGroups[MAX_LIGHTGROUP_NUM];      // Ϣ
    BOOL                            bHangingWordPlate;                      // Ƿʶֳ
    BOOL                            bNonStdPolicePlate;                     // ǷʶǱ׼
    BOOL                            bYellowPlateLetter;                     // Ƿʶĸ
    int                             nReportMode;                            // ϱģʽ0δ壬1ϱΥ³2ϱʶɹΥ³
    int                             nPlateMatch;                            // ƥʣ0~100ʶʹ,ʾظʶƺǰһʶƵһҪ
    int                             nJudgment;                              // Υжݣ0δ壬12ʻ3ʻ
    int                             nLeftDivisionPtCount;                   // תֽߵ
    CFG_POLYLINE                    stLeftDivisionLine[MAX_POLYLINE_NUM];   // תֽ
    int                             nRightDivisionPtCount;                  // תֽߵ
    CFG_POLYLINE                    stRightDivisionLine[MAX_POLYLINE_NUM];  // תֽ
    CFG_ADJUST_LIGHT_COLOR          stAdjustLightColor;                     // ͨɫУ
    int                             nParkingSpaceNum;                       // λ                             
    CFG_PARKING_SPACE               stParkingSpaces[MAX_PARKING_SPACE_NUM];  // λϢ,ÿԪشһλ


	// һ㳡Ϣ 
	int                             nStaffNum;                              // 
	CFG_STAFF                       stuStaffs[MAX_STAFF_NUM];               // 

	unsigned int                    nCalibrateAreaNum;                      // 궨
	CFG_CALIBRATEAREA_INFO          stuCalibrateArea[MAX_CALIBRATEBOX_NUM]; // 궨(ֶβڣΪ궨)

	BOOL                            bFaceRecognition;                       // Ŀʶ𳡾ǷЧ
	CFG_FACERECOGNITION_SCENCE_INFO stuFaceRecognitionScene;                // Ŀʶ𳡾
		
	bool                            abJitter;
	bool                            abDejitter;	
	BYTE                            bReserved[2];                           // ֶ

	int					            nJitter;								//  : ʣȡֵ0-100Ӧ̶ֹȣԽֵԽ
	BOOL                            bDejitter;                              // Ƿȥģ Ŀǰʵ

	BOOL                            abCompatibleMode;	
	int                             nCompatibleMode;                        // 0:"OldTrafficRule" : ͨϹģʽ;1:"NewTrafficRule" :  ͨ¹ģʽ;-1:ַ

	int                             nCustomDataLen;                         // ʵݳȣܴ1024
	BYTE                            byCustomData[1024];                     // Զ
	double				            CameraAngle;							// ͷ봹ļн
	CFG_POLYGON			            stuLandLineStart;						// ƽ߶ʼ(һ[0,8192)䡣)
	CFG_POLYGON			            stuLandLineEnd;							// ƽ߶ֹ(һ[0,8192)䡣)

	BOOL				            bFaceDetection;							// ⳡǷЧ
	CFG_FACEDETECTION_SCENCE_INFO   stuFaceDetectionScene;		            // ⳡ
	CFG_TIME_PERIOD		            stuDayTimePeriod;						// 궨ʱ.(8,20),ʾ8㵽20Ϊ
	CFG_TIME_PERIOD		            stuNightTimePeriod;						// 궨ҹʱ.(20,7)ʾ8㵽賿7Ϊҹ
	CFG_TIME_PERIOD_SCENE_INFO      stuTimePeriodSceneInfo;                 // ೡ궨ͺҹʱ
	CFG_CALIBRATEAREA_SCENE_INFO    stuCalibrateAreaSceneInfo;              // ೡ궨Ϣ
	CFG_TIMEPERIOD_SWITCH_MODE      emSwitchMode;                           // ҹ㷨лģʽ,CFG_TIMEPERIOD_SWITCH_MODE

	int					            nSceneNum;								// , >0ʱʾֶ֧ೡ, stuMultiSceneЧ
	CFG_ANALYSEGLOBAL_SCENE	        stuMultiScene[MAX_ANALYSE_SCENE_NUM];	// ೡ

	int								nSceneCount;							// ʵʳ
	char							szSceneTypeList[MAX_SCENE_TYPE_LIST_SIZE][CFG_COMMON_STRING_16];// бͬһƵͨöʱʾ2֮ķ(ѡ)
	EM_DEPTH_TYPE					emDepthType;							// 澰
	int								nPtzPresetId;							// ̨Ԥõţ0~255
	UINT							unLongitude;							//  λ֮һ
	UINT							unLatitude;								// γ λ֮һ
	BOOL							bSceneTypeListEx;						// szSceneTypeListEx ǷЧΪTRUEʱʹ szSceneTypeListExʹ szSceneTypeList
	int								nSceneCountEx;							// ʵʳչszSceneTypeListEx Ч
	char							szSceneTypeListEx[32][128];				// бչszSceneTypeList չֶ

	CFG_ANATOMYTEMP_SCENCE_INFO		stuAnatomyTempScene;					// ³
	CFG_DETECT_REGIONS_INFO			*pstuDetectRegionsInfo;					// ؼϢ
	int								nMaxDetectRegions;						// ؼ,ڴɿͻ
	int								nDetectRegionsNum;						// ؼϢ
    CFG_DETAIL_DRIVEASSISTANT_INFO  stuDriveAssistant;                      // ʻ
	BOOL							bParkingSpaceChangeEnable;				// λʹ FALSEʹ TRUE:ʹ
	EM_SCENE_TYPE					emSceneType;							// szSceneTypeöʽ
	int								nSceneCountEm;							// SceneTypeList
	EM_SCENE_TYPE					emSceneTypeList[32];					// szSceneTypeListöʽ
	CFG_PARKING_STATISTICS_INFO		stuParkingStatistics;					// λͳƳϢ, szSubTypeΪParkingStatisticsʱЧ
} CFG_ANALYSEGLOBAL_INFO;

///@brief ߴ
typedef struct tagCFG_SIZEFILTER_INFO
{
	int                   nCalibrateBoxNum;                       // У׼
	CFG_CALIBRATEBOX_INFO stuCalibrateBoxs[MAX_CALIBRATEBOX_NUM]; // У׼(Զ˽˱궨ģʽЧ)
	bool                bMeasureModeEnable;                       // ʽǷЧ
	BYTE                bMeasureMode;                             // ʽ,0-أҪԶˡ˱궨, 1-ʵʳȣλ, 2-Զ˽˱궨
	bool                bFilterTypeEnable;                        // ͲǷЧ
	// ByArea,ByRatioݣʹöByAreaByRatioѡ 2012/03/06
	BYTE				bFilterType;			 				  // :0:"ByLength",1:"ByArea", 2"ByWidthHeight"
	BYTE                bReserved[2];                             // ֶ
	bool                bFilterMinSizeEnable;                     // СߴǷЧ
	bool                bFilterMaxSizeEnable;                     // ߴǷЧ
	CFG_SIZE			stuFilterMinSize;						  // Сߴ "ByLength"ģʽ±ʾߵĳߴ磬"ByArea"ģʽ¿ʾЧ(Զ˽˱궨ģʽ±ʾ׼Ŀ߳ߴ)
	CFG_SIZE			stuFilterMaxSize;				          // ߴ "ByLength"ģʽ±ʾߵĳߴ磬"ByArea"ģʽ¿ʾЧ(Զ˽˱궨ģʽ±ʾ׼Ŀ߳ߴ)
	
	bool                abByArea;
	bool                abMinArea;
	bool                abMaxArea;
	bool                abMinAreaSize;
	bool                abMaxAreaSize;
	bool                bByArea;                                  // Ƿ ͨComplexSizeFilterжǷ
	bool                bReserved1[2];                            // 
	float               nMinArea;                                 // С
	float               nMaxArea;                                 // 
	CFG_SIZE            stuMinAreaSize;                           // Сοߴ "ʽ"Ϊ""ʱʾСοĿ߳ߴ磻"ʽ"Ϊ"Զ˽˱궨ģʽ"ʱʾ׼С߳ߴ磻
	CFG_SIZE            stuMaxAreaSize;                           // οߴ, ͬ
	
	bool                abByRatio;
	bool                abMinRatio;
	bool                abMaxRatio;
	bool                abMinRatioSize;
	bool                abMaxRatioSize;
	bool                bByRatio;                                 // Ƿ񰴿߱ȹ ͨComplexSizeFilterжǷ
	bool                bReserved2[6];                            // 
	double              dMinRatio;                                // С߱
	double              dMaxRatio;                                // ߱
	CFG_SIZE            stuMinRatioSize;                          // С߱Ⱦοߴ磬С߱ȶӦοĿ߳ߴ硣
	CFG_SIZE            stuMaxRatioSize;                          // ߱Ⱦοߴ磬ͬ
	
	int                 nAreaCalibrateBoxNum;                     // У׼
	CFG_CALIBRATEBOX_INFO stuAreaCalibrateBoxs[MAX_CALIBRATEBOX_NUM];// У׼
	int                 nRatioCalibrateBoxs;                      // У׼
	CFG_CALIBRATEBOX_INFO stuRatioCalibrateBoxs[MAX_CALIBRATEBOX_NUM];// У׼
	
	bool                abBySize;                                 // ʹܲǷЧ
	bool                bBySize;                                  // ʹ
	BYTE                bReserved3[6];                            // ֶ
}CFG_SIZEFILTER_INFO;

///@brief ضĹ
typedef struct tagCFG_OBJECT_SIZEFILTER_INFO
{
	char				szObjectType[MAX_NAME_LEN];              // 
	CFG_SIZEFILTER_INFO stSizeFilter;                            // Ӧĳߴ
}CFG_OBJECT_SIZEFILTER_INFO;

///@brief ָӼֳԵ
typedef struct tagCFG_SPECIALDETECTREGION_INFO
{
	int                nDetectNum;                              // 򶥵
	CFG_POLYGON        stDetectRegion[MAX_POLYGON_NUM];         // 
	int                nPropertyNum;                            // Ը
	int                nPropertys[EM_SEPCIALREGION_PROPERTY_TYPE_NUM];      // 
}CFG_SPECIALDETECT_INFO;

///@brief 
typedef enum tagCFG_CATEGORY_TYPE
{
    CFG_CATEGORY_TYPE_UNKNOW,                            // δ֪
    //
    CFG_CATEGORY_VEHICLE_TYPE_MOTOR,                     // "Motor"            
    CFG_CATEGORY_VEHICLE_TYPE_NON_MOTOR,                 // "Non-Motor"ǻ        
    CFG_CATEGORY_VEHICLE_TYPE_BUS,                       // "Bus"        
    CFG_CATEGORY_VEHICLE_TYPE_BICYCLE,                   // "Bicycle" г        
    CFG_CATEGORY_VEHICLE_TYPE_MOTORCYCLE,                // "Motorcycle"Ħг        
    CFG_CATEGORY_VEHICLE_TYPE_UNLICENSEDMOTOR,           // "UnlicensedMotor": ƻ
    CFG_CATEGORY_VEHICLE_TYPE_LARGECAR,                  // "LargeCar"  
    CFG_CATEGORY_VEHICLE_TYPE_MICROCAR,                  // "MicroCar" С
    CFG_CATEGORY_VEHICLE_TYPE_EMBASSYCAR,                // "EmbassyCar" ʹ
    CFG_CATEGORY_VEHICLE_TYPE_MARGINALCAR,               // "MarginalCar" 
    CFG_CATEGORY_VEHICLE_TYPE_AREAOUTCAR,                // "AreaoutCar" 
    CFG_CATEGORY_VEHICLE_TYPE_FOREIGNCAR,                // "ForeignCar" ⼮
    CFG_CATEGORY_VEHICLE_TYPE_DUALTRIWHEELMOTORCYCLE,    // "DualTriWheelMotorcycle"Ħг
    CFG_CATEGORY_VEHICLE_TYPE_LIGHTMOTORCYCLE,           // "LightMotorcycle" Ħг
    CFG_CATEGORY_VEHICLE_TYPE_EMBASSYMOTORCYCLE,         // "EmbassyMotorcycle "ʹĦг
    CFG_CATEGORY_VEHICLE_TYPE_MARGINALMOTORCYCLE,        // "MarginalMotorcycle "Ħг
    CFG_CATEGORY_VEHICLE_TYPE_AREAOUTMOTORCYCLE,         // "AreaoutMotorcycle "Ħг
    CFG_CATEGORY_VEHICLE_TYPE_FOREIGNMOTORCYCLE,         // "ForeignMotorcycle "⼮Ħг
    CFG_CATEGORY_VEHICLE_TYPE_FARMTRANSMITCAR,           // "FarmTransmitCar" ũ䳵
    CFG_CATEGORY_VEHICLE_TYPE_TRACTOR,                   // "Tractor" 
    CFG_CATEGORY_VEHICLE_TYPE_TRAILER,                   // "Trailer"  ҳ
    CFG_CATEGORY_VEHICLE_TYPE_COACHCAR,                  // "CoachCar"
    CFG_CATEGORY_VEHICLE_TYPE_COACHMOTORCYCLE,           // "CoachMotorcycle "Ħг
    CFG_CATEGORY_VEHICLE_TYPE_TRIALCAR,                  // "TrialCar" 
    CFG_CATEGORY_VEHICLE_TYPE_TRIALMOTORCYCLE,           // "TrialMotorcycle "Ħг
    CFG_CATEGORY_VEHICLE_TYPE_TEMPORARYENTRYCAR,         // "TemporaryEntryCar"ʱ뾳
    CFG_CATEGORY_VEHICLE_TYPE_TEMPORARYENTRYMOTORCYCLE,  // "TemporaryEntryMotorcycle"ʱ뾳Ħг
    CFG_CATEGORY_VEHICLE_TYPE_TEMPORARYSTEERCAR,         // "TemporarySteerCar"ʱʻ
    CFG_CATEGORY_VEHICLE_TYPE_PASSENGERCAR,              // "PassengerCar" ͳ
    CFG_CATEGORY_VEHICLE_TYPE_LARGETRUCK,                // "LargeTruck" 
    CFG_CATEGORY_VEHICLE_TYPE_MIDTRUCK,                  // "MidTruck" л
    CFG_CATEGORY_VEHICLE_TYPE_SALOONCAR,                 // "SaloonCar" γ
    CFG_CATEGORY_VEHICLE_TYPE_MICROBUS,                  // "Microbus"
    CFG_CATEGORY_VEHICLE_TYPE_MICROTRUCK,                // "MicroTruck"С
    CFG_CATEGORY_VEHICLE_TYPE_TRICYCLE,                  // "Tricycle"ֳ
    CFG_CATEGORY_VEHICLE_TYPE_PASSERBY,                  // "Passerby" 
	CFG_CATEGORY_VEHICLE_TYPE_OILTANKTRUCK,				 // "OilTankTruck" ͹޳
	CFG_CATEGORY_VEHICLE_TYPE_TANKCAR,					 // "TankCar" ۹޳
	CFG_CATEGORY_VEHICLE_TYPE_SUV,					     // "SUV" SUV
	CFG_CATEGORY_VEHICLE_TYPE_MPV,					     // "MPV" MPV

    //
    CFG_CATEGORY_PLATE_TYPE_NORMAL,                      // "Normal" ƺ
    CFG_CATEGORY_PLATE_TYPE_YELLOW,                      // "Yellow" 
    CFG_CATEGORY_PLATE_TYPE_DOUBLEYELLOW,                // "DoubleYellow" ˫β
    CFG_CATEGORY_PLATE_TYPE_POLICE,                      // "Police" 
    CFG_CATEGORY_PLATE_TYPE_WJ,
    CFG_CATEGORY_PLATE_TYPE_OUTERGUARD,
    CFG_CATEGORY_PLATE_TYPE_DOUBLEOUTERGUARD,
    CFG_CATEGORY_PLATE_TYPE_SAR,                         // "SAR" ۰    
    CFG_CATEGORY_PLATE_TYPE_TRAINNING,                   // "Trainning" 
    CFG_CATEGORY_PLATE_TYPE_PERSONAL,                    // "Personal" Ժ
    CFG_CATEGORY_PLATE_TYPE_AGRI,                        // "Agri" ũ
    CFG_CATEGORY_PLATE_TYPE_EMBASSY,                     // "Embassy" ʹݺ
    CFG_CATEGORY_PLATE_TYPE_MOTO,                        // "Moto" Ħг
    CFG_CATEGORY_PLATE_TYPE_TRACTOR,                     // "Tractor" 
    CFG_CATEGORY_PLATE_TYPE_OFFICIALCAR,                 // "OfficialCar" 
    CFG_CATEGORY_PLATE_TYPE_PERSONALCAR,                 // "PersonalCar" ˽ҳ
    CFG_CATEGORY_PLATE_TYPE_WARCAR,
    CFG_CATEGORY_PLATE_TYPE_OTHER,                       // "Other" 
    CFG_CATEGORY_PLATE_TYPE_CIVILAVIATION,               // "Civilaviation" 񺽺
    CFG_CATEGORY_PLATE_TYPE_BLACK,                       // "Black" 
	CFG_CATEGORY_PLATE_TYPE_PURENEWENERGYMICROCAR,       // "PureNewEnergyMicroCar" 綯ԴС
	CFG_CATEGORY_PLATE_TYPE_MIXEDNEWENERGYMICROCAR,      // "MixedNewEnergyMicroCar" ԴС
	CFG_CATEGORY_PLATE_TYPE_PURENEWENERGYLARGECAR,       // "PureNewEnergyLargeCar" 綯Դ
	CFG_CATEGORY_PLATE_TYPE_MIXEDNEWENERGYLARGECAR,      // "MixedNewEnergyLargeCar" Դ

}CFG_CATEGORY_TYPE;

///@brief ʽ
typedef enum tagEM_CFG_MEASURE_MODE_TYPE
{
	EM_CFG_NEASURE_MODE_TYPE_UNKNOW,				// δ֪
	EM_CFG_NEASURE_MODE_TYPE_PIXEL,					// 
	EM_CFG_NEASURE_MODE_TYPE_METRIC,				// ʵʳ
}EM_CFG_MEASURE_MODE_TYPE;

///@brief 
typedef enum tagCFG_FILTER_HEIGHT_TYPE
{
	CFG_FILTER_HEIGHT_TYPE_UNKNOW,				// δ֪
	CFG_FILTER_HEIGHT_TYPE_BYHEIGHT,			// ߶
}CFG_FILTER_HEIGHT_TYPE;

///@brief ͳȹ
typedef struct tagCFG_LENGTH_FILTER_INFO
{
	EM_CFG_MEASURE_MODE_TYPE	emMeasureMode;	// ʽ
	CFG_FILTER_HEIGHT_TYPE		emFilterType;	// 
	int							nDetectType;	// 0:С 1:ڻСڻ 2:Сڻ 3:ڻС
	int							nMinLen;		// Сⳤȣλcm
	int							nMaxLen;		// ⳤȣλcm
}CFG_LENGTH_FILETER_INFO;

///@brief ͬļģ
typedef struct tagCFG_MODULE_INFO
{
	// Ϣ
	char				szObjectType[MAX_NAME_LEN];				// Ĭ,"ֵ֧ļб"
	bool				bSnapShot;								// Ƿʶץͼ
	BYTE                bSensitivity;                           // ,ȡֵ1-10ֵԽСԽ
	bool                bMeasureModeEnable;                     // ʽǷЧ
	BYTE                bMeasureMode;                           // ʽ,0-أҪԶˡ˱궨, 1-ʵʳȣλ, 2-Զ˽˱궨
	int					nDetectRegionPoint;						// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];		// 
	int					nTrackRegionPoint;						// 򶥵
	CFG_POLYGON			stuTrackRegion[MAX_POLYGON_NUM];		// 
	bool                bFilterTypeEnable;                      // ͲǷЧ
	// ByArea,ByRatioݣʹöByAreaByRatioѡ 2012/03/06
	BYTE				nFilterType;							// :0:"ByLength",1:"ByArea", 2:"ByWidthHeight", 3:"ByRatio": տ߱ȣȳԸ߶ȵĽСĳֵߴĳֵ⽫˵
	bool                bBackgroudEnable;                       // ıͲǷЧ
	BYTE                bBackgroud;                             // ı, 0-ͨ, 1-߹
	bool                abBySize;                               // ʹܲǷЧ
	bool                bBySize;                                // ʹ
	bool                bFilterMinSizeEnable;                   // СߴǷЧ
	bool                bFilterMaxSizeEnable;                   // ߴǷЧ
	CFG_SIZE			stuFilterMinSize;						// Сߴ "ByLength"ģʽ±ʾߵĳߴ磬"ByArea"ģʽ¿ʾЧ
	CFG_SIZE			stuFilterMaxSize;						// ߴ "ByLength"ģʽ±ʾߵĳߴ磬"ByArea"ģʽ¿ʾЧ
	int                 nExcludeRegionNum;                      // ų
	CFG_REGION          stuExcludeRegion[MAX_EXCLUDEREGION_NUM];// ų
	int                 nCalibrateBoxNum;                       // У׼
	CFG_CALIBRATEBOX_INFO stuCalibrateBoxs[MAX_CALIBRATEBOX_NUM];// У׼(Զ˽˱궨ģʽЧ)
	bool                bAccuracy;                               // ⾫ǷЧ
	BYTE                byAccuracy;                              // ⾫
	bool                bMovingStep;                             // 㷨ƶǷЧ                        
	BYTE                byMovingStep;                            // 㷨ƶ
	bool                bScalingFactor;							 // 㷨ǷЧ
	BYTE                byScalingFactor;						 // 㷨

	BYTE                bReserved2[1];                           // ֶ
	bool                abDetectBalance;						 // ©ƽǷЧ
	int					nDetectBalance;							 // ©ƽ	0-ģʽ(Ĭ)1-©2-
	
	bool                abByRatio;
	bool                abMinRatio;
	bool                abMaxRatio;
	bool                abMinAreaSize;
	bool                abMaxAreaSize;
	bool                bByRatio;                                // Ƿ񰴿߱ȹ ͨComplexSizeFilterжǷ ԺnFilterType
	BYTE				byLowDetectSensitivity;					// , ȡֵ1~100
	BYTE				byHighDetectSensitivity;				// , ȡֵ1~100
	double              dMinRatio;                               // С߱
	double              dMaxRatio;                               // ߱
	CFG_SIZE            stuMinAreaSize;                           // Сοߴ "ʽ"Ϊ""ʱʾСοĿ߳ߴ磻"ʽ"Ϊ"Զ˽˱궨ģʽ"ʱʾ׼С߳ߴ磻
	CFG_SIZE            stuMaxAreaSize;                           // οߴ, ͬ
	
	bool                abByArea;
	bool                abMinArea;
	bool                abMaxArea;
	bool                abMinRatioSize;
	bool                abMaxRatioSize;
	bool                bByArea;                                 // Ƿ ͨComplexSizeFilterжǷ  ԺnFilterType
	bool                bReserved3[2];
	float               nMinArea;                                // С
	float               nMaxArea;                                // 
	CFG_SIZE            stuMinRatioSize;                          // С߱Ⱦοߴ磬С߱ȶӦοĿ߳ߴ硣
	CFG_SIZE            stuMaxRatioSize;                          // ߱Ⱦοߴ磬ͬ
	
	int                 nAreaCalibrateBoxNum;                    // У׼
	CFG_CALIBRATEBOX_INFO stuAreaCalibrateBoxs[MAX_CALIBRATEBOX_NUM];// У׼
	int                 nRatioCalibrateBoxs;                      // У׼
	CFG_CALIBRATEBOX_INFO stuRatioCalibrateBoxs[MAX_CALIBRATEBOX_NUM];// У׼

	bool                bAntiDisturbance;                        // ǷȥŶģ
	bool                bBacklight;                              // Ƿ
	bool                bShadow;                                 // ǷӰ
	bool                bContourAssistantTrack;                  // Ƿ٣Ŀʶʱͨʶ
	int                 nPtzPresetId;                            // ̨Ԥõ㣬0~2550ʾ̶Ԥõ㡣0ʾڴԤõʱģЧ

	int                 nObjectFilterNum;                        // ضĹ
	CFG_OBJECT_SIZEFILTER_INFO stObjectFilter[MAX_OBJECT_LIST_SIZE]; // ضĹϢ

	BOOL                abObjectImageSize;                        
	CFG_SIZE            stObjectImageSize;                       // ֤ͼߴͬ,λ,֧Сȡֵ>=0,  0 ʾԶС

	int                 nSpecailDetectNum;                                // 
	CFG_SPECIALDETECT_INFO stSpecialDetectRegions[MAX_SPECIALDETECT_NUM];  // Ϣ

	unsigned int        nAttribute;                              // ҪʶԸ
	char                szAttributes[MAX_OBJECT_ATTRIBUTES_SIZE][MAX_NAME_LEN];   // ҪʶбCategory ࣻSize СColor ɫSpeed ٶȣSign ־ԳԣָꣻAction 嶯
	
	BOOL                abPlateAnalyseMode;                      // nPlateAnalyseModeǷЧ
	int                 nPlateAnalyseMode;                       // ʶģʽ0-ֻʶͷ 1-ֻʶβ 2-ͷȣд󲿷ֳǳͷգ3-βȣд󲿷ֳǳβգ

    //szAttributesԴ"Category"ʱЧ
    unsigned int				nCategoryNum;								// Ҫʶ
    CFG_CATEGORY_TYPE			emCategoryType[MAX_CATEGORY_TYPE_NUMBER];	// Ϣ
	char						szSceneType[CFG_COMMON_STRING_16];			// ڵĳ
	CFG_LENGTH_FILETER_INFO		stuLengthFilter;							// ͹ָµĹµΪ׼
	BOOL						bSceneTypeEx;								// szSceneTypeEx ǷЧ
	char						szSceneTypeEx[128];							// ڵĳչ
} CFG_MODULE_INFO;
///@brief ģ
typedef struct tagCFG_ANALYSEMODULES_INFO
{
	int					nMoudlesNum;							    // ģ
	CFG_MODULE_INFO     stuModuleInfo[MAX_ANALYSE_MODULE_NUM];	    // ÿƵͨӦĸļģ

} CFG_ANALYSEMODULES_INFO;

///@brief Ƶ¼ؽṹ嶨
typedef enum CFG_EM_DETECTMODE_T{
	CFG_EM_DETECTMODE_NONE,            // ޴ֶ
	CFG_EM_DETECTMODE_BY_VIDEO,        // Ƶģʽ
	CFG_EM_DETECTMODE_BY_BYAUDIO,      // Ƶģʽ
	CFG_EM_DETECTMODE_BY_BOTH,         // Ƶϼģʽ
	CFG_EM_DETECTMODE_ERR=255          // ֶݴ
}CFG_EM_DETECTMODE_T;

///@brief Ϣ
typedef struct tag_VIDEOINANALYSE_GLOBAL_COMM_INFO
{
	EM_SCENE_TYPE	emClassType;		// Ӧó
	int				nPtzPresetId;		// Ԥõ
} VIDEOINANALYSE_GLOBAL_COMM_INFO;
///@brief ೡ
typedef struct tagCFG_VIDEOINANALYSE_GLOBAL_SCENE
{
	VIDEOINANALYSE_GLOBAL_COMM_INFO		stuCommInfo;	 						// Ϣ
	// ΪϢ, stuCommInfoеemSceneTypeĸЧ
	union
	{
		CFG_FACEDETECTION_SCENCE_INFO	stuFaceDetectionScene;	// ⳡ/Ŀʶ
		CFG_TRAFFIC_SCENE_INFO			stuTrafficScene;		// ͨ
		CFG_NORMAL_SCENE_INFO			stuNormalScene;			// ͨ/Զ/о//ڳ/ͳƳ
		CFG_TRAFFIC_TOUR_SCENE_INFO		stuTrafficTourScene;	// ͨѲӳ
	};
} CFG_VIDEOINANALYSE_GLOBAL_SCENE;

///@brief ȫģĬֵ
typedef struct tagCFG_VIDEOINANALYSE_GLOBAL_INFO
{
	unsigned int                    	nCalibrateAreaNum;                      // 궨
	CFG_CALIBRATEAREA_INFO          	stuCalibrateArea[MAX_CALIBRATEBOX_NUM]; // 궨(ֶβڣΪ궨)

	CFG_VIDEOINANALYSE_GLOBAL_SCENE		stuVideoInAnalyseScene;					// ೡ
}CFG_VIDEOINANALYSE_GLOBAL_INFO;

///@brief ܼģĬֵ
typedef struct tagCFG_VIDEOINANALYSE_MODULE_INFO
{
	CFG_MODULE_INFO			stuModuleInfo;		// ȡܼģĬֵ
}CFG_VIDEOINANALYSE_MODULE_INFO;

///@brief 
typedef enum tagEM_CFG_CATEGORY_TYPE
{
	EM_CFG_CATEGORY_UNKNOWN,					// δ֪
	EM_CFG_CATEGORY_OTHER,						//  
	EM_CFG_CATEGORY_MOTOR,						// 
	EM_CFG_CATEGORY_BUS,						// 
	EM_CFG_CATEGORY_UNLICENSED_MOTOR,			// ƻ
	EM_CFG_CATEGORY_LARGE_CAR,					// 
	EM_CFG_CATEGORY_MICRO_CAR,					// С
	EM_CFG_CATEGORY_EMBASSY_CAR,				// ʹ
	EM_CFG_CATEGORY_MARGINAL_CAR,				// 
	EM_CFG_CATEGORY_AREAOUT_CAR,				// 
	EM_CFG_CATEGORY_FOREIGN_CAR,				// ⼮
	EM_CFG_CATEGORY_FARMTRANSMIT_CAR,			// ũ䳵
	EM_CFG_CATEGORY_TRACTOR,					// 
	EM_CFG_CATEGORY_TRAILER,					// ҳ
	EM_CFG_CATEGORY_COACH_CAR,					// 
	EM_CFG_CATEGORY_TRIAL_CAR,					// 
	EM_CFG_CATEGORY_TEMPORARY_ENTRY_CAR,		// ʱ뾳
	EM_CFG_CATEGORY_TEMPORARY_ENTRY_MOTORCYCLE,	// ʱ뾳Ħ
	EM_CFG_CATEGORY_TEMPORARY_STEER_CAR,		// ʱʻ
	EM_CFG_CATEGORY_LARGE_TRUCK,				// 
	EM_CFG_CATEGORY_MID_TRUCK,					// л
	EM_CFG_CATEGORY_MICRO_TRUCK,				// С
	EM_CFG_CATEGORY_MICROBUS,					// 
	EM_CFG_CATEGORY_SALOON_CAR,					// γ
	EM_CFG_CATEGORY_CARRIAGE,					// Сγ
	EM_CFG_CATEGORY_MINI_CARRIAGE,				// ΢ͽγ
	EM_CFG_CATEGORY_SUV_MPV,					// SUVMPV
	EM_CFG_CATEGORY_SUV,						// SUV
	EM_CFG_CATEGORY_MPV,						// MPV
	EM_CFG_CATEGORY_PASSENGER_CAR,				// ͳ
	EM_CFG_CATEGORY_MOTOR_BUS,					// 
	EM_CFG_CATEGORY_MID_PASSENGER_CAR,			// пͳ
	EM_CFG_CATEGORY_MINI_BUS,					// Сͳ
	EM_CFG_CATEGORY_PICKUP,						// Ƥ
	EM_CFG_CATEGORY_OILTANK_TRUCK,				// ͹޳
	EM_CFG_CATEGORY_TANK_CAR,					// ΣƷ
	EM_CFG_CATEGORY_SLOT_TANK_CAR,				// ۹޳
	EM_CFG_CATEGORY_DREGS_CAR,					// 
	EM_CFG_CATEGORY_CONCRETE_MIXER_TRUCK,		// 賵
	EM_CFG_CATEGORY_TAXI,						// ⳵
	EM_CFG_CATEGORY_POLICE,						// 
	EM_CFG_CATEGORY_AMBULANCE,					// Ȼ
	EM_CFG_CATEGORY_GENERAL,					// ͨ
	EM_CFG_CATEGORY_WATERING_CAR,				// ˮ
	EM_CFG_CATEGORY_FIRE_ENGINE,				// 
	EM_CFG_CATEGORY_MACHINE_TRUCK,				// ̳
	EM_CFG_CATEGORY_POWER_LOT_VEHICLE,			// ϳ
	EM_CFG_CATEGORY_SUCTION_SEWAGE_TRUCK,		// ۳
	EM_CFG_CATEGORY_NORMAL_TANK_TRUCK,			// ͨ޳
	EM_CFG_CATEGORY_SCHOOL_BUS,					// У
	EM_CFG_CATEGORY_EXCAVATOR,					// ھ
	EM_CFG_CATEGORY_BULLDOZER,					// 
	EM_CFG_CATEGORY_CRANE,						// 
	EM_CFG_CATEGORY_PIMP_TRUCK,					// ó
} EM_CFG_CATEGORY_TYPE;

///@brief 
typedef enum tagEM_CFG_OBJECT_FILTER_TYPE
{
    EM_CFG_OBJECT_FILTER_TYPE_UNKNOWN,          // δ֪
    EM_CFG_OBJECT_FILTER_TYPE_HUMAN,            // 
    EM_CFG_OBJECT_FILTER_TYPE_VEHICLE,          // 
} EM_CFG_OBJECT_FILTER_TYPE;

///@brief 
typedef struct tagNET_CFG_OBJECT_FILTER_INFO
{
    UINT                            nObjectFilterTypeNum;               // ͸
    EM_CFG_OBJECT_FILTER_TYPE       emObjectFilterType[16];             // 
    BYTE                		    byReserved[1024];		            // ֽ
}NET_CFG_OBJECT_FILTER_INFO; 

///@brief 
typedef enum tagEM_CFG_CROSSREGION_ALARMTYPE
{
	EM_CFG_CROSSREGION_ALARMTYPE_UNKNOWN,                     // δ֪
	EM_CFG_CROSSREGION_ALARMTYPE_ALARM,                       // 
	EM_CFG_CROSSREGION_ALARMTYPE_WARNING,                     // Ԥ
	EM_CFG_CROSSREGION_ALARMTYPE_SHIELD,                      // 
}EM_CFG_CROSSREGION_ALARMTYPE;

///@brief Ƶ¼
///@brief ¼ EVENT_IVS_CROSSLINEDETECTION (¼)ӦĹ
typedef struct tagCFG_CROSSLINE_INFO
{
	// Ϣ
	char					szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool					bRuleEnable;											// ʹ
    BYTE                	bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                	bReserved[2];                                           // ֶ 
	int						nObjectTypeNum;											// Ӧ͸
	char					szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int						nDirection;												// ⷽ:0:;1:;2:߶
	int						nDetectLinePoint;										// ߶
	CFG_POLYLINE			stuDetectLine[MAX_POLYLINE_NUM];						// 
	CFG_ALARM_MSG_HANDLE 	stuEventHandler;										// 
	
	CFG_TIME_SECTION		stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
 	BOOL                	bDisableTimeSection;                                    // stuTimeSectionֶǷãĬFALSEãTRUEãû

	int                 	nPtzPresetId;											// ̨Ԥõ	0~65535
	BOOL                	bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO 	stuSizeFileter;                                         // ضĳߴ
	int                 	nTriggerPosition;                                       // λ
	BYTE                	bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	int						nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ
	UINT					nVehicleSubTypeNum;										// ĳ͸
	EM_CFG_CATEGORY_TYPE	emVehicleSubType[128];									// ĳб
    BOOL                    bFeatureEnable;                                         // ǷĿʶ,Ĭfalse

    CFG_ALARM_MSG_HANDLE    stuRemoteEventHandler;                                        // ǰƵ
    CFG_TIME_SECTION        stuRemoteTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ǰƵӦʱ
    BOOL                    bDisableRemoteTimeSection;                                    // stuRemoteTimeSectionֶǷ, ĬFALSE, TRUE, û
    BOOL                	bObjectFilter;                                                // ǷЧ, stuObjectFilter ǷЧ
    NET_CFG_OBJECT_FILTER_INFO  stuObjectFilter;                                          // Ϣ      
} CFG_CROSSLINE_INFO;

///@brief ¼EVENT_IVS_CROSSFENCEDETECTION(ԽΧ)ӦĹ
typedef struct tagCFG_CROSSFENCEDETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
    BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved[2];                                           // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nDirection;												// ԽΧ:0:;1:;2:߶
	int					nUpstairsLinePointNumber;								// Χ߶
	CFG_POLYLINE		stuUpstairsLine[MAX_POLYLINE_NUM];						// Χ
	int					nDownstairsLinePointNumber;								// Χ߶
	CFG_POLYLINE		stuDownstairsLine[MAX_POLYLINE_NUM];					// Χ
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int                 nTriggerPosition;                                       // λ
	BYTE                bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int					nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ
} CFG_CROSSFENCEDETECTION_INFO;

///@brief ¼EVENT_IVS_CROSSREGIONDETECTION(¼)ӦĹ
typedef struct tagCFG_CROSSREGION_INFO
{
	// Ϣ
	char					szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool					bRuleEnable;											// ʹ
    BYTE                	bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                	bReserved[2];                                           // ֶ
	int						nObjectTypeNum;											// Ӧ͸
	char					szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int						nDirection;												// ⷽ:0:Enter;1:Leave;2:Both
	int						nDetectRegionPoint;										// 
	CFG_POLYGON				stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE 	stuEventHandler;										// 

	CFG_TIME_SECTION		stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
 	BOOL                	bDisableTimeSection;                                    // stuTimeSectionֶǷãĬFALSEãTRUEãû

	int                 	nPtzPresetId;											// ̨Ԥõ	0~65535
	BOOL                	bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO 	stuSizeFileter;                                         // ضĳߴ
	int                 	nActionType;                                            // ⶯
	BYTE                	bActionType[4];                                         // ⶯б,0- 1-ʧ 2- 3-Խ
	int                 	nMinTargets;                                            // СĿ(bActionTypeа"2-"ʱЧ)
	int                 	nMaxTargets;                                            // Ŀ(bActionTypeа"2-"ʱЧ)
	int                 	nMinDuration;                                           // ̳ʱ䣬 λ(bActionTypeа"2-"ʱЧ)
	int                 	nReportInterval;                                        // ʱ λ(bActionTypeа"2-"ʱЧ)
	int						nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ	
	UINT					nVehicleSubTypeNum;										// ĳ͸
	EM_CFG_CATEGORY_TYPE	emVehicleSubType[128];									// ĳб
    BOOL                    bFeatureEnable;                                         // ǷĿʶ,Ĭfalse

    CFG_ALARM_MSG_HANDLE    stuRemoteEventHandler;                                        // ǰƵ
    CFG_TIME_SECTION        stuRemoteTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ǰƵӦʱ
    BOOL                    bDisableRemoteTimeSection;                                    // stuRemoteTimeSectionֶǷ, ĬFALSE, TRUE, û
    BOOL                	bObjectFilter;                                                // ǷЧ, stuObjectFilter ǷЧ
    NET_CFG_OBJECT_FILTER_INFO  stuObjectFilter;                                          // Ϣ 
	UINT					nSensitivity;											      // ȣֵԽСԽ͡ȡֵ1-10
	EM_CFG_CROSSREGION_ALARMTYPE     emAlarmType;                                         // 
} CFG_CROSSREGION_INFO;

///@brief ¼EVENT_IVS_PASTEDETECTION(ATM¼)ӦĹ
typedef struct tagCFG_PASTE_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    int                 nSensitivity;                                           // ,Χ[1,10],ԽԽ׼	
} CFG_PASTE_INFO;

///@brief ¼EVENT_IVS_LEFTDETECTION(Ʒ¼)ӦĹ
typedef struct tagCFG_LEFT_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved[2];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int                 nTriggerPosition;                                       // λ
	BYTE                bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int					nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ	
	UINT				nReportInterval;										// ʱλ 0~600;0ʾظ, Ĭֵ30
} CFG_LEFT_INFO;

///@brief ¼EVENT_IVS_TAKENAWAYDETECTION(Ʒƹ)ӦĹ
typedef struct tagCFG_TAKENAWAYDETECTION_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bTrackEnable;                                           // ʹ
	BYTE                bReserved[2];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int                 nTriggerPosition;                                       // λ
	BYTE                bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int					nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ
} CFG_TAKENAWAYDETECTION_INFO;

///@brief ¼EVENT_IVS_PARKINGDETECTION (Ƿͣ)ӦĹ
typedef struct tagCFG_PARKINGDETECTION_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved[2];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int                 nTriggerPosition;                                       // λ
	BYTE                bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int					nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ
} CFG_PARKINGDETECTION_INFO;

///@brief ¼EVENT_IVS_PRESERVATION(Ʒȫ¼)ӦĹ
typedef struct tagCFG_PRESERVATION_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

} CFG_PRESERVATION_INFO;

///@brief ŷʽ
typedef enum tagEM_ELECTRICBELT_WEAR_TYPE
{
	EM_ELECTRICBELT_WEAR_TYPE_UNKNOWN,				// δ֪
	EM_ELECTRICBELT_WEAR_TYPE_NORMAL,				// 
	EM_ELECTRICBELT_WEAR_TYPE_MISSMAIN,				// ȱʧ
	EM_ELECTRICBELT_WEAR_TYPE_MISSBACKUP,			// ñȱʧ
	EM_ELECTRICBELT_WEAR_TYPE_LOWHANGING,			// ҵ͹Ҹ
}EM_ELECTRICBELT_WEAR_TYPE; 

///@brief ȫ
typedef struct tagCFG_ELECTRICBELT_DETECTCOND 
{
	BOOL						bExist;				// emWearType Ϊδ֪ExistʾǷеȫ
													// emWearTypeΪδ֪Exist=trueʾDescriptionĵȫͣ
													// emWearTypeΪδ֪Exist=falseʾûDescriptionĵȫͣ
	EM_ELECTRICBELT_WEAR_TYPE	emWearType;			// ŷʽ
} CFG_ELECTRICBELT_DETECTCOND;

///@brief ¼EVENT_IVS_ELECTRIC_BELT_DETECT(ȫ)ӦĹ
typedef struct tagCFG_ELECTRICBELTDETECTION_INFO 
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int                 nObjectTypeNum;                                         // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE	stuEventHandler;                                    // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                 nPtzPresetId;                                           // ̨Ԥõ  0~65535  	
	CFG_ELECTRICBELT_DETECTCOND	stDetectCond[32];								// ȫ
	int					nDetectCondNum;											// ȫ
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
} CFG_ELECTRICBELTDETECTION_INFO;

///@brief ¼EVENT_IVS_STAYDETECTION(ͣ¼/)ӦĹ
typedef struct tagCFG_STAY_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved[2];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int                 nTriggerPosition;                                       // λ
	BYTE                bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	int                 nTriggerTargetsNumber;                                  // ǻ
	int                 nReportInterval;                                        // ʱ,λ
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int					nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ
} CFG_STAY_INFO;

///@brief ¼EVENT_IVS_WANDERDETECTION(ǻ¼)ӦĹ
typedef struct tagCFG_WANDER_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved[2];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int                 nTriggerPosition;                                       // λ
	BYTE                bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	int                 nTriggerTargetsNumber;                                  // ǻ
	int                 nReportInterval;                                        // ʱ,λ
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int					nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ
} CFG_WANDER_INFO;

///@brief ¼EVENT_IVS_MOVEDETECTION(ƶ¼/˶)ӦĹ
typedef struct tagCFG_MOVE_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bSensitivity;                                           // ȣȡֵ1-10ֵԽСԽ
	BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved[1];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int                 nTriggerSpeed;                                          // ٶȣkm/h
	int                 nTriggerPosition;                                       // λ
	BYTE                bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ	
	int                 nTypeNumber;                                            // 
	BYTE                bDetectType[4];                                         // ⶯б,0-˶ 1-ͻȻ 2-ͻȻ
	int					nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ
} CFG_MOVE_INFO;

///@brief ¼EVENT_IVS_TAILDETECTION(β¼)ӦĹ
typedef struct tagCFG_TAIL_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nDistance;												// ࣬βʹãΧ[0, 500]
	int					nSensitivity;											// ,Χ[1, 10]
	BYTE                byReserved[512]; 										// ֽ
} CFG_TAIL_INFO;

///@brief ¼EVENT_IVS_RIOTERDETECTION(¼)ӦĹ
typedef struct tagCFG_RIOTER_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bAreaPercent;                                           // ۼռٷֱ
	BYTE                bSensitivity;                                           // ȣȡֵ1-10ֵԽСԽͣӦȺ̶ܼԽ(ȡbAreaPercent)
	BYTE                bReserved;												// ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int                 nReportInterval;                                        // ʱ,λ [1,600] Ĭ0ʾظ
	CFG_POLYGON         stuMinDetectRect[2];                                    // Сۼο򣬷ֱӦοϺµ㣬οʵʾСȺۼ
	int					nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ
	BYTE				bTrackEnable;											// ʹ
	int					nRioterThreshold;										// ۼֵ, ۼֵʼ
} CFG_RIOTER_INFO;

///@brief ¼EVENT_IVS_DENSITYDETECTION(Ⱥܶȼ¼)ӦĹ
typedef struct tagCFG_DENSITYDETECTION_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                byUnit;													// ܶȼֵλGB30147Ҫ	0 ܶȵȼΪĸϡ裬ϡ裬ܼܼ1 ܶȰٷֱ
	BYTE                bSensitivity;                                           // (ȡֵ1-10ֵԽСԽͣӦȺ̶ܼԽ)
	BYTE                byMinAlarmDensity;                                      // Сܶ	ȡֵ1-100,ֵٷֱ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
 	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
} CFG_DENSITYDETECTION_INFO;


///@brief ¼EVENT_IVS_FIGHTDETECTION(Ź¼)ӦĹ
typedef struct tagCFG_FIGHT_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nSensitivity;											// , 1-10
    CFG_EM_DETECTMODE_T emDetectMode;                                           // ģʽ

} CFG_FIGHT_INFO;

///@brief ¼EVENT_IVS_FIREDETECTION(¼/)ӦĹ
typedef struct tagCFG_FIRE_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nSensitivity;											//  1~10
	UINT				nRepeatAlarmTime;										// ظʱ λ Χ0-3600
	BOOL				bRepeatAlarmEnable;										// ظʹ
	UINT				nOverlapThreshold;										// صֵΧ0-1000ʾƥ
} CFG_FIRE_INFO;

///@brief ¼EVENT_IVS_ELECTROSPARKDETECTION(¼)ӦĹ
typedef struct tagCFG_ELECTROSPARK_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	
} CFG_ELECTROSPARK_INFO;

///@brief ¼ EVENT_IVS_SMOKEDETECTION (¼)ӦĹ
typedef struct tagCFG_SMOKE_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nSensitivity;											//  1~10
} CFG_SMOKE_INFO;

///@brief ¼EVENT_IVS_FLOWSTAT(ͳ¼)ӦĹ
typedef struct tagCFG_FLOWSTAT_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nUpperLimit;											// 	λ/룬1~65535
	int					nPeriod;												// ϱ	λ룬1~65535
	int					nDetectLinePoint;										// ߶
	CFG_POLYLINE		stuDetectLine[MAX_POLYLINE_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
		
} CFG_FLOWSTAT_INFO;
///@brief ͳ
typedef enum NET_NUMBERSTAT_TYPE
{
	NET_EM_NUMSTAT_TYPE_REGION,                  // "Region" 
		NET_EM_NUMSTAT_TYPE_ENTRANCE,            // "Entrance" 
		NET_EM_NUMSTAT_TYPE_OTHER,               // other
}NET_NUMBERSTAT_TYPE;
///@brief ¼EVENT_IVS_NUMBERSTAT(ͳ¼)ӦĹ
typedef struct tagCFG_NUMBERSTAT_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nUpperLimit;											//  λ1~65535
	int					nPeriod;												// ϱ	λ룬1~65535
	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	NET_NUMBERSTAT_TYPE emType;                                                 // ͳ	֧֣"Region"  "Entrance" 
	CFG_POLYGON         stDirection[2];                                         // ˶, մ˷ʻ򣬷	ֻԳЧһ㣬ڶյ㣬һ[0,8191]䡣
    int                 nRecordInterval;                                        // ¼ڣλӣ1~10
	int				nEnterThreshold;										// ֵ,0ʾ
	int				nExitThreshold;											// 뿪ֵ,0ʾ
	int				nInsideThreshold;										// ֵ,0ʾ
    UINT                nPlanID;                                                // ƻID,Ч,1ʼ
	UINT				nAreaID;												// ID,һԤõԶӦ
	int					nMaxDetectLineNum;							            // ʵ
	CFG_POLYLINE		stuDetectLine[MAX_POLYLINE_NUM];			            // 뿪
    UINT                nStayMinDuration;                                        // ͣʱʱ

    CFG_ALARM_MSG_HANDLE    stuRemoteEventHandler;                                        // ǰƵ
    CFG_TIME_SECTION        stuRemoteTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ǰƵӦʱ
} CFG_NUMBERSTAT_INFO;

///@brief ¼EVENT_IVS_RETROGRADEDETECTION(Ա¼)ӦĹ
typedef struct tagCFG_RETROGRADEDETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bSensitivity;                                           // , ȡֵ1-10ֵԽСԽ
	BYTE                bReserved[2];                                           // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int                 nDirectionPoint;                                        // ʻ򶥵
	CFG_POLYGON			stuDirection[MAX_POLYLINE_NUM];					      	// ʻ, մ˷ʻ򣬷(һ㣬ڶյ㣬һ[0,8191])
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int                 nTriggerPosition;                                       // λ
	BYTE                bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
} CFG_RETROGRADEDETECTION_INFO;

///@brief ¼EVENT_IVS_ABNORMALRUNDETECTION(쳣¼)ӦĹ
typedef struct tagCFG_ABNORMALRUNDETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bSensitivity;                                           // , ȡֵ1-10ֵԽСԽ
	BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved[1];                                           // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int                 nTriggerPosition;                                       // λ
	BYTE                bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	int                 nDetectType;                                            // 
	BYTE                bDetectType[4];                                         // ,0-ٱ, 1-ͻȻ, 2-ͻȻ
	int                 nTriggerSpeed;                                          // ٶȣڸٶȱ	λkm/h
	int                 nMinDuration;                                           // ̳ʱ	λ룬0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
} CFG_ABNORMALRUNDETECTION_INFO;

///@brief ¼EVENT_IVS_VIDEOABNORMALDETECTION(Ƶ쳣)ӦĹ
typedef struct tagCFG_VIDEOABNORMALDETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bSensitivity;                                           // , ȡֵ1-10ֵԽСԽ(ֻԼƵڵ仯Ч)
	BYTE                bReserved[2];                                           // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int                 nDetectType;                                            // 
	BYTE                bDetectType[MAX_ABNORMAL_DETECT_TYPE];                  // ,0-Ƶʧ, 1-Ƶڵ, 2-涳, 3-, 4-, 5-仯
                                                                                // 6-Ƽ , 7- , 8-ƫɫ , 9-Ƶģ , 10-Աȶ쳣
                                                                                // 11-Ƶ˶ , 12-Ƶ˸ , 13-Ƶɫ , 14-齹 , 15-ؼ, 16-ޱ
	int					nMinDuration;											// ̳ʱ	λ룬0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nThresholdNum;											// 쳣ֵ
	int					nThreshold[MAX_ABNORMAL_THRESHOLD_LEN];					// 쳣ֵ,Χ1~100
	
} CFG_VIDEOABNORMALDETECTION_INFO;

///@brief ¼EVENT_IVS_FACERECOGNITION(Ŀʶ)ӦĹ
typedef struct tagCFG_FACERECOGNITION_INFO
{
	// Ϣ
	char				 szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				 bRuleEnable;											// ʹ
	BYTE                 bReserved[2];                                          // ֶ 
	int					 nObjectTypeNum;										// Ӧ͸
	char				 szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                  nPtzPresetId;											// ̨Ԥõ	0~65535
	BYTE                 bySimilarity;                                          // ƶȣڸʶȲű(1~100)
	BYTE                 byAccuracy;                                            // ʶ𾫶(ȡֵ1~10ֵ󣬼⾫ߣٶ½СֵΪ1 ʾٶȣֵΪ10ʾ⾫)
	BYTE                 byMode;                                                // Աģʽ, 0-, 1-ָ, 2-ģʽ(㷨Զѡȡ)
	BYTE                 byImportantRank;                                       // ѯҪȼڵڴ˵ȼԱ(1~10,ֵԽԽҪ)
	int                  nAreaNum;                                              //   
	BYTE                 byAreas[8];                                            // , 0-üë1-۾2-ӣ3-ͣ4-(˲ڶԱģʽΪ1ʱЧ)
	int                  nMaxCandidate;                                         // ƥͼƬ
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	 stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];		// ¼Ӧʱ
	
} CFG_FACERECOGNITION_INFO;


///@brief ¼EVENT_IVS_TRAFFICCONTROL(ͨ¼)ӦĹ
typedef struct tagCFG_TRAFFICCONTROL_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];									// ,ͬ
	bool				bRuleEnable;												// ʹ
	BYTE                bReserved[3];                                               // ֶ
	int					nObjectTypeNum;												// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];			// Ӧб
	int					nDetectLinePoint;							            	// ߶
	CFG_POLYLINE		stuDetectLine[MAX_POLYLINE_NUM];			            	// 
	CFG_TIME_SECTION	stuTimeSchedule[WEEK_DAY_NUM][MAX_REC_TSECT];           	// ʱ
	int					nVehicleSizeNum;							            	// С͸
	char				szVehicleSizeList[MAX_VEHICLE_SIZE_LIST][MAX_NAME_LEN];		// Сб"Light-duty":Сͳ;	"Medium":ͳ; "Oversize":ͳ
	int					nPlateTypeNum;												// ͸
	char				szPlateTypesList[MAX_PLATE_TYPE_LIST][MAX_NAME_LEN];		// б"Unknown" δ֪; "Normal" ƺ; "Yellow" ; "DoubleYellow" ˫β
																					// "Police" ; "SAR" ۰; "Trainning" ; "Personal" Ժ; "Agri" ũ
																					// "Embassy" ʹݺ; "Moto" Ħг; "Tractor" ; "Other" 
																					// "Civilaviation"񺽺,"Black","PureNewEnergyMicroCar"綯ԴС
																					// "MixedNewEnergyMicroCar,"ԴС,"PureNewEnergyLargeCar",綯Դ
																					// "MixedNewEnergyLargeCar"Դ
	int					nPlateNumber;												// Ƶ˫ 0:; 1:˫; 2:˫;	
	CFG_ALARM_MSG_HANDLE stuEventHandler;											// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];				// ¼Ӧʱ
	int                 nPtzPresetId;												// ̨Ԥõ	0~65535
} CFG_TRAFFICCONTROL_INFO;

///@brief ¼EVENT_IVS_TRAFFICACCIDENT(ͨ¹¼)ӦĹ
typedef struct tagCFG_TRAACCIDENT_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nMinDuration;											// ̳ʱ䣬λ: 0~65535
	int					nLaneNo;												// 
	BOOL				bZoomEnable;											// 䱶ץģΥͣжʱĬϻ䱶
																				// ʺϱ䱶
																				// 1. ٽϿ쳡ϣ䱶ᵼ¸ٲʱ
																				// 2. ƺܽڻоĹᵼ³ƹ㷨޷ʶ
																				//	£Ҫرձ䱶ǷҪرձ䱶ȡֳڱȽרҵ
	int					nZoomStayTime;											// 䱶ͣʱ䣬λ:룬 bZoomEnable Ϊ TRUE ʱЧ0 ʾͣĬΪ0
	int					nVehicleDelayTime;										// ʱֵڸֵΪǽͨ¼,λ룬Χ0-3600
	int					nPersonDelayTime;										// ˴ʱֵڸֵΪǽͨ¼,λ룬Χ0-3600
	int					nMaxDelayTime;											// 󱨾ʱ ʱ佫ٱ,λ룬Χ0-3600
	int					nVehicleNumberThreshold;								// Ŀֵ, ӵ״̬µֵͣӵɵĽͨ¹ʣ
} CFG_TRAACCIDENT_INFO;

///@brief ¼EVENT_IVS_TRAFFICJUNCTION(ͨ·Ϲ¼)ӦĹ
typedef struct tagCFG_TRAJUNCTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];				// ,ͬ
	bool				bRuleEnable;							// ʹ
	int					nObjectTypeNum;							// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nLane;									// 
	int                 nDirection;                             // (ķ),0- 1- 2- 3- 4- 5- 6- 7-
	int					nPreLinePoint;							// ǰü߶
	CFG_POLYLINE		stuPreLine[MAX_POLYLINE_NUM];			// ǰü
	int					nMiddleLinePoint;						// м߶
	CFG_POLYLINE		stuMiddleLine[MAX_POLYLINE_NUM];		// м
	int					nPostLinePoint;							// ü߶
	CFG_POLYLINE		stuPostLine[MAX_POLYLINE_NUM];			// ü
	int                 nFlowLimit;                             // ޣλ/
	int                 nSpeedDownLimit;                        // ٶޣΪ0ʾޣkm/h
	int                 nSpeedUpLimit;                          // ٶޣΪ0ʾޣkm/h
	int                 nTriggerModeNum;                        // ģʽ
	char                szTriggerMode[MAX_TRIGGERMODE_NUM][MAX_NAME_LEN];  // ģʽ"Passing" : ·(мΪ׼ֻܵʹ),"RunRedLight" : 
																// "Overline":ѹ׳,"OverYellowLine": ѹ, "Retrograde":
																// "TurnLeft":Υת, "TurnRight":Υת, "CrossLane":Υ±
																// "U-Turn" Υµͷ, "Parking":Υͣ, "WaitingArea" Υ½
																// "OverSpeed": ,"UnderSpeed":Ƿ,"Overflow" : 
																// "Human":,"NoMotor":ǻ

	CFG_ALARM_MSG_HANDLE stuEventHandler;							// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	BOOL                bMaskRetrograde;         	             // ǷУе
			
} CFG_TRAJUNCTION_INFO;

///@brief ¼EVENT_IVS_TRAFFICGATE(ͨϹ¼)ӦĹ
typedef struct tagCFG_TRAFFICGATE_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nLane;													// 
	int					nDetectLinePoint1;										// (Ȧ)1
	CFG_POLYLINE		stuDetectLine1[MAX_POLYLINE_NUM];						// 1
	int					nDetectLinePoint2;										// (Ȧ)2
	CFG_POLYLINE		stuDetectLine2[MAX_POLYLINE_NUM];						// 2
	int					nLeftLinePoint;											// 󳵵߶
	CFG_POLYLINE		stuLeftLine[MAX_POLYLINE_NUM];							// 󳵵
	int					nRightLinePoint;										// ҳ߶
	CFG_POLYLINE		stuRightLine[MAX_POLYLINE_NUM];							// ҳ
	int					nSpeedWeight;											// ٶȨϵ(ճ=*Ȩϵ)
	double				MetricDistance;											// ʵʾ,λ
	int					nSpeedUpperLimit;										// ٶ 0ʾ λkm/h
	int					nSpeedLowerLimit;										// ٶ 0ʾ λkm/h
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nDirection;                                             // (ķ)0- 1- 2- 3- 4- 5- 6- 7-
	int                 nTriggerModeNum;                                        // ģʽ
	char                szTriggerMode[MAX_TRIGGERMODE_NUM][MAX_NAME_LEN];       // ģʽ"OverLine":ѹ,"Retrograde":,"OverSpeed":,"UnderSpeed":Ƿ
	                                                                            // "Passing":·ڣץ, "WrongRunningRoute":гռ(ʹ),"YellowVehicleInRoute": ռ
	                                                                            // "OverYellowLine":ѹ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	BOOL                bMaskRetrograde;         	             // ǷУе
} CFG_TRAFFICGATE_INFO;

///@brief ¼EVENT_IVS_TRAFFIC_TOLLGATE(ͨ¹¼)ӦĹ
typedef struct tagCFG_TRAFFICTOLLGATE_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nLane;													// 
	int					nDetectLinePoint;										// ڱ߶
	CFG_POLYLINE		stuDetectLine[MAX_POLYLINE_NUM];						// ڱ

	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
} CFG_TRAFFICTOLLGATE_INFO;

///@brief ¼EVENT_IVS_FACEDETECT(¼)ӦĹ
typedef struct tagCFG_FACEDETECT_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int                 nHumanFaceTypeCount;                                    // ¼͸
	char                szHumanFaceType[MAX_HUMANFACE_LIST_SIZE][MAX_NAME_LEN]; // ¼
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int                 nMinDuration;                                           // ̴ʱ,λ 
    int                 nSensitivity;                                           // ,Χ[1,10],ԽԽ׼
    int                 nReportInterval;                                        // ظ,λ:,[0,600](0ʾظ)
    BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	BOOL				bFeatureEnable;											// Ƿʶ, IPC
																				//(ͨFaceDetectionеFeatureSupportȷǷ)
	int					nFaceFeatureNum;										// ҪԸ
	EM_FACEFEATURE_TYPE emFaceFeatureType[MAX_FEATURE_LIST_SIZE];				// , ͨFaceDetectionȡ֧Щ
}CFG_FACEDETECT_INFO;

///@brief Ĳ
typedef struct tagCFG_LINKGROUP_INFO
{
	BOOL 					bEnable;							// Ƿ
	char					szGroupID[MAX_GROUP_ID_LEN];		// ID
	BYTE                	bySimilarity;                       // ƶֵ
	char					szColorName[MAX_COLOR_NAME_LEN];	// ¼ʱɫ
	BOOL 					bShowTitle;							// ¼ʱǷʾ
	BOOL 					bShowPlate;							// ¼ʱǷʾȶ
	BYTE					bReserved[511];						// ֶ	
	CFG_ALARM_MSG_HANDLE 	stuEventHandler;					// 
}CFG_LINKGROUP_INFO;

///@brief İ˲ģʽ
typedef struct tagCFG_STRANGERMODE_INFO
{
	BOOL 					bEnable;							// ģʽǷ
	char					szColorHex[MAX_COLOR_HEX_LEN];		// ¼ʱɫ
	BOOL 					bShowTitle;							// ¼ʱǷʾ
	BOOL 					bShowPlate;							// ¼ʱǷʾȶ
	BYTE					bReserved[512];						// ֶ	
	CFG_ALARM_MSG_HANDLE 	stuEventHandler;					// 
}CFG_STRANGERMODE_INFO;

///@brief ¼EVENT_IVS_FACEANALYSIS(¼) ӦĹ
typedef struct tagCFG_FACEANALYSIS_INFO
{
	char					szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool					bRuleEnable;											// ʹ
	BYTE                	bReserved[3];                                           // ֶ
	int						nObjectTypeNum;											// Ӧ͸
	char					szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int						nDetectRegionPoint;										// 
	CFG_POLYGON				stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE 	stuEventHandler;										// 
	CFG_TIME_SECTION		stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 	nPtzPresetId;											// ̨Ԥõ	0~65535
	int                 	nSensitivity;                                           // ,Χ[1,10],ԽԽ׼
	int						nLinkGroupNum;											// ظ 
	CFG_LINKGROUP_INFO		stuLinkGroup[MAX_LINK_GROUP_NUM];						// Ĳ
	CFG_STRANGERMODE_INFO	stuStrangerMode;										// İ˲ģʽ
    BOOL                	bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO 	stuSizeFileter;                                         // ضĳߴ
	BOOL					bFeatureEnable;											// Ƿʶ, IPC
	int						nFaceFeatureNum;										// ҪԸ
	EM_FACEFEATURE_TYPE 	emFaceFeatureType[MAX_FEATURE_LIST_SIZE];				// 
	BOOL					bFeatureFilter;											// Կǰ£ͼ̫Ƿϱ
																					// true-ͼ̫ϱ false-ͼܲҲϱ(ܻǳ׼Ӱû)
	int						nMinQuality;											// ͼƬֵ,bFeatureFilterһʹ Χ[1,100]
} CFG_FACEANALYSIS_INFO;

///@brief ¼EVENT_IVSS_FACEATTRIBUTE(IVSS¼) ӦĹ
typedef struct tagCFG_FACEATTRIBUTE_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int                 nMinDuration;                                           // ̴ʱ,λ 
	int                 nTriggerTargetsNumber;                                  // 
	int                 nSensitivity;                                           // ,Χ[1,10],ԽԽ׼(Ĭֵ5)
    int                 nReportInterval;                                        // ظ,λ:,[0,600] 0ʾظ(Ĭֵ30)
    BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int					nFaceFeatureNum;										// ҪԸ
	EM_FACEFEATURE_TYPE emFaceFeatureType[MAX_FEATURE_LIST_SIZE];				// 
	BOOL                bFeatureFilter;                                         // Կǰ£ͼ̫Ƿϱ
	int                 nMinQuality;                                            // ͼƬֵ,bFeatureFilterһʹ Χ[0,100]
} CFG_FACEATTRIBUTE_INFO;

///@brief ¼EVENT_IVSS_FACECOMPARE(IVSSĿʶ¼) ӦĹ
typedef struct tagCFG_FACECOMPARE_INFO
{
	char					szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool					bRuleEnable;											// ʹ
	BYTE                	bReserved[3];                                           // ֶ
	int						nObjectTypeNum;											// Ӧ͸
	char					szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE 	stuEventHandler;										// 
	CFG_TIME_SECTION		stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 	nPtzPresetId;											// ̨Ԥõ	0~65535
	int						nLinkGroupNum;											// ظ 
	CFG_LINKGROUP_INFO		stuLinkGroup[MAX_LINK_GROUP_NUM];						// Ĳ
	CFG_STRANGERMODE_INFO	stuStrangerMode;										// İ˲ģʽ
} CFG_FACECOMPARE_INFO;


///@brief ¼EVENT_IVS_TRAFFIC_NOPASSING(ͨΥ-ֹͨ¼)ӦݿϢ
typedef struct tagCFG_NOPASSING_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
}CFG_NOPASSING_INFO;

///@brief ¼EVENT_IVS_TRAFFICJAM (ͨӵ¼)ӦĹ
typedef struct tagCFG_TRAFFICJAM_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
    BYTE                bJamLineMargin;                                         // ռֵӵ³ռֵ0-100
    BYTE                bSensitivity;                                           // ȣֵԽСԽ͡ȡֵ1-10
	BYTE                bReserved[1];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nLane;													// 
	int                 nDelayTime;                                             // ⵽ʼϱʱ, λ룬Χ1~65535
	int                 nIntervalTime;                                          // ʱ, λ룬Χ1~65535
	int                 nReportTimes;                                           // ϱ, 1~255
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int		            nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 
	UINT				nDiscontinuousTimeThreshold;							// ӵֵ(ʱֵΪӵµ),λ Χ0~255
}CFG_TRAFFICJAM_INFO;

///@brief ¼EVENT_IVS_TRAFFIC_NONMOTORINMOTORROUTE(ǻռ)ӦĹ
typedef struct tagCFG_TRAFFIC_NONMOTORINMOTORROUTE_INFO
{
	// Ϣ
    char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                bRuleEnable;                                            // ʹ
    bool                bSnapMotorcycle;                                        // ǷץĦг,ͬһƵֹͨҪץĦгҪʹù
    BYTE                bReserved[2];                                           // ֶ
    int                 nObjectTypeNum;	                                        // Ӧ͸
    char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
    int                 nLaneNumber;                                            // 
    CFG_POLYGON         stDirection[2];                                         // ʻ, մ˷ʻ򣬷	һ㣬ڶյ㣬һ[0,8192)䡣
    CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
    CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
} CFG_TRAFFIC_NONMOTORINMOTORROUTE_INFO;

///@brief ¼EVENT_IVS_TRAFFIC_NONMOTOR_OVERLOAD(ǻ)ӦĹ
typedef struct tagCFG_TRAFFIC_NONMOTOR_OVERLOAD_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	bool                bRuleEnable;                                            // ʹ
	BYTE                bReserved[3];                                           // ֶ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nLaneNumber;                                            // 
}CFG_TRAFFIC_NONMOTOR_OVERLOAD_INFO;

///@brief ¼EVENT_IVS_TRAFFIC_NONMOTOR_HOLDUMBRELLA(ǻװɡ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_NONMOTOR_HOLDUMBRELLA_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	bool                bRuleEnable;                                            // ʹ
	BYTE                bReserved[3];                                           // ֶ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nLaneNumber;                                            // 
	int                 nSnapInterval;                                          // ץļʱ
	BOOL                bSnapMotorcycle;                                        // ǷץĦг
}CFG_TRAFFIC_NONMOTOR_HOLDUMBRELLA_INFO;

///@brief ¼EVENT_IVS_TRAFFIC_NONMOTOR_WITHOUTSAFEHAT (ǻδȫñ)ӦĹ
typedef struct tagCFG_TRAFFIC_NONMOTOR_WITHOUTSAFEHAT_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	bool                bRuleEnable;                                            // ʹ
	BYTE                bReserved[3];                                           // ֶ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nLaneNumber;                                            // 
}CFG_TRAFFIC_NONMOTOR_WITHOUTSAFEHAT_INFO;

///@brief ¼EVENT_IVS_CITY_MOTORPARKING (лΥͣ¼)ӦĹ
typedef struct tagCFG_CITY_MOTORPARKING_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                bRuleEnable;                                            // ʹ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 

	int                 nMinDuration;											// ̳ʱ,λ Χ[0 3600]
	int                 nTrackDuration;											// ٳʱ Χ[0 3600]
	int					nSensitivity;											// ,ֵԽСԽ, Χ [1, 10]
}CFG_CITY_MOTORPARKING_INFO;

///@brief ¼EVENT_IVS_CITY_NONMOTORPARKING (зǻΥͣ¼)ӦĹ
typedef struct tagCFG_CITY_NONMOTORPARKING_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                bRuleEnable;                                            // ʹ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 

	int                 nAlarmNum;												// ֵλ Χ[1 100]
	int                 nMinDuration;											// ̳ʱ,λ Χ[0 3600]
	int                 nTrackDuration;											// ٳʱ Χ[0 3600]
	int					nSensitivity;											// ȣֵԽСԽ Χ[1, 10]
}CFG_CITY_NONMOTORPARKING_INFO;

///@brief ¼EVENT_IVS_FLOWBUSINESS (̯¼)ӦĹ
typedef struct tagCFG_FLOWBUSINESS_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                bRuleEnable;                                            // ʹ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 

	int                 nSensitivity;											// ȣֵԽСԽ Χ[1 10]
	int                 nMinDuration;											// ̳ʱ,λ Χ[0 3600]
	int                 nTrackDuration;											// ٳʱ Χ[0 3600]
}CFG_FLOWBUSINESS_INFO;

///@brief ¼EVENT_IVS_SHOPPRESENCE (ռ¼)ӦĹ
typedef struct tagCFG_SHOPPRESENCE_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                bRuleEnable;                                            // ʹ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 

	int                 nSensitivity;											// ȣֵԽСԽ Χ[1 10]
	int                 nMinDuration;											// ̳ʱ,λ Χ[0 3600]
	int                 nTrackDuration;											// ٳʱ Χ[0 3600]
	char				szShopAddress[256];										// ̵ַ
}CFG_SHOPPRESENCE_INFO;

///@brief ¼EVENT_IVS_TRAFFIC_IDLE (ͨ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_IDLE_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
    BYTE                bJamLineMargin;                                         // ռֵӵ³ռֵ0-100
	BYTE                bReserved[2];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nLane;													// 
	int                 nDelayTime;                                             // ⵽ʼϱʱ, λ룬Χ1~65535
	int                 nIntervalTime;                                          // ʱ, λ룬Χ1~65535
	int                 nReportTimes;                                           // ϱ, 1~255
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int		            nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 
}CFG_TRAFFIC_IDLE_INFO;


///@brief ¼EVENT_IVS_TRAFFIC_PARKING (ͨΥͣ¼) / EVENT_IVS_TRAFFIC_PARKING_B (BཻͨΥͣ¼) /
///@brief EVENT_IVS_TRAFFIC_PARKING_C (CཻͨΥͣ¼) / EVENT_IVS_TRAFFIC_PARKING_D (DཻͨΥͣ¼)/
///@brief EVENT_IVS_TRAFFIC_PARKING_MANUAL(ֶȡ֤ͨΥ)ӦĹ
typedef struct tagCFG_TRAFFIC_PARKING_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
    bool                bTrackEnable;                                           // ʹ,԰,ֵ
    BYTE                bSensitivity;                                           // , ȡֵ1-10ֵԽСԽ(ֻԼƵڵ仯Ч)
	BYTE                bParkingNumThreshold;                                   // ֵͣͣڴֵʱ,ȡֵ1-128
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nLane;													// 
	int                 nDelayTime;                                             // ⵽ʼϱʱ, λ룬Χ1~65535
	int                 nParkingAllowedTime;                                    // ͣʱ, λ룬Χ1~65535
	int                 nReportTimes;                                           // ϱ, 1~255
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
		
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	UINT				nControlMoreAlerts;										// ǷͬһĿظϱܣ 0ر 1
	UINT				nReduceUnderreporting;									// Ƿidٵµ©ܣ 0ر 1
}CFG_TRAFFIC_PARKING_INFO;

///@brief ¼EVENT_IVS_TRAFFIC_PARKING_SPACEDETECTION(ΥͣƵλ)
typedef struct tagCFG_TRAFFIC_PARKING_SPACEDETECTION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	bool                bTrackEnable;                                           // ʹ,԰,ֵ
	BYTE                bSensitivity;                                           // , ȡֵ1-10ֵԽСԽ(ֻԼƵڵ仯Ч)
	BYTE                bReserved;                                              // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nLane;													// 
	int                 nDelayTime;                                             // ⵽ʼϱʱ, λ룬Χ1~65535
	int                 nParkingAllowedTime;                                    // ͣʱ, λ룬Χ1~65535
	int                 nReportTimes;                                           // ϱ, 1~255
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
}CFG_TRAFFIC_PARKING_SPACEDETECTION_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_RUNREDLIGHT (ͨΥ-¼)ӦĹ
typedef struct tagCFG_TRAFFIC_RUNREDLIGHT_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nLane;													// 
	int                 nDirection;                                             // (ķ)0- 1- 2- 3- 4- 5- 6- 7-
	int					nPreLinePoint;							                // ǰü߶
	CFG_POLYLINE		stuPreLine[MAX_POLYLINE_NUM];			                // ǰü
	int					nMiddleLinePoint;						                // м߶
	CFG_POLYLINE		stuMiddleLine[MAX_POLYLINE_NUM];		                // м
	int					nPostLinePoint;							                // ü߶
	CFG_POLYLINE		stuPostLine[MAX_POLYLINE_NUM];			                // ü
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
}CFG_TRAFFIC_RUNREDLIGHT_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_PEDESTRAINRUNREDLIGHT  (ͨΥ-˴¼)ӦĹ
typedef struct tagCFG_TRAFFIC_PEDESTRAINRUNREDLIGHT_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    bool				bRuleEnable;											// ʹ
    BYTE                bReserved[3];                                           // ֶ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    int					nLane;													// 
    int                 nDirection;                                             // (ķ)0- 1- 2- 3- 4- 5- 6- 7-
    int					nPreLinePoint;							                // ǰü߶
    CFG_POLYLINE		stuPreLine[MAX_POLYLINE_NUM];			                // ǰü
    int					nMiddleLinePoint;						                // м߶
    CFG_POLYLINE		stuMiddleLine[MAX_POLYLINE_NUM];		                // м
    int					nPostLinePoint;							                // ü߶
    CFG_POLYLINE		stuPostLine[MAX_POLYLINE_NUM];			                // ü
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
}CFG_TRAFFIC_PEDESTRAINRUNREDLIGHT_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_WRONGROUTE (ͨΥ-ʻ¼)ӦĹ
///@brief ¼ EVENT_IVS_TRAFFIC_CROSSLANE (ͨΥ-Υ±)ӦĹ
///@brief ¼ EVENT_IVS_TRAFFIC_OVERLINE (ͨΥ-ѹ)ӦĹ
///@brief ¼ EVENT_IVS_TRAFFIC_TURNLEFT (ͨΥ-Υת¼)ӦĹ
///@brief ¼ EVENT_IVS_TRAFFIC_TURNRIGHT (ͨΥ-Υת)ӦĹ

///@brief ¼ EVENT_IVS_TRAFFIC_YELLOWPLATEINLANE (ͨΥ-Ƴռ¼)ӦĹ
///@brief ¼ EVENT_IVS_TRAFFIC_VEHICLEINROUTE (ͨΥ-гռ¼)ӦĹ
///@brief ¼ EVENT_IVS_TRAFFIC_BACKING (Υµ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_WRONGROUTE_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    bool				bRuleEnable;											// ʹ
    BYTE                bSensitivity;                                           // ȣȡֵ1-10ֵԽԽ
    bool                bTrackEnable;                                           // ʹ,԰,ֵ
    BYTE                bReserved;                                           // ֶ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    int					nLane;													//  
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
    
    int                 nDetectRegionPoint;                                     // 
    CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 
    int                 nDirectionLinPoint;                                     // ʻ򶥵
    CFG_POLYLINE		stuDirectionLine[MAX_POLYLINE_NUM];						// ʻ򣬵һ㣬һյ
	UINT				nDelayTime;												// ʱʱ䣬λ
	UINT				nSnapWhiteSolidLine;									// Ƿץİʵ 0ץ 1ץ
	UINT				nBackCarDisplacement;									// ֶֻTrafficBacking λƣĬ1024ϵ Χ1-1023 λأ ޸ֶλֶΪ0ʱ㷨Ĭֵ 	
}CFG_TRAFFIC_WRONGROUTE_INFO, CFG_TRAFFIC_CROSSLANE_INFO, CFG_TRAFFIC_OVERLINE_INFO, CFG_TRAFFIC_TURNLEFT_INFO,
CFG_TRAFFIC_TURNRIGHT_INFO, CFG_TRAFFIC_YELLOWPLATEINLANE_INFO, CFG_TRAFFIC_VEHICLEINROUTE_INFO,
CFG_TRAFFIC_BACKING_INFO;


///@brief ¼ EVENT_IVS_TRAFFIC_OVERYELLOWLINE (ͨΥ-ѹ)ӦĹ
typedef struct tagCFG_TRAFFIC_OVERYELLOWLINE_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nLane;													// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	UINT				nSensitivity;											// ȣֵԽСԽ͡ȡֵ1-10
	BOOL				bOverWhiteLine;											// Ƿѹ߼
	UINT				nDelayTime;												// ¼ģʽ£ø㷨ʾ⵽¼󣬶೤ʱ俪ʼλ룬Χ0-3600
}CFG_TRAFFIC_OVERYELLOWLINE_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_RETROGRADE (ͨΥ-¼)ӦĹ
typedef struct tagCFG_TRAFFIC_RETROGRADE_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
    bool                bTrackEnable;                                           // ʹ,԰,ֵ
	BYTE                bReserved[2];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nLane;													// 
	BOOL                bLegal;                                                 // TRUE: кϷ;FALSE:вϷ
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int                 nDirectionLinPoint;                                     // ʻ򶥵
	CFG_POLYLINE		stuDirectionLine[MAX_POLYLINE_NUM];						// ʻ򣬵һ㣬һյ
	int					nMinDuration;											// ̴ʱ	λ
	UINT				nReverseDisplacement;									// λƣĬ1024ϵ Χ1-1023 λأ ޸ֶλֶΪ0ʱ㷨Ĭֵ 
}CFG_TRAFFIC_RETROGRADE_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_UTURN (ͨΥ-Υµͷ)ӦĹ
typedef struct tagCFG_TRAFFIC_UTURN_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
    bool                bTrackEnable;                                           // ʹ,԰ߡֵ
	BYTE                bReserved[2];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nLane;													// 
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ


	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nTriggerAngle;											// ͷǶ,ȡֵΧ(90,180)Ŀͷǰ˶н
	BOOL                abSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	
}CFG_TRAFFIC_UTURN_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_OVERSPEED (ͨΥ-)ӦĹ
typedef struct tagCFG_TRAFFIC_OVERSPEED_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nLane;													// 
	int                 nSpeedUpperLimit;                                       // ٶ
	int                 nSpeedLowerLimit;                                       // ٶ
	int					nMinDuration;											// ̴ʱ	λ
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	bool 				bSpeedLimitForSize;										// ǷôС
	BYTE                bReserved1[3];                                          // ֶ
	int					nSmallCarSpeedUpperLimit;								// Сͳٶ
	int 				nSmallCarSpeedLowerLimit;								// Сͳٶ
}CFG_TRAFFIC_OVERSPEED_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_UNDERSPEED (ͨΥ-Ƿ)ӦĹ
typedef struct tagCFG_TRAFFIC_UNDERSPEED_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nLane;													// 
	int                 nSpeedUpperLimit;                                       // ٶ
	int                 nSpeedLowerLimit;                                       // ٶ
	int					nMinDuration;											// ̴ʱ	λ
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
}CFG_TRAFFIC_UNDERSPEED_INFO;

///@brief ¼Դ
typedef enum tagEM_CFG_EVENT_ORIGIN
{
	EM_CFG_EVENT_ORIGIN_UNKNOWN = -1,											// δ֪
	EM_CFG_EVENT_ORIGIN_VIDEO,													// Ƶ
	EM_CFG_EVENT_ORIGIN_NET,													//  
}EM_CFG_EVENT_ORIGIN;

///@brief ¼ EVENT_IVS_TRAFFIC_JAM_FORBID_INTO (ӵ½¼)ӦĹ
typedef struct tagCFG_TRAFFIC_JAM_FORBID_INTO_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int					nLaneNumber;											//  
	int					nTriggerTime;											// ǰĳͣ˶ʱӵ,ĳӵ½,λ 
	int					nFollowTime;											// ʱֵ,ǰ·ڵĲӵ½Υ,λ 
	int					nDelayTime;												// ̵ʱץĵʱ,λ
	EM_CFG_EVENT_ORIGIN	emEventOrigin;											// ӵ¼Դ 
	int                 nJamForbidIntoLineCount;								// ӵ¼߽ߵ
	CFG_POLYLINE        stuJamForbidIntoLine[MAX_POLYLINE_NUM];					// ӵ¼߽, һ[0,8192)
}CFG_TRAFFIC_JAM_FORBID_INTO_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_JAM_STOP_ON_ZEBRACROSSING (ӵ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_JAM_STOP_ON_ZEBRACROSSING_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int					nLaneNumber;											//  
	int					nJamStopDelay;											// ӵʱʱ
	int					nSnapInterval;											// ץļʱ
	BOOL				bSnapMotorcycle;										// ǷץĦг

	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
}CFG_TRAFFIC_JAM_STOP_ON_ZEBRACROSSING_INFO;

///@brief ¼ EVENT_IVS_PSRISEDETECTION (¼)ӦĹ
typedef struct tagCFG_PSRISEDETECTION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM10];						// 
	CFG_POLYGON			stDirection[2];											// ˯	һ㣬ڶյ㣬һ[0,8191]
	CFG_POLYGON			stBedMiddleLine[2];										// 	һ[0,8191]
	int					nBedSide;												// ̵ķλ	1λ,2ұλ
	int					nMinDuration;											// ̴ʱ	λ
	int					nReportInterval;										// ظ	λ
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
}CFG_PSRISEDETECTION_INFO;

// õĸ
#define MAX_AREACONFIG_NUMBER	8

///@brief ˷
typedef enum tagEM_CFG_PEOPLE_DIRECTION
{
	EM_CFG_PEOPLE_DIRECTION_LEFT = 1,											// 
	EM_CFG_PEOPLE_DIRECTION_RIGHT = 2,											// 
}EM_CFG_PEOPLE_DIRECTION;

///@brief 
typedef struct tagCFG_AREACONFIG
{
	int					nPeopleTargets;											// ˸
	UINT				nPeopleDirectionMask;									// ˷, EM_CFG_PEOPLE_DIRECTION  λϣnPeopleDirectionMask |= EM_CFG_PEOPLE_DIRECTION_LEFT;
	BYTE                byReserved[1024];                                       // ֶ
}CFG_AREACONFIG;

///@brief ¼ EVENT_IVS_TRAFFIC_PEDESTRAINPRIORITY (ü/¼)ӦĹ
typedef struct tagCFG_TRAFFIC_PEDESTRAINPRIORITY_INFO
{
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	bool                bRuleEnable;                                            // ʹ
	BYTE                bReserved[3];                                           // ֶ
	int                 nObjectTypeNum;                                         // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	int                 nLane;                                                  // 
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	// 
	int					nAreaConfigNum;											// Ӧļõĸ
	CFG_AREACONFIG		stuAreaConfigList[MAX_AREACONFIG_NUMBER];				// Ӧļ
	int					nSpeedLimit;											// ٷֵ
	int					nFollowTime;											// ʱ䣬λ
	BOOL				bSnapMotorcycle;										// ǷץĦг,ͬһƵֹͨҪץĦгҪʹù
	int					nAlarmDistanceRate;										// ˵ļ
	int					nSnapPicHavePriCategory;								// ΥץĵͼƬǷҪ˻ǻֵÿbitλ壬1ץͼƬҪˣ0ץͼƬ
																				// bit0:һͼƬǷҪ
																				// bit1:ڶͼƬǷҪ
																				// bit2:ͼƬǷҪ
	int					nMinDuration;											// ̳ʱ䣬λ:
	int					nSensitivity;											// ,ֵԽСԽ, Χ [1, 100]
}CFG_TRAFFIC_PEDESTRAINPRIORITY_INFO;

///@brief ¼ EVENT_IVS_QUEUEDETECTION (ŶӼ¼)ӦĹ
typedef struct tagCFG_IVS_QUEUEDETECTION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
	CFG_POLYLINE		stuDetectLine[2];						                // 
	int                 nOccupyLineMargin;                                      // ռֵ鳤ռֵ߱
	int                 nTriggerTime;                                           // λ룬ŶӼⱨʱ䣬Ŷӳֵ״̬ά"ŶӼⱨʱ"Ժ󱨾
	int					nMaxDetectRegionNum;									// ĸ
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nThreshold;												// 쳣ֵ
	int					nDetectType;											// 쳣ⷽʽ
	int					nPlanID;												// ƻID
	int					nAreaID;												// IDһԤõԶӦID
	BOOL				bStayDetectEnable;										// ⱨʹܣӦΪ EVENT_IVS_STAYDETECTION
	int 				nStayMinDuration;										// ʱ䣬λ[1, 1800], ⱨʱ
	BOOL				bManNumAlarmEnable;										// 쳣ʹ, ĬΪTRUEӦΪ EVENT_IVS_MAN_NUM_DETECTION
}CFG_IVS_QUEUEDETECTION_INFO;

///@brief ¼ EVENT_IVS_CLIMBDETECTION (ʸ߼¼)ӦĹ
typedef struct tagCFG_IVS_CLIMBDETECTION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int                 nDetectLine;                                            // ߶
	CFG_POLYLINE        stuDetectLine[MAX_POLYLINE_NUM];                        // Ӧļ,[0,8192)
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	UINT				nMinDuration;											// ̳ʱ䣬λ
}CFG_IVS_CLIMBDETECTION_INFO;

///@brief ¼ EVENT_IVS_LEAVEDETECTION (ڼ¼)ӦĹ
typedef enum CFG_EM_LEAVEDETECTION_MODE{
	CFG_EM_LEAVEDETECTION_MODE_NONE,
	CFG_EM_LEAVEDETECTION_MODE_PATROL,    // Ѳģʽ
	CFG_EM_LEAVEDETECTION_MODE_SENTRY,    // ģʽ
	CFG_EM_LEAVEDETECTION_MODE_ERR=255
}CFG_EM_LEAVEDETECTION_MODE;
///@brief ģʽ
typedef enum EM_CFG_LEAVEDETECTION_TRIGGERMODE{
    CFG_LEAVEDETECTION_TRIGGERMODE_UNKNOWN,         //δ֪
    CFG_LEAVEDETECTION_TRIGGERMODE_NOPERSON,        //
    CFG_LEAVEDETECTION_TRIGGERMODE_LEAVE,           //뿪
    CFG_LEAVEDETECTION_TRIGGERMODE_STATIC,          //ֹ(˯) 
    CFG_LEAVEDETECTION_TRIGGERMODE_OUTPERSONLIMIT,  // ֵΧ(ֵ쳣)
}CFG_LEAVEDETECTION_TRIGGERMODE;
///@brief ڼ¼
typedef struct tagCFG_IVS_LEAVEDETECTION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	CFG_EM_LEAVEDETECTION_MODE emMode;                                          // ģʽ
	unsigned int        nMinDuration;                                           // ̳ʱ,λ
	unsigned int        nReportInterval;                                        // ʱ,λ
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ

	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
    int                 nTriggerModeCount;										// ģʽЧ
    CFG_LEAVEDETECTION_TRIGGERMODE  emTriggerMode[MAX_TRIGGER_MODE_NUMBER];                              // ģʽ
    int                 anPersonLimit[2];                                       // ֵΧ, ڴ˷Χʱ,һԪΪСֵ,ڶԪΪֵ,ֵΪ0ʱʾ
}CFG_IVS_LEAVEDETECTION_INFO;

///@brief ¼	EVENT_IVS_TRAFFIC_PARKINGONYELLOWBOX(ץ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_PARKINGONYELLOWBOX_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int					nLane;													// 
	int					nInterval1;												// ڶź͵һŵʱʱ䣬λ
	int					nInterval2;												// ź͵ڶŵʱʱ䣬λ
	int					nFollowTime;											// ʱ䣬һǰһʱСڴֵΪǸ룬ͣΥ

}CFG_TRAFFIC_PARKINGONYELLOWBOX_INFO;

///@brief ¼	EVENT_IVS_TRAFFIC_PARKINGSPACEPARKING(λг¼)ӦĹ
typedef struct tagCFG_TRAFFIC_PARKINGSPACEPARKING_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
	int					nLane;													// λ
	int                 nDelayTime;                                             // ⵽ʼϱʱ, λ룬Χ1~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
    int                 nPlateSensitivity;                                      // Ƽ(ץ)
    int                 nNoPlateSensitivity;                                    // Ƽȣץģ
    int                 nLightPlateSensitivity;                                 // ƼȣƳλ״̬ƣ
    int                 nLightNoPlateSensitivity;                               // ƼȣƳλ״̬ƣ
	BOOL				bForbidParkingEnable;									// ֹͣʹ TRUE:ֹ FALSE:δֹ
}CFG_TRAFFIC_PARKINGSPACEPARKING_INFO;

///@brief ¼	EVENT_IVS_TRAFFIC_PARKINGSPACENOPARKING(λ޳¼)ӦĹ
typedef struct tagCFG_TRAFFIC_PARKINGSPACENOPARKING_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
	int					nLane;													// λ
	int                 nDelayTime;                                             // ⵽ʼϱʱ, λ룬Χ1~65535
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
    int                 nPlateSensitivity;                                      // Ƽ(ץ)
    int                 nNoPlateSensitivity;                                    // Ƽȣץģ
    int                 nLightPlateSensitivity;                                 // ƼȣƳλ״̬ƣ
    int                 nLightNoPlateSensitivity;                               // ƼȣƳλ״̬ƣ
}CFG_TRAFFIC_PARKINGSPACENOPARKING_INFO;

///@brief ¼EVENT_IVS_TRAFFIC_PARKINGSPACEOVERLINE(λѹ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_PARKINGSPACEOVERLINE_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	bool                bAllowParkingSpaceParkingSnap;                          // Ƿλгϴץģtrue-ʾ(Ĭϲ)
	BYTE                byReserved[2];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
	int					nLane;													// λ
}CFG_TRAFFIC_PARKINGSPACEOVERLINE_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_PEDESTRAIN (ͨ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_PEDESTRAIN_INFO
{
    char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                bRuleEnable;                                            // ʹ
    BYTE                bReserved[3];                                           // ֶ
    int                 nObjectTypeNum;                                         // Ӧ͸
    char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    int                 nPtzPresetId;                                           // ̨Ԥõ 0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
    CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    
    int                 nLane;                                                  // 
    int                 nDetectRegionPoint;                                     // 
    CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 
    int                 nMinDuration;                                           // ̴ʱ䣬λ
	UINT				nRepeatAlarmTime;										// ظʱ λ
}CFG_TRAFFIC_PEDESTRAIN_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_THROW (ͨ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_THROW_INFO
{
    char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                bRuleEnable;                                            // ʹ
    BYTE                bReserved[3];                                           // ֶ
    int                 nObjectTypeNum;                                         // Ӧ͸
    char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    int                 nPtzPresetId;                                           // ̨Ԥõ 0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
    CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    
    int                 nLane;                                                  // 
    int                 nDetectRegionPoint;                                     // 
    CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 
    int                 nMinDuration;                                           // ̴ʱ䣬λ
	UINT				nRepeatAlarmTime;										// ظʱλ
}CFG_TRAFFIC_THROW_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_VEHICLEINBUSROUTE(ռù¼)Ӧ
typedef struct tagCFG_TRAFFIC_VEHICLEINBUSROUTE_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    bool				bRuleEnable;											// ʹ
    BYTE                byCarType;                                              // ץĳͣ0ǻƳ 1Ƴ 2Ǵͳ
    BYTE                bSensitivity;                                           // ȣȡֵ1-10ֵԽԽ
    BYTE                bEnclosure;                                             // Χ, 1- 0-ر
    bool                bTrackEnable;                                           // ʹ,԰,ֵ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    int					nLane;													//  
    int                 nDetectRegionPoint;                                     // 
    CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
}CFG_TRAFFIC_VEHICLEINBUSROUTE_INFO;
///@brief Ҫץĵļʻλ
typedef enum tagCFG_SAFEBELT_SEAT
{
    CSS_UNKNOW ,
    CSS_MAIN_SEAT     ,         //ʻλ
    CSS_SLAVE_SEAT    ,         //ʻλ
}CFG_SAFEBELT_SEAT;

///@brief ¼ EVENT_IVS_TRAFFIC_WITHOUT_SAFEBELT(ͨδϵȫ¼)Ӧ
typedef struct tagCFG_TRAFFIC_WITHOUT_SAFEBELT
{
    char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                bRuleEnable;                                            // ʹ
    BYTE                bReserved[3];                                           // ֶ
    int                 nObjectTypeNum;                                         // Ӧ͸
    char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    int                 nPtzPresetId;                                           // ̨Ԥõ 0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
    CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

    int                 nLane;                                                  // 
    int                 nSeatNum;                                               // ȡλ
    CFG_SAFEBELT_SEAT   emSnapSeat[MAX_SEAT_NUM];                               // Ҫץĵļʻλ
}CFG_TRAFFIC_WITHOUT_SAFEBELT;

///@brief ¼ EVENT_IVS_GETOUTBEDDETECTION(´¼)Ӧ
typedef struct tagCFG_IVS_GETOUTBEDDETECTION_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    bool				bRuleEnable;											// ʹ
    BYTE                bReserved[3];                                           // ֶ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

    int					nDetectRegionPoint;										// 
    CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// ,ͣÿһ[0,8192)
    unsigned int        nMinDuration;                                           // ̳ʱ,λ
    unsigned int        nReportInterval;                                        // ʱ,λ
    int                 nAssisDectLinePointNum;                                 // ߵ
    CFG_POLYLINE        stuAssisDectLine[MAX_POLYLINE_NUM];                     // 
}CFG_IVS_GETOUTBEDDETECTION_INFO;

///@brief ¼ EVENT_IVS_PATROLDETECTION(Ѳ߼¼)Ӧ
typedef struct tagCFG_IVS_PATROLDETECTION_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    bool				bRuleEnable;											// ʹ
    BYTE                bReserved[3];                                           // ֶ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
    
    int					nDetectRegionPoint;										// 
    CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// ,ͣÿһ[0,8192)
    unsigned int        nMinDuration;                                           // ̳ʱ,λ
    unsigned int        nReportInterval;                                        // ʱ,λ
    unsigned int        nPatrolTime;                                            // Ѳʱ,λ
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
}CFG_IVS_PATROLDETECTION_INFO;

///@brief ¼ EVENT_IVS_ONDUTYDETECTION(վڼ¼)Ӧ
typedef struct tagCFG_IVS_ONDUTYDETECTION_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    bool				bRuleEnable;											// ʹ
    BYTE                bReserved[3];                                           // ֶ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
    
    int					nDetectRegionPoint;										// 
    CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// ,ͣÿһ[0,8192)
    unsigned int        nMinDuration;                                           // ̳ʱ,λ
    unsigned int        nReportInterval;                                        // ʱ,λ
    int                 nTemplateRegionPointPairNum;                            // ģϢԸ
    CFG_POLYGON         stuTemplateRegion[MAX_TEMPLATEREGION_NUM][POINT_PAIR_NUM];  // ģϢ,ӦģͼƬ
}CFG_IVS_ONDUTYDETECTION_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_DRIVER_SMOKING(ʻԱ¼)Ӧ
typedef struct tagCFG_TRAFFIC_DRIVER_SMOKING
{
    char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                bRuleEnable;                                            // ʹ
    BYTE                bReserved[3];                                           // ֶ
    int                 nObjectTypeNum;                                         // Ӧ͸
    char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    int                 nPtzPresetId;                                           // ̨Ԥõ 0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
    CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    
    int                 nLane;                                                  // 
}CFG_TRAFFIC_DRIVER_SMOKING;

///@brief ¼ EVNET_IVS_TRAFFIC_DRIVER_CALLING(ʻԱ绰¼)Ӧ
typedef struct tagCFG_TRAFFIC_DRIVER_CALLING
{
    char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                bRuleEnable;                                            // ʹ
    BYTE                bReserved[3];                                           // ֶ
    int                 nObjectTypeNum;                                         // Ӧ͸
    char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    int                 nPtzPresetId;                                           // ̨Ԥõ 0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
    CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    
    int                 nLane;                                                  // 
}CFG_TRAFFIC_DRIVER_CALLING;

///@brief ¼ EVENT_IVS_TRAFFIC_PASSNOTINORDER(δ涨ͨ)Ӧ
typedef struct tagCFG_TRAFFIC_PASSNOTINORDER_INFO
{
    char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                bRuleEnable;                                            // ʹ
    BYTE                bReserved[3];                                           // ֶ
    int                 nObjectTypeNum;                                         // Ӧ͸
    char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    int                 nPtzPresetId;                                           // ̨Ԥõ 0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
    CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    
    int                 nLane;                                                  // 
    int                 nFollowTime;                                            // ʱֵ,ڴֵΥ λ루ms
}CFG_TRAFFIC_PASSNOTINORDER_INFO;

///@brief ¼ EVENT_IVS_HEATMAP/EVENT_IVS_HEATMAP_PLAN(ȶͼ/ȶͼƻ)Ӧ
typedef struct tagCFG_IVS_HEATMAP_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    bool				bRuleEnable;											// ʹ
    BYTE                bReserved[3];                                           // ֶ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
    
    int					nDetectRegionPoint;										// 
    CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// ,ͣÿһ[0,8192)
    BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
    UINT                nPlanID;                                                // ƻID,Ч,1ʼ (ȶͼͳһ֮ǰʹãͳһ֮ʹnPtzPresetId)
}CFG_IVS_HEATMAP_INFO;
///@brief 
typedef struct tagCFG_REGION_FILTER
{
	CFG_RECT			stuMaxRect;												// ͷ 
	CFG_RECT			stuMinRect;												// Сͷ
}CFG_REGION_FILTER;

///@brief ¼ EVENT_IVS_STANDUPDETECTION  Ӧ
typedef struct tagCFG_IVS_STANDUPDETECTION_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    bool				bRuleEnable;											// ʹ
    BYTE                bReserved[3];                                           // ֶ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
									
	CFG_REGION			stuHumanRegion;											// 	
	int					nStandUpDirectionNum;									// 򶥵
	CFG_POLYLINE		stuStandUpDirection[MAX_POLYLINE_NUM];					// , һΪ, ڶΪյ, ǰЧ
	CFG_REGION_FILTER	stuRegionFilter;										// 
}CFG_IVS_STANDUPDETECTION_INFO;

///@brief ¼ EVENT_IVS_SHOOTINGSCORERECOGNITION ¼ Ӧ
typedef struct tagCFG_IVS_SHOOTINGSCORERECOGNITION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	CFG_REGION			stuDetectRegion;										// 	μDetectRegion
	int					nRound;													// ڼ1󵯿´1ʼ
	int					nSensitivity;											// 
	int                 nCaliber;											    // ׿ھ0:5mmھ, 1:7~8mmھ, 2:9mmھ
}CFG_IVS_SHOOTINGSCORERECOGNITION_INFO;

///@brief ¼EVENT_IVS_VEHICLEANALYSE()Ӧ
typedef struct tagCFG_IVS_VEHICLEANALYSE_INFO
{
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                bRuleEnable;                                            // ʹ
	BYTE                bReserved[3];                                           // ֶ
    int                 nObjectTypeNum;                                         // Ӧ͸
    char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;									    // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];		    // ¼Ӧʱ
	  
	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	BOOL                bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	
} CFG_IVS_VEHICLEANALYSE_INFO;

///@brief ¼EVENT_IVS_LETRACK(򵥸¼)Ӧ
typedef struct tagCFG_IVS_LETRACK_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	BYTE                bReserved[512]; 										// ֽ
} CFG_IVS_LETRACK_INFO;

///@brief ¼EVENT_IVS_MAN_STAND_DETECTION(Ӿվ¼)
///@brief EVENT_IVS_NEAR_DISTANCE_DETECTION(Ӵ¼)ӦĹ
typedef struct tagCFG_STEREO_VISION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
    BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nDetectLinePoint;										// 򶥵
	CFG_POLYLINE		stuDetectLine[MAX_POLYLINE_NUM];						// 
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nThreshold;												// 쳣ֵ
	int					nDetectType;											// 쳣ⷽʽͳƣ
																				// 0-Сڵֵ 1-ڵֵ
	int					nSensitivity;											// ,[0-100]
	int					nMaxHeight;												// ߶,λcm
	int 				nMinHeight;												// С߶,λcm
	UINT                nMinDuration;                                           // ̳ʱ, λ:  
	UINT                nReportInterval;                                        // ʱλ
	BYTE                bReserved[504]; 										// ֽ
} CFG_STEREO_VISION_INFO;

///@brief ¼EVENT_IVS_MAN_NUM_DETECTION(Ӿͳ¼)ӦĹ
typedef struct tagCFG_IVS_MAN_NUM_DETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
    BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nThreshold;												// 쳣ֵ
	int					nDetectType;											// 쳣ⷽʽ
																				// 0-Сڵֵ 1-ڵֵ
	int					nSensitivity;											// ,[1-10]
	int					nMaxHeight;												// ߶,λcm
	int 				nMinHeight;												// С߶,λcm
	BOOL				bStayDetectEnable;										// Ƿⱨ, ӦΪStayDetection
	int 				nStayMinDuration;										// ʱ䣬λ[2, 65535], ⱨʱ
	BOOL				bManNumAlarmEnable;										// Ƿ쳣, ĬΪTRUEӦΪManNumDetection
	UINT				nAreaID;												// IDһԤõӦID
	UINT				nPlanId;												// ƻIDΧ 1~MaxNumberStatPlan
	BYTE                bReserved[504]; 										// ֽ
} CFG_IVS_MAN_NUM_DETECTION_INFO;

///@brief ¼EVENT_IVS_STEREO_NUMBERSTAT(Ӿͳ¼)ӦĹ
typedef struct tagCFG_IVS_STEREO_NUMBERSTAT_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
    BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nDetectLinePoint;										// ߶
	CFG_POLYLINE		stuDetectLine[MAX_POLYLINE_NUM];						// 
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nSensitivity;											// , 1-10
	int					nMaxHeight;												// ߶,λcm
	int 				nMinHeight;												// С߶,λcm
	int					nEnterThreshold;										// ֵ, 0ʾ
	int					nExitThreshold;											// 뿪ֵ, 0ʾ
	int					nInsideThreshold;										// ֵ, 0ʾ
	char				szDirection[CFG_COMMON_STRING_8];						// ⷽ
	BYTE                bReserved[512]; 										// ֽ
} CFG_IVS_STEREO_NUMBERSTAT_INFO;

///@brief 
typedef enum tagEM_CFG_ACTION_TYPE
{
    EM_CFG_ACTION_TYPE_UNKNOWN,		        // δ֪
    EM_CFG_ACTION_TYPE_DRASTIC_MOTION,		// ˶
    EM_CFG_ACTION_TYPE_SINGLE_FIGHT,		// ˴
    EM_CFG_ACTION_TYPE_MULTI_FIGHT,		    // ˴
}EM_CFG_ACTION_TYPE;

///@brief ¼EVENT_IVS_STEREO_FIGHTDETECTION(Ϊ/˶)ӦĹ
typedef struct tagCFG_IVS_STEREO_FIGHTDETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
    BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nSensitivity;											// , 1-10, Ĭֵ5
	int					nMaxHeight;												// ߶,λcm
	int 				nMinHeight;												// С߶,λcm
    EM_CFG_ACTION_TYPE  emActionType;                                           //        
	BYTE                bReserved[508]; 										// ֽ
} CFG_IVS_STEREO_FIGHTDETECTION_INFO;

///@brief ¼EVENT_IVS_STEREO_STEREOFALLDETECTION(Ϊ)ӦĹ
typedef struct tagCFG_IVS_STEREO_STEREOFALLDETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
    BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nMinDuration;											// ̳ʱ䣬λ,ڸʱ䲻, Ĭ1 Χ[1,60]
	int					nReportInterval;										// ظʱ,Ϊ0ظ, Ĭ0 Χ[0,300]λ
	int					nSensitivity;											// , 1-10 Ĭֵ5
	int					nMaxHeight;												// ߶,λcm
	int 				nMinHeight;												// С߶,λcm
	BYTE                bReserved[512]; 										// ֽ
} CFG_IVS_STEREO_STEREOFALLDETECTION_INFO;

///@brief ¼EVENT_IVS_STEREO_STAYDETECTION(ΪԱ)ӦĹ
typedef struct tagCFG_IVS_STEREO_STAYDETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
    BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nMinDuration;											// ʱֵλ,ڸʱ䲻, Ĭ300, Χ[1,3600]
	int					nReportInterval;										// ظʱ,Ϊ0ظ, Ĭ0 Χ[0,300]λ
	int					nSensitivity;											// , 1-10, Ĭ5
	int					nMaxHeight;												// ߶,λcm
	int 				nMinHeight;												// С߶,λcm
	BYTE                bReserved[512]; 										// ֽ
} CFG_IVS_STEREO_STAYDETECTION_INFO;

///@brief ¼EVENT_IVS_STEREO_DISTANCE_DETECTION(Ϊ쳣/Ա)ӦĹ
typedef struct tagCFG_IVS_STEREO_DISTANCE_DETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
    BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nMinDuration;											// ̳ʱ, λ,ڸʱ䲻, Ĭ2, Χ[1,60]
	int					nReportInterval;										// ظʱ, λ, Ϊ0ظ, Ĭ0, Χ[0,300]
	int					nSensitivity;											// , 1-10, Ĭ5
	int 				nMinHeight;												// С߶,λcm
	int					nMaxHeight;												// ߶,λcm
	int					nDetectType;											// ģʽ, ȡֵ0-ֵ 1-Сֵ, ĬΪ 1
	int					nDistance;												// ֵ, λ:cm, ȡֵ10-600Ĭֵ100
	BYTE                bReserved[512]; 										// ֽ
} CFG_IVS_STEREO_DISTANCE_DETECTION_INFO;

///@brief ¼EVENT_IVS_STEREO_MANNUM_DETECTION(Ϊ쳣)ӦĹ
typedef struct tagCFG_IVS_STEREO_MANNUM_DETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
    BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nMinDuration;											// ̳ʱ, λ,ڸʱ䲻, Ĭ2, Χ[1,60]
	int					nReportInterval;										// ظʱ, λ, Ϊ0ظ, Ĭ0, Χ[0,300]
	int					nSensitivity;											// , 1-10, Ĭ5
	int 				nMinHeight;												// С߶,λcm
	int					nMaxHeight;												// ߶,λcm
	int					nDetectType;											// ģʽ, ȡֵ0-ֵ 1-Сֵ 2-ֵ 3-ֵ
	int					nThresholdPerson;										// ֵ, ȡֵ0-10Ĭֵ2
	BYTE                bReserved[512]; 										// ֽ
} CFG_IVS_STEREO_MANNUM_DETECTION_INFO;

///@brief ¼EVENT_IVS_ROAD_CONSTRUCTION (·ʩ¼) EVENT_IVS_ROAD_BLOCK(·ϼ¼)ӦĹ
typedef struct tagCFG_ROAD_DETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nMinDuration;											// ̳ʱ, λ, 0-65535
	int					nSensitivity;											// , 1-10
} CFG_ROAD_DETECTION_INFO;

///@brief ͳ
typedef struct tagPEOPLE_STAT_REGIONS_INFO
{
	CFG_POLYGON			stuRegion[MAX_CROWD_DISTRI_MAP_REGION_POINT_NUM];		// 
	UINT				nPointNum;												// Ч
	unsigned int		nPeopleNumLimit;										// ,λ:
	char				szName[32];												// 
	UINT				nMinDuration;											// ̳ʱ䣬λ, Χ[1, 600](CrowdPosture֧)
	UINT				nReportInterval;										// ظλ, Χ[0, 3600](CrowdPosture֧)
	UINT				nSensitivity;											// , Χ[1, 10](CrowdPosture֧)
	BYTE				byReserved[336];										// ֽ
}PEOPLE_STAT_REGIONS_INFO;

///@brief ¼EVENT_IVS_CROWDDETECTION(Ⱥܶȼ¼)ӦĹ
typedef struct tagCFG_CROWDDISTRIMAP_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	
	BOOL				bGeneralAlarmEnable;									// ȫȺܶȳޱʹ
	unsigned int		nCrowdDensity;											// ȫȺܶȱֵ,λ:/ƽ
	BOOL				bRegionAlarmEnable;										// Աޱʹ
	int					nPeopleStatRegionsNum;									// ͳ
	PEOPLE_STAT_REGIONS_INFO  stuPeopleStatRegions[MAX_PEOPLESTATREGIONS_NUM];  // ͳ
	BOOL				bSlaveTrackEnable;										// ǹʹ
	UINT				nMinDuration;											// ̳ʱ, λ, Χ[1, 600](CrowdPosture֧)
	UINT				nReportInterval;										// ظ, λ, Χ[0, 3600](CrowdPosture֧)
	UINT				nSensitivity;											// , Χ[1, 10](CrowdPosture֧)
	BYTE                bReserved[500]; 										// ֽ
}CFG_CROWDDISTRIMAP_INFO;

///@brief ¼EVENT_IVS_BANNER_DETECTION(¼)ӦĹ
typedef struct tagCFG_BANNER_DETECTION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nMinDuration;											// ̳ʱ, λ:룬Χ1-600, Ĭ30
	int					nReportInterval;										// ظ,λ:,Χ0-600,Ĭ30,Ϊ0ʾظ
	int					nSensitivity;											// ,Χ1-10
	BYTE                bReserved[512]; 										// ֽ
} CFG_BANNER_DETECTION_INFO;

///@brief ¼EVENT_IVS_NORMAL_FIGHTDETECTION(ͨŹ¼)ӦĹ
typedef struct tagCFG_NORMAL_FIGHT_INFO 
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	
	int					nMinDuration;											// ̳ʱ	λ룬Χ1-600, Ĭֵ30
	int					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nTrackDuration;											// ʱ, λ:, Χ5-300
	int					nSensitivity;											// , 1-10
    CFG_EM_DETECTMODE_T emDetectMode;                                           // ģʽ
    BYTE                bReserved[512]; 										// ֽ
} CFG_NORMAL_FIGHT_INFO;

///@brief ¼EVENT_IVS_ELEVATOR_ABNORMAL(綯쳣¼)ӦĹ
typedef struct tagCFG_ELEVATOR_ABNORMAL_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	
	int					nMinDuration;											// ʱֵ
	int					nReportInterval;										// ظΪ0ظ
	int					nSensitivity;											// , ȡֵ1-10, Ĭֵ6
	CFG_POLYLINE		stuDetectLineBegin;										// з
	CFG_POLYLINE		stuDetectLineEnd;										// зյ
	BYTE                bReserved[512]; 										// ֽ
} CFG_ELEVATOR_ABNORMAL_INFO;

///@brief ǻ
typedef enum tagEM_CFG_NONMOTOR_FEATURE
{
    EM_CFG_NONMOTOR_FEATURE_HELMET,                     //ͷ
    EM_CFG_NONMOTOR_FEATURE_NUMOFCYCLING,               //
    EM_CFG_NONMOTOR_FEATURE_NONMOTORCOLOR,              //ɫ
    EM_CFG_NONMOTOR_FEATURE_SEX,                        //Ա
    EM_CFG_NONMOTOR_FEATURE_AGE,                        //
    EM_CFG_NONMOTOR_FEATURE_HAT,                        //ñ
    EM_CFG_NONMOTOR_FEATURE_BAG,                        //
    EM_CFG_NONMOTOR_FEATURE_CARRIERBAG,                 //
    EM_CFG_NONMOTOR_FEATURE_UMBRELLA,                   //ɡ
    EM_CFG_NONMOTOR_FEATURE_UPPERBODYCOLOR,             //ɫ
    EM_CFG_NONMOTOR_FEATURE_LOWERBODYCOLOR,             //ɫ
    EM_CFG_NONMOTOR_FEATURE_UPCLOTHES,                  //
    EM_CFG_NONMOTOR_FEATURE_DOWNCLOTHES,                //
    EM_CFG_NONMOTOR_FEATURE_CATEGORY,                   //
}EM_CFG_NONMOTOR_FEATURE;

#define	MAX_NONMOTOR_ATTRIBUTE_NUM              32                                      // ֵ֧ķǻԸ
///@brief ¼EVENT_IVS_NONMOTORDETECT(ǻ¼)ӦĹ
typedef struct tagCFG_NONMOTORDETECT_INFO
{
    // ͨ
    char								szRuleName[MAX_NAME_LEN];								// ,ͬ
    BOOL								bRuleEnable;											// ʹ
    int									nObjectTypeNum;											// Ӧ͸
    char								szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int									nPtzPresetId;                                           // ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE				stuEventHandler;										// 
    CFG_TIME_SECTION					stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
    
    // 
    int									nFeatureNum;								            // ֵ֧ķǻԸ
    EM_CFG_NONMOTOR_FEATURE				emFeatureList[MAX_NONMOTOR_ATTRIBUTE_NUM];              // ֵ֧ķǻб

	BYTE								bReserved[512]; 							            // ֽ
}CFG_NONMOTORDETECT_INFO;

///@brief ¼EVENT_IVS_HUMANTRAIT(Ա)ӦĹ
typedef struct tagCFG_HUMANTRAIT_INFO
{
    // ͨ
    char				        szRuleName[MAX_NAME_LEN];								// ,ͬ
    BOOL				        bRuleEnable;											// ʹ
    int					        nObjectTypeNum;											// Ӧ͸
    char				        szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                         nPtzPresetId;                                           // ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE        stuEventHandler;										// 
    CFG_TIME_SECTION	        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

    // 
    int                             nHumanFaceTypeNum;                                  // ֵ֧͸
    EM_VIDEO_ANALYSE_HUMANFACE_TYPE emHumanFaceType[MAX_HUMANFACE_LIST_SIZE];           // ֵ֧б

    int                         nMinDuration;                                           // ̴ʱ,λ
    int                         nTriggerTargets;                                        // 
    int                         nSensitivity;                                           // ,ԽԽ׼, 0-10
    BOOL                        bSizeFileter;                                           // Ƿʹóߴ
    CFG_SIZEFILTER_INFO         stuSizeFileter;                                         // ضĳߴжϾ
    BOOL                        bFeatureEnable;                                         // Ƿʶ
    BOOL                        bFeatureFilter;                                         // Կǰ£ͼ̫Ƿϱ  true-ͼ̫ϱ;false-ͼܲҲϱ(ܻǳ׼Ӱû)
    int                         nMinQuality;                                            // ͼƬֵ,bFeatureFilterһʹ

    int					        nFaceFeatureNum;										// ҪԸ
    EM_FACEFEATURE_TYPE         emFaceFeatureType[MAX_FEATURE_LIST_SIZE];				// 

    BYTE                        bReserved[512]; 							            // ֽ
}CFG_HUMANTRAIT_INFO;

///@brief ¼EVENT_IVS_VEHICLEDETECT(¼)ӦĹ
typedef struct tagCFG_VEHICLEDETECT_INFO
{
    // ͨ
    char				        szRuleName[MAX_NAME_LEN];								// ,ͬ
    BOOL				        bRuleEnable;											// ʹ
    int					        nObjectTypeNum;											// Ӧ͸
    char				        szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                         nPtzPresetId;                                           // ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE        stuEventHandler;										// 
    CFG_TIME_SECTION	        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

    // 
    int                         nSnapThreshold;                                         // ץֵ,һٷʾ߶ռٷֱȴֵʱץġ
    BYTE                        bReserved[512]; 							            // ֽ
}CFG_VEHICLEDETECT_INFO;

///@brief ¼EVENT_IVS_TUMBLE_DETECTION(¼)ӦĹ
typedef struct tagCFG_TUMBLE_DETECTION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	BYTE                bTrackEnable;                                           // ʹ,԰ߣֹЧ
	BYTE                bReserved1[3];                                          // ֶ 
	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int					nMinDuration;											// ״αʱֵڸʱ䲻Χ[0,30]λ
	int					nReportInterval;										// ظʱ,Ϊ0ظΧ[1,300]λ
	int					nMinHeight;												// С߶ȡλ
	int					nMaxHeight;												// ߶ȡλ
	int					nSensitivity;											// ,Χ[1,10]
	BYTE                byReserved[512]; 										// ֽ
}CFG_TUMBLE_DETECTION_INFO;

///@brief ⷽ
typedef enum tagEM_CFG_DIRECTION_TYPE
{
	EM_CFG_DIRECTION_UNKNOWN = 0,												// δ֪
	EM_CFG_DIRECTION_LEFT_TO_RIGHT,												// 
	EM_CFG_DIRECTION_RIGHT_TO_LEFT,												// 
	EM_CFG_DIRECTION_BOTH														// ȫ
}EM_CFG_DIRECTION_TYPE;
///@brief ¼EVENT_IVS_SPILLEDMATERIAL_DETECTION(¼)ӦĹ
typedef struct tagCFG_SPILLEDMATERIAL_DETECTION_INFO
{
	char				        szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				        bRuleEnable;											// ʹ
	int					        nObjectTypeNum;											// Ӧ͸
	char				        szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                         nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE        stuEventHandler;										// 
	CFG_TIME_SECTION	        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
	int							nDetectLinePointNum;									// ߶˵
	CFG_POLYLINE				stuDetectLine[MAX_POLYGON_NUM];							// ߡ ͣÿ˵һ[0,8192)䡣
	EM_CFG_DIRECTION_TYPE		emDirection;											// ⷽ
	CFG_SIZEFILTER_INFO			stuSizeFilter;											// ضĳߴΪ߹жϾ
	BYTE						byReserved[4096]; 										// ֽ
}CFG_SPILLEDMATERIAL_DETECTION_INFO;

///@brief ¼ EVENT_IVS_AIRPLANE_DETECTION (ɻΪ)ӦĹ
typedef struct tagCFG_AIRPLANE_DETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	CFG_POLYLINE		stuGuideLine[2];										// 
	CFG_POLYLINE		stuStopLine[10][2];										// ֹͣ
	int					nStopLineNum;											// ֹͣ
	BYTE				byReserved[4096]; 										// ֽ
} CFG_AIRPLANE_DETECTION_INFO;

///@brief ¼ DEV_EVENT_GENERATEGRAPH_DETECTION_INFOɹͼ¼ӦĹ
typedef struct tagCFG_GENERATEGRAPH_DETECTION_INFO
{
	// ͨ
	char				        szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				        bRuleEnable;											// ʹ
	int					        nObjectTypeNum;											// Ӧ͸
	char				        szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                         nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE        stuEventHandler;										// 
	CFG_TIME_SECTION	        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
	// 
    UINT						nPlanID;                                                // ƻID,Ч,1ʼ
}CFG_GENERATEGRAPH_DETECTION_INFO;

///@brief ¼ EVENT_IVS_FLOATINGOBJECT_DETECTION (Ư)ӦĹ
typedef struct tagCFG_FLOATINGOBJECT_DETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 

	float				fAlarmThreshold;										// ֵڵƯռȳֵʱ;λ:%ȡֵΧ(0, 100]
	UINT				nAlarmInterval;											// ʱλ룩ȡֵΧ[60, 86400]
	BOOL				bDataUpload;											// Ƿϱʵʱݡ
	UINT				nUpdateInterval;										// ʵʱϱ(λ)ȡֵΧ[60, 86400]

	BYTE				byReserved[4096]; 										// ֽ
} CFG_FLOATINGOBJECT_DETECTION_INFO;

///@brief ¼ EVENT_IVS_WATER_LEVEL_DETECTION (ˮλ¼)ӦĹ
typedef struct tagCFG_WATER_LEVEL_DETECTION_INFO
{
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int					nBaseLinePointNum;										// ƴӵˮλ
	CFG_POLYGON			stuBaseLine[16];										// ƴӵˮλߣҳϱ궨ƴӴƴ
																				// һ4㣬󲻳16,ÿһ[0,8192]
	float				fBaseLevel;												// ӦBaseLine궨ʵˮλֵλף
	float				fHighLevel;												// ˮλޱֵ(λ)
	float				fLowLevel;												// ˮλޱֵ(λ)
	UINT				nAlarmInterval;											// ʱλ룩ȡֵΧ[60, 86400]
	BOOL				bDataUpload;											// Ƿϱʵʱݡ
	UINT				nUpdateInterval;										// ʵʱϱ(λ)ȡֵΧ[60, 86400]

	BYTE				byReserved[4096]; 										// ֽ
} CFG_WATER_LEVEL_DETECTION_INFO;

///@brief ¼ EVENT_IVS_PHONECALL_DETECT (绰¼)ӦĹ
typedef struct tagCFG_PHONECALL_DETECT_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	
	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int				    nMinDuration;											// ̳ʱ䣬λ
	int				    nSensitivity;											// 
	int				    nReportInterval;										// ʱ
	BOOL				bSizeFilterEnable;										// Ƿߴ
	CFG_SIZEFILTER_INFO		stuSizeFilter;										// ضĳߴΪ߹жϾ
	BYTE				byReserved[3612]; 										// ֽ
} CFG_PHONECALL_DETECT_INFO;

///@brief ¼ EVENT_IVS_SMOKING_DETECT (̼ⱨ¼)ӦĹ
typedef struct tagCFG_SMOKING_DETECT_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

	int					nDetectRegionPoint;										// 
	CFG_POLYGON			stuDetectRegion[MAX_POLYGON_NUM];						// 
	int				    nMinDuration;											// ̳ʱ䣬λ
	int				    nSensitivity;											// 
	int				    nReportInterval;										// ʱ
	BYTE				byReserved[4096]; 										// ֽ
} CFG_SMOKING_DETECT_INFO;


///@brief ¼ EVENT_IVS_HELMET_DETECTION (ȫñ)ӦĹ
typedef struct tagCFG_HELMET_DETECTION_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    BOOL				bRuleEnable;											// ʹ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

    int                 nDetectRegionPoint;                                     // 
    CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 
    int                 nDectRegionID;                                          // 
    BYTE				byReserved[4096]; 										// ֽ
}CFG_HELMET_DETECTION_INFO;

///@brief ¼EVENT_IVS_HOLD_UMBRELLA(Υɡ¼)Ӧ
typedef struct tagCFG_HOLDUMBRELLA_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                bRuleEnable;                                            // ʹ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 

	int                 nSensitivity;											// ȣֵԽСԽ Χ[1 10]
	int                 nMinDuration;											// ̳ʱ,λ Χ[0 3600]
	int                 nTrackDuration;											// ٳʱ Χ[0 3600]
	UINT				nDetectRegionNumber;									// 
	BYTE				byReserved[4096]; 										// ֽ
}CFG_HOLDUMBRELLA_INFO;

///@brief ¼EVENT_IVS_GARBAGE_EXPOSURE(¶¼)Ӧ
typedef struct tagCFG_GARBAGEEXPOSURE_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                bRuleEnable;                                            // ʹ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 

	int                 nSensitivity;											// ȣֵԽСԽ Χ[1 10]
	int                 nMinDuration;											// ̳ʱ,λ Χ[0 3600]
	int                 nTrackDuration;											// ٳʱ Χ[0 3600]
	UINT				nDetectRegionNumber;									// 
	BYTE				byReserved[4096]; 										// ֽ
}CFG_GARBAGEEXPOSURE_INFO;

///@brief ¼EVENT_IVS_DUSTBIN_OVER_FLOW(Ͱ¼)Ӧ
typedef struct tagCFG_DUSTBIN_OVERFLOW_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                bRuleEnable;                                            // ʹ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 

	int                 nSensitivity;											// ȣֵԽСԽ Χ[1 10]
	int                 nMinDuration;											// ̳ʱ,λ Χ[0 3600]
	int                 nTrackDuration;											// ٳʱ Χ[0 3600]
	UINT				nDetectRegionNumber;									// 
	BYTE				byReserved[4096]; 										// ֽ
}CFG_DUSTBIN_OVERFLOW_INFO;

///@brief ¼EVENT_IVS_DOOR_FRONT_DIRTY(ǰ¼)Ӧ
typedef struct tagCFG_DOORFRONT_DIRTY_INFO
{
	// Ϣ
	char                szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                bRuleEnable;                                            // ʹ
	int                 nObjectTypeNum;	                                        // Ӧ͸
	char                szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;                                       // 
	CFG_TIME_SECTION    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

	int                 nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 

	int                 nSensitivity;											// ȣֵԽСԽ Χ[1 10]
	int                 nMinDuration;											// ̳ʱ,λ Χ[0 3600]
	int                 nTrackDuration;											// ٳʱ Χ[0 3600]
	char				szShopAddress[256];										// ̵ַ
	UINT				nDetectRegionNumber;									// 
	BYTE				byReserved[4096]; 										// ֽ
}CFG_DOORFRONT_DIRTY_INFO;

///@brief ¼ EVENT_IVS_STAY_ALONE_DETECTION (˶¼)ӦĹ
typedef struct tagCFG_STAY_ALONE_DETECTION_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    BOOL				bRuleEnable;											// ʹ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

    int                                     nDetectRegionNum;                   // μ򶥵
    CFG_POLYGON                             stuDetectRegion[MAX_POLYGON_NUM];   // μ
    UINT                                    nMinDuration;                       // ̳ʱ, λ:
    UINT                                    nReportInterval;                    // ʱ, λ:, Ϊ0ʱʾֻһ
    BOOL                	                bSizeFileter;                       // ضĳߴǷЧ
    CFG_SIZEFILTER_INFO 	                stuSizeFileter;                     // ضĳߴ
    BYTE				                    byReserved[4096]; 					// ֽ
}CFG_STAY_ALONE_DETECTION_INFO;


///@brief ¼EVENT_IVS_INTELLI_SHELF(ܲ¼)ӦĹ
typedef struct tagCFG_INTELLI_SHELF_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    BOOL				bRuleEnable;											// ʹ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

    int                 nDetectRegionPoint;                                     // 
    CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 
    unsigned short      nThreshold;                                             // ϻٷֱȵֵ򱨾, 0ʾ
    unsigned short      nAreaID;                                                // IDͨPresetIDµĳ,ȡֵΧ1-5
    BYTE				byReserved[4096]; 					                    // ֽ
}CFG_INTELLI_SHELF_INFO;

///@brief ¼EVENT_IVS_SHOP_WINDOW_POST(¼)ӦĹ
typedef struct tagCFG_SHOP_WINDOW_POST_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    BOOL				bRuleEnable;											// ʹ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

    int                 nDetectRegionPoint;                                     // 
    CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 

    unsigned short      nMinDuration;                                           // ̳ʱ,λ0-3600s
    unsigned short      nTrackDuration;                                         // ٳʱ 0-3600s
    int                 nSensitivity;                                           // ȣֵԽСԽ  ȡֵ1-10
    UINT                nDetectRegionNumber;                                    // 
    char                szShopAddress[256];                                     // ̵ַ
    BYTE				byReserved[1024]; 					                    // ֽ
}CFG_SHOP_WINDOW_POST_INFO;


///@brief ¼EVENT_IVS_SHOP_SIGN_ABNORMAL(쳣¼)ӦĹ
typedef struct tagCFG_SHOP_SIGN_ABNORMAL_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    BOOL				bRuleEnable;											// ʹ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

    int                 nDetectRegionPoint;                                     // 
    CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 

    unsigned short      nMinDuration;                                           // ̳ʱ,λ0-3600s
    unsigned short      nTrackDuration;                                         // ٳʱ 0-3600s
    int                 nSensitivity;                                           // ȣֵԽСԽ  ȡֵ1-10
    UINT                nDetectRegionNumber;                                    // 
    char                szShopAddress[256];                                     // ̵ַ
    BYTE				byReserved[1024]; 					                    // ֽ
}CFG_SHOP_SIGN_ABNORMAL_INFO;

///@brief µĳ
typedef enum tagEM_CFG_DETECTION_SCENE_TYPE
{
    EM_CFG_DETECTION_SCENE_TYPE_UNKNOWN,                                           // δ֪
    EM_CFG_DETECTION_SCENE_TYPE_ANIMAL,                                            // ೡɼ⶯ˡ
    EM_CFG_DETECTION_SCENE_TYPE_BIRD,                                              // ೡɼ࣬ˡ
} EM_CFG_DETECTION_SCENE_TYPE; 

///@brief ¼EVENT_IVS_ANIMAL_DETECTION(¼)ӦĹ
typedef struct tagCFG_ANIMAL_DETECTION_INFO
{
    char				szRuleName[MAX_NAME_LEN];								// ,ͬ
    BOOL				bRuleEnable;											// ʹ
    int					nObjectTypeNum;											// Ӧ͸
    char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    int                 nPtzPresetId;											// ̨Ԥõ	0~65535
    CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
    CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ

    int                 nDetectRegionPoint;                                     // 
    CFG_POLYGON         stuDetectRegion[MAX_POLYGON_NUM];                       // 
    int                 nReportInterval;                                        // ڣλ,Χ(13600),Ĭ5sȡֵΧ1-5
    EM_CFG_DETECTION_SCENE_TYPE    emDetectionSceneType;                        // 
    BYTE				byReserved[1020]; 					                    // ֽ
}CFG_ANIMAL_DETECTION_INFO;

///@brief 
typedef struct tagCFG_HUMAN_TEMP_PARAM_INFO
{
	int			nTempPickTime;		// ¶ѡʱ,ȡֵ0~20
	BYTE		byReserved[252];	// 
}HUMAN_TEMP_PARAM_INFO;

///@brief ¹
typedef struct tagCFG_ANATOMY_TEMP_DETECT_INFO
{   
	// Ϣ
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	int                 nPtzPresetId;                                           // ̨Ԥõ	0~65535
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	BYTE                bTrackEnable;                                           // ʹ,Ծ¼,Ч
	int								nDetectRegionPoint;							// ζ
	CFG_POLYGON						stuDetectRegion[MAX_POLYGON_NUM];			// 򣬶
	BOOL							bHighEnable;								// 쳣Ƿ
	BOOL							bLowEnable;									// 쳣Ƿ
	int								fHighThresholdTemp;							// 쳣ֵ0.110
	int								fLowThresholdTemp;							// 쳣ֵ0.110
	BOOL							bIsAutoStudy;								// ǷԶѧϰ
	int								fHighAutoOffset;							// Զѧϰƫֵ0.110
	int								fLowAutoOffset;								// Զѧϰƫֵ0.110
	int								nSensitivity;								//  Χ[1, 10]
	BOOL							bSizeFileter;								// ضĳߴǷЧ
	CFG_SIZEFILTER_INFO				stuSizeFileter;								// ضĳߴ
	BOOL							bIsCaptureNormal;							// ǷϱϢ
	HUMAN_TEMP_PARAM_INFO			stuHumanTempParamInfo;						// 
	BYTE							byReserved[768]; 					        // ֽ
}CFG_ANATOMY_TEMP_DETECT_INFO;

///@brief ¼EVENT_IVS_CONGESTION_DETECTION(·ӵ±¼)ӦĹ
typedef struct tagCFG_CONGESTION_DETECTION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int                 nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[32];									// 
	BOOL				bCongestionAlarmEnable;									// ӵ±ʹ
	BOOL				bQueueAlarmEnable;										// Ŷӳȱʹ
	UINT				nCongestionThreshold;									// ӵ³ֵ,λȡֵ[10,1000]
	UINT				nQueueLengthThreshold;									// Ŷӳȱֵ,λףȡֵ[10,1000]
	UINT				nCongestionDuration;									// ӵʱֵ λӣȡֵ[1,100]
	UINT				nAlarmInterval;											// ʱ,ȡ0ֻһ λ룬ȡֵ[065535]
	BYTE				byReserved[4096]; 					                    // ֽ
}CFG_CONGESTION_DETECTION_INFO;

///@brief ¼EVENT_IVS_VEHICLELIMIT_DETECTION(ͣͣޱ)ӦĹ
typedef struct tagCFG_VEHICLELIMIT_DETECTION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	BOOL				bRuleEnable;											// ʹ
	int					nObjectTypeNum;											// Ӧ͸
	char				szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
	int                 nPtzPresetId;											// ̨Ԥõ	0~65535

	int                 nDetectRegionPoint;                                     // 
	CFG_POLYGON         stuDetectRegion[32];									// 
	BOOL				bLimitAlarmEnable;										// ޱʹ
	UINT				nVehicleThreshold;										// ֵ,λȡֵ[10,1000]
	UINT				nAlarmInterval;											// ʱ,ȡ0ֻһ λ룬ȡֵ[065535]
	BYTE				byReserved[4096]; 					                    // ֽ
}CFG_VEHICLELIMIT_DETECTION_INFO;

///@brief Ϣ
typedef struct tagNET_DETECT_REGION_INFO
{
    int                     nDetectRegionPoint;                                     // 
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    BYTE                    byReserved[252];                                        // ֽ
} NET_DETECT_REGION_INFO;

///@brief ¼EVENT_IVS_BREED_DETECTION(ǻֳ¼)ӦĹ
typedef struct tagCFG_BREED_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

    UINT                    nSensitivity;                                           // , 1-10
    UINT                    nMinDuration;                                           // ƵʣָʱڼһΣλ
    float                   fCameraHeight;                                          // װ߶ȣλ:m, 2-5
    float                   fHeightMultiple;                                        // װ߶ȱ㷨ֵ, 0.5-2
    UINT                    nDetectRegionNum;                                       // 
    NET_DETECT_REGION_INFO  stuDetectRegionInfo[8];                                 // Ϣ
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_BREED_DETECTION_INFO;

///@brief װɫ
typedef enum tagEM_WORKCLOTHES_COLOR_TYPE
{
    EM_WORKCLOTHES_COLOR_UNKNOWN,						// δ֪
    EM_WORKCLOTHES_COLOR_WHITE,						    // ɫ
    EM_WORKCLOTHES_COLOR_ORANGE,						// ɫ
    EM_WORKCLOTHES_COLOR_PINK,							// ɫ
    EM_WORKCLOTHES_COLOR_BLACK,						    // ɫ
    EM_WORKCLOTHES_COLOR_RED,							// ɫ
    EM_WORKCLOTHES_COLOR_YELLOW,						// ɫ
    EM_WORKCLOTHES_COLOR_GRAY,							// ɫ
    EM_WORKCLOTHES_COLOR_BLUE,							// ɫ
    EM_WORKCLOTHES_COLOR_GREEN,						    // ɫ
    EM_WORKCLOTHES_COLOR_PURPLE,						// ɫ
    EM_WORKCLOTHES_COLOR_BROWN,						    // ɫ
}EM_WORKCLOTHES_COLOR_TYPE;

///@brief ȫñ
typedef struct tagNET_WORK_HELMET
{
    BOOL                        bEnbale;            // Ƿⰲȫñ
    BOOL                        bWeared;            // Ƿ񴩴ȫñ
    BOOL                        bDetectColor;       // Ƿָɫ
    EM_WORKCLOTHES_COLOR_TYPE   emColor;            // ȫñɫDetectColorΪ TRUE ʱЧ
    BYTE                        byReserved[64];     // ֽ
}NET_WORK_HELMET;

///@brief 
typedef struct tagNET_WORK_CLOTHES
{
    BOOL                        bEnbale;            // Ƿ⹤
    BOOL                        bWeared;            // ǷŹ
    BOOL                        bDetectColor;       // Ƿָɫ
    EM_WORKCLOTHES_COLOR_TYPE   emColor;            // ɫDetectColorΪ TRUE ʱЧ
    BYTE                        byReserved[64];     // ֽ
}NET_WORK_CLOTHES;

///@brief ׼
typedef struct tagNET_WORK_VEST
{
    BOOL                        bEnbale;            // Ƿ
    BOOL                        bWeared;            // Ƿ
    BOOL                        bDetectColor;       // Ƿָɫ
    EM_WORKCLOTHES_COLOR_TYPE   emColor;            // ɫDetectColorΪ TRUE ʱЧ
    BYTE                        byReserved[64];     // ֽ
}NET_WORK_VEST;

///@brief 
typedef struct tagNET_WORK_PANTS
{
	BOOL                        bEnbale;            // Ƿ⹤
	BOOL                        bWeared;            // ǷŹ
	BOOL                        bDetectColor;       // Ƿָɫ
	EM_WORKCLOTHES_COLOR_TYPE   emColor;            // ɫbDetectColor Ϊ TRUE ʱЧ
	BYTE                        byReserved[64];     // ֽ
}NET_WORK_PANTS;

///@brief װ
typedef struct tagNET_WORK_CLOTHES_DESCRIPTION
{
    NET_WORK_HELMET     stuWorkHelmet;                  // ȫñ
    NET_WORK_CLOTHES    stuWorkClothes;                 // 
    NET_WORK_VEST       stuWorkVest;                    // ׼
	NET_WORK_PANTS		stuWorkPants;					// װ
	int					nAlarmTime;						// ¼೤ʱ󱨾λ
	int					nAlarmRepeatTime;				// ظʱλ
	UINT				nSensitivity;					// ȣȡֵ1-10ֵԽԽ
	BYTE				bReserved[420];					// ֽ
}NET_WORK_CLOTHES_DESCRIPTION;

///@brief ¼EVENT_IVS_WORKCLOTHES_DETECT(װ(ȫñ/)¼)ӦĹ
typedef struct tagCFG_WORKCLOTHES_DETECT_INFO
{
    char							szRuleName[MAX_NAME_LEN];								// ,ͬ
    BOOL							bRuleEnable;											// ʹ
    int								nObjectTypeNum;											// Ӧ͸
    char							szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];		// Ӧб
    CFG_ALARM_MSG_HANDLE			stuEventHandler;										// 
    CFG_TIME_SECTION				stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
    int								nPtzPresetId;											// ̨Ԥõ	0~65535
    UINT							nDetectRegionPoint;                                     // 
    CFG_POLYGON						stuDetectRegion[MAX_POLYGON_NUM];                       // 
    UINT							nWorkClothesDescriptionCount;                           // װʵʸ
    NET_WORK_CLOTHES_DESCRIPTION	stuWorkClothesDescription[64];							// װ,Ԫ64
    BYTE							byReserved[1028]; 					                    // ֽ
} CFG_WORKCLOTHES_DETECT_INFO;

///@brief ¼EVENT_IVS_AIRPORT_VEHICLE_DETECT(ܱϳ¼)ӦĹ
typedef struct tagCFG_AIRPORT_VEHICLE_DETECT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

	UINT					nDetectRegionPoint;										// 
	CFG_POLYGON				stuDetectRegion[20];									// 

	BYTE                    byReserved[4096];                                       // ֽ
} CFG_AIRPORT_VEHICLE_DETECT_INFO;

///@brief ¼EVENT_IVS_PIG_TEMP_DETECT(ǻֳ¼)ӦĹ
typedef struct tagCFG_PIG_TEMPERATURE_DETECT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

    UINT                    nSensitivity;                                           // , 1-10
    UINT                    nMaxTemperatureNum;                                     // °¸
    int                     nDetectRegionPoint;                                     // 
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    BYTE                    byReserved1[4];                                         // 
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_PIG_TEMPERATURE_DETECT_INFO;

///@brief 鳵λз
typedef enum tagEM_PARKING_DIRECTION
{
    EM_PARKING_DIRECTION_UNKNOWN,             // δ֪
    EM_PARKING_DIRECTION_HORIZONTAL,          // 
    EM_PARKING_DIRECTION_VERTICAL,            // 
} EM_PARKING_DIRECTION;

///@brief ͣλϢ
typedef struct tagCFG_PARKING_INFO
{
    int                    nID;                                                      // λIDΧ:[0,99]
    char                   szName[32];                                               // λ
    int                    nDetectRegionPoint;                                       // 
    CFG_POLYGON            stuDetectRegion[MAX_POLYGON_NUM];                         // 
    BYTE                   byReserved[512];                                          // ֽ
} CFG_PARKING_INFO;

///@brief ͣλϢ
typedef struct tagCFG_PARKING_GROUP
{
    EM_PARKING_DIRECTION    emDirection;                                             // 鳵λз
    int                     nParkingNum;                                             // ͣλ
    CFG_PARKING_INFO        stuParkingInfo[100];                                     // ͣλϢ
    BYTE                    byReserved[512];                                         // ֽ
} CFG_PARKING_GROUP;

///@brief ¼ EVENT_IVS_PARKING_LOT_STATUS_DETECTION (ͣλ״̬)ӦĹ
typedef struct tagCFG_PARKING_LOT_STATUS_DETECTION
{
    char                   szRuleName[MAX_NAME_LEN];                                 // ,ͬ
    BOOL                   bRuleEnable;                                              // ʹ
    int                    nObjectTypeNum;                                           // Ӧ͸
    char                   szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];        // Ӧб
    CFG_ALARM_MSG_HANDLE   stuEventHandler;                                          // 
    CFG_TIME_SECTION       stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];           // ¼Ӧʱ
    int                    nPtzPresetId;                                             // ̨Ԥõ   0~65535
    
    int                    nReportInterval;                                          // ʱ, λ룬Χ:[5,3600]
    int                    nConfirmTime;                                             // ͣ״̬ȷʱ䷧ֵ, λΪ, Χ:[0,20]
    BOOL                   bSubscribePicture;                                        // ǷͼƬ
    int                    nParkingGroupNumber;                                      // ͣλ
    CFG_PARKING_GROUP      stuParkingGroup[100];                                     // ͣλϢ
    BYTE                   byReserved[1024];                                         // ֽ
} CFG_PARKING_LOT_STATUS_DETECTION;

///@brief ¼ EVENT_IVS_DREGS_UNCOVERED (δڸػ¼)ӦĹ
typedef struct tagCFG_DREGS_UNCOVERED_DETECTION
{
    char                   szRuleName[MAX_NAME_LEN];                                 // ,ͬ
    BOOL                   bRuleEnable;                                              // ʹ
    int                    nObjectTypeNum;                                           // Ӧ͸
    char                   szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];        // Ӧб
    CFG_ALARM_MSG_HANDLE   stuEventHandler;                                          // 
    CFG_TIME_SECTION       stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];           // ¼Ӧʱ
    int                    nPtzPresetId;                                             // ̨Ԥõ   0~65535

    int                    nDetectRegionPoint;                                       // 
    CFG_POLYGON            stuDetectRegion[MAX_POLYGON_NUM];                         // 
    BYTE                   byReserved[1020];                                         // ֽ
} CFG_DREGS_UNCOVERED_DETECTION;


///@brief ¼ EVENT_IVS_VEHICLE_COMPARE (ǰܼ+ܱȶ)ӦĹ
typedef struct tagCFG_VEHICLE_COMPARE
{
    char                   szRuleName[MAX_NAME_LEN];                                 // ,ͬ
    BOOL                   bRuleEnable;                                              // ʹ
    int                    nObjectTypeNum;                                           // Ӧ͸
    char                   szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];        // Ӧб
    CFG_ALARM_MSG_HANDLE   stuEventHandler;                                          // 
    CFG_TIME_SECTION       stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];           // ¼Ӧʱ
    int                    nPtzPresetId;                                             // ̨Ԥõ   0~65535
    
    int                    nLinkGroupNum;                                            // ظ 
    CFG_LINKGROUP_INFO     stuLinkGroup[MAX_LINK_GROUP_NUM];                         // Ĳ
    BYTE                   byReserved[1024];                                         // ֽ
} CFG_VEHICLE_COMPARE;

///@brief 켣ɫ
typedef enum tagEM_LINE_COLOR_TYPE
{
    EM_LINE_COLOR_TYPE_UNKNOWN,                                 // δ֪
    EM_LINE_COLOR_TYPE_RED,                                     // ɫ
    EM_LINE_COLOR_TYPE_YELLOW,                                  // ɫ
    EM_LINE_COLOR_TYPE_BLUE,                                    // ɫ
    EM_LINE_COLOR_TYPE_GREEN,                                   // ɫ
    EM_LINE_COLOR_TYPE_BLACK,                                   // ɫ
    EM_LINE_COLOR_TYPE_WHITE,                                   // ɫ
}EM_LINE_COLOR_TYPE;

///@brief ¼EVENT_IVS_HIGH_TOSS_DETECT(߿)ӦĹ
typedef struct tagCFG_HIGH_TOSS_DETECT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ

    UINT					nDetectRegionPoint;										// 
	CFG_POLYGON				stuDetectRegion[20];									// 
    CFG_SIZEFILTER_INFO     stuSizeFilter;                                          // ضĳߴΪ߹жϾ
    BOOL                    bSizeFilterEnable;                                      // ߴʹ
    UINT                    nSensitivity;                                           // ,ԽԽ׼, ȡֵ1-10Ĭֵ5
    BOOL                    bTrackEnable;                                           // 켣ʹ
    UINT                    nTrackPointNum;                                         // 켣TrackEnableΪtrueʱЧ2~10
    UINT                    nTrackLineLevel;                                        // 켣ߴϸȼTrackEnableΪtrueʱЧ1~10
    EM_LINE_COLOR_TYPE      emColor;                                                // 켣ɫ
    BYTE                    byReserved[3592];                                       // ֽ
} CFG_HIGH_TOSS_DETECT_INFO;

///@brief ״˶
typedef enum tagCFG_EM_RADAR_OBJECT_FILTER_TYPE
{
	CFG_EM_RADAR_OBJECT_FILTER_UNKNOWN,											// δ֪
	CFG_EM_RADAR_OBJECT_FILTER_HUMAN,											// 
	CFG_EM_RADAR_OBJECT_FILTER_VEHICLE											// 
}CFG_EM_RADAR_OBJECT_FILTER_TYPE;

///@brief ״ﾯ߱
typedef enum tagCFG_EM_RADAR_ALARM_TYPE
{
	CFG_EM_RADAR_ALARM_UNKNOWN,													// δ֪
	CFG_EM_RADAR_ALARM_ALARM,													// 
	CFG_EM_RADAR_ALARM_WARNING,													// Ԥ
	CFG_EM_RADAR_ALARM_SHIELD,													// 
}CFG_EM_RADAR_ALARM_TYPE;

///@brief Ŀ
typedef enum tagCFG_EM_SPEED_LIMIT_TYPE
{
	CFG_EM_SPEED_LIMIT_TYPE_UNKNOWN,											// δ֪
	CFG_EM_SPEED_LIMIT_TYPE_BELOW,												// 
	CFG_EM_SPEED_LIMIT_TYPE_ABOVE,												// 
	CFG_EM_SPEED_LIMIT_TYPE_EQUAL,												// 
}CFG_EM_SPEED_LIMIT_TYPE;

///@brief Ŀٹ
typedef struct CFG_MOVESPEED_FILTER
{
	BOOL							bEnable;								// Ŀʹ
	CFG_EM_SPEED_LIMIT_TYPE			emSpeedLimitType;						// Ŀ
	int								nSpeedValue;							// Ŀ٣λ0.01km/h
	BYTE							byReserved[500];						// Ԥֶ
}CFG_MOVESPEED_FILTER;

///@brief 
typedef struct tagCFG_RADAR_OBJECT_FILTER
{
	CFG_MOVESPEED_FILTER			stuMoveSpeedFilter;						// Ŀٹ
	CFG_EM_RADAR_OBJECT_FILTER_TYPE	emTypes[16];							// ״
	int								nTypeNum;								// ĸnTypeNumΪ0ʱʾ
	BYTE							byReserved[992];						// Ԥֶ
}CFG_RADAR_OBJECT_FILTER;

///@brief ¼EVENT_IVS_RADAR_LINE_DETECTION(״ﾯ/߼¼)ӦĹ
typedef struct tagCFG_RADAR_LINE_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

	int						nDetectLineNum;											// ߶˵
	CFG_POLYLINE			stuDetectLine[MAX_POLYGON_NUM];							// ߡ ͣÿ˵һ[0,8192)䡣
	CFG_RADAR_OBJECT_FILTER stuObjectFilter;										// 
	EM_CFG_DIRECTION_TYPE	emDirection;											// ⷽ
	CFG_SIZEFILTER_INFO		stuSizeFilter;											// ضĳߴΪ߹жϾ
	BOOL					bSizeFilterEnable;										// ߴʹ
    BYTE                    byReserved[4092];                                       // ֽ
} CFG_RADAR_LINE_DETECTION_INFO;

///@brief Խ
typedef enum tagCFG_EM_CROSS_DIRECTION_TYPE
{
	CFG_EM_CROSS_DIRECTION_UNKNOWN,													// δ֪
	CFG_EM_CROSS_DIRECTION_ENTER,													// 
	CFG_EM_CROSS_DIRECTION_LEAVE,													// 뿪
	CFG_EM_CROSS_DIRECTION_BOTH,													// 뿪
}CFG_EM_CROSS_DIRECTION_TYPE;

///@brief ¼EVENT_IVS_RADAR_REGION_DETECTION(״ﾯ¼)ӦĹ
typedef struct tagCFG_RADAR_REGION_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

	int						nDetectRegionNum;										// ˵
	CFG_POLYLINE			stuDetectRegion[MAX_POLYGON_NUM];						//  ͣÿ˵һ[0,8192)䡣
	CFG_RADAR_OBJECT_FILTER stuObjectFilter;										// 
	CFG_EM_CROSS_DIRECTION_TYPE emDirection;										// ⷽ
	CFG_EM_RADAR_ALARM_TYPE emAlarmType;											// 
	EM_VIDEO_ANALYSE_ACTION_TYPE  emActions[MAX_ACTION_LIST_SIZE];					// ֵ֧ļ嶯б
	int						nActionNum;												// бԪصĸ
	BOOL					bSizeFilterEnable;										// ߴʹ
	CFG_SIZEFILTER_INFO		stuSizeFilter;											// ضĳߴΪ߹жϾ
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_RADAR_REGION_DETECTION_INFO;

///@brief ¼EVENT_IVS_SLEEP_DETECT(˯¼)ӦĹ
typedef struct tagCFG_SLEEP_DETECT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

    UINT                    nMinDuration;                                           // ̳ʱ䣬λ, Χ(30S300S)
    UINT                    nReportInterval;                                        // ظλ, Χ(0S300S)
    UINT                    nDetectRegionPoint;                                     // 
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // ,[0,8192)
    BYTE                    byReserved[4092];                                       // ֽ
}CFG_SLEEP_DETECT_INFO;

///@brief ¼EVENT_IVS_WALK_AROUND_DETECT(߶¼)ӦĹ
typedef struct tagDEV_CFG_WALK_AROUND_DETECT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

    UINT                    nMinDuration;                                           // ̳ʱ䣬λ, Χ(10S60S)
    UINT                    nReportInterval;                                        // ظλ, Χ(0S300S)
    UINT                    nSensitivity;                                           // ȣֵԽСԽ͡ȡֵ1-10
    UINT                    nDetectRegionPoint;                                     // 
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // ,[0,8192)
    BYTE                    byReserved[4096];                                       // ֽ
}CFG_WALK_AROUND_DETECT_INFO;

///@brief ¼EVENT_IVS_PLAY_MOBILEPHONE(ֻ¼)ӦĹ
typedef struct tagCFG_PLAY_MOBILEPHONE_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

    UINT                    nMinDuration;                                           // ̳ʱ䣬λ, Χ(10S3600S)
    UINT                    nReportInterval;                                        // ظλ, Χ(0S300S)
    UINT                    nDetectRegionPoint;                                     // 
	CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // ,[0,8192)
	UINT                    nSensitivity;                                           // ȣֵԽСԽ͡ȡֵ1-10
	BOOL					bSizeFilterEnable;										// Ƿóߴ
	CFG_SIZEFILTER_INFO		stuSizeFilter;											// ضĳߴΪ߹жϾ
    BYTE                    byReserved[3604];                                       // ֽ
}CFG_PLAY_MOBILEPHONE_INFO;

///@brief ¼EVENT_IVS_FINANCE_CONTRABAND_DETECT(ǻ۽ΥƷ¼)ӦĹ
typedef struct tagCFG_FINANCE_CONTRABAND_DETECT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

    UINT                    nMinDuration;                                           // ̳ʱ䣬λ, Χ(5S60S)
    UINT                    nReportInterval;                                        // ظλ, Χ(0S300S)
    UINT                    nDetectRegionPoint;                                     // 
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // ,[0,8192)
    UINT                    nHumanDetectRegionNum;                                  // 򶥵
    CFG_POLYGON             stuHumanDetectRegion[MAX_POLYGON_NUM];                  // ,[0,8192)
    BYTE                    byReserved[4096];                                       // ֽ
}CFG_FINANCE_CONTRABAND_DETECT_INFO;

///@brief ¼EVENT_IVS_FINANCE_CASH_TRANSACTION(ǻ۽ֽ׼¼)ӦĹ
typedef struct tagCFG_FINANCE_CASH_TRANSACTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

    UINT                    nMinDuration;                                           // ̳ʱ䣬λ, Χ(5S60S)
    UINT                    nReportInterval;                                        // ظλ, Χ(0S300S)
    UINT                    nDetectRegionPoint;                                     // 
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    UINT                    nHumanDetectRegionNum;                                  // 򶥵
    CFG_POLYGON             stuHumanDetectRegion[MAX_POLYGON_NUM];                  // 
    BYTE                    byReserved[4096];                                       // ֽ
}CFG_FINANCE_CASH_TRANSACTION_INFO;


///@brief ¼EVENT_IVS_WALK_DETECTION(߶¼)ӦĹ
typedef struct tagCFG_WALK_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

    int                     nDetectRegionNum;                                       // ˵
    CFG_POLYLINE            stuDetectRegion[MAX_POLYGON_NUM];                       //  ͣÿ˵һ[0,8192)䡣
    UINT                    nMinDuration;                                           // ̳ʱ, λ s, Ĭ2Χ[1,3600]
    UINT                    nSensitivity;                                           // ,[1, 10], Ĭֵ5
    int                     nMaxHeight;                                             // ߶,λcm
    int                     nMinHeight;                                             // С߶,λcm
    UINT                    nReportInterval;                                        // ظ,Ϊ0ظ, λ룬Ĭ0Χ[0,300]
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_WALK_DETECTION_INFO;
  
///@brief ¼ EVENT_IVS_SMART_KITCHEN_CLOTHES_DETECTION (ǻ۳ż)ӦĹ
typedef struct tagCFG_SMART_KITCHEN_CLOTHES_DETECTION_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

	BOOL					bMaskEnable;											// Ƿּ  TRUE: FALSE:رգ				
	BOOL					bChefHatEnable;											// Ƿʦñ⣨TRUE: FALSE:رգ
	BOOL					bChefClothesEnable;										// Ƿʦ⣨TRUE: FALSE:رգ
	EM_SUPPORTED_COLOR_LIST_TYPE	emChefClothesColors[8];							// Ҫĳʦɫ
	int						nChefClothesColorsNum;									// ϼⲻҪĳʦɫ
	UINT					nReportInterval;										// ʱ,λ [0,600] Ĭ30,0ʾظ 
    int                     nDetectRegionNum;                                       // ˵
    CFG_POLYLINE            stuDetectRegion[MAX_POLYGON_NUM];                       //  ͣÿ˵һ[0,8192)䡣
    BOOL					bSizeFilterEnable;										// Ƿóߴ
    CFG_SIZEFILTER_INFO		stuSizeFilter;											// ضĳߴΪ߹жϾ
    UINT                    nSensitivity;                                           // 
    UINT                    nMinDuration;                                           // ̳ʱ䣬λ0~3600Ĭֵ0,ʾ⵽ϱ
    BYTE                    byReserved[3444];                                       // ֽ
} CFG_SMART_KITCHEN_CLOTHES_DETECTION;


///@brief ¼EVENT_IVS_BACK_TO_DETECTION(Լ¼)ӦĹ
typedef struct tagCFG_BACK_TO_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

    int                     nDetectRegionNum;                                       // ˵
    CFG_POLYLINE            stuDetectRegion[MAX_POLYGON_NUM];                       //  ͣÿ˵һ[0,8192)䡣
    UINT                    nMinDuration;                                           // ̳ʱ, λ s, Ĭ2Χ[1,3600]
    UINT                    nSensitivity;                                           // ,[1, 10], Ĭֵ5
    int                     nMaxHeight;                                             // ߶,λcm
    int                     nMinHeight;                                             // С߶,λcm
    UINT                    nReportInterval;                                        // ظ,Ϊ0ظ, λ룬Ĭ0Χ[0,300]
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_BACK_TO_DETECTION_INFO;

///@brief ϵͳдģʽ
typedef enum tagEM_CLOSE_UP_MODE
{
    EM_CLOSE_UP_MODE_UNKNOWN,                               // δ֪
    EM_CLOSE_UP_MODE_NO_LINKAGE,                            // 
    EM_CLOSE_UP_MODE_TRACK_MODE,                            // ģʽ
    EM_CLOSE_UP_MODE_FIXED_MODE,                            // ̶ģʽ
    EM_CLOSE_UP_MODE_DESIGNED_REGION_MODE,                  // ָģʽ
} EM_CLOSE_UP_MODE;

///@brief 
typedef enum tagEM_LINKAGE_STREAM_TYPE
{
    EM_LINKAGE_STREAM_TYPE_UNKNOWN,                         // δ֪
    EM_LINKAGE_STREAM_TYPE_MAIN,                            // 
    EM_LINKAGE_STREAM_TYPE_EXTRA_1,                         // 1
    EM_LINKAGE_STREAM_TYPE_EXTRA_2,                         // 2
    EM_LINKAGE_STREAM_TYPE_EXTRA_3,                         // 3
} EM_LINKAGE_STREAM_TYPE;

///@brief ¼EVENT_IVS_WRITE_ON_THE_BOARD_DETECTION(¼)ӦĹ
typedef struct tagCFG_WRITE_ON_THE_BOARD_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

    int                     nDetectRegionNum;                                       // ˵
    CFG_POLYLINE            stuDetectRegion[MAX_POLYGON_NUM];                       //  ͣÿ˵һ[0,8192)䡣
    UINT                    nMinDuration;                                           // ̳ʱ, λ s, Ĭ2Χ[1,3600]
    UINT                    nSensitivity;                                           // ,[1, 10], Ĭֵ5
    int                     nMaxHeight;                                             // ߶,λcm
    int                     nMinHeight;                                             // С߶,λcm
    EM_CLOSE_UP_MODE        emCloseUpMode;                                          // ϵͳдģʽ, ΪUNKNOWNʱ·
    int                     nChannelID;                                             // ͨ
    EM_LINKAGE_STREAM_TYPE  emStreamType;                                           // 
    UINT                    nDesignedRegionPoint;                                   // 
    CFG_POLYGON             stuDesignedRegion[2];                                   // 
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_WRITE_ON_THE_BOARD_DETECTION_INFO;

///@brief ¼EVENT_IVS_ACTIVITY_ANALYSE(Ծȷ)ӦĹ
typedef struct tagCFG_ACTIVITY_ANALYSE_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

	int                     nDetectRegionNum;                                       // ˵
	CFG_POLYLINE            stuDetectRegion[MAX_POLYGON_NUM];                       //  ͣÿ˵һ[0,8192)䡣
	BYTE                    byReserved[4096];                                       // ֽ
} CFG_ACTIVITY_ANALYSE_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_MOTOR_OVERLOAD ()ӦĹ
typedef struct tagCFG_TRAFFIC_MOTOR_OVERLOAD_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

	int                     nLaneNumber;											// 
	int						nSnapTruckByPlateColor;									// ɫ
																					// 0-ʾֻץĻƻ; 1-ʾơƻץģ
	int						nSnapNoPlateMotor;										// Ƿץƻ
																					// 0-ʾץƳ; 1-ʾ֧ץƳ
	int						nTruckNum;												// ץĻĳ͵ĸΪ0
	EM_CFG_CATEGORY_TYPE	emTruckTypes[32];										// ץĻĳ
	BYTE                    byReserved[4096];                                       // ֽ
} CFG_TRAFFIC_MOTOR_OVERLOAD_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_PLATE_OCCLUSION ()ӦĹ
typedef struct tagCFG_TRAFFIC_PLATE_OCCLUSION_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ   0~65535

	int                     nLaneNumber;											// 
	BOOL					bSnapMotorcycle;										// ǷĦг
	BYTE                    byReserved[4096];                                       // ֽ
} CFG_TRAFFIC_PLATE_OCCLUSION_INFO;

///@brief ¼ EVENT_IVS_STEREO_PRAM_DETECTION (Ӥ)ӦĹ
typedef struct tagCFG_STEREO_PRAM_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    int                     nMaxHeight;                                             // ߶,λcm
    int                     nMinHeight;                                             // С߶,λcm
    UINT                    nMinDuration;                                           // ̳ʱ,λ,Χ1-60
    UINT                    nReportInterval;                                        // ظ,λ,Ϊ0ظ,Χ0-300
    UINT                    nSensitivity;                                           // ,Χ1-10
    BYTE                    byReserved[4092];                                       // ֽ
} CFG_STEREO_PRAM_DETECTION_INFO;

///@brief ¼ EVENT_IVS_STEREO_BIG_BAGGAGE_DETECTION ()ӦĹ
typedef struct tagCFG_STEREO_BIG_BAGGAGE_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    int                     nMaxHeight;                                             // ߶,λcm
    int                     nMinHeight;                                             // С߶,λcm
    UINT                    nMinDuration;                                           // ̳ʱ,λ,Χ1-60
    UINT                    nReportInterval;                                        // ظ,λ,Ϊ0ظ,Χ0-300
    UINT                    nSensitivity;                                           // ,Χ1-10
    BYTE                    byReserved[4092];                                       // ֽ
} CFG_STEREO_BIG_BAGGAGE_DETECTION_INFO;

///@brief Ʊ⶯
typedef enum tagEM_CFG_STEREO_TICKET_ACTION_TYPE
{
    EM_CFG_STEREO_TICKET_ACTION_TYPE_UNKNOWN,                                       // δ֪
    EM_CFG_STEREO_TICKET_ACTION_TYPE_FOLLOW,                                        // β
    EM_CFG_STEREO_TICKET_ACTION_TYPE_SQUAT,                                         // ¶
    EM_CFG_STEREO_TICKET_ACTION_TYPE_CLIMB,                                         // Խ
} EM_CFG_STEREO_TICKET_ACTION_TYPE;

///@brief ¼ EVENT_IVS_STEREO_TICKET_EVADE_DETECTION (Ʊ)ӦĹ
typedef struct tagCFG_STEREO_TICKET_EVADE_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    int                     nMaxHeight;                                             // ߶,λcm
    int                     nMinHeight;                                             // С߶,λcm
    UINT                    nMinDuration;                                           // ̳ʱ,λ,Χ1-60
    UINT                    nReportInterval;                                        // ظ,λ,Ϊ0ظ,Χ0-300
    UINT                    nSensitivity;                                           // ,Χ1-10
    int                     nActionNum;                                             // ¼
    EM_CFG_STEREO_TICKET_ACTION_TYPE    emActionType[8];                            // ¼, ĬΪβ
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_STEREO_TICKET_EVADE_DETECTION_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_ROAD_CONSTRUCTION (ͨ·ʩ¼) ӦĹ
typedef struct tagCFG_TRAFFIC_ROAD_CONSTRUCTION_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨ԤõţΧ0~65535

	int                     nDetectRegionNum;										// 򶥵, stuDetectRegion 
	CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
	int                     nMinDuration;                                           // ̳ʱ䣬λ:룬Χ0~65535
	int                     nSensitivity;                                           // ȣΧ1-10
	UINT                    nLaneNo;												// 
	BOOL                    bZoomEnable;											// 䱶ץģΥͣжʱĬϻ䱶
																					// ʺϱ䱶
																					// 1. ٽϿ쳡ϣ䱶ᵼ¸ٲʱ
																					// 2. ƺܽڻоĹᵼ³ƹ㷨޷ʶ
																					//	£Ҫرձ䱶ǷҪرձ䱶ȡֳڱȽרҵ
	UINT                    nRepeatAlarmTime;                                       // ظʱ䣬λ룬Χ0-3600	
	BYTE                    byReserved[4096];                                       // ֽ
} CFG_TRAFFIC_ROAD_CONSTRUCTION_INFO;


///@brief ¼ EVENT_IVS_TRAFFIC_ROAD_BLOCK (ͨ·ϼ¼) ӦĹ
typedef struct tagCFG_TRAFFIC_ROAD_BLOCK_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨ԤõţΧ0~65535

	int                     nDetectRegionNum;										// 򶥵, stuDetectRegion 
	CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
	int                     nMinDuration;                                           // ̳ʱ䣬λ:룬Χ0~65535
	int                     nSensitivity;                                           // ȣΧ1-10
	UINT                    nLaneNo;												// 
	BOOL                    bZoomEnable;											// 䱶ץģΥͣжʱĬϻ䱶
																					// ʺϱ䱶
																					// 1. ٽϿ쳡ϣ䱶ᵼ¸ٲʱ
																					// 2. ƺܽڻоĹᵼ³ƹ㷨޷ʶ
																					//	£Ҫرձ䱶ǷҪرձ䱶ȡֳڱȽרҵ
	UINT                    nRepeatAlarmTime;                                       // ظʱ䣬λ룬Χ0-3600
	BYTE                    byReserved[4096];                                       // ֽ
} CFG_TRAFFIC_ROAD_BLOCK_INFO;

///@brief 
typedef struct tagCFG_VIOLENT_THROW_REGION
{
    char                    szRegionName[64];                                       // 
    CFG_POLYGON             stuDetectRegion[4];                                     // 
    int                     nDetectRegionNum;                                       // 򶥵
    BYTE                    byReserved[252];                                        // Ԥֶ
} CFG_VIOLENT_THROW_REGION;

///@brief ¼ EVENT_IVS_VIOLENT_THROW_DETECTION () ӦĹ
typedef struct tagCFG_VIOLENT_THROW_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨ԤõţΧ0~65535

    int                     nRegionNum;                                             // 
    CFG_VIOLENT_THROW_REGION stuRegion[4];                                          // 
    int                     nSensitivity;                                           // ȣΧ1-10
    BYTE                    byReserved[2044];                                       // ֽ
} CFG_VIOLENT_THROW_DETECTION_INFO;

///@brief 
typedef struct tagCFG_PORTRAIT_FACE_INFO
{
    BOOL                    bSnapEnable;                                            // Ƿץͼ
    UINT                    nSensitivity;                                           // ץ, ԽԽ, Χ[0,100]
    UINT                    nMinQuality;                                            // ֵ, Χ[1,100]
    BOOL                    bFeatureEnable;                                         // Ƿʶ
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    int                     nFeatureListNum;                                        // Ը
    EM_FACEFEATURE_TYPE     emFeatureList[32];                                      // б, bFeatureEnableΪtrueЧ
    BOOL                    bFeatureFilter;                                         // Կǰ£ͼ̫Ƿϱ
    BOOL                    bFaceEnable;                                            // Ƿ
    BYTE                    byReserved[256];                                        // Ԥֽ
} CFG_PORTRAIT_FACE_INFO;

///@brief 
typedef struct tagCFG_PORTRAIT_BODY_INFO
{
    BOOL                    bSnapEnable;                                            // Ƿץͼ
    UINT                    nSensitivity;                                           // ץ, ԽԽ, Χ[0,100]
    UINT                    nMinQuality;                                            // ֵ, Χ[1,100]
    BOOL                    bFeatureEnable;                                         // Ƿʶ
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    int                     nFeatureListNum;                                        // Ը
    EM_FACEFEATURE_TYPE     emFeatureList[32];                                      // б, bFeatureEnableΪtrueЧ
    BOOL                    bFeatureFilter;                                         // Կǰ£ͼ̫Ƿϱ
    BOOL                    bBodyEnable;                                            // Ƿ
    BYTE                    byReserved[256];                                        // Ԥֽ
} CFG_PORTRAIT_BODY_INFO;

///@brief ¼ EVENT_IVS_PORTRAIT_DETECTION () ӦĹ
typedef struct tagCFG_PORTRAIT_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨ԤõţΧ0~65535

    CFG_PORTRAIT_FACE_INFO  stuFaceInfo;                                           // 
    CFG_PORTRAIT_BODY_INFO  stuBodyInfo;                                           // 
    int                     nMinDuration;                                           // ̴ʱ䣬λ
    int                     nTriggerTargets;                                        // 
    UINT                    nReportInterval;                                        // ظλ, Χ0~600;0ʾظ
    BOOL                    bFilterUnAliveEnable;                                   // Ƿ˷ǻ
    UINT                    nSnapThreshold;                                         // ץĹֵֵԽ߹ǿԽ, Χ[1,100]
    UINT                    nLiveSensitivity;                                       // ȣԽΪԽ󣬷Χ[1,100]
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_PORTRAIT_DETECTION_INFO;

///@brief ⷽ
typedef enum tagCFG_DIRECTION_TYPE
{
    CFG_DIRECTION_TYPE_UNKNOWN,           // δ֪
    CFG_DIRECTION_TYPE_LEFT_TO_RIGHT,     // 
    CFG_DIRECTION_TYPE_RIGHT_TO_LEFT,     // ҵ
}CFG_DIRECTION_TYPE;


///@brief ¼ EVENT_IVS_TRAFFICFLOW_FOR_PRMA ȫͨ ӦĹ
typedef struct tagCFG_TRAFFICFLOW_FOR_PRMA_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨ԤõţΧ0~65535

    CFG_POLYGON             stuDetectLine[2];                                       // 
    int                     nLane;                                                  // 
    int                     nPeriod;                                                // ͳڣλmin
    CFG_DIRECTION_TYPE      emDirection;                                            // ⷽ
    int                     nMaxVehicleNums;                                        // ͳĳ򴥷
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BYTE                    byReserved[4096];                                       // ֽ
}CFG_TRAFFICFLOW_FOR_PRMA_INFO;

///@brief ¼ EVENT_IVS_TRUCKNOTCLEAN_FOR_PRMA  ̳δϴ ӦĹ
typedef struct tagCFG_TRUCKNOTCLEAN_FOR_PRMA_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨ԤõţΧ0~65535

    CFG_POLYGON             stuDetectRegion[20];                                    // 
    int                     nDetectRegionNum;                                       // 򶥵
    int                     nCleanTime;                                             // ϴʱ䣬λmin
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BYTE                    byReserved[4096];                                       // ֽ
}CFG_TRUCKNOTCLEAN_FOR_PRMA_INFO;

///@brief ¼ EVENT_IVS_ROADOCCUPATION_BY_FOREIGNOBJECT ռ¼ 
typedef struct tagCFG_ROADOCCUPATION_BY_FOREIGNOBJECT
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨ԤõţΧ0~65535 

    CFG_POLYGON             stuDetectRegion[20];                                    // 
    int                     nDetectRegionNum;                                       // 򶥵
    int                     nAlarmInterval;                                         // ʱ䣬λmin
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BYTE                    byReserved[4096];                                       // ֽ
}CFG_ROADOCCUPATION_BY_FOREIGNOBJECT_INFO;

///@brief ǰҵ
typedef enum tagEM_WORK_RULE_TYPE
{
    EM_WORK_RULE_TYPE_UNKNOWN,                    // δ֪
    EM_WORK_RULE_TYPE_NOWORKER,                   // Ѹڼ
    EM_WORK_RULE_TYPE_SINGLEWORKER,               // ҵ
	EM_WORK_RULE_TYPE_NOWORKLEADER,				  // Ѹڼ
} EM_WORK_RULE_TYPE;

///@brief ʽ
typedef enum tagEM_CONDITIONEXPR
{
    EM_CONDITIONEXPR_UNKNWON,                     // δ֪
    EM_CONDITIONEXPR_GREATER,                     //            
    EM_CONDITIONEXPR_LESS,                        // С
    EM_CONDITIONEXPR_EQUAL,                       // 
} EM_CONDITIONEXPR;

///@brief ҵͳϢ
typedef struct tagCFG_WORKSTATDESCRIPTION_INFO
{
    NET_WORK_CLOTHES_DESCRIPTION    stuWorkClothesDescription;               // װ
    UINT                    nTriggerNum;                                     // Ա
    EM_CONDITIONEXPR        emConditionExpr;                                 // ʽ,  nTriggerNum Ƚ
    UINT                    nStatInterval;                                   // ͳʱλ룬Χ: [1-86400]
    UINT                    nAlarmTime;                                      // ¼೤ʱ󱨾λ:, ֵΪ600ʾͳ10ڷϹװԱ   
    UINT                    nAlarmRepeatTime;                                // ظʱλ:
	UINT					nSensitivity;									 // ȣֵԽСԽ͡ȡֵ1-10
} CFG_WORKSTATDESCRIPTION_INFO;

///@brief ¼ EVENT_IVS_WORKSTATDETECTION (ҵͳ¼)ӦĹ
typedef struct tagCFG_WORKSTATDETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    bool                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    UINT                    nDectRegionNumber;                                      // 
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    int                     nDetectRegionPoint;                                     // 򶥵
    int                     nRuleNum;                                               // ǰҵ
    EM_WORK_RULE_TYPE       emWorkRuleType[32];                                     // ǰҵ
    CFG_WORKSTATDESCRIPTION_INFO       stuWorkStatDescription[64];                  // ҵͳϢ
    int                     nWorkStatDescriptionNum;                                // ҵͳϢ
    BYTE                    byReserved[4092];                                       // ֽ
} CFG_WORKSTATDETECTION_INFO;
///@brief ʻģʽ
typedef enum EM_DRIVEASSISTANT_WORKMODE
{
    EM_DRIVEASSISTANT_WORKMODE_UNKNOWN,     // δ֪
    EM_DRIVEASSISTANT_WORKMODE_DAY,         // ģʽ
    EM_DRIVEASSISTANT_WORKMODE_NIGHT,       // ҹģʽ
}EM_DRIVEASSISTANT_WORKMODE;

///@brief ¼ EVENT_IVS_PARKING_DETECTION_FOR_PRMA (ȫ쳣ͣ¼)ӦĹ
typedef struct tagCFG_PARKING_DETECTION_FOR_PRMA_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    
    bool                    abMinDuration;                                          // nMinDurationǷЧ
    bool                    abMaxVehicleNums;                                       // nMaxVehicleNumsǷЧ
    bool                    abAlarmInterval;                                        // nAlarmIntervalǷЧ
    BYTE                    byReserved1[1];                                         // 

    UINT                    nMinDuration;                                           // ̳ʱ,λ, Χ0~65535
    UINT                    nMaxVehicleNums;                                        // ֵ
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    UINT                    nAlarmInterval;                                         // ʱ䣬λ
    BYTE                    byReserved[4092];                                       // ֽ
} CFG_PARKING_DETECTION_FOR_PRMA_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_JAM_FOR_PRMA (ȫͨӵ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_JAM_FOR_PRMA_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    CFG_POLYLINE            stuDetectLine[MAX_POLYLINE_NUM];                        // 
    int                     nDetectLinePoint;                                       // ߶

    bool                    abMinVehicleNums;                                       // nMinVehicleNumsǷЧ
    bool                    abBySpeed;                                              // nSpeedǷЧ
    bool                    abByTimeAndNums;                                        // nNumsnTimeǷЧ
    bool                    abAlarmInterval;                                        // nAlarmIntervalǷЧ

    UINT                    nMinVehicleNums;                                        // ӵʱٵĳ,λ, Χ0~65535
    UINT                    nSpeed;                                                 // ٶȣλ: /ӡ
    UINT                    nNums;                                                  // ͳƳλ: 
    UINT                    nTime;                                                  // ͳƼʱ䣬λ: 
    UINT                    nAlarmInterval;                                         // ʱ䣬λ
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_TRAFFIC_JAM_FOR_PRMA_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_ACCIDENT_FOR_PRMA (ȫͨ¹¼)ӦĹ
typedef struct tagCFG_TRAFFIC_ACCIDENT_FOR_PRMA_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 

    bool                    abMinDuration;                                          // nMinDurationǷЧ
    bool                    abAlarmInterval;                                        // nAlarmIntervalǷЧ
    BYTE                    byReserved1[2];                                         // 

    UINT                    nMinDuration;                                           // ̳ʱ,λ, Χ0~65535
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    UINT                    nAlarmInterval;                                         // ʱ䣬λ
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_TRAFFIC_ACCIDENT_FOR_PRMA_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_SPECIAL_VEHICLE_DETECT (⳵)ӦĹ
typedef struct tagCFG_TRAFFIC_SPECIAL_VEHICLE_DETECT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionNum;                                       // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 

    UINT                    nMinDuration;                                           // ̳ʱ, Χ0-3600s, λ
    UINT                    nSensitivity;                                           // , 0ΪĬֵֵԽԽ, ȡֵ1-10
    EM_CFG_CATEGORY_TYPE    emVehicleType[64];                                      // ⳵б
    int                     nVehicleTypeNum;                                        // ⳵
    BYTE                    byReserved[4092];                                       // ֽ
} CFG_TRAFFIC_SPECIAL_VEHICLE_DETECT_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_NONMOTOR (ͨǻ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_NONMOTOR_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    UINT                    nMinDuration;                                           // ̳ʱ,λ, Χ0-3600s
    int                     nSensitivity;                                           // ȣΧ1-10
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_TRAFFIC_NONMOTOR_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_BOARD (ͨΥ¿¼)ӦĹ
typedef struct tagCFG_TRAFFIC_BOARD_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    UINT                    nMinDuration;                                           // ̳ʱ,λ, Χ0-3600s
    int                     nSensitivity;                                           // ȣΧ1-10
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_TRAFFIC_BOARD_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_VISIBILITY (ܼͨ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_VISIBILITY_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    UINT                    nMinDuration;                                           // ̳ʱ,λ, Χ0-3600s
    int                     nSensitivity;                                           // ȣΧ1-10
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_TRAFFIC_VISIBILITY_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_VEHICLE_CLEANLINESS (ͨȼ¼)ӦĹ
typedef struct tagCFG_TRAFFIC_VEHICLE_CLEANLINESS_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    UINT                    nMinDuration;                                           // ̳ʱ,λ, Χ0-3600s
    int                     nSensitivity;                                           // ȣΧ1-10
    BYTE                    byReserved[4096];                                       // ֽ
} CFG_TRAFFIC_VEHICLE_CLEANLINESS_INFO;

///@brief ¼ EVENT_IVS_ANYTHING_DETECT  ȫͼ¼ӦĹ
typedef struct tagCFG_ANYTHING_DETECT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    int                     nSensitivity;                                           // ȣΧ1-10
    BOOL                    bSnapObjRectEnable;                                     // ץͼӹ켣ʹܿ
    BYTE                    byReserved[4096];                                       // ֽ
}CFG_ANYTHING_DETECT_INFO;

///@brief ʻѹ߱
typedef struct tagCFG_PRESSLINE_INFO
{
    BOOL                    bEnable;        // ʹ
    BOOL                    bVoiceBroadcastEnable; // ʹ
    int                     nSensitivity;   //  ȡֵΧ: -30~30, ĬֵΪ0
    int                     nAlarmInterval; // ʱ ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;    // ٶ ȡֵΧ0-200ĬֵΪ30 KM/s
    int                     nAlarmReportSpeed; // ϱٶ ȡֵΧ0-200ĬֵΪ30
    BYTE                    byReserved[1024];  // 
}CFG_PRESSLINE_INFO;

///@brief ʻǰײԤ
typedef struct tagCFG_FORWARDCOLLIDE_INFO
{
    BOOL                    bEnable;        // ʹ
    BOOL                    bVoiceBroadcastEnable; // ʹ
    float                   fSensitivity;   //  ȡֵΧ: -30~30, ĬֵΪ2.7
    int                     nAlarmInterval; // ʱ ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;    // ٶ ȡֵΧ0-200ĬֵΪ30 KM/s
    int                     nAlarmReportSpeed; // ϱٶ ȡֵΧ0-200ĬֵΪ30
    BYTE                    byReserved[1024];  // 
}CFG_FORWARDCOLLIDE_INFO;

///@brief ʻԤ
typedef struct tagCFG_DISTANCE_CLOSE_INFO
{
    BOOL                    bEnable;        // ʹ
    BOOL                    bVoiceBroadcastEnable; // ʹ
    float                   fSensitivity;   //  ȡֵΧ: -30~30, ĬֵΪ 1.5
    int                     nAlarmInterval; // ʱ ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;    // ٶ ȡֵΧ0-200ĬֵΪ30 KM/s
    int                     nAlarmReportSpeed; // ϱٶ ȡֵΧ0-200ĬֵΪ30
    BYTE                    byReserved[1024];  // 
}CFG_DISTANCE_CLOSE_INFO;

///@brief 
typedef struct tagCFG_PEDESTRIAN_ON_ZEBRA_INFO
{
	BOOL                    bEnable;			// ʹ
	float                   fSensitivity;		//  ȡֵΧ: 0.0-10.0, ĬֵΪ 1.5
	UINT                    nAlarmInterval;		// ʱ ȡֵΧ0-65536ĬֵΪ60
	BYTE                    byReserved[1024];	// 
}CFG_PEDESTRIAN_ON_ZEBRA_INFO;

///@brief ̵Ƽ
typedef struct tagCFG_TRAFFIC_LIGHT_STATE_INFO
{
	BOOL                    bEnable;			// ʹ
	float                   fSensitivity;		//  ȡֵΧ: 0.0-10.0, ĬֵΪ 1.5
	UINT                    nAlarmInterval;		// ʱ ȡֵΧ0-65536ĬֵΪ60
	BYTE                    byReserved[1024];	// 
}CFG_TRAFFIC_LIGHT_STATE_INFO;

///@brief ǰ
typedef struct tagCFG_FRONT_CAR_GO_INFO
{
	BOOL                    bEnable;			// ʹ
	float                   fSensitivity;		//  ȡֵΧ: 0.0-10.0, ĬֵΪ 1.5
	UINT                    nAlarmInterval;		// ʱ ȡֵΧ0-65536ĬֵΪ60
	BYTE                    byReserved[1024];	// 
}CFG_FRONT_CAR_GO_INFO;

///@brief Ԥ
typedef struct tagCFG_PEDESTRIAN_ON_ZEBRA_DISCOURTESY_INFO
{
	BOOL                    bEnable;			// ʹ
	float                   fSensitivity;		//  ȡֵΧ: 0.0-10.0, ĬֵΪ 1.5
	UINT                    nAlarmInterval;		// ʱ ȡֵΧ0-65536ĬֵΪ60
	BYTE                    byReserved[1024];	// 
}CFG_PEDESTRIAN_ON_ZEBRA_DISCOURTESY_INFO;

///@brief 
typedef struct tagCFG_SPEED_LIMIT_PLATE_INFO
{
	BOOL                    bEnable;			// ʹ
	float                   fSensitivity;		//  ȡֵΧ: 0.0-10.0, ĬֵΪ 1.5
	UINT                    nAlarmInterval;		// ʱ ȡֵΧ0-65536ĬֵΪ60
	BYTE                    byReserved[1024];	// 
}CFG_SPEED_LIMIT_PLATE_INFO;

///@brief ¼ EVENT_IVS_DRIVE_ASSISTANT ʻ ӦĹ
typedef struct tagCFG_DRIVE_ASSISTANT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nWorkMode;                                              // ģʽ 0ģʽ1ҹģʽ
    CFG_PRESSLINE_INFO      stuPressLine;                                           // ѹ߱
    CFG_FORWARDCOLLIDE_INFO stuForwardCollide;                                      // ǰײԤ
    CFG_DISTANCE_CLOSE_INFO stuTooClose;                                            // Ԥ
    int                     nPicNums;                                               // ץ  ȡֵΧ[0,10], Ĭ3
    int                     nPicInterval;                                           // ץʱ ȡֵΧ[100, 10000]Ĭϣ3000
	CFG_PEDESTRIAN_ON_ZEBRA_INFO				stuPedestrianOnZebraCfg;			// 
	CFG_TRAFFIC_LIGHT_STATE_INFO				stuTrafficLightStateCfg;			// ̵Ƽ
	CFG_FRONT_CAR_GO_INFO						stuFrontCarGoCfg;					// ǰ
	CFG_PEDESTRIAN_ON_ZEBRA_DISCOURTESY_INFO	stuPedestrianOnZebraDiscourtesyCfg;	// Ԥ
	CFG_SPEED_LIMIT_PLATE_INFO					stuSpeedLimitPlateCfg;				//    
	BYTE                    byReserved[4092];  
}CFG_DRIVE_ASSISTANT_INFO;

///@brief ƣͼʻ
typedef struct tagCFG_FATIGUE_DRIVING
{
    BOOL                    bEnable;                // ʹ
    BOOL                    bVoiceBroadcastEnable;  // ʹ
    int                     nEyesClosedTime;        // ۳ʱ ȡֵΧ0-10ĬֵΪ2
    int                     nYawningTime;           // Ƿʱ ȡֵΧ0-10ĬֵΪ2
    int                     nAlarmInterval;         // ʱ, ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;            // ٶ, ȡֵΧ0-200ĬֵΪ30
    int                     nAlarmReportSpeed;      // ϱٶ, ȡֵΧ0-200ĬֵΪ30
    BYTE                    byReserved[1024];       // 
}CFG_FATIGUE_DRIVING;

///@brief ļʻ DistractCfg
typedef struct tagCFG_DISTRACT_DRIVING
{
    BOOL                    bEnable;                // ʹ
    BOOL                    bVoiceBroadcastEnable;  // ʹ
    int                     nBowDownTime;           // ͷʱ ȡֵΧ0-10ĬֵΪ2
    int                     nGlanceRightAndLeftTime;// γʱ ȡֵΧ0-10ĬֵΪ2
    int                     nAlarmInterval;         // ʱ, ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;            // ٶ, ȡֵΧ0-200ĬֵΪ30
    int                     nAlarmReportSpeed;      // ϱٶ, ȡֵΧ0-200ĬֵΪ30
    BYTE                    byReserved[1024];       // 
}CFG_DISTRACT_DRIVING;

///@brief 绰
typedef struct tagCFG_DRIVEING_CALLING
{
    BOOL                    bEnable;                // ʹ
    BOOL                    bVoiceBroadcastEnable;  // ʹ
    int                     nBowDownTime;           // ͷʱ ȡֵΧ0-10ĬֵΪ2
    int                     nCallingTime;           // 绰ʱ, ȡֵΧ0-10ĬֵΪ2
    int                     nAlarmInterval;         // ʱ, ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;            // ٶ, ȡֵΧ0-200ĬֵΪ30
    int                     nAlarmReportSpeed;      // ϱٶ, ȡֵΧ0-200ĬֵΪ30  
    BYTE                    byReserved[1024];       // 
}CFG_DRIVEING_CALLING;

///@brief ڱ
typedef struct tagCFG_DRIVE_LEAVE_INFO
{
    BOOL                    bEnable;                // ʹ
    BOOL                    bVoiceBroadcastEnable;  // ʹ
    int                     nLeaveTime;             // ڳʱ, ȡֵΧ0-10ĬֵΪ2
    int                     nAlarmInterval;         // ʱ, ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;            // ٶ, ȡֵΧ0-200ĬֵΪ30
    int                     nAlarmReportSpeed;      // ϱٶ, ȡֵΧ0-200ĬֵΪ30  
    BYTE                    byReserved[1024];       // 
}CFG_DRIVE_LEAVE_INFO;

///@brief ϱ
typedef struct tagCFG_INFRARED_BLOCKING
{
    BOOL                    bEnable;                // ʹ
    BOOL                    bVoiceBroadcastEnable;  // ʹ
    int                     nInfraredBlockingTime;  // ϳʱ, ȡֵΧ0-10ĬֵΪ2
    int                     nAlarmInterval;         // ʱ, ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;            // ٶ, ȡֵΧ0-200ĬֵΪ30
    int                     nAlarmReportSpeed;      // ϱٶ, ȡֵΧ0-200ĬֵΪ30  
    BYTE                    byReserved[1024];       //   
}CFG_INFRARED_BLOCKING;

///@brief ̱
typedef struct tagCFG_DRIVE_SMOKING
{
    BOOL                    bEnable;                // ʹ
    BOOL                    bVoiceBroadcastEnable;  // ʹ
    int                     nSmokingTime;           // ̳ʱ, ȡֵΧ0-10ĬֵΪ2
    int                     nAlarmInterval;         // ʱ, ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;            // ٶ, ȡֵΧ0-200ĬֵΪ30
    int                     nAlarmReportSpeed;      // ϱٶ, ȡֵΧ0-200ĬֵΪ30  
    BYTE                    byReserved[1024];       //       
}CFG_DRIVE_SMOKING;

///@brief ڵ
typedef struct tagCFG_CAMERA_OCCLUSION
{
    BOOL                    bEnable;                // ʹ
    BOOL                    bVoiceBroadcastEnable;  // ʹ
    int                     nCameraOcclusionTime;   // ڵʱ, ȡֵΧ0-10ĬֵΪ2
    int                     nAlarmInterval;         // ʱ, ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;            // ٶ, ȡֵΧ0-200ĬֵΪ30
    int                     nAlarmReportSpeed;      // ϱٶ, ȡֵΧ0-200ĬֵΪ30  
    BYTE                    byReserved[1024];       //      
}CFG_CAMERA_OCCLUSION;

///@brief 쳣 IdentityAnomalyCfg
typedef struct tagCFG_IDENTITY_ANOMALY
{
    BOOL                    bEnable;                // ʹ
    BOOL                    bVoiceBroadcastEnable;  // ʹ
	int						nAlarmInterval;         // ʱ, ȡֵΧ0-65536ĬֵΪ60
	int						nAlarmSpeed;            // ٶ, ȡֵΧ0-200ĬֵΪ30
    BYTE                    byReserved[1016];       //   
}CFG_IDENTITY_ANOMALY;

///@brief ˼ʻ SubstitutionDrivingCfg
typedef struct tagCFG_SUBSTITUTION_DRIVING
{
    BOOL                    bEnable;                // ʹ
    BOOL                    bVoiceBroadcastEnable;  // ʹ
    BYTE                    byReserved[1024];       //          
}CFG_SUBSTITUTION_DRIVING;

///@brief δϵȫ
typedef struct tagCFG_DRIVER_NOBELT
{
    BOOL                    bEnable;                // ʹ
    int                     nNobeltTime;            // δϵȫʱ, ȡֵΧ0-255ĬֵΪ10
    int                     nAlarmInterval;         // ʱ, ȡֵΧ0-65536ĬֵΪ60
    int                     nAlarmSpeed;            // ٶ, ȡֵΧ0-200ĬֵΪ30
    int                     nAlarmReportSpeed;      // ϱٶ, ȡֵΧ0-200ĬֵΪ30  
    BYTE                    byReserved[1024];       //    
}CFG_DRIVER_NOBELT;

///@brief ¼ EVENT_IVS_DRIVE_ACTION_ANAYLSE ʻΪ ӦĹ
typedef struct tagCFG_DRIVE_ACIONANAYLSE_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nSensitivity;                                           //   ȡֵ1-10Ĭֵ5 ֵԽСԽ
    int                     nWorkMode;                                              // ģʽ  0ģʽ 1ģʽ
    int                     nAlarmSpeed;                                            // ٶ
    int                     nGradeSpeed;                                            // ּٶ
    CFG_FATIGUE_DRIVING     stuFatigue;                                             // ƣͼʻ
    CFG_DISTRACT_DRIVING    stuDistract;                                            // ļʻ
    CFG_DRIVEING_CALLING    stuCalling;                                             // 绰
    CFG_DRIVE_LEAVE_INFO    stuLeave;                                               // ڱ
    CFG_INFRARED_BLOCKING   stuInfraredBlocking;                                    // ϱ    
    CFG_DRIVE_SMOKING       stuSmoking;                                             // ̱
    CFG_CAMERA_OCCLUSION    stuCameraOcclusionTime;                                 // ڵʱ
    CFG_IDENTITY_ANOMALY    stuIdentityAnomaly;                                     // 쳣
    CFG_SUBSTITUTION_DRIVING stuSubstitution;                                       // ˼ʻ
    CFG_DRIVER_NOBELT       stuNobelt;                                              // δϵȫ
    int                     nPicNums;                                               // ץ ȡֵΧ[0, 10]Ĭ3
    int                     nPicInterval;                                           // ץʱλms ȡֵΧ[100, 10000]Ĭϣ3000
    BYTE                    byReserved[4092];  
}CFG_DRIVE_ACIONANAYLSE_INFO;

///@brief ¼ EVENT_IVS_DRIVE_HANDSOFF_STEERING_WHEEL ʻΪ 뿪 ӦĹ 
typedef struct tagCFG_DRIVE_HANDSOFF_STEERING_WHEEL_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nSensitivity;                                           //  ֵԽСԽ
    int                     nWorkMode;                                              // ģʽ  0ģʽ 1ģʽ
    int                     nPostion;                                               // 0ǰ12Ӻǰ3
    int                     nAlarmSpeed;                                            // ٶ ȡֵΧ0-200ĬֵΪ30
    int                     nAlarmReportSpeed;                                      // ϱٶ ȡֵΧ0-200ĬֵΪ30
    int                     nMinDuration;                                           // ʱ䣬⵽ò λ 1~600,Ĭֵ30
    int                     nReportInterval;                                        // ظ,λ 0~600;0ʾظ, Ĭֵ30
    int                     nPicNums;                                               // ץ ȡֵΧ[0, 10]Ĭ3
    int                     nPicInterval;                                           // ץʱλmsȡֵΧ[100, 10000]Ĭϣ3000
    CFG_REGION              stuDetectRegion;                                        // 
    BYTE                    byReserved[4092];  
}CFG_DRIVE_HANDSOFF_STEERING_WHEEL_INFO;

///@brief ¼ EVENT_IVS_DRIVE_BLIND_SPOT ʻΪ ä ӦĹ
typedef struct tagCFG_DRIVE_BLIND_SPOT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nSensitivity;                                           // ȣֵԽСԽ ȡֵ0-3Ĭֵ1
    int                     nWorkMode;                                              // ģʽ  0ģʽ 1ģʽ
    int                     nPostion;                                               // װλã0ǰ1Ӻǰ
    int                     nValidAlarmLine;                                        // Ч߸
    CFG_REGION              stuAlarmLines[5];                                       // Ϣ5
    CFG_REGION              stuDetectRegion;                                        // 
    BYTE                    byReserved[4092]; 
}CFG_DRIVE_BLIND_SPOT_INFO;

///@brief ⶯
typedef enum tagEM_ARTICLE_DETECTION_ACTION
{
    EM_ARTICLE_DETECTION_ACTION_UNKNOWN,                                            // δ֪
    EM_ARTICLE_DETECTION_ACTION_LEFT,                                               // , Ʒ EVENT_IVS_LEFTDETECTION
    EM_ARTICLE_DETECTION_ACTION_TAKENAWAY,                                          // , ƷƱ EVENT_IVS_TAKENAWAYDETECTION
}EM_ARTICLE_DETECTION_ACTION;

///@brief ¼ EVENT_IVS_ARTICLE_DETECTION ӦĹ
typedef struct tagCFG_ARTICLE_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535
    
    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    int                     nActionNum;                                             // ⶯
    EM_ARTICLE_DETECTION_ACTION emAction[8];                                        // ⶯б
    int                     nTriggerPosition;                                       // λ
    BYTE                    bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
    UINT                    nMinDuration;                                           // ̳ʱ,λ, Χ0~65535
    UINT                    nTrackDuration;                                         // ٳʱ 5~300
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    UINT                    nReportInterval;                                        // ʱλ0~600;0ʾظ, Ĭֵ30
    int                     nSensitivity;                                           // ȣȡֵ1-10Ĭֵ5ֵԽСԽ
    BYTE                    byReserved[4096];                                       // ֽ
}CFG_ARTICLE_DETECTION_INFO;

///@brief ¼ EVENT_IVS_STREET_SUNCURE ؽɹӦĹ
typedef struct tagCFG_STREET_SUNCURE_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

	UINT					nDetectRegionPoint;			// 򶥵
	CFG_POLYGON				stuDetectRegion[MAX_POLYGON_NUM];		// 
	UINT					nMinDuration;				// ̳ʱ䣬Χ0~3600 λ
	UINT					nTrackDuration;				// ٳʱ䣬Χ0~3600 λ
	UINT					nDetectRegionNumber;		// 
	UINT					nSensitivity;				// ȣֵԽСԽ ȡֵ1-10
	UINT					nReportInterval;			// ظʱ䣬λ룬0ظ
	BYTE					byReserved[4092];           // ֽ
}CFG_STREET_SUNCURE_INFO;

///@brief ¼ EVENT_IVS_DISTRESS_DETECTION ӦĹ
typedef struct tagCFG_DISTRESS_DETECTION_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    UINT                    nMinDuration;                                           // ̳ʱ,λ, Χ0~65535
    UINT                    nReportInterval;                                        // ʱλ0~600;0ʾظ, Ĭֵ30
    CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
    BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
    int                     nSensitivity;                                           // ȣȡֵ1-10Ĭֵ5ֵԽСԽ
    BYTE                    byReserved[4096];                                       // ֽ
}CFG_DISTRESS_DETECTION_INFO;

///@brief ¼ EVENT_IVS_TRAFFIC_SPEED_CHANGE_DETECTION ټӦĹ
typedef struct tagCFG_TRAFFIC_SPEED_CHANGE_DETECTION_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

	int						nLaneNumber;											// 
	int						nMinDuration;											// ̳ʱ, λ:
	int						nSpeedThreshold;										// ٶȱ仯ֵ, ֵ. λ:(1-230)
	BYTE                    byReserved[4096];                                      	// ֽ
}CFG_TRAFFIC_SPEED_CHANGE_DETECTION_INFO;



///@brief ¼ EVENT_IVS_OUTDOOR_ADVERTISEMENT ¼ӦĹ
typedef struct tagCFG_OUTDOOR_ADVERTISEMENT_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535
	
	UINT					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON				stuDetectRegion[20];									// 
	UINT					nMinDuration;											// ̳ʱ䣬Χ0~3600 λ
	UINT					nTrackDuration;											// ٳʱ䣬Χ0~3600 λ
	UINT					nDetectRegionNumber;									// 
	UINT					nSensitivity;											// ȣֵԽСԽ ȡֵ1-10
	UINT					nReportInterval;										// ظʱ䣬λ룬0ظ
	BYTE					byReserved[4092];										// ֽ
}CFG_OUTDOOR_ADVERTISEMENT_INFO;

///@brief ¼ EVENT_IVS_HUDDLE_MATERIAL Ҷϼ¼ӦĹ
typedef struct tagCFG_HUDDLE_MATERIAL_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535

	UINT					nDetectRegionPoint;										// 򶥵
	CFG_POLYGON				stuDetectRegion[20];									// 
	UINT					nMinDuration;											// ̳ʱ䣬Χ0~3600 λ
	UINT					nTrackDuration;											// ٳʱ䣬Χ0~3600 λ
	UINT					nDetectRegionNumber;									// 
	UINT					nSensitivity;											// ȣֵԽСԽ ȡֵ1-10
	UINT					nReportInterval;										// ظʱ䣬λ룬0ظ
	BYTE					byReserved[4092];										// ֽ
}CFG_HUDDLE_MATERIAL_INFO;

///@brief ռ
typedef enum tagEM_FIRE_LANE_DETECT_TYPE
{
	EM_FIRE_LANE_DETECT_TYPE_UNKNOWN,										// δ֪
	EM_FIRE_LANE_DETECT_TYPE_NONMOTOR,										// ǻ
	EM_FIRE_LANE_DETECT_TYPE_CARTON,										// 
	EM_FIRE_LANE_DETECT_TYPE_BOX,											// 
}EM_FIRE_LANE_DETECT_TYPE;

///@brief ¼ EVENT_IVS_FIRE_LANE_DETECTION ռ¼ӦĹ
typedef struct tagCFG_FIRE_LANE_DETECTION_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535
	
	int                     nDetectRegionPoint;                                     // 򶥵
	CFG_POLYGON             stuDetectRegion[20];									// 
	int						nDetectType;											// ͸
	EM_FIRE_LANE_DETECT_TYPE		emDetectType[16];								// ,ԪΪFireLaneJams,Ϊ,ʾй
	UINT                    nMinDuration;                                           // ̳ʱ, λ:, Χ:0~65535
	UINT                    nReportInterval;                                        // ʱ, λ:, 0~600; 0ʾظ,Ĭֵ30
	int                     nSensitivity;                                           // ȣȡֵ1-10Ĭֵ5ֵԽСԽ
	BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
	BYTE                    byReserved[4096];                                       // ֽ
}CFG_FIRE_LANE_DETECTION_INFO;

///@brief ǻݼ
typedef enum tagEM_NON_MOTOR_ENTRYING_DETECT_TYPE
{
	EM_NON_MOTOR_ENTRYING_DETECT_TYPE_UNKNOWN,										// δ֪ǻ
	EM_NON_MOTOR_ENTRYING_DETECT_TYPE_BICYCLE,										// г
	EM_NON_MOTOR_ENTRYING_DETECT_TYPE_TRICYCLE,											// ֳ
	EM_NON_MOTOR_ENTRYING_DETECT_TYPE_MOTORCYCLE,													// Ħг(綯,Ħг)
}EM_NON_MOTOR_ENTRYING_DETECT_TYPE;

///@brief ¼ EVENT_IVS_NONMOTOR_ENTRYING ǻݶӦĹ
typedef struct tagCFG_NONMOTOR_ENTRYING_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535
	
	int                     nDetectRegionPoint;                                     // 򶥵
	CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
	int						nDetectType;											// ͸
	EM_NON_MOTOR_ENTRYING_DETECT_TYPE		emDetectType[32];						// ,ԪΪNonMotor,Ϊ,ʾй
	UINT                    nMinDuration;                                           // ̳ʱ, λ:, Χ:0~65535
	UINT                    nReportInterval;                                        // ʱ, λ:, 0~600; 0ʾظ,Ĭֵ30
	int                     nSensitivity;                                           // ȣȡֵ1-10Ĭֵ5ֵԽСԽ
	BOOL                    bSizeFileter;                                           // ضĳߴǷЧ
	CFG_SIZEFILTER_INFO     stuSizeFileter;                                         // ضĳߴ
	BYTE                    byReserved[4096];                                       // ֽ
}CFG_NONMOTOR_ENTRYING_INFO;

///@brief ʹ
typedef enum tagEM_CFG_CONVEYER_BELT_DETECT_TYPE
{
    EM_CFG_CONVEYER_BELT_DETECT_UNKNOWN,            // δ֪
    EM_CFG_CONVEYER_BELT_DETECT_FULL_LOAD,          // 
    EM_CFG_CONVEYER_BELT_DETECT_NON_LOAD,           // 
    EM_CFG_CONVEYER_BELT_DETECT_RUN_OFF,            // ƫ
    EM_CFG_CONVEYER_BELT_DETECT_BLOCK,              // 
    EM_CFG_CONVEYER_BELT_DETECT_BULK,               // 
	EM_CFG_CONVEYER_BELT_DETECT_COALRATIO,          // úռ
	EM_CFG_CONVEYER_BELT_DETECT_ARTICLE,			// ͼ
	EM_CFG_CONVEYER_BELT_DETECT_STHTONTH,			// Ʒе
	EM_CFG_CONVEYER_BELT_DETECT_NTHTOSTH,			// Ʒ޵
} EM_CFG_CONVEYER_BELT_DETECT_TYPE;

///@brief ģʽ
typedef enum tagEM_CFG_ALARM_OUT_MODE
{
	EM_CFG_ALARM_OUT_MODE_UNKNOWN = -1, // δ֪
	EM_CFG_ALARM_OUT_MODE_0,			// 1
	EM_CFG_ALARM_OUT_MODE_1,			// 2
	EM_CFG_ALARM_OUT_MODE_2,			// 1,2ͬʱ
}EM_CFG_ALARM_OUT_MODE;

///@brief úռ
typedef struct tagCFG_COAL_RATIO_LEVEL
{
	float						fCoalLevelMin;			// úռСֵڽ綨ǰȼúСֵȡֵ0-1
	float						fCoalLevelMax;		    // úռֵڽ綨ǰȼúֵȡֵ0-1
	EM_CFG_ALARM_OUT_MODE		emAlarmOutMode;			// ģʽڽ綨ͬúռȵȼӦģʽ
}CFG_COAL_RATIO_LEVEL;

///@brief 
typedef enum tagEM_CFG_ARTICLE_TYPE
{
	EM_CFG_ARTICLE_TYPE_UNKNOWN,              // δ֪
	EM_CFG_ARTICLE_TYPE_ANCHORROD,            // ê 
}EM_CFG_ARTICLE_TYPE;

///@brief EVENT_IVS_CONVEYER_BELT_DETECT(ʹ)ӦĹ
///@brief Ӧ¼EVENT_IVS_CONVEYER_BELT_BULK/EVENT_IVS_CONVEYER_BELT_NONLOAD/EVENT_IVS_CONVEYER_BELT_RUNOFF/EVENT_IVS_CONVEYORBLOCK_DETECTION/EVENT_IVS_CONVEYER_BELT_COAL_RATIO
typedef struct tagCFG_CONVEYER_BELT_DETECT_INFO
{
    char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
    BOOL                    bRuleEnable;                                            // ʹ
    int                     nObjectTypeNum;                                         // Ӧ͸
    char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
    CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // 
    CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
    int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535
    
    int                     nDetectRegionPoint;                                     // 򶥵
    CFG_POLYGON             stuDetectRegion[MAX_POLYGON_NUM];                       // 
    EM_CFG_CONVEYER_BELT_DETECT_TYPE emDetectType;                                  // ʹ
    UINT                    nMinDuration;                                           // ̳ʱ䣬λ, ȡֵ[3-30]
    UINT                    nReportInterval;                                        // ʱλ, ȡֵ[1-300]
    UINT                    nSensitivity;                                           // ȣֵԽСԽ͡ȡֵ1-10
    CFG_POLYLINE			stuComparetLine[2];						                // Աߣڱʾڴʹƽ
                                                                                    // ֱֱͣÿ˵һ[0,8192)
    UINT                    nSizeFilterThreshold;                                   // ռֵߴSizeFilterThreshold  / 10* ComparetLineʾĴʹƽ 屻ΪǴ,ȡֵ[2-8]
    UINT                    nWarningThreshold;                                      // Ԥֵڽ綨ƫĳ̶ȣ0<Ԥֵ<ֵͣ<10, ȡֵ[1-9]
    UINT                    nDowntimeThreshold;                                     // ֵͣڽ綨ƫĳ̶ȣ0<Ԥֵ<ֵͣ<10, ȡֵ[1-9]
	CFG_COAL_RATIO_LEVEL	stuCoalRatioLevel[3];									// úռãĬ飬ӦúռȼÿȼúռֵСֵúֵֵͻ
	int						nCoalRatioLevelNums;									// úռ
	UINT					nClogThreshold;											// ֵ;ȡֵ0-10
	UINT					nIsMoveAlarm;											// ͬƤ˶״̬ʱı 0ñƤǷ˶(Ĭϣ12),1Ƥֹʱ,2Ƥ˶ʱ 
	UINT					nRunOffFlag;											// ƤƫʶƤǷƫй⣬0ʾЧֵ1йڣ2й
	EM_CFG_ARTICLE_TYPE		emArticleType;											// 
	UINT					nConveyorBeltWidth;										// Ƥʵ,Χ[0-1000],λcm
	BYTE                    byReserved[4036];                                       // ֽ
} CFG_CONVEYER_BELT_DETECT_INFO;

///@brief ƿϢ
typedef struct tagLINK_GROUP_INFO
{
	BOOL					bEnable;												// Ƿ
	char					szReserved1[4];											// ֽڶ
	char					szGroupID[64];											// ǰƵͨӦĲID,ȡNET_FACERECONGNITION_GROUP_INFOеszGroupId
	char					szColor[32];											// ¼ʱɫ
	BOOL					bShowTitle;												// ¼ʱǷʾ
	BOOL					bShowPlate;												// ¼ʱǷʾȶ
	CFG_ALARM_MSG_HANDLE    stuEventHandler;                                        // ÿһʹEventHandlerԲ
	char                    szReserved[1024];                                       // ֽ
}LINK_GROUP_INFO;

///@brief ͻϢ
typedef struct tagGAS_PUMP_NOZZLE_INFO
{
	int						nSurfaceNumber;											// ʯͶƣ󶨼ͻ
	int						nNodeNumber;											// ʯͶƣ󶨼ͻڵ
	char					szOilType[8];											// ʯͶƣӦͺ
	char                    szReserved[512];                                        // ֽ
}GAS_PUMP_NOZZLE_INFO;

///@brief Ϣ
typedef struct tagREGIONS_INFO
{
	int                     nDetectRegionPoint;                                     // 
	char					szReserved1[4];											// ֽڶ
	CFG_POLYGON             stuDetectRegion[4];										// ,[0,8192)
	UINT					nMinDuration;											// Сͣʱ䣨ʱΪǿʼͣ5-3600
	char					szReserved2[4];											// ֽڶ
	char					szRegionName[256];										// ͵
	int						nGasPumpNozzleInfoNum;									// ʯͶƣͻϢ
	char					szReserved3[4];											// ֽڶ
	GAS_PUMP_NOZZLE_INFO	stuGasPumpNozzleInfo[8];								// ʯͶƣͻϢ
	char                    szReserved[1024];                                       // ֽ
}REGIONS_INFO;

///@brief Ƿпճλ
typedef struct tagEMPTY_PLACE_DETECT
{
	BOOL					bEnable;											  // ʹܱʶ
	UINT					nMinDuration;										  // ʱ仹޳Ϊüվǹλ
	char                    szReserved[512];                                      // ֽ
}EMPTY_PLACE_DETECT;

///@brief EVENT_IVS_GASSTATION_VEHICLE_DETECT(վ)ӦĹ
typedef struct tagCFG_GAS_STATION_VEHICLE_DETECT_INFO
{
	char                    szRuleName[MAX_NAME_LEN];                               // ,ͬ
	BOOL                    bRuleEnable;                                            // ʹ
	int                     nObjectTypeNum;                                         // Ӧ͸
	char                    szObjectTypes[MAX_OBJECT_LIST_SIZE][MAX_NAME_LEN];      // Ӧб
	CFG_ALARM_MSG_HANDLE 	stuEventHandler;										// 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];         // ¼Ӧʱ
	int                     nPtzPresetId;                                           // ̨Ԥõ  0~65535
	int						nLinkGroupNum;											// ƿϢ
	LINK_GROUP_INFO			stuLinkGroupInfo[MAX_LINK_GROUP_NUM];					// ƿϢ
	int						nRegionNum;												// 
	char					szReserved1[4];											// ֽڶ
	REGIONS_INFO			stuRegions[4];											// Ϣ
	EMPTY_PLACE_DETECT		stuEmptyPlaceDetect;									// Ƿпճλ
	BOOL					bSizeFileter;                                           // ضĳߴǷЧ
	char					szReserved2[4];											// ֽڶ
	CFG_SIZEFILTER_INFO		stuSizeFileter;                                         // ضĳߴ
	char                    szReserved[512];                                       // ֽ
}CFG_GAS_STATION_VEHICLE_DETECT_INFO;

///@brief EVENT_IVS_FISH_STATE_DETECTION(״̬ⱨ)ӦĹ
typedef struct tagCFG_FISH_STATE_DETECTION_INFO
{
	char					szRuleName[128];				// ,ͬ
	BOOL                    bRuleEnable;					// ʹ
	int                     nObjectTypeNum;					// Ӧ͸
	char                    szObjectTypes[16][128];			// Ӧб
	CFG_ALARM_MSG_HANDLE    stuEventHandler;				// 
	CFG_TIME_SECTION        stuTimeSection[7][10];			// ¼Ӧʱ
	int                     nPtzPresetId;					// ̨Ԥõ  0~65535

	int						nDetectRegionCount;				// 
	CFG_POLYGON				stuDetectRegion[20];			// 
	UINT					nMinAlarmSecond;				// ̳ʱ, λ: , Χ: 0~65535
	UINT					nRepeatAlarmSecond;				// ظʱ䣬λ
	UINT					nSensitivity;					// , 	ȡֵ1-10, 10
	UINT					nCameraDeep;					// Ȳλ
	UINT					nTemperature;					// λõĻ¶ȣλ϶
	int						nFishTypeCount;					// ǰ⵽͸
	int						nFishType[8];					// ǰ⵽, 0: , 1: 
	UINT					nNumEnable;						// ʹ, 0: , 1:
	UINT					nActualQuantity;				// Ⱥֵ, ·ֵ, λ
	int						nLowFish;						// ͱٷֱ(: 20%򱨾) λ: ٷֱ, 0100

	char					szReserved[512];				// ֽ
}CFG_FISH_STATE_DETECTION_INFO;

///@brief ͨϢ
typedef struct tagCFG_RULE_COMM_INFO
{
	BYTE				bRuleId;							// 
	EM_SCENE_TYPE		emClassType;						// ĳ
	BYTE				bReserved[512];						// ֽ
}CFG_RULE_COMM_INFO;
///@brief Ϣ
typedef struct tagCFG_RULE_INFO
{
	DWORD				dwRuleType;							// ¼ͣdhnetsdk.h"ܷ¼"
	int					nRuleSize;							// ¼͹ýṹС
	CFG_RULE_COMM_INFO  stuRuleCommInfo;					// ͨϢ
} CFG_RULE_INFO;

///@brief ÿƵͨӦ¼򣺻pRuleBuf¼Ϣÿ¼ϢΪCFG_RULE_INFO+"¼ͶӦĹýṹ"
typedef struct tagCFG_ANALYSERULES_INFO
{
	int					nRuleCount;							// ¼
	char*				pRuleBuf;							// ÿƵͨӦƵ¼û
	int					nRuleLen;							// С

} CFG_ANALYSERULES_INFO;

///@brief ƵԴ
typedef enum tagCFG_VIDEO_SOURCE_TYPE
{
	CFG_VIDEO_SOURCE_REALSTREAM,                            // ʵʱ
	CFG_VIDEO_SOURCE_FILESTREAM,                            // ļ
}CFG_VIDEO_SOURCE_TYPE;

///@brief Դļ
typedef enum tagCFG_SOURCE_FILE_TYPE
{
	CFG_SOURCE_FILE_UNKNOWN,                                // δ֪
	CFG_SOURCE_FILE_RECORD,                                 // ¼ļ
	CFG_SOURCE_FILE_PICTURE,                                    // ͼƬļ
}CFG_SOURCE_FILE_TYPE;

///@brief ƵԴļϢ
typedef struct tagCFG_SOURCE_FILE_INFO
{
	char                szFilePath[MAX_PATH];               // ļ·
	CFG_SOURCE_FILE_TYPE emFileType;                        // ļͣCFG_SOURCE_FILE_TYPE
}CFG_SOURCE_FILE_INFO;

///@brief ÿƵͨӦƵԴϢ
typedef struct tagCFG_ANALYSESOURCE_INFO
{
	bool				bEnable;								// Ƶʹ
	BYTE				bReserved[3];							// 
	int					nChannelID;								// ܷǰƵͨ
	int					nStreamType;							// ܷǰƵͣ0:ץͼ; 1:; 2:1; 3:2; 4:3; 5:
	char				szRemoteDevice[MAX_NAME_LEN];			// 豸
	BOOL				abDeviceInfo;				        	// 豸ϢǷЧ
	AV_CFG_RemoteDevice stuDeviceInfo;					        // 豸Ϣ
	CFG_VIDEO_SOURCE_TYPE emSourceType;                         // ƵԴͣCFG_VIDEO_SOURCE_TYPE
	CFG_SOURCE_FILE_INFO stuSourceFile;                          // ƵԴΪCFG_VIDEO_SOURCE_FILESTREAMʱЧ
} CFG_ANALYSESOURCE_INFO;

///@brief ƵãӰ豸Ϊ
typedef struct tagCFG_ANALYSEWHOLE_INFO
{	
	unsigned  int nVideoChannelType;		// Ƶͨѡ 0:֣1;ģ⣬2:ֺģ
	
}CFG_ANALYSEWHOLE_INFO;


///@brief ˢѲģʽ
typedef struct tagCFG_RAINBRUSH_TOUR_INFO
{
	int					nTimes;								// ˢִдλ
	int					nPeriod;							// ˢѲڣλ
}CFG_RAINBRUSH_TOUR_INFO;
///@brief ˢ
typedef struct tagCFG_RAINBRUSH_INFO
{
	bool                bEnable;                                 // ˢʹ
	BYTE                bSpeedRate;                              // ˢٶ,1:;2:;3:
	BYTE                bReserved[2];                            // 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];// ¼Ӧʱ
	int					nInterval;									// ˢ˶¼, λ: 
	BOOL				bProtectEnable;								// ˢʹ: true , false ر
	int					nProtectTime;								// ʱ, λ: 
	CFG_RAINBRUSH_TOUR_INFO	stuRainBrushTour;						// ˢѲģʽãCFG_RAINBRUSHMODE_INFOEM_CFG_RAINBRUSHMODE_MODEΪEM_CFG_RAINBRUSHMODE_MODE_TOURʱЧ
}CFG_RAINBRUSH_INFO;

///@brief Υץ
typedef struct tagBREAKINGSNAPTIMES_INFO
{
	int               nNormal;                          // 
	int               nRunRedLight;                     // 
	int			      nOverLine;						// ѹ
	int				  nOverYellowLine;			  	    // ѹ
	int				  nRetrograde;			    	    // 
	int				  nUnderSpeed;					    // Ƿ
    int				  nOverSpeed;						// 
	int			      nWrongRunningRoute;				// гռ
	int			      nYellowInRoute;					// ռ
	int		    	  nSpecialRetrograde;				// 
	int			      nTurnLeft;						// Υת
	int			      nTurnRight;						// Υת
	int			      nCrossLane;						// Υ±
	int			      nU_Turn;						    // Υµͷ
	int			      nParking;						    // Υͣ
	int               nWaitingArea;						// Υ½
	int			      nWrongRoute;					    // ʻ		
	int               nParkingSpaceParking;             // λг
	int               nParkingSpaceNoParking;           // λ޳

	int               nRunYellowLight;					// Ƶ
	int               nStay;							// Υͣ
	int               nPedestrainPriority;	            // Υ
	int               nVehicleInBusRoute;               // Υռ
	int               nBacking;                         // Υµ
	int				  nOverStopLine;					// ѹֹͣ
	int               nParkingOnYellowBox;           	// ͣ	
	int               nRestrictedPlate;					// ޳	
	int               nNoPassing;						// 	
    int               nWithoutSafeBelt;                 // ϵȫ
    int               nDriverSmoking;                   // ʻԱ
    int               nDriverCalling;                   // ʻԱ绰
    int               nPedestrianRunRedLight;           // ˴
    int               nPassNotInOrder;                  // δ涨ͨ
}BREAKINGSNAPTIMES_INFO;


///@brief OSDڱ
typedef struct tagBLACK_REGION_INFO
{
	int nHeight;			//ڱ߸߶ ȡֵΧ0 ~ ( 8192-ԭͼƬ߶)
	int nOSDPosition;		//ڱλ 0=δ֪ , 1= , 2=ײ
}BLACK_REGION_INFO;

#define MAX_OSD_CUSTOM_SORT_NUM       8
#define MAX_OSD_CUSTOM_SORT_ELEM_NUM  8
#define MAX_OSD_CUSTOM_GENERAL_NUM    8
#define MAX_OSD_ITEM_ATTR_NUM         8 
#define MAX_PRE_POX_STR_LEN           32
#define MAX_OSD_CUSTOM_NAME_LEN       32
#define MAX_OSD_CUSTOM_VALUE_LEN      256

///@brief ȫOSD
typedef struct tagOSD_WHOLE_ATTR
{
    BOOL        bPositionAsBlackRegion;     //λǷͬڱͬ,trueʱPositionЧ
    CFG_RECT    stPostion;                  //λ,ܳͼƬΧ
    BOOL        bNewLine;                   //ηΧǷ,bPositionAsBlackRegionΪtrueʱЧ
    BOOL        bLoneVehicle;                //Ϣʾ,true һʾһϢ,false Ϣʾһ
}OSD_WHOLE_ATTR;
///@brief OSD÷
typedef union tagOSD_ATTR_SCHEME
{
    OSD_WHOLE_ATTR stWholeAttr;
}OSD_ATTR_SCHEME;

///@brief OSDԪ
typedef struct tagOSD_CUSTOM_ELEMENT
{
    int  nNameType;                          //,	0:szNameֶκszOSDOrderֶζ
                                             //             1:"Name"ֶαʾԶ
    char szName[MAX_OSD_CUSTOM_VALUE_LEN];                           // 
    char szPrefix[MAX_PRE_POX_STR_LEN];      // ǰ׺ַ	
    char szPostfix[MAX_PRE_POX_STR_LEN];     //Ӻ׺ַ
    int  nSeperaterCount;                    //ӷָ
    
}OSD_CUSTOM_ELEMENT;

///@brief OSDԶ
typedef struct tagOSD_CUSTOM_SORT
{
    OSD_CUSTOM_ELEMENT   stElements[MAX_OSD_CUSTOM_SORT_ELEM_NUM];     //Ԫ
    int                  nElementNum;
}OSD_CUSTOM_SORT;

///@brief Ԫ
typedef struct tagOSD_CUSTOM_GENERAL_INFO
{
    BOOL    bEnable;            //Ƿ
}OSD_CUSTOM_GENERAL_INFO;

///@brief OSDԶ
typedef struct tagOSD_CUSTOM_INFO
{
    OSD_CUSTOM_GENERAL_INFO  stGeneralInfos[MAX_OSD_CUSTOM_GENERAL_NUM];     //Ԫ
    int                      nGeneralInfoNum;
}OSD_CUSTOM_INFO;

#define  MAX_CONF_CHAR 256
///@brief OSD
typedef struct tagOSD_INFO
{
	BLACK_REGION_INFO	stBackRegionInfo;		//OSDڱ
	int					nOSDAttrScheme;		    //OSD÷ 0=δ֪ , 1=ȫOSD , 2=ÿOSDһ
	OSD_ATTR_SCHEME		stOSDAttrScheme;		//OSD÷
    OSD_CUSTOM_SORT     stOSDCustomSorts[MAX_OSD_CUSTOM_SORT_NUM];    //OSDԶ
    int                 nOSDCustomSortNum;
    int                 nRedLightTimeDisplay;   //OSDʱ 0=δ֪,1=Υһ,2=
    char                cSeperater;             //OSD֮ͬķָ
    BYTE		        bReserved[3];           //ֽڶ
    char                szOSDOrder[MAX_CONF_CHAR];    
    int                 nOSDContentScheme;      //0=δ֪, 1=Mask , 2=CustomizeSort
    OSD_CUSTOM_INFO     stOSDCustomInfo;        //OSDԶ
}OSD_INFO;

///@brief CoilConfig
typedef struct tagCOILCONFIG_INFO
{
    int               nDelayFlashID;                 // ʱ	ÿȦӦʱصţΧ0~50ʾʱκ
    int               nFlashSerialNum;               // 	Χ0~50ʾƣ۴Ŀã
    int               nRedDirection;                 // Ʒ	ÿȦӦĺƷ0-,1-ת,2-ֱк,3-ת,4-,5-ֱ,6-, ֻڵ羯Ч
    int               nTriggerMode ;                 // Ȧģʽ	ģʽ0-Ȧ1-Ȧ۴Ŀã
    int				  nFlashSerialNum2;				 //ץڶŶӦ Χ0~50ʾ
    int				  nFlashSerialNum3;				 //ץŶӦ Χ0~50ʾ
}COILCONFIG_INFO;

///@brief Ȧӳ
typedef struct tagCOIL_MAP_INFO
{
    UINT        nPhyCoilID;         // Ȧ
    UINT        nLogicCoilID;       // ߼Ȧ
}COIL_MAP_INFO;
///@brief 
typedef struct tagDETECTOR_INFO
{
    int                nDetectBreaking;                  // Υ	ӵλλǣ0-1-2-ѹ3-4-Ƿ5-6-гռ
                                                         // 7-ռ 8-Ƶ 9-Υռ 10-ϵȫ 11-ʻԱ 12-ʻԱ绰

	COILCONFIG_INFO    arstCoilCfg[MAX_COILCONFIG];      // Ȧ
	int				   nRoadwayNumber;				     // 	1-16 ; 0ʾ
	int                nRoadwayDirection;                // 򣨳ķ	0- 1-򶫱 2- 3- 4- 5- 6- 7- 8-
	int                nRedLightCardNum;                 // ͼƬ	ʾ羯еĳһͼƬΪͼƬţ0ʾã1~3,ʾöӦŵͼƬ
	int                nCoilsNumber;                     // Ȧ	1-3
	int                nOperationType;                   // ҵģʽ	0-ڵ羯1-羯2-
	int                arnCoilsDistance[3];              // Ȧļ	Χ0-1000λΪ
	int                nCoilsWidth;                      // ÿȦĿ	0~200cm
	int                arnSmallCarSpeedLimit[2];         // Сͳٶ޺	0~255km/hôСʱΪͨ
	int				   arnBigCarSpeedLimit[2];           // ͳٶ޺	0~255km/hôСʱЧ
	int				   nOverSpeedMargin;			     // ޸ٿֵ	λkm/h
	int                nBigCarOverSpeedMargin;           // ޸ٿֵ	λkm/hôСʱЧ
	int				   nUnderSpeedMargin;			     // ޵ٿֵ	λkm/h
	int                nBigCarUnderSpeedMargin;          // ޵ٿֵ	λkm/hôСʱЧ
	bool               bSpeedLimitForSize;               // ǷôС
	bool			   bMaskRetrograde;				     // ǷΪΥΪ
	BYTE               byReserved[2];                    // 
	char               szDrivingDirection[3][MAX_DRIVINGDIRECTION]; //
													     // "DrivingDirection" : ["Approach", "Ϻ", ""],ʻ
													     // "Approach"-У豸ԽԽ"Leave"-У
														 // 豸ԽԽԶڶ͵ֱк
														 // еص㣬UTF-8
	int                nOverPercentage;                  // ٰٷֱȣٰٷֱȺץ
	int                nCarScheme;                       // ķIndex,巽βοlocal.png;CFG_TRAFFICSNAPSHOT_INFO.abSchemeRangeֶ÷Χ
	int                nSigScheme;                       // ͬϣǿʹ
	BOOL               bEnable;                          // ǷЧֻЧʱץ

	int				   nYellowSpeedLimit[2];			 //Ƴ޺ Χ0~255km/h
	int				   nRoadType;						 //· 0 ͨ· 1 ٹ·
	int				   nSnapMode;						 //ץģʽ 0-ȫץ 1-ץ 2-ץģ۴Ŀã
    int                nDelayMode;						 //ʱץķ 0-ʹDelaySnapshotDistance1-ʹDelayTime
	int                nDelayTime;						 //ʱץʱ ƵץλþһȦʱ䣬λ
	int				   nTriggerMode;					 //ģʽ 0-Ȧ 1-Ȧ 2-붼ץ 3-ر
	int			       nErrorRange;						 //ٶֵȦ2Ȧ3֮ٶֵʵڻڸֵٶЧȡƽٶ 0-20
	double			   dSpeedCorrection;				 //ٶУϵٶֵΪֵԸϵ 
    int                nDirection[2];                    //ԳҪϱʻ,nDirection[0] 0-- 1-- ; nDirection[1] 0-- 1--	
    char               szCustomParkNo[CFG_COMMON_STRING_32 + 1]; // Զ峵λţͣã
    BYTE               btReserved[3];
    int                nCoilMap;                        // жٶȦӳϵ
    COIL_MAP_INFO      stuCoilMap[16];                  // Ȧӳϵ
}DETECTOR_INFO;
///@brief ״Ϣ
typedef struct tagRADAR_INFO
{
    int     nAngle;                 //Ƕ,״̽ͷװĽǶɵٶ,Χ[0,90]
    int     nAntiJammingValue;      //żֵ
    int     nComeInValue;           //żֵ,ȡֵΧ[0,65535]
    int     nComeOutValue;          //뿪żֵ
    int     nDelayTime;             //״ʱ,λmsΧ[0,255]
    DWORD   nDetectBreaking;        //Υ,ӵλλ:
                                    //0-,1-, 2-ѹ, 3-,4-Ƿ
                                    //5-,6-гռ,7-ռ,8-Ƶ,9-Υռ
    int     nDetectMode;            //ģʽ  0-ͷ 1-β 2-˫
    int     nInstallMode;           //״ﰲװʽ  0-氲װ 1-Ϸװ
    int     nLevel;                 //,0,Χ[0,5]
    int     nMultiTargetFilter;     //Ŀģʽ,0- 1-
    int     nWentEndValue;          //ȥźŽżֵ
    int     nWentInValue;           //ȥżֵ
    int     nWentOutValue;          //ȥ뿪żֵ
}RADAR_INFO;

///@brief ƵץٶԴ
typedef enum tagEM_MIX_SNAP_SPEED_SOURCE
{
	EM_SNAP_SPEED_SOURCE_UNKNOWN,	// δ֪
	EM_SNAP_SPEED_SOURCE_VIDEO,		// Ƶ
	EM_SNAP_SPEED_SOURCE_RADAR,		// ״
}EM_MIX_SNAP_SPEED_SOURCE;

///@brief ͨץϢ
typedef struct tagCFG_TRAFFICSNAPSHOT_INFO
{
	char                     szDeviceAddress[MAX_DEVICE_ADDRESS];  // 豸ַ	UTF-8룬256ֽ
	DWORD                    nVideoTitleMask;                      // OSD	ӵλλֱʾ0-ʱ 1-ص 2-3- 4- 5-6- 7-С8- 9-Υ10- 11-ɫ 12- 13-ɫ14-Ƶʱ 15-Υ 16-״﷽ 17-豸 18-궨ʱ 19- 20-ʻ
	int                      nRedLightMargin;                      // ʱ	ƿʼһʱڣͨв㴳ƣλ
	float				     fLongVehicleLengthLevel;              // Сֵ	λף
	float					 arfLargeVehicleLengthLevel[2];        // 󳵳ֵ	λףСֵ
	float					 arfMediumVehicleLengthLevel[2];       // ͳֵ	λףСֵ
	float					 arfSmallVehicleLengthLevel[2];        // Сֵ	λףСֵ
	float					 fMotoVehicleLengthLevel;              // Ħгֵ	λף
	BREAKINGSNAPTIMES_INFO   stBreakingSnapTimes;                  // Υץ
	DETECTOR_INFO            arstDetector[MAX_DETECTOR];           // ã±ǳ
	int 					 nCarType;			               	   // ץĳ	0-Сץ1-ץС2-ץĴ3-Сץ
	int						 nMaxSpeed;			               	   // õٶȳٶʱٶȼ	0~255km/h
	int						 nFrameMode;		               	   // ֡ģʽ	1-ٶӦٶȡ0ٶȡ2мȡ12-
	int                      arnAdaptiveSpeed[2];                  // ٶӦ޺
	CFG_ALARM_MSG_HANDLE     stuEventHandler;	                   // ͨץ
	BOOL                     abSchemeRange;                        // TRUE:,Գ0ֵΪ׼;FALSE:Գ޸Ĵֶ, ֻڲʹ

    DWORD                    nVideoTitleMask1;					   // ӵλλֱʾ0- 1-ƽʱ 2-豸쳧 3-С 4-󳵵 5-С 6-󳵸 7-豸ģʽ 8-ͨԶ 9-Զ 10-ץĴԴ 11-ͣ12-(γȵ) 13-г 14-г 15-· 16-GPSϢ
    DWORD				     nMergeVideoTitleMask;                 // ϳͼƬOSD	nVideoTitleMaskֶ
    DWORD				     nMergeVideoTitleMask1;				   // ϳͼƬOSD	nVideoTitleMask1ֶ
    int                      nTriggerSource;					   // Դ 0-RS232 1-RS485 2-IO 3-Video 4-Net
    int						 nSnapMode;							   // ץģʽ 0-ȫץ 1-ץ 2-ץ 3-PKģʽ
    int                      nWorkMode;							   // ģʽ 0-Զģʽ1-Ȧץģʽ2-Ȧץʶ3-Ƶץģ4-Ƶʶ, 5-ץģʶ
    int                      nCarThreShold;						   // ֵ  ִСֵλ: cm
    int                      nSnapType;							   // ץĻץ¼ѡ 0-ץģʽ 1-Ƶץģʽ 2-ץģʽ
    int                      nCustomFrameInterval[3];			   // Զץ֡ һԪָСٶӦʱץ֡
    int                      nKeepAlive;				           // ״Ĭϱ λ
    OSD_INFO				 stOSD;								   // ԭʼͼƬOSD
    OSD_INFO                 stMergeOSD;                           // ϳͼƬOSD
    CFG_NET_TIME             stValidUntilTime;					   // 궨ʱ䣬ָʱ֮ǰץƬЧ
    RADAR_INFO               stRadar;
    char                     szRoadwayCode[MAX_ROADWAYNO];         // ·
    DWORD                    nVideoTitleMask2;					   // ԭʼͼƬOSD2 ӵλλֱʾ0- 1-β    
    DWORD				     nMergeVideoTitleMask2;				   // ϳͼƬOSD2 nVideoTitleMask2ֶ
	int                      nParkType;                            // ͣ0-Ĭ( ǰֳ/ )1- 2-
	UINT					 nCoilSpeedAdjustDelayFrameTime;	   // ȦٶУȴʱ䣬Χ500, 4000λ
	BOOL					 bCoilSpeedAdjustEnable;			   // ȦٶУʹܣTRUEУ FALSEУ
	UINT					 nSnapSigMinConfidence;				   // ״źץֵΧ0~100
	EM_MIX_SNAP_SPEED_SOURCE emMixSnapSpeedSource;				   // ƵץٶԴ
}CFG_TRAFFICSNAPSHOT_INFO;
///@brief ܽͨץ
typedef struct tagCFG_TRAFFICSNAPSHOT_NEW_INFO
{
	int							nCount;								// ЧԱ
	CFG_TRAFFICSNAPSHOT_INFO	stInfo[8];							// ͨץı
}CFG_TRAFFICSNAPSHOT_NEW_INFO;

///@brief ͨץ(CFG_CMD_TRAFFICSNAPSHOT_MULTI_EX)
typedef struct tagCFG_TRAFFICSNAPSHOT_NEW_EX_INFO
{
	CFG_TRAFFICSNAPSHOT_INFO*	pstInfo;							// ͨץıָ룬û䣬СΪsizeof(CFG_TRAFFICSNAPSHOT_INFO) * nMaxInfoNum
	int							nMaxInfoNum;						// ûCFG_TRAFFICSNAPSHOT_INFOԱ
	int							nRetInfoNum;						// ȡʱʾȡCFG_TRAFFICSNAPSHOT_INFOԱ
}CFG_TRAFFICSNAPSHOT_NEW_EX_INFO;
///@brief  
typedef struct tagCFG_DATA_TIME
{
    DWORD				dwYear;					// 
    DWORD				dwMonth;				// 
    DWORD				dwDay;					// 
    DWORD				dwHour;					// ʱ
    DWORD				dwMinute;				// 
    DWORD				dwSecond;				// 
    DWORD               dwReserved[2];          // ֶ
} CFG_DATA_TIME;

///@brief ͨ (CFG_CMD_DEV_GENERRAL) General 
typedef struct tagCFG_DEV_DISPOSITION_INFO
{
	int                      nLocalNo;              // ţҪңֲͬ豸	0~998
	char                     szMachineName[256];    // ƻ
	char                     szMachineAddress[256]; // ص㼴·
	char                     szMachineGroup[256];   // 豸λ	ĬΪգûԽͬ豸Ϊһ飬ڹظ
	char					 szMachineID[64];		// , ƽ̨Ψһ
	int						 nLockLoginTimes;		// ½ʧܿɳԴ
	int						 nLoginFailLockTime;    // ½ʧʱ
	BOOL					 bLockLoginEnable;		// ½ʧܿɳԴʹ
    CFG_DATA_TIME            stuActivationTime;     // ʱ
	BYTE		             bReserved[916];        // ֽ
}CFG_DEV_DISPOSITION_INFO;
///@brief ٱ
typedef struct tagOVERSPEED_INFO
{
	int                      nSpeedingPercentage[2];                        // ٰٷֱҪ䲻صЧֵΪ0,,-1-1ʾֵ
	                                                                        // Ƿ٣Ҫ䲻صЧֵΪ0,,-1-1ʾֵǷٰٷֱȵļ㷽ʽ޵-ʵʳ/޵
	char                     szCode[MAX_VIOLATIONCODE];                     // Υ´
	char                     szDescription[MAX_VIOLATIONCODE_DESCRIPT];     // Υ

}CFG_OVERSPEED_INFO;

typedef CFG_OVERSPEED_INFO CFG_OVERSPEED_HIGHWAY_INFO;
typedef CFG_OVERSPEED_INFO CFG_UNDERSPEED_INFO;
typedef CFG_OVERSPEED_INFO CFG_BIG_CAR_OVERSPEED_INFO;

///@brief ViolationCode Υ´ñ
typedef struct tagVIOLATIONCODE_INFO
{
    char                szRetrograde[MAX_VIOLATIONCODE];			        // 
	char                szRetrogradeDesc[MAX_VIOLATIONCODE_DESCRIPT];              // ΥϢ
    char                szRetrogradeShowName[MAX_VIOLATIONCODE_DESCRIPT]; //ʾ

	char				szRetrogradeHighway[MAX_VIOLATIONCODE];		// -ٹ·
	char				szRetrogradeHighwayDesc[MAX_VIOLATIONCODE_DESCRIPT];		// ΥϢ

	char                szRunRedLight[MAX_VIOLATIONCODE];			// 
	char                szRunRedLightDesc[MAX_VIOLATIONCODE_DESCRIPT];			   // ΥϢ

	char                szCrossLane[MAX_VIOLATIONCODE];				// Υ±
	char                szCrossLaneDesc[MAX_VIOLATIONCODE_DESCRIPT];			   // ΥϢ
    char                szCrossLaneShowName[MAX_VIOLATIONCODE_DESCRIPT];    //Υ±ʾ

	char                szTurnLeft[MAX_VIOLATIONCODE];				// Υת
	char                szTurnLeftDesc[MAX_VIOLATIONCODE_DESCRIPT];				   // ΥϢ

	char                szTurnRight[MAX_VIOLATIONCODE];				// Υת
	char                szTurnRightDesc[MAX_VIOLATIONCODE_DESCRIPT];				// ΥϢ

	char                szU_Turn[MAX_VIOLATIONCODE];				// Υµͷ
	char                szU_TurnDesc[MAX_VIOLATIONCODE_DESCRIPT];				   // ΥϢ
    char                szU_TurnShowName[MAX_VIOLATIONCODE_DESCRIPT]; //ʾϢ

	char                szJam[MAX_VIOLATIONCODE];					// ͨӵ
	char                szJamDesc[MAX_VIOLATIONCODE_DESCRIPT];					   // ΥϢ

	char                szParking[MAX_VIOLATIONCODE];				// Υͣ
	char                szParkingDesc[MAX_VIOLATIONCODE_DESCRIPT];		 	      	// ΥϢ
    char                szParkingShowName[MAX_VIOLATIONCODE_DESCRIPT];   //Υͣʾ

	//   ٱ ֻұһ
	char                szOverSpeed[MAX_VIOLATIONCODE];				// 
	char                szOverSpeedDesc[MAX_VIOLATIONCODE_DESCRIPT];				// ΥϢ
	CFG_OVERSPEED_INFO  stOverSpeedConfig[5];                       // ٱ
	// (ٹ·)  ٱ(ٹ·) ֻұһ
	char                szOverSpeedHighway[MAX_VIOLATIONCODE];		// -ٹ·
	char                szOverSpeedHighwayDesc[MAX_VIOLATIONCODE_DESCRIPT];	      	// -ΥϢ
	CFG_OVERSPEED_HIGHWAY_INFO stOverSpeedHighwayConfig[5];         // ٱ

	// Ƿ  Ƿٱ ֻұһ
	char                szUnderSpeed[MAX_VIOLATIONCODE];	        // Ƿ
	char                szUnderSpeedDesc[MAX_VIOLATIONCODE_DESCRIPT];	            // ΥϢ
	CFG_UNDERSPEED_INFO stUnderSpeedConfig[5];                            // ǷϢ	һ飬ͬǷٱΥ´벻ͬΪձʾΥ´벻ֳٱ

	char                szOverLine[MAX_VIOLATIONCODE];				// ѹ
	char                szOverLineDesc[MAX_VIOLATIONCODE_DESCRIPT];			    	// ΥϢ
    char                szOverLineShowName[MAX_VIOLATIONCODE_DESCRIPT];  //ѹʾ

	char                szOverYellowLine[MAX_VIOLATIONCODE];	    // ѹ
	char                szOverYellowLineDesc[MAX_VIOLATIONCODE_DESCRIPT];	    	// ΥϢ

	char                szYellowInRoute[MAX_VIOLATIONCODE];			                // ռ
	char                szYellowInRouteDesc[MAX_VIOLATIONCODE_DESCRIPT];			// ռΥϢ

	char                szWrongRoute[MAX_VIOLATIONCODE];			                // ʻ
	char                szWrongRouteDesc[MAX_VIOLATIONCODE_DESCRIPT];				// ʻΥϢ

	char                szDrivingOnShoulder[MAX_VIOLATIONCODE];		                // ·ʻ
	char                szDrivingOnShoulderDesc[MAX_VIOLATIONCODE_DESCRIPT];		// ·ʻΥϢ

	char                szPassing[MAX_VIOLATIONCODE];                               // ʻ
	char                szPassingDesc[MAX_VIOLATIONCODE_DESCRIPT];               	// ʻΥϢ

	char                szNoPassing[MAX_VIOLATIONCODE];                             // ֹʻ
	char                szNoPassingDesc[MAX_VIOLATIONCODE_DESCRIPT]; 				// ֹʻΥϢ

	char                szFakePlate[MAX_VIOLATIONCODE];                             // 
	char                szFakePlateDesc[MAX_VIOLATIONCODE_DESCRIPT]; 				// ΥϢ
	
	char                szParkingSpaceParking[MAX_VIOLATIONCODE];                   // λг
	char                szParkingSpaceParkingDesc[MAX_VIOLATIONCODE_DESCRIPT]; 		// λгΥϢ

	char                szParkingSpaceNoParking[MAX_VIOLATIONCODE];                 // λ޳
	char                szParkingSpaceNoParkingDesc[MAX_VIOLATIONCODE_DESCRIPT]; 	// λ޳ΥϢ

    char                szWithoutSafeBelt[MAX_VIOLATIONCODE];                       // ϵȫ
    char                szWithoutSafeBeltShowName[MAX_VIOLATIONCODE_DESCRIPT];      // ϵȫʾ
    char                szWithoutSafeBeltDesc[MAX_VIOLATIONCODE_DESCRIPT]; 	        // ϵȫΥϢ

    char                szDriverSmoking[MAX_VIOLATIONCODE];                          // ʻԱ
    char                szDriverSmokingShowName[MAX_VIOLATIONCODE_DESCRIPT];         // ʻԱʾ
    char                szDriverSmokingDesc[MAX_VIOLATIONCODE_DESCRIPT]; 	         // ʻԱ̴ΥϢ

    char                szDriverCalling[MAX_VIOLATIONCODE];                         // ʻԱ绰
    char                szDriverCallingShowName[MAX_VIOLATIONCODE_DESCRIPT];        // ʻԱ绰ʾ
    char                szDriverCallingDesc[MAX_VIOLATIONCODE_DESCRIPT]; 	        // ʻԱ绰ΥϢ

    char                szBacking[MAX_VIOLATIONCODE];                               // Υµ
    char                szBackingShowName[MAX_VIOLATIONCODE_DESCRIPT];	            // Υµʾ
    char                szBackingDesc[MAX_VIOLATIONCODE_DESCRIPT];                  // ΥµϢ

    char                szVehicleInBusRoute[MAX_VIOLATIONCODE];                     // Υռ
    char                szVehicleInBusRouteShowName[MAX_VIOLATIONCODE_DESCRIPT];    // Υռʾ
    char                szVehicleInBusRouteDesc[MAX_VIOLATIONCODE_DESCRIPT];        // ΥռϢ

    char                szPedestrianRunRedLight[MAX_VIOLATIONCODE];                     // ˴
    char                szPedestrianRunRedLightShowName[MAX_VIOLATIONCODE_DESCRIPT];    // ˴ʾ
    char                szPedestrianRunRedLightDesc[MAX_VIOLATIONCODE_DESCRIPT];        // ˴Ϣ
    
    char                szPassNotInOrder[MAX_VIOLATIONCODE];                            // δ涨ͨ
    char                szPassNotInOrderShowName[MAX_VIOLATIONCODE_DESCRIPT];           // δ涨ͨʾ
    char                szPassNotInOrderDesc[MAX_VIOLATIONCODE_DESCRIPT];               // δ涨ͨϢ
	
	char				szTrafficBan[MAX_VIOLATIONCODE];								// Υʶ
	char				szTrafficBanShowName[MAX_VIOLATIONCODE_DESCRIPT];				// Υʶʾ
	char				szTrafficBanDesc[MAX_VIOLATIONCODE_DESCRIPT];					// Ϣ

	char                szParkingB[MAX_VIOLATIONCODE];						// BΥͣ
	char                szParkingBDesc[MAX_VIOLATIONCODE_DESCRIPT];		 	// BΥϢ
    char                szParkingBShowName[MAX_VIOLATIONCODE_DESCRIPT];   	// BΥͣʾ

	char                szParkingC[MAX_VIOLATIONCODE];						// CΥͣ
	char                szParkingCDesc[MAX_VIOLATIONCODE_DESCRIPT];		 	// CΥϢ
    char                szParkingCShowName[MAX_VIOLATIONCODE_DESCRIPT];   	// CΥͣʾ

	char                szParkingD[MAX_VIOLATIONCODE];						// DΥͣ
	char                szParkingDDesc[MAX_VIOLATIONCODE_DESCRIPT];		 	// DΥϢ
    char                szParkingDShowName[MAX_VIOLATIONCODE_DESCRIPT];   	// DΥͣʾ

	char                szNonMotorHoldUmbrella[MAX_VIOLATIONCODE];						// ǻװɡߴ
	char                szNonMotorHoldUmbrellaDesc[MAX_VIOLATIONCODE_DESCRIPT];		 	// ǻװɡϢ
	char                szNonMotorHoldUmbrellaShowName[MAX_VIOLATIONCODE_DESCRIPT];   	// ǻװɡʾ
    int                 nBigCarOverSpeedConfigNum;                  // 󳵳Ϣ
    CFG_BIG_CAR_OVERSPEED_INFO    stBigCarOverSpeedConfig[5];       // 󳵳Ϣ
}VIOLATIONCODE_INFO;

///@brief 
typedef enum tagEmCheckType
{
    EM_CHECK_TYPE_UNKNOWN,             // ʶļ
    EM_CHECK_TYPE_PHYSICAL,            // 
    EM_CHECK_TYPE_VIDEO,               // Ƶ
}EM_CHECK_TYPE;
///@brief öӦ¼Ϣ
typedef struct tagTrafficEventCheckInfo
{
    BOOL                abTrafficGate;                  // ǷЯͨϢ
    EM_CHECK_TYPE       emTrafficGate;                  // ͨڼ

    BOOL                abTrafficJunction;              // ǷЯͨ·Ϣ
    EM_CHECK_TYPE       emTrafficJunction;              // ͨ·ڼ

    BOOL                abTrafficTollGate;              // ǷЯ½ͨϢ
    EM_CHECK_TYPE       emTrafficTollGate;              // ½ͨڼ

    BOOL                abTrafficRunRedLight;           // ǷЯͨϢ
    EM_CHECK_TYPE       emTrafficRunRedLight;           // ͨƼ
    
    BOOL                abTrafficRunYellowLight;        // ǷЯͨƵϢ
    EM_CHECK_TYPE       emTrafficRunYellowLight;        // ͨƵƼ

    BOOL                abTrafficOverLine;              // ǷЯͨѹϢ
    EM_CHECK_TYPE       emTrafficOverLine;              // ͨѹ߼

    BOOL                abTrafficOverYellowLine;        // ǷЯͨѹϢ
    EM_CHECK_TYPE       emTrafficOverYellowLine;        // ͨѹ߼

    BOOL                abTrafficRetrograde;            // ǷЯͨϢ
    EM_CHECK_TYPE       emTrafficRetrograde;            // ͨм

    BOOL                abTrafficTurnLeft;              // ǷЯͨΥתϢ
    EM_CHECK_TYPE       emTrafficTurnLeft;              // ͨΥת

    BOOL                abTrafficTurnRight;             // ǷЯͨΥתϢ
    EM_CHECK_TYPE       emTrafficTurnRight;             // ͨ·Υת

    BOOL                abTrafficU_Turn;                // ǷЯͨΥµͷϢ
    EM_CHECK_TYPE       emTrafficU_Turn;                // ͨΥµͷ

    BOOL                abTrafficCrossLane;             // ǷЯͨΥ±Ϣ
    EM_CHECK_TYPE       emTrafficCrossLane;             // ͨΥ±

    BOOL                abTrafficParking;               // ǷЯͨΥͣϢ
    EM_CHECK_TYPE       emTrafficParking;               // ͨΥͣ

    BOOL                abTrafficJam;                   // ǷЯͨӵϢ
    EM_CHECK_TYPE       emTrafficJam;                   // ͨӵ¼

    BOOL                abTrafficIdle;                  // ǷЯͨͨϢ
    EM_CHECK_TYPE       emTrafficIdle;                  // ͨͨм

    BOOL                abTrafficWaitingArea;           // ǷЯͨΥʻϢ
    EM_CHECK_TYPE       emTrafficWaitingArea;           // ͨΥʻ

    BOOL                abTrafficUnderSpeed;            // ǷЯͨǷϢ
    EM_CHECK_TYPE       emTrafficUnderSpeed;            // ͨǷټ

    BOOL                abTrafficOverSpeed;             // ǷЯͨϢ
    EM_CHECK_TYPE       emTrafficOverSpeed;             // ͨټ

    BOOL                abTrafficWrongRoute;            // ǷЯͨʻϢ
    EM_CHECK_TYPE       emTrafficWrongRoute;            // ͨʻ

    BOOL                abTrafficYellowInRoute;         // ǷЯͨռϢ
    EM_CHECK_TYPE       emTrafficYellowInRoute;         // ͨռ

    BOOL                abTrafficVehicleInRoute;        // ǷЯͨгռϢ
    EM_CHECK_TYPE       emTrafficVehicleInRoute;        // ͨгռ

    BOOL                abTrafficControl;               // ǷЯͨͨϢ
    EM_CHECK_TYPE       emTrafficControl;               // ͨͨ

    BOOL                abTrafficObjectAlarm;           // ǷЯָͨץϢ
    EM_CHECK_TYPE       emTrafficObjectAlarm;           // ָͨץļ

    BOOL                abTrafficAccident;              // ǷЯͨͨ¹Ϣ
    EM_CHECK_TYPE       emTrafficAccident;              // ͨͨ¹ʼ

    BOOL                abTrafficStay;                  // ǷЯͨͨͣ/Ϣ
    EM_CHECK_TYPE       emTrafficStay;                  // ͨͨͣ/

    BOOL                abTrafficPedestrainPriority;    // ǷЯͨϢ
    EM_CHECK_TYPE       emTrafficPedestrainPriority;    // ͨȼ

    BOOL                abTrafficPedestrain;            // ǷЯͨͨ¼Ϣ
    EM_CHECK_TYPE       emTrafficPedestrain;            // ͨͨ¼

    BOOL                abTrafficThrow;                 // ǷЯͨͨƷ¼Ϣ
    EM_CHECK_TYPE       emTrafficThrow;                 // ͨͨƷ¼

    BOOL                abTrafficVehicleInBusRoute;     // ǷЯͨΥռϢ
    EM_CHECK_TYPE       emTrafficVehicleInBusRoute;     // ͨΥռ

    BOOL                abTrafficBacking;               // ǷЯͨΥµϢ
    EM_CHECK_TYPE       emTrafficBacking;               // ͨΥµ

    BOOL                abTrafficOverStopLine;          // ǷЯͨѹֹͣϢ
    EM_CHECK_TYPE       emTrafficOverStopLine;          // ͨѹֹͣ߼

    BOOL                abTrafficParkingOnYellowBox;    // ǷЯͨץϢ
    EM_CHECK_TYPE       emTrafficParkingOnYellowBox;    // ͨץļ

    BOOL                abTrafficParkingSpaceParking;   // ǷЯͨλгϢ
    EM_CHECK_TYPE       emTrafficParkingSpaceParking;   // ͨλг

    BOOL                abTrafficParkingSpaceNoParking; // ǷЯͨλ޳Ϣ
    EM_CHECK_TYPE       emTrafficParkingSpaceNoParking; // ͨλ޳

    BOOL                abTrafficParkingSpaceOverLine;  // ǷЯͨλгѹϢ
    EM_CHECK_TYPE       emTrafficParkingSpaceOverLine;  // ͨλгѹ߼

    BOOL                abParkingSpaceDetection;        // ǷЯͨͣλ״̬Ϣ
    EM_CHECK_TYPE       emParkingSpaceDetection;        // ͨͣλ״̬

    BOOL                abTrafficRestrictedPlate;       // ǷЯͨ޳Ϣ
    EM_CHECK_TYPE       emTrafficRestrictedPlate;       // ͨ޳Ƽ

    BOOL                abTrafficWithoutSafeBelt;       // ǷЯͨϵȫϢ
    EM_CHECK_TYPE       emTrafficWithoutSafeBelt;       // ͨϵȫ

    BOOL                abTrafficNoPassing;             // ǷЯͨϢ
    EM_CHECK_TYPE       emTrafficNoPassing;             // ͨм

    BOOL                abVehicleAnalyse;               // ǷЯͨϢ
    EM_CHECK_TYPE       emVehicleAnalyse;               // ͨ

    BOOL                abCrossLineDetection;           // ǷЯͨϢ
    EM_CHECK_TYPE       emCrossLineDetection;           // ͨ߼

    BOOL                abCrossFenceDetection;          // ǷЯͨԽΧϢ
    EM_CHECK_TYPE       emCrossFenceDetection;          // ͨԽΧ

    BOOL                abCrossRegionDetection;         // ǷЯͨϢ
    EM_CHECK_TYPE       emCrossRegionDetection;         // ͨ

    BOOL                abPasteDetection;               // ǷЯͨATMϢ
    EM_CHECK_TYPE       emPasteDetection;               // ͨATM

    BOOL                abLeftDetection;                // ǷЯͨƷϢ
    EM_CHECK_TYPE       emLeftDetection;                // ͨƷ

    BOOL                abPreservation;                 // ǷЯͨƷȫϢ
    EM_CHECK_TYPE       emPreservation;                 // ͨƷȫ

    BOOL                abTakenAwayDetection;           // ǷЯͨƷϢ
    EM_CHECK_TYPE       emTakenAwayDetection;           // ͨƷƼ

    BOOL                abStayDetection;                // ǷЯͨͣ/Ϣ
    EM_CHECK_TYPE       emStayDetection;                // ͨͣ/

    BOOL                abParkingDetection;             // ǷЯͨǷͣϢ
    EM_CHECK_TYPE       emParkingDetection;             // ͨǷͣ

    BOOL                abWanderDetection;              // ǷЯͨǻϢ
    EM_CHECK_TYPE       emWanderDetection;              // ͨǻ

    BOOL                abMoveDetection;                // ǷЯͨ˶Ϣ
    EM_CHECK_TYPE       emMoveDetection;                // ͨ˶

    BOOL                abTailDetection;                // ǷЯͨβϢ
    EM_CHECK_TYPE       emTailDetection;                // ͨβ

    BOOL                abRioterDetection;              // ǷЯͨۼϢ
    EM_CHECK_TYPE       emRioterDetection;              // ͨۼ

    BOOL                abFightDetection;               // ǷЯͨϢ
    EM_CHECK_TYPE       emFightDetection;               // ܼͨ

    BOOL                abRetrogradeDetection;          // ǷЯͨϢ
    EM_CHECK_TYPE       emRetrogradeDetection;          // ͨм

    BOOL                abFireDetection;                // ǷЯͨϢ
    EM_CHECK_TYPE       emFireDetection;                // ͨ

    BOOL                abSmokeDetection;               // ǷЯͨϢ
    EM_CHECK_TYPE       emSmokeDetection;               // ͨ

    BOOL                abNumberStat;                   // ǷЯͨͳϢ
    EM_CHECK_TYPE       emNumberStat;                   // ͨͳƼ

    BOOL                abVideoAbnormalDetection;       // ǷЯͨƵ쳣Ϣ
    EM_CHECK_TYPE       emVideoAbnormalDetection;       // ͨƵ쳣

    BOOL                abPSRiseDetection;        // ǷЯϢ
    EM_CHECK_TYPE       emPSRiseDetection;        // 

    BOOL                abFaceDetection;                // ǷЯϢ
    EM_CHECK_TYPE       emFaceDetection;                // 

    BOOL                abFaceRecognition;              // ǷЯĿʶϢ
    EM_CHECK_TYPE       emFaceRecognition;              // Ŀʶ

    BOOL                abDensityDetection;             // ǷЯܼȼϢ
    EM_CHECK_TYPE       emDensityDetection;             // ܼȼ

    BOOL                abQueueDetection;               // ǷЯŶӼϢ
    EM_CHECK_TYPE       emQueueDetection;               // ŶӼ

    BOOL                abClimbDetection;               // ǷЯʸ߼Ϣ
    EM_CHECK_TYPE       emClimbDetection;               // ʸ߼

    BOOL                abLeaveDetection;               // ǷЯڼϢ
    EM_CHECK_TYPE       emLeaveDetection;               // ڼ

    BOOL                abVehicleOnPoliceCar;           // ǷЯؾϢ
    EM_CHECK_TYPE       emVehicleOnPoliceCar;           // ؾ

    BOOL                abVehicleOnBus;                 // ǷЯعϢ
    EM_CHECK_TYPE       emVehicleOnBus;                 // ع

    BOOL                abVehicleOnSchoolBus;           // ǷЯУϢ
    EM_CHECK_TYPE       emVehicleOnSchoolBus;           // У  

	BOOL				abStandUpDetection;				// ǷЯѧϢ
	EM_CHECK_TYPE		emStandUpDetection;				// ѧ
}TRAFFIC_EVENT_CHECK_INFO;  
///@brief Υֵ֧ļģʽ
typedef struct tagTrafficEventCheckMask
{
    BOOL                abTrafficGate;                  // ǷЯͨϢ
    int                 nTrafficGate;                   // ͨڼģʽ

    BOOL                abTrafficJunction;              // ǷЯͨ·Ϣ
    int                 nTrafficJunction;               // ͨ·ڼģʽ

    BOOL                abTrafficTollGate;              // ǷЯ½ͨϢ
    int                 nTrafficTollGate;               // ½ͨڼģʽ

    BOOL                abTrafficRunRedLight;           // ǷЯͨϢ
    int                 nTrafficRunRedLight;            // ͨƼģʽ
    
    BOOL                abTrafficRunYellowLight;        // ǷЯͨƵϢ
    int                 nTrafficRunYellowLight;         // ͨƵƼģʽ

    BOOL                abTrafficOverLine;              // ǷЯͨѹϢ
    int                 nTrafficOverLine;               // ͨѹ߼ģʽ

    BOOL                abTrafficOverYellowLine;        // ǷЯͨѹϢ
    int                 nTrafficOverYellowLine;         // ͨѹ߼ģʽ

    BOOL                abTrafficRetrograde;            // ǷЯͨϢ
    int                 nTrafficRetrograde;             // ͨмģʽ

    BOOL                abTrafficTurnLeft;              // ǷЯͨΥתϢ
    int                 nTrafficTurnLeft;               // ͨΥתģʽ

    BOOL                abTrafficTurnRight;             // ǷЯͨΥתϢ
    int                 nTrafficTurnRight;              // ͨ·Υת

    BOOL                abTrafficU_Turn;                // ǷЯͨΥµͷϢ
    int                 nTrafficU_Turn;                 // ͨΥµͷģʽ

    BOOL                abTrafficCrossLane;             // ǷЯͨΥ±Ϣ
    int                 nTrafficCrossLane;              // ͨΥ±ģʽ

    BOOL                abTrafficParking;               // ǷЯͨΥͣϢ
    int                 nTrafficParking;                // ͨΥͣģʽ

    BOOL                abTrafficJam;                   // ǷЯͨӵϢ
    int                 nTrafficJam;                    // ͨӵ¼ģʽ

    BOOL                abTrafficIdle;                  // ǷЯͨͨϢ
    int                 nTrafficIdle;                   // ͨͨмģʽ

    BOOL                abTrafficWaitingArea;           // ǷЯͨΥʻϢ
    int                 nTrafficWaitingArea;            // ͨΥʻģʽ

    BOOL                abTrafficUnderSpeed;            // ǷЯͨǷϢ
    int                 nTrafficUnderSpeed;             // ͨǷټģʽ

    BOOL                abTrafficOverSpeed;             // ǷЯͨϢ
    int                 nTrafficOverSpeed;              // ͨټģʽ

    BOOL                abTrafficWrongRoute;            // ǷЯͨʻϢ
    int                 nTrafficWrongRoute;             // ͨʻģʽ

    BOOL                abTrafficYellowInRoute;         // ǷЯͨռϢ
    int                 nTrafficYellowInRoute;          // ͨռģʽ

    BOOL                abTrafficVehicleInRoute;        // ǷЯͨгռϢ
    int                 nTrafficVehicleInRoute;         // ͨгռģʽ

    BOOL                abTrafficControl;               // ǷЯͨͨϢ
    int                 nTrafficControl;                // ͨͨģʽ

    BOOL                abTrafficObjectAlarm;           // ǷЯָͨץϢ
    int                 nTrafficObjectAlarm;            // ָͨץļģʽ

    BOOL                abTrafficAccident;              // ǷЯͨͨ¹Ϣ
    int                 nTrafficAccident;               // ͨͨ¹ʼģʽ

    BOOL                abTrafficStay;                  // ǷЯͨͨͣ/Ϣ
    int                 nTrafficStay;                   // ͨͨͣ/ģʽ

    BOOL                abTrafficPedestrainPriority;    // ǷЯͨϢ
    int                 nTrafficPedestrainPriority;     // ͨȼģʽ

    BOOL                abTrafficPedestrain;            // ǷЯͨͨ¼Ϣ
    int                 nTrafficPedestrain;             // ͨͨ¼ģʽ

    BOOL                abTrafficThrow;                 // ǷЯͨͨƷ¼Ϣ
    int                 nTrafficThrow;                  // ͨͨƷ¼ģʽ

    BOOL                abTrafficVehicleInBusRoute;     // ǷЯͨΥռϢ
    int                 nTrafficVehicleInBusRoute;      // ͨΥռģʽ

    BOOL                abTrafficBacking;               // ǷЯͨΥµϢ
    int                 nTrafficBacking;                // ͨΥµģʽ

    BOOL                abTrafficOverStopLine;          // ǷЯͨѹֹͣϢ
    int                 nTrafficOverStopLine;           // ͨѹֹͣ߼ģʽ

    BOOL                abTrafficParkingOnYellowBox;    // ǷЯͨץϢ
    int                 nTrafficParkingOnYellowBox;     // ͨץļģʽ

    BOOL                abTrafficParkingSpaceParking;   // ǷЯͨλгϢ
    int                 nTrafficParkingSpaceParking;    // ͨλгģʽ

    BOOL                abTrafficParkingSpaceNoParking; // ǷЯͨλ޳Ϣ
    int                 nTrafficParkingSpaceNoParking;  // ͨλ޳ģʽ

    BOOL                abTrafficParkingSpaceOverLine;  // ǷЯͨλгѹϢ
    int                 nTrafficParkingSpaceOverLine;   // ͨλгѹ߼ģʽ

    BOOL                abParkingSpaceDetection;        // ǷЯͨͣλ״̬Ϣ
    int                 nParkingSpaceDetection;         // ͨͣλ״̬ģʽ

    BOOL                abTrafficRestrictedPlate;       // ǷЯͨ޳Ϣ
    int                 nTrafficRestrictedPlate;        // ͨ޳Ƽģʽ

    BOOL                abTrafficWithoutSafeBelt;       // ǷЯͨϵȫϢ
    int                 nTrafficWithoutSafeBelt;        // ͨϵȫģʽ

    BOOL                abTrafficNoPassing;             // ǷЯͨϢ
    int                 nTrafficNoPassing;              // ͨмģʽ

    BOOL                abVehicleAnalyse;               // ǷЯͨϢ
    int                 nVehicleAnalyse;                // ͨģʽ

    BOOL                abCrossLineDetection;           // ǷЯͨϢ
    int                 nCrossLineDetection;            // ͨ߼ģʽ

    BOOL                abCrossFenceDetection;          // ǷЯͨԽΧϢ
    int                 nCrossFenceDetection;           // ͨԽΧģʽ

    BOOL                abCrossRegionDetection;         // ǷЯͨϢ
    int                 nCrossRegionDetection;          // ͨģʽ

    BOOL                abPasteDetection;               // ǷЯͨATMϢ
    int                 nPasteDetection;                // ͨATMģʽ

    BOOL                abLeftDetection;                // ǷЯͨƷϢ
    int                 nLeftDetection;                 // ͨƷģʽ

    BOOL                abPreservation;                 // ǷЯͨƷȫϢ
    int                 nPreservation;                  // ͨƷȫģʽ

    BOOL                abTakenAwayDetection;           // ǷЯͨƷϢ
    int                 nTakenAwayDetection;            // ͨƷƼģʽ

    BOOL                abStayDetection;                // ǷЯͨͣ/Ϣ
    int                 nStayDetection;                 // ͨͣ/ģʽ

    BOOL                abParkingDetection;             // ǷЯͨǷͣϢ
    int                 nParkingDetection;              // ͨǷͣģʽ

    BOOL                abWanderDetection;              // ǷЯͨǻϢ
    int                 nWanderDetection;               // ͨǻģʽ

    BOOL                abMoveDetection;                // ǷЯͨ˶Ϣ
    int                 nMoveDetection;                 // ͨ˶ģʽ

    BOOL                abTailDetection;                // ǷЯͨβϢ
    int                 nTailDetection;                 // ͨβģʽ

    BOOL                abRioterDetection;              // ǷЯͨۼϢ
    int                 nRioterDetection;               // ͨۼģʽ

    BOOL                abFightDetection;               // ǷЯͨϢ
    int                 nFightDetection;                // ܼͨģʽ

    BOOL                abRetrogradeDetection;          // ǷЯͨϢ
    int                 nRetrogradeDetection;           // ͨмģʽ

    BOOL                abFireDetection;                // ǷЯͨϢ
    int                 nFireDetection;                 // ͨģʽ

    BOOL                abSmokeDetection;               // ǷЯͨϢ
    int                 nSmokeDetection;                // ͨģʽ

    BOOL                abNumberStat;                   // ǷЯͨͳϢ
    int                 nNumberStat;                    // ͨͳƼģʽ

    BOOL                abVideoAbnormalDetection;       // ǷЯͨƵ쳣Ϣ
    int                 nVideoAbnormalDetection;        // ͨƵ쳣ģʽ

    BOOL                abPSRiseDetection;        // ǷЯϢ
    int                 nPSRiseDetection;         // ģʽ

    BOOL                abFaceDetection;                // ǷЯϢ
    int                 nFaceDetection;                 // ģʽ

    BOOL                abFaceRecognition;              // ǷЯĿʶϢ
    int                 nFaceRecognition;               // Ŀʶģʽ

    BOOL                abDensityDetection;             // ǷЯܼȼϢ
    int                 nDensityDetection;              // ܼȼģʽ

    BOOL                abQueueDetection;               // ǷЯŶӼϢ
    int                 nQueueDetection;                // ŶӼģʽ

    BOOL                abClimbDetection;               // ǷЯʸ߼Ϣ
    int                 nClimbDetection;                // ʸ߼ģʽ

    BOOL                abLeaveDetection;               // ǷЯڼϢ
    int                 nLeaveDetection;                // ڼģʽ

    BOOL                abVehicleOnPoliceCar;           // ǷЯؾϢ
    int                 nVehicleOnPoliceCar;            // ؾģʽ

    BOOL                abVehicleOnBus;                 // ǷЯعϢ
    int                 nVehicleOnBus;                  // عģʽ

    BOOL                abVehicleOnSchoolBus;           // ǷЯУϢ
    int                 nVehicleOnSchoolBus;            // Уģʽ 
}TRAFFIC_EVENT_CHECK_MASK;  

///@brief Υץʱñ
typedef struct tagTimeScheduleInfo
{
    BOOL                bEnable;                                              // Ƿʱ
    CFG_TIME_SECTION    stuTimeSchedule[WEEK_DAY_NUM][MAX_REC_TSECT];         // ʱ
}TIME_SCHEDULE_INFO;

///@brief ΥץԶʱ
typedef struct tagViolationTimeSchedule
{
    BOOL                abTrafficGate;                  // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stTrafficGate;                  // ͨʱ

    BOOL                abTrafficJunction;              // ǷЯͨ·Ϣ
    TIME_SCHEDULE_INFO  stTrafficJunction;              // ͨ·ʱ

    BOOL                abTrafficTollGate;              // ǷЯ½ͨϢ
    TIME_SCHEDULE_INFO  stTrafficTollGate;              // ½ͨʱ

    BOOL                abTrafficRunRedLight;           // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stTrafficRunRedLight;           // ͨʱ
    
    BOOL                abTrafficRunYellowLight;        // ǷЯͨƵϢ
    TIME_SCHEDULE_INFO  stTrafficRunYellowLight;        // ͨƵʱ

    BOOL                abTrafficOverLine;              // ǷЯͨѹϢ
    TIME_SCHEDULE_INFO  stTrafficOverLine;              // ͨѹʱ

    BOOL                abTrafficOverYellowLine;        // ǷЯͨѹϢ
    TIME_SCHEDULE_INFO  stTrafficOverYellowLine;        // ͨѹʱ

    BOOL                abTrafficRetrograde;            // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stTrafficRetrograde;            // ͨʱ

    BOOL                abTrafficTurnLeft;              // ǷЯͨΥתϢ
    TIME_SCHEDULE_INFO  stTrafficTurnLeft;              // ͨΥתʱ

    BOOL                abTrafficTurnRight;             // ǷЯͨΥתϢ
    TIME_SCHEDULE_INFO  stTrafficTurnRight;             // ͨ·Υת

    BOOL                abTrafficU_Turn;                // ǷЯͨΥµͷϢ
    TIME_SCHEDULE_INFO  stTrafficU_Turn;                // ͨΥµͷʱ

    BOOL                abTrafficCrossLane;             // ǷЯͨΥ±Ϣ
    TIME_SCHEDULE_INFO  stTrafficCrossLane;             // ͨΥ±ʱ

    BOOL                abTrafficParking;               // ǷЯͨΥͣϢ
    TIME_SCHEDULE_INFO  stTrafficParking;               // ͨΥͣʱ

    BOOL                abTrafficJam;                   // ǷЯͨӵϢ
    TIME_SCHEDULE_INFO  stTrafficJam;                   // ͨӵʱ

    BOOL                abTrafficIdle;                  // ǷЯͨͨϢ
    TIME_SCHEDULE_INFO  stTrafficIdle;                  // ͨͨʱ

    BOOL                abTrafficWaitingArea;           // ǷЯͨΥʻϢ
    TIME_SCHEDULE_INFO  stTrafficWaitingArea;           // ͨΥʻʱ

    BOOL                abTrafficUnderSpeed;            // ǷЯͨǷϢ
    TIME_SCHEDULE_INFO  stTrafficUnderSpeed;            // ͨǷʱ

    BOOL                abTrafficOverSpeed;             // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stTrafficOverSpeed;             // ͨʱ

    BOOL                abTrafficWrongRoute;            // ǷЯͨʻϢ
    TIME_SCHEDULE_INFO  stTrafficWrongRoute;            // ͨʻʱ

    BOOL                abTrafficYellowInRoute;         // ǷЯͨռϢ
    TIME_SCHEDULE_INFO  stTrafficYellowInRoute;         // ͨռʱ

    BOOL                abTrafficVehicleInRoute;        // ǷЯͨгռϢ
    TIME_SCHEDULE_INFO  stTrafficVehicleInRoute;        // ͨгռʱ

    BOOL                abTrafficControl;               // ǷЯͨͨϢ
    TIME_SCHEDULE_INFO  stTrafficControl;               // ͨͨʱ

    BOOL                abTrafficObjectAlarm;           // ǷЯָͨץϢ
    TIME_SCHEDULE_INFO  stTrafficObjectAlarm;           // ָͨץʱ

    BOOL                abTrafficAccident;              // ǷЯͨͨ¹Ϣ
    TIME_SCHEDULE_INFO  stTrafficAccident;              // ͨͨ¹ʱ

    BOOL                abTrafficStay;                  // ǷЯͨͨͣ/Ϣ
    TIME_SCHEDULE_INFO  stTrafficStay;                  // ͨͨͣ/ʱ

    BOOL                abTrafficPedestrainPriority;    // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stTrafficPedestrainPriority;    // ͨʱ

    BOOL                abTrafficPedestrain;            // ǷЯͨͨ¼Ϣ
    TIME_SCHEDULE_INFO  stTrafficPedestrain;            // ͨͨ¼ʱ

    BOOL                abTrafficThrow;                 // ǷЯͨͨƷ¼Ϣ
    TIME_SCHEDULE_INFO  stTrafficThrow;                 // ͨͨƷ¼ʱ

    BOOL                abTrafficVehicleInBusRoute;     // ǷЯͨΥռϢ
    TIME_SCHEDULE_INFO  stTrafficVehicleInBusRoute;     // ͨΥռʱ

    BOOL                abTrafficBacking;               // ǷЯͨΥµϢ
    TIME_SCHEDULE_INFO  stTrafficBacking;               // ͨΥµʱ

    BOOL                abTrafficOverStopLine;          // ǷЯͨѹֹͣϢ
    TIME_SCHEDULE_INFO  stTrafficOverStopLine;          // ͨѹֹͣʱ

    BOOL                abTrafficParkingOnYellowBox;    // ǷЯͨץϢ
    TIME_SCHEDULE_INFO  stTrafficParkingOnYellowBox;    // ͨץʱ

    BOOL                abTrafficParkingSpaceParking;   // ǷЯͨλгϢ
    TIME_SCHEDULE_INFO  stTrafficParkingSpaceParking;   // ͨλгʱ

    BOOL                abTrafficParkingSpaceNoParking; // ǷЯͨλ޳Ϣ
    TIME_SCHEDULE_INFO  stTrafficParkingSpaceNoParking; // ͨλ޳ʱ

    BOOL                abTrafficParkingSpaceOverLine;  // ǷЯͨλгѹϢ
    TIME_SCHEDULE_INFO  stTrafficParkingSpaceOverLine;  // ͨλгѹʱ

    BOOL                abParkingSpaceDetection;        // ǷЯͨͣλ״̬Ϣ
    TIME_SCHEDULE_INFO  stParkingSpaceDetection;        // ͨͣλ״̬ʱ

    BOOL                abTrafficRestrictedPlate;       // ǷЯͨ޳Ϣ
    TIME_SCHEDULE_INFO  stTrafficRestrictedPlate;       // ͨ޳ʱ

    BOOL                abTrafficWithoutSafeBelt;       // ǷЯͨϵȫϢ
    TIME_SCHEDULE_INFO  stTrafficWithoutSafeBelt;       // ͨϵȫʱ

    BOOL                abTrafficNoPassing;             // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stTrafficNoPassing;             // ͨʱ

    BOOL                abVehicleAnalyse;               // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stVehicleAnalyse;               // ͨʱ

    BOOL                abCrossLineDetection;           // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stCrossLineDetection;           // ͨʱ

    BOOL                abCrossFenceDetection;          // ǷЯͨԽΧϢ
    TIME_SCHEDULE_INFO  stCrossFenceDetection;          // ͨԽΧʱ

    BOOL                abCrossRegionDetection;         // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stCrossRegionDetection;         // ͨʱ

    BOOL                abPasteDetection;               // ǷЯͨATMϢ
    TIME_SCHEDULE_INFO  stPasteDetection;               // ͨATMʱ

    BOOL                abLeftDetection;                // ǷЯͨƷϢ
    TIME_SCHEDULE_INFO  stLeftDetection;                // ͨƷʱ

    BOOL                abPreservation;                 // ǷЯͨƷȫϢ
    TIME_SCHEDULE_INFO  stPreservation;                 // ͨƷȫʱ

    BOOL                abTakenAwayDetection;           // ǷЯͨƷϢ
    TIME_SCHEDULE_INFO  stTakenAwayDetection;           // ͨƷʱ

    BOOL                abStayDetection;                // ǷЯͨͣ/Ϣ
    TIME_SCHEDULE_INFO  stStayDetection;                // ͨͣ/ʱ

    BOOL                abParkingDetection;             // ǷЯͨǷͣϢ
    TIME_SCHEDULE_INFO  stParkingDetection;             // ͨǷͣʱ

    BOOL                abWanderDetection;              // ǷЯͨǻϢ
    TIME_SCHEDULE_INFO  stWanderDetection;              // ͨǻʱ

    BOOL                abMoveDetection;                // ǷЯͨ˶Ϣ
    TIME_SCHEDULE_INFO  stMoveDetection;                // ͨ˶ʱ

    BOOL                abTailDetection;                // ǷЯͨβϢ
    TIME_SCHEDULE_INFO  stTailDetection;                // ͨβʱ

    BOOL                abRioterDetection;              // ǷЯͨۼϢ
    TIME_SCHEDULE_INFO  stRioterDetection;              // ͨۼʱ

    BOOL                abFightDetection;               // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stFightDetection;               // ͨʱ

    BOOL                abRetrogradeDetection;          // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stRetrogradeDetection;          // ͨʱ

    BOOL                abFireDetection;                // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stFireDetection;                // ͨʱ

    BOOL                abSmokeDetection;               // ǷЯͨϢ
    TIME_SCHEDULE_INFO  stSmokeDetection;               // ͨʱ

    BOOL                abNumberStat;                   // ǷЯͨͳϢ
    TIME_SCHEDULE_INFO  stNumberStat;                   // ͨͳʱ

    BOOL                abVideoAbnormalDetection;       // ǷЯͨƵ쳣Ϣ
    TIME_SCHEDULE_INFO  stVideoAbnormalDetection;       // ͨƵ쳣ʱ

    BOOL                abPSRiseDetection;        // ǷЯϢ
    TIME_SCHEDULE_INFO  stPSRiseDetection;        // ʱ

    BOOL                abFaceDetection;                // ǷЯϢ
    TIME_SCHEDULE_INFO  stFaceDetection;                // ʱ

    BOOL                abFaceRecognition;              // ǷЯĿʶϢ
    TIME_SCHEDULE_INFO  stFaceRecognition;              // Ŀʶʱ

    BOOL                abDensityDetection;             // ǷЯܼȼϢ
    TIME_SCHEDULE_INFO  stDensityDetection;             // ܼȼʱ

    BOOL                abQueueDetection;               // ǷЯŶӼϢ
    TIME_SCHEDULE_INFO  stQueueDetection;               // ŶӼʱ

    BOOL                abClimbDetection;               // ǷЯʸ߼Ϣ
    TIME_SCHEDULE_INFO  stClimbDetection;               // ʸʱ

    BOOL                abLeaveDetection;               // ǷЯڼϢ
    TIME_SCHEDULE_INFO  stLeaveDetection;               // ʱ

    BOOL                abVehicleOnPoliceCar;           // ǷЯؾϢ
    TIME_SCHEDULE_INFO  stVehicleOnPoliceCar;           // ؾʱ

    BOOL                abVehicleOnBus;                 // ǷЯعϢ
    TIME_SCHEDULE_INFO  stVehicleOnBus;                 // عʱ

    BOOL                abVehicleOnSchoolBus;           // ǷЯУϢ
    TIME_SCHEDULE_INFO  stVehicleOnSchoolBus;           // Уʱ

	BOOL                abTrafficNonMotorHoldUmbrella;  // ǷЯǻװɡʱ
	TIME_SCHEDULE_INFO  stTrafficNonMotorHoldUmbrella;  // ǻװɡʱ
}VIOLATION_TIME_SCHEDULE;

///@brief MixModeConfigйڳϢ
typedef struct tagMixModeLaneInfo
{
    unsigned int                nLaneNum;                           // ø
    TRAFFIC_EVENT_CHECK_INFO    stCheckInfo[MAX_LANE_CONFIG_NUMBER];     // öӦ¼Ϣ
}MIX_MODE_LANE_INFO;

///@brief MixModeConfig ģʽΥ
typedef struct tagMIX_MODE_CONFIG
{
	BOOL                        bLaneDiffEnable;                    // Ƿ񰴳
	MIX_MODE_LANE_INFO          stLaneInfo;
    TRAFFIC_EVENT_CHECK_INFO    stCheckInfo;
}MIX_MODE_CONFIG;
///@brief 궨Ч
typedef struct tagPeriodOfValidity
{
    CFG_NET_TIME            stBeginTime;                    // 궨ʼʱ 
    CFG_NET_TIME            stEndTime;                      // 궨ʱ
}PERIOD_OF_VALIDITY;

///@brief ͨȫöӦ궨
typedef struct tagTrafficCalibrationInfo
{
    char                    szUnit[CFG_COMMON_STRING_256];              // 궨λ
    char                    szCertificate[CFG_COMMON_STRING_256];       // 궨֤
    PERIOD_OF_VALIDITY      stPeriodOfValidity;                         // 궨Ч
}TRAFFIC_CALIBRATION_INFO;

///@brief ͨöӦ
typedef enum tagEmTransferPolicy
{
    EM_TRAFFIC_TRANSFER_UNKNOWN,            // δ֪
    EM_TRAFFIC_TRANSFER_REALTIME,           // "RealtimePriority" ʵʱ
    EM_TRAFFIC_TRANSFER_SEQUENCE,           // "SequencePriority" ˳

}EM_TRANSFER_POLICY;

///@brief ͨȫöӦͼƬʽ
typedef struct tagTrafficNamingFormat
{
    char                    szFormat[CFG_COMMON_STRING_256];            // ͼƬʽ
}TRAFFIC_NAMING_FORMAT;

///@brief ͨȫöӦ״̬
typedef struct tagEnableLightStateInfo
{
    BOOL                    bEnable;      // ǷӦòյĵ״̬ײ
}ENABLE_LIGHT_STATE_INFO;

///@brief CFG_CMD_TRAFFICGLOBAL ͨȫñ
typedef struct tagCFG_TRAFFICGLOBAL_INFO
{
	VIOLATIONCODE_INFO      stViolationCode;                            // Υ´ñ                          
    BOOL                    bEnableRedList;                             // ʹܺ⣬ʹܺڳΥ²ϱ

    BOOL                    abViolationTimeSchedule;                    // ǷЯΥץԶʱ
    VIOLATION_TIME_SCHEDULE stViolationTimeSchedule;                    // ΥץԶʱ
    
    BOOL                    abEnableBlackList;                          // ǷЯʹֹܽϢ
    BOOL                    bEnableBlackList;                           // ʹֹܽ

    BOOL                    abPriority;                                 // ǷЯΥȼ
    unsigned int            nPriority;                                  // Υȼ
    char                    szPriority[MAX_PRIORITY_NUMBER][CFG_COMMON_STRING_256]; // Υȼ, 0Ϊȼ    

    BOOL                    abNamingFormat;                             // ǷЯͼƬʽ
    TRAFFIC_NAMING_FORMAT   stNamingFormat;                             // ͼƬʽ

    BOOL                    abVideoNamingFormat;                        // ǷЯ¼ʽ
    TRAFFIC_NAMING_FORMAT   stVideoNamingFormat;                        // ¼ʽ

    BOOL                    abCalibration;                              // ǷЯ궨Ϣ
    TRAFFIC_CALIBRATION_INFO stCalibration;                             // 궨Ϣ
    
    BOOL                    abAddress;                                  // ǷЯѯַ
    char                    szAddress[CFG_COMMON_STRING_256];           // ѯַUTF-8

    BOOL                    abTransferPolicy;                           // ǷЯԲ
    EM_TRANSFER_POLICY      emTransferPolicy;                           // 

    BOOL                    abSupportModeMaskConfig;                    // ǷЯΥ 
    TRAFFIC_EVENT_CHECK_MASK stSupportModeMaskConfig;                   // Υֵ֧ļģʽ

    BOOL                    abIsEnableLightState;                       // ǷЯ״̬
    ENABLE_LIGHT_STATE_INFO stIsEnableLightState;                       // ͨȫöӦͼƬʽ
    
    BOOL                    abMixModeInfo;                              // Ƿлģʽ
    MIX_MODE_CONFIG         stMixModeInfo;                              // ģʽ
}CFG_TRAFFICGLOBAL_INFO;

#define DH_MAX_QUALITY_REGION_NUM 8
///@brief CFG_CMD_VIDEOENCODEROI ƵROI(Region of Intrest)
typedef struct tagCFG_VIDEOENCODEROI_INFO
{
	int      nRegionNum;                               // Ż
	CFG_RECT stRegions[DH_MAX_QUALITY_REGION_NUM];     // Ż ֶ֧ŻʹϵȡֵΪ0~8191
	BYTE     byQuality;        // ͼ ȡֵ1~6ֵԽͼԽ
	bool     bMain;            // ŻƵ
	bool     bExtra1;          // Ż1Ƶ	
	bool     bExtra2;          // Ż2Ƶ
	bool     bExtra3;          // Ż3Ƶ
	bool     bSnapshot;        // Żץͼ
	BYTE     byReserved2[1];   // 
    BYTE     byDynamicTrack;   // ̬ģ״̬ 0-ͼ 1-Զ̬ʶǿ 2-Զ̬ʶģ()
    int      nDynamicDelayTime; // ̬ģʱʱ, Ĭ60s λ 
}CFG_VIDEOENCODEROI_INFO;

///@brief ATMȡʱ
typedef struct tagCFG_ATMMOTION_INFO
{
	int nTimeLimit;            // ȡʱʱ,λ:
}CFG_ATMMOTION_INFO;
///@brief SNAPSOURCE_INFO_SINGLE_CHANNELĵַ
typedef struct tagCFG_SNAPSOURCE_INFO_SINGLE_CHANNEL
{
	bool		bEnable;			// ʹ
	BYTE		bReserved1[3];		// ֶΣ
	BYTE		bDevice[64];		// 豸
	DWORD		dwChannel;			// Ƶͨ
	DWORD		dwLinkVideoChannel; // ץͼͨӦƵͨ
	BYTE		bReserved[512];		// ֶ
}SNAPSOURCE_INFO_SINGLE_CHANNEL;
///@brief ץͼԴ
typedef struct tagCFG_SNAPSOURCE_INFO
{
	DWORD dwCount;												//Ҫõͨĸ
	SNAPSOURCE_INFO_SINGLE_CHANNEL singleChnSanpInfo[MAX_VIDEO_CHANNEL_NUM];	//SNAPSOURCE_INFO_SINGLE_CHANNELĵַ
}CFG_SNAPSOURCE_INFO;
///@brief 豸״̬
typedef struct tagDEVICE_STATUS
{
	char	szDeviceName[MAX_REMOTEDEVICENAME_LEN];	//Զ豸
	BYTE	bDeviceStatus;							//Զ豸״̬ 0 1
	BYTE	bReserved[63];							//ֽ
}DEVICE_STATUS;
///@brief ȡ豸ĵ״̬
typedef struct tagCFG_REMOTE_DEVICE_STATUS
{
	DEVICE_STATUS devStatus[MAX_REMOTE_DEV_NUM]; //豸״̬
	DWORD		  dwDevCount;					 //豸
	BYTE		  bReserved[1024];				 //ֽ
}CFG_REMOTE_DEVICE_STATUS;

#define MAX_COAXIAL_ALARM_COUNT		64

///@brief ͬᱨ
typedef enum tagEM_COAXIAL_ALARM_TYPE
{
	EM_COAXIAL_ALARM_TYPE_UNKNOWN,					// δ֪
	EM_COAXIAL_ALARM_TYPE_EXT_ALARM,				// ͬԴⲿ
	EM_COAXIAL_ALARM_TYPE_MOTION_ALARM,				// ͬԴ챨
	EM_COAXIAL_ALARM_TYPE_VOLTAGE_ALARM,			// ͬԴѹ
	EM_COAXIAL_ALARM_TYPE_ALARM_LOCAL,				// ͬط
	EM_COAXIAL_ALARM_TYPE_ALARM_BEL,				// ͬر
	EM_COAXIAL_ALARM_TYPE_TEMPERATURE_ALARM,		// ͬ¶ȱ
	EM_COAXIAL_ALARM_TYPE_HUMIDITY_ALARM,			// ͬʪȱ
} EM_COAXIAL_ALARM_TYPE;

///@brief ƷϢ
typedef struct tagCFG_PRODUCT_DEFINITION_INFO
{
	int						nCoaxialAlarmCount;									// 豸ֵ֧ı
	EM_COAXIAL_ALARM_TYPE	emCoaxialAlarm[MAX_COAXIAL_ALARM_COUNT];			// 豸ֵ֧ı
} CFG_PRODUCT_DEFINITION_INFO;

//----------------------------Ƶ------------------------------
///@brief ¼ EVENT_IVS_AUDIO_ABNORMALDETECTION (쳣¼)Ӧ
typedef struct tagCFG_IVS_AUDIO_ABNORMALDETECTION_INFO
{
	char				szRuleName[MAX_NAME_LEN];								// ,ͬ
	bool				bRuleEnable;											// ʹ
	BYTE                bReserved[3];                                           // ֶ
	int                 nDecibel;                                               // ǿȣλ db
	int                 nFrequency;                                             // Ƶ, λ Hz
	int                 nMinDuration;                                           // ̳ʱ, λ s
	CFG_ALARM_MSG_HANDLE stuEventHandler;										// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];			// ¼Ӧʱ
}CFG_IVS_AUDIO_ABNORMALDETECTION_INFO;
///@brief ȡƵ
typedef struct tagCFG_CAP_AUDIO_ANALYSE_INFO
{
	int                 nSupportedRuleNum;                                      // ֵ֧Ĺ
	DWORD               dwSupportedRules[MAX_RULE_LIST_SIZE];                   // ֵ֧Ĺ
}CFG_CAP_AUDIO_ANALYSE_INFO;

//------------------------IPS && SVR------------------------------

///@brief 豸״̬Ϣ
typedef struct tagCFG_DEVICESTATUS_INFO
{
	int                 nPowerNum;                               // Դ
	BYTE                byPowerStatus[MAX_POWER_NUM];            // Դ״̬1: 2:쳣 3:δ֪
	int                 nCPUNum;                                 // CPU
	int                 nCPUTemperature[MAX_CPU_NUM];            // CPU¶
	int                 nFanNum;                                 // ȸ
	int                 nRotatoSpeed[MAX_FUN_NUM];               // ת
}CFG_DEVICESTATUS_INFO;

///@brief չϢ
typedef struct tagCFG_HARDDISK_INFO 
{
	int                     nChannel;                        // ͨ
	int                     nCapacity;                       // Ӳ 
	BYTE                    byStatus;                        // Ӳ״̬0:unknown 1:running 2:fail 3.spareȱ
															 // 4.syncͬ 5.faultyʧЧ 6.rebuildingؽ 7.removeƳ 8.sleep
	BYTE                    byUsedStatus;                    // ʹ״̬1. 2. 3.δ֪
    BYTE                    byHotBack;                       // Ƿọ̇̄0:ȱ 1:ȱ
	BYTE                    byReserved;                      // ֽڶ
	char                    szRaidName[MAX_NAME_LEN];        // Raid()	"RaidName" : "Raid0",
															 // Raid()ơ粻κRaidֶΪnull
															 // ọ̇̄ȫȱ̵ģnull
	char                    szType[32];                      // Ӳͺ
	int                     nTank;                           // չ, 0:;1:չ1; 2:չ2	
	int						nRemainSpace;					 // ʣλM
}CFG_HARDDISK_INFO;

///@brief Ӳ̴洢
typedef struct tagCFG_HARDDISKTANK_INFO
{
	char                    szTankName[MAX_NAME_LEN];           // 洢
	int                     nHardDiskNum;                       // Ӳ̸
	CFG_HARDDISK_INFO       stuHarddiskInfo[MAX_HARDDISK_NUM];  // ӲϢ
}CFG_HARDDISKTANK_INFO;

///@brief չϢ
typedef struct tagCFG_HARDISKTANKGROUP_INFO
{
	int                      nTankNum;                       // Ӳ̴洢
	CFG_HARDDISKTANK_INFO    stuHarddisktank[MAX_TANK_NUM];  // Ӳ̴洢
}CFG_HARDISKTANKGROUP_INFO;

///@brief RaidϢ
typedef struct tagCFG_RAID_INFO
{
	char                    szRaidName[MAX_NAME_LEN];         // Raid
	BYTE                    byType;                           //  1:Jbob, 2:Raid0, 3:Raid1, 4:Raid5
	BYTE                    byStatus;                         // ״̬  0:unknown, 1:active, 2:degraded, 3:inactive, 4: Resyncing
															  // 5.Clean 6.Unknow 7.Recovering 8.Reshaping 9.Checking 10.NotStarted
	BYTE                    byStatusCount;                    // ״̬, ״̬>=1ʱ, byStatusGroupʾ״̬
	BYTE                    byReserved;						  // ֽڶ
	int                     nMember[MAX_CHAN_NUM];            // ɴͨ
	int                     nDiskNUM;                         // ̸
	int                     nCapacity;                        // 
	int                     nTank;                            // չ
	int						nRemainSpace;					  // ʣλM
	BYTE					byStatusGroup[MAX_STATUS_NUM];	  // ״̬, ֵͬbyStatus
}CFG_RAID_INFO;
///@brief RaidϢ
typedef struct tagCFG_RAIDGROUP_INFO
{
	int                     nRaidNum;                         // Raid
	CFG_RAID_INFO           stuRaidInfo[MAX_RAID_NUM];        // RaidϢ
}CFG_RAIDGROUP_INFO;

///@brief 洢Ϣ
typedef struct tagCFG_STORAGEPOOL_INFO
{
	char                   szName[MAX_NAME_LEN];               // 洢
	int                    nMemberNum;                         // 豸
	char                   szMember[MAX_DEV_NUM][MAX_NAME_LEN];// 豸
	int                    nUsed;                              // 
    int                    nCapacity;                          // 
    int                    nStatus;                            // ״̬	0:unknown 1:active 2:degraded 3:inactive
    int                    nTank;                              // չ	0:, 1:չ1, 2:չ2 
}CFG_STORAGEPOOL_INFO;
///@brief 洢Ϣ
typedef struct tagCFG_STORAGEPOOLGROUP_INFO
{
	int                     nStroagePoolNum;                           // 洢ظ
	CFG_STORAGEPOOL_INFO    stuStoragePoolInfo[MAX_STORAGEPOOL_NUM];   // 洢Ϣ
}CFG_STORAGEPOOLGROUP_INFO;

///@brief ļϵͳϢ
typedef struct tagCFG_STORAGEPOSITION_INFO
{
	char                   szName[MAX_NAME_LEN];               // 洢λ	
    char                   szStoragePoolName[MAX_NAME_LEN];    // 洢	
    int                    nUsedCapacity;                      // ,λG	
    int                    nTotalCapacity;                     // ,λG	
	BYTE                   byStatus;                           // ״̬ 0.δ֪ 1. 2.쳣 3.쳣
    BYTE                   byReserved[3];                      // ֽڶ
}CFG_STORAGEPOSITION_INFO;
///@brief ļϵͳϢ
typedef struct tafCFG_STORAGEPOSITIONGROUP_INFO
{
	int                      nStoragePositionNum;                         // 洢Ϣ
	CFG_STORAGEPOSITION_INFO stuStoragePositionInfo[MAX_STRORAGEPOS_NUM]; // ļϵͳϢ      
}CFG_STORAGEPOSITIONGROUP_INFO;

///@brief ǰ豸Ϣ
typedef struct tagCFG_VIDEOINDEV_INFO
{
	char                   szDevName[MAX_NAME_LEN];             // ǰ豸	
    char                   szDevID[MAX_NAME_LEN];               // 豸ID	
    char                   szDevType[MAX_NAME_LEN];             // 豸
    int                    nTotalChan;                          // ͨ
	int                    nTotalAlarmChan;                     // ͨ
    char                   szIP[MAX_ADDRESS_LEN];               // 豸IP
	BYTE                   byStatus;                            // ״̬ 0:δ֪ 1: 2:
	BYTE                   byReserved[3];                       // ֽڶ
}CFG_VIDEOINDEV_INFO;
///@brief ǰ豸Ϣ
typedef struct tafCFG_VIDEOINDEVGROUP_INFO
{
	int                    nVideoDevNum;                              // ǰ豸
	CFG_VIDEOINDEV_INFO    stuVideoInDevInfo[MAX_VIDEODEV_NUM];       // ǰ豸Ϣ      
}CFG_VIDEOINDEVGROUP_INFO;

///@brief ͨ¼״̬
typedef struct tagCFG_DEVRECORD_INFO
{
	char                   szDevName[MAX_NAME_LEN];               // 豸
	char                   szIP[MAX_ADDRESS_LEN];                 // 豸IP	
	char                   szChannel[MAX_NAME_LEN];               // ͨ
    char                   szChannelName[MAX_NAME_LEN];           // ͨ	
    char                   szStoragePosition[MAX_NAME_LEN];       // 洢λϢ
	BYTE                   byStatus;                              // ״̬ 0:δ֪ 1:¼ 2:ֹͣ
	BYTE                   byReserved[3];                         // ֽڶ
}CFG_DEVRECORD_INFO;
///@brief ͨ¼״̬
typedef struct tagCFG_DEVRECORDGROUP_INFO
{
	int                    nChannelNum;                          // ͨ
	CFG_DEVRECORD_INFO     stuDevRecordInfo[MAX_CHAN_NUM];       // ͨ¼״̬Ϣ
}CFG_DEVRECORDGROUP_INFO;

#define byDahuaII byPrivateII
#define byDahuaIId byPrivateIId

///@brief ״̬
typedef struct tagCFG_IPSERVER_STATUS
{
	int                    nSupportedServerNum;                  // ṩķ
	char                   szSupportServer[MAX_SEVER_NUM][MAX_NAME_LEN];  // ṩķ Svr Svrd(SVRػ) DataBase DataBased(DataBaseػ) NtpServer NtpServerd(NtpServerػ) DahuaII DahuaIId(DahuaIIػ) Samba Nfs Ftp iScsi 
	int                    nSvrSuppSubServerNum;                          // SvrṩӷϢ
	char                   szSvrSuppSubServer[MAX_SEVER_NUM][MAX_NAME_LEN];           // SvrṩӷϢ CMS DMS	MTS	SS RMS DBR
	BYTE                   byCMS;                                // 0:δ֪ 1: 2:δ
	BYTE                   byDMS;                                // 0:δ֪ 1: 2:δ
	BYTE                   byMTS;                                // 0:δ֪ 1: 2:δ
	BYTE                   bySS;                                 // 0:δ֪ 1: 2:δ
	BYTE                   byRMS;                                // 0:δ֪ 1: 2:δ
	BYTE                   byDBR;                                // 0:δ֪ 1: 2:δ
	BYTE                   bySvrd;                               // 0:δ֪ 1: 2:δ
	BYTE                   byDataBase;                           // 0:δ֪ 1: 2:δ
	BYTE                   byDataBased;                          // 0:δ֪ 1: 2:δ
	BYTE                   byNtpServer;                          // 0:δ֪ 1: 2:δ
	BYTE                   byNtpServerd;                         // 0:δ֪ 1: 2:δ
	BYTE                   byPrivateII;                          // 0:δ֪ 1: 2:δ
	BYTE                   byPrivateIId;                         // 0:δ֪ 1: 2:δ
	BYTE                   bySAMBA;                              // 0:δ֪ 1: 2:δ
	BYTE                   byNFS;                                // 0:δ֪ 1: 2:δ
	BYTE                   byFTP;                                // 0:δ֪ 1: 2:δ
	BYTE                   byISCSI;                              // 0:δ֪ 1: 2:δ
	BYTE                   byReserved[3];                        // ֽڶ
}CFG_IPSERVER_STATUS;

//--------------------------Ƶ-----------------------------------
#define MAX_SUPPORT_SPLIT_MODE_NUM    16             // ֵ֧Ļָ
#define MAX_MATRIX_PLAN               4              // 󷽰
#define MAX_TOUR_MODE                 16             // Ѳ
///@brief ָģʽ
typedef enum tagMATRIX_VIEW_SPLITMODE
{
	MATRIX_VIEW_SPLIT1 = 0,
	MATRIX_VIEW_SPLIT2,	
	MATRIX_VIEW_SPLIT4,
	MATRIX_VIEW_SPLIT8,
	MATRIX_VIEW_SPLIT9,	
	MATRIX_VIEW_SPLIT16,
	MATRIX_VIEW_SPLITPIP,
	MATRIX_VIEW_SPLIT6,
	MATRIX_VIEW_SPLIT12,
	MATRIX_VIEW_SPLIT25,
	MATRIX_VIEW_SPLIT36,
	MATRIX_VIEW_SPLIT_NR,
}MATRIX_VIEW_SPLITMODE;

///@brief Ѳģʽ
typedef struct tagCFG_TOUR_MODE
{
	int               nViewMode;                                    // ָģʽ,οöMATRIX_VIEW_SPLITMODE
	unsigned int      dwViewSplitMask;                     // ʾViewModeָģʽ,ʹܵļָ,ʹ﷽ʽ
													       // :0x00000007:ʾģʽ3(SPLIT8)ķָ1,2,3ʹܿ,δʹ,0x0000000Fʾָ1,2,3,4ʹ
}CFG_TOUR_MODE;

///@brief SPOTƵ󷽰
typedef struct tagCFG_VIDEO_MATRIX_PLAN
{
	BOOL            bEnable;                                          // ÷ʹ
	int             nTourPeriod;                                      // Ѳ,λ,>=1
	int             nTourModeNum;                                     // Ѳи
	CFG_TOUR_MODE   stuTourMode[MAX_TOUR_MODE];                       // Ѳ
}CFG_VIDEO_MATRIX_PLAN;

///@brief SPOT
typedef struct tagCFG_VIDEO_MATRIX
{
	int                         nSupportSplitModeNumber;         // ֵ֧Ļָ
	BYTE                        bySupportSplitMode[MAX_SUPPORT_SPLIT_MODE_NUM];          // ֵ֧Ļָ
	int                         nMatrixPlanNumber;               // 󷽰
	CFG_VIDEO_MATRIX_PLAN       stuMatrixPlan[MAX_MATRIX_PLAN];                // 󷽰
}CFG_VIDEO_MATRIX;

///////////////////////////////////Ƶ///////////////////////////////////////
///@brief Ƶ
typedef struct tagCFG_VIDEO_DITHER_DETECTION
{
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
	BYTE							byThrehold1;								// Ԥֵ ȡֵ1-100
	BYTE							byThrehold2;								// ֵ ȡֵ1-100
}CFG_VIDEO_DITHER_DETECTION;
///@brief Ƽ
typedef struct tagCFG_VIDEO_STRIATION_DETECTION 
{
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
	BYTE							byThrehold1;								// Ԥֵ ȡֵ1-100
	BYTE							byThrehold2;								// ֵ ȡֵ1-100
	BYTE							byReserved1[2];								// ֽڶ
	BOOL							bUVDetection;								// UVǷ					
}CFG_VIDEO_STRIATION_DETECTION;
///@brief Ƶʧ
typedef struct tagCFG_VIDEO_LOSS_DETECTION
{
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
}CFG_VIDEO_LOSS_DETECTION;
///@brief Ƶڵ
typedef struct tagCFG_VIDEO_COVER_DETECTION
{
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
	BYTE							byThrehold1;								// Ԥֵ ȡֵ1-100
	BYTE							byThrehold2;								// ֵ ȡֵ1-100
}CFG_VIDEO_COVER_DETECTION;
///@brief 涳
typedef struct tagCFG_VIDEO_FROZEN_DETECTION
{
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
}CFG_VIDEO_FROZEN_DETECTION;
///@brief 쳣
typedef struct tagCFG_VIDEO_BRIGHTNESS_DETECTION
{	
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
	BYTE							bylowerThrehold1;							// Ԥֵ ȡֵ1-100
	BYTE							bylowerThrehold2;							// ֵ ȡֵ1-100
	BYTE							byUpperThrehold1;							// Ԥֵ ȡֵ1-100
	BYTE							byUpperThrehold2;							// ֵ ȡֵ1-100
}CFG_VIDEO_BRIGHTNESS_DETECTION;
///@brief Աȶ쳣
typedef struct tagCFG_VIDEO_CONTRAST_DETECTION
{	
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
	BYTE							bylowerThrehold1;							// Ԥֵ ȡֵ1-100
	BYTE							bylowerThrehold2;							// ֵ ȡֵ1-100
	BYTE							byUpperThrehold1;							// Ԥֵ ȡֵ1-100
	BYTE							byUpperThrehold2;							// ֵ ȡֵ1-100
}CFG_VIDEO_CONTRAST_DETECTION;
///@brief ƫɫ
typedef struct tagCFG_VIDEO_UNBALANCE_DETECTION
{	
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
	BYTE							byThrehold1;								// Ԥֵ ȡֵ1-100
	BYTE							byThrehold2;								// ֵ ȡֵ1-100
}CFG_VIDEO_UNBALANCE_DETECTION;
///@brief 
typedef struct tagCFG_VIDEO_NOISE_DETECTION
{	
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
	BYTE							byThrehold1;								// Ԥֵ ȡֵ1-100
	BYTE							byThrehold2;								// ֵ ȡֵ1-100
}CFG_VIDEO_NOISE_DETECTION;
///@brief ģ
typedef struct tagCFG_VIDEO_BLUR_DETECTION
{
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
	BYTE							byThrehold1;								// Ԥֵ ȡֵ1-100
	BYTE							byThrehold2;								// ֵ ȡֵ1-100
}CFG_VIDEO_BLUR_DETECTION;
///@brief 仯
typedef struct tagCFG_VIDEO_SCENECHANGE_DETECTION
{	
	BOOL							bEnable;									// ʹ
	int								nMinDuration;								// ̳ʱ λ 0~65535
	BYTE							byThrehold1;								// Ԥֵ ȡֵ1-100
	BYTE							byThrehold2;								// ֵ ȡֵ1-100
}CFG_VIDEO_SCENECHANGE_DETECTION;

///@brief Ƶʱ
typedef struct tagCFG_VIDEO_DELAY_DETECTION
{
    BOOL    bEnable;                // ʹ
}CFG_VIDEO_DELAY_DETECTION;

///@brief ̨ƶ
typedef struct tagCFG_PTZ_MOVING_DETECTION
{
    BOOL    bEnable;                // ʹ
}CFG_PTZ_MOVING_DETECTION;

///@brief ڰͼ
typedef struct tagCFG_VIDEO_BLACKWHITE_DETECTION
{
	BOOL	bEnable;				// ʹ
	int		nEarlyWarning;			// Ԥֵ
	int		nAlarm;					// ֵ
	int		nMinDuration;			// ̳ʱ
} CFG_VIDEO_BLACKWHITE_DETECTION;

///@brief 
typedef struct tagCFG_VIDEO_DRAMATICCHANGE_DETECTION
{
	BOOL	bEnable;				// ʹ
	int		nEarlyWarning;			// Ԥֵ
	int		nAlarm;					// ֵ
	int		nMinDuration;			// ̳ʱ
} CFG_VIDEO_DRAMATICCHANGE_DETECTION;

///@brief Ƶʼ
typedef struct tagCFG_VIDEO_AVAILABILITY_DETECTION
{
	BOOL	bEnable;				// ʹ
}CFG_VIDEO_AVAILABILITY_DETECTION;

///@brief ѩ
typedef struct tagCFG_VIDEO_SNOWFLAKE_DETECTION
{
    BOOL    bEnable;                // ʹ
    int     nWarnThreshold;         // Ԥֵ, Χ:1~100
    int     nAlarmThreshold;        // ֵ, Χ:1~100
    int     nMinDuration;           // ̳ʱ, λ, ȡֵ: 0~65535
}CFG_VIDEO_SNOWFLAKE_DETECTION;

///@brief 㷨ٷռȣ100
typedef struct tagCFG_VIDEO_ALGORITHMTYPE_ALGORITHM
{
	UINT	nDetectionPercent;		// ٷֱ
	UINT	nRecognitionPercent;	// ʶٷֱ
	UINT	nAttributePercent;		// ԰ٷֱ
}CFG_VIDEO_ALGORITHMTYPE_ALGORITHM;

///@brief Ƶ㷨ͼ
typedef struct tagCFG_VIDEO_ALGORITHMTYPE_DETECTION
{
	BOOL								bEnable;					// ʹ
	UINT								nFaceAlgorithmThreshold;	// 㷨ֵ
	CFG_VIDEO_ALGORITHMTYPE_ALGORITHM	stuFaceAlgorithm;			// 㷨ٷռȣ100
	UINT								nHumanBodyAlgorithmThreshold;//㷨ֵ
	CFG_VIDEO_ALGORITHMTYPE_ALGORITHM	stuHumanBodyAlgorithm;		// 㷨ٷռȣ100
	UINT								nVehicleAlgorithmThreshold;	// 㷨ֵ
	CFG_VIDEO_ALGORITHMTYPE_ALGORITHM	stuVehicleAlgorithm;		// 㷨ٷռȣ100
	UINT								nPlateNumAlgorithmThreshold;// 㷨ֵ
	CFG_VIDEO_ALGORITHMTYPE_ALGORITHM	stuPlateNumAlgorithm;		// 㷨ٷռȣ100
}CFG_VIDEO_ALGORITHMTYPE_DETECTION;

///@brief Ƶ
typedef struct tagCFG_VIDEO_FILCKERING_DETECTION
{
	BOOL    bEnable;                // ʹ
	int     nWarnThreshold;         // Ԥֵ, Χ:1~100
	int     nAlarmThreshold;        // ֵ, Χ:1~100
	int     nMinDuration;           // ̳ʱ, λ: , ȡֵ: 0~65535
	char	szReserver[256];		// ֽ
}CFG_VIDEO_FILCKERING_DETECTION;

///@brief ֡
typedef struct tagCFG_VIDEO_LOSS_FRAME_DETECTION
{
	BOOL    bEnable;                // ʹ
	int     nWarnThreshold;         // Ԥֵ, Χ:1~100
	int     nAlarmThreshold;        // ֵ, Χ:1~100
	int     nMinDuration;           // ̳ʱ, λ: , ȡֵ: 0~65535
	char	szReserver[256];		// ֽ
}CFG_VIDEO_LOSS_FRAME_DETECTION;
///@brief Ƶ
typedef struct tagCFG_VIDEO_DIAGNOSIS_PROFILE
{
	char								szName[MAX_PATH];							// Ansi

	CFG_VIDEO_DITHER_DETECTION*			pstDither;									// Ƶ
	CFG_VIDEO_STRIATION_DETECTION*		pstStriation;								// ƵƼ
	CFG_VIDEO_LOSS_DETECTION*			pstLoss;									// Ƶʧ
	CFG_VIDEO_COVER_DETECTION*			pstCover;									// Ƶڵ
	CFG_VIDEO_FROZEN_DETECTION*			pstFrozen;									// Ƶ
	CFG_VIDEO_BRIGHTNESS_DETECTION*		pstBrightness;								// Ƶ쳣
	CFG_VIDEO_CONTRAST_DETECTION*		pstContrast;								// Աȶ쳣
	CFG_VIDEO_UNBALANCE_DETECTION*		pstUnbalance;								// ƫɫ쳣
	CFG_VIDEO_NOISE_DETECTION*			pstNoise;									// 
	CFG_VIDEO_BLUR_DETECTION*			pstBlur;									// ģ
	CFG_VIDEO_SCENECHANGE_DETECTION* 	pstSceneChange;								// 仯
    CFG_VIDEO_DELAY_DETECTION*       	pstVideoDelay;                             	// Ƶʱ
    CFG_PTZ_MOVING_DETECTION*        	pstPTZMoving;                              	// ̨ƶ
	CFG_VIDEO_BLACKWHITE_DETECTION*	 	pstBlackAndWhite;							// ڰͼ
	CFG_VIDEO_DRAMATICCHANGE_DETECTION*	pstDramaticChange;							// 
	CFG_VIDEO_AVAILABILITY_DETECTION*	pstVideoAvailability;					    // Ƶʼ
    CFG_VIDEO_SNOWFLAKE_DETECTION*      pstSnowflake;                               // ѩ
	CFG_VIDEO_ALGORITHMTYPE_DETECTION*	pstVideoAlgorithmType;						// Ƶ㷨ͼ
	CFG_VIDEO_FILCKERING_DETECTION		*pstuVideoFilckeringDetection;				// Ƶ
	CFG_VIDEO_LOSS_FRAME_DETECTION		*pstuVideoLossFrameDetection;				// ֡
	BOOL								bIsCompareRecord;							// ǷȽ¼
}CFG_VIDEO_DIAGNOSIS_PROFILE;

///@brief Ƶϲ(CFG_CMD_VIDEODIAGNOSIS_PROFILE)ֲֶ֧ñ   ڴ沢ʼ
typedef struct tagCFG_VIDEODIAGNOSIS_PROFILE
{
	int								nTotalProfileNum;							// ߷ ȡ
	int								nReturnProfileNum;							// صʵʲ
	CFG_VIDEO_DIAGNOSIS_PROFILE*	pstProfiles;								// ߷nTotalProfileNumCFG_VIDEO_DIAGNOSIS_PROFILE
}CFG_VIDEODIAGNOSIS_PROFILE;

///@brief Ƶ
typedef enum CFG_EM_STREAM_TYPE
{
	CFG_EM_STREAM_ERR,                  // 
	CFG_EM_STREAM_MAIN,					// "Main"-
	CFG_EM_STREAM_EXTRA_1,				// "Extra1"-1
	CFG_EM_STREAM_EXTRA_2,				// "Extra2"-2
	CFG_EM_STREAM_EXTRA_3,				// "Extra3"-3
	CFG_EM_STREAM_SNAPSHOT,				// "Snapshot"-ץͼ
	CFG_EM_STREAM_OBJECT,				// "Object"-
}CFG_EM_STREAM_TYPE;

///@brief 豸ϸϢ
typedef struct tagCFG_TASK_REMOTEDEVICE
{
	char                            szAddress[MAX_PATH];                        // 豸ַ
	unsigned int                    dwPort;                                     // ˿ں
	char                            szUserName[MAX_PATH];                       // û
	char                            szPassword[MAX_PATH];                       // 
	char                            szProtocolType[MAX_PATH];                   // 豸Э
	CFG_RemoteDeviceVideoInput      *pVideoInput;                               // ƵͨûnMaxVideoInputsCFG_RemoteDeviceVideoInputռ
	int				                nMaxVideoInputs;					        // Ƶͨ
	int				                nRetVideoInputs;					        // صƵͨ
}CFG_TASK_REMOTEDEVICE;

///@brief Ƶ¼񱣴λ
typedef enum tagEM_SOURCE_VIDEO_LOCATION
{
    EM_SOURCE_VIDEO_LOCATION_UNKNOWN,            // δ֪
    EM_SOURCE_VIDEO_LOCATION_DEVICE,             // 豸
    EM_SOURCE_VIDEO_LOCATION_CENTER,             // ƽ̨
    EM_SOURCE_VIDEO_LOCATION_THIRD,              // ڵ
} EM_SOURCE_VIDEO_LOCATION;

///@brief ¼
typedef enum tagEM_VIDEO_TYPE
{
    EM_VIDEO_TYPE_UNKNOWN,           // δ֪
    EM_VIDEO_TYPE_ALL,               // ȫ
    EM_VIDEO_TYPE_MANUAL,            // ֶ¼
    EM_VIDEO_TYPE_ALARM,             // ¼
} EM_VIDEO_TYPE;

///@brief Ƶ¼ϸϢ
typedef struct tagNET_VIDEO_DIAGNOSIS_RECORD_INFO
{
    EM_SOURCE_VIDEO_LOCATION    emSourceLocation;           // ¼񱣴λ
    EM_VIDEO_TYPE               emRecordType;               // Ƶ¼
    CFG_NET_TIME                stuStartTime;               // Ƶ¼ʼʱ
    int                         nPreSeconds;                // Ƶ¼ʼʱΪǰʵʼʱǰPreSeconds루ֶStartTimeͬʱʱԸֶȣ
	char						szLocalRecordFilePath[256];	// ¼ļַ
} NET_VIDEO_DIAGNOSIS_RECORD_INFO;

///@brief ƵԴ뷽ʽ
typedef enum tagEM_VIDEO_CHANNEL_SOURCE_INPUT_TYPE
{
    EM_VIDEO_CHANNEL_SOURCE_INPUT_UNKNOWN,          // δ֪
    EM_VIDEO_CHANNEL_SOURCE_INPUT_STD,              // STD
    EM_VIDEO_CHANNEL_SOURCE_INPUT_AHD,              // AHD
    EM_VIDEO_CHANNEL_SOURCE_INPUT_HDCVR,            // HDCVR
    EM_VIDEO_CHANNEL_SOURCE_INPUT_VGA,              // VGA
} EM_VIDEO_CHANNEL_SOURCE_INPUT_TYPE;

///@brief  Ƚ¼ϸϢ
typedef struct tagNET_VIDEO_DIAGNOSIS_COMPARE_RECORD_INFO
{
	CFG_NET_TIME						stuStartTime;		// ¼ʼʱ
	EM_SOURCE_VIDEO_LOCATION			emSourceType;		// ¼񱣴λ
	EM_VIDEO_TYPE						emRecordType;		// ¼
	int									nPreSeconds;		// Ƶ¼ʼʱΪǰʵʼʱǰPreSeconds(ֶStartTimeͬʱʱ, Ըֶ)
	char								szReserved[256];	// ֽ
} NET_VIDEO_DIAGNOSIS_COMPARE_RECORD_INFO;
///@brief  Դ
typedef struct tagCFG_TAST_SOURCES
{
	// 
	bool							abDeviceID;                                 // abDeviceID(ʹszDeviceID)  abRemoteDevice(ʹstRemoteDevice) һΪtrueSourcesnull
	bool							abRemoteDevice;

	char							szDeviceID[MAX_PATH];						// 豸ID
	CFG_TASK_REMOTEDEVICE           stRemoteDevice;                             // 豸ϸϢ
	int								nVideoChannel;								// Ƶͨ
	CFG_EM_STREAM_TYPE				emVideoStream;								// Ƶ
	int								nDuration;									// ʱ
    BOOL                            abStartTime;                                // ʾstuStartTimeֶǷЧ; ԴΪ¼ļΪTRUE, óFALSE.
    CFG_NET_TIME                    stuStartTime;                               // abStartTimeΪTRUEʱЧʾҪ¼Ŀʼʱ
                                                                                // stuStartTimeֶϣʹstuDiagnosisRecordInfoֶֻΪ豸
    BOOL                            abDiagnosisRecordInfo;                      // ʾstuDiagnosisRecordInfoֶǷЧ; ԴΪ¼ļΪTRUE, óFALSE.
    NET_VIDEO_DIAGNOSIS_RECORD_INFO stuDiagnosisRecordInfo;                     // Ƶ¼Ϣ,  abDiagnosisRecordInfo ΪTRUEЧ
    EM_VIDEO_CHANNEL_SOURCE_INPUT_TYPE emSourceInputType;                       // ƵԴ뷽ʽ
    char							szPath[MAX_PATH];							// ƵֶַβΪʹ
	BOOL							abCompareRecordInfo;						// ʾstuCompareRecordInfoֶǷЧ;
	NET_VIDEO_DIAGNOSIS_COMPARE_RECORD_INFO		stuCompareRecordInfo;			// Ƚ¼ϸϢ
}CFG_TAST_SOURCES;
///@brief 
typedef struct tagCFG_DIAGNOSIS_TASK
{
	char							szTaskName[MAX_PATH];						// Ansi
	char							szProfileName[MAX_PATH]; 					// ʹõϲAnsi
	int								nTotalSourceNum;						    // ߷Դĸ  ȡ
	int								nReturnSourceNum;							// ʵԴĸ
	CFG_TAST_SOURCES*				pstSources;									// Դ ߷ڴnTotalSourceNum
}CFG_DIAGNOSIS_TASK;

///@brief Ƶ(CFG_CMD_VIDEODIAGNOSIS_TASK),ͬͨ  ڴ沢ʼ
typedef struct tagCFG_VIDEODIAGNOSIS_TASK
{
	int								nTotalTaskNum; 								// ߷  ȡ
	int								nReturnTaskNum; 							// ʵ
	CFG_DIAGNOSIS_TASK*				pstTasks;									//  ߷ڴnTotalTaskNum
}CFG_VIDEODIAGNOSIS_TASK;

///@brief Ƶϼƻ
typedef struct tagPROJECT_TASK
{
	BOOL							bEnable;									// Ƿʹ
	char							szTaskName[MAX_PATH];						// Ansi
	CFG_TIME_SECTION				stTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];	// ʱ
	BOOL                            bIsCycle;                                   // Ƿѭ,TRUEʾѭ,FALSEʾѭ
	BOOL                            bIsRepeat;                                  // ǷظִУ/ǷظִУ
	int								nCycleInterval;								// ѭλ
}CFG_PROJECT_TASK;
///@brief ƻ
typedef struct tagDIAGNOSIS_PROJECT
{
	char							szProjectName[MAX_PATH];					// ƻAnsi
	int								nTotalTaskNum;								// ߷б  ȡ
	int								nReturnTaskNum;					    		// ʵб
	CFG_PROJECT_TASK*				pstProjectTasks;								// б ߷ڴnTotalTaskNum
}CFG_DIAGNOSIS_PROJECT;
///@brief Ƶϼƻ(CFG_CMD_VIDEODIAGNOSIS_PROJECT),ͬļƻͨ ڴ沢ʼ
typedef struct tagCFG_VIDEODIAGNOSIS_PROJECT
{
	int								nTotalProjectNum;							// ߷ƻ  ȡ
	int								nReturnProjectNum;							// ʵʼƻ
	CFG_DIAGNOSIS_PROJECT*			pstProjects;									// ƻ ߷ڴnTotalProjectNum
}CFG_VIDEODIAGNOSIS_PROJECT;

///@brief ʵʱƻϢ
typedef struct tagCFG_DIAGNOSIS_REALPROJECT
{
	char							szProjectName[MAX_PATH];					// ƻAnsi
	CFG_DIAGNOSIS_TASK			    stProjectTask;							    // Ϣ
}CFG_DIAGNOSIS_REALPROJECT;

///@brief Ƶʵʱƻ
typedef struct tagCFG_VIDEODIAGNOSIS_REALPROJECT 
{
	int								nProjectNum;							    // ʵʱƻ
	CFG_DIAGNOSIS_REALPROJECT*		pstProjects;							    // ƻ ߷ڴnProjectNum
}CFG_VIDEODIAGNOSIS_REALPROJECT;

///@brief Ƶȫֱ(CFG_CMD_VIDEODIAGNOSIS_GLOBAL),ÿ֧ͨһ 
typedef struct tagCFG_VIDEODIAGNOSIS_GLOBAL_CHNNL
{
	BOOL                            abProjectName;                              // ƻǷЧ 
	char							szProjectName[MAX_PATH];					// ƻƣAnsi
	BOOL                            abRealProjectName;                          // ʵʱƻǷЧ
	char                            szRealProjectName[MAX_PATH];                // ʵʱƻƣAnsi   
}CFG_VIDEODIAGNOSIS_GLOBAL_CHNNL;
///@brief Ƶȫֱ
typedef struct tagCFG_VIDEODIAGNOSIS_GLOBAL
{
	int								nTotalGlobalNum;							// ߷ȫø  ȡ
	int								nReturnGlobalNum;							// ʵȫø
	CFG_VIDEODIAGNOSIS_GLOBAL_CHNNL	*pstGlobals;								// Ƶȫ ߷ڴnTotalGlobalNumCFG_VIDEODIAGNOSIS_GLOBAL_CHNNL
}CFG_VIDEODIAGNOSIS_GLOBAL;

///@brief ƵϷ(CFG_CAP_CMD_VIDEODIAGNOSIS_SERVER)
typedef struct tagCFG_VIDEODIAGNOSIS_CAPS_INFO
{
	int								nTypeCount;									// ֵ֧Ƶ 
	char						    szSupportedType[MAX_VIDEODIAGNOSIS_DETECT_TYPE][MAX_PATH];// ֵ֧Ƶ
	int								nMaxProfiles;								// 
	int								nMaxTasks;									// 
	int								nMaxSourcesOfTask;							// 󵥸ƵԴ
	int								nMaxProjects;								// 󷽰
	UINT							nSupportedProfileConfig;					// ַ֧õķʽ, 0ʾ֧VideoDiagnosisProfile, 1ʾ֧VideoDiagnosisProfileEx, 2ʾ֧
	UINT							nMaxSources;								// ֵ֧ȨƵԴ, 0ʾ
	UINT							nMaxConcurrent;								// ֵ֧
	UINT							nLeftSources;								// ʣȨƵԴ
	UINT							nLeftDiskSpace;								// ʣ̿ռ, λKB
	UINT							nLeftDiskUsedDays;							// ʣʹ
}CFG_VIDEODIAGNOSIS_CAPS_INFO;

///@brief ȡƵͨĿ( CFG_CMD_VIDEODIAGNOSIS_GETCOLLECT )Ӧṹ
typedef struct tagCFG_VIDEODIAGNOSIS_COLLECT_INFO
{
	int                             nDiagnosisChannels;                                   // ƵͨĿ
}CFG_VIDEODIAGNOSIS_COLLECT_INFO;

///@brief ״̬
typedef enum tagEM_VIDEODIAGNOSIS_TASK_STATE
{
    EM_VIDEODIAGNOSIS_TASK_STATE_UNKNOWN = -1,                                   // δ֪
    EM_VIDEODIAGNOSIS_TASK_STATE_NOT_STARTED,                                    // δʼ
    EM_VIDEODIAGNOSIS_TASK_STATE_ONGOING,                                        // 
    EM_VIDEODIAGNOSIS_TASK_STATE_INCOMPLETE,                                     // δ
    EM_VIDEODIAGNOSIS_TASK_STATE_COMPLETED,                                      // 
} EM_VIDEODIAGNOSIS_TASK_STATE;

///@brief ȡƵϽ״̬( CFG_CMD_VIDEODIAGNOSIS_GETSTATE )Ӧṹ
typedef struct tagCFG_VIDEODIAGNOSIS_STATE_INFO
{
	BOOL                            bEnable;                                     // Ƿʹ
	BOOL                            bRunning;                                    // Ƿ	ʹܿҵǰйڽУûд
	char                            szCurrentProject[MAX_PATH];                  // ǰƻ
	char                            szCurrentTask[MAX_PATH];                     // ǰ
	char                            szCurrentProfile[MAX_PATH];                  // ǰò
	int                             nCurrentSourceCount;                         // ǰѵƵԴ
	int                             nCurrentSourceIndex;                         // ǰǰƵԴ	0ʼ
	CFG_TIME_SECTION                stCurrentTimeSection;                        // ǰƻʱ
	int                             nTaskCountOfProject;                         // ǰƻ
	int                             nIndexOfCurrentTask;                         // ǰ 0ʼ
    EM_VIDEODIAGNOSIS_TASK_STATE    emTaskState;                                 // ״̬
}CFG_VIDEODIAGNOSIS_STATE_INFO;

///@brief ֵ֧ķб
typedef struct tagCFG_DEV_SERVICE_LIST
{
	int                             nServiceNum;                                 // ֵ֧ķ
	char                            szService[MAX_SERVICE_NUM][MAX_NAME_LEN];    // ֧־ķ
}CFG_DEV_SERVICE_LIST;

///@brief ȡʽĿ
typedef struct tagCFG_MASTERSLAVETRACKER_INFO
{
        int                nStructSize;
	    int                nChannels;	//ʽͨĿ
}CFG_MASTERSLAVETRACKER_INFO;

#define  MAX_CAMERA_TYPE	64
#define	 MAX_TYPE_STRING	64
///@brief ͺϢ
typedef struct tagCFG_CAMERA_PER_TYPE_INFO
{
	char				szCameraType[MAX_TYPE_STRING];	//ͺ
	char				szLensType[MAX_TYPE_STRING];	//ͷͺ	ͷͺźͺأΪֵ
}CFG_CAMERA_PER_TYPE_INFO;
///@brief 
typedef struct tagCFG_CAMERA_TYPE_INFO
{
	int							nCameraTypeNum;						//͵еĲͬͺ
	CFG_CAMERA_PER_TYPE_INFO	stCameraTypeInfos[MAX_CAMERA_TYPE]; //ͺϢ
}CFG_CAMERA_TYPE_INFO;

///@brief 䱶
typedef enum tagCFG_ZOOM_TYPE
{
	ZOOM_TYPE_EXPECTMULTIPLE =0,     // ̶䱶
	ZOOM_TYPE_IVSADAPTIVE,           // 豸Ӧ䱶
	ZOOM_TYPE_MULTIPLEADAPTIVE,      // Ӧ䱶
	ZOOM_TYPE_NUM
}CFG_ZOOM_TYPE;

///@brief ģʽ
typedef enum tagCFG_TRACKING_MODE
{
    TRACKING_MODE_ALARM=0,        // 
	TRACKING_MODE_MANUALOBJECT,   // ֶѡ
	TRACKING_MODE_AUTOOBJECT,     // Զѡ
	TRACKING_MODE_SELECTPOINT,    // 
	TRACKING_MODE_MIX,            // ϸ(ָģʽͬʱ֧)
	TRACKING_MODE_SLAVESELF,      // ƣҪûƣ
	TRACKING_MODE_NUM = 6,
}CFG_TRACKING_MODE;


///@brief ʽȫûṹ
typedef struct tagCFG_MASTERSLAVE_GLOBAL_INFO
{
	int						nStructSize;
	float					fMaxZoom;						// 䱶, ֻС
	float					fMinZoom;						// С䱶, ֻС
	float					fExpectMultiple;				// ׼С䱶<<䱶, ֻС
	float					fPollTrackTime;					// ѯʱλ룻>0.0
	float					fPointTrackTime;				// ʱ,λ룻>0.0ڱ١Զѡ١ϸģʽЧ
    float					fObjectTrackTime;				// ֶѡʱ, λ룻>0.0ڱ١Զѡ١ϸģʽЧ
	float					fExpectAngleX;					// ӦǶx(ˮƽ), ֻС
    float					fExpectAngleY;					// ӦǶy(ֱ), ֻС
	CFG_SIZE				stTargetFaceSize;				// ߴ(λ), 豸й, ֻС
	float					fMinFocus;						// С(λ), ֻС
	float					fMaxFocus;						// 󽹾(λ), ֻС
	CFG_ZOOM_TYPE			emZoomType;						// 䱶
	CFG_TRACKING_MODE		emTrackingMode;					// ģʽ
	CFG_CAMERA_TYPE_INFO	stCameraInfo;					// ǹʽ
	CFG_CAMERA_TYPE_INFO	stDomeInfo;						// ʽ
	int						nTrackZoomLevel;				// ٱȼ	-5<= TrackZoomLevel <=5 0ʾĬ㷨ʽ
	BOOL					bReturnPtzPreset;				// TRUEٺ󷵻Ԥõ , FALSEٺ󲻷Ԥõ
}CFG_MASTERSLAVE_GLOBAL_INFO;
	
///@brief ȡʽ豸
typedef struct tagCFG_CAP_MASTERSLAVE_INFO
{
	int                     nStructSize;
	BYTE                    byTrackingMode[TRACKING_MODE_NUM]; // ±ʾCFG_TRACKING_MODEöӦģʽ1ʾ֧
	CFG_CAMERA_TYPE_INFO	stCameraInfo;  // ǹʽ
	CFG_CAMERA_TYPE_INFO	stDomeInfo;	   // ʽ
}CFG_CAP_MASTERSLAVE_INFO;


///@brief ȡ
typedef struct tagCFG_CAP_EVENTHANDLER_INFO
{
	BOOL				bTimeSectionEnable;                                      // 
	BOOL				bRecordEnable;                                           // Ƿ֧¼
	BOOL				bAlarmOutEnable;                                         // Ƿֱ֧
	BOOL				bPtzLinkEnable;                                          // Ƿֱ֧
	BOOL				bSnapshotEnable;                                         // Ƿֿ֧
	BOOL				bMailEnable;                                             // Ƿַ֧ʼ
	BOOL				bBeepEnable;                                             // Ƿַ֧
	BOOL				bDejitterEnable;                                         // Ƿ֧ȥ
	BOOL                bTipEnable;                                              // Ƿֱ֧Ϣʾ
	BOOL                bMonitorTourEnable;                                      // Ƿ֧ѯ
}CFG_CAP_EVENTHANDLER_INFO;

#define MASTERSLAVE_LIST_MAX_NUM            5                              // ǹӻ
#define MASTERSLAVE_AREA_MAX_NUM            8                              // ǹȼ
#define MASTERSLAVE_NAME_LEN                64                             // صƳ
#define MASTERSLAVE_DEV_SERIALNO_LEN        48                             // 豸к󳤶

///@brief ǹȫ (CFG_CMD_MASTERSLAVE_LINKAGE)
typedef struct tagCFG_MASTERSLAVE_LINKAGE_INFO
{
    BOOL                        bEnable;                                   // ǹʹܿ
    BOOL                        bAutoTrack;                                // Զʹ
    int                         nAutoTrackTime[2];                         // ԶʱΧ, [Сʱ, ʱ], Ĭ[1, 300], λ
    int                         nLocateUnlockTime;                         // ֶλʱ(), 0 ʾ, Ĭ30. ڸ
    int                         nPriorityAreaNum;                          // ȼ
    CFG_RECT                    stuPriorityArea[MASTERSLAVE_AREA_MAX_NUM]; // ȼ, ԽǰȼԽߣΪ
	UINT						nTrackZoomScale;						   // ĿԽ߳ռӻԽߵıʹðٷĬ30%
}CFG_MASTERSLAVE_LINKAGE_INFO;
///@brief 豸
typedef enum tagEM_MASTER_TYPE
{
    EM_MASTER_UNKNOWN,                                                     // δ֪
    EM_MASTER_FISHEYE,                                                     // 
    EM_MASTER_CAMERA,                                                      // ǹ
}EM_MASTER_TYPE;
///@brief б
typedef struct tagCFG_MASTER_DEV_INFO
{
    int                    nChannel;                                       // ͨ, 0ʼ
    char                   szDevSerial[MASTERSLAVE_DEV_SERIALNO_LEN];      // 豸к
}CFG_MASTER_DEV_INFO;
///@brief ӻб
typedef struct tagCFG_SLAVER_DEV_INFO
{
    int                     nChannel;                                      // ͨ, 0ʼ
    char                    szDevSerial[MASTERSLAVE_DEV_SERIALNO_LEN];     // 豸к
    CFG_REGION              stuControlRegion;                              // ӻܿ
}CFG_SLAVER_DEV_INFO;

///@brief ǹ󶨹ϵ (CFG_CMD_MASTERSLAVE_GROUP)
typedef struct tagCFG_MASTERSLAVE_GROUP_INFO
{
    char                    szName[MASTERSLAVE_NAME_LEN];                  // ص
    int                     nGroupID;                                      // 
    EM_MASTER_TYPE          emMasterType;                                  // 豸
    int                     nMasterNum;                                    //  
    CFG_MASTER_DEV_INFO     stuMasterList[MASTERSLAVE_LIST_MAX_NUM];       // б
    int                     nSlaverNum;                                    // ӻ
    CFG_SLAVER_DEV_INFO     stuSlaverList[MASTERSLAVE_LIST_MAX_NUM];       // ӻб
}CFG_MASTERSLAVE_GROUP_INFO;

//---------------------------------Ƶ------------------------------------------
#define DH_MAX_INMETERING_REGION_NUM 8
///@brief Ϣ
typedef struct tagVIDEO_INMETERING_INFO_CHANNEL
{
	// 
	bool            bRegion;
	bool            bMode;
	BYTE			bReserved1[2];					         // ֶ1
	
	int				nRegionNum;                                 // 
	CFG_RECT    	stuRegions[DH_MAX_INMETERING_REGION_NUM];   // , ֲʹãֶ֧ʹϵȡֵΪ0~8191
	BYTE  			byMode;				                     // ģʽ,0:ƽ,1:ֲ
	BYTE  			bReserved2[3];				             // ֶ2
	BYTE			bReserved3[32];					         // ֶ3
}VIDEO_INMETERING_INFO_CHANNEL;

///@brief (CFG_CMD_VIDEO_INMETERING)һ飬ÿƵͨһ
typedef struct tagCFG_VIDEO_INMETERING_INFO
{
	int				nChannelNum; // ͨ
	VIDEO_INMETERING_INFO_CHANNEL	stuMeteringMode[MAX_VIDEO_CHANNEL_NUM]; // ÿͨĲϢ±Ӧͨ
}CFG_VIDEO_INMETERING_INFO;

///@brief Ƶ(CFG_CAP_CMD_VIDEOINPUT)
typedef struct tagCFG_CAP_VIDEOINPUT_INFO
{
	int				nMeteringRegionCount;                   // 
	BOOL            bFishEye;                               // Ƿ֧
	BOOL			bElectricFocus;							// Ƿֵ֧綯
	DWORD			dwExposureMode;							// ֵ֧Զعģʽ  ӵλλαʾ0-Զع⣬1-棩ȣ2-Ӱţȣ 3-50HZ˸4-60HZ˸
	int             nWideDynamicRange;						// Ƿֿ֧̬ 0-֧֣1-ֿ֧̬
	int			    nGlareInhibition;						// Ƿ֧ǿ 0-֧֣1-֧
}CFG_CAP_VIDEOINPUT_INFO;

///@brief ͳƱϢ
typedef struct tagCFG_TRAFFIC_FLOWSTAT_ALARM_INFO
{
	bool                            bEnable;                              // Ƿʹ
	int                             nPeriod;                              // ͳڣλ
	int                             nLimit;                               // ͳڳޣλ
	int                             nRestore;                             // ͳڱָλ 
    int                             nDelay;                               // ⵽ʼϱʱ, λ:,Χ1~65535
	int                             nInterval;                            // ʱ, λ:, Χ1~65535
	int                             nReportTimes;                         // ϱ,1~255
	CFG_TIME_SECTION                stCurrentTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX]; // ǰƻʱ
	CFG_ALARM_MSG_HANDLE            stuEventHandler;					  // 
}CFG_TRAFFIC_FLOWSTAT_ALARM_INFO;
///@brief 
typedef struct tagCFG_TRAFFIC_FLOWSTAT_INFO_CHNL
{
	bool	                		 abEnable;

	bool			                 bEnable;								// Ƿʹ
	CFG_TRAFFIC_FLOWSTAT_ALARM_INFO  stuAlarmUpperInfo;                     // ߲
	CFG_TRAFFIC_FLOWSTAT_ALARM_INFO  stuAlarmLowInfo;                       // ߲
    int                              nDetectRegionPoint;                    // 
    CFG_POLYGON                      stuDetectRegion[MAX_POLYGON_NUM];      // 
	char                             szName[MAX_NAME_LEN];                  // ǰƣͬ
	int								 nPresetID;								// ̨Ԥõ(Ч)
	BOOL							 bIsDetectLine;							// ʾǷЧ
	CFG_POLYGON						 stuDetectLine[POINT_PAIR_NUM];			// ,ã㷨Զɼ
}CFG_TRAFFIC_FLOWSTAT_INFO_LANE;

///@brief ͨͳ(CFG_CMD_TRAFFIC_FLOWSTAT)
typedef struct tagCFG_TRAFFIC_FLOWSTAT_INFO
{
	// 
	bool							abPeriod;
	BYTE							bReserved1[3];						        // ֶ1
	int								nPeriod;									// ͳڣλ
	int								nLaneNum;									// 
	CFG_TRAFFIC_FLOWSTAT_INFO_LANE	stuTrafficFlowstat[MAX_LANE_NUM];			// ÿã±Ӧ
	DWORD                           dwLaneExtraMaxNum;                           // ֵ(ڴ),ೡӦöĳϢҪ
	DWORD                           dwLaneExtraRetNum;                           // ೡӦöĳʵʸ
	CFG_TRAFFIC_FLOWSTAT_INFO_LANE  *pstuTrafficFlowstat;                       // ೡĳ, stuTrafficFlowstatŲĳ棬ŴӳMAX_LANE_NUM+1ʼ
	UINT							nPeriodByMili;								// ͳڣnPeriodһʹáλ,Χ[0, 59999]
	char							bReserved2[260];							// ֶ2
}CFG_TRAFFIC_FLOWSTAT_INFO;

///@brief ƵŨ(CFG_CMD_SYNOPSISANALYSE_RULE_INFO)
typedef struct tagCFG_VIDOE_SYNOPSIS_ANALYSE_RULE_INFO
{
    CFG_ANALYSERULES_INFO   stDetailRuleInfo;       //ϸ                       
}CFG_VIDOE_SYNOPSIS_ANALYSE_RULE_INFO;

//----------------------------------Ƶǰѡ-------------------------------------------

///@brief ƵҹѡϹ߽ϰʱԶлҹò
typedef struct tagCFG_VIDEO_IN_NIGHT_OPTIONS
{
	BYTE				bySwitchMode;			//ѷ,ʹCFG_VIDEO_IN_OPTIONSbySwitchMode
                                                //0-лʹðã1-л2-ʱл3-лʹҹã4-ʹͨ
	BYTE				byProfile;				// ǰʹõļ.
												// 0-
												// 1-
												// 2-Normal
												// 01,2ΪʱãʹͼЧڲ鿴ͼЧȷ뿪ҳ治豸
												///3-ʱãȷ󱣴豸SwitchModeʹãSwitchModeЧá
												// SwitchMode=0Profile=3ðõ豸
												// SwitchMode=1Profile=3ҹõ豸
												// SwitchMode=2Profile=3ճʱлʱʹðãҹʱʹҹã豸
												// SwitchMode=4Profile=3ʹͨã豸
	BYTE				byBrightnessThreshold ;	// ֵ 0~100	
	BYTE				bySunriseHour;			// ճʱ䣬֮ճ֮ǰҹá
	BYTE				bySunriseMinute;		// 00:00:00 ~ 23:59:59
	BYTE				bySunriseSecond;
	BYTE				bySunsetHour;
	BYTE				bySunsetMinute;
	BYTE				bySunsetSecond;  
	BYTE				byGainRed;				// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byGainBlue;				// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byGainGreen;			// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byExposure;				// عģʽȡֵΧȡ豸0-Զع⣬1-عȼ12-عȼ2n-1عȼ nʱ޵Զع n+1Զʱֶع (n==byExposureEn
	float				fExposureValue1;		// Զعʱ޻ֶعԶʱ,Ϊλȡֵ0.1ms~80ms
	float				fExposureValue2;		// Զعʱ,Ϊλȡֵ0.1ms~80ms	
	BYTE				byWhiteBalance ;		// ƽ, 0-"unable", 1-"Auto", 2-"Custom", 3-"Sunny", 4-"Cloudy", 5-"Home", 6-"Office", 7-"Night", 8-"HighColorTemperature", 9-"LowColorTemperature", 10-"AutoColorTemperature", 11-"CustomColorTemperature"
	BYTE				byGain;					// 0~100, GainAutoΪtrueʱʾԶޣʾ̶ֵ
	bool				bGainAuto;				// Զ
	bool				bIrisAuto;				// ԶȦ
	float               fExternalSyncPhase;     // ͬλ 0~360
	BYTE				byGainMin;				// 
	BYTE				byGainMax;				// 
	BYTE				byBacklight;			// ⲹȡֵΧȡ豸0-ر1-2-ָ򱳹ⲹ
	BYTE				byAntiFlicker;			// ˸ģʽ 0-Outdoor 1-50Hz˸ 2-60Hz˸
	BYTE				byDayNightColor;		// /ҹģʽ0-ǲɫ1-Զл2-Ǻڰ
	BYTE				byExposureMode;         // عģʽ عȼΪԶعʱЧȡֵ0-ĬԶ1-ȣ2-
	BYTE				byRotate90;				// 0-ת1-˳ʱ90㣬2-ʱ90
	bool				bMirror;				// 
	BYTE                byWideDynamicRange;     // ֵ̬ 0-رգ1~100-ΪʵΧֵ
	BYTE                byGlareInhibition;		// ǿ 0-رգ 1~100ΪΧֵ
	CFG_RECT			stuBacklightRegion;     // ⲹ
	BYTE                byFocusMode;            // 0-رգ1-۽2-Զ۽
	bool				bFlip;					// ת
	BYTE				reserved[74];			// 
} CFG_VIDEO_IN_NIGHT_OPTIONS;
///@brief ͨ
typedef struct tagCFG_VIDEO_IN_NORMAL_OPTIONS
{
	BYTE				byGainRed;				// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byGainBlue;				// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byGainGreen;			// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byExposure;				// عģʽȡֵΧȡ豸0-Զع⣬1-عȼ12-عȼ2n-1عȼ nʱ޵Զع n+1Զʱֶع (n==byExposureEn
	float				fExposureValue1;		// Զعʱ޻ֶعԶʱ,Ϊλȡֵ0.1ms~80ms
	float				fExposureValue2;		// Զعʱ,Ϊλȡֵ0.1ms~80ms	
	BYTE				byWhiteBalance ;		// ƽ, 0-"unable", 1-"Auto", 2-"Custom", 3-"Sunny", 4-"Cloudy", 5-"Home", 6-"Office", 7-"Night", 8-"HighColorTemperature", 9-"LowColorTemperature", 10-"AutoColorTemperature", 11-"CustomColorTemperature"
	BYTE				byGain;					// 0~100, GainAutoΪtrueʱʾԶޣʾ̶ֵ
	bool				bGainAuto;				// Զ
	bool				bIrisAuto;				// ԶȦ
	float               fExternalSyncPhase;     // ͬλ 0~360
	BYTE				byGainMin;				// 
	BYTE				byGainMax;				// 
	BYTE				byBacklight;			// ⲹȡֵΧȡ豸0-ر1-2-ָ򱳹ⲹ
	BYTE				byAntiFlicker;			// ˸ģʽ 0-Outdoor 1-50Hz˸ 2-60Hz˸
	BYTE				byDayNightColor;		// /ҹģʽ0-ǲɫ1-Զл2-Ǻڰ
	BYTE				byExposureMode;         // عģʽ عȼΪԶعʱЧȡֵ0-ĬԶ1-ȣ2-
	BYTE				byRotate90;				// 0-ת1-˳ʱ90㣬2-ʱ90
	bool				bMirror;				// 
	BYTE                byWideDynamicRange;     // ֵ̬ 0-رգ1~100-ΪʵΧֵ
	BYTE                byGlareInhibition;		// ǿ 0-رգ 1~100ΪΧֵ
	CFG_RECT			stuBacklightRegion;     // ⲹ
	BYTE                byFocusMode;            // 0-رգ1-۽2-Զ۽
	bool				bFlip;					// ת
	BYTE				reserved[74];			// 
}CFG_VIDEO_IN_NORMAL_OPTIONS;



///@brief 
typedef struct tagCFG_FLASH_CONTROL
{
	BYTE				byMode;					// ģʽ0-ֹ⣬1-ʼ⣬2-Զ
	BYTE				byValue;				// ֵ, 0-0us, 1-64us, 2-128us, 3-192...15-960us
	BYTE				byPole;					// ģʽ, 0-͵ƽ 1-ߵƽ 2- 3-½
	BYTE                byPreValue;				// Ԥֵ  0~100
	BYTE				byDutyCycle;			// ռձ, 0~100
	BYTE				byFreqMultiple;			// Ƶ, 0~10
	BYTE				reserved[122];			// 
}CFG_FLASH_CONTROL;

///@brief ץĲ
typedef struct tagCFG_VIDEO_IN_SNAPSHOT_OPTIONS
{
	BYTE				byGainRed;				// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byGainBlue;				// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byGainGreen;			// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byExposure;				// عģʽȡֵΧȡ豸0-Զع⣬1-عȼ12-عȼ2n-1عȼ nʱ޵Զع n+1Զʱֶع (n==byExposureEn
	float				fExposureValue1;		// Զعʱ޻ֶعԶʱ,Ϊλȡֵ0.1ms~80ms
	float				fExposureValue2;		// Զعʱ,Ϊλȡֵ0.1ms~80ms	
	BYTE				byWhiteBalance;			// ƽ, 0-"unable", 1-"Auto", 2-"Custom", 3-"Sunny", 4-"Cloudy", 5-"Home", 6-"Office", 7-"Night", 8-"HighColorTemperature", 9-"LowColorTemperature", 10-"AutoColorTemperature", 11-"CustomColorTemperature"
	BYTE				byColorTemperature;		// ɫµȼ, ƽΪ"CustomColorTemperature"ģʽЧ
	bool				bGainAuto;				// Զ
	BYTE				byGain;					// , GainAutoΪtrueʱʾԶޣʾ̶ֵ
	BYTE				reversed[112];			// 
} CFG_VIDEO_IN_SNAPSHOT_OPTIONS;

///@brief ۽ģʽ
typedef enum
{
    CFG_CALIBRATE_MODE_UNKOWN,                  // δ֪ģʽ 
    CFG_CALIBRATE_MODE_ORIGIAL,                 // ԭʼͼģʽ
    CFG_CALIBRATE_MODE_CONFIG,                  // ģʽ
    CFG_CALIBRATE_MODE_PANORAMA,                // ȫģʽ
    CFG_CALIBRATE_MODE_DOUBLEPANORAMA,          // ˫ȫģʽ
    CFG_CALIBRATE_MODE_ORIGIALPLUSTHREEEPTZREGION, // 1+3ģʽһԭʼͼ3EPtzͼ
    CFG_CALIBRATE_MODE_SINGLE,                  // EPtzģʽֻһEPtz棩
    CFG_CALIBRATE_MODE_FOUREPTZREGION,          // 4ģʽ4EPtzƻ棩
    CFG_CALIBRATE_MODE_NORMAL,                  // ͨģʽ
}CFG_CALIBRATE_MODE;

///@brief ۾ͷ
typedef struct tagCFG_FISH_EYE
{
    CFG_POLYGON         stuCenterPoint;         // Բ,Χ[0,8192]
	unsigned int        nRadius;                // ۰뾶С,Χ[0,8192]
	float               fDirection;             // ͷת,תǶ[0,360.0]
	BYTE                byPlaceHolder;          // ͷװʽ	1װ2װ3װ,Ĭ1
    BYTE                byCalibrateMode;        // ۽ģʽ,CFG_CALIBRATE_MODEöֵ
	BYTE				reversed[31];			// 
}CFG_FISH_EYE;
///@brief Ƶǰѡ
typedef struct tagCFG_VIDEO_IN_OPTIONS
{
	BYTE				byBacklight;			// ⲹȡֵΧȡ豸0-ر1-2-ָ򱳹ⲹ
	BYTE				byDayNightColor;		// /ҹģʽ0-ǲɫ1-Զл2-Ǻڰ
	BYTE				byWhiteBalance;			// ƽ, 0-"unable", 1-"Auto", 2-"Custom", 3-"Sunny", 4-"Cloudy", 5-"Home", 6-"Office", 7-"Night", 8-"HighColorTemperature", 9-"LowColorTemperature", 10-"AutoColorTemperature", 11-"CustomColorTemperature"
	BYTE				byColorTemperature;		// ɫµȼ, ƽΪ"CustomColorTemperature"ģʽЧ
	bool				bMirror;				// 
	bool				bFlip;					// ת
	bool				bIrisAuto;				// ԶȦ
	bool				bInfraRed;				// ݻԶⲹ	
	BYTE				byGainRed;				// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byGainBlue;				// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byGainGreen;			// ɫڣƽΪ"Custom"ģʽЧ 0~100
	BYTE				byExposure;				// عģʽȡֵΧȡ豸0-Զع⣬1-عȼ12-عȼ2n-1عȼ nʱ޵Զع n+1Զʱֶع (n==byExposureEn
	float				fExposureValue1;		// Զعʱ޻ֶعԶʱ,Ϊλȡֵ0.1ms~80ms
	float				fExposureValue2;		// Զعʱ,Ϊλȡֵ0.1ms~80ms	
	bool				bGainAuto;				// Զ
	BYTE				byGain;					// , GainAutoΪtrueʱʾԶޣʾ̶ֵ
	BYTE				bySignalFormat;			// źŸʽ, 0-Inside(ڲ) 1-BT656 2-720p 3-1080p  4-1080i  5-1080sF
	BYTE				byRotate90;				// 0-ת1-˳ʱ90㣬2-ʱ90	
	float               fExternalSyncPhase;		// ͬλ 0~360	
	BYTE                byExternalSync;			// ⲿͬź,0-ڲͬ 1-ⲿͬ
	BYTE				bySwitchMode;			//0-лʹðã1-л2-ʱл3-лʹҹã4-ʹͨ
	BYTE				byDoubleExposure;		// ˫, 0-ã1-˫ȫ֡ʣͼƵֻпŲͬ2-˫Ű֡ʣͼƵżƽͬ
	BYTE                byWideDynamicRange;     // ֵ̬
	CFG_VIDEO_IN_NIGHT_OPTIONS stuNightOptions;	// ҹ
	CFG_FLASH_CONTROL	stuFlash;				// 
	CFG_VIDEO_IN_SNAPSHOT_OPTIONS stuSnapshot;	// ץĲ, ˫ʱЧ
	CFG_FISH_EYE        stuFishEye;             // ۾ͷ
	BYTE                byFocusMode;            // 0-رգ1-۽2-Զ۽
	BYTE                reserved[28];           // 
	BYTE				byGainMin;				// 
	BYTE				byGainMax;				// 
	BYTE				byAntiFlicker;			// ˸ģʽ 0-Outdoor 1-50Hz˸ 2-60Hz˸
	BYTE				byExposureMode;         // عģʽ عȼΪԶعʱЧȡֵ0-ĬԶ1-ȣ2-,4-ֶ
	BYTE                byGlareInhibition;		// ǿ 0-رգ 1~100ΪΧֵ
	CFG_RECT			stuBacklightRegion;     // ⲹ            
	CFG_VIDEO_IN_NORMAL_OPTIONS stuNormalOptions;//ͨ
} CFG_VIDEO_IN_OPTIONS;

///@brief RTSPýṹ
typedef struct tagCFG_MULTICAST_INFO
{
	int  nStructSize;
	bool abStreamType;
	BYTE byReserved[3];
	BOOL bEnable;      // Ƿʹ
	char szMulticastAddr[MAX_ADDRESS_LEN]; //鲥ַ
	int  nPort;        //鲥˿
	char szLocalAddr[MAX_ADDRESS_LEN];   //ַ鲥ָϸ
	int  nChannelID;   // ͨ
	int  nStreamType;  //  0-, 1-1,2-2,3-3
}CFG_MULTICAST_INFO;
///@brief 鲥
typedef struct tagCFG_MULTICASTS_INFO
{
	int nStructSize;
	CFG_MULTICAST_INFO stuMultiInfo[MAX_CHAN_NUM]; //鲥
	int nCount;                                    //Ч
}CFG_MULTICASTS_INFO;
///@brief RTSP
typedef struct tagCFG_RTSP_INFO_IN
{
	int         nStructSize;
	BOOL        bEnable;       // Ƿʹ
	int         nPort;         // RTSP˿
	int         nRtpStartPort; // RTPʼ˿
	int         nRtpEndPort;   // RTP˿
	BOOL        bHttpEnable;   // RtspOverHttpʹ
	int         nHttpPort;     // RtspOverHttp˿
}CFG_RTSP_INFO_IN;
///@brief RTSP
typedef struct tagCFG_RTSP_INFO_OUT
{
	int         nStructSize;
	BOOL        bEnable;       // Ƿʹ
	int         nPort;         // RTSP˿
	int         nRtpStartPort; // RTPʼ˿
	int         nRtpEndPort;   // RTP˿
	BOOL        bHttpEnable;   // RtspOverHttpʹ
	int         nHttpPort;     // RtspOverHttp˿
}CFG_RTSP_INFO_OUT;
///@brief 鲥
typedef struct tagCFG_MULTICASTS_INFO_IN
{
	int                  nStructSize;
	CFG_MULTICAST_INFO   *pTSMulticast;   //TS鲥
	int                  nTSCount;        //ЧTS
	CFG_MULTICAST_INFO   *pRTPMulticast;  //RTP鲥
	int                  nRTPCount;       //ЧRTP
	CFG_MULTICAST_INFO   *pDHIIMulticast; //DHII鲥
	int                  nDHIICount;      //ЧDHII
    CFG_MULTICAST_INFO   *pRTPAudio;      //RTPƵ鲥
    int                  nRTPAudioCount;  //ЧRTPƵ
}CFG_MULTICASTS_INFO_IN;
///@brief 鲥
typedef struct tagCFG_MULTICASTS_INFO_OUT
{
	int                  nStructSize;
	CFG_MULTICASTS_INFO  stuTSMulticast;   //TS鲥
	CFG_MULTICASTS_INFO  stuRTPMulticast;  //RTP鲥
	CFG_MULTICASTS_INFO  stuDHIIMulticast; //DHII鲥
    CFG_MULTICASTS_INFO  stuRTPAudioMulticast; //RTPƵ鲥
}CFG_MULTICASTS_INFO_OUT;
///@brief ûб
typedef struct tagCFG_ACTIVEUSER_INFO
{
	int nStructSize;
	int nUserID;                         //ûIDһǻỰID
	char szUser[MAX_USERNAME_LEN];       // û
	char szGroupName[MAX_USERNAME_LEN];  // û
	int  nGroupLevel;                    // ûȼ
	char szClientType[MAX_USERNAME_LEN]; // ͻ
	char szClientAddr[MAX_ADDRESS_LEN];  // ͻIPַ
	CFG_NET_TIME  stuLoginTime;              // ûʱ
}CFG_ACTIVEUSER_INFO;
///@brief õлûϢ
typedef struct tagCFG_ACTIVEALLUSER_INFO
{
	int nStructSize;
	int nCount;                                                //Ч
	CFG_ACTIVEUSER_INFO stuActiveUserInfo[MAX_ACTIVEUSER_NUM]; //  ûб
}CFG_ACTIVEALLUSER_INFO;
///@brief ʱ
typedef struct tagCFG_NET_TIME_EX
{
	DWORD				dwYear;					// 
	DWORD				dwMonth;				// 
	DWORD				dwDay;					// 
	DWORD				dwHour;					// ʱ
	DWORD				dwMinute;				// 
	DWORD				dwSecond;				// 
	DWORD               dwMillisecond;          // 
	DWORD               dwReserved[2];          // ֶ
} CFG_NET_TIME_EX;

#define MAX_EXITMAN_NUM	32		// ֵ֧뿪

///@brief 
typedef enum tagEM_CFG_RULE_TYPE
{
	EM_CFG_RULE_UNKNOWN,			// δ֪
	EM_CFG_RULE_NUMBER_STAT,		// ͳ
	EM_CFG_RULE_MAN_NUM_DETECTION,	// ͳ
} EM_CFG_RULE_TYPE;

///@brief 뿪ԱʱϢ
typedef struct tagCFG_EXITMAN_STAY_STAT
{
	CFG_NET_TIME_EX	stuEnterTime;		// Աʱ
	CFG_NET_TIME_EX	stuExitTime;		// Ա뿪ʱ
	BYTE			reserved[104];		// ֽ
} CFG_EXITMAN_STAY_STAT;

///@brief ֻ뿪ʱϢ
typedef struct tagCFG_PIG_STAY_STAT
{
	CFG_NET_TIME		stuEnterTime;			// ֻʱ
	CFG_NET_TIME		stuExitTime;			// ֻ뿪ʱ
	char				szReserved[200];		// ֽ
}CFG_PIG_STAY_STAT;

///@brief ȡƵͳժҪϢṹ
typedef struct tagCFG_CFG_VIDEOSATA_SUMMARY_INFO
{
	int         			nStructSize;
	int         			nChannelID;               //ͳͨ
	char        			szRuleName[MAX_NAME_LEN]; //
	CFG_NET_TIME_EX 		stuStatTime;          	  //ͳʱ䣬תUTC
	int         			nEnteredTotal;            //ܼ
	int         			nEnteredToday;            //ܼ
	int         			nEnteredMonth;            //½ܼ
	int         			nEnteredYear;             //ܼ
	int         			nEnteredDaily;            //ÿܼ
	int         			nExitedTotal;             //ȥܼ
	int         			nExitedToday;             //ȥܼ
	int         			nExitedMonth;             //³ȥܼ
	int         			nExitedYear;              //ȥܼ
	int         			nExitedDaily;             //ÿȥܼ
	int         			nAvgTotal;                //ƽбͳ(ȥֵ)
	int         			nAvgToday;                //ƽ챣ͳ
	int         			nAvgMonth;                //ƽ±ͳ
	int         			nAvgYear;                 //ƽ걣ͳ         
	int         			nMaxTotal;                //бͳ(ȥֵ)
	int         			nMaxToday;                //챣ͳ
	int         			nMaxMonth;                //±ͳ
	int         			nMaxYear;                 //걣ͳ
    int         			nInsideSubTotal;          //
	EM_CFG_RULE_TYPE 		emRuleType;		  		  //
	int						nRetExitManNum;			  //뿪Ա
	CFG_EXITMAN_STAY_STAT 	stuExitManStayInfo[MAX_EXITMAN_NUM];   //뿪ԱʱϢ

	UINT					nEnteredTotalPig;					// 豸кֻͳ,ϴʼۼ
	UINT					nEnteredHourPig;					// Сʱڵֻ
	UINT					nEnteredTodayPig;					// ֻ(Ȼ)
	UINT					nEnteredTotalPigInTimeSection;		// IPCרãִclearSectionStatͬTodayPigֻ
	UINT					nExitedTotalPig;					// 豸кֻͳ,ϴʼۼ
	UINT					nExitedHourPig;						// Сʱڵֻ
	UINT					nExitedTodayPig;					// ֻ(Ȼ)
	UINT					nExitedTotalPigInTimeSection;		// IPCרãִclearSectionStatͬTodayPigֻ
	UINT					nInsideTotalPig;					// ֻ
	int						nInsidePigStayStatCount;			// ֻ뿪ʱϢ
	CFG_PIG_STAY_STAT		stuInsidePigStayStatInfo[32];		// ֻ뿪ʱϢ
	UINT					nInsideTodayPig;					// ֻ
}CFG_VIDEOSATA_SUMMARY_INFO;

///@brief ٽṹ
typedef struct tagCFG_SINGLESCENE
{
	int                 nStructSize;
	int					nSingleAlarmDelay;					//ʱ:1~600
	int					nSinglePresetID;					//Ԥõţ1~255(-1޶)
}CFG_SINGLESCENE;
///@brief Ѳ·ṹ
typedef struct tagCFG_TOURPATH
{
	int                 nStructSize;
	int					nMultiPresetID;						//Ԥõ
	int					nMultiDuration;						//ͣʱ30~900
}CFG_TOURPATH;

///@brief ೡģʽ
typedef enum tagCFG_MULTSCENE_PRIOR_MODE
{
    EM_MULTSCENE_PRIOR_MODE_UNKNOW = 0  , 
    EM_MULTSCENE_PRIOR_MODE_DETECT      , //,ȴϵͳϺл
    EM_MULTSCENE_PRIOR_MODE_SWITCH      , //л,ֱͣϵͳ,лһ
}CFG_MULTSCENE_PRIOR_MODE;

///@brief ೡٽṹ
typedef struct tagCFG_MULTISCENE
{
	int                         nStructSize;
	int					        nMultiAlarmDelay;					    //ʱ1~600
	int					        nTourPathCount;						    //Ѳ·
	CFG_TOURPATH	            stuMultiTourPath[MAX_TRACKSCENE_NUM];   //Ѳ·
    CFG_MULTSCENE_PRIOR_MODE    emPriorMode;                            //ģʽ
}CFG_MULTISCENE;

///@brief ȫٽṹ
typedef struct tagCFG_FULLSCENE
{
	int                 nStructSize;
	int					nFullAlarmDelay;					//ʱ1~600
	int					nFullPresetID;						//Ԥõ,ȫԤõ̶Ϊ0û
	int					nFullDuration;						//ȫٳʱ,0: һֱ;1~300:ٳʱ
}CFG_FULLSCENE;
///@brief λṹ
typedef struct tag_CFG_POSITION_LIMIT
{
	int                 nStructSize;
	BOOL				bEnable;							//λ
	int					nType;								//λֵʽ0: ̨λòʱݣλֵ
	                                                        //1λֵýǶ(λ0.1)ʾøֵøóλ
	int					nTop;								//λֵ, 0~900:λ0.1ȣ
	int					nBottom;							//λֵ0~900:λ0.1ȣ
	int					nLeft;								//λֵ0~3600:λ0.1ȣ
	int					nRight;								//λֵ0~3600:λ0.1ȣ
}CFG_POSITION_LIMIT;

///@brief õıǷ
typedef enum tagCFG_SCENE_DIRECTION_INFO
{
    EM_SCENE_DIRECTION_UNKNOW =0    , 
    EM_SCENE_DIRECTION_APPROACH     ,   //
    EM_SCENE_DIRECTION_LEAVE        ,   //
    EM_SCENE_DIRECTION_BOTH         ,   //˫
    EM_SCENE_DIRECTION_EAST2WEST    ,   //ɶ
    EM_SCENE_DIRECTION_WEST2EAST    ,   //
    EM_SCENE_DIRECTION_SOUTH2NORTH  ,   //
    EM_SCENE_DIRECTION_NORTH2SOUTH  ,   //ɱ
    EM_SCENE_DIRECTION_OTHER        ,   //
}CFG_SCENE_DIRECTION_INFO;

///@brief Ϣṹ
typedef struct tagCFG_SCENE
{
	int                         nStructSize;
	int					        nScenePresetID;						//Ԥõ㣬1~255ͨԤõŹӦ
	char			            szSceneName[MAX_NAME_LEN];		    //
	int					        nSceneDuration;						//ٳʱ:0: һֱ;1~300:ٳʱ
	double		                dSceneMaxZoom;					    //һ0~1;ΪnullʾʹȫMaxZoomֵ
	CFG_POSITION_LIMIT	        stuPositionLimit;                   //λ
    int                         nSceneRegression;                   //λʱ䣬1~10:ٶʧصԭʱ
    CFG_SCENE_DIRECTION_INFO    emDirectionInfo;                    ///õıǷ
}CFG_SCENE;

///@brief ܸģʽ
typedef enum tagCFG_INTELLI_TRACE_MODE
{
    EM_INTELLI_TRACE_MODE_UNKNOW = 0 ,
    EM_INTELLI_TRACE_MODE_INDOOR     , //ڸ(ʱ)
    EM_INTELLI_TRACE_MODE_OUTDOOR    , //
    EM_INTELLI_TRACE_MODE_CLASSROOM  , //Ҹ(ʱҪ궨)
}CFG_INTELLI_TRACE_MODE;

///@brief ܸٳýṹ
typedef struct tagCFG_INTELLITRACKSCENE_INFO
{
	int                     nStructSize;
	BOOL		            bEnableTrack;				       //ܸ
	int				        nTrackType;						   //0,٣1ֶ
	double			        dMaxZoom;						   //ٱʣһ0~1Ϊnullʾ
	char			        szCategory[MAX_NAME_LEN];		   //ǰͣ"SingleScene"٣"MultiScene"ೡ٣"FullScene"ȫ
	CFG_SINGLESCENE         stuSingleTrack;					   //
	CFG_MULTISCENE	        stuMultiTrack;	                   //ೡ
	CFG_FULLSCENE	        stuFullTrack;					   //ȫ
	int				        nSceneCount;					   //ֵ֧ĳ
	CFG_SCENE		        stuScene[MAX_TRACKSCENE_NUM];	   //б
    double                  dCameraHeight;                     //ͷ洹ֱ,λ:
    int                     nIdleDelay;                        //еȴʱ,λ:(ûֹͣ豸󣬵ܼЧĿʱʱ)
    CFG_INTELLI_TRACE_MODE  emTraceMode;                       //ģʽ
}CFG_INTELLITRACKSCENE_INFO;

#define   CFG_MAX_FISHEYE_WINDOW_NUM               8         // ۴
#define   CFG_MAX_FISHEYE_MODE_NUM                 8         // ģʽ   
///@brief ۴λϢ
typedef struct tagCFG_FISHEYE_WINDOW_INFO
{
    DWORD             dwWindowID;                        // ID
    int               nFocusX;                           // EPtz̨Ľ
    int               nFocusY;                           // EPtz (̨Ľ   
    int               nHorizontalAngle;                  // EPtzˮƽǶ
    int               nVerticalAngle;                    // EPtzĴֱǶ
}CFG_FISHEYE_WINDOW_INFO;

///@brief ۸ģʽĴλϢ
typedef struct tagCFG_FISHEYE_MODE_INFO
{
    int                nModeType;                        // ģʽͣ CFG_CALIBRATE_MODE
    int                nWindowNum;                       // ǰģʽµĴ
    CFG_FISHEYE_WINDOW_INFO stuWindwos[CFG_MAX_FISHEYE_WINDOW_NUM]; // 崰Ϣ 
}CFG_FISHEYE_MODE_INFO;
///@brief ϸϢ
typedef struct tagCFG_FISHEYE_DETAIL_INFO
{
    int                nModeNum;                         // ģ
    CFG_FISHEYE_MODE_INFO stuModes[CFG_MAX_FISHEYE_MODE_NUM]; // ģϢ
	CFG_CALIBRATE_MODE	emCalibrateMode;				 // ۽ģʽ
}CFG_FISHEYE_DETAIL_INFO;

// ƽ̨·Ӧתб
#define   CFG_MAX_NOANSWER_FORWARD_GROUP_NUM                    32         // Ӧǰתб
#define   CFG_MAX_FORWARD_NUMBERS_NUM                           32         // Ӧתƺ

///@brief Ӧת
typedef struct tagCFG_VT_NOANSWER_FORWARD_GROUP
{
    char                    szRoomNumber[CFG_COMMON_STRING_32];          // к
    int                     nForwardNumbersNum;                          // Ӧתƺ
    char                    szForwardNumbers[CFG_MAX_FORWARD_NUMBERS_NUM][CFG_COMMON_STRING_64]; // Ӧתƺб  
}CFG_VT_NOANSWER_FORWARD_GROUP;

///@brief ƽ̨·ӦתбϢ
typedef struct tagCFG_VT_NOANSWER_FORWARD_INFO
{
    BOOL                            bEnable;                                        // Ӧתʹ
    int                             nGroupNum;                                      // ӦתбЧΧ0 ~ CFG_MAX_NOANSWER_FORWARD_GROUP_NUM
    CFG_VT_NOANSWER_FORWARD_GROUP   stuGroups[CFG_MAX_NOANSWER_FORWARD_GROUP_NUM];  // Ӧתб  
}CFG_VT_NOANSWER_FORWARD_INFO;

///@brief VTO
typedef struct tagCFG_VTO_CALL_INFO
{
    BOOL                            bAreaEnable;                                        // ʹ
    char                            szAreaNumber[CFG_COMMON_STRING_32];                  // 
    BOOL                            bMiddleNumberCallEnable;                            // кźп
    char                            szVTHMiddleNumberPrefix[CFG_COMMON_STRING_16];       // VTHкǰ׺̶4λ
    char                            szVTHLongNumberPrefix[CFG_COMMON_STRING_32];         // VTHǰ׺̶8λ
    char                            szVTOShortNumber[CFG_COMMON_STRING_16];              // VTO̺ţ̶4λ
    char                            szVTOMiddleNumberPrefix[CFG_COMMON_STRING_16];       // VTOкǰ׺̶4λ
    char                            szVTOLongNumbrPrefix[CFG_COMMON_STRING_32];          // VTOǰ׺̶12λ
    char                            szVTSLongNumber[CFG_COMMON_STRING_32];               // VTSţ̶18λ
    char                            szVillaCallVTHNum[CFG_COMMON_STRING_32];             // к
}CFG_VTO_CALL_INFO;

/************************״̬**********************************/

///@brief ץģʽ
typedef enum tagCFG_TRAFFIC_SNAP_MODE
{
	TRAFFIC_SNAP_MODE_AUTO = 0,				       // Զץ
	TRAFFIC_SNAP_MODE_COIL,				           // Ȧץ
	TRAFFIC_SNAP_MODE_COIL_PICANALYSIS,		       // Ȧץ, ͼƬ
	TRAFFIC_SNAP_MODE_STREAM,				       // Ƶץ
	TRAFFIC_SNAP_MODE_STREAM_IDENTIFY,		       // Ƶץ, ʶ
	TRAFFIC_SNAP_MODE_MIX_IDENTIFY,		           // ץ, ʶ
} CFG_TRAFFIC_SNAP_MODE;

///@brief 豸״̬Ϣ
typedef struct tagCFG_TRAFFIC_WORKSTATE_INFO
{
	int                     nChannelID;  // ͨ
	CFG_TRAFFIC_SNAP_MODE   emSnapMode;  // ץģʽ
	int                     nMatchMode;  // ץƥģʽ: 0-ʵʱƥ䷽ʽȱץģץ֡Ǳ֡;  1-ʵʱƥģʽ֡ץ֡ͬһ֡ 
}CFG_TRAFFIC_WORKSTATE_INFO;

///@brief ȡ豸״̬Ƿ(CFG_CAP_CMD_DEVICE_STATE ӦĽṹ)
typedef struct tagCFG_TRAFFIC_DEVICE_STATUS
{
	char                 szType[MAX_PATH];          // 豸	֧֣"Radar","Detector","SigDetector","StroboscopicLamp"," FlashLamp"
	char                 szSerialNo[MAX_PATH];      // 豸
	char                 szVendor[MAX_PATH];        // 
	int                  nWokingState;              // ״̬	0-,1-
	BYTE				 byLightState;				// RS485Ƶ״̬Type Ϊ"DhrsStroboscopicLamp""DhrsSteadyLamp"ʱЧ
													// 0-δ֪, 1-, 2-
	BYTE				 byReserved[3];             // Ԥֽ
				 
}CFG_TRAFFIC_DEVICE_STATUS;
///@brief ȡ豸״̬Ϣ
typedef struct tagCFG_CAP_TRAFFIC_DEVICE_STATUS
{
	int                        nStatus;             // stuStatus ʵʸ
	CFG_TRAFFIC_DEVICE_STATUS  stuStatus[MAX_STATUS_NUM];
}CFG_CAP_TRAFFIC_DEVICE_STATUS;

/************************¼**********************************/

///@brief 洢Ϣ
typedef struct tagCFG_STORAGEGROUP_INFO
{
	char                  szGroupName[MAX_STORAGEGROUPNAME_LEN];   // 洢
	BYTE*                 byDisks;                                 // Ż
	int                   nBufSize;                                // byDisksĳ
	int                   nDiskNum;                                // 洢еĴ
	int                   nGroupIndex;                             // 洢(1~Ӳ)
}CFG_STORAGEGROUP_INFO;

///@brief ¼-洢 ӦϢ
typedef struct tagCFG_RECORDTOGROUP_INFO
{
	int                   nChannelID;                               // ͨ
	BOOL                  bEnable;                                  // ʹ                       
	char                  szGroupName[MAX_STORAGEGROUPNAME_LEN];    // 洢, ֻ
	int                   nGroupIndex;                              // 洢(1~, 0ʾ޶Ӧ)ͨ˲CFG_STORAGE_GROUP_INFO
}CFG_RECORDTOGROUP_INFO;
///@brief 洢
typedef enum EM_STORAGEPOINT_TYPE
{
       	EM_STORAGE_TIMINGRECORD,        //ʱ¼洢
		EM_STORAGE_MANUALRECORD,        //ֶ¼洢
		EM_STORAGE_VIDEODETECTRECORD,   //Ƶ¼洢
		EM_STORAGE_ALARMRECORD,         //¼洢
		EM_STORAGE_CARDRECORD,          //¼洢
		EM_STORAGE_EVENTRECORD,         // ¼¼洢                
		EM_STORAGE_TIMINGSNAPSHOT,      // ʱץͼ洢
		EM_STORAGE_MANUALSNAPSHOT,      // ֶץͼ洢
		EM_STORAGE_VIDEODETECTSNAPSHOT, // Ƶץͼ洢
		EM_STORAGE_ALARMSNAPSHOT,       // ץͼ洢
		EM_STORAGE_CARDSNAPSHOT,        // ץͼ洢
		EM_STORAGE_EVENTSNAPSHOT,       // ¼ץͼ洢
		EM_STORAGE_TIMINGEXTRA1RECORD,  // 1¼洢
}EM_STORAGEPOINT_TYPE;
///@brief 洢Ϣ
typedef struct tagCFG_STORAGEPOINT_INFO
{
	DWORD dwSize;
	EM_STORAGEPOINT_TYPE emStoragePointType;// 洢
	char nLocalDir;                         //عĿ¼, ձʾ¼
	char szCompressDir[MAX_DIRECTORY_LEN];  //ʵʱѹ洢Ŀ¼飬ձʾʹʵʱѹ洢
	char szRedundantDir[MAX_DIRECTORY_LEN]; //๤Ŀ¼,ձʾû¼
	char szRemoteDir[MAX_DIRECTORY_LEN];   //Զ̹Ŀ¼,ձʾ¼Զ̡
	BOOL bAutoSync;                         //Զ̴洢ϻָǷԶش洢ͬԶ̴洢
	UINT nAutoSyncRange;                    //ָʱ̿ʼҪǰͬʱ䷶ΧСʱΪλ0ʾͬݡ
	BOOL bLocalEmergency;                   //ԶĿ¼޷ʱǷ񱣴浽Ŀ¼
	UINT nCompressBefore;                   //ý֮ǰ¼ļѹ
}CFG_STORAGEPOINT_INFO;

///@brief ¼洢ӳϢ
typedef struct tagCFG_RECORDTOSTORAGEPOINT_INFO
{
	int	nStoragePointNum;                                        //洢Ŀ
	CFG_STORAGEPOINT_INFO stStoragePoints[MAX_STORAGEPOINT_NUM]; // 洢Ϣ
}CFG_RECORDTOSTORAGEPOINT_INFO;

///@brief ¼洢ӳչϢ
typedef struct tagCFG_RECORDTOSTORAGEPOINT_EX_INFO
{
	DWORD							dwSize;
	int								nMaxChannelRecord; // ¼ͨø
	int								nRetChannelRecord; // ʵʷͨø
	CFG_RECORDTOSTORAGEPOINT_INFO	*pstRecordStorage; // ͨ洢Ϣ, ûڴ, СΪsizeof(CFG_RECORDTOSTORAGEPOINT_INFO)*nMaxChannelRecord
}CFG_RECORDTOSTORAGEPOINT_EX_INFO;

///@brief iscsiֱ棬Ԫݷýӿ
typedef struct __tagCFG_METADATA_SERVER
{
	DWORD       nStructSize;
	BOOL        bEnable;                              //ʹܿ
	char        szAddress[MAX_ADDRESS_LEN];           //IPַ
	DWORD       dwPort;                               //˿ں
	char        szUserName[MAX_USERNAME_LEN];         //ʻ  
	char        szPassword[MAX_PASSWORD_LEN];         //
	char        szDeviceID[MAX_REMOTEDEVICENAME_LEN]; //ΪʹԪݷ豸ͳһID豸ԴIDʶԼ
}CFG_METADATA_SERVER;

///@brief ػ
typedef struct __tagCFG_GOOD_WEIGHT_INFO
{
	DWORD		dwMaxGoodsWeight;					// (kg)
	DWORD		dwMinGoodsWeight;					// С(kg)
	DWORD		dwSelfWeight;						// (kg)
	DWORD		dwStandardWeight;					// (kg)
	DWORD		dwAlarmWeight;						// ֵ(kg)
	int			nCheckTime;							// ֹɼʱ(s)
} CFG_GOOD_WEIGHT_INFO;

///@brief ͷ۽״̬Ϣ
typedef struct tagCFG_CAP_FOCUS_STATUS
{
	int					nAutofocusPeak;							// ǰAFֵ	۽ģʽЧ
	double		        dFocus;									// ۽λ	һ0~1
	double		        dZoom;									// Ŵ	һ0~1
	int					nStatus;								// ۽״̬, 0 ״̬ 1 Զ۽
}CFG_CAP_FOCUS_STATUS;

///@brief ̨֧Ϣ
typedef struct tagCFG_CAP_PTZ_ENABLEINFO 
{
	BOOL bEnable;												//ͨǷ̨֧
	
}CFG_CAP_PTZ_ENABLEINFO;


///@brief Ӧ
typedef struct tagCFG_CAP_NETAPP
{
	int                nNetCardCount;                           // 
	int                nNetTypeNumber;                          // ͸
	char               szNetType[MAX_NET_TYPE_NUM][MAX_NET_TYPE_LEN]; // , "PPPoE""WIFI""3G""LAN"
}CFG_CAP_NETAPP;



///@brief /////////////////////////////////Э///////////////////////////////////////
///@brief ¼ģʽ
typedef struct AV_CFG_RecordMode
{
	AV_int32			nStructSize;
	AV_int32			nMode;							// ¼ģʽ, 0-Զ¼1-ֶ¼2-ر¼
    AV_int32			nModeExtra1;					// 1¼ģʽ, 0-Զ¼1-ֶ¼2-ر¼
    AV_int32			nModeExtra2;					// 2¼ģʽ, 0-Զ¼1-ֶ¼2-ر¼
}AV_CFG_RecordMode;

///@brief ͨ
typedef struct AV_CFG_ChannelName
{
	AV_int32			nStructSize;
	AV_int32			nSerial;						// ͷΨһ
	char				szName[CFG_MAX_CHANNEL_NAME_LEN];// ͨ
}AV_CFG_ChannelName;

///@brief Ƶ
typedef struct AV_CFG_VideoOutAttr
{
	AV_int32			nStructSize;
	AV_int32			nMarginLeft;					// ߾, , 0~100
	AV_int32			nMarginTop;						// ϱ߾, , 0~100
	AV_int32			nMarginRight;					// ұ߾, , 0~100
	AV_int32			nMarginBottom;					// ±߾, , 0~100
	AV_int32			nBrightness;					// , 0~100
	AV_int32			nContrast;						// Աȶ, 0~100
	AV_int32			nSaturation;					// Ͷ, 0~100
	AV_int32			nHue;							// ɫ, 0~100
	AV_int32			nWidth;							// ˮƽֱ
	AV_int32			nHeight;						// ֱֱ
	AV_int32			nBPP;							// ɫ
	AV_int32			nFormat;						// -1-δ֪, 0-Auto, 1-TV, 2-VGA, 3-DVI, 4-HDMI, 5-SPOT
	AV_int32			nRefreshRate;					// ˢƵ
	AV_BOOL				bIQIMode;						// ͼǿ
	AV_int32			nScanFormat;					// ɨģʽ, 0-, 1-
}AV_CFG_VideoOutAttr;

///@brief ʱ
typedef struct AV_CFG_TimeSection
{
	AV_int32			nStructSize;
	AV_int32			nMask;							// 
	AV_int32			nBeginHour;						// ʼʱ
	AV_int32			nBeginMinute;
	AV_int32			nBeginSecond;
	AV_int32			nEndHour;						// ʱ
	AV_int32			nEndMinute;
	AV_int32			nEndSecond;
}AV_CFG_TimeSection;

///@brief Զͨ
typedef struct AV_CFG_RemoteChannel 
{
	AV_int32			nStructSize;
	AV_BOOL				bEnable;						// ʹ
	char				szDeviceID[AV_CFG_Device_ID_Len];	// 豸ID
	AV_int32			nChannel;						// ͨ
}AV_CFG_RemoteChannel;

///@brief ʾԴ
typedef struct AV_CFG_DisplaySource 
{
	AV_int32			nStructSize;
	AV_int32			nWindowID;						// ID
	AV_BOOL				bEnable;						// ʹ
	char				szDeviceID[AV_CFG_Device_ID_Len];// 豸ID
	AV_int32			nVideoChannel;					// Ƶͨ
	AV_int32			nVideoStream;					// Ƶ
	AV_int32			nAudioChannle;					// Ƶͨ
	AV_int32			nAudioStream;					// Ƶ
	AV_BOOL				bVideoEnable;			        // ʾôǷƵԴ
}AV_CFG_DisplaySource;

///@brief ָͨʾԴ
typedef struct AV_CFG_ChannelDisplaySource 
{
	AV_int32			nStructSize;
	AV_int32			nWindowNum;						// ָ
	AV_CFG_DisplaySource stuSource[AV_CFG_Max_Split_Window];// ָʾԴ
}AV_CFG_ChannelDisplaySource;

///@brief ѵ·ָģʽķʹ״̬
typedef struct AV_CFG_MonitorTourMask
{
	AV_int32			nStructSize;
	CFG_SPLITMODE		emSplitMode;					// ָģʽ
	AV_int32			nGroupNum;						// 
	AV_int32			nGroup[AV_CFG_Max_Split_Group];	// ÷ָģʽ¼ѵķ
}AV_CFG_MonitorTourMask;

///@brief ѵ
typedef struct AV_CFG_MonitorTour 
{
	AV_int32			nStructSize;
	AV_BOOL				bEnable;						// ʹ
	AV_int32			nInterval;						// ʱ, 5~120s
	AV_int32			nSplitMaskNum;					// ָʹ
	AV_CFG_MonitorTourMask	stuSplitMask[AV_CFG_Max_Split_Mode];// ָģʽӦķʹ״̬
	AV_int32			nCollectionNum;					// ղ
	char				szCollection[AV_CFG_Monitor_Favorite_In_Channel][AV_CFG_Monitor_Favorite_Name_Len];// ղ
}AV_CFG_MonitorTour;

///@brief Ԥղ
typedef struct AV_CFG_MonitorFavorite 
{
	AV_int32			nStructSize;
	AV_BOOL				bDir;										// ǷΪĿ¼	
	char				szName[AV_CFG_Monitor_Favorite_Name_Len];	// 
	char				szPath[AV_CFG_Max_Path];					// Ŀ¼·, ʽ: .name1.name2.name3
	CFG_SPLITMODE		emMode;										// ָģʽ
	AV_int32			nWindowNum;									// 
	AV_CFG_DisplaySource stuWindow[AV_CFG_Max_Monitor_Favorite_Window];	// ʾԴ
}AV_CFG_MonitorFavorite;

///@brief Ԥղؼ
typedef struct AV_CFG_MonitorCollection 
{
	AV_int32			nStructSize;
	AV_CFG_MonitorFavorite*	pstuFavorite;				// ղ
	AV_int32			nMaxCount;						// ղС
	AV_int32			nRetCount;						// صĻղ
}AV_CFG_MonitorCollection;

///@brief RaidϢ
typedef struct AV_CFG_Raid 
{
	AV_int32			nStructSize;
	char				szName[AV_CFG_Raid_Name_Len];	// 
	AV_int32			nLevel;							// ȼ
	AV_int32			nMemberNum;						// ̳Ա
	char				szMembers[AV_CFG_Max_Rail_Member][AV_CFG_Max_Path];	// ̳Ա
}AV_CFG_Raid;

///@brief ¼Դ
typedef struct AV_CFG_RecordSource
{
	AV_int32			nStructSize;
	AV_BOOL				bEnable;						// ʹ
	char				szDeviceID[AV_CFG_Device_ID_Len];// 豸ID
	AV_int32			nVideoChannel;					// Ƶͨ
	AV_int32			nVideoStream;					// Ƶ
	AV_int32			nAudioChannle;					// Ƶͨ
	AV_int32			nAudioStream;					// Ƶ
}AV_CFG_RecordSource;

///@brief ʽ, ƵƵ
typedef struct AV_CFG_EncodeFormat
{
	AV_int32			nStructSize;
	AV_BOOL				bAudioEnable;					// Ƶʹ
	AV_int32			nAudioBitRate;					// Ƶ
	CFG_AUDIO_FORMAT	emAudioCompression;				// Ƶѹģʽ
	AV_int32			nAudioDepth;					// Ƶ
	AV_int32			nAudioFrequency;				// ƵƵ
	AV_int32			nAudioMode;						// Ƶģʽ
	AV_int32			nAudioPack;						// Ƶģʽ, 0-DHAV, 1-PS

	AV_BOOL				bVideoEnable;					// Ƶʹ
	AV_int32			nVideoBitRate;					// Ƶ
	CFG_BITRATE_CONTROL	emVideoBitRateControl;			// ģʽ
	CFG_VIDEO_COMPRESSION emVideoCompression;			// Ƶѹģʽ
	AV_int32			nVideoFPS;						// Ƶ֡
	AV_int32			nVideoGOP;						// ƵI֡
	AV_int32			nVideoWidth;					// Ƶ
	AV_int32			nVideoHeight;					// Ƶ߶
	CFG_IMAGE_QUALITY	emVideoQuality;					// Ƶͼ
	AV_int32			nVideoPack;						// Ƶģʽ, 0-DHAV, 1-PS	
}AV_CFG_EncodeFormat;

///@brief 
typedef struct AV_CFG_Encode 
{
	AV_int32			nStructSize;
	AV_CFG_EncodeFormat stuMainFormat[AV_CFG_Max_Encode_Main_Format];	// , ͨ, , 
	AV_CFG_EncodeFormat	stuExtraFormat[AV_CFG_Max_Encode_Extra_Format];	// , 1, 2, 3
	AV_CFG_EncodeFormat	stuSnapFormat[AV_CFG_Max_Encode_Snap_Format];	// ץͼ, ͨץͼ, ץͼ, ץͼ
}AV_CFG_Encode;

///@brief videocolor style
typedef enum tagCFG_ENUM_VIDEOCOLOR_STYLE
{
    CFG_ENUM_VIDEOCOLOR_STYLE_UNKNOWN,                // δ֪
    CFG_ENUM_VIDEOCOLOR_STYLE_GENTLE,                 // 
    CFG_ENUM_VIDEOCOLOR_STYLE_STANDARD,               // ׼
    CFG_ENUM_VIDEOCOLOR_STYLE_FLAMBOYANT,             // 
}CFG_ENUM_VIDEOCOLOR_STYLE;

///@brief ճ
typedef enum tagEM_LIGHT_SCENE
{
    EM_LIGHT_SCENE_UNKNOWN,             // δ֪
    EM_LIGHT_SCENE_DAY,                 // 
    EM_LIGHT_SCENE_NIGHT,               // ҹ
    EM_LIGHT_SCENE_NORMAL,              // ͨ
    EM_LIGHT_SCENE_FRONT_LIGHT,         // ˳
    EM_LIGHT_SCENE_BACK_LIGHT,          // һ
    EM_LIGHT_SCENE_STRONG_LIGHT,        // ǿ
    EM_LIGHT_SCENE_LOW_LIGHT,           // ն
    EM_LIGHT_SCENE_CUSTOM,              // Զ
}EM_LIGHT_SCENE;


///@brief Ƶɫ, ÿƵͨӦɫ
typedef struct AV_CFG_VideoColor 
{
	AV_int32			nStructSize;
	AV_CFG_TimeSection	stuTimeSection;					// ʱ
	AV_int32			nBrightness;					// , 0~100
	AV_int32			nContrast;						// Աȶ, 0~100
	AV_int32			nSaturation;					// Ͷ, 0~100
	AV_int32			nHue;							// ɫ, 0~100
	AV_int32			nGamma;							// , 0~100
    AV_int32            nChromaSuppress;                // ɫƵȼ 0~100
    CFG_ENUM_VIDEOCOLOR_STYLE emColorStyle;             // ɫʷ
}AV_CFG_VideoColor;

///@brief ͨƵɫ
typedef struct AV_CFG_ChannelVideoColor 
{
	AV_int32			nStructSize;
	AV_int32			nColorNum;						// ͨɫ
	AV_CFG_VideoColor	stuColor[AV_CFG_Max_VideoColor];// ͨɫ, ÿͨӦɫ
}AV_CFG_ChannelVideoColor;

///@brief ɫ
typedef struct AV_CFG_Color
{
	AV_int32			nStructSize;
	AV_int32			nRed;							// 
	AV_int32			nGreen;							// 
	AV_int32			nBlue;							// 
	AV_int32			nAlpha;							// ͸
}AV_CFG_Color;

///@brief 
typedef struct AV_CFG_Rect 
{
	AV_int32			nStructSize;
	AV_int32			nLeft;
	AV_int32			nTop;
	AV_int32			nRight;
	AV_int32			nBottom;	
}AV_CFG_Rect;

///@brief -򸲸
typedef struct AV_CFG_VideoWidgetCover 
{
	AV_int32			nStructSize;	
	AV_BOOL				bEncodeBlend;					// ӵ
	AV_BOOL				bEncodeBlendExtra1;				// ӵ1
	AV_BOOL				bEncodeBlendExtra2;				// ӵ2
	AV_BOOL				bEncodeBlendExtra3;				// ӵ3
	AV_BOOL				bEncodeBlendSnapshot;			// ӵץͼ
	AV_CFG_Color		stuFrontColor;					// ǰɫ
	AV_CFG_Color		stuBackColor;					// ɫ
	AV_CFG_Rect			stuRect;						// , ȡֵ0~8191
	AV_BOOL				bPreviewBlend;					// ӵԤƵ
}AV_CFG_VideoWidgetCover;

///@brief ͨϢ
typedef enum tagEM_TITLE_TEXT_ALIGN
{
    EM_TEXT_ALIGN_INVALID,                              // ЧĶ뷽ʽ
    EM_TEXT_ALIGN_LEFT,                                 // 
    EM_TEXT_ALIGN_XCENTER,                              // Xж
    EM_TEXT_ALIGN_YCENTER,                              // Yж
    EM_TEXT_ALIGN_CENTER,                               // 
    EM_TEXT_ALIGN_RIGHT,                                // Ҷ
    EM_TEXT_ALIGN_TOP,                                  // ն
    EM_TEXT_ALIGN_BOTTOM,                               // յײ
    EM_TEXT_ALIGN_LEFTTOP,                              // ϽǶ
    EM_TEXT_ALIGN_CHANGELINE,                           // ж
}EM_TITLE_TEXT_ALIGN;

///@brief -ͨ
typedef struct AV_CFG_VideoWidgetChannelTitle
{
	AV_int32			nStructSize;
	AV_BOOL				bEncodeBlend;					// ӵ
	AV_BOOL				bEncodeBlendExtra1;				// ӵ1
	AV_BOOL				bEncodeBlendExtra2;				// ӵ2
	AV_BOOL				bEncodeBlendExtra3;				// ӵ3
	AV_BOOL				bEncodeBlendSnapshot;			// ӵץͼ
	AV_CFG_Color		stuFrontColor;					// ǰɫ
	AV_CFG_Color		stuBackColor;					// ɫ
	AV_CFG_Rect			stuRect;						// , ȡֵ0~8191, ʹlefttopֵ, (left,top)Ӧ(right,bottom)óͬĵ
	AV_BOOL				bPreviewBlend;					// ӵԤƵ
}AV_CFG_VideoWidgetChannelTitle;

///@brief -ʱ
typedef struct AV_CFG_VideoWidgetTimeTitle
{
	AV_int32			nStructSize;
	AV_BOOL				bEncodeBlend;					// ӵ
	AV_BOOL				bEncodeBlendExtra1;				// ӵ1
	AV_BOOL				bEncodeBlendExtra2;				// ӵ2
	AV_BOOL				bEncodeBlendExtra3;				// ӵ3
	AV_BOOL				bEncodeBlendSnapshot;			// ӵץͼ
	AV_CFG_Color		stuFrontColor;					// ǰɫ
	AV_CFG_Color		stuBackColor;					// ɫ
	AV_CFG_Rect			stuRect;						// , ȡֵ0~8191, ʹlefttopֵ, (left,top)Ӧ(right,bottom)óͬĵ
	AV_BOOL				bShowWeek;						// Ƿʾ
	AV_BOOL				bPreviewBlend;					// ӵԤƵ
}AV_CFG_VideoWidgetTimeTitle;
	
///@brief -Զ
typedef struct AV_CFG_VideoWidgetCustomTitle 
{
	AV_int32			nStructSize;
	AV_BOOL				bEncodeBlend;					// ӵ
	AV_BOOL				bEncodeBlendExtra1;				// ӵ1
	AV_BOOL				bEncodeBlendExtra2;				// ӵ2
	AV_BOOL				bEncodeBlendExtra3;				// ӵ3
	AV_BOOL				bEncodeBlendSnapshot;			// ӵץͼ
	AV_CFG_Color		stuFrontColor;					// ǰɫ
	AV_CFG_Color		stuBackColor;					// ɫ
	AV_CFG_Rect			stuRect;						// , ȡֵ0~8191, ʹlefttopֵ, (left,top)Ӧ(right,bottom)óͬĵ
	char				szText[AV_CFG_Custom_Title_Len];// 
	AV_BOOL				bPreviewBlend;					// ӵԤƵ
    char                szType[AV_CFG_Custom_TitleType_Len];//  "Rtinfo" ʵʱ¼Ϣ "Custom" Զӡʪȵ "Title" :ƬͷϢ "Check"  У
                                                            // Ϣ "Geography"  ATMϢ "ATMCardInfo"  "CameraID" 
    EM_TITLE_TEXT_ALIGN emTextAlign;                    // 뷽ʽ
	AV_BOOL				bUpdate;						// ǷҪ豸˸µݣԲͨٵƵOSDĿʹã true:  false:
}AV_CFG_VideoWidgetCustomTitle;

///@brief  -ӴϢ-
typedef struct AV_CFG_VideoWidgetSensorInfo_Description 
{
	AV_int32			nStructSize;
	AV_int32			nSensorID;						// ҪĴID(ģͨ)
    char                szDevID[CFG_COMMON_STRING_32];  // 豸ID
    char                szPointID[CFG_COMMON_STRING_32];// ID
    char                szText[CFG_COMMON_STRING_256];  // Ҫӵ
}AV_CFG_VideoWidgetSensorInfo_Description;

///@brief -ӴϢ
typedef struct AV_CFG_VideoWidgetSensorInfo
{
	AV_int32			nStructSize;
	AV_BOOL				bPreviewBlend;					// ӵԤƵ
	AV_BOOL				bEncodeBlend;					// ӵƵ
	AV_CFG_Rect			stuRect;						// , ȡֵ0~8191
	AV_int32			nDescriptionNum;				// Ŀ
	AV_CFG_VideoWidgetSensorInfo_Description stuDescription[AV_CFG_Max_Description_Num];// Ϣ
}AV_CFG_VideoWidgetSensorInfo;

///@brief OSDе巽FontSolution
typedef enum tagEM_FONT_SOLUTION
{
    EM_FONT_UNKNOWN,			// δ֪ 
    EM_FONT_DFAULT,             // Ĭ "default-font"
    EM_FONT_SIMKAI,			    //  "simkai"
    EM_FONT_SIMSUN,		        // "simsun"
}EM_FONT_SOLUTION;

///@brief Ƶ
typedef struct AV_CFG_VideoWidget 
{
	AV_int32						nStructSize;
	AV_CFG_VideoWidgetChannelTitle	stuChannelTitle;	// ͨ
	AV_CFG_VideoWidgetTimeTitle		stuTimeTitle;		// ʱ
	AV_int32						nConverNum;			// 򸲸
	AV_CFG_VideoWidgetCover			stuCovers[AV_CFG_Max_Video_Widget_Cover];				// 
	AV_int32						nCustomTitleNum;	// Զ
	AV_CFG_VideoWidgetCustomTitle	stuCustomTitle[AV_CFG_Max_Video_Widget_Custom_Title];	// Զ
	AV_int32						nSensorInfo;		// ϢĿ
	AV_CFG_VideoWidgetSensorInfo	stuSensorInfo[AV_CFG_Max_Video_Widget_Sensor_Info];		// ϢϢ
    double                          fFontSizeScale;            //СŴ
                                                               //fFontSizeScale0ʱ,nFontSize
                                                               //fFontSizeScale=0ʱ,nFontSize
                                                               //豸ĬfFontSizeScale=1.0
                                                               //Ҫ޸ı޸ĸֵ
                                                               //ҪãøֵΪ0nFontSizeֵЧ
    AV_int32                        nFontSize;                 //ӵϵȫС,λ px.
                                                               //fFontSizeScaleͬ
    AV_int32                        nFontSizeExtra1;           //ӵ1ϵȫС,λ px
    AV_int32                        nFontSizeExtra2;           //ӵ2ϵȫС,λ px
    AV_int32                        nFontSizeExtra3;           //ӵ3ϵȫС,λ px
    AV_int32                        nFontSizeSnapshot;         //ӵץͼϵȫС, λ px
    AV_int32                        nFontSizeMergeSnapshot;    //ӵץͼϺϳͼƬС,λ px
    EM_FONT_SOLUTION                emFontSolutionSnapshot;    //ӵץͼϵ巽

    AV_CFG_VideoWidgetCover			stuGPSTitle;			   //GPSʾ, 豸
    AV_CFG_VideoWidgetCover			stuCarNoTitle;			   //Ʊʾ, 豸

	char							szChannelName[256];			// ͨ(ֻΪOnvifʹ)
}AV_CFG_VideoWidget;

///@brief 洢ͨ
typedef struct AV_CFG_StorageGroupChannel 
{
	AV_int32			nStructSize;
	AV_int32			nMaxPictures;					// ÿͨļͼƬ洢, ͸
	char				szPath[AV_CFG_Max_ChannelRule];	// ַͨʾ, %cӦ
}AV_CFG_StorageGroupChannel;

///@brief 洢
typedef struct AV_CFG_StorageGroup 
{
	AV_int32			nStructSize;	
	char				szName[AV_CFG_Group_Name_Len];	// 
	char				szMemo[AV_CFG_Group_Memo_Len];	// ˵
	AV_int32			nFileHoldTime;					// ļʱ
	AV_BOOL				bOverWrite;						// 洢ռǷ񸲸
	char				szRecordPathRule[AV_CFG_Max_Path];	// ¼ļ·
	char				szPicturePathRule[AV_CFG_Max_Path];	// ͼƬļ·
															// %y, %M, %d, %hʱ, %m, %s, %cͨ·
															// ʱ, һαʾʼʱ, ڶαʾʱ
	AV_CFG_StorageGroupChannel	stuChannels[AV_CFG_Max_Channel_Num];// ͨ 
	AV_int32			nChannelCount;				        // ͨ
    char                szCustomName[AV_CFG_Group_Name_Len];        // ԶƣΪʹszName
    char                szSubDevices[MAX_DEV_NUM][MAX_DEVICE_NAME_LEN];     // 豸б
    AV_int32            nSubDevices;                        // 豸
}AV_CFG_StorageGroup;

///@brief DSTʱ
typedef struct AV_CFG_DSTTime 
{
	AV_int32			nStructSize;
	AV_int32			nYear;							// , 2000~2038
	AV_int32			nMonth;							// , 1~12
	AV_int32			nWeek;							// ڼ, 1-һ,2-ڶ,...,-1-һ,0-ڼ
	AV_int32			nDay;							// ڼ
														// ܼʱ, 0-, 1-һ,..., 6-
														// ʱ, ʾ, 1~31
	AV_int32			nHour;							// Сʱ
	AV_int32			nMinute;						// 
}AV_CFG_DSTTime;

///@brief 
typedef struct AV_CFG_Locales 
{
	AV_int32			nStructSize;
	char				szTimeFormat[AV_CFG_Time_Format_Len];	// ʱʽ
	AV_BOOL				bDSTEnable;						// ʱʱ
	AV_CFG_DSTTime		stuDstStart;					// ʱʼʱ
	AV_CFG_DSTTime		stuDstEnd;						// ʱʱ
    AV_BOOL             bWeekEnable;                    // Ƿʹ
    unsigned char       ucWorkDay;                      // λʾһܵĹ룬bit0ʾգbit1ʾһ
}AV_CFG_Locales;

///@brief 
typedef enum AV_CFG_LanguageType
{
	AV_CFG_Language_English,							// Ӣ
	AV_CFG_Language_SimpChinese,						// 
	AV_CFg_Language_TradChinese,						// 
	AV_CFG_Language_Italian,							// 
	AV_CFG_Language_Spanish,							// 
	AV_CFG_Language_Janpanese,							// 
	AV_CFG_Language_Russian,							// 
	AV_CFG_Language_French,								// 
	AV_CFG_Language_German,								// 
    AV_CFG_Language_Portugal,							// 
    AV_CFG_Language_Turkey,								// 
    AV_CFG_Language_Poland,								// 
    AV_CFG_Language_Romanian,							// 
    AV_CFG_Language_Hungarian,							// 
    AV_CFG_Language_Finnish,							// 
    AV_CFG_Language_Estonian,                           // ɳ    
    AV_CFG_Language_Korean,                             //     
    AV_CFG_Language_Farsi,                              // ˹     
    AV_CFG_Language_Dansk,                              // 
    AV_CFG_Language_Czechish,                           // ݿ
    AV_CFG_Language_Bulgaria,                           // 
    AV_CFG_Language_Slovakian,                          // ˹工
    AV_CFG_Language_Slovenia,                           // ˹
    AV_CFG_Language_Croatian,                           // ޵
    AV_CFG_Language_Dutch,                              // 
    AV_CFG_Language_Greek,                              // ϣ
    AV_CFG_Language_Ukrainian,                          // ڿ
    AV_CFG_Language_Swedish,                            // 
    AV_CFG_Language_Serbian,                            // ά
    AV_CFG_Language_Vietnamese,                         // Խ
    AV_CFG_Language_Lithuanian,                         // 
    AV_CFG_Language_Filipino,                           // ɱ
    AV_CFG_Language_Arabic,                             // 
    AV_CFG_Language_Catalan,                            // ̩
    AV_CFG_Language_Latvian,                            // ά
    AV_CFG_Language_Thai,                               // ̩
    AV_CFG_Language_Hebrew,                             // ϣ
    AV_CFG_Language_Bosnian,                            // ˹
    AV_CFG_Language_Portuguese,							// 
    AV_CFG_Language_Polish,								// 
    AV_CFG_Language_Czech,								// ݿ
    AV_CFG_Language_SpanishEU,							// 
    AV_CFG_Language_Norwegian,							// Ų
    AV_CFG_Language_Indonesia,							// ӡ
    AV_CFG_Language_PortugalBR,							// 
    AV_CFG_Language_BritishEnglish,						// ӢʽӢ
    AV_CFG_Language_TradChinese2,						// ַͨ
}AV_CFG_LanguageType;

///@brief 
typedef struct AV_CFG_Language 
{
	AV_int32			nStructSize;
	AV_CFG_LanguageType emLanguage;						// ǰ
}AV_CFG_Language;

///@brief ʵַ
typedef struct AV_CFG_AccessFilter
{
	AV_int32			nStructSize;
	AV_BOOL				bEnable;						// ʹ
	AV_int32			nType;							// , 0-ֹ, 1-
	AV_int32			nWhiteListNum;					// IP
	char				szWhiteList[AV_CFG_Max_White_List][AV_CFG_Filter_IP_Len];	// 
	AV_int32			nBlackListNum;					// ֹIPIP
	char				szBlackList[AV_CFG_Max_Black_List][AV_CFG_Filter_IP_Len];	// ֹ
	AV_BOOL             bIndividual[AV_CFG_Max_White_List];   //:ԵIPǷʹܡ
															//ͨCLIENT_GetDevCaps/NET_USER_MNG_CAPS鿴Ƿ֧.                                                             
																// ֧:ɻȡøֶ;ֶ֧֣Ч
	AV_BOOL				bIndividualInBlackList[AV_CFG_Max_Black_List];  //ֹ:ԵIPǷʹ
																// ͨCLIENT_GetDevCaps/NET_USER_MNG_CAPS鿴Ƿ֧.
															  // ֧֣ɻȡøֶ;ֶ֧֣Ч
}AV_CFG_AccessFilter;

///@brief Զά
typedef struct AV_CFG_AutoMaintain 
{
	AV_int32			nStructSize;
	AV_int32			nAutoRebootDay;					// Զ, -1, 0~6~, 7ÿ
	AV_int32			nAutoRebootHour;				// ԶСʱ, 0~23
	AV_int32			nAutoRebootMinute;				// Զ, 0~59
	AV_int32			nAutoShutdownDay;				// Զػ
	AV_int32			nAutoShutdownHour;				// ԶػСʱ
	AV_int32			nAutoShutdownMinute;			// Զػ
	AV_int32			nAutoStartupDay;				// Զ
	AV_int32			nAutoStartupHour;				// ԶСʱ
	AV_int32			nAutoStartupMinute;				// Զ
	AV_BOOL				bAutoRebootEnable;				// trueʾԶfalseʾرԶ
}AV_CFG_AutoMaintain;

#define AV_CFG_Monitor_Name_Len		64			// ǽƳ
#define AV_CFG_Max_TV_In_Block		128			// TV
#define AV_CFG_Max_Block_In_Wall	128			// ǽ

///@brief ǽģʽϢ
typedef struct tagAV_CFG_MONITOR_WALL_OUT_MODE_INFO
{
	int				nWidth;								// ˮƽֱ
	int				nHeight;							// ֱֱ
	BYTE			byReserved[256];					// ֽ
}AV_CFG_MONITOR_WALL_OUT_MODE_INFO;
///@brief ǽͨϢ
typedef struct AV_CFG_MonitorWallTVOut
{
	AV_int32		nStructSize;
	char			szDeviceID[AV_CFG_Device_ID_Len];	// 豸ID, Ϊջ"Local"ʾ豸
	AV_int32		nChannelID;							// ͨID
	char			szName[AV_CFG_Channel_Name_Len];	// Ļ
	BOOL			bIsVirtual;							// Ƿʾڱ豸ϲڵTRUE: FALSE:
	char			szAddress[40];						// 豸ַIP
	AV_CFG_MONITOR_WALL_OUT_MODE_INFO	stuOutMode;		// ģʽϢ
}AV_CFG_MonitorWallTVOut;

///@brief ǽ
typedef struct AV_CFG_MonitorWallBlock 
{
	AV_int32				nStructSize;
	AV_int32				nLine;				// TVռ
	AV_int32				nColumn;			// TVռ
	AV_CFG_Rect				stuRect;			// 
	AV_int32				nTVCount;			// TV
	AV_CFG_MonitorWallTVOut	stuTVs[AV_CFG_Max_TV_In_Block];					// TV
	CFG_TIME_SECTION		stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];	// ػʱ
	char					szName[AV_CFG_Channel_Name_Len];				// 
	char					szCompositeID[AV_CFG_Device_ID_Len];			// ںID
	char                    szBlockType[CFG_COMMON_STRING_32];   // ʾԪ,Ϊ֧ɽտɵԪСLEDӸֶ,͵дΪ"LCD",粻ڸֶ,ĬϲLCD
	int						nOutputDelay;					// ӳ,λ
}AV_CFG_MonitorWallBlock;

///@brief ǽ
typedef struct AV_CFG_MonitorWall
{
	AV_int32			nStructSize;
	char				szName[AV_CFG_Monitor_Name_Len];	// 
	AV_int32			nLine;								// 
	AV_int32			nColumn;							// 
	AV_int32			nBlockCount;						// 
	AV_CFG_MonitorWallBlock stuBlocks[AV_CFG_Max_Block_In_Wall];// 
    BOOL                bDisable;                           // Ƿ, 0-õǽЧ, 1-õǽЧ
    char                szDesc[CFG_COMMON_STRING_256];      // ǽϢ
}AV_CFG_MonitorWall;

///@brief ƴ
typedef struct AV_CFG_SpliceScreen
{
	AV_int32			nStructSize;
	char				szName[AV_CFG_Channel_Name_Len];	// ƴ	
	char				szWallName[AV_CFG_Monitor_Name_Len];// ǽ
	AV_int32			nBlockID;							// 
	AV_CFG_Rect			stuRect;							// (0~8191)
}AV_CFG_SpliceScreen;

///@brief ̨
typedef enum tagAV_CFG_PtzLinkType
{
	AV_CFG_PtzLink_None,				// 
	AV_CFG_PtzLink_Preset,				// Ԥõ
	AV_CFG_PtzLink_Tour,				// Ѳ
	AV_CFG_PtzLink_Pattern,				// 켣
} AV_CFG_PtzLinkType;

///@brief ̨Ϣ
typedef struct tagAV_CFG_PtzLink
{
	AV_int32            nStructSize;
	AV_CFG_PtzLinkType	emType;				//  
	AV_int32			nParam1;			// 1
	AV_int32			nParam2;            // 2
	AV_int32			nParam3;            // 3
	AV_int32			nChannelID;         // ̨ͨ
} AV_CFG_PtzLink;

///@brief 
typedef struct tagAV_CFG_Point
{
	AV_int32			nStructSize;
	AV_int32			nX;
	AV_int32			nY;
} AV_CFG_Point;

///@brief 
typedef struct tagAV_CFG_Size
{
	AV_int32			nStructSize;
	AV_uint32			nWidth;
	AV_uint32			nHeight;
} AV_CFG_Size;	

///@brief ¼
typedef struct tagAV_CFG_EventTitle
{
	AV_int32			nStructSize;
	char				szText[AV_CFG_Channel_Name_Len];	// ı
	AV_CFG_Point		stuPoint;			// Ͻ, 0-8191ϵ
	AV_CFG_Size			stuSize;			// ĿȺ͸߶,0-8191ϵĳΪ0ʾӦ
    AV_CFG_Color		stuFrontColor;		// ǰɫ
    AV_CFG_Color		stuBackColor;		// ɫ
} AV_CFG_EventTitle;


///@brief Ѳ
typedef struct tagAV_CFG_TourLink
{
	AV_int32			nStructSize;
	AV_BOOL				bEnable;			// Ѳʹ
	CFG_SPLITMODE		emSplitMode;		// Ѳʱķָģʽ
	AV_int32			nChannels[AV_CFG_Max_Channel_Num];  // Ѳͨб
	AV_int32			nChannelCount;		// Ѳͨ
} AV_CFG_TourLink;

///@brief 
typedef struct tagAV_CFG_EventHandler
{
	AV_int32			nStructSize;
	AV_CFG_TimeSection  stuTimeSect[AV_CFG_Weekday_Num][AV_CFG_Max_TimeSection]; // ¼Ӧʱ
	AV_BOOL             bRecordEnable;		// ¼ʹ
	AV_uint32           nRecordMask[AV_CFG_Max_Channel_Num];	// ¼ͨб
	AV_BOOL             abRecordLatch;		// , ʶnRecordLatchǷЧ
	AV_int32            nRecordLatch;		// ¼ʱʱ䣨10~300룩
	AV_BOOL				bAlarmOutEn;		// ʹ
	AV_uint32			nAlarmOutMask[AV_CFG_Max_Channel_Num];	// ͨб
	AV_BOOL             abAlarmOutLatch;	// , ʶnAlarmOutLatchǷЧ
	AV_int32			nAlarmOutLatch;		// ʱʱ䣨10~300룩
	AV_BOOL				bExAlarmOutEn;		// չʹ
	AV_uint32			nExAlarmOutMask[AV_CFG_Max_Channel_Num]; // չͨб
	AV_BOOL				bPtzLinkEn;			// ̨ʹ
	AV_int32            nPtzLinkNum;		// ЧĿ
	AV_CFG_PtzLink		stuPtzLink[AV_CFG_Max_Channel_Num];		// ̨
	AV_BOOL				bSnapshotEn;		// ʹ
	AV_uint32			nSnapshotMask[AV_CFG_Max_Channel_Num];  // ͨб	
	AV_BOOL             abSnapshotPeriod;	// , ʶnSnapshotPeriodǷЧ
	AV_int32			nSnapshotPeriod;	// ֡ÿ֡ץһͼƬһʱץĵץͼ֡йء0ʾ֡ץġ
	AV_BOOL             abSnapshotTimes;	// , nSnapshotTimesЧ
	AV_int32			nSnapshotTimes;		// Ĵ, SnapshotEnableΪtrue£SnapshotTimesΪ0ʾץģֱ¼
	AV_BOOL             bSnapshotTitleEn;	// ǷͼƬ
	AV_int32            nSnapTitleNum;      // ЧͼƬĿ
	AV_CFG_EventTitle   stuSnapTitles[AV_CFG_Max_Event_Title_Num]; // ͼƬ
	AV_BOOL				bTipEnable;			// Ϣʾ
	AV_BOOL				bMailEnable;		// ʼͼƬΪ
	AV_BOOL				bMessageEnable;		// ϴ
	AV_BOOL				bBeepEnable;		// 
	AV_BOOL				bVoiceEnable;		// ʾ
	AV_BOOL             abDejitter;			// , nDejitterЧ
	AV_int32            nDejitter;			// źȥʱ䣬λΪ,0~100
	AV_BOOL             bLogEnable;			// Ƿ¼־
	AV_BOOL             abDelay;			// nDelayЧ
	AV_int32            nDelay;				// ʱʱЧ, λΪ
	AV_BOOL             bVideoTitleEn;		// ǷƵ⣬Ҫָ
	AV_int32            nVideoTitleNum;		// ЧƵĿ
	AV_CFG_EventTitle	stuVideoTitles[AV_CFG_Max_Event_Title_Num]; // Ƶ
	AV_BOOL				bMMSEnable;			// Ͳʹ
	AV_int32            nTourNum;			// ѲĿƵһ
	AV_CFG_TourLink	    stuTour[AV_CFG_Max_Tour_Link_Num];		// Ѳ, ÿƵӦһ
	AV_int32            nDBKeysNum;			// ؼ
	char	            szDBKeys[AV_CFG_Max_DBKey_Num][AV_CFG_DBKey_Len]; // ؼ
	AV_BOOL             abJpegSummary;		// , ʶbyJpegSummaryǷЧ
	AV_BYTE             byJpegSummary[AV_CFG_Max_Summary_Len]; // ӵJPEGͼƬժҪϢ
} AV_CFG_EventHandler;

#define AV_CFG_Event_Code_Len	64		// ¼볤

///@brief Զ豸¼
typedef struct AV_CFG_RemoteEvent 
{
	AV_int32            nStructSize;
	AV_BOOL             bEnable;						 // ʹ
	char                szDeviceID[AV_CFG_Device_ID_Len];// 豸ID
	char                szCode[AV_CFG_Event_Code_Len];	 // ¼
	AV_int32            nIndex;							 // 
	AV_BOOL             abSensorType;                    // nSensorTypeǷЧ
	AV_uint32           nSensorType;                     //  :1 or :0
	AV_CFG_EventHandler stuEventHandler;				 // 
}AV_CFG_RemoteEvent;

///@brief ¶ȱ
typedef struct tagAV_CFG_TemperatureAlarm
{
	AV_int32			nStructSize;
	AV_BOOL				bEnable;							// ʹ
	char				szName[AV_CFG_Device_Name_Len];		// 
	AV_float			fNormalTempMin;						// ¶Сֵ
	AV_float			fNormalTempMax;						// ¶ֵ
	AV_CFG_EventHandler stuEventHandler;					// 
} AV_CFG_TemperatureAlarm;

///@brief תٱ
typedef struct tagAV_CFG_FanSpeedAlarm
{
	AV_int32			nStructSize;
	AV_BOOL				bEnable;							// ʹ
	char				szName[AV_CFG_Device_Name_Len];		// 
	AV_uint32			nNormalSpeedMin;					// תСֵ
	AV_uint32			nNormalSpeedMax;					// תֵ
	AV_CFG_EventHandler stuEventHandler;					// 
} AV_CFG_FanSpeedAlarm;

///@brief Ӳ
typedef struct tagCFG_DISK_FLUX_INFO 
{
	BOOL				bEnable;							// ʹ
	unsigned int		nNormalFluxMin;						// Сֵ, λKB
	unsigned int		nNormalFluxMax;						// ֵ, λKB
	CFG_ALARM_MSG_HANDLE stuEventHandler;					// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];	// ¼Ӧʱ
} CFG_DISK_FLUX_INFO;

///@brief 
typedef struct tagCFG_NET_FLUX_INFO
{
	BOOL				bEnable;							// ʹ
	unsigned int		nNormalFluxMin;						// Сֵ, λKB
	unsigned int		nNormalFluxMax;						// ֵ, λKB
	CFG_ALARM_MSG_HANDLE stuEventHandler;					// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT_EX];	// ¼Ӧʱ
} CFG_NET_FLUX_INFO;

///@brief 
typedef struct tagCFG_SERVER_INFO
{
	int                 nPort;                             // ˿ں
	char                szAddress[MAX_ADDRESS_LEN];        // IPַ
}CFG_SERVER_INFO;

///@brief ע
typedef struct tagCFG_REGISTER_SERVER_INFO
{
	BOOL                bEnable;                            // עʹ
	char                szDeviceID[MAX_ADDRESS_LEN];        // 豸ID
	int                 nServersNum;                        // 
	CFG_SERVER_INFO     stuServers[MAX_SERVER_NUM];         // 
}CFG_REGISTER_SERVER_INFO;

///@brief ʱ
typedef enum tagSTREAM_POLICY
{
    STREAM_POLICY_UNKNOWN,
    STREAM_POLICY_NONE = 1,								// ޲,ʹ"None"
    STREAM_POLICY_QUALITY,                              // "Quality"  
    STREAM_POLICY_FLUENCY,                              // "Fluency"
    STREAM_POLICY_AUTOADAPT,                            // Զ"AutoAdapt"
}EM_STREAM_POLICY;

///@brief ϴ
typedef enum tagEM_CFG_SENDPOLICY
{
	EM_SNEDPOLICY_UNKNOWN = -1,
	EM_SENDPOLICY_TIMING,								// ʱϱ
	EM_SENDPOLICY_EVENT,								// ¼ϱ
}EM_CFG_SENDPOLICY;

///@brief רע
typedef struct tagCFG_REGISTERSERVER_VEHICLE
{
	BOOL				bEnable;						// עʹ
	BOOL				bRepeatEnable;					// Ƿͬ
	char				szDeviceID[MAX_ADDRESS_LEN];	// 豸ID
	int					nSendInterval;					// ͼ, λ
	char				szAddress[MAX_ADDRESS_LEN];		// IPַ
	int					nPort;							// ˿ں
	EM_CFG_SENDPOLICY	emSendPolicy;					// ϴ
	char				szTestAddress[MAX_ADDRESS_LEN];	// IPַ
	int					nTestPort;						// Զ˿ں
	BYTE				byReserved[1024];				// ֽ
}CFG_REGISTERSERVER_VEHICLE;

///@brief Э
typedef struct tagCFG_DVRIP_INFO
{
	int                 nTcpPort;                           // TCP˿,1025~65535
	int                 nSSLPort;                           // SSL˿,1025~65535
	int                 nUDPPort;                           // UDP˿,1025~65535
	int                 nMaxConnections;                    //  
	BOOL                bMCASTEnable;                       // 鲥ʹ
	int                 nMCASTPort;                         // 鲥˿ں
	char                szMCASTAddress[MAX_ADDRESS_LEN];    // 鲥ַ
	int                 nRegistersNum;                      // עø
	CFG_REGISTER_SERVER_INFO stuRegisters[MAX_REGISTER_NUM];// ע 
    EM_STREAM_POLICY    emStreamPolicy;                     // ʱ
	CFG_REGISTERSERVER_VEHICLE	stuRegisterServerVehicle;	// רע
}CFG_DVRIP_INFO;

///@brief AIO IP 
typedef struct tagCFG_AIO_APP_CONFIG_INFO
{
	char				szAddress[MAX_IP_ADDR_LEN];			// ƽ̨ĵipַ
}CFG_AIO_APP_CONFIG_INFO;

///@brief ¼ƻ
typedef struct tagCFG_HOLIDAY_SCHEDULE
{
	BOOL				bEnable;
	int					nChannel;
	DWORD				dwMonthSchedule[MONTH_OF_YEAR];		// ÿµļڰ, ÿԪرʾһ, 
															// ӵ͵αʾÿ1-28/29/30/31ǷΪ
															// 0:Ǽ, 1:Ǽ
	CFG_TIME_SECTION	stuTimeSection[MAX_REC_TSECT];		// ¼ʱ
} CFG_HOLIDAY_SCHEDULE;

///@brief ¼ٶ
typedef struct tagCFG_RecordDownloadSpeed
{
	DWORD				nStructSize;						// ṹС
	UINT				nMaxDownloadSpeedNum;				// ¼ٶֵСûд
	UINT				*pDownloadSpeedValue;				// ¼ٶֵЧΧڴû䣩ָڴֵ1024*sizeof(UINT) λKB/S
	UINT				nDownloadSpeedNum;					// ص¼ٶֵ(Ӧ <= nMaxDownloadSpeedNum)
} CFG_RecordDownloadSpeed;

///@brief ¼ش
typedef struct tagAV_CFG_RecordBackup
{
	AV_int32			nStructSize;
	AV_uint32			nBitrateLimit;						// , λKbps
	AV_CFG_RemoteDevice	*pstuDevices;						// 豸, ûڴ,СΪsizeof(AV_CFG_RemoteDevice)*nMaxDeviceCount
	int					nMaxDeviceCount;					// С, ûд
	int					nRetDeviceCount;					// ص豸
} AV_CFG_RecordBackup;
///@brief ¼Ϣ
typedef struct tagALARM_EVENT_INFO
{
	DWORD	        	dwEventType;					    // ¼ͣdhnetsdk.h"ܷ¼"
	int		         	nEventSize;							// ¼͹ýṹС
} ALARM_EVENT__INFO;

///@brief ÿƵͨӦ¼pEventBuf¼Ϣÿ¼ϢΪALARM_EVENT_INFO+"¼ͶӦĹýṹ"
typedef struct tagALARM_ANALYSEEVENTS_INFO
{
	int	         		nEventCount;						// ¼
	char*				pEventBuf;							// ÿƵͨӦƵ¼
	int		        	nEventBufLen;						// С
	
} ALARM_ANALYSEEVENTS_INFO;

///@brief Ϣ
typedef struct tagCFG_COMM_INFO
{
	char				szProtocolName[MAX_PROTOCOL_NAME_LEN];	// Э
	CFG_COMM_PROP		stuAttribute;							// 
	int					nAddress;								// 豸ַ
} CFG_COMM_INFO;

///@brief 
typedef struct tagCFG_COMMGROUP_INFO
{
	int					nCommNum;						// 
	CFG_COMM_INFO		stuComms[MAX_COMM_NUM];			// 
} CFG_COMMGROUP_INFO;

///@brief 紫ģʽ
typedef enum tagCFG_ENUM_NET_TRANSMISSION_MODE
{
    CFG_ENUM_NET_MODE_ADAPT,                            // Ӧ
    CFG_ENUM_NET_MODE_HALF10M,                          // 10M˫
    CFG_ENUM_NET_MODE_FULL10M,                          // 10Mȫ˫
    CFG_ENUM_NET_MODE_HALF100M,                         // 100M˫
    CFG_ENUM_NET_MODE_FULL100M,                         // 100Mȫ˫
}CFG_ENUM_NET_TRANSMISSION_MODE;

///@brief 
typedef enum tagCFG_ENUM_NET_INTERFACE_TYPE
{
    CFG_ENUM_NET_INTERFACE_TYPE_UNKNOWN,                // δ֪
    CFG_ENUM_NET_INTERFACE_TYPE_STANDARD,               // ׼
    CFG_ENUM_NET_INTERFACE_TYPE_MANAGER,                // 
    CFG_ENUM_NET_INTERFACE_TYPE_EXTEND,                 // չ
}CFG_ENUM_NET_INTERFACE_TYPE;

///@brief ̬
typedef enum tagCFG_THREE_STATUS_BOOL
{
    CFG_BOOL_STATUS_UNKNOWN = -1,  //δ֪
    CFG_BOOL_STATUS_FALSE  = 0 , 
    CFG_BOOL_STATUS_TRUE   = 1 ,
}CFG_THREE_STATUS_BOOL;

///@brief 紫ģʽ
typedef enum tagCFG_ENUM_NET_BOND_MODE
{
	CFG_ENUM_NET_BOND_MODE_UNKNOWN,				// δ֪
	CFG_ENUM_NET_BOND_MODE_BALANCERR,           // RoundRobinؾ(ΪؾӦֵ)
	CFG_ENUM_NET_BOND_MODE_BALANCEXOR,          // XORؾ
	CFG_ENUM_NET_BOND_MODE_BALANCETLB,          // Ӧ为ؾ
	CFG_ENUM_NET_BOND_MODE_BALANCEALB,          // ⻯ؾ
	CFG_ENUM_NET_BOND_MODE_ACTIVEBACKUP,        // ģʽ(ʷ汾ԭ豸ԴֵΪݴģʽԿǣʵݴģʽ)
	CFG_ENUM_NET_BOND_MODE_BROADCAST,			// ݴģʽ(Ϊּԣֵ޷ʹ)
	CFG_ENUM_NET_BOND_MODE_802_3AD,				// ̬·ۺ
	CFG_ENUM_NET_BOND_MODE_BRIDGE,				// ((㽻bondĸʽ)
}CFG_ENUM_NET_BOND_MODE;

///@brief 802.3ad·ۺϿƷʽ
typedef enum tagCFG_ENUM_NET_BOND_LACP
{
	CFG_ENUM_NET_BOND_LACP_UNKNOWN,     // δ֪
	CFG_ENUM_NET_BOND_LACP_MAC,         // MACַ
	CFG_ENUM_NET_BOND_LACP_IPPORT,      // IPַͶ˿
	CFG_ENUM_NET_BOND_LACP_IPMAC,       // IPַMACַ
	CFG_ENUM_NET_BOND_LACP_IP,          // IPַ
	CFG_ENUM_NET_BOND_LACP_PORT,        // ڶ˿
}CFG_ENUM_NET_BOND_LACP;

///@brief 
typedef struct tagCFG_NETWORK_BOND_INTERFACE
{
	BOOL				bBonding;						// ǷڣֻbondxxʱBondingֶΣ
														// true-Ч,ڶⲻ
														// false-(ַģʽ),ʹMembersе
	CFG_ENUM_NET_BOND_MODE	emMode;						// ģʽ
	CFG_ENUM_NET_BOND_LACP	emLacp;						// 802.3ad·ۺϿƷʽ
	int					nMTU;							// 䵥Ԫ
	char				szMembers[16][16];				// ڳԱ
	char				szIP[MAX_ADDRESS_LEN];			// ipַ
	char				szName[MAX_NAME_LEN];			// ӿ
	char				szAlias[MAX_NAME_LEN];			// ӿ
	char				szDnsServers[MAX_DNS_SERVER_NUM][MAX_ADDRESS_LEN];	// DNSַ
	char				szMacAddress[MAX_ADDRESS_LEN];	// macַ
	char				szSubnetMask[MAX_ADDRESS_LEN];	// 
	char				szDefGateway[MAX_ADDRESS_LEN];	// Ĭ
	BOOL				bDhcpEnable;					// ǷDHCP
} CFG_NETWORK_BOND_INTERFACE;

///@brief 
typedef struct tagCFG_NETWORK_INTERFACE 
{
	char				szName[MAX_NAME_LEN];			// ӿ
	char				szIP[MAX_ADDRESS_LEN];			// ipַ
	char				szSubnetMask[MAX_ADDRESS_LEN];	// 
	char				szDefGateway[MAX_ADDRESS_LEN];	// Ĭ
	BOOL				bDhcpEnable;					// ǷDHCP
	BOOL				bDnsAutoGet;					// DNSȡʽdhcpʹʱΪtrue֧ͨdhcpȡ
	char				szDnsServers[MAX_DNS_SERVER_NUM][MAX_ADDRESS_LEN];	// DNSַ
	int					nMTU;							// 䵥Ԫ
	char				szMacAddress[MAX_ADDRESS_LEN];	// macַ
	BOOL                bInterfaceEnable;               // ӿʹܿأʾǷЧЧʱIPַõϡ
	BOOL                bReservedIPEnable;              // DHCPʧʱǷʹñIPʹñIPʱDHCP
	CFG_ENUM_NET_TRANSMISSION_MODE emNetTranmissionMode;// 紫ģʽĬadaptӦģʽ
	CFG_ENUM_NET_INTERFACE_TYPE    emInterfaceType;     // 
	CFG_THREE_STATUS_BOOL          bBond;               // Ƿ
} CFG_NETWORK_INTERFACE ;

///@brief 
typedef struct tagCFG_NETWORK_BR_INTERFACE
{
	char				szName[MAX_NAME_LEN];			// ӿ
	BOOL				bEnable;						// ʹ
	int					nMTU;							// 䵥Ԫ
	char				szMembers[16][16];				// ڳԱ
	char				szIP[MAX_ADDRESS_LEN];			// ipַ
	char				szSubnetMask[MAX_ADDRESS_LEN];	// 
	char				szDefGateway[MAX_ADDRESS_LEN];	// Ĭ
	char				szDnsServers[MAX_DNS_SERVER_NUM][MAX_ADDRESS_LEN];	// DNSַ
	BOOL				bDhcpEnable;					// ǷDHCP
	BOOL                bReservedIPEnable;              // DHCPʧʱǷʹñIPʹñIPʱDHCP
	BOOL                bDnsAutoGet;					// DNSȡʽdhcpʹʱΪtrue֧ͨdhcpȡ    
} CFG_NETWORK_BR_INTERFACE;

///@brief ӿ
typedef struct tagCFG_NETWORK_INFO 
{
	char				szHostName[MAX_NAME_LEN];		// 
	char				szDomain[MAX_NAME_LEN];			// 
	char				szDefInterface[MAX_NAME_LEN];	// Ĭʹõ
	int					nInterfaceNum;					// 
	CFG_NETWORK_INTERFACE		stuInterfaces[MAX_NETWORK_INTERFACE_NUM];		// б
	int							nBondInterfaceNum;								// 
	CFG_NETWORK_BOND_INTERFACE	stuBondInterfaces[MAX_NETWORK_INTERFACE_NUM];	// б
	int							nBrInterfaceNum;								// 
	CFG_NETWORK_BR_INTERFACE	stuBrInterfaces[MAX_NETWORK_INTERFACE_NUM];		// б
} CFG_NETWORK_INFO;

///@brief ƴ洢Э
typedef enum tagEM_CFG_NAS_CLOUDPROTOCOL_TYPE
{
    EM_CFG_NAS_CLOUDPROTOCOL_TYPE_UNKNOWN,              // δ֪
    EM_CFG_NAS_CLOUDPROTOCOL_TYPE_BAIDU_CLOUD,          // "BaiduCloud"
    EM_CFG_NAS_CLOUDPROTOCOL_TYPE_GOOGLE_DRIVE,         // "GoogleDrive"
    EM_CFG_NAS_CLOUDPROTOCOL_TYPE_DROPBOX,              // "Dropbox"
}EM_CFG_NAS_CLOUDPROTOCOL_TYPE;

///@brief 洢
typedef struct tagCFG_NAS_INFO_NEW
{
	BOOL				            bEnable;						// ʹ
	char				            szName[MAX_NAME_LEN];			// 
	int					            nPortocol;						// Э, 0-FTP, 1-SMB, 2-ISCSI, 3-NFS, 4-Cloud ,Э 4-CloudʱЭ鶨 emCloudProtocol
	char				            szAddress[MAX_ADDRESS_LEN];		// IPַַ
    int					            nPort;							// ˿
    char				            szUser[MAX_USERNAME_LEN];		// û
    char				            szPassword[MAX_PASSWORD_LEN];	// 
    char				            szDirectory[MAX_NAME_LEN];		// Ŀ¼
    int					            nCharEncoding;					// ַʽ, 0-UTF8, 1-GB2312
    int					            nTimeOut;						// ʱʱ, λ
    unsigned int		            nStreamID;						// ID
    CFG_NET_TIME_EX		            stuUpdateTime;					// ʱ, ֵֶ仯Ҫ³ʼiSCSI
    EM_CFG_NAS_CLOUDPROTOCOL_TYPE   emCloudProtocol;                // ƴ洢Э
    char                            szSubDirectory[CFG_COMMON_STRING_256];               // ͻ豸ڷϵĴ洢Ŀ¼IPַ豸кţ豸ţΪʹ豸
} CFG_NAS_INFO_NEW;

///@brief 洢, 
typedef struct tagCFG_NAS_GROUP_INFO
{
	int					nNasNum;						// 洢
	CFG_NAS_INFO_NEW	stuNasInfo[MAX_NAS_NUM];		// 洢	
} CFG_NAS_GROUP_INFO;

///@brief 洢
typedef struct tagCFG_NAS_INFO_EX 
{
	int					nVersion;						// 0, 1, ȷ, ֻ
	CFG_NAS_INFO		stuNasOld;						// nVersion == 0ʱЧ, ֵ֧
	CFG_NAS_GROUP_INFO	stuNasGroup;					// nVersion == 1ʱЧ, ֶ֧
} CFG_NAS_INFO_EX;

///@brief ź
typedef enum _EM_CFG_VIDEO_SIGNAL_TYPE
{
    EM_CFG_VIDEO_SIGNAL_UNKNOWN, 
    EM_CFG_VIDEO_SIGNAL_CVBS, 
    EM_CFG_VIDEO_SIGNAL_SDI, 
    EM_CFG_VIDEO_SIGNAL_VGA, 
    EM_CFG_VIDEO_SIGNAL_DVI, 
    EM_CFG_VIDEO_SIGNAL_HDMI, 
    EM_CFG_VIDEO_SIGNAL_YPBPR, 
    EM_CFG_VIDEO_SIGNAL_SFP, 
    EM_CFG_VIDEO_SIGNAL_HDCVI, 
    EM_CFG_VIDEO_SIGNAL_DUALLINK,
    EM_CFG_VIDEO_SIGNAL_AHD,
    EM_CFG_VIDEO_SIGNAL_AUTO,
    EM_CFG_VIDEO_SIGNAL_TVI, 
} EM_CFG_VIDEO_SIGNAL_TYPE;
///@brief ͨµ
typedef enum EM_CFG_VIDEO_LINE_TYPE
{
    EM_CFG_VIDEO_LINE_TYPE_UNKNOWN,
    EM_CFG_VIDEO_LINE_TYPE_COAXIAL,						//ͬ
    EM_CFG_VIDEO_LINE_TYPE_TP10,						//10ŷķ迹˫
    EM_CFG_VIDEO_LINE_TYPE_TP17,						//17ŷķ迹˫
    EM_CFG_VIDEO_LINE_TYPE_TP25,						//25ŷķ迹˫
    EM_CFG_VIDEO_LINE_TYPE_TP35,						//35ŷķ迹˫
}EM_CFG_VIDEO_LINE_TYPE;

///@brief ͨ
typedef struct tagCFG_VIDEO_IN_INFO 
{
	char				szDevType[MAX_NAME_LEN];		// ָͨͣͨӵ豸ͣ
	char				szDevID[MAX_NAME_LEN];			// ͷΨһ
	char				szChnName[MAX_NAME_LEN];		// ͨ
	char				szManufacturer[MAX_NAME_LEN];	// 
	char				szModel[MAX_NAME_LEN];			// 豸ͺ
	char				szAddress[MAX_ADDRESS_LEN];		// װַ
	char				szCivilCode[MAX_NAME_LEN];		// 
	char				szOwner[MAX_NAME_LEN];			// 豸
	BOOL				bParental;						// Ƿ豸
	BOOL				bEnable;						// ͨʹ
	int					nRegisterWay;					// ע᷽ʽ
														// 0-sip3261׼֤עģʽ
														// 1-ڿ˫֤עģʽ
														// 2-֤˫֤עģʽ
	BOOL				bSecrecy;						// , FALSE, TRUE
	char				szUpperDevID[MAX_NAME_LEN];		// ϼ豸豸ID
	int					nUpperDevOutChn;				// ϼ豸ͨ
    char				szRemoteName[MAX_NAME_LEN];		// Զͨ
    EM_CFG_VIDEO_SIGNAL_TYPE emSignalType;              // ź
    EM_CFG_VIDEO_LINE_TYPE  emLineType;                 // ͨµ
} CFG_VIDEO_IN_INFO;

///@brief ¼̱ƻ(Ӧ CFG_CMD_ENCODEPLAN)ÿͨ(лͨ)һýṹ
typedef struct tagCFG_ENCODE_PLAN_INFO
{
	BOOL                bEnable;                        // ͨǷҪ,FALSE:ûдͨ,TRUE:ͨ
	unsigned int        nExpectTime;                    // ҵԤʱ	 ,λ
	CFG_CAPTURE_SIZE    emResolution;                   // Ƶֱ
	unsigned int        nBitRate;                       // Ƶ̶ֵ(kbps)
}CFG_ENCODE_PLAN_INFO;

///@brief ////////////////////////////////////////////////////////////////////////
///@brief Ѷл
///@brief С洰Ϣ
typedef struct tagCFG_SMALLPIC_INFO
{
	char                szDeviceID[AV_CFG_Device_ID_Len];// 豸ID
	int                 nChannelID;						 // ͨ(0ʼ)
	BOOL                bAudio;                          // ǷСƵ
    CFG_RECT            stuPosition;                     // ʹϵȡֵΪ0-8192,Ļϵλ
}CFG_SMALLPIC_INFO;

///@brief ָͨ
typedef struct tagCFG_SPLIT_CHANNEL_INFO
{
	BOOL                bEnable;                         // ʹ
	char                szDeviceID[AV_CFG_Device_ID_Len];// 豸ID
	int                 nChannelID;						 // ͨ(0ʼ)
	unsigned int        nMaxSmallChannels;               // СͨÿͨһCFG_SMALLPIC_INFO,Ӧ豸ͨһ
	unsigned int        nReturnSmallChannels;            // صĻװ͵Сͨ
	CFG_SMALLPIC_INFO  *pPicInfo;                        // СϢ
}CFG_SPLIT_CHANNEL_INFO;

///@brief ָ
typedef struct tagCFG_SPLIT_INFO
{
	CFG_SPLITMODE       emSplitMode;        // ָģʽͨCLIENT_GetSplitCapsӿڻȡemSplitMode
	unsigned int        nMaxChannels;       // ڴCFG_SPLIT_CHANNEL_INFO,16ͨnMaxChannels16SPLITMODE_4ģʽ˳ηΪ4
	unsigned int        nReturnChannels;    // ͨ,Ҫװ͵ͨ
	CFG_SPLIT_CHANNEL_INFO* pSplitChannels; // ָͨϢ
}CFG_SPLIT_INFO;

///@brief л
typedef struct tagCFG_PICINPIC_INFO
{
	unsigned int        nMaxSplit;          // ڴCFG_SPLIT_INFO,ֵͨCLIENT_GetSplitCapsӿڻȡnModeCount
	unsigned int        nReturnSplit;       // õʵʹõĻװ͵CFG_SPLIT_INFO
	CFG_SPLIT_INFO     *pSplits;            // ָ
}CFG_PICINPIC_INFO;

///@brief ģⲿԴ
typedef struct tagCFG_ANALOG_MATRIX_INPUT_CHN_SRC 
{
	char				szName[MAX_NAME_LEN];			// ͨ
	char				szControlID[MAX_NAME_LEN];		// Ʊ
	BOOL				bActive;						// Ƿ񼤻
	int					nFormat;						// , 0-VGA
} CFG_ANALOG_MATRIX_INPUT_CHN_SRC;

///@brief 
typedef struct tagCFG_COM_PORT 
{
	int					nPortIndex;						// 
	int					nAddress;						// 豸ַ
	CFG_COMM_PROP		stComProp;						// 
} CFG_COM_PORT;

///@brief ģ
typedef struct tagCFG_ANALOG_MATRIX_INFO
{
	char				szDevID[MAX_NAME_LEN];			// 豸ID
	char				szName[MAX_NAME_LEN];			// 豸
	char				szModel[MAX_MODEL_LEN];			// ͺ
	char				szUserName[MAX_USERNAME_LEN];	// û
	char				szPassword[MAX_PASSWORD_LEN];	// 
	int					nChnInCount;					// ͨ
	int					nChnOutCount;					// ͨ
	CFG_ANALOG_MATRIX_INPUT_CHN_SRC* pstuChnInSrc;		// ⲿԴ, ûڴ
	int					nChnInSrcCount;					// ⲿԴС
	int					nRetChnInSrcCount;				// ʵʷصⲿԴ, һͬnChnInCount
	CFG_COM_PORT		stComPort;						// 
	char				szProtocol[MAX_NAME_LEN];		// Э
} CFG_ANALOG_MATRIX_INFO;

///@brief ģЭ
typedef struct tagCFG_ANALOG_MATRIX_PROTOCOL 
{
	char				szName[MAX_NAME_LEN];			// Э
	char				szProtocolRule[MAX_NAME_LEN];	// Э, %A-ַ룬%I-˿ںţ%O-˿ں
} CFG_ANALOG_MATRIX_PROTOCOL;

///@brief Ƶ
typedef struct tagCFG_VIDEO_OUT_TITLE 
{
	char				szName[MAX_NAME_LEN];			// ͨ
} CFG_VIDEO_OUT_TITLE;

///@brief ʾԴ
typedef struct tagCFG_DISPLAY_SOURCE
{
	BOOL				bEnable;						// Ƿʹ
	char				szDeviceID[MAX_NAME_LEN];		// 豸ID
	char				szControlID[MAX_NAME_LEN];		// ID
	int					nVideoChannel;					// Ƶͨ
	int					nVideoStream;					// Ƶ, -1-Զ, 0-, 1-1, 2-2, 3-3, 5-Ԥ
	int					nAudioChannel;					// Ƶͨ
	int					nAudioStream;					// Ƶ, -1-Զ, 0-, 1-1, 2-2, 3-3, 5-Ԥ
	BOOL				abDeviceInfo;					// 豸ϢǷЧ
	AV_CFG_RemoteDevice stuDeviceInfo;					// 豸Ϣ
} CFG_DISPLAY_SOURCE;

///@brief λ
typedef struct tagCFG_SPLIT_WINDOW_POSITION 
{
	CFG_RECT			stuRect;						// 
	BOOL				bDirectable;					// Ƿֱͨ, ֱָͨƴʽ£˴Ϊ
	int					nZorder;						// Z
} CFG_SPLIT_WINDOW_POSITION;

///@brief ƴϢ
typedef struct tagCFG_SPLIT_WINDOW 
{
	BOOL				bEnable;						// ǷƵԴ, ΪFALSEʱʾûƵҲôSource
	int					nWindowID;						// ID
	char				szControlID[MAX_NAME_LEN];		// ID
	CFG_SPLIT_WINDOW_POSITION stuPosition;				// λ
	CFG_DISPLAY_SOURCE	stuSource;						// ƵԴ
} CFG_SPLIT_WINDOW;

///@brief ƴ
typedef struct tagCFG_BLOCK_COLLECTION 
{
	char				szBlockID[MAX_NAME_LEN];		// ƴID
	char				szControlID[MAX_NAME_LEN];		// ID
	CFG_SPLITMODE		emSplitMode;					// ָģʽ
	CFG_SPLIT_WINDOW*	pstuWnds;						// Ϣ, ûڴ,СΪsizeof(CFG_SPLIT_WINDOW)*nMaxWndCount
	int					nMaxWndCount;					// ϢС, ûд
	int					nRetWndCount;					// صĴ
} CFG_BLOCK_COLLECTION;

///@brief Ԥ
typedef enum tagEM_COLLECTION_TYPE
{
    EM_COLLECTION_UNKNOWN,            // δ֪
    EM_COLLECTION_VIDEO,              // ƵԤ
    EM_COLLECTION_ADDITION,           // Ԥ
}EM_COLLECTION_TYPE;

///@brief ǽеĳԤ
typedef struct tagCFG_MONITORWALL_COLLECTION_SINGLE
{
	char				szName[MAX_NAME_LEN];			// 
	char				szControlID[MAX_NAME_LEN];		// ID
	AV_CFG_MonitorWall	stuMonitorWall;					// ǽ
	CFG_BLOCK_COLLECTION* pstuBlockCollections;			// ƴϢ, ûڴ,СΪsizeof(CFG_BLOCK_COLLECTION)*nMaxBlockCollectionCount
	int					nMaxBlockCollectionCount;		// ƴС, ûд
	int					nRetBlockCollectionCount;		// صƴ
    EM_COLLECTION_TYPE  emType;                         // Ԥ
} CFG_MONITORWALL_COLLECTION_SINGLE;

///@brief ǽԤб, ʾĳǽӦĶԤ
typedef struct tagCFG_MONITORWALL_COLLECTION_LIST
{
	CFG_MONITORWALL_COLLECTION_SINGLE* pstuCollections;	// Ԥ, ûڴ,СΪsizeof(CFG_MONITORWALL_COLLECTION_SINGLE)*nMaxCollectionCount
	int					nMaxCollectionCount;			// ԤС, ûд
	int					nRetCollectionCount;			// صԤ
} CFG_MONITORWALL_COLLECTION;

///@brief Ƶ߽
typedef struct tagCFG_VIDEO_IN_BOUNDARY 
{
	CFG_RECT			stuBoundary;					// ߽
} CFG_VIDEO_IN_BOUNDARY;

///@brief Խӵ,飬ԪֵDH_PRODUCTION_DEFNITION.nMaxParkingSpaceScreen)
typedef struct tagCFG_PARKINGSPACE_SCREEN_INFO
{
	char                szAddress[MAX_PATH];            // ַ
	int                 nPort;                          // ˿
	char                szAuthorization[MAX_PATH];      // Ȩ
    char                szDeviceNo[MAX_PATH];           // 豸
	BOOL                bEnable;                        // Ƿ
} CFG_PARKINGSPACE_SCREEN_INFO;

///@brief λ(רгλͨλ)飬ԪֵDH_PRODUCTION_DEFNITION.nMaxRoadWays)
typedef struct tagCFG_PARKINGSPACE_STATUS_INFO
{
	int                  nLaneID;                        // λ
	int                  nLaneType;                      // 0ͨλ 1רгλ
} CFG_PARKINGSPACE_STATUS_INFO;

#define CFG_MAX_BINARY_NUM      128						// Զ

///@brief ƽ̨ԶϢ
typedef struct tagCFG_CLIENT_CUSTOM_INFO
{
	char                szDescription[MAX_PATH];        // Ϣ,ͬƽ̨ԶϢ,Ŀǰ֧"LiFang"
	char*               pData;                          // Զݻ, м䲻ܴڶƵ0, Ҳַ'\0'
	int                 nDataLen;                       // ûĳ, ͬƽ̨Լȷ
    bool                abBinary;                       // falseʾpDatanDataLenЧ, nBinaryNumdwBinaryЧ
                                                        // trueʾpDatanDataLenЧ, nBinaryNumdwBinaryЧ
    BYTE                byReserved[3];
    int                 nBinaryNum;                     // dwBinaryЧԱ
    DWORD               dwBinary[CFG_MAX_BINARY_NUM];   // Զ
} CFG_CLIENT_CUSTOM_INFO;

///@brief ¼ʽ,Կǣ޴ʱĬDHAVʽ
typedef struct tagCFG_BURN_RECORD_FORMAT
{
	char                 szRecordPack[MAX_PATH];         // ģʽ:Ŀǰ֧"DHAV","PS"
}CFG_BURN_RECORD_FORMAT;

///@brief ͬ¼(Ӧ CFG_MULTIBURN_INFO) һ飬ÿһԪرʾһͬ¼У
typedef struct tagCFG_MULTIBURN_INFO
{
	BOOL                 bEnable;                        // ʹܿ
    BOOL                 bDataCheck;                     // һУʹ
    char                 szDataCheckSpeed[MAX_PATH];     // Уٶ "High":٣ͷβУ飩,"Normal":У飩,"Low": ȫУ飩
}CFG_MULTIBURN_INFO;

///@brief 洢
typedef struct tagCFG_REMOTE_STORAGE_LIMIT
{
    char				        szName[MAX_NAME_LEN];                       // 
    int							nFileLen;									// ļ λ,MB
	int							nInterval;									// ļʱ λ,
	CFG_CHANNEL_TIME_SECTION	*pstuChnTime;        	                    // 洢ʱ飬ûڴ,СΪsizeof(CFG_CHANNEL_TIME_SECTION)*nMaxChnCount
	int                         nMaxChnCount;                               // ͨûд
    int                         nRetChnCount;                               // صͨ,ʱЧͨ
}CFG_REMOTE_STORAGE_LIMIT;

///@brief 洢
typedef struct tagCFG_REMOTE_STORAGELIMIT_GROUP
{
	CFG_REMOTE_STORAGE_LIMIT    stuRemoteStorageLimit[MAX_NAS_NUM];         // 洢
    int                         nLimitCount;                                // Ч
}CFG_REMOTE_STORAGELIMIT_GROUP;

///@brief ȡ¼
typedef struct tagCFG_CAP_BURN_MANAGER	
{
    BOOL                 bSupportMultiBurn;              // Ƿֶ֧ͬ¼
    int                  nMultiBurnGroups;               // ּ֧ͬ¼
}CFG_CAP_BURN_MANAGER;

///@brief ¼Ϣ
typedef struct tagCFG_CAP_RECORD_INFO	
{
	BOOL  bSupportHoliday;				                 //¼ƻǷּ֧չ
	BOOL  bSupportExtraRecordMode;						 //Ƿ֧ø¼ģʽ	
	DWORD dwMaxPreRecordTime;							 //Ԥ¼ʱ
	DWORD dwMaxRemoteBitrate;							 //,λkbps
	DWORD dwMaxRemoteRawBitrate;						 //뵐·ֱʡ֡ʣɫ16bpp㣩
    DWORD dwMaxStreams;                                  //¼
	BOOL  bSupportRecordConfig;				             //Ƿ֧ͨRecord޸¼ƻ
} CFG_CAP_RECORD_INFO;

///@brief 
typedef  enum tagCFG_ENCRYPT_ALGO_TYPE
{
	ALGO_TYPE_AES	 , 
	ALGO_TYPE_UNKNOW ,
}CFG_ENCRYPT_ALGO_TYPE;

///@brief 㷨ģʽ
typedef enum  tagCFG_ENCRYPT_ALGO_WORKMODE
{
	ENCRYPT_ALGO_WORKMODE_ECB,     // ECBģʽ
	ENCRYPT_ALGO_WORKMODE_CBC,     // CBCģʽ
	ENCRYPT_ALGO_WORKMODE_CFB,     // CFBģʽ
	ENCRYPT_ALGO_WORKMODE_OFB,     // OFBģʽ
	ENCRYPT_ALGO_WORKMODE_UNKNOW ,
}CFG_ENCRYPT_ALGO_WORKMODE;
///@brief ͨԿϢ
typedef union tagCFG_ENCRYPT_KEY_INFO
{
	BYTE byAesKey[AES_KEY_LEN];							// aesԿ
}CFG_ENCRYPT_KEY_INFO;

///@brief Ϣ
typedef struct tagCFG_STREAM_ENCRYPT_INFO
{
	BOOL						bEncryptEnable;		// Ƿ
	CFG_ENCRYPT_ALGO_TYPE		emEncrptAlgoType;	// 㷨: μöCFG_ENCRYPT_ALGO_TYPE
	CFG_ENCRYPT_ALGO_WORKMODE	emAlgoWorkMode;		// ģʽ,οö CFG_ENCRYPT_ALGO_WORKMODE
	WORD						wEncryptLenth;		// ԿȣǰΪAES㷨ʱʾԿλ(Ŀǰ֧128192256λ, : wEncryptLenthΪ128ԿϢENCRYPT_KEY_INFObyAesKey[0]~[15])
	CFG_ENCRYPT_KEY_INFO		stuEncryptKeys;		// ͨԿϢ 
	CFG_NET_TIME				stuPreTime;			// ܼƻĿʼʱ
}CFG_STREAM_ENCRYPT_INFO;

///@brief ͨϢ
typedef struct tagCFG_ENCODE_ENCRYPT_CHN_INFO
{
	int						 nChannelID;					// ͨ(0ʼ)
	CFG_STREAM_ENCRYPT_INFO *pstEncodeEncryptInfo;			// ÿͨб,û
												            // ڴСΪsizeof(CFG_STREAM_ENCRYPT_INFO)*nMaxEncryptInputs
	BYTE					 nMaxEncryptInputs; 
	BYTE					 nRetEncryptOutputs;			// CFG_STREAM_ENCRYPTĸ
}CFG_ENCODE_ENCRYPT_CHN_INFO;


///@brief Ӧ
typedef  enum tagCFG_ENCRYPT_POLICY_TYPE
{
	ENCRYPT_POLICY_UNKNOWN ,		//δ֪
	ENCRYPT_POLICY_NONE ,		//޲ԣӦ
	ENCRYPT_POLICY_QUALITY ,    //ȣȱֱ֤ʣ֡
	ENCRYPT_POLICY_FLUENCY ,	//ȣȱ֤ԣͷֱ
}CFG_ENCRYPT_POLICY_TYPE;

///@brief Ȳ
typedef enum tagCFG_ENCRYPT_FLUENCY_MODE
{
	ENCRYPT_FLUENCY_UNKNOWN ,		//δ֪
	ENCRYPT_FLUENCY_FAST ,			//ָ(ٱʱָ)
	ENCRYPT_FLUENCY_SLOW ,			//ָ(ͬһʱֻһָͨ)
	ENCRYPT_FLUENCY_SYNC ,			//ָͬ(ͨ½ָͨ)
	ENCRYPT_FLUENCY_SLOWSYNC ,		//ָͬ(ָָͬ)
}CFG_ENCRYPT_FLUENCY_MODE;

///@brief Ӧ
typedef struct tagCFG_ENCODE_ADAPT_INFO
{
	CFG_ENCRYPT_POLICY_TYPE		emPolicyType;		//Ӧ
	CFG_ENCRYPT_FLUENCY_MODE	emFluencyMode;		//Ȳ
}CFG_ENCODE_ADAPT_INFO;

///@brief 䱶ûϢԪ
typedef struct tagCFG_VIDEO_IN_ZOOM_UNIT
{
	int         nSpeed;									 //䱶(0~7)
	BOOL		bDigitalZoom;							 //Ƿֱ䱶
	int			nZoomLimit;								 //ǰ䱶(0~13)
    EM_LIGHT_SCENE  emLightScene;                        //ճ
} CFG_VIDEO_IN_ZOOM_UNIT;

///@brief ͨ䱶ûϢ
typedef struct tagCFG_VIDEO_IN_ZOOM	
{
	int						nChannelIndex;				 //ͨ
	int						nVideoInZoomRealNum;		 //ʹø
	CFG_VIDEO_IN_ZOOM_UNIT  stVideoInZoomUnit[MAX_VIDEO_IN_ZOOM];		 //ͨõԪϢ
	
} CFG_VIDEO_IN_ZOOM;

///@brief ץͼ
typedef struct tagCFG_SNAP_INFO 
{
	CFG_TIME_SCHEDULE		stuTimeSchedule;			// ʱ, ÿʱ밴λ: 
														// Bit0-ʱץͼ
														// Bit1-̬ץͼ
														// Bit2-ץͼ
														// Bit3-ץͼ
														// Bit4~Bit31-
} CFG_SNAP_INFO;

///@brief ̨תǶȷΧλ
typedef struct tagCFG_PTZ_MOTION_RANGE
{
	int                 nHorizontalAngleMin;       // ˮƽǶȷΧСֵ,λ:
	int                 nHorizontalAngleMax;       // ˮƽǶȷΧֵ,λ:
	int                 nVerticalAngleMin;          // ֱǶȷΧСֵ,λ:
	int                 nVerticalAngleMax;          // ֱǶȷΧֵ,λ:
}CFG_PTZ_MOTION_RANGE;

///@brief ֵ֧ĽģʽӦö
typedef enum tagSUPPORT_FOCUS_MODE
{
    ENUM_SUPPORT_FOCUS_CAR        = 1,                // 峵ģʽ         
	ENUM_SUPPORT_FOCUS_PLATE      = 2,                // 峵ģʽ 
	ENUM_SUPPORT_FOCUS_PEOPLE     = 3,                // ģʽ     
	ENUM_SUPPORT_FOCUS_FACE       = 4,                // ģʽ     
}EM_SUPPORT_FOCUS_MODE;

///@brief ̨תǶȷΧλ
typedef struct tagCFG_PTZ_LIGHTING_CONTROL
{
	char                szMode[CFG_COMMON_STRING_32];  // ֶƹģʽ
	                                                   // on-off"ֱӿģʽ,
	                                                   // "adjustLight"ֶģʽ

	DWORD               dwNearLightNumber;             // 
	DWORD               dwFarLightNumber;              // Զ
}CFG_PTZ_LIGHTING_CONTROL;

///@brief ̨-ɨ
typedef struct tagCFG_PTZ_AREA_SCAN
{
	BOOL                bIsSupportAutoAreaScan;     // Ƿ֧ɨ	
	WORD				wScanNum;		    		// ɨĸ
}CFG_PTZ_AREA_SCAN;

///@brief ڵ״
typedef enum tagNET_EM_MASK_TYPE
{
	NET_EM_MASK_UNKNOWN,			// δ֪
	NET_EM_MASK_RECT,				// 
	NET_EM_MASK_POLYGON,			// 
} NET_EM_MASK_TYPE;

///@brief 
typedef enum tagNET_EM_MOSAIC_TYPE
{
	NET_EM_MOSAIC_UNKNOWN	= 0,				// δ֪
	NET_EM_MOSAIC_8			= 8,				// [8x8С] 
	NET_EM_MOSAIC_16		= 16,				// [16x16С] 
	NET_EM_MOSAIC_24		= 24,				// [24x24С] 
	NET_EM_MOSAIC_32		= 32,				// [32x32С] 
} NET_EM_MOSAIC_TYPE;

#define MAX_MASKTYPE_COUNT	8
#define MAX_MOSAICTYPE_COUNT	8
///@brief ˽ڵ
typedef struct tagCFG_PTZ_PRIVACY_MASKING
{
	BOOL				bPrivacyMasking;					// Ƿ֧˽ڵ
	BOOL				bSetColorSupport;					// Ƿ֧ڵɫ
	BOOL				abMaskType;							// emMaskTypeǷЧ
	int					nMaskTypeCount;						// ʵֵ֧ڵ״
	NET_EM_MASK_TYPE	emMaskType[MAX_MASKTYPE_COUNT];		// ֵ֧ڵ״ûиʱĬ֧־
	BOOL				bSetMosaicSupport;					// Ƿ֧ڵ
	BOOL				bSetColorIndependent;				// Ƿ֧ڵɫ໥(bSetColorSupportΪtrueʱЧ)
	BOOL				abMosaicType;						// emMosaicTypeǷЧ
	int					nMosaicTypeCount;					// ʵֵ֧͸
	NET_EM_MOSAIC_TYPE	emMosaicType[MAX_MOSAICTYPE_COUNT];	// ֵ֧(SetMosaicSupportΪtrueʱЧûиʱĬ֧24x24С)
} CFG_PTZ_PRIVACY_MASKING;

///@brief ͼ
typedef struct tagCFG_PTZ_MEASURE_DISTANCE
{
	BOOL				bSupport;							// Ƿ֧ͼ
	BOOL				bOsdEnable;							// Ƿͼݵ
	int					nDisplayMin;						// ͼϢСʾʱ, λ
	int					nDisplayMax;						// ͼϢʾʱ, λ
} CFG_PTZ_MEASURE_DISTANCE;

///@brief ֵ̨֧
typedef struct tagCFG_PTZ_ACTION_CAPS
{
	BOOL				bSupportPan;					// Ƿ֧ˮƽƶ
	BOOL				bSupportTile;					// Ƿֱִ֧ƶ
	BOOL				bSupportZoom;					// Ƿֱ֧䱶
	BYTE				byReserved[116];				// Ԥ
}CFG_PTZ_ACTION_CAPS;

///@brief ֵ̨֧ȷλʽ
typedef struct tagCFG_PTZ_ABSOLUTELY_CAPS
{
	BOOL				bSupportNormal;					// Ƿֹ֧һλ
	BOOL				bSupportReal;					// Ƿ֧ʵʲֵλ
	BYTE				byReserved[120];				// Ԥ
}CFG_PTZ_ABSOLUTELY_CAPS;

///@brief Կ̨
typedef struct tagCFG_PTZ_MOVE_ABSOLUTELY_CAP
{
	CFG_PTZ_ACTION_CAPS			stuPTZ;					// ֵ̨֧
	CFG_PTZ_ABSOLUTELY_CAPS		stuType;				// ֵ̨֧ȷλʽ
	BYTE						byReserved[768];		// Ԥ
}CFG_PTZ_MOVE_ABSOLUTELY_CAP;

///@brief ƶʽ
typedef struct tagCFG_PTZ_CONTINUOUSLY_TYPE
{
	BOOL						bSupportNormal;			// Ƿֹ֧һֵλ
	BOOL						bSupportExtra;			// Ƿַ֧ǹһֵλ
	BYTE						byReserved[120];		// Ԥ
}CFG_PTZ_CONTINUOUSLY_TYPE;


///@brief ̨˶
typedef struct tagCFG_PTZ_MOVE_CONTINUOUSLY_CAPS
{
	CFG_PTZ_ACTION_CAPS			stuPTZ;					// ֵ֧PTZ
	CFG_PTZ_CONTINUOUSLY_TYPE	stuType;				// ƶʽ
	BYTE						byReserved[1024];		// Ԥ
}CFG_PTZ_MOVE_CONTINUOUSLY_CAPS;

///@brief ֵ̨֧ת
typedef enum tagEM_PTZ_UNSUPPORT_DIRECTION
{
	EM_PTZ_UNSUPPORT_DIRECTION_UNKNOWN,			// δ֪
	EM_PTZ_UNSUPPORT_DIRECTION_UP,				// 
	EM_PTZ_UNSUPPORT_DIRECTION_DOWN,			// 
	EM_PTZ_UNSUPPORT_DIRECTION_LEFT,			// 
	EM_PTZ_UNSUPPORT_DIRECTION_RIGHT,			// 
	EM_PTZ_UNSUPPORT_DIRECTION_LEFTUP,			// 
	EM_PTZ_UNSUPPORT_DIRECTION_RIGHTUP,			// 
	EM_PTZ_UNSUPPORT_DIRECTION_LEFTDOWN,		// 
	EM_PTZ_UNSUPPORT_DIRECTION_RIGHTDOWN,		// 
} EM_PTZ_UNSUPPORT_DIRECTION;

///@brief ȡ̨Ϣ
typedef struct tagCFG_PTZ_PROTOCOL_CAPS_INFO
{
	int                 nStructSize;
    BOOL                bPan;                       // Ƿ̨֧ˮƽڶ
	BOOL                bTile;                      // Ƿֱ̨֧ڶ
	BOOL                bZoom;                      // Ƿ̨֧䱶
	BOOL                bIris;                      // Ƿ̨֧Ȧ
	BOOL                bPreset;                    // Ƿ֧Ԥõ
	BOOL                bRemovePreset;              // Ƿ֧Ԥõ
	BOOL                bTour;                      // Ƿ֧ԶѲ·
	BOOL                bRemoveTour;                // Ƿ֧Ѳ
	BOOL                bPattern;                   // Ƿֹ֧켣·
	BOOL                bAutoPan;                   // Ƿ֧Զˮƽڶ
	BOOL                bAutoScan;                  // Ƿ֧Զɨ
	BOOL                bAux;                       // Ƿָ֧
	BOOL                bAlarm;                     // Ƿֱ֧
	BOOL                bLight;                     // Ƿֵ֧ƹ, ݼ"stuPtzLightingControl"ֶѷϳʹ
	BOOL                bWiper;                     // Ƿ֧ˢ
	BOOL                bFlip;                      // Ƿ֧־ͷת
	BOOL                bMenu;                      // Ƿ̨֧ò˵
	BOOL                bMoveRelatively;            // Ƿ̨֧궨λ
	BOOL                bMoveAbsolutely;            // Ƿ̨֧궨λ
    BOOL                bMoveDirectly;              // Ƿ̨֧ά궨λ
	BOOL                bReset;                     // Ƿ̨֧λ
	BOOL                bGetStatus;                 // Ƿֻ֧ȡ̨˶״̬λ
	BOOL                bSupportLimit;              // Ƿ֧λ
	BOOL                bPtzDevice;                 // Ƿ̨֧豸
	BOOL                bIsSupportViewRange;        // Ƿ̨֧

	WORD				wCamAddrMin;		    	// ַͨСֵ
	WORD				wCamAddrMax;			    // ֵַͨ
	WORD				wMonAddrMin;    			// ԤַСֵ
	WORD				wMonAddrMax;	    		// Ԥֵַ
	WORD				wPresetMin;			    	// ԤõСֵ
	WORD				wPresetMax;				    // Ԥõֵ
	WORD				wTourMin;    				// ԶѲ·Сֵ
	WORD				wTourMax;	    			// ԶѲ·ֵ
	WORD				wPatternMin;	    		// 켣·Сֵ
	WORD				wPatternMax;		    	// 켣·ֵ
	WORD				wTileSpeedMin;			    // ֱٶȵСֵ
	WORD				wTileSpeedMax;    			// ֱٶȵֵ
	WORD				wPanSpeedMin;	    		// ˮƽٶȵСֵ
	WORD				wPanSpeedMax;		    	// ˮƽٶȵֵ
	WORD				wAutoScanMin;			    // ԶɨСֵ
	WORD				wAutoScanMax;    			// Զɨֵ
	WORD				wAuxMin;		    		// ܵСֵ
	WORD				wAuxMax;			    	// ֵܵ

	DWORD				dwInterval;				    // ʱ
	DWORD				dwType;				        // Эͣ0-̨1-Զ̨
	DWORD				dwAlarmLen;				    // Эı
	DWORD				dwNearLightNumber;		    // ,0~4,Ϊ0ʱʾ֧
	DWORD				dwFarLightNumber;		    // Զ,0~4,Ϊ0ʱʾ֧

	DWORD               dwSupportViewRangeType;     // ֵ֧Ŀݻȡʽ,ӵλλ,Ŀǰ֧
	                                                // 1λ:Ϊ1ʾ֧"ElectronicCompass" ̷ʽ

	DWORD               dwSupportFocusMode;         // ֵֵ֧֧Ľģʽ,ӵλλ,#EM_SUPPORT_FOCUS_MODE
	                  
	char				szName[MAX_PROTOCOL_NAME_LEN];                       // Э
	char                szAuxs[CFG_COMMON_STRING_32][CFG_COMMON_STRING_32];  //̨б

	CFG_PTZ_MOTION_RANGE stuPtzMotionRange;         // ̨תǶȷΧλ
	CFG_PTZ_LIGHTING_CONTROL stuPtzLightingControl; // ƹݣֶѷϳʹ
	BOOL				bSupportPresetTimeSection;	// Ƿ֧ԤõʱõĹ
    BOOL                bFocus;                     // Ƿ̨֧佹
	CFG_PTZ_AREA_SCAN	stuPtzAreaScan;				// ɨ
	CFG_PTZ_PRIVACY_MASKING		stuPtzPrivacyMasking;	// ˽ڵ
	CFG_PTZ_MEASURE_DISTANCE	stuPtzMeasureDistance;	// ͼ
	BOOL						bSupportPtzPatternOSD;		// Ƿ̨֧ѲOSD
	BOOL						bSupportPtzRS485DetectOSD;	// Ƿ̨֧RS485OSD
	BOOL						bSupportPTZCoordinates;		// Ƿ̨֧
	BOOL						bSupportPTZZoom;			// Ƿ̨֧䱶
	BOOL						bDirectionDisplay;			// Ƿ̨֧״̬ʾ
	DWORD						dwZoomMax;					// 䱶ֵ
	DWORD						dwZoomMin;					// 䱶Сֵ
	CFG_PTZ_MOVE_ABSOLUTELY_CAP		stuMoveAbsolutely;		// Կ̨bMoveAbsolutely==TRUE ʱЧ

	BOOL							bMoveContinuously;		// stuMoveContinuously ֶǷЧ
	CFG_PTZ_MOVE_CONTINUOUSLY_CAPS	stuMoveContinuously;	// ̨˶
	int								nUnSupportDirections;		// ֵ̨֧ת
	EM_PTZ_UNSUPPORT_DIRECTION		emUnSupportDirections[10];	// ֵ̨֧ת
	BOOL							bSupportEptzLink;			// Ƿֵ̨֧
}CFG_PTZ_PROTOCOL_CAPS_INFO;

///@brief ֵ̨֧Э
typedef struct tagRS_PROTOCOL_InFO
{
	int					nRSProtocolNum;														//ֵ̨֧Э
	char				szRSProtocol[CFG_COMMON_STRING_32][CFG_COMMON_STRING_32];			//ֵ̨֧Э
}RS_PROTOCOL_InFO;

///@brief ֵ̨֧ͬЭ
typedef struct tagCOAXOAL_PROTOTOL_INFO
{
	int					nCoaxialProtocolNum;													//ֵ̨֧ͬЭ
	char				szCoaxialProtocol[CFG_COMMON_STRING_32][CFG_COMMON_STRING_32];			//ֵ̨֧ͬЭ
}COAXOAL_PROTOTOL_INFO;

///@brief ȡ̨ʵܹʹõЭ飬
typedef struct tagCFG_CAP_PTZ_PROTOCOL
{
	unsigned int			nStructSize;
	RS_PROTOCOL_InFO		stuRSProtocolInfo;			//ֵ̨֧ЭϢ
	COAXOAL_PROTOTOL_INFO	stuCoaxialProtocolInfo;		//ֵ̨֧ͬЭϢ
}CFG_CAP_PTZ_PROTOCOL;

///@brief ;Ŀ¼
typedef struct tagCFG_SPECIAL_DIR_INFO 
{
	char				szBackgroudImageDir[MAX_PATH];	// ĻͼĿ¼
	char				szWindowIconDir[MAX_PATH];		// ͼĿ¼
	char				szEventVoiceDir[MAX_PATH];		// ʾƵļĿ¼
} CFG_SPECIAL_DIR_INFO;


///@brief ػʱԶ
typedef struct tagCFG_AUTO_STARTUP_DELAY_INFO
{
	BOOL	bEnable;		//Ƿ           
	int		nDelay;			//ػʱʱ,λ(ȡֵΧ[30, 255])       
}CFG_AUTO_STARTUP_DELAY_INFO;

///@brief ͸ģʽö
typedef enum tagCFG_DEFOG_MODE
{
	EM_DEFOG_MODE_UNKNOW, //δ֪ʽ
	EM_DEFOG_MODE_OFF,    //ر
	EM_DEFOG_MODE_AUTO,	  //Զ
	EM_DEFOG_MODE_MANAL   //ֶ
}CFG_DEFOG_MODE;

///@brief ģʽö
typedef enum tagCFG_LIGHT_INTENSITY_MODE
{
	EM_LIGHT_INTENSITY_MODE_UNKNOW,//δ֪ʽ
	EM_LIGHT_INTENSITY_MODE_AUTO,  //Զ
	EM_LIGHT_INTENSITY_MODE_MANUL, //ֶ
}CFG_LIGHT_INTENSITY_MODE;


///@brief ͸Ϣ,Ӧṹ CFG_VIDEOINDEFOG
typedef struct tagCFG_VIDEOINDEFOG
{
	CFG_DEFOG_MODE				emDefogMode;//͸ģʽ
	int							nIntensity; //ǿ(0-100)
	CFG_LIGHT_INTENSITY_MODE	emLightIntensityMode;//ģʽ
	int							nLightIntensityLevel;//ǿ(0-15)
	BOOL						bCamDefogEnable;//ѧȥʹ (TRUEʹܣFALSEȥʹ)
}CFG_VIDEOINDEFOG;

///@brief ͨӦ͸Ϣ 
typedef struct tagCFG_VIDEOINDEFOG_LIST
{
	int							nVideoInDefogNum;						// ÿͨʵ͸ø
	CFG_VIDEOINDEFOG			stVideoInDefog[CFG_MAX_VIDEO_IN_DEFOG];	//ÿͨӦ͸
}CFG_VIDEOINDEFOG_LIST;

///@brief RTMP
///@brief ҪFlash Media Server
///@brief ṹһurl
typedef struct tagCFG_RTMP_INFO
{
	BOOL		bEnable;									// RTMPǷ
	char		szAddr[MAX_ADDRESS_LEN];					// RTMPַ
	int			nPort;										// RTMP˿
	int			nMainChnNum;								// ͨ
	int			szMainChannel[AV_CFG_Max_Channel_Num];		// ͨб:ÿԱʾӦͨҪϴRTMP,ͨŴ0ʼ
	int			nExtraChnNum;								// ͨ
	int			szExtraChannel[AV_CFG_Max_Channel_Num];		// øͨб:ÿԱʾӦͨҪϴRTMP,ͨŴ0ʼ
	char		szCustomPath[MAX_ADDRESS_LEN];				// ·
	char		szStreamPath[MAX_ADDRESS_LEN];				// ·ǰ׺:ͬͨԺ׺
}CFG_RTMP_INFO;

///@brief ÿƵʶϵľϢ
typedef struct tagCFG_EQUALIZER_EACH_FREQUENCY
{
	int		nMinFrequency;		// εСƵʣλHZСȡ0
	int		nMaxFrequency;		// εƵʣλHZȡ20K
	int		nGain;				// ε
} CFG_EQUALIZER_EACH_FREQUENCY;

///@brief ӦƵͨƵʶϵ
typedef struct tagCFG_EQUALIZER_INFO
{
	int								nAudioOutChn;								// ƵͨţͨΪ16
	int								nFrequencyCount;							// ʵƵʶθ
	CFG_EQUALIZER_EACH_FREQUENCY	stuFrequency[MAX_FREQUENCY_COUNT];			// ӦƵͨƵʶϵ
} CFG_EQUALIZER_INFO;

///@brief Ƶ(ӦCFG_CMD_AUDIO_OUTEQUALIZER)
typedef struct tagCFG_AUDIO_OUTEQUALIZER_INFO
{
	int						nChannelNum;										// ҪõƵͨ
	CFG_EQUALIZER_INFO		stuEqualizerInfo[MAX_OUTAUDIO_CHANNEL_COUNT];		// ÿƵͨϵľϢ
} CFG_AUDIO_OUT_EQUALIZER_INFO;

///@brief ÿƵͨϵƵ
typedef struct tagCFG_SUPPRESSION_INFO
{
	int			nAudioOutChn;				// ƵͨͨΪ16
	BOOL		bAutoFrequencyControl;		// Хʹ
	BOOL		bAutoEchoCancellation;		// ʹ
} CFG_SUPPRESSION_INFO;

///@brief ƵϢ(ӦCFG_CMD_AUDIO_OUT_SUPPRESSION)
typedef struct tagCFG_AUDIO_OUT_SUPPRESSION_INFO
{
	int							nChannelNum;									// ҪõƵͨ
	CFG_SUPPRESSION_INFO		stuSuppressionInfo[MAX_OUTAUDIO_CHANNEL_COUNT];	// ÿƵͨϵƵ
} CFG_AUDIO_OUT_SUPPRESSION_INFO;

///@brief ÿƵͨϵƵ
typedef struct tagCFG_IN_CONTROL_EACH_AUDIO
{
	int 		nAudioInChn;			// Ƶͨţͨ Ϊ32
	BOOL		bPower;					// ʹ
	BOOL		bSquishSuppression;		// 빦ʹ
} CFG_IN_CONTROL_EACH_AUDIO;

///@brief Ƶ(ӦCFG_CMD_AUDIO_INCONTROL)
typedef struct tagCFG_AUDIO_IN_CONTROL_INFO
{
	int								nChannelNum;										// ҪõƵͨ
	CFG_IN_CONTROL_EACH_AUDIO		stuInControl[MAX_INAUDIO_CHANNEL_COUNT];			// ÿƵͨϵƵ
} CFG_AUDIO_IN_CONTROL_INFO;

///@brief Ƶ(CFG_CAP_CMD_VIDEOINPUT_EX)չ
typedef struct tagCFG_CAP_VIDEOINPUT_INFO_EX
{
	BOOL            bSupportDefog;                          // Ƿ֧͸
	BOOL			bSupportABFFunction;					// Ƿ֧Զ󽹹
	BOOL			bSupportImageStabilization;				// Ƿֵ֧ӷ

	BOOL			bSupportKillShutLine;					// Ƿ֧߹
	int             nMinKillShutLine;						// Сֵ
	int			    nMaxKillShutLine;						// ֵ

    BOOL            bSupportVideoInColor;	                //Ƿ֧ͼ		 
    BOOL            bSupportBrightness;                 	//Ƿ֧	
    BOOL            bSupportContrast;                       //Ƿֶ֧Աȶ       	
    BOOL            bSupportSaturation;                     //Ƿֱ֧Ͷ	
    BOOL            bSupportHue;                            //Ƿ֧ɫ	
    BOOL            bSupportVideoInFocus;                   //Ƿ֧־۽
    BOOL			bLightingControl;						//Ƿֺ֧ƿ
	BYTE            bReserved[3];                           //ֽڶ
}CFG_CAP_VIDEOINPUT_INFO_EX;

#define MAX_CAN_COUNT	16			// CAN

///@brief CAN ˲
typedef enum tagCFG_CAN_POLICY_METHOD
{
	CFG_CAN_POLICY_METHOD_UNKONW,		// δ֪
	CFG_CAN_POLICY_METHOD_NONE,			// ޹
	CFG_CAN_POLICY_METHOD_WHITE,		// 
	CFG_CAN_POLICY_METHOD_BLACK,		// ֹ
}CFG_CAN_POLICY_METHOD;
///@brief canϢ
typedef struct tagCFG_CANFILTER_INFO
{
	int						nResponseTimeout;			// ȴӦʱ(λ:) ݺ󣬵ȴ3000󣬽·͸
	int						nRequestTimeout;			// Ӧʱ(λ:) ָʱδյݣΪ
	int						nFilterPIDCount;			// ݺŸ
	int						nRetFiterPIDCount;			// ݺŸ
	int*					pnFilterPID;				// ݺ
	CFG_CAN_POLICY_METHOD	emPolicy;					// ˲
														// ϱPID
														// ǽֹϱPID
														// ޹ݶϱ																
}CFG_CANFILTER_INFO;
///@brief CAN͸
typedef struct tagCFG_CANFILTER_LIST
{
	int						nCANCount;			// CAN
	int						nRetCANCount;		// 豸CAN
	CFG_CANFILTER_INFO		stuCANFilter[MAX_CAN_COUNT];			
}CFG_CANFILTER_LIST;

///@brief ۽޶Ӧö
typedef enum tagEM_FOCUS_LIMIT_SELECT_MODE
{
    EM_FOCUS_LIMIT_MODE_MANUAL,                // "Manual" Զ
    EM_FOCUS_LIMIT_MODE_AUTO,                  // "Auto"ֶ
    EM_FOCUS_LIMIT_MODE_INVALID
}EM_FOCUS_LIMIT_SELECT_MODE;

///@brief ۽ûϢԪ
typedef struct tagCFG_VIDEO_IN_FOCUS_UNIT
{
	int                        nMode;                   // ۽ģʽ, 0-ر, 1-۽, 2-Զ۽, 3-Զ۽, 4-ֶ۽
	int                        nSensitivity;            // ۽, 0-, 1-Ĭ, 2-
	int                        nIRCorrection;           // ۽, 0-, 1-, 2-Զ
	EM_FOCUS_LIMIT_SELECT_MODE emFocusMode;             // ۽
	int	                       nFocusLimit;				// ۽ֵ, λ
} CFG_VIDEO_IN_FOCUS_UNIT;

///@brief ͨ۽ûϢ
typedef struct tagCFG_VIDEO_IN_FOCUS	
{
	int						 nChannelIndex;				             // ͨ
	int						 nVideoInFocusRealNum;		             // ʹø
	CFG_VIDEO_IN_FOCUS_UNIT  stVideoInFocusUnit[MAX_VIDEO_IN_FOCUS]; //ͨ۽õԪϢ
	
} CFG_VIDEO_IN_FOCUS;
///@brief ģʽ
typedef enum tagEM_ANALYSE_MODE
{
	EM_ANALYSE_MODE_REAL_STREAM,                            // ʵʱģʽ     
	EM_ANALYSE_MODE_RECORDFILE_STREAM,                      // ¼ļģʽ
	EM_ANALYSE_MODE_PICFILE_STREAM,                         // ͼƬļģʽ
}EM_ANALYSE_MODE;

///@brief ܷģʽ
typedef struct tagCFG_ANALYSE_MODE
{
	EM_ANALYSE_MODE emMode;                                 // ģʽEM_ANALYSE_MODE 
}CFG_ANALYSE_MODE;

///@brief ̨Ԥõṹ
typedef struct tagPTZ_PRESET
{
	BOOL                 bEnable;                             // ԤõǷЧ
	char                 szName[MAX_PTZ_PRESET_NAME_LEN];     // Ԥõ
	CFG_PTZ_SPACE_UNIT   stPosition;                          // ԤõͷŴ
}PTZ_PRESET;

///@brief ̨ԤõöӦṹ
typedef struct tagPTZ_PRESET_INFO
{
	DWORD              dwMaxPtzPresetNum;                     // Ԥõ
	DWORD              dwRetPtzPresetNum;                     // ʵʹԤõ
	PTZ_PRESET         *pstPtzPreset;                         // ԤõϢ(ڴ)
}PTZ_PRESET_INFO;

///@brief Ƶͨ
typedef struct tagCFG_AUDIO_SPIRIT_CHANNE
{
	int				nChannel;				// Ƶͨ
	int				nPriority;				// ȼ, 1~10
	int				nPreset;				// ӦƵԤõ, ̨һ0~255
} CFG_AUDIO_SPIRIT_CHANNEL;

///@brief 
typedef struct tagCFG_AUDIO_SPIRIT_LINKAGE 
{
	int				nOutputNum;				// 
	int				nOutputChanel[CFG_MAX_LOWER_MATRIX_OUTPUT];	// ͬ()
} CFG_AUDIO_SPIRIT_LINKAGE;

///@brief 
typedef struct tagCFG_AUDIO_SPIRIT 
{
	BOOL				bEnable;			// ʹ
	int					nAudioLimit;		// ֵ, 0~100
	int					nDelayTime;			// ʱʱ, λ: 
	CFG_AUDIO_SPIRIT_CHANNEL* pstuChannels;	// Ƶͨ,ûڴ,СΪsizeof(CFG_AUDIO_SPIRIT_CHANNEL)*nChannelCount
	int					nChannelCount;		// Ƶͨ
	CFG_AUDIO_SPIRIT_LINKAGE stuLinkage;	// 
} CFG_AUDIO_SPIRIT;

///@brief ƵͨӦͨϢ
typedef struct tagCFG_AUDIO_OUT_CHN
{
	BOOL	bEnable;									// ʾǰͨǷЧ
	int		nInputChn;									// ǰͨϵͨ(bEnableΪTRUEʱЧ)
	short	snInputChannels[CFG_MAX_AUDIO_MATRIX_INPUT];// ǰͨϵͨ(bEnableΪTRUEʱЧ)
} CFG_AUDIO_OUT_CHN;

///@brief ƵµͨϢ
typedef struct tagCFG_AUDIO_MATRIX_INFO
{
	BOOL				bEnable;										// ʾǰǷЧ
	int 				nAudioOutChn;									// ǰµƵͨ(bEnableΪTRUEʱЧ)
	CFG_AUDIO_OUT_CHN	stuAudioOutChn[CFG_MAX_AUDIO_MATRIX_OUTPUT];	// ǰµƵͨ(bEnableΪTRUEʱЧ)
} CFG_AUDIO_MATRIX_INFO;

///@brief ƵϢ
typedef struct tagCFG_AUDIO_MATRIX
{
	int						nAudioMatrix;	// ȡ/õЧƵ4
	CFG_AUDIO_MATRIX_INFO	stuAudioMatrix[CFG_MAX_AUDIO_MATRIX_NUM];	// Ƶ
} CFG_AUDIO_MATRIX;


///@brief һƵͨӦľͨ
typedef struct tagCFG_AUDIO_SILENCE_INPUTCHN
{
	int 		nMatrix;		//Ƶͨľţ0ʼ
	int 		nOutChannel;	//Ƶͨţ0ʼ
	int 		nInputChnConut;	//ͨĸ
	short  		snInputChannel[CFG_MAX_AUDIO_MATRIX_INPUT]; // ͨ
}CFG_AUDIO_SILENCE_INPUT_CHN;


///@brief Ϣ
typedef struct tagCFG_AUDIO_MATRIX_SILENCE
{
	int 						 nMaxInputListCount;	// Ҫȡ/õľͨû䲢pstSilenceInputChnCFG_AUDIO_SILENCE_INPUTCHN ṹ
	int							 nRetInputListCountOut;	// ʵʻȡͨʱ˳Ա
	CFG_AUDIO_SILENCE_INPUT_CHN *pstSilenceInputChn; 	// ƵͨӦľͨû,СΪsizeof(CFG_AUDIO_SILENCE_INPUT_CHN)*nMaxInputListCount
} CFG_AUDIO_MATRIX_SILENCE;

///@brief ϳͨ(ӦCFG_CMD_COMPOSE_CHANNEL)
typedef struct tagCFG_COMPOSE_CHANNEL 
{
	CFG_SPLITMODE	emSplitMode;			// ָģʽ
	int				nChannelCombination[MAX_VIDEO_CHANNEL_NUM]; // ģʽµĸӴʾ
	int				nChannelCount;			// ָ
} CFG_COMPOSE_CHANNEL;

///@brief λ
typedef struct tagCFG_LOWER_MATRIX_OUTPUT
{
	char					szName[CFG_COMMON_STRING_128]; // ͨ
	CFG_SPLITMODE			emSplitMode;		// ָģʽ
	int						nInputs[CFG_MAX_LOWER_MATRIX_INPUT]; // ͨ
	int						nInputCount;		// ͨ
} CFG_LOWER_MATRIX_OUTPUT;

///@brief λϢ
typedef struct tagCFG_LOWER_MATRIX_INFO 
{
	int						nOutputCount;			// ͨ
	CFG_LOWER_MATRIX_OUTPUT	stuOutputs[CFG_MAX_LOWER_MATRIX_OUTPUT]; // ͨ
} CFG_LOWER_MATRIX_INFO;

///@brief λ
typedef struct tagCFG_LOWER_MATRIX_LIST
{
	int						nMatrixCount;		// λ
	CFG_LOWER_MATRIX_INFO	stuMatrix[CFG_MAX_LOWER_MATRIX_NUM]; // λ
} CFG_LOWER_MATRIX_LIST;

///@brief ʼ
typedef struct tagCFG_DAYTIME_INFO
{
	int					nBeginMonth;		// ʼʱ ·
	int					nBeginDay;			// ʼʱ 
	int					nEndMonth;			// ʱ ·
	int					nEndDay;			// ʱ	
}CFG_DAYTIME_INFO;

///@brief ʱֵ
typedef struct tagCFG_TIMESPEEDLIMIT_INFO
{
	BOOL				bEnable;			// ٶƿ
	CFG_DAYTIME_INFO	stuDayTime;			// ʱοʼ
	int					nDaySpeedLimit;		// ֵλkm/h
	int					nNightSpeedLimit;	// ֵλkm/h
	CFG_TIME_SECTION	stuTimeSection;		// ʱηΧЧ
}CFG_TIMESPEEDLIMIT_INFO;
///@brief ʱֵ
typedef struct tagCFG_TIMESPEEDLIMIT_LIST
{
	int						nTimeSpeedLimitCount;		// ʱθ
	CFG_TIMESPEEDLIMIT_INFO stuTimeSpeedLimit[MAX_TIMESPEEDLIMIT_NUM];
}CFG_TIMESPEEDLIMIT_LIST;

///@brief ʾʱ
typedef struct tagCFG_ALERTTIME_INFO
{
	int				nHour;				// Сʱ
	int				nMinute;			// 
}CFG_ALERTTIME_INFO;

///@brief ʾ
typedef struct tagCFG_VOICEALERT_INFO
{
	CFG_ALERTTIME_INFO	stuAlertTime;							// ʱ㣬ʱ
	int					nIntervalTime;							// Ѽʱλ
	char				szWarnText[CFG_COMMON_STRING_256];		// ݣûԶ
}CFG_VOICEALERT_INFO;
///@brief ʾ
typedef struct tagCFG_VOICEALERT_LIST
{
	int					nVoiceAlertCount;					// ʾ
	CFG_VOICEALERT_INFO stuVoiceAlert[MAX_VOICEALERT_NUM];
}CFG_VOICEALERT_LIST;

///@brief 尴
typedef struct tagCFG_INFRARED_KEY 
{
	char			szName[CFG_COMMON_STRING_32];	// 尴
	char			szText[CFG_COMMON_STRING_64];	// 尴ʾ֣ťlabel
} CFG_INFRARED_KEY;

///@brief ģ
typedef struct tagCFG_INFRARED_BOARD_TEMPLATE 
{
	unsigned int	nID;							// ģ
	char			szName[CFG_COMMON_STRING_64];	// ƷͺŶ
	unsigned int	nCategory;						// , , 0-DVD, 1-TV
	int				nKeyNum;						// 尴
	CFG_INFRARED_KEY stuKeys[CFG_MAX_INFRARED_KEY_NUM];	// 尴
} CFG_INFRARED_BOARD_TEMPLATE;

///@brief ģ
typedef struct tagCFG_INFRARED_BOARD_TEMPLATE_GROUP 
{
	int			nTemplateNum;		// ģ
	CFG_INFRARED_BOARD_TEMPLATE stuTemplates[CFG_MAX_INFRARED_BOARD_TEMPLATE_NUM];	// ģ
} CFG_INFRARED_BOARD_TEMPLATE_GROUP;

///@brief 
typedef struct tagCFG_INFRARED_BOARD 
{
	unsigned int	nID;							// , Ψһʾ
	char			szName[CFG_COMMON_STRING_64];	// , ûԶ
	unsigned int	nCategory;						// , 0-DVD, 1-TV
	int				nCommPort;						// ͨѶ˿
	unsigned int	nTemplateID;					// ģID
} CFG_INFRARED_BOARD;

///@brief 
typedef struct tagCFG_INFRARED_BOARD_GROUP
{
	int				nBoardNum;						// 
	CFG_INFRARED_BOARD stuBoards[CFG_MAX_INFRARED_BOARD_NUM];	// Ϣ		
} CFG_INFRARED_BOARD_GROUP;

///@brief 豸
typedef struct tagCFG_DEVICEKEEPALIVE_INFO
{
	BOOL	bEnable;		// ʹ
	int		nInterval;		// ʱ>=10ֵλ
	int		nFailTimes;		// ʧܴʧֵܴΪ豸
	int		nWaitBootTime;	// ȴӵⱣλ
}CFG_DEVICEKEEPALIVE_INFO;

///@brief 豸عûϢ
typedef struct tagCFG_VIDEOIN_EXPOSURE_BASE
{
    BOOL        bSlowShutter;           // ʹ

    BYTE        byExposureMode;         // عģʽ, 0- ĬԶ,1- ,2- Ӱ,3- 50Hz˸
                                        // 4- 60Hz˸, 5- Ȧ, 6- ֶ, 7- , 8- 

    BYTE        byAntiFlicker;			// ˸ģʽ 0-Outdoor 1-50Hz˸ 2-60Hz˸
    BYTE        byCompensation;         // عⲹ, [0~14]
    BYTE        byAutoGainMax;          // Զ, [0, 2]
    BYTE        byGain;                 // 浵λ, [0, 15]
    BYTE        bySlowAutoExposure;     // ع, [0, 15]
    BYTE        bybyReserv[2];          // ֽڶ
    int         byExposureSpeed;        // عٶȵȼ0-Զع⣬1-عȼ12-عȼ2n-1عȼ nʱ޵Զع n+1Զʱֶع (nΪֵ֧عȼ)
    BYTE        bySlowSpeed;            // عȼ
    BYTE        byIris;                 // Ȧ, [0~100]
    BYTE        byBacklight;            // ⲹ: ȡֵΧȡ豸: 0-ر 1- 2-ָ򱳹ⲹ
    BYTE        byWideDynamicRange;     // ֵ̬ 0-رգ1~100-ΪʵΧֵ
    BYTE        byWideDynamicRangeMode; // ̬ģʽ, 0:ر; 1:ֶ; 2:Զ
    BYTE        byGlareInhibition;      // ǿ, 0:ر; 1:; 2:; 3:ǿ
    BYTE        byDoubleExposure;       // ˫֧, 0:֧; 1:֧˫ȫ֡; 2:֧˫Ű֡; 3:֧˫ȫ֡ʺͰ֡
    BYTE        byReserved;             // ֽڶ
    int         nRecoveryTime;          // Զعָ, 0-ʾָ, ʾָʱ, λΪ

    float       fValue1;                // Զعʱ޻ֶعԶʱ, [0.1~80ms]
    float       fValue2;                // Զعʱ, 費С, [0.1~80ms]

    CFG_RECT    stuBacklightRegion;     // ⲹ
    BYTE		byIrisMin;				// Ȧ[0~100]
    BYTE		byIrisMax;				// Ȧ,ȡֵСbyIrisMin[0~100]
    BYTE		byGainMin;				// ֶ()½
    BYTE		byGainMax;				// ֶ()½
}CFG_VIDEOIN_EXPOSURE_BASE;

///@brief 豸ع
typedef struct tagCFG_VIDEOIN_EXPOSURE_INFO
{
    DWORD                       dwMaxExposureNum;       // õ
    DWORD                       dwRetExposureNum;       // ʵʹõ(ѯʱʵʽ, װʱմֵװ)
    CFG_VIDEOIN_EXPOSURE_BASE   *pstuVideoInExposure;   // عϢ,ûڴ,СΪsizeof(CFG_VIDEOIN_EXPOSURE_BASE)*dwMaxExposureNum
}CFG_VIDEOIN_EXPOSURE_INFO;

#define BACKLIGHT_CONFIG_COUNT	3	// ߻ø

///@brief ģʽ
typedef enum tagEM_VIDEOIN_BACKLIGHT_MODE
{
	EM_BACKLIGHT_UNKNOW,			// δ֪ģʽ
	EM_BACKLIGHT_OFF,				// ر
	EM_BACKLIGHT_BACKLIGHT,			// ⲹ
	EM_BACKLIGHT_GLAREINHIBITION,	// ǿ
	EM_BACKLIGHT_WIDEDYNAMIC,		// ̬
	EM_BACKLIGHT_SSA,				// Ӧ
} EM_VIDEOIN_BACKLIGHT_MODE;

///@brief ⲹģʽģʽΪBacklightʱЧ
typedef enum tagEM_BACKLIGHT_MODE
{
	EM_BACKLIGHT_UNKONW,			// δ֪ģʽ
	EM_BACKLIGHT_DEFAULT,			// Ĭģʽ
	EM_BACKLIGHT_REGION,			// Զģʽ
} EM_BACKLIGHT_MODE;

///@brief SSAԱȶȵģʽ,ģʽΪSSAʱЧ
typedef enum tagEM_INTENSITY_MODE
{
	EM_INTENSITY_UNKNOW,			// δ֪ģʽ
	EM_INTENSITY_DISABLE,			// ر
	EM_INTENSITY_AUTO,				// Զ
	EM_INTENSITY_MANUAL,			// ֶ
} EM_INTENSITY_MODE;

///@brief Ϣ
typedef struct tagCFG_VIDEOIN_BACKLIGHT_BASE
{
	EM_VIDEOIN_BACKLIGHT_MODE		emMode;				// ģʽ
	EM_BACKLIGHT_MODE				emBacklightMode;	// ⲹģʽemMode == EM_BACKLIGHT_BACKLIGHTʱЧ
	CFG_RECT						stuBacklightRegion; // ⲹ򣬵emBacklightMode == EM_BACKLIGHT_REGIONʱЧ
	int								nWideDynamicRange;	// ֵ̬emMode == EM_BACKLIGHT_WIDEDYNAMICʱЧ
	int								nGlareInhibition;	// ǿƣemMode == EM_BACKLIGHT_GLAREINHIBITIONʱЧ
	EM_INTENSITY_MODE				emInitensityMode;	// SSAԱȶȵģʽemMode==EM_BACKLIGHT_SSAʱЧ
	int								nIntensity;			// SSAֶǿֵemInitensityMode==EM_INTENSITY_MANUALʱЧ
} CFG_VIDEOIN_BACKLIGHT_BASE;

///@brief 
typedef struct tagCFG_VIDEOIN_BACKLIGHT_INFO
{
	// Ϣ,0-1-ҹ 2-ͨ
	CFG_VIDEOIN_BACKLIGHT_BASE		stuVideoInBackLight[BACKLIGHT_CONFIG_COUNT];
} CFG_VIDEOIN_BACKLIGHT_INFO;

///@brief ////////////////////////////////////////////////////////////////////////
///@brief Ž

///@brief Զ忪ŷʽ
typedef enum tagCFG_DOOR_OPEN_METHOD
{
	CFG_DOOR_OPEN_METHOD_UNKNOWN                        = 0,
	CFG_DOOR_OPEN_METHOD_PWD_ONLY						= 1,    // ֻ뿪
	CFG_DOOR_OPEN_METHOD_CARD							= 2,    // ֻˢ
	CFG_DOOR_OPEN_METHOD_PWD_OR_CARD					= 3,    // ˢ
	CFG_DOOR_OPEN_METHOD_CARD_FIRST						= 4,    // ˢ뿪
	CFG_DOOR_OPEN_METHOD_PWD_FIRST						= 5,    // ˢ
	CFG_DOOR_OPEN_METHOD_SECTION						= 6,    // ʱο
    CFG_DOOR_OPEN_METHOD_FINGERPRINTONLY                = 7,    // ָƿ
    CFG_DOOR_OPEN_METHOD_PWD_OR_CARD_OR_FINGERPRINT     = 8,    // ˢָƿ
    CFG_DOOR_OPEN_METHOD_PWD_AND_CARD_AND_FINGERPINT    = 9,    // +ˢ+ָϿ
    CFG_DOOR_OPEN_METHOD_PWD_AND_FINGERPRINT            = 10,   // +ָϿ
    CFG_DOOR_OPEN_METHOD_CARD_AND_FINGERPRINT           = 11,   // ˢ+ָƿ
    CFG_DOOR_OPEN_METHOD_MULTI_PERSON                   = 12,   // ˿
    CFG_DOOR_OPEN_METHOD_FACEIDCARD						= 13,   // ֤Ա
    CFG_DOOR_OPEN_METHOD_FACEIDCARD_AND_IDCARD			= 14,	// ֤+ ֤ȶ
    CFG_DOOR_OPEN_METHOD_FACEIDCARD_OR_CARD_OR_FINGER	= 15,	// ֤ȶԻˢָ
    CFG_DOOR_OPEN_METHOD_FACEIPCARDANDIDCARD_OR_CARD_OR_FINGER	= 16,	// (֤+֤ȶ)ˢָ
    CFG_DOOR_OPEN_METHOD_USERID_AND_PWD                 = 17,   // UserID+
    CFG_DOOR_OPEN_METHOD_FACE_ONLY                      = 18,   // ֻ
    CFG_DOOR_OPEN_METHOD_FACE_AND_PWD                   = 19,   // +뿪
    CFG_DOOR_OPEN_METHOD_FINGERPRINT_AND_PWD            = 20,   // ָ+뿪
    CFG_DOOR_OPEN_METHOD_FINGERPRINT_AND_FACE           = 21,   // ָ+
    CFG_DOOR_OPEN_METHOD_CARD_AND_FACE                  = 22,   // ˢ+
    CFG_DOOR_OPEN_METHOD_FACE_OR_PWD                    = 23,   // 뿪
    CFG_DOOR_OPEN_METHOD_FINGERPRINT_OR_PWD             = 24,   // ָƻ뿪
    CFG_DOOR_OPEN_METHOD_FINGERPRINT_OR_FACE            = 25,   // ָƻ
    CFG_DOOR_OPEN_METHOD_CARD_OR_FACE                   = 26,   // ˢ
    CFG_DOOR_OPEN_METHOD_CARD_OR_FINGERPRINT            = 27,   // ˢָƿ
    CFG_DOOR_OPEN_METHOD_FINGERPRINT_AND_FACE_AND_PWD   = 28,   // ָ++뿪
    CFG_DOOR_OPEN_METHOD_CARD_AND_FACE_AND_PWD          = 29,   // ˢ++뿪
    CFG_DOOR_OPEN_METHOD_CARD_AND_FINGERPRINT_AND_PWD   = 30,   // ˢ+ָ+뿪
    CFG_DOOR_OPEN_METHOD_CARD_AND_PWD_AND_FACE          = 31,   // +ָ+Ͽ
    CFG_DOOR_OPEN_METHOD_FINGERPRINT_OR_FACE_OR_PWD     = 32,   // ָƻ
    CFG_DOOR_OPEN_METHOD_CARD_OR_FACE_OR_PWD               = 33,   // 뿪
    CFG_DOOR_OPEN_METHOD_CARD_OR_FINGERPRINT_OR_FACE    = 34,   // ָƻ
    CFG_DOOR_OPEN_METHOD_CARD_AND_FINGERPRINT_AND_FACE_AND_PWD  = 35,   // +ָ++Ͽ 
    CFG_DOOR_OPEN_METHOD_CARD_OR_FINGERPRINT_OR_FACE_OR_PWD     = 36,   // ָƻ뿪
    CFG_DOOR_OPEN_METHOD_FACEIPCARDANDIDCARD_OR_CARD_OR_FACE    = 37,   //(֤+֤ȶ) ˢ  
    CFG_DOOR_OPEN_METHOD_FACEIDCARD_OR_CARD_OR_FACE        = 38,   // ֤ȶ  ˢ(ά)  
	CFG_DOOR_OPEN_METHOD_CARDANDPWD_OR_FINGERPRINTANDPWD   = 39,   // (+룩ָ+룩ĬΪ2
	CFG_DOOR_OPEN_METHOD_PHOTO_OR_FACE					= 40,	//	֤(Ƭ)
	CFG_DOOR_OPEN_METHOD_FINGERPRINT					= 41,	//	֤(ָ)
	CFG_DOOR_OPEN_METHOD_PHOTO_AND_FINGERPRINT			= 42,	//	֤(Ƭ+ָ)
	CFG_DOOR_OPEN_METHOD_FACEIDCARD_OR_CARD_OR_FINGERPRINT_OR_FACE_OR_PASSWORD = 43,	// ֤ˢָƻ
	CFG_DOOR_OPEN_METHOD_MULTI_USER_TYPE				= 44,	// û
	CFG_DOOR_OPEN_METHOD_FACEIDCARD_OR_HEALTHCODE		= 45,	// ֤򽡿
	CFG_DOOR_OPEN_METHOD_IRIS_ONLY						= 46,	// ֻĤ
	CFG_DOOR_OPEN_METHOD_IRIS_AND_PWD					= 47,	// Ĥ+Ͽ 
	CFG_DOOR_OPEN_METHOD_FACE_AND_IRIS					= 48,	// +ĤϿ 
	CFG_DOOR_OPEN_METHOD_CARD_AND_IRIS					= 49,	// +ĤϿ
	CFG_DOOR_OPEN_METHOD_IRIS_OR_PWD					= 50,	// Ĥ뿪
	CFG_DOOR_OPEN_METHOD_FACE_OR_IRIS					= 51,	// Ĥ
	CFG_DOOR_OPEN_METHOD_CARD_OR_IRIS					= 52,	// Ĥ 
	CFG_DOOR_OPEN_METHOD_FACE_AND_IRIS_AND_PWD			= 53,	// +Ĥ+Ͽ 
	CFG_DOOR_OPEN_METHOD_CARD_AND_FACE_AND_IRIS			= 54,	// ++ĤϿ 
	CFG_DOOR_OPEN_METHOD_CARD_AND_IRIS_AND_PWD			= 55,	// +Ĥ+Ͽ 
	CFG_DOOR_OPEN_METHOD_FACE_OR_IRIS_PWD				= 56,	// Ĥ뿪 
	CFG_DOOR_OPEN_METHOD_CARD_OR_FACE_IRIS				= 57,	// Ĥ 
	CFG_DOOR_OPEN_METHOD_CARD_OR_IRIS_PWD				= 58,	// Ĥ뿪 
	CFG_DOOR_OPEN_METHOD_CARD_AND_FACE_IRIS_PWD			= 59,	// ++Ĥ+Ͽ 
	CFG_DOOR_OPEN_METHOD_CARD_OR_FACE_OR_IRIS_PWD		= 60,	// Ĥ뿪
	CFG_DOOR_OPEN_METHOD_MULTI_COMBINATIONS				= 85,	// Ͽ
}CFG_DOOR_OPEN_METHOD;


///@brief Ž˫
typedef enum tagCFG_ACCESS_PROPERTY_TYPE
{
    CFG_ACCESS_PROPERTY_UNKNOWN = 0,
    CFG_ACCESS_PROPERTY_BIDIRECT,       // ˫Ž
    CFG_ACCESS_PROPERTY_UNIDIRECT,      // Ž
}CFG_ACCESS_PROPERTY_TYPE;

#define CFG_MAX_ABLOCK_DOORS_NUM        8                       // ŽĻͨ

///@brief ŽAB
typedef struct tagCFG_ABLOCK_DOOR_INFO 
{
    int                 nDoor;                                  // Чŵĸ
    int                 anDoor[CFG_MAX_ABLOCK_DOORS_NUM];       // ŵͨ
}CFG_ABLOCK_DOOR_INFO;

#define CFG_MAX_ABLOCK_GROUP_NUM        8                       // Ļ

///@brief ŽAB, ֻͨBͨرգΨһAͨŴ
typedef struct tagCFG_ABLOCK_INFO 
{
    BOOL                bEnable;                                // ʹ
    int                 nDoors;                                 // Ч
    CFG_ABLOCK_DOOR_INFO stuDoors[CFG_MAX_ABLOCK_GROUP_NUM];    // Ϣ
}CFG_ABLOCK_INFO;

///@brief ͨģʽ
typedef enum tagEM_PASS_MODE
{
    EM_PASS_MODE_UNKNOWN = -1,                                   // δ֪
    EM_PASS_MODE_IN_AUTHORIZATION_OUT_AUTHORIZATION,             // ȨȨ 
    EM_PASS_MODE_IN_AUTHORIZATION_OUT_FREE,                      // Ȩ 
    EM_PASS_MODE_IN_AUTHORIZATION_OUT_FORBID,                    // Ȩֹ 
    EM_PASS_MODE_IN_FREE_OUT_AUTHORIZATION,                      // ɳȨ
    EM_PASS_MODE_IN_FREE_OUT_FREE,                               // ɳ 
    EM_PASS_MODE_IN_FREE_OUT_FORBID,                             // ɳֹ
    EM_PASS_MODE_IN_FORBID_OUT_AUTHORIZATION,                    // ֹȨ
    EM_PASS_MODE_IN_FORBID_OUT_FREE,                             // ֹ
    EM_PASS_MODE_IN_FORBID_OUT_FORBID,                           // ֹֹ
} EM_PASS_MODE;

///@brief բײģʽ
typedef enum tagEM_COLLISION_MODE
{
    EM_COLLISION_MODE_UNKNOWN = -1,                               
    EM_COLLISION_MODE_2S,                                       // 2sɿ                            
    EM_COLLISION_MODE_5S,                                       // 5sɿ
    EM_COLLISION_MODE_LEAVING,                                  // Ա뿪ɿ
} EM_COLLISION_MODE;

///@brief բϵԺŰڶ
typedef enum tagEM_DIRECTION_AFTER_POWER_OFF
{
    EM_DIRECTION_AFTER_POWER_OFF_UNKNOWN = -1,                  // δ֪         
    EM_DIRECTION_AFTER_POWER_OFF_IN,                            // ŷ                                
    EM_DIRECTION_AFTER_POWER_OFF_OUT,                           // ŷ    
} EM_DIRECTION_AFTER_POWER_OFF;

///@brief ģʽ
typedef enum tagEM_ASG_WORK_MODE
{
    EM_ASG_WORK_MODE_UNKNOWN  = -1,                             // δ֪
    EM_ASG_WORK_MODE_CLOSE,                                     // ģʽ
    EM_ASG_WORK_MODE_OPEN,                                      // ģʽ        
} EM_ASG_WORK_MODE;

///@brief ģʽ
typedef enum tagEM_STARTUP_MODE
{   
    EM_STARTUP_MODE_UNKNOWN  = -1,                              // δ֪
    EM_STARTUP_MODE_NORMAL,                                     // ģʽ
    EM_STARTUP_MODE_ZERO_SETTING,                               // λģʽ
    EM_STARTUP_MODE_AGING_TEST,                                 // ϻģʽ   
} EM_STARTUP_MODE;

///@brief բ    
typedef enum tagEM_GATE_TYPE
{   
    EM_ASG_GATE_TYPE_UNKNOWN = -1,								// δ֪
	EM_ASG_GATE_TYPE_SWING_GATE_ONE,							// բ1
	EM_ASG_GATE_TYPE_SWING_GATE_TWO,							// բ2
	EM_ASG_GATE_TYPE_WING_GATE_ONE,								// բ1
	EM_ASG_GATE_TYPE_WING_GATE_TWO,								// բ2
	EM_ASG_GATE_TYPE_WING_GATE_THREE,							// բ3
	EM_ASG_GATE_TYPE_THREE_STICK_GATE_ONE = 10,					// բ1
	EM_ASG_GATE_TYPE_THREE_STICK_GATE_TWO,						// բ2
	EM_ASG_GATE_TYPE_SWING_GATE_THREE = 20,						// բ3
	EM_ASG_GATE_TYPE_SWING_GATE_FOUR,							// բ4
	EM_ASG_GATE_TYPE_SWING_GATE_FIVE,							// բ5
} EM_GATE_TYPE;

///@brief ͨ
typedef enum tagEM_CHANNEL_WIDTH
{
    EM_CHANNEL_WIDTH_UNKNOWN = -1,                              // δ֪
    EM_CHANNEL_WIDTH_600,                                       // 600mm
    EM_CHANNEL_WIDTH_700,                                       // 700mm
    EM_CHANNEL_WIDTH_800,                                       // 800mm
    EM_CHANNEL_WIDTH_900,                                       // 900mm
    EM_CHANNEL_WIDTH_1000,                                      // 1000mm
    EM_CHANNEL_WIDTH_1100,                                      // 1100mm
    EM_CHANNEL_WIDTH_1200,                                      // 1200mm
	EM_CHANNEL_WIDTH_1300,                                      // 1300mm
	EM_CHANNEL_WIDTH_1400,                                      // 1400mm
	EM_CHANNEL_WIDTH_1500,                                      // 1500mm
} EM_CHANNEL_WIDTH;


///@brief ͨբ
typedef struct tagCFG_ACCESS_CONTROL_ASG
{
    EM_PASS_MODE                                    emPassMode;                              // ͨģʽ
    UINT                                            nOpenDoorSpeed;                          // ٶȵλ, Χ:0-7, Ӧ1-8
    UINT                                            nPassTimeOut;                            // ͨгʱʱ, Χ:2-60, λ
    UINT                                            nCloseDelayTime;                         // ʱʱ, Χ:0-60, λ
    UINT                                            nSecurityLevel;                          // բȫȼ, Χ:0-4, Ӧ1-5
    BOOL                                            bSecondOpenEnable;                       // οܿ;Falseر, True
    BOOL                                            bMemoryModeEnable;                       // 书ܿ;Falseر, True
    EM_COLLISION_MODE                               emCollisionMode;                         // բײģʽ
    UINT                                            nVolumeLevel;                            // 豸ȼ8, Χ:0-7, 0ʾ
    EM_DIRECTION_AFTER_POWER_OFF                    emDirectionAfterPowerOff;                // բϵԺŰڶ
	EM_ASG_WORK_MODE                                emWorkMode;                              // ģʽ
    EM_STARTUP_MODE                                 emStartUpMode;                           // ģʽ
    int                                             nMasterWingAngleAdjust;                  // λ΢ǶȣŷֱΪ
    int                                             nSlaveWingAngleAdjust;                   // ӻλ΢ǶȣŷֱΪӻ
    EM_GATE_TYPE                                    emGateType;                              // բ   
    EM_CHANNEL_WIDTH                                emChannelWidth;                          // ͨ
	UINT											nSecondOpenTimeSection;					 // bSecondOpenEnableʱΣAccessTimeSchedule 
	UINT											nMemoryModeTimeSection;					 // bMemoryModeEnableʱΣAccessTimeSchedule 
	UINT											nWorkModeTimeSection;					 // emWorkModeʱΣAccessTimeSchedule 	
	BOOL											bClearPassNum;							 // Ƿͨ
    BYTE                                            byReserved[112];                         // ֽ                                       
} CFG_ACCESS_CONTROL_ASG;

///@brief ID
typedef enum tagCFG_EM_VOICE_ID
{
	CFG_EM_VOICE_ID_UNKNOWN = -1,						// δ֪
	CFG_EM_VOICE_ID_VERIFY_SUCCESS,						// ֤ɹ(Ĭ)
	CFG_EM_VOICE_ID_OPENDOOR_SUCCESS,					// ųɹ
	CFG_EM_VOICE_ID_UNLOCK_SUCCESS,						// ɹ
	CFG_EM_VOICE_ID_SWIPECARD_SUCCESS,					// ˢɹ
	CFG_EM_VOICE_ID_WELCOME,							// ӭ
	CFG_EM_VOICE_ID_WELCOME_BACK,						// ӭٴι
	CFG_EM_VOICE_ID_THANKS,								// лл
	CFG_EM_VOICE_ID_CUSTOMIZED_VOICE,					// Զ
	CFG_EM_VOICE_ID_NO_VOICE,							// 
	CFG_EM_VOICE_ID_WELCOME_HOME,						// ӭؼ
	CFG_EM_VOICE_ID_GOOD_JOURNEY,						// һ·˳
	CFG_EM_VOICE_ID_WELCOME_BACK_NEXT,					// ӭ´ι
	CFG_EM_VOICE_ID_THANKS_FOR_PATRONAGE,				// ллݹ
	CFG_EM_VOICE_ID_AUTHORIZ_SUCCESS,					// Ȩɹ
	CFG_EM_VOICE_ID_SAFE_JOURNEY,						// һ·ƽ
	CFG_EM_VOICE_ID_CUSTOMIZED_VOICE2,					// Զ2
	CFG_EM_VOICE_ID_CUSTOMIZED_VOICE3,					// Զ3
}CFG_EM_VOICE_ID;

///@brief բ
typedef enum tagCFG_EM_ASG_VOICE_DIRECTION
{
	CFG_EM_ASG_VOICE_DIRECTION_UNKNOWN,					// δ֪
	CFG_EM_ASG_VOICE_DIRECTION_ENTER,					// 
	CFG_EM_ASG_VOICE_DIRECTION_LEAVE,					// 뿪
}CFG_EM_ASG_VOICE_DIRECTION;

///@brief ŽϢ
typedef struct tagCFG_ACCESS_VOICE_INFO
{
	CFG_EM_VOICE_ID				emVoiceID;					// ID
	char						szVoiceContent[128];		// 
	char						szFileName[128];			// ļ·
	CFG_EM_ASG_VOICE_DIRECTION	emAsgVoiceDirection;		// բ
	BYTE						byReserved[1020];			// Ԥֶ
}CFG_ACCESS_VOICE_INFO;

///@brief Žʾ
typedef struct tagCFG_ACCESS_VOICE
{
	CFG_EM_VOICE_ID			emCurrentVoiceID;			// ǰID
	CFG_ACCESS_VOICE_INFO	arrayVoiceInfo[16];			// б	
	UINT					nVoiceCount;				// arrayVoiceInfo  
	BYTE					byReserved[1024];			// Ԥֶ
}CFG_ACCESS_VOICE;

///@brief Ŵ
typedef enum tagEM_ACCESS_SENSOR_TYPE
{
	EM_ACCESS_SENSOR_TYPE_UNKNOWN = -1,	// δ֪
	EM_ACCESS_SENSOR_TYPE_NO,			// 
	EM_ACCESS_SENSOR_TYPE_NC,			// 
} EM_ACCESS_SENSOR_TYPE;

///@brief Ž
typedef struct tagCFG_ACCESS_GENERAL_INFO
{
	char                szOpenDoorAudioPath[MAX_ADDRESS_LEN];   // Ƶļ·
	char                szCloseDoorAudioPath[MAX_ADDRESS_LEN];  // Ƶļ·
	char                szInUsedAuidoPath[MAX_ADDRESS_LEN];     // Ƶļ·
	char                szPauseUsedAudioPath[MAX_ADDRESS_LEN];  // ͣʹƵļ· 
	char                szNotClosedAudioPath[MAX_ADDRESS_LEN];  // δƵļ·
	char                szWaitingAudioPath[MAX_ADDRESS_LEN];    // ȴʾƵļ·
	int                 nUnlockReloadTime;                      // Ӧʱ,λ룬ȡֵ1015(Ĭֵ)20
	int                 nUnlockHoldTime;                        // ʱ,λ룬ȡֵ12(Ĭ)3456915 

	// 
	bool                abProjectPassword;
    bool                abAccessProperty;
    bool                abABLockInfo;
	BYTE				byReserved;

	char				szProjectPassword[MAX_PASSWORD_LEN];	// 
    CFG_ACCESS_PROPERTY_TYPE emAccessProperty;                  // Žͨ˫
    CFG_ABLOCK_INFO     stuABLockInfo;                          // ABϢ
	char				szDuressPassword[MAX_PASSWORD_LEN];		// в
	BOOL				bDuressEnable;							// вʹ
    BOOL				bCustomPasswordEnable;                // ǷøԻ
    char				szCommonPassword[MAX_PASSWORD_LEN];	// 
    UINT                nPeakTimeSection;                   // ݿظ߷ʱ, ֵΪCFG_ACCESS_TIMESCHEDULE_INFOõ±
    BOOL                bPeakState;                         // ǷΪݿظ߷, TRUE:߷, FALSE:ƽ
    UINT                nRemoteAuthTimeOut;                 // ԶУ鳬ʱʱ,λ:, Ĭֵ:5룬Χ[1-15]
	BYTE				arrFloorPermission[64];				// ¥ȨϢÿһbitӦһ¥㣬bitֵ1ʾ㣬0ʾȨ¥	
	int 				nFloorPermission;					// arrFloorPermission 
    CFG_ACCESS_CONTROL_ASG		stuAccessControlASG;		// ͨբ
	CFG_ACCESS_VOICE			stuAccessVoice;				// Žʾ
	EM_ACCESS_SENSOR_TYPE		emSensorType;				// Ŵ
	char						szReserved[1024];			// ֽ
}CFG_ACCESS_GENERAL_INFO;

///@brief Ž״̬
typedef enum CFG_ACCESS_STATE
{
	ACCESS_STATE_NORMAL,                                        // ͨ
	ACCESS_STATE_CLOSEALWAYS,                                   // 
    ACCESS_STATE_OPENALWAYS,                                    //  
                                                                // ״̬,OpendoorЧ.
    ACCESS_STATE_NOPERSONNC,                                    // ״̬
    ACCESS_STATE_NOPERSONNO                                     // ״̬
}CFG_ACCESS_STATE; 

///@brief Žģʽ
typedef enum CFG_ACCESS_MODE
{
	ACCESS_MODE_HANDPROTECTED,                                  // ģʽ
	ACCESS_MODE_SAFEROOM,                                       // ģʽ    
	ACCESS_MODE_OTHER,                                          // 
}CFG_ACCESS_MODE;


///@brief ʱο
typedef struct tagCFG_DOOROPEN_TIMESECTION_INFO
{
	CFG_TIME_PERIOD			stuTime;				// ʱ
	CFG_DOOR_OPEN_METHOD	emDoorOpenMethod;		// ģʽ
}CFG_DOOROPEN_TIMESECTION_INFO;

#define MAX_DOOR_TIME_SECTION		4				// Žÿʱʱ

///@brief ׿Ȩ֤ͨŽ״̬
typedef enum CFG_ACCESS_FIRSTENTER_STATUS
{
	ACCESS_FIRSTENTER_STATUS_UNKNOWN,	// δ֪״̬
	ACCESS_FIRSTENTER_STATUS_KEEPOPEN,	// KeepOpen-׿Ȩ֤ͨűֳ
	ACCESS_FIRSTENTER_STATUS_NORMAL		// Normal-׿Ȩ֤ͨûˢ(ָƵ)֤ͨ
}CFG_ACCESS_FIRSTENTER_STATUS;

///@brief ׿Ϣ
typedef struct tagCFG_ACCESS_FIRSTENTER_INFO
{
	BOOL							bEnable;	// ָʱ,ֻӵ׿Ȩ޵û֤ͨûˢ(ָƵ)룬TRUE ʹ FALSE ر
	CFG_ACCESS_FIRSTENTER_STATUS	emStatus;	// ׿Ȩ֤ͨŽ״̬
	int								nTimeIndex;	// Ҫ׿֤ʱ, ֵΪͨ
}CFG_ACCESS_FIRSTENTER_INFO;

///@brief Զ֤̿
typedef struct tagCFG_REMOTE_DETAIL_INFO 
{
    int                 nTimeOut;                       // ʱʱ, 0ʾõȴ, ֵʾʱʱ(λΪ)
    BOOL                bTimeOutDoorStatus;             // ʱ״̬, TRUE:, FALSE:ر
}CFG_REMOTE_DETAIL_INFO;

///@brief TimeOut info for handicap
typedef struct tagCFG_HANDICAP_TIMEOUT_INFO
{
    int                 nUnlockHoldInterval;            // ʱ(Զʱ),λ,[250, 60000]  
    int                 nCloseTimeout;                  // ųʱʱ, ֵδػᴥλ,[0,9999];0ʾⳬʱ
}CFG_HANDICAP_TIMEOUT_INFO;

///@brief Զ֤
typedef struct tagCFG_AUTO_REMOTE_CHECK_INFO
{
    BOOL                bEnable;                        // ʹ, TRUE: , FALSE: ر
    int                 nTimeSechdule;                  // ӦCFG_CMD_ACCESSTIMESCHEDULEõͨ
}CFG_AUTO_REMOTE_CHECK_INFO;

///@brief ŽЭ
typedef enum tagCFG_EM_ACCESS_PROTOCOL
{
	CFG_EM_ACCESS_PROTOCOL_UNKNOWN,						// δ֪
	CFG_EM_ACCESS_PROTOCOL_LOCAL,						// 
	CFG_EM_ACCESS_PROTOCOL_SERIAL,						// Э
	CFG_EM_ACCESS_PROTOCOL_REMOTE,						// Žudp
}CFG_EM_ACCESS_PROTOCOL;

///@brief ЭµľЭ鹦
typedef enum tagCFG_EM_SERIAL_PROTOCOL_TYPE
{
	CFG_EM_SERIAL_PROTOCOL_TYPE_UNKNOWN = -1,					// δ֪
	CFG_EM_SERIAL_PROTOCOL_TYPE_UNUSED,							// δʹ
	CFG_EM_SERIAL_PROTOCOL_TYPE_DAHUA_ACCESS_485,				// Ž485
	CFG_EM_SERIAL_PROTOCOL_TYPE_LADDER_CONTROL,					// ݿ
	CFG_EM_SERIAL_PROTOCOL_TYPE_REMOTE_READ_HEAD,				// Զͷ
}CFG_EM_SERIAL_PROTOCOL_TYPE;

///@brief ŽudpϢ
typedef struct tagCFG_ACCESS_CONTROL_UDP_INFO
{
	char				szAddress[CFG_MAX_ACCESS_CONTROL_ADDRESS_LEN];			// ַ
	int					nPort;													// ˿
}CFG_ACCESS_CONTROL_UDP_INFO;

///@brief ǰŲɼ״̬
typedef enum tagEM_CFG_CARD_STATE
{
	EM_CFG_CARD_STATE_UNKNOWN = -1,				// δ֪
	EM_CFG_CARD_STATE_SWIPE,					// Žˢ
	EM_CFG_CARD_STATE_COLLECTION,				// Žɼ
}EM_CFG_CARD_STATE;

///@brief Ž¼
typedef struct tagCFG_ACCESS_EVENT_INFO
{
	char                szChannelName[MAX_NAME_LEN];	// Žͨ
	CFG_ACCESS_STATE    emState;						// Ž״̬
	CFG_ACCESS_MODE     emMode;							// Žģʽ
	int					nEnableMode;					// Žʹܵƽֵ, 0:͵ƽЧ(ϵ); 1:ߵƽЧ(ͨ);
	BOOL                bSnapshotEnable;				// ¼ץͼʹ
	
    // 
	bool                abDoorOpenMethod;
    bool                abUnlockHoldInterval;
	bool                abCloseTimeout;
	bool                abOpenAlwaysTimeIndex;
    bool                abCloseAlwaysTimeIndex;
	bool                abHolidayTimeIndex;
	bool                abBreakInAlarmEnable;
	bool				abRepeatEnterAlarmEnable;
	bool                abDoorNotClosedAlarmEnable;
	bool				abDuressAlarmEnable;
	bool                abDoorTimeSection;
	bool				abSensorEnable;
	bool				abFirstEnterEnable;
    bool                abRemoteCheck;
    bool                abRemoteDetail;
    bool                abHandicapTimeOut;
    bool                abCheckCloseSensor;
    bool                abAutoRemoteCheck;
    BYTE                reverse[2];

	CFG_DOOR_OPEN_METHOD	emDoorOpenMethod;			// ŷʽ
	int					nUnlockHoldInterval;			// NC/NOʱ λ Խ[200, 20000]Ž[200, 600000]
	int					nCloseTimeout;					// ųʱʱ, ֵδػᴥλ,[0,9999];0ʾⳬʱ
	int					nOpenAlwaysTimeIndex;			// ʱ, ֵΪCFG_ACCESS_TIMESCHEDULE_INFOõ±
    int                 nCloseAlwaysTimeIndex;          // ʱ, ֵΪCFG_ACCESS_TIMESCHEDULE_INFOõ±
	int					nHolidayTimeRecoNo;				// ʱ, ֵΪռ¼ļ¼ţӦNET_RECORDSET_HOLIDAYnRecNo
	BOOL				bBreakInAlarmEnable;			// 뱨ʹ
	BOOL				bRepeatEnterAlarm;				// Ǳʹ
	BOOL				bDoorNotClosedAlarmEnable;		// δرʹ
	BOOL				bDuressAlarmEnable;				// вȱʹ
	CFG_DOOROPEN_TIMESECTION_INFO	stuDoorTimeSection[WEEK_DAY_NUM][MAX_DOOR_TIME_SECTION];// ʱοϢ
	BOOL				bSensorEnable;					// Ŵʹ
	CFG_ACCESS_FIRSTENTER_INFO stuFirstEnterInfo;		// ׿Ϣ
    BOOL                bRemoteCheck;                   // ǷҪƽ̨֤, TRUEʾȨͨҪƽ̨֤ܿ, FALSEʾȨ֤ͨ
    CFG_REMOTE_DETAIL_INFO  stuRemoteDetail;            // bRemoteCheckʹ, Զ֤δӦ, 趨豸ʱʱ䵽, Żǲ
    CFG_HANDICAP_TIMEOUT_INFO   stuHandicapTimeOut;     // ԲʿĿŲ
    BOOL                bCloseCheckSensor;              // ǰǷŴ
                                                        // true:򵱿ʱʱֻм⵽ЧŴźʱſԻָرĶ
                                                        // ֮ʱѵδ⵽ЧŴźţһֱֿ״̬
                                                        // false(Ĭ):ֱӰ趨ĿʱпֺͻָرյĶ
    CFG_AUTO_REMOTE_CHECK_INFO  stuAutoRemoteCheck;     // Զ֤, , ڸʱ, 豸ͨϿ¼֪ͨƽ̨ȷǷԿ
    BOOL                bLocalControlEnable;            // ؿ, TRUE     FALSE ͣ
    BOOL                bRemoteControlEnable;           // Զ̿, TRUE     FALSE ͣ
    int                 nSensorDelay;                   // ʱʱж, λ롣 0~10
    int                 nHumanStatusSensitivity;        // ״̬仯,ڴʱڣж λ 롣 0~300
    int                 nDetectSensitivity;             // ļ  λ% 0~100
	BOOL				bLockTongueEnable;				// ʹ
	int                 nABLockRoute;                   // AB·ABindexӦ-1Ч
    int                 nDoorNotClosedReaderAlarmTime;  // δسʱ, λ
	BOOL				bEnable;						// ʹ,ͨǷ,TRUEΪʹ,FALSEΪر
	char				szSN[CFG_MAX_SN_LEN];			// 豸к,ֻȡ
	int					nCloseDuration;					// űպʱ,λ
	int					nUnlockReloadInterval;			// Ӧʱ,λ:
	CFG_EM_ACCESS_PROTOCOL		  emAccessProtocol;			// ŽЭ
	CFG_EM_SERIAL_PROTOCOL_TYPE	  emProtocolType;			// ЭµľЭ鹦,emAccessProtocolΪCFG_EM_ACCESS_PROTOCOL_SERIALʱЧ
	CFG_ACCESS_CONTROL_UDP_INFO	  stuAccessControlUdpInfo;  // ŽudpϢ,emAccessProtocolΪCFG_EM_ACCESS_PROTOCOL_REMOTEʱЧ
	unsigned int				  nEntranceLockChannel;		// Žµͨ,emAccessProtocolΪCFG_EM_ACCESS_PROTOCOL_REMOTEʱЧ
	BOOL						  bSnapshotUpload;			// ʹ,ץͼǷϴ,TRUEΪץͼϴ,FALSEΪץͼϴ
	unsigned int				  nSnapUploadPos;			// ץͼϴַ,ӦNAS±꣬NASΪCFG_CMD_NASEX
    BOOL                bCustomPasswordEnable;              // ǷøԻ
    int                 nRepeatEnterTime;                   // ظʱ,0~180룬0ʾ
    int                 nCardNoConvert;                     // ת0:Ҫת,1:ֽȡ,2:HIDproת
    BOOL                bUnAuthorizedMaliciousSwipEnable;   // δȨˢ¼ʹ
    BOOL                bFakeLockedAlarmEnable;             // ʹ
	EM_CFG_CARD_STATE	emReadCardState;					// ǰŲɼ״̬
	BOOL				bHelmetEnable;						// Ƿⰲȫñ
	UINT				nSpecialDaysOpenAlwaysTime;			// Žճʱ,ֵΪSpecialDaysSchedule
	UINT				nSpecialDaysCloseAlwaysTime;		// Žճʱ,ֵΪSpecialDaysSchedule
}CFG_ACCESS_EVENT_INFO;


///@brief ŽˢʱΣԴãͨʵʱʾ
typedef struct tagCFG_ACCESS_TIMESCHEDULE_INFO 
{
	CFG_TIME_SECTION		stuTime[WEEK_DAY_NUM][MAX_DOOR_TIME_SECTION];	// ˢʱ
	BOOL					bEnable;										// ʱʹܿ
    char                    szName[CFG_COMMON_STRING_128];                  // Զ
	int						nTimeScheduleConsumptionTimes[7][4];			// ÿʱοѵĴ
																			// һάǰ7Ԫشÿ7죬8ԪضӦڼ
																			// 7ԪеһգڶһԴ
																			// ڶάÿ6ʱ
																			// 豸ֻ֧7*4СstuTimeһ£
	int						nConsumptionStrategyNums;						// ѲԵĸ
	char					szConsumptionStrategy[42][34];					// Ѳ,ÿ6ʱΣÿ6ԪضӦһ, һ7졣
																			// ÿʱθʽΪ" ʱ::-ʱ::  Ѵ ѽ"
																			// ڴ0ʼʾգǰ6ʱǰ涼0ʾյ6ʱΣʣһܶ... һ42ʱΡ
																			// Ͱ0Ϊѣ1ΪǶѣѴ200Σѽ999900Ҳ9999Ԫ
}CFG_ACCESS_TIMESCHEDULE_INFO;

///@brief Ž¼״̬  Դ ͨűʾ
typedef struct tagCFG_ACCESS_DOORSTATUS_INFO
{
	int						nDoorStatus[WEEK_DAY_NUM][MAX_DOOR_TIME_SECTION];	// ״̬ 0״̬  1   2
}CFG_ACCESS_DOORSTATUS_INFO;

///@brief ////////////////////////////////////////////////////////////////////////
///@brief 

///@brief ÿƲ
typedef enum EM_CFG_DAY3GFLUXTACTIC
{
	EM_CFG_DAY3GFLUXTACTIC_BYFLUX = 0,	// 
	EM_CFG_DAY3GFLUXTACTIC_BYTIME,		// ʱ
}EM_CFG_DAY3GFLUXTACTIC;

///@brief 
typedef enum EM_CFG_APN
{
	EM_CFG_APN_CTNET = 0,				// й
	EM_CFG_APN_CMNET,					// йƶ
	EM_CFG_APN_UNINET,					// йͨ
}EM_CFG_APN;

///@brief 
typedef enum EM_CFG_DAY3GFLUXACTION
{
	EM_CFG_DAY3GFLUXACTION_NOTHING = 0,	// ޶
	EM_CFG_DAY3GFLUXACTION_3GNETDOWN,	// 3G
}EM_CFG_DAY3GFLUXACTION;

///@brief ʹò
typedef enum tagEM_CFG_3GFLUXTACTIC
{
	EM_3GFLUXTACTIC_UNKNOWN = -1,		// δ֪
	EM_3GFLUXTACTIC_BYFLUX,				// °
	EM_3GFLUXTACTIC_BYTIME,				// °ʱ
}EM_CFG_3GFLUXTACTIC;

///@brief Ȩģʽ
typedef enum tagEM_CFG_AUTHMODE
{
	EM_AUTHMODE_NO,						// ҪȨ
	EM_AUTHMODE_PAP,					// PAPȨ
	EM_AUTHMODE_CHAP,					// CHAPȨ
}EM_CFG_AUTHMODE;

///@brief ģʽѡ
typedef enum tagEM_CFG_WORKMODE
{
	EM_WORKMODE_UNKNOWN = -1,
	EM_WORKMODE_CDMA1X,					// "CDMA1x"
	EM_WORKMODE_EVDO,					// "EVDO"
	EM_WORKMODE_TDSCDMA,				// "TD-SCDMA"
	EM_WORKMODE_WCDMA,					// "WCDMA"
	EM_WORKMODE_EDGE,					// "EDGE"
	EM_WORKMODE_TDDLTE,					// "TDD-LTE"
	EM_WORKMODE_FDDLTE,					// "FDD-LTE"
	EM_WORKMODE_TDLTE,					// "TD-LTE"
	EM_WORKMODE_AUTO,					// "Auto"
}EM_CFG_WORKMODE;
///@brief 
typedef struct tagCFG_WIRELESS_INFO
{
	BOOL			        bEnable;					                // 2Gʹ
	int				        nKeepAlive;						            // ʱ, λΪ룬0ʾһֱӣԶϿ
	EM_CFG_APN		        emAPN;							            // 2G
	char			        szUseName[MAX_USERNAME_LEN];	            // û
	char			        szPassword[MAX_PASSWORD_LEN];	            // 
	EM_CFG_DAY3GFLUXTACTIC	emDay3GFluxTactic;		                    // ÿƲ
	DWORD			        dwDay3GFluxUp;					            // ÿʹ, MB߷
	DWORD			        dwDay3GFluxUse;					            // յ, MB߷
    EM_CFG_DAY3GFLUXACTION	emDay3GFluxAction;		                    // 
	CFG_TIME_SECTION        stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];// ʱ
	EM_CFG_AUTHMODE			emAuthMode;									// Ȩģʽ
	char					szAPNName[MAX_CFG_APN_NAME];				// 
	unsigned int			n3GFlux;									// ʵʹ, [0,65535]MB߷
	EM_CFG_3GFLUXTACTIC		em3GFluxTactic;								// ʹò
	unsigned int			n3GFluxUp;									// ʹ
	EM_CFG_WORKMODE			emWorkMode;									// ģʽѡ
	char					szDailNumber[MAX_CFG_DAIL_NUMBER];			// ź
	BOOL					bActivate;									// ǷѾż
}CFG_WIRELESS_INFO;

#define MAX_CONNECTION_TYPE_LEN		32	// ӷʽֳ

///@brief Ǳʱ
typedef enum emCFG_REPORTWEEKDAY
{
	emReportWeekDay_DoNotReport = -1,	// Ǳ
	emReportWeekDay_Sunday,				// ÿնʱǱ
	emReportWeekDay_Monday,				// ÿһʱǱ
	emReportWeekDay_Tuesday,			// ÿܶʱǱ
	emReportWeekDay_Wednesday,			// ÿʱǱ
	emReportWeekDay_Thursday,			// ÿĶʱǱ
	emReportWeekDay_Friday,				// ÿ嶨ʱǱ
	emReportWeekDay_Saturday,			// ÿʱǱ
	emReportWeekDay_Everyday,			// ÿ춨ʱǱ
}emCFG_REPORTWEEKDAY;

///@brief 
typedef struct tagCFG_ALARMSERVER_INFO
{
	BOOL			bEnable;								// ʹ
	char			szProtocol[MAX_PROTOCOL_NAME_LEN];		// Э, Ŀǰ֧"DAHUA"
	char			szConnection[MAX_CONNECTION_TYPE_LEN];	// ӷʽ
	char			szAddress[MAX_ADDRESS_LEN];				// IPַ
	int				nPort;									// ˿ں
	char			szUserName[MAX_USERNAME_LEN];			// û
	char			szPsw[MAX_PASSWORD_LEN];				// 
	emCFG_REPORTWEEKDAY	emReportWeekDay;					// Ǳ
	int				nHour;									// Ǳʱʱ
	int				nMinute;								// Ǳʱķ
	int				nSecond;								// Ǳʱ
	BOOL            bMaxBufferSize;                         // nMaxBufferSizeǷЧ
	UINT            nMaxBufferSize;                         // ʱ󱨾Ϣ Χ:[0, 2048], 0޴ֶ, ʾرնܡ
}CFG_ALARMSERVER_INFO;

///@brief ⱨϢ
typedef struct tagCFG_MULTISERVER_INFO
{
    char            szAddress[128];                         // IPַ
    UINT            nPort;                                  // ˿ں
    bool            abMaxBufferSize;                        // nMaxBufferSizeǷЧ
    UINT            nMaxBufferSize;                         // ʱ󱨾Ϣ Χ:[0, 2048], 0޴ֶ, ʾرնܡ
} CFG_MULTISERVER_INFO;

#define MAX_ALARMSERVER_NUM		8

///@brief ʹõıļĵ
typedef struct tagCFG_ALARMCENTER_INFO
{
	CFG_ALARMSERVER_INFO	stuMainServer;						// ʹõıķ
	int						nBackupAlarmServerNum;				// ñķĿ
	CFG_ALARMSERVER_INFO	stuBackupAlarmServer[MAX_ALARMSERVER_NUM];	// ñķ
    int                     nMultiServerNum;                    // ⱨ
    CFG_MULTISERVER_INFO    stuMultiServer[3];                  // ⱨϢ
}CFG_ALARMCENTER_INFO;

#define	MAX_SCENE_COUNT	8		//	龰ģʽ

///@brief 龰ģʽ
typedef enum tagemCFG_SCENE_MODE
{	
	emCFG_SCENE_MODE_UNKNOWN,			// δ֪ģʽ
	emCFG_SCENE_MODE_OUTDOOR,			// ģʽ
	emCFG_SCENE_MODE_INDOOR,			// ڼģʽ
    emCFG_SCENE_MODE_WHOLE ,            // ȫģʽ
    emCFG_SCENE_MODE_RIGHTNOW,          // ģʽ
    emCFG_SCENE_MODE_AUTO,              // Զģʽ
    emCFG_SCENE_MODE_FORCE,             // ǿģʽ
	emCFG_SCENE_MODE_SLEEPING,			// ģʽ
	emCFG_SCENE_MODE_CUSTOM,			// Զģʽ
}emCFG_SCENE_MODE;
///@brief 龰ģʽ
typedef struct tagCFG_SCENE_INFO
{
	emCFG_SCENE_MODE emName;							// ģʽ
	int				 nAlarmInChannelsCount;				// ͨ
	int				 nRetAlarmInChannelsCount;			// ʵʷصıͨ
	int*			 pnAlarmInChannels;					// õıͨбûڴ,СΪsizeof(int)*nAlarmInChannelsCount
}CFG_SCENE_INFO;

///@brief , Ӧ(CFG_CMD_COMMGLOBAL)
///@brief ƷͺŲΪAS5008ʱ, bSceneEnableemCurrentScene, nSceneCountstuScense[MAX_SCENE_COUNT]
///@brief ƷͺΪAS5008ʱ, bSceneEnableemCurrentScene, nSceneCountstuScense[MAX_SCENE_COUNT]
typedef struct tagCFG_COMMGLOBAL_INFO
{
    BOOL                bEnable;                            // TRUE: ; FALSE: ; ̨豸ͨ
    BOOL                bSceneEnable;                       // Ƿ龰ģʽ
    emCFG_SCENE_MODE    emCurrentScene;                     // ǰѡ龰ģʽ
    int                 nSceneCount;                        // 龰ģʽЧ
    CFG_SCENE_INFO      stuScense[MAX_SCENE_COUNT];         // 龰ģʽ壬ÿģʽӦһ
}CFG_COMMGLOBAL_INFO;

#define MAX_ALARM_LIMITS_NUM    8                                   // ֵ

///@brief ģͨ
typedef struct tagCFG_ANALOGALARM_INFO	// =>CFG_CMD_ANALOGALARM
{
	BOOL				bEnable;									// ʹܿ(̨豸ڲҸͨʹʱΪ·)
	char				szChnName[MAX_CHANNELNAME_LEN];				// ͨ
	float				fUpperLimit;								// 
	float				fLowerLimit;								// 
	int					nSensitivity;								// , λٷֱ
	float				fCompensation;								// ֵ, ݴͶ
	float				fLimit1;									// 1, ʹ, ʹfAlarmLimitsֶ
	float				fLimit2;									// 2, ʹ, ʹfAlarmLimitsֶ
	float				fLimit3;									// 3, ʹ, ʹfAlarmLimitsֶ
	float				fLimit4;									// 4, ʹ, ʹfAlarmLimitsֶ
	BYTE				byMode;										// ģʽ, ʾ, ֵ11111110110010000000
																	// 1ʾֵ0ʾڱֵ
																	// ģʽҷֱӦ4ֵ, ε
																	// 1110ʾ123ֵ, ڵ4ֵ
	BYTE				byReserve[3];								// ֽ
	CFG_ALARM_MSG_HANDLE	stuEventHandler;						// 
	CFG_TIME_SECTION	stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];// ¼ӦʱΣʱλȡԴ˳ԱΪ׼ stuEventHandler е stuTimeSection
	EM_SENSE_METHOD		emSense;									// ʽ
	char				szSensorType[CFG_COMMON_STRING_64];			// 
    int                 nSlot;                                      // ַ, 0ʾͨ, 1ʾڵһϵչͨ, 23...Դ, -1ʾЧ
	int                 nLevel1;                                    // һַ, ʾڵnSlotϵĵnLevel1̽Ǳ, 0ʼ, -1ʾЧ
    bool                abLevel2;                                   // ʾnLevel2ֶǷ
    int                 nLevel2;                                    // ڶַ, ʾڵnLevel1Ǳϵ̽, 0ʼ
    int                 nAlamrLimits;                               // Чıֵ
    float               fAlarmLimits[MAX_ALARM_LIMITS_NUM];         // ֵ
    int                 nNotifyInterval;                            // ģϴ, λ: 
    int                 nAlarmInterval;                             // ޺ϴ, λ: 
}CFG_ANALOGALARM_INFO;

///@brief Чģʽ
typedef enum tagEM_ALARMOUT_POLE
{
   EM_ALARMOUT_POLE_UNKNOWN,                                        // δ֪
   EM_ALARMOUT_POLE_LOW,                                            // ͵ƽЧ
   EM_ALARMOUT_POLE_HIGH,                                           // ߵƽЧ
} EM_ALARMOUT_POLE;

///@brief ͨ״̬
typedef struct tagCFG_ALARMOUT_INFO		// =>CFG_CMD_ALARMOUT
{
	int					nChannelID;									// ͨ(0ʼ)
	char				szChnName[MAX_CHANNELNAME_LEN];				// ͨ
	char				szOutputType[MAX_NAME_LEN];					// , ûԶ
	int					nOutputMode;								// ģʽ, 0-Զ, 1-ǿƱ, 2-رձ, 3- ģʽ
    int                 nPulseDelay;                                // ģʽʱ, λΪ(0-255)
    int                 nSlot;                                      // ַ, 0ʾͨ, 1ʾڵһϵչͨ, 23...Դ, -1ʾЧ
    int                 nLevel1;                                    // һַ, ʾڵnSlotϵĵnLevel1̽Ǳ, 0ʼ, -1ʾЧ
    bool                abLevel2;                                   // ʾnLevel2ֶǷ
    int                 nLevel2;                                    // ڶַ, ʾڵnLevel1Ǳϵ̽, 0ʼ
    EM_ALARMOUT_POLE    emPole;                                     // Чģʽ
}CFG_ALARMOUT_INFO;


///@brief ʱ(NTP)
typedef enum __EM_CFG_TIME_ZONE_TYPE
{
	EM_CFG_TIME_ZONE_0,								// (0, 0*3600,"GMT+00:00")
	EM_CFG_TIME_ZONE_1,								// (1, 1*3600,"GMT+01:00")
	EM_CFG_TIME_ZONE_2,								// (2, 2*3600,"GMT+02:00")
	EM_CFG_TIME_ZONE_3,								// (3, 3*3600,"GMT+03:00")
	EM_CFG_TIME_ZONE_4,								// (4, 3*3600+1800,"GMT+03:30")
	EM_CFG_TIME_ZONE_5,								// (5, 4*3600,"GMT+04:00")
	EM_CFG_TIME_ZONE_6,								// (6, 4*3600+1800,"GMT+04:30")
	EM_CFG_TIME_ZONE_7,								// (7, 5*3600,"GMT+05:00")
	EM_CFG_TIME_ZONE_8,								// (8, 5*3600+1800,"GMT+05:30")
	EM_CFG_TIME_ZONE_9,								// (9, 5*3600+1800+900,"GMT+05:45")
	EM_CFG_TIME_ZONE_10,							// (10, 6*3600,"GMT+06:00")
	EM_CFG_TIME_ZONE_11,							// (11, 6*3600+1800,"GMT+06:30")
	EM_CFG_TIME_ZONE_12,							// (12, 7*3600,"GMT+07:00")
	EM_CFG_TIME_ZONE_13,							// (13, 8*3600,"GMT+08:00")
	EM_CFG_TIME_ZONE_14,							// (14, 9*3600,"GMT+09:00")
	EM_CFG_TIME_ZONE_15,							// (15, 9*3600+1800,"GMT+09:30")
	EM_CFG_TIME_ZONE_16,							// (16, 10*3600,"GMT+10:00")
	EM_CFG_TIME_ZONE_17,							// (17, 11*3600,"GMT+11:00")
	EM_CFG_TIME_ZONE_18,							// (18, 12*3600,"GMT+12:00")
	EM_CFG_TIME_ZONE_19,							// (19, 13*3600,"GMT+13:00")
	EM_CFG_TIME_ZONE_20,							// (20, -1*3600,"GMT-01:00")
	EM_CFG_TIME_ZONE_21,							// (21, -2*3600,"GMT-02:00")
	EM_CFG_TIME_ZONE_22,							// (22, -3*3600,"GMT-03:00")
	EM_CFG_TIME_ZONE_23,							// (23, -3*3600-1800,"GMT-03:30")
	EM_CFG_TIME_ZONE_24,							// (24, -4*3600,"GMT-04:00")
	EM_CFG_TIME_ZONE_25,							// (25, -5*3600,"GMT-05:00")
	EM_CFG_TIME_ZONE_26,							// (26, -6*3600,"GMT-06:00")
	EM_CFG_TIME_ZONE_27,							// (27, -7*3600,"GMT-07:00")
	EM_CFG_TIME_ZONE_28,							// (28, -8*3600,"GMT-08:00")
	EM_CFG_TIME_ZONE_29,							// (29, -9*3600,"GMT-09:00")
	EM_CFG_TIME_ZONE_30,							// (30, -10*3600,"GMT-10:00")
	EM_CFG_TIME_ZONE_31,							// (31, -11*3600,"GMT-11:00")
	EM_CFG_TIME_ZONE_32,							// (32, -12*3600,"GMT-12:00")
    EM_CFG_TIME_ZONE_33,							// (33, -4*3600-1800,"GMT-4:30")
    EM_CFG_TIME_ZONE_34,							// (34, 10.5*3600,"GMT+10:30")
    EM_CFG_TIME_ZONE_35,							// (35, 14*3600, "GMT+14:00")
    EM_CFG_TIME_ZONE_36,							// (36, -9*3600-1800,"GMT-09:30")
    EM_CFG_TIME_ZONE_37,							// (37, 8*3600+1800,"GMT+08:30")
    EM_CFG_TIME_ZONE_38,							// (38, 8*3600+2700,"GMT+08:45")
    EM_CFG_TIME_ZONE_39,							// (39, 12*3600+2700,"GMT+12:45")
}EM_CFG_TIME_ZONE_TYPE;

///@brief NTP
typedef struct tagCFG_NTP_SERVER
{
    BOOL                bEnable;
    char				szAddress[MAX_ADDRESS_LEN];					// IPַ
	int					nPort;										// ˿ں
}CFG_NTP_SERVER;

///@brief ʱͬ
typedef struct tagCFG_NTP_INFO
{
	BOOL				bEnable;									// ʹܿ
	char				szAddress[MAX_ADDRESS_LEN];					// IPַ
	int					nPort;										// ˿ں
	int					nUpdatePeriod;								// ڣλΪ
	EM_CFG_TIME_ZONE_TYPE emTimeZoneType;							// ʱ
	char				szTimeZoneDesc[MAX_NAME_LEN];				// ʱ
    int                 nSandbyServerNum;                           // ʵʱNTP
    CFG_NTP_SERVER      stuStandbyServer[MAX_NTP_SERVER];           // ѡNTPַ
    int                 nTolerance;                                 // (ʹ)ʾõʱ͵ǰʱݲλΪ룬õʱ͵ǰʱݲΧڣ򲻸µǰʱ䡣0 ʾÿζ޸ġ
}CFG_NTP_INFO;

///@brief 
typedef struct tagCFG_ALARMBELL_INFO
{
    int                 nPersistentTime;                            // ʱ, λ: (0-99), 0 ʾһ¾ֹͣ
    BOOL                bEnable;                                    // Ƿþ
}CFG_ALARMBELL_INFO;

#define MAX_MSG_NUMBER_LEN	32				// ź󳤶
#define MAX_RECEIVER_NUM	100				// նûĿ
#define MAX_CALLER_NUM		100				// Ŀ

///@brief 
typedef enum tagEM_MSG_TYPE
{
	EM_MSG_UNKNOWN = 0,												// δ֪
	EM_MSG_SMS,														// SMS
	EM_MSG_MMS,														// MMS
}EM_MSG_TYPE;

///@brief ϵͳ¼/ŷ͵
typedef struct tagCFG_EVENT_MSG_SENDING_INFO
{
	BOOL				bEnable;									// ʹܿ
	EM_MSG_TYPE			emMsgType;									// ͵Ϣ
	char				szTitle[MAX_NAME_LEN];						// , ҲǶ/ŵĵһ
	DWORD				dwReceiverCount;							// ˺ĸ
	char				szReceiverNumbersList[MAX_RECEIVER_NUM][MAX_MSG_NUMBER_LEN];// ˺
}CFG_EVENT_MSG_SENDING_INFO;

///@brief 	ģʽ
typedef enum tagEM_ACTIVATION_MODE
{
	EM_ACTIVATION_UNKNOWN = 0,										//	δ֪ģʽ
	EM_ACTIVATION_NORMAL,											//	wirelessTimeSectionʱ以⣬Ĭֵ     
	EM_ACTIVATION_AllTIME,											//	ȫʱ
}EM_ACTIVATION_MODE;

///@brief 	Ź
typedef enum tagEM_RULE_MODE
{
	EM_RULE_UNKNOW = 0,												//	δ֪ EM_RULE_UNKNOWNѱʹ
	EM_RULE_ONCE,													//	ֻҪв򲢽ͨĵ绰ֹͣĺ
	EM_RULE_ALL,													//	к밴˳ȫһ飬ܽͨ
}EM_RULE_MODE;

///@brief ż
typedef struct tagCFG_DIAL_INACTIVATION_INFO
{
	BOOL				bEnable;									//	ʹܿ
	char				szCallerNumbersList[MAX_CALLER_NUM][16];	//	һ飬ÿЧͨѶ
	DWORD				dwCallerCount;								//	ĸ
	EM_ACTIVATION_MODE	emActivationMode;							//	üģʽ 
	EM_RULE_MODE		emRuleMode;									//	òŹ
	BYTE				byReserved[256];							//	Ԥֶ
}CFG_DIAL_INACTIVATION_INFO;

///@brief ƶҵ
typedef struct tagCFG_MOBILE_INFO
{
	CFG_EVENT_MSG_SENDING_INFO		stuEventMsgSending;					// ϵͳʱ䴥ķͶ/ŵ
	CFG_DIAL_INACTIVATION_INFO		stuDialInActivation;				// ż
}CFG_MOBILE_INFO;

#define MAX_CONTACT_NUM		100				// ϵĿ

///@brief 绰
typedef struct tagCFG_PHONEEVENTNOTIFY_INFO
{
	BOOL				bEnable;									// ʹܿ
	DWORD				dwContactCount;								// кĸ
	char				szContactNumbersList[MAX_CONTACT_NUM][MAX_MSG_NUMBER_LEN];// кб
}CFG_PHONEEVENTNOTIFY_INFO;

///@brief 绰
typedef enum CFG_EM_SIGNALTRANSMIT_MODE
{
	CFG_EM_SIGNALTRANSMIT_ERROR = 0,								// δ֪ģʽ
	CFG_EM_SIGNALTRANSMIT_DTMF_5S,									// "DTMF 5/S" - DTMFģʽ
	CFG_EM_SIGNALTRANSMIT_DTMF_10S,									// "DTMF 10/S" - DTMFģʽ첦
}CFG_EM_SIGNALTRANSMIT_MODE;
///@brief Э
typedef enum CFG_EM_PSTN_PROTOCOL_TYPE
{
	CFG_EM_PSTN_PROTOCOL_ERROR = 0,									// δ֪
	CFG_EM_PSTN_PROTOCOL_CID,										// "CID" - Contact ID Protocol
}CFG_EM_PSTN_PROTOCOL_TYPE;
///@brief 绰
typedef struct tagCFG_PSTN_ALARM_SERVER_INFO
{
	char							szName[MAX_NAME_LEN];						// 绰
	char							szNumber[MAX_PHONE_NUMBER_LEN];				// 绰Ľջ
																				// "057188888888PPP888",ʽΪ[][ͣʱ][ֻ]Pʾͣ2롣
	CFG_EM_PSTN_PROTOCOL_TYPE		emProtocol;									// Эͣ
	CFG_EM_SIGNALTRANSMIT_MODE		emMode;										// źŴģʽ																															
	int								nTryCount;									// ųԴ
	int								nDelay;										// ʱλ
	char							szAccount[MAX_PHONE_NUMBER_LEN];			// û
}CFG_PSTN_ALARM_SERVER_INFO;

///@brief ¼ϱȼ
typedef enum tagCFG_EM_PSTN_ALARM_CENTER_RULE
{
	CFG_EM_PSTN_ALARM_CENTER_UNKNOWN,		// δ֪
	CFG_EM_PSTN_ALARM_CENTER_NONE,			// ϱ
	CFG_EM_PSTN_ALARM_CENTER_REGULARTEL,	// 绰1
	CFG_EM_PSTN_ALARM_CENTER_SPLITTEL,		// ȵ绰1ʧܵ绰2
	CFG_EM_PSTN_ALARM_CENTER_DOUBLETEL,		// 绰12ͬʱ
	CFG_EM_PSTN_ALARM_CENTER_REGULARIP,		// ·1
	CFG_EM_PSTN_ALARM_CENTER_SPLITIP,		// 1ʧ2
	CFG_EM_PSTN_ALARM_CENTER_DOUBLEIP,		// 12ͬʱϱ
	CFG_EM_PSTN_ALARM_CENTER_DOUBLEMIX,		// 1͵绰1
	CFG_EM_PSTN_ALARM_CENTER_IPTOTEL,		// 1ʧܵ绰1
	CFG_EM_PSTN_ALARM_CENTER_TELTOIP		// ȵ绰ģʧ
}CFG_EM_PSTN_ALARM_CENTER_RULE;
///@brief 绰
typedef struct tagCFG_PSTN_ALARM_CENTER_INFO
{
	BOOL						bEnable;								// ʹܿ
	int							nServerCount;							// 绰
	CFG_PSTN_ALARM_SERVER_INFO	stuPSTNAlarmServer[MAX_PSTN_SERVER_NUM];		// 绰
	CFG_EM_PSTN_ALARM_CENTER_RULE	emRule;								// ¼ϱȼ
}CFG_PSTN_ALARM_CENTER_INFO;

///@brief 
typedef struct tagCFG_AUDIO_INPUT_VOLUME
{
	int				nAudioInputCount;									// ʵƵͨ
	char			szAudioInputVolume[MAX_AUDIO_INPUT_NUM];			// ÿԪضӦһƵֵͨ,Χ[0, 100]
}CFG_AUDIO_INPUT_VOLUME;


///@brief 
typedef struct tagCFG_AUDIO_OUTPUT_VOLUME
{
	int				nAudioOutputCount;									// ʵƵͨ
	char			szAudioOutputVolume[MAX_AUDIO_OUTPUT_NUM];			// ÿԪضӦһƵֵͨ,Χ[0, 100]
}CFG_AUDIO_OUTPUT_VOLUME;

///@brief ָʾƿ
typedef struct tagCFG_LIGHT_GLOBAL
{
	int				nLightGlobalCount;									// ָʾ
	BOOL			bLightEnable[MAX_LIGHT_GLOBAL_NUM];					// ָʾƿ״̬
}CFG_LIGHT_GLOBAL;

///@brief Ƶ
typedef struct tagCFG_AUDIO_MIX_VOLUME
{
	int				nAudioMixCount;									// ʵʻƵͨ
	char			szAudioMixVolume[MAX_AUDIO_MIX_NUM];			// ÿԪضӦһרõƵֵͨ,Χ[0, 100]
}CFG_AUDIO_MIX_VOLUME;



///@brief 
typedef struct tagCFG_ALARMKEYBOARD_INFO
{
	BOOL			bEnable;								// ʹܿ
	char			szProtocolName[MAX_PROTOCOL_NAME_LEN];	// Э
	int				nPort;									// ʹõĴڶ˿ں
	int				nAddress;								// 豸ַϹ˶豸ַͨ
	CFG_COMM_PROP	stuCommAttr;							// 
}CFG_ALARMKEYBOARD_INFO;

///@brief ȡļ
typedef struct tagCFG_CAP_FILEMANAGER
{
	int			nMaxUploadFileSize;		// ϴļĴС, λ: ֽ
}CFG_CAP_FILEMANAGER;

///@brief ¼ʱϢ
typedef struct tagCFG_RECORD_LATCH
{
	BOOL			bEnable;				// ʾ޴trueʾдfalseʾ޴
	int 			nRecordLatchMin;		// ¼ʱСֵ
	int				nRecordLatchMax;		// ¼ʱֵ
} CFG_RECORD_LATCH;

///@brief ʱϢ
typedef struct tagCFG_ALARMOUT_LATCH
{
	BOOL			bEnable;				// ʾ޴trueʾдfalseʾ޴
	int				nAlarmOutLatchMin;		// ʱСֵ
	int				nAlarmOutLatchMax;		// ʱֵ
} CFG_ALARMOUT_LATCH;

///@brief ȥϢ
typedef struct tagCFG_DEJITTER_RANGE
{
	BOOL			bEnable;				// ʾ޴trueʾдfalseʾ޴
	int				nDejitterMin;			// ȥСֵ
	int				nDejitterMax;			// ȥֵ
} CFG_DEJITTER_RANGE;

///@brief ȡ豸
typedef struct tagCFG_CAP_EVENTMANAGER_INFO
{
	BOOL				bTimeSectionEnable;                               // Ƿ֧ʱ¼Ӧ
	BOOL				bRecordEnable;                                    // Ƿ֧¼
	BOOL				bAlarmOutEnable;                                  // Ƿֱ֧
	BOOL				bPtzLinkEnable;                                   // Ƿ̨֧
	BOOL				bSnapshotEnable;                                  // Ƿֿ֧
	BOOL				bMailEnable;                                      // Ƿַ֧ʼ
	BOOL				bBeepEnable;                                      // Ƿַ֧
	BOOL				bDejitterEnable;                                  // Ƿ֧ȥ
	BOOL				bTipEnable;										  // Ƿֱ֧Ϣʾ
	BOOL				bMonitorTourEnable;								  // Ƿ֧ѯ
	BOOL				bMMSEnable;										  // Ƿֶ֧Ϣ
	BOOL				bSupportAlarmBell;								  // Ƿ֧־
	BOOL				bSupportAccessControl;							  // Ƿ֧Ž
	BOOL				bSupportAlarmServer;							  // Ƿ֧ϴ
	BOOL				bSupportPtzLinkDelay;							  // Ƿ̨֧ӳ
	BOOL				bSupportPSTNAlarmServer;						  // Ƿ֧ϴ绰
    BOOL                bVoiceEnable;                                     // Ƿ֧ʾ
	BOOL				bLogEnable;										  // Ƿ֧־
	CFG_RECORD_LATCH	stuRecordLatch;									  // ¼ʱϢ
	CFG_ALARMOUT_LATCH	stuAlarmOutLatch;								  // ʱϢ
	CFG_DEJITTER_RANGE	stuDejitterRange;								  // ȥϢ
	DWORD				nSupportDisableLinkage;							  // ֧Щһ
																		  // bit0ʾֳ֧
																		  // bit1ʾֳ֧ʾ
																		  // bit2ʾֳ֧
																		  // bit3ʾֳ֧ʼ
					   													  // bit4ʾֳ֧ϴ
                                                                          // bit5ʾֳ֧
                                                                          // bit6ʾֳ֧׹
	DWORD				nSupportDisableLinkageTimeSection;				  // ֧ڳ
	                                                                      // bit0ʾ֧ڳ
}CFG_CAP_EVENTMANAGER_INFO;

///@brief Դ
typedef struct tagCFG_POWERFAULT_ONE
{
	BOOL			bEnable;									// ʹܿ
	CFG_ALARM_MSG_HANDLE stuEventHandler;						// 
    int             nDetectionPeriod;                           // Դϼ λ
    BOOL            bEncodeBlend;                               // ǷOSDͼ    
    CFG_RECT        stuPosition;                                // λ
}CFG_POWERFAULT_ONE;
///@brief Դ
typedef struct tagCFG_POWERFAULT_INFO
{
	int				nPowerCount;								// Դ
	CFG_POWERFAULT_ONE stuPowerFault[MAX_POWER_NUM];			// 
}CFG_POWERFAULT_INFO;

///@brief ֱ(𱨾)
typedef struct tagCFG_CHASSISINTRUSION_INFO
{
	BOOL			bEnable;									// ʹܿ
	CFG_ALARM_MSG_HANDLE stuEventHandler;						// 
}CFG_CHASSISINTRUSION_INFO;

///@brief ¼
typedef struct tagCFG_URGENCY_INFO 
{
	BOOL			bEnable;									// ʹܿ
	CFG_ALARM_MSG_HANDLE stuEventHandler;						// 
}CFG_URGENCY_INFO;

/************************************************************************
** չģ
***********************************************************************/
///@brief չģ鱨
typedef struct tagCFG_EXALARMINPUT_INFO
{
	CFG_ALARMIN_INFO		stuAlarmIn;						//  CFG_ALARMIN_INFO
	
}CFG_EXALARMINPUT_INFO;

///@brief չģ鱨
typedef struct tagCFG_EXALARMOUTPUT_INFO
{
	char		szChnName[MAX_CHANNELNAME_LEN];				// ͨ
	int			nOutputMode;								// ģʽ, 0-Զ, 1-ǿƱ, 2-رձ
}CFG_EXALARMOUTPUT_INFO;

///@brief չģ鱨
typedef struct tagCFG_EXALARMBOX_INFO
{
	BOOL			bEnable;								// ʹܿ
	char			szProtocolName[MAX_PROTOCOL_NAME_LEN];	// Э
	int				nPort;									// ʹõĴڶ˿ں
	int				nAddress;								// 豸ַ
	CFG_COMM_PROP	stuCommAttr;							// 
}CFG_EXALARMBOX_INFO;

///@brief չЭ
typedef enum CFG_EM_EXALARM_PROTOCOL_TYPE
{
	CFG_EM_EXALARM_PROTOCOL_ERROR,								// δ֪
	CFG_EM_EXALARM_PROTOCOL_DH_ALARMBOX,						// DH_AlarmBox Э
}CFG_EM_EXALARM_PROTOCOL_TYPE;


///@brief չģ鱨
typedef struct tagCFG_CAP_EXALARM_INFO
{	
	int					 nAlarmInCount;											// չģ
	int					 nAlarmOutCount;										// չģٳ
	int				 	 nMaxDelay;												// ʱʱʱ,λΪ룬ֻ֧ʱʱֶβЧ
	int					 nDefenceAreaTypeNum;									// ,Ϊ0ʾ޴ֶʱ벻Ϊʹá
	EM_CFG_DEFENCEAREATYPE	emDefenceAreaType[MAX_ALARM_DEFENCE_TYPE_NUM];		// ַ֧ 
	int					 nExAlarmChannelNum;									// չģ鱨ͨ,Ϊ˱ּ,Ϊ0ʱʾÿ֧ͨ͵Ĵ
	CFG_EXALARM_SENSE_METHOD stuExAlarmChannel[MAX_EXALARM_CHANNEL_NUM];		// ͨ
	int					 nProtocolNum;											// ֵ֧Э
	CFG_EM_EXALARM_PROTOCOL_TYPE emProtocolType[MAX_EXALARMBOX_PROTOCOL_NUM];	// չģ鱨ֵ֧Э	
}CAP_EXALARM_INFO;

///@brief չģ鱨
typedef struct tagCFG_CAP_EXALARMBOX_INFO 
{
	int nAlarmInCount; // չģ
	int nAlarmOutCount; // չģ 
}CFG_CAP_EXALARMBOX_INFO; 

///@brief ѯ¼
typedef struct tagCFG_CAP_RECORDFINDER_INFO 
{
	int nMaxPageSize; // ҳ 
	BOOL	bSupportRealUTC;			// ѯǷְ֧ʵUTCʱΪѯ
}CFG_CAP_RECORDFINDER_INFO;


///@brief  ==>CFG_CMD_SENSORSAMPLING
typedef struct  tagCFG_SENSORSAMPLING_INFO 
{
	int			nDetectionPeriod;			// , λ룬ʵʱϴ¶״̬
	int			nStorageItem;				// 洢Ϣ, λ豸дļʽɵ0~5000
}CFG_SENSORSAMPLING_INFO;

///@brief  ==>CFG_CMD_STP
typedef struct tagCFG_STP_INFO 
{
	BOOL			bEnable;				// ʹ
}CFG_STP_INFO;

#define DH_MAX_ZONE_NUM					(256)	// Ŀ
#define DH_MAX_PUBLIC_SUBSYSTEM_NUM		(256)    // 󹫹ϵͳĿ
///@brief 
typedef struct tagCFG_ALARM_SUBSYSTEM_MSG_HANDLE
{
    BOOL          bAlarmOutEnable;             // ʹ
    BOOL          bAlarmBellEnable;            // ʹ
    int           nAlarmOutChannelNum;         // ͨŸ
    int           nAlarmOutChannels[256];      // ͨб
}CFG_ALARM_SUBSYSTEM_MSG_HANDLE;

///@brief ϵͳ ==>CFG_CMD_ALARM_SUBSYSTEM
typedef struct tagCFG_ALARM_SUBSYSTEM_INFO 
{
	char		szName[CFG_COMMON_STRING_128];	// 
	int			nZoneNum;						// طĿ
	int			anZone[DH_MAX_ZONE_NUM];		// ط
	int			nExZoneNum;						// չĿ
	int			anExZone[DH_MAX_ZONE_NUM];		// չ
	int			nDisableDelay;					// ʱʱ䣨ʱ, λΪ
	int			nEnableDelay;					// ʱʱ䣨˳ʱ, λΪ
	BOOL		bIsPublic;						// ǷΪϵͳ
	int			nPublicSubSystem;				// ϵͳĿ
	int			anPublicSubSystem[DH_MAX_PUBLIC_SUBSYSTEM_NUM];// Ĺϵͳ
    CFG_ALARM_SUBSYSTEM_MSG_HANDLE stuEventHandler;       // 
	BOOL		bEnable;						// Ƿϵͳ
}CFG_ALARM_SUBSYSTEM_INFO;

///@brief ģʽ
typedef enum tagEM_BATTERY_POWER_ALARM_MODE
{
    EM_BATTERY_POWER_ALARM_MODE_UNKNOWN = -1,   // δ֪
    EM_BATTERY_POWER_ALARM_MODE_MANUAL,         // ֶ
    EM_BATTERY_POWER_ALARM_MODE_AUTO,           // Զ
}EM_BATTERY_POWER_ALARM_MODE;

///@brief صѹ ==>CFG_CMD_BATTERY_LOW_POWER
typedef struct tagCFG_BATTERY_LOW_POWER_INFO 
{
	BOOL		bEnable;						// ʹ
	CFG_ALARM_MSG_HANDLE stuEventHandler;		// 
    EM_BATTERY_POWER_ALARM_MODE emMode;         // ģʽ
    int         nPressure;                      // ѹֵ ֶģʽЧ λ
    int         nPercent;                       // ٷֱȣǰٷֱȵڴֵֶģʽЧ
    int         nLowSetNum;                     // ϸЧ
    int         nLowSet[8];                     // Percentµϸʾ50±, 30ٱ10ٱֶģʽЧ
    int         nNotifyTimes;                   // ϱ, Ĭ1
}CFG_BATTERY_LOW_POWER_INFO;


///@brief ץͼͨ ==>CFG_CMD_SNAPLINKAGE
typedef struct tagCFG_SNAPLINKAGE_INFO 
{
    int         nChannelNum;                    // ƵͨģͨĿ
    int         anAnalogAlarm[DH_MAX_ZONE_NUM]; // Ƶͨģͨ
}CFG_SNAPLINKAGE_INFO;

///@brief Ƶ
typedef struct tagCFG_AUDIO_INPUT 
{
    char        szAudioSource[CFG_COMMON_STRING_256];   // ƵԴ. Ƶͨɶ·ϳɣ|ָ.
                                                        // "Mic|LineIn|Remote" ʾƵͨMicLineInԶͨƵ빹.
                                                        // "Coaxial" ͬƵ
                                                        // "BNC" BNCƵ
                                                        // "HDCVI_BNC" ԶHDCVI豸Ƶ
                                                        // "LineIn" 
                                                        // "Mic" ˷
                                                        // "MicOut" 
                                                        // "Remote" Զͨ(Իлͨ壬ʾлΪԶͨʱǰԶͨƵΪƵ)
}CFG_AUDIO_INPUT;

///@brief ʼϱ豸״
typedef struct tagCFG_HEALTHREPORT_INFO 
{
    BOOL			bEnable;				// ʹ
    int             nInterval;              // ʼͼ,λΪ,Χ0~3600
}CFG_HEALTHREPORT_INFO;

///@brief ʼ ==>CFG_CMD_EMAIL
typedef struct tagCFG_EMAIL_INFO 
{
    BOOL			bEnable;				                            // ʹ
    BOOL            bSslEnable;                                         // ǷҪSSL
    BOOL            bTlsEnable;                                         // ǷҪTLS
    char            szAddress[MAX_ADDRESS_LEN];                         // SMTPIPַ
    int             nPort;                                              // ˿ں
    char            szUserName[MAX_USERNAME_LEN];                       // ʻ
    char            szPassword[MAX_PASSWORD_LEN];                       // 
    BOOL            bAnonymous;                                         // ʼtruefalse
    char            szSendAddress[MAX_ADDRESS_LEN];                     // ˵ַ
    int             nRetReciversNum;                                    // Чռ
    char            szReceivers[MAX_RECEIVER_NUM][MAX_ADDRESS_LEN];     // ռб
    char            szTitle[MAX_MAILTITLE_LEN];                         // ʼؼ
    BOOL            bOnlyAttachment;                                    // ¼ʼֻʹʼ
    BOOL            bAttachEnable;                                      // ʼʹ
    int             nSendInterv;                                        // ͬһ¼СʼͼλΪ
    
    bool            abHealthReport;                                     // ,Ϊtrueʱ,stuHealthReportЧ
    BYTE            byReserved[3];
    CFG_HEALTHREPORT_INFO   stuHealthReport;                            // ʼϱ豸״
	BOOL				bAuthentication;								// ǷʼȨ,TRUEʾҪûȵ뵽SMTP;FALSEʾҪû룬ֱͨSMTPתʼ
}CFG_EMAIL_INFO;

#define MAX_TRANSFER_SERVER_NUM          10                             // 
///@brief ļ
typedef struct tagTRAFFIC_TRANSFER_OFFLINE_INFO
{
    BOOL            bEnable;                                                // ʹ
    int             nType;                                                  // 0: ʹIPַ; 1:ʹMACַ
    int             nIpAddrNum;                                             // صIPַ
    char            szIpAddr[MAX_TRANSFER_SERVER_NUM][MAX_ADDRESS_LEN];     // IPַ
    int             nMacAddrNum;                                            // صmacַ
    char            szClientID[MAX_TRANSFER_SERVER_NUM][MAX_ADDRESS_LEN];   // macַ

}TRAFFIC_TRANSFER_OFFLINE_INFO;

#define MAX_DEVCOMM_NUM          16                                     // 󴮿ڸ
///@brief Ĵ-
typedef struct tagCFG_DEVCOMM_SUBSCRIBE_INFO
{
    int             nReadCycle;                                         // ڶȡ,λ:     
}CFG_DEVCOMM_SUBSCRIBE_INFO;

///@brief Ĵ
typedef struct tagCFG_DEVCOMM_SUBSCRIBE
{
    int                             nSubscribeInfoNum;                  // ø
    CFG_DEVCOMM_SUBSCRIBE_INFO      stuSubscribeInfo[MAX_DEVCOMM_NUM];  // Ĵãһ飬ÿԪضӦһ    
}CFG_DEVCOMM_SUBSCRIBE;

///@brief λ״̬Ӧĳλָʾ
typedef enum tagEM_CFG_PARKINGSPACE_LIGHT_COLOR
{
    EM_CFG_PARKINGSPACE_LIGHT_RED,                                      // ɫ
    EM_CFG_PARKINGSPACE_LIGHT_YELLOW,                                   // ɫ
    EM_CFG_PARKINGSPACE_LIGHT_BLUE,                                     // ɫ 
    EM_CFG_PARKINGSPACE_LIGHT_GREEN,                                    // ɫ
    EM_CFG_PARKINGSPACE_LIGHT_PURPLE,                                   // ɫ
    EM_CFG_PARKINGSPACE_LIGHT_WHITE,                                    // ɫ
    EM_CFG_PARKINGSPACE_LIGHT_PINK,                                     // ɫ
}EM_CFG_PARKINGSPACE_LIGHT_COLOR;

///@brief ָʾ״̬
typedef enum tagEM_CFG_PARKINGSPACE_LIGHT_STATE
{
    EM_CFG_PARKINGSPACE_LIGHT_OFF,                                      // 
    EM_CFG_PARKINGSPACE_LIGHT_ON,                                       // 
    EM_CFG_PARKINGSPACE_LIGHT_GLINT,                                    // ˸
}EM_CFG_PARKINGSPACE_LIGHT_STATE;

#define CFG_MAX_PARKINGSPACE_LIGHT_NUM      8
#define CFG_MAX_NET_PORT_NUM                4 
///@brief λ״̬Ӧĳλָʾ
typedef struct tagCFG_PARKINGSPACE_LIGHT_STATE
{
    BYTE                            bySpaceFreeLinght[CFG_MAX_PARKINGSPACE_LIGHT_NUM];      // λ״̬ɫ,ɫöֵΪ±꣬Ԫֵʾָʾ״̬bySpaceFreeLinght[0]=1,ʾɫָʾ
    BYTE                            bySpaceFullLinght[CFG_MAX_PARKINGSPACE_LIGHT_NUM];      // λ״̬ɫɫöֵΪ±꣬Ԫֵʾָʾ״̬bySpaceFullLinght[1]=1,ʾɫָʾ
    BYTE                            bySpaceOverLineLight[CFG_MAX_PARKINGSPACE_LIGHT_NUM];   // λѹ״̬ɫ,ɫöֵΪ±꣬Ԫֵʾָʾ״̬
    BYTE                            bySpaceOrderLight[CFG_MAX_PARKINGSPACE_LIGHT_NUM];      // λԤ״̬ɫ,ɫöֵΪ±꣬Ԫֵʾָʾ״̬
    int                             nNetPortNum;                                            // 
    BYTE                            byNetPortAbortLight[CFG_MAX_NET_PORT_NUM][CFG_MAX_PARKINGSPACE_LIGHT_NUM];    // ڶϿ״̬ɫ
    BYTE                            bySpaceSpecialLight[CFG_MAX_PARKINGSPACE_LIGHT_NUM];    // λר״̬ɫ,ɫöֵΪ±Ԫֵʾָʾ״̬
}CFG_PARKINGSPACE_LIGHT_STATE;

///@brief յģʽ
typedef enum tagEM_CFG_AIRCONDITION_MODE
{
    EM_CFG_AIRCONDITION_MODE_UNKNOWN = 0,
    EM_CFG_AIRCONDITION_MODE_AUTO,             // Զ
    EM_CFG_AIRCONDITION_MODE_HOT,              // 
    EM_CFG_AIRCONDITION_MODE_COLD,             // 
    EM_CFG_AIRCONDITION_MODE_WET,              // ʪ
    EM_CFG_AIRCONDITION_MODE_WIND,             // ͨ
} EM_CFG_AIRCONDITION_MODE;

///@brief յͷģʽ
typedef enum tagEM_CFG_AIRCONDITION_WINDMODE
{
    EM_CFG_AIRCONDITION_WINDMODE_UNKNOWN = 0,
    EM_CFG_AIRCONDITION_WINDMODE_STOP,            // ֹͣ
    EM_CFG_AIRCONDITION_WINDMODE_AUTO,            // Զ
    EM_CFG_AIRCONDITION_WINDMODE_HIGH,            // 
    EM_CFG_AIRCONDITION_WINDMODE_MIDDLE,          // 
    EM_CFG_AIRCONDITION_WINDMODE_LOW,             // 
} EM_CFG_AIRCONDITION_WINDMODE;

///@brief ڵַ
typedef struct tagCFG_COMMADDR_INFO
{
    int                 nAddressNum;                            // ڵַ
    int 				nAddress[MAX_ADDRESS_NUM];              // ַ,̵ַͬλͬʾ
}CFG_COMMADDR_INFO;

///@brief յ豸
typedef struct tagCFG_AIRCONDITION_DETAIL
{
    char				szDeviceID[MAX_DEVICE_ID_LEN];			// 豸,Ωһʶ
    char                szName[MAX_DEVICE_MARK_LEN];            // 豸
    char                szBrand[MAX_BRAND_NAME_LEN];            // 豸Ʒ
    CFG_COMMADDR_INFO   stuCommAddr;                            // ڵַ
    int                 nState;                                 // 豸״̬: 1-,0-ر
    int                 nRange;                                 // ֵ(¶)λ϶
    EM_CFG_AIRCONDITION_MODE        emAirconditionMode;         // յģʽ
    EM_CFG_AIRCONDITION_WINDMODE    emAirconditionWindMode;     // յͷģʽ
}CFG_AIRCONDITION_DETAIL;

///@brief յ豸(ӦCFG_CMD_AIRCONDITION)
typedef struct tagCFG_AIRCONDITION_INFO
{
    int                         nAirConditionNum;                        // յ豸
    CFG_AIRCONDITION_DETAIL 	stuAirConditions[MAX_AIRCONDITION_NUM];	 // յ豸, ʾ
}CFG_AIRCONDITION_INFO;

///@brief ƹ豸
typedef enum tagEM_LIGHT_TYPE
{
    EM_LIGHT_TYPE_UNKNOWN,                                      // δ֪
    EM_LIGHT_TYPE_COMMLIGHT,                                    // ͨƹ
    EM_LIGHT_TYPE_LEVELLIGHT,                                   // ɵ
}EM_LIGHT_TYPE;

///@brief ƹ豸Ϣ (Ӧ CFG_CMD_LIGHT )
typedef struct tagCFG_LIGHT_INFO
{
    char                szDeviceID[MAX_DEVICE_ID_LEN];          // 豸,Ωһʶ
    char                szName[MAX_DEVICE_MARK_LEN];            // 豸
    char                szBrand[MAX_BRAND_NAME_LEN];            // 豸Ʒ
    CFG_COMMADDR_INFO   stuCommAddr;                            // ڵַ
    int                 nPositionID;                            // 豸б
    CFG_POLYGON         stuPosition;                            // 
    int                 nState;                                 // 豸״̬: 1-,0-ر
    int                 nRange;                                 // ȷֵ 0-7 , emType Ϊ EM_LIGHT_TYPE_ADJUSTABLE 
    EM_LIGHT_TYPE       emType;                                 // ƹ豸
}CFG_LIGHT_INFO;

///@brief 豸Ϣ (Ӧ CFG_CMD_CURTAIN )
typedef struct tagCFG_CURTAIN_INFO
{
    char                szDeviceID[MAX_DEVICE_ID_LEN];          // 豸,Ωһʶ
    char                szName[MAX_DEVICE_MARK_LEN];            // 豸
    char                szBrand[MAX_BRAND_NAME_LEN];            // 豸Ʒ
    CFG_COMMADDR_INFO   stuCommAddr;                            // ڵַ
    int                 nPositionID;                            // 豸б
    CFG_POLYGON         stuPosition;                            // 
    int                 nState;                                 // 豸״̬: 1-,0-ر 
}CFG_CURTAIN_INFO;

///@brief ·ģʽ
typedef enum tagCFG_EM_FRESH_AIR_FAN_RUN_MODE
{
	CFG_EM_FRESH_AIR_FAN_RUN_MODE_UNKNOWN = -1,			// δ֪
	CFG_EM_FRESH_AIR_FAN_RUN_MODE_SHUT_DOWN,			// ػ
	CFG_EM_FRESH_AIR_FAN_RUN_MODE_VENTILATION,			// 
	CFG_EM_FRESH_AIR_FAN_RUN_MODE_AIR_EXHAUST,			// ŷ
	CFG_EM_FRESH_AIR_FAN_RUN_MODE_INTELLIGENCE,			// 
	CFG_EM_FRESH_AIR_FAN_RUN_MODE_STRONG,				// ǿ
	CFG_EM_FRESH_AIR_FAN_RUN_MODE_SAVING_POWER,			// ʡ	
}CFG_EM_FRESH_AIR_FAN_RUN_MODE;

///@brief ·ﵵλ
typedef enum tagCFG_EM_FRESH_AIR_MOTOR_SPEED
{
	CFG_EM_FRESH_AIR_MOTOR_SPEED_UNKNOWN = -1,					// δ֪
	CFG_EM_FRESH_AIR_MOTOR_SPEED_SHUT_DOWN,						// ر
	CFG_EM_FRESH_AIR_MOTOR_SPEED_LOW,							// ͵
	CFG_EM_FRESH_AIR_MOTOR_SPEED_MIDDLE,						// е
	CFG_EM_FRESH_AIR_MOTOR_SPEED_HIGH,							// ߵ
}CFG_EM_FRESH_AIR_MOTOR_SPEED;

///@brief ·Ϣ (Ӧ CFG_CMD_FRESH_AIR )
typedef struct tagCFG_FRESH_AIR_INFO
{
    char							szDeviceID[MAX_DEVICE_ID_LEN];          // 豸,Ωһʶ
    char							szName[MAX_DEVICE_MARK_LEN];            // 豸
    char							szBrand[MAX_BRAND_NAME_LEN];            // 豸Ʒ
    CFG_COMMADDR_INFO				stuCommAddr;                            // ڵַ  
	CFG_EM_FRESH_AIR_FAN_RUN_MODE	emRunMode;								// ·ģʽĬΪػ
	CFG_EM_FRESH_AIR_MOTOR_SPEED	emMotorSpeed[2];						// ·ﵵλĬΪرգһԪؿƽ磬ڶԪؿŷ
}CFG_FRESH_AIR_INFO;

///@brief ůϢ (Ӧ CFG_CMD_GROUND_HEAT)
typedef struct tagCFG_GROUND_HEAT_INFO
{
    char                szDeviceID[MAX_DEVICE_ID_LEN];          // 豸,Ωһʶ
    char                szName[MAX_DEVICE_MARK_LEN];            // 豸
    char                szBrand[MAX_BRAND_NAME_LEN];            // 豸Ʒ
    CFG_COMMADDR_INFO   stuCommAddr;                            // ڵַ   
    int                 nState;                                 // 豸״̬: 1-,0-ر   
    int                 nRange;                                 // ֵ(¶)λ϶
}CFG_GROUND_HEAT_INFO;

///@brief ܼҾ龰ģʽ
typedef enum tagEM_SMARTHOME_SCENE_MODE
{
    EM_SMARTHOME_SCENE_MODE_UNKNOWN,                            // δ֪
    EM_SMARTHOME_SCENE_MODE_AT_HOME,                            // ڼ
    EM_SMARTHOME_SCENE_MODE_LEAVE_HOME,                         // 뿪
    EM_SMARTHOME_SCENE_MODE_IN_SLEEPING,                        // ˯
}EM_SMARTHOME_SCENE_MODE;

///@brief 龰ϸϢ
typedef struct tagCFG_PROFILE_INFO
{
    int                 nSceneID;                               // 龰ID
    char                szBrand[MAX_BRAND_NAME_LEN];            // 
    EM_SMARTHOME_SCENE_MODE emScene;                            // 龰ģʽ
    CFG_COMMADDR_INFO   stuCommAddr;                            // ڵַ
}CFG_PROFILE_INFO;

#define MAX_SMARTHOME_PROFILE_COUNT     54                      // ܼҾ龰ģʽ

///@brief 龰ģʽ (Ӧ CFG_CMD_SCENE_MODE)
typedef struct tagCFG_SCENE_MODE_INFO
{
    int                nCurrentID;                              // ǰ龰ģʽID
    int                nProfileCount;                           // 龰ģʽ
    CFG_PROFILE_INFO   stuProfiles[MAX_SMARTHOME_PROFILE_COUNT];// 龰ģʽϢ
}CFG_SCENE_MODE_INFO;

///@brief ѹطϢ
typedef struct tagCFG_COMPRESS_PLAY_INFO
{
    BOOL                bEnable;                // ʹ
	CFG_CAPTURE_SIZE    emResolution;           // Ƶֱ
	unsigned int        nBitRate;               // Ƶ̶ֵ(kbps), Χ192~1024
}CFG_COMPRESS_PLAY_INFO;

///@brief ϵͳ
typedef enum tagEM_CFG_BUILDING_SYSTEM_TYPE
{
    EM_CFG_BUILDING_SYSTEM_TYPE_UNKNOWN = 0,        // δ֪
    EM_CFG_BUILDING_SYSTEM_TYPE_DIGITAL,            // ϵͳ
    EM_CFG_BUILDING_SYSTEM_TYPE_ANALOG,             // ģϵͳ
}EM_CFG_BUILDING_SYSTEM_TYPE;

///@brief VTO ¥(Ӧ CFG_CMD_BUILDING )
typedef struct tagCFG_BUILDING_INFO
{
    char                            szIssueNumber[CFG_COMMON_STRING_16];                // ںţΧ0 ~ 99
    char                            szSectionNumber[CFG_COMMON_STRING_16];              // ţΧ0 ~ 99
    char                            szBuildingNumber[CFG_COMMON_STRING_16];             // ¥ţΧ0 ~ 999
    char                            szBuildingUnitNumber[CFG_COMMON_STRING_16];         // ¥ڵԪţΧ0 ~ 9
    char                            szSectionUnitNumber[CFG_COMMON_STRING_16];          // СԪţΧ0 ~ 999
    int                             nUnitFloorNumber;                                   // Ԫ¥Χ0 ~ 99
    int                             nFloorPerRoomNumber;                                // һ㷿Χ0 ~ 99
    BOOL                            bCreateRoomEnable;                                  // ʹ
    EM_CFG_BUILDING_SYSTEM_TYPE     emSystemType;                                       // ϵͳ
    BOOL                            bEnableSection;                                     // ʹ
    int                             nBuildingNumBit;                                    // ¥ų
    int                             nTotalRoomNumber;                                   // ֵΪ9999
    char                            szBuildingName[CFG_COMMON_STRING_64];               // ſڻ
}CFG_BUILDING_INFO;

///@brief VTO ¥չ(Ӧ CFG_CMD_BUILDING_EXTERNAL )
typedef struct tagCFG_BUILDING_EXTERNAL_INFO
{
    int                                     nFloorCount;                                            // Ԫܲ
    int                                     nRoomCount;                                             // ÿ㷿
    int                                     nBeginNumberCount;                                      // ȡ/ʱӦĿʼŵЧ
    // ȡʱȡĿʼŸMAX_FLOOR_NUMǰMAX_FLOOR_NUMЧ
    // ʱõĿʼŸMAX_FLOOR_NUMǰMAX_FLOOR_NUMЧ
    char                                    szBeginNumber[MAX_FLOOR_NUM][CFG_COMMON_STRING_16];     // ʼķţnBeginNumber[0] Ϊһ㿪ʼţnBeginNumber[1] Ϊڶ㿪ʼţ
    int                                     nTotalBuildingNumber;                                   // СܴΧ0 ~ 99
    int                                     nBuildingPerUintNumber;                                 // ÿԪΧ0 ~ 9
}CFG_BUILDING_EXTERNAL_INFO;

///@brief Ź(Ӧ CFG_CMD_DIALRULE )
typedef struct tagCFG_DIALRULE_INFO
{
    BOOL                            bBuildingModeEnable;            //ģʽʹ
    BOOL                            bUnitModeEnable;                //Ԫģʽʹ
    BOOL                            bExtentionModeEnable;           //ֻģʽʹ
    char                            cSeperator;                     //ŷָ,  "#", "-"
    BYTE				            byReserved[3];				    //ֽڶ
}CFG_DIALRULE_INFO;

///@brief 
typedef struct tagCFG_OIL_MASS_INFO
{
    int                 nTankVolume;            // ݻλ
    int                 nNotifyIntervalTime;    // ϱϢʱ,λ
    int                 nLowOil;                // Һλͱٷֱ(20%򱨾),λٷֱȣ0100
    int                 nAlarmIntervalTime;     // ϱҺλ͵ıʱ(ÿһʱظ),λ
}CFG_OIL_MASS_INFO; 

///@brief MACͻ¼
typedef struct tagCFG_MACCONFLICT_INFO 
{
    BOOL                bEnable;                // ʹܿ
    CFG_ALARM_MSG_HANDLE stuEventHandler;       // 
}CFG_MACCONFLICT_INFO;

///@brief ½(Ӧ CFG_CMD_USERLOCKALARM)
typedef struct tagCFG_USERLOCKALARM_INFO
{
	CFG_ALARM_MSG_HANDLE stuEventHandler;       // 
}CFG_USERLOCKALARM_INFO;

///@brief ½ʧܱ(Ӧ CFG_CMD_LOGIN_FAILURE_ALARM)
typedef struct tagCFG_LOGIN_FAILURE_ALARM
{
	BOOL				 bEnable;			    // ½ʧܱʹܿأTRUEΪ򿪣FALSEΪر
	int					 nTryLoginTimes;		// Ե½½ﵽԴ
	CFG_ALARM_MSG_HANDLE stuEventHandler;       // 
}CFG_LOGIN_FAILURE_ALARM;

///@brief жö
typedef enum tagEM_CFG_IDLEMOTION_FUNCTION
{
    EM_CFG_IDLEMOTION_FUNCTION_NONE = 0,         // 
    EM_CFG_IDLEMOTION_FUNCTION_PRESET,           // Ԥõ
    EM_CFG_IDLEMOTION_FUNCTION_SCAN,             // Զɨ
    EM_CFG_IDLEMOTION_FUNCTION_TOUR,             // Ѳ
    EM_CFG_IDLEMOTION_FUNCTION_PATTERN,          // ԶѲ
} EM_CFG_IDLEMOTION_FUNCTION;

///@brief жϢ
typedef struct tagCFG_IDLE_MOTION_INFO
{
    BOOL                        bEnable;         // ʹ
    int                         nTime;           // жʱ1~60
    EM_CFG_IDLEMOTION_FUNCTION  emFunction;      // ж,ö EM_CFG_IDLEMOTION_FUNCTION
    int                         nPresetId;       // Ԥõ,   ΧCFG_PTZ_PROTOCOL_CAPS_INFOwPresetMinwPresetMax
    int                         nScanId;         // Զɨ, ΧCFG_PTZ_PROTOCOL_CAPS_INFOwAutoScanMinwAutoScanMax
    int                         nTourId;         // Ѳ,     ΧCFG_PTZ_PROTOCOL_CAPS_INFOwTourMinwTourMax
    int                         nPatternId;      // ԶѲ, ΧCFG_PTZ_PROTOCOL_CAPS_INFOwPatternMinwPatternMax
	int							nSecond;		 // жʱΧ0-59,ʱΪnTime * 60 + nSecond
}CFG_IDLE_MOTION_INFO;

///@brief ǽԤѲ
typedef struct tagCFG_MONITORWALL_COLLECTION_TOUR_INFO
{
    int                 nInterval;               // Ѳʱ, λ
    int                 nCollectionNum;          // ԤѲаԤ
    char                szCollectionGroup[CFG_MAX_COLLECTION_NUM][CFG_COMMON_STRING_128]; // ԤѲ, ÿһԤ
}CFG_MONITORWALL_COLLECTION_TOUR_INFO;

///@brief PSTN¼
typedef struct tagCFG_PSTN_BREAK_LINE_INFO
{
    BOOL                bEnable;                // ʹܿ
    CFG_ALARM_MSG_HANDLE stuEventHandler;       // 
}CFG_PSTN_BREAK_LINE_INFO;

///@brief ɼ豸, ӦCFG_CMD_NET_COLLECTION
typedef struct tagCFG_NET_COLLECTION_INFO
{
    char                szIp[MAX_ADDRESS_LEN];  // IP
	int                 nPort;                  // ˿
}CFG_NET_COLLECTION_INFO;

///@brief ӿ
typedef enum tagEM_CFG_INTERFACE_TYPE
{
    EM_CFG_INTERFACE_TYPE_UNKNOWN = 0,
	EM_CFG_INTERFACE_TYPE_COMM,                 // Comm, , ӦCFG_COMMGROUP_INFO
	EM_CFG_INTERFACE_TYPE_NETCOLLECTION,        // NetCollection, ɼ, ӦCFG_NET_COLLECTION_INFO
}EM_CFG_INTERFACE_TYPE;

///@brief Slotڵ豸ĶӦϵ, ӦCFG_CMD_ALARM_SLOT_BOND
///@brief ڵһͨ(ͨ0)Ѿڱͨ󶨣޷;
///@brief ͨӦSlotڵ, ԪΪӦӿ
typedef struct tagCFG_ALARM_SLOT_BOND_INFO
{
    EM_CFG_INTERFACE_TYPE   emType;             // ӿ
	int                     nIndex;	            // ͨ, 0ʼ
	                                            // ΪEM_CFG_INTERFACE_TYPE_COMMʱ, ʾCFG_COMMGROUP_INFOõ±;
	                                            // ΪEM_CFG_INTERFACE_TYPE_NETCOLLECTIONʱ, ʾCFG_NET_COLLECTION_INFOõ±;
}CFG_ALARM_SLOT_BOND_INFO;

#define CFG_MAX_CTRLTYPE_NUM       16            // բƷʽ
///@brief բƷʽö
typedef enum tagEM_CFG_TRAFFICSTROBE_CTRTYPE
{
    EM_CFG_CTRTYPE_UNKNOWN = 0,                 // δ
    EM_CFG_CTRTYPE_TRAFFICTRUSTLIST,            // ͨǷբֻڳſբ
    EM_CFG_CTRTYPE_ALLSNAPCAR,                  // ץĳբ
    EM_CFG_CTRTYPE_ORDER,                       // ͨϲ·բ
} EM_CFG_TRAFFICSTROBE_CTRTYPE;

///@brief гբ
typedef enum tagEM_CFG_ALL_SNAP_CAR
{
	EM_CFG_ALL_SNAP_CAR_UNKNOWN,				// δ֪բ
	EM_CFG_ALL_SNAP_CAR_PLATE,					// Ƴ
	EM_CFG_ALL_SNAP_CAR_NOPLATE,				// Ƴ
}EM_CFG_ALL_SNAP_CAR;

///@brief բϢ(Ӧ CFG_CMD_TRAFFICSTROBE )
typedef struct tagCFG_TRAFFICSTROBE_INFO
{
    BOOL                            bEnable;                            // ʹ
    int                             nCtrlTypeCount;                     // բƷʽ
    EM_CFG_TRAFFICSTROBE_CTRTYPE    emCtrType[CFG_MAX_CTRLTYPE_NUM];    // բƷʽ,ö EM_CFG_TRAFFICSTROBE_CTRTYPE
    CFG_ALARM_MSG_HANDLE            stuEventHandler;					// բ
    CFG_ALARM_MSG_HANDLE            stuEventHandlerClose;               // رյբ
	int								nAllSnapCarCount;					// гբ
	EM_CFG_ALL_SNAP_CAR				emAllSnapCar[MAX_ALL_SNAP_CAR_COUNT];	// гբ
	BOOL							bFlowCarEnable;						// Ƿʹܸģʽ
}CFG_TRAFFICSTROBE_INFO;

#define CFG_MAX_PLATEENABLE_NUM       16        // ʹܹƲ
#define CFG_MAX_TRAFFICVOICE_NUM      8         // ø
///@brief ʹܹƲö
typedef enum tagEM_CFG_PLATEENABLE_TYPE
{
    EM_CFG_PLATEENABLE_UNKNOWN = 0,             // δ
    EM_CFG_PLATEENABLE_TIPS,                    // Żӭ
    EM_CFG_PLATEENABLE_PLATE,                   // ų
} EM_CFG_PLATEENABLE_TYPE;

///@brief ܽͨϢ
typedef struct tagCFG_TRAFFICVOICE_BROADCAST_INFO
{
    int                             nEnableCount;                       // ʹܲ
    EM_CFG_PLATEENABLE_TYPE         emEnable[CFG_MAX_PLATEENABLE_NUM];  // ʹܹƲ,ö EM_CFG_PLATEENABLE_TYPE
    char                            szNormalCar[MAX_PATH];              // ͨ,:ļ"ӭ.wav"
    char                            szTrustCar[MAX_PATH];               // γ,:ļ"ӭ.wav"
    char                            szSuspiciousCar[MAX_PATH];          // ɳ,:ļ"עᳵ.wav"
}CFG_TRAFFICVOICE_BROADCAST_INFO;

///@brief ܽͨ(Ӧ CFG_CMD_TRAFFICVOICE )
typedef struct tagCFG_TRAFFICVOICE_BROADCAST
{
    int                             nTrafficVoiceNum;                           // ø
    CFG_TRAFFICVOICE_BROADCAST_INFO stuTrafficVoices[CFG_MAX_TRAFFICVOICE_NUM];	// , ʾ
}CFG_TRAFFICVOICE_BROADCAST;

///@brief ͣʱ
typedef struct tagCFG_STANDING_TIME_INFO
{
    BOOL                        bEnable;         // Ƿͣʱ
    int                         nUpperlimit;     // ͣʱ, λ
    int                         nInterval;       // DH_ALARM_VEHICLE_STANDING_OVER_TIME¼ϱ, λ, -1ʾҪظϱ
} CFG_STANDING_TIME_INFO;

///@brief ΧʱϢ
typedef struct tagENCLOSURE_TIME_SCHEDULE_INFO
{
    int                         nEnclosureID;                                          // ΧID
    CFG_TIME_SECTION            stuTimeSection[MAX_TIME_SCHEDULE_NUM][MAX_REC_TSECT];  // ¼Ӧʱ
} ENCLOSURE_TIME_SCHEDULE_INFO;

// Χ
#define MAX_ENCLOSURE_NUM 128

///@brief Χʱ
typedef struct tagCFG_ENCLOSURE_TIME_SCHEDULE_INFO
{
    int                                nEnclosureInfoCount;                     // Χ
    ENCLOSURE_TIME_SCHEDULE_INFO       stuEnclosureInfo[MAX_ENCLOSURE_NUM];     // ΧϢ
    char                               szVersion[CFG_COMMON_STRING_64];         // Χʱð汾
} CFG_ENCLOSURE_TIME_SCHEDULE_INFO;

///@brief ͣڿģʽ
typedef enum tagEM_ECK_WORK_MODE_TYPE
{
    EM_ECK_WORK_MODE_UNKNOWN = 0,
    EM_ECK_WORK_MODE_IMPORT,                                    // ڿƻ
    EM_ECK_WORK_MODE_EXPORT,                                    // ڿƻ
}EM_ECK_WORK_MODE_TYPE;

///@brief ͣڿբģʽ
typedef enum tagEM_ECK_STROBE_MODE_TYPE
{
    EM_ECK_STROBE_MODE_UNKNOWN = 0,
    EM_ECK_STROBE_MODE_ON,                                      // ʼտբ
    EM_ECK_STROBE_MODE_OFF,                                     // ʼչբ
    EM_ECK_STROBE_MODE_AUTO,                                    // Զբ
}EM_ECK_STROBE_MODE_TYPE;

///@brief ͣڿʼٶ
typedef enum tagEM_ECK_LED_SPEED_TYPE
{
    EM_ECK_LED_SPEED_UNKNOWN = 0,
    EM_ECK_LED_SPEED_LOW,                                       // 
    EM_ECK_LED_SPEED_NORMAL,                                    // 
    EM_ECK_LED_SPEED_HIGH,                                      // 
}EM_ECK_LED_SPEED_TYPE;

///@brief ͣڿLED
typedef struct tagCFG_ECK_LED_INFO 
{
    EM_ECK_LED_SPEED_TYPE   emLEDSpeed;                         // LEDʼٶ
    char                    szCustomData[CFG_COMMON_STRING_512];// LEDʼԶַ, Ч0-256ֽ
}CFG_ECK_LED_INFO;

///@brief ͣڿ
typedef struct tagCFG_ECKCONFIG_INFO 
{
    EM_ECK_WORK_MODE_TYPE   emWorkMode;                         // ģʽ
    EM_ECK_STROBE_MODE_TYPE emStrobeMode;                       // բģʽ
    BOOL                    bForceOffline;                      // ǿѻ, TRUE:ǿѻ, FALSE:ƽ̨ƹ
    BOOL                    bLoopSence;                         // ظйܿ, TRUE:ظй, FALSE:رյظй
    CFG_ECK_LED_INFO        stuLED;                             // Ļ
}CFG_ECKCONFIG_INFO;

///@brief ͷָ
typedef enum tagEM_DIRECTION
{
    EM_DIRECTION_UNKNOWN,
    EM_DIRECTION_LEFT,                                          // 
    EM_DIRECTION_UPLEFT,                                        // 
    EM_DIRECTION_UP,                                            // 
    EM_DIRECTION_UPRIGHT,                                       // 
    EM_DIRECTION_RIGHT,                                         // 
    EM_DIRECTION_DOWNRIGHT,                                     // 
    EM_DIRECTION_DOWN,                                          // 
    EM_DIRECTION_DOWNLEFT,                                      // 
}EM_DIRECTION;

///@brief ͷֵλ
typedef enum tagEM_GUIDESCREEN_POS
{
    EM_GUIDESCREEN_POS_UNKNOWN,
    EM_GUIDESCREEN_POS_LEFT,                                    // 
    EM_GUIDESCREEN_POS_RIGHT,                                   // Ҳ
}EM_GUIDESCREEN_POS;

///@brief յǷ
typedef enum tagEM_GUIDESCREEN_ROLL
{
    EM_GUIDESCREEN_ROLL_UNKNOWN,
    EM_GUIDESCREEN_ROLL_DISABLE,                                // 
    EM_GUIDESCREEN_ROLL_ENABLE,                                 // 
}EM_GUIDESCREEN_ROLL;

///@brief յͷ
typedef struct tagCFG_GUISCREEN_ARROW
{
    EM_DIRECTION            emDirect;                           // ͷָ
    EM_GUIDESCREEN_POS      emPos;                              // ͷֵλ
    EM_GUIDESCREEN_ROLL     emRoll;                             // Ƿ
}CFG_GUISCREEN_ARROW;

#define CFG_GUIDE_SCREEN_NUM_MAX (8)                            // յ

///@brief յϵͳ(Ӧ CFG_CMD_GUIDESCREEN )
typedef struct tagCFG_GUIDESCREEN_INFO
{
    char                    szText[CFG_COMMON_STRING_128];      // ʱ,ʾ
                                                                // ӢĻĺ֣ҪGB2312룬Ȳ64ֽ
    int                     nArrowNum;                          // ͷ־
    CFG_GUISCREEN_ARROW     stuArrow[CFG_GUIDE_SCREEN_NUM_MAX]; // ͷ־, Ӧ
}CFG_GUIDESCREEN_INFO;

///@brief ͣˢ¼(ӦCFG_CMD_PARKING_CARD)
typedef struct tagCFG_PARKING_CARD_INFO
{
    BOOL                            bEnable;                // Ƿ
    CFG_ALARM_MSG_HANDLE            stuEventHandler;        // 
} CFG_PARKING_CARD_INFO;

///@brief ʽ, ͨʲôʽı
typedef enum tagEM_CFG_RCEMERGENCY_MODE_TYPE
{
    EM_CFG_RCEMERGENCY_MODE_UNKNOWN = 0,
    EM_CFG_RCEMERGENCY_MODE_KEYBOARD,                       // 
    EM_CFG_RCEMERGENCY_MODE_WIRELESS_CONTROL,               // ң
}EM_CFG_RCEMERGENCY_MODE_TYPE;

///@brief 
typedef enum tagEM_CFG_RCEMERGENCY_CALL_TYPE
{
    EM_CFG_RCEMERGENCY_CALL_UNKNOWN = 0,
    EM_CFG_RCEMERGENCY_CALL_FIRE,                           // 
    EM_CFG_RCEMERGENCY_CALL_DURESS,                         // в
    EM_CFG_RCEMERGENCY_CALL_ROBBER,                         // ˾
    EM_CFG_RCEMERGENCY_CALL_MEDICAL,                        // ҽ
}EM_CFG_RCEMERGENCY_CALL_TYPE;

///@brief б¼(Ӧ CFG_CMD_RCEMERGENCYCALL )
typedef struct tagCFG_RCEMERGENCY_CALL_INFO 
{
    BOOL                            bEnable;                // Ƿ
    EM_CFG_RCEMERGENCY_MODE_TYPE    emMode;                 // ʽ
    EM_CFG_RCEMERGENCY_CALL_TYPE    emAlarmType;            // 
    CFG_ALARM_MSG_HANDLE            stuEventHandler;        // 
}CFG_RCEMERGENCY_CALL_INFO;

///@brief Ϣϱ(Ӧ CFG_CMD_LANES_STATE_REPORT )
typedef struct tagCFG_LANES_STATE_REPORT
{
    BOOL                bEnable;        //ϱʹ	true:ϱʹ ,false:ϱʹ
    int                 nPeriod;        //ϱ	λ
}CFG_LANES_STATE_REPORT;

#define CFG_MAX_USER_ID_LEN                     32              // ŽûID󳤶
#define CFG_MAX_METHODEX_NUM                    4               // ŷʽչ

///@brief ϿŵĿŷʽ
typedef enum tagEM_CFG_OPEN_DOOR_GROUP_METHOD
{
    EM_CFG_OPEN_DOOR_GROUP_METHOD_UNKNOWN = 0,
    EM_CFG_OPEN_DOOR_GROUP_METHOD_CARD,                         // ˢ
    EM_CFG_OPEN_DOOR_GROUP_METHOD_PWD,                          // 
    EM_CFG_OPEN_DOOR_GROUP_METHOD_FINGERPRINT,                  // ָ
    EM_CFG_OPEN_DOOR_GROUP_METHOD_ANY,                          // Ϸʽ
    EM_CFG_OPEN_DOOR_GROUP_METHOD_FACE,                         // 
}EM_CFG_OPEN_DOOR_GROUP_METHOD;

///@brief ϿϸϢ
typedef struct tagCFG_OPEN_DOOR_GROUP_DETAIL 
{
    char                            szUserID[CFG_MAX_USER_ID_LEN];       // ûID
    EM_CFG_OPEN_DOOR_GROUP_METHOD   emMethod;                            // ŷʽ
    int                             nMethodExNum;                        // ŷʽչ
    EM_CFG_OPEN_DOOR_GROUP_METHOD   emMethodEx[CFG_MAX_METHODEX_NUM];    // ŷʽչ
}CFG_OPEN_DOOR_GROUP_DETAIL;

#define CFG_MAX_OPEN_DOOR_GROUP_DETAIL_NUM      64               // ÿһ˿ϵ

///@brief ϿϢ
typedef struct tagCFG_OPEN_DOOR_GROUP 
{
    int                         nUserCount;                     // ûĿʾҪϲܿŵ
    int                         nGroupNum;                      // ЧĿ
    CFG_OPEN_DOOR_GROUP_DETAIL  stuGroupDetail[CFG_MAX_OPEN_DOOR_GROUP_DETAIL_NUM];// ϿϸϢ
    BOOL                        bGroupDetailEx;                         //  TRUE: stuGroupDetail ֶЧpstuGroupDetailExֶЧ, FALSE: stuGroupDetail ֶЧpstuGroupDetailExֶЧ
    int					        nMaxGroupDetailNum;              // ϿϸϢ
    CFG_OPEN_DOOR_GROUP_DETAIL	    *pstuGroupDetailEx;              // ϿϸϢչ, ûڴ, СΪsizeof(CFG_OPEN_DOOR_GROUP_DETAIL)*nMaxUserCount, 
                                                                   // ϿϸϢ CFG_MAX_OPEN_DOOR_GROUP_DETAIL_NUM ʱʹôֶ
}CFG_OPEN_DOOR_GROUP;

#define CFG_MAX_OPEN_DOOR_GROUP_NUM             4               // ˿ϵ

///@brief ˶࿪ŷʽ(Ӧ CFG_CMD_OPEN_DOOR_GROUP ),ʾÿͨϢ
///@brief һͨϵĿȼߣεݼ
typedef struct tagCFG_OPEN_DOOR_GROUP_INFO 
{
    int                         nGroup;                         // Ч
    CFG_OPEN_DOOR_GROUP         stuGroupInfo[CFG_MAX_OPEN_DOOR_GROUP_NUM];// ˿Ϣ
}CFG_OPEN_DOOR_GROUP_INFO;

#define MAX_READER_ID_LEN                       32              // ID󳤶

///@brief ·ߵÿڵϢ
typedef struct tagCFG_DOOR_ROUTE_NODE_INFO
{
    char                        szReaderID[MAX_READER_ID_LEN];  // IDŽĶID
}CFG_DOOR_ROUTE_NODE_INFO;

// ÿ·ڵ(Ŀ)
#define MAX_DOOR_ROUTE_NODE_NUM     8

///@brief 鼯Ϣ±С˳򣬱ʾ·
typedef struct tagCFG_DOOR_ROUTE_INFO
{
    int                         nDoors;                             // ·Чڵ
    CFG_DOOR_ROUTE_NODE_INFO    stuDoors[MAX_DOOR_ROUTE_NODE_NUM];  // ·߽ڵϢ
	UINT                        nResetTime;                         // Ǳʱ䣬λӣ0ʾ 
}CFG_DOOR_ROUTE_INFO;

#define MAX_OPEN_DOOR_ROUTE_NUM                 16                  // ·Ŀ

///@brief ·߼ϣƷǱ·(Ӧ CFG_CMD_OPEN_DOOR_ROUTE )
typedef struct tagCFG_OPEN_DOOR_ROUTE_INFO
{
    int                         nDoorList;
    CFG_DOOR_ROUTE_INFO         stuDoorList[MAX_OPEN_DOOR_ROUTE_NUM];
	int							nTimeSection;                       // Ǳ·Ӧʱ, CFG_ACCESS_TIMESCHEDULE_INFO±   
	UINT                        nResetTime;                         // Ǳʱ䣬λӣ0ʾáЧֶΣϳ
}CFG_OPEN_DOOR_ROUTE_INFO;

#define MAX_BURNPLAN_DEVICES_NUM                     32
#define MAX_BURNPLAN_CHANNELS_NUM                     32

///@brief ¼ʽ
typedef enum tagEM_CFG_BURNPLAN_RECORDPACK_TYPE
{
    EM_CFG_BURNPLAN_RECORDPACK_TYPE_UNKNOWN,        // δ֪
    EM_CFG_BURNPLAN_RECORDPACK_TYPE_DHAV,           // "DHAV"
    EM_CFG_BURNPLAN_RECORDPACK_TYPE_PS,             // "PS"
    EM_CFG_BURNPLAN_RECORDPACK_TYPE_ASF,            // "ASF"
    EM_CFG_BURNPLAN_RECORDPACK_TYPE_MP4,            // "MP4"
    EM_CFG_BURNPLAN_RECORDPACK_TYPE_TS,             // "TS"
}EM_CFG_BURNPLAN_RECORDPACK_TYPE;

///@brief ¼ģʽ
typedef enum tagEM_CFG_BURNPLAN_MODE
{
    EM_CFG_BURNPLAN_MODE_UNKNOWN,           // δ֪
    EM_CFG_BURNPLAN_MODE_SYNC,              // ͬ "Sync"
    EM_CFG_BURNPLAN_MODE_TURN,              // :  "Turn"
    EM_CFG_BURNPLAN_MODE_CYCLE,             // ѭ:  "Cycle"
}EM_CFG_BURNPLAN_MODE;

///@brief ¼ƻϢ
typedef struct tagCFG_BURNPLAN_DETAIL
{
    int                                 nSessionId;                             // Ѷ
    int                                 nDevicesNum;                            // ûỰ豸бЧ
    int                                 nDevices[MAX_BURNPLAN_DEVICES_NUM];     // ûỰ豸б
    int                                 nChannelsNum;                           // ¼ƵͨЧ
    int                                 nChannels[MAX_BURNPLAN_CHANNELS_NUM];   // ¼Ƶͨ
    EM_CFG_BURNPLAN_RECORDPACK_TYPE     emRecordpack;                           // ¼ʽ
    EM_CFG_BURNPLAN_MODE                emMode;                                 // ¼ģʽ
    CFG_NET_TIME                        stuStarttime;                           // ¼ʼʱ
}CFG_BURNPLAN_DETAIL;

#define MAX_BURNPLAN_DETAIL_NUM          32

///@brief ¼ƻ(ӦCFG_BURNPLAN_INFO)
typedef struct tagCFG_BURNPLAN_INFO
{
    int                         nBurnPlanDetailNum;                                 // ¼ƻϢбЧ
    CFG_BURNPLAN_DETAIL         stuBurnPlanDetail[MAX_BURNPLAN_DETAIL_NUM];         // ¼ƻϢб
}CFG_BURNPLAN_INFO;
///@brief ɼ豸
typedef struct tagCFG_SCADA_DEV_INFO 
{
    BOOL                            bEnable;                // Ƿ
    char                            szDevType[CFG_COMMON_STRING_64];// 豸
    char                            szDevName[CFG_COMMON_STRING_64];// 豸, Ψһʾ豸
    int                             nSlot;                  // λ, AlarmSlotBond
    int                             nLevel;                 // Slot󶨵NetCollection͵ĻֶΪ-1
    CFG_ALARM_MSG_HANDLE            stuEventHandler;        // 
}CFG_SCADA_DEV_INFO;

///@brief ͨϢ
typedef struct tagCFG_VSP_GAYS_CHANNEL_INFO
{
    char                            szId[CFG_COMMON_STRING_64];             // ͨ	ַ24λ
    int                             nAlarmLevel;                            // [1,6]	
}CFG_VSP_GAYS_CHANNEL_INFO;

///@brief Ϣ
typedef struct tagCFG_VSP_GAYS_ALARM_INFO
{
    char                            szId[CFG_COMMON_STRING_64];             // ͨ	ַ24λ
    int                             nAlarmLevel;                            // [1,6]	
}CFG_VSP_GAYS_ALARM_INFO;

///@brief һƽ̨(CFG_CMD_VSP_GAYS)
typedef struct tagCFG_VSP_GAYS_INFO
{
    BOOL                            bEnable;                                // ǷʹܣTRUEʹܣFALSEʹ
    char                            szSipSvrId[CFG_COMMON_STRING_64];       // SIP	ַ24λ
    char                            szDomain[CFG_COMMON_STRING_256];        // SIP	ַ128λ
    char                            szSipSvrIp[CFG_COMMON_STRING_32];       // SIPIP	ַ16λ
    char                            szDeviceId[CFG_COMMON_STRING_64];       // 豸ţҲעû	ַ24λ
    char                            szPassword[CFG_COMMON_STRING_64];       // ע,	ַ24λ
    unsigned short                  nLocalSipPort;                          // SIP˿	޷Ŷ
    unsigned short                  nSipSvrPort;                            // SIP˿	޷Ŷ
    int                             nSipRegExpires;                         // עЧ	
    int                             nKeepAliveCircle;                       // 	
    int                             nMaxTimeoutTimes;                       // ʱ	
    char                            szCivilCode[CFG_COMMON_STRING_64];      // 	ַ24λ
    char                            szIntervideoID[CFG_COMMON_STRING_64];   // ģʶ	ַ24λ
    unsigned short                  nChannelSum;                            // ͨ	޷Ŷ
    unsigned short                  nAlarmInSum;                            // ⲿ	޷Ŷ
    CFG_VSP_GAYS_CHANNEL_INFO       stuChannelInfo[MAX_VIDEO_CHANNEL_NUM];  // ͨϢ	飬ЧͬchannelSum
    CFG_VSP_GAYS_ALARM_INFO         stuAlarmInfo[MAX_ALARM_CHANNEL_NUM];    // Ϣ	飬ЧͬalarmInSum
}CFG_VSP_GAYS_INFO;

///@brief Ƶⱨ(CFG_CMD_AUDIODETECT)
typedef struct tagCFG_AUDIO_DETECT_INFO
{
    BOOL                            bEnable;                                // ǷʹܣTRUEʹܣFALSEʹ
    int                             nMinVolume;                             // 
    int                             nMaxVolume;                             // 
    BOOL                            bAnomalyDetect;                         // 쳣ʹ
    int                             nAnomalySensitive;                      // 쳣ֵ	ȡֵΧ1~100
    BOOL                            bMutationDetect;                        // ǿͻʹ
    int                             nMutationThreold;                       // ǿͻֵ	ȡֵΧ1~100
    CFG_ALARM_MSG_HANDLE            stuEventHandler;						// 
    BOOL                            bIntensityDetect;                       // Ƶǿȼʹ
    unsigned int                    nIntensityDecibelGate;                  // Ƶǿȼֱֵ, λֱ, ȡֵΧ0~90
}CFG_AUDIO_DETECT_INFO;

///@brief VTS(Ӧ CFG_CMD_VTS_CALL_INFO)
typedef struct tagCFG_VTS_CALL_INFO 
{
    CFG_TIME_SECTION                stuCallEnableTime;                      // VTSʱ
}CFG_VTS_CALL_INFO;

///@brief 豸бÿ豸Ϣ
typedef struct tagCFG_DEV_LIST
{
    char                            szDevType[CFG_COMMON_STRING_128];       // 豸, ֧: "VTT", "VTS"
    char                            szDevName[CFG_COMMON_STRING_128];       // 豸
    char                            szIP[MAX_ADDRESS_LEN];                  // ipַ
    int                             nPort;                                  // ˿ں
    char                            szUser[CFG_COMMON_STRING_64];           // û
    char                            szPassword[CFG_COMMON_STRING_64];       // 
    char                            szDevID[CFG_COMMON_STRING_128];         // 豸ID, Ψһ
    char                            szParentID[CFG_COMMON_STRING_128];      // ڵID, Ψһ
}CFG_DEV_LIST;

///@brief 豸б(Ӧ CFG_CMD_DEV_LIST_INFO)
typedef struct tagCFG_DEV_LIST_INFO 
{
    CFG_DEV_LIST*                   pstuDevList;                            // Ϣ, ûڴ,СΪsizeof(CFG_DEV_LIST)*dwDevListMaxCount
    DWORD                           dwDevListMaxCount;                      // pstuDevListڴЧṹ
    DWORD                           dwDevListRetCount;                      // ʵʷصĽṹ, ɽṹʱЧ
}CFG_DEV_LIST_INFO;

#define MAX_CALIBRATE_MATRIX_LEN    8       // 궨󳤶

#define MAX_CALIBRATE_MATRIX_EX_LEN 32      // 궨󳤶(չ)
#define MAX_POINT_PAIR_LEN			10		// Ӹٱ궨󳤶

///@brief ʽ궨(Ӧ CFG_CMD_CALIBRATE_MATRIX )
typedef struct tagCFG_CALIBRATE_MATRIX_INFO 
{
    char                szSlaveSN[CFG_COMMON_STRING_128];                   // 豸к
    DWORD               dwMatrixLen;                                        // 궨Чdword
    DWORD               dwMatrix[MAX_CALIBRATE_MATRIX_LEN];                 // 궨, һ128ֽڵĶƴ, Ϊ߽Ч, Ϊ32uint32_tֵ
}CFG_CALIBRATE_MATRIX_INFO;

///@brief 궨(8192ϵ)
typedef struct tagCFG_MASTER_POINT
{
	int 	nX;
	int		nY;
} CFG_MASTER_POINT;

///@brief ()궨(ptzһ)
typedef struct tagCFG_SLAVE_POINT
{
	float                    fPositionX;           //̨ˮƽ˶λ
	float                    fPositionY;           //ֱ̨˶λ
	float                    fZoom;
} CFG_SLAVE_POINT;


///@brief Ӹٱ궨
typedef struct tagCFG_POINT_PAIR
{
    CFG_MASTER_POINT     	stuMasterPoint;           // 궨,8192ϵ
    CFG_SLAVE_POINT			stuSlavePoint;            // ()궨,PTZһ
} CFG_POINT_PAIR;

///@brief Ӹ궨þֵ
typedef struct tagCFG_CALIBRATE_MATRIX_ELEMENT
{
	char                szMasterSN[CFG_COMMON_STRING_128];		// 豸к(ѡ)
    char                szSlaveSN[CFG_COMMON_STRING_128];		// 豸к
    DWORD               dwMatrixLen;							// 궨Чdword
    DWORD               dwMatrix[MAX_CALIBRATE_MATRIX_EX_LEN];	// 궨, һ128ֽڵĶƴ, Ϊ߽Ч, Ϊ32uint32_tֵ
    DWORD               dwPointPairNum;							// Ӹٱ궨Ե
    CFG_POINT_PAIR      stuPointPair[MAX_POINT_PAIR_LEN];		// Ӹٱ궨(ѡ),һ飬ౣ10궨
	BOOL				bExpectRatio;							// ʾǷҪ
	float               szExpectRatio[2];						// (ѡbExpectRatioΪTRUEʱЧ), һֵΪ̨T꣬һ[-1.0, 1.0]ڶֵΪ
} CFG_CALIBRATE_MATRIX_ELEMENT;

///@brief ʽ궨չ(Ӧ CFG_CMD_CALIBRATE_MATRIX)
typedef struct tagCFG_CALIBRATE_MATRIX_EX_INFO 
{
    DWORD							 nMaxCalibElement;			// Ӹ궨Ԫ
	DWORD							 nRetCalibElement;			// Ӹ궨Ԫʵʸ
	CFG_CALIBRATE_MATRIX_ELEMENT	*pstCaliMatrixElement;		// Ӹ궨ÿԪֵûڴ,СΪsizeof(CFG_CALIBRATE_MATRIX_ELEMENT)*nMaxCalibElement
} CFG_CALIBRATE_MATRIX_EX_INFO;

///@brief ʱ(Ӧ CFG_CMD_DEFENCE_AREA_DELAY )
typedef struct tagCFG_DEFENCE_AREA_DELAY_INFO 
{
    int                 nEnterDelay1;           // нʱķͣEM_CFG_DefenceAreaType_Entrance2, ʹô˽ʱ
    int                 nEnterDelay2;           // ֻзΪEM_CFG_DefenceAreaType_Entrance2, Żʹô˽ʱ
    int                 nExitDelay;             // ˳ʱķ, ʹô˳ʱ
}CFG_DEFENCE_AREA_DELAY_INFO;

///@brief ȳģʽ
typedef enum tagCFG_THERMO_GAIN_MODE 
{
    CFG_THERMO_GAIN_MODE_UNKNOWN,
    CFG_THERMO_GAIN_MODE_HIGHTEMP,                      // 
    CFG_THERMO_GAIN_MODE_LOWTEMP,                       // 
    CFG_THERMO_GAIN_MODE_AUTO,                          // Զ
} CFG_THERMO_GAIN_MODE;

///@brief ȳԶ
typedef struct tagCFG_THERMO_AUTO_GAIN
{
    int                         nLowToHigh;             // ¶ȳ趨ֵʱԶлģʽ
    int                         nLHROI;                 // ɵлʱROI ٷֱ0~100
    int                         nHighToLow;             // ¶½趨ֵʱԶлģʽ
    int                         nHLROI;             	// ɸлʱROI ٷֱ0~100
} CFG_THERMO_AUTO_GAIN;

///@brief 
typedef struct tagCFG_THERMO_GAIN
{
    int                         nAgc;                   // Զ [0-255]ȡֵΧ
    int                         nAgcMaxGain;            // Զ [0-255]ȡֵΧ
    int                         nAgcPlateau;            //  ȡֵΧ
}CFG_THERMO_GAIN;

///@brief ȳãģʽ
typedef struct tagCFG_THERMOGRAPHY_OPTION
{
	int                         nEZoom;                 // 
	int                         nThermographyGamma;     // ٤ֵ
	int                         nColorization;	        // αɫ NET_THERMO_COLORIZATION
	int                         nSmartOptimizer;        // ܳŻָ 0 ~100 ȡֵΧ
    BOOL                        bOptimizedRegion;       // ǷȤֻиȤڵϢᱻͳԶȵAGC 
	int                         nOptimizedROIType;      // Ȥͣ NET_THERMO_ROI
	int                         nCustomRegion;          // Զ
	CFG_RECT                    stCustomRegions[64];    // Զ򣬽 nOptimizedROIType Ϊ NET_THERMO_ROI_CUSTOM ʱЧ
    char                        Reserved[256];          // ˱ֶȷ˽ṹ NET_THERMO_GRAPHY_INFO ͬ
    CFG_THERMO_GAIN             stuLowTempGain;         // µ
    int                         nGainMode;              // ģʽμ CFG_THERMO_GAIN_MODE
    CFG_THERMO_AUTO_GAIN        stAutoGain;             // ԶãֻģʽΪ CFG_THERMO_GAIN_MODE_AUTO Ч
    CFG_THERMO_GAIN             stuHighTempGain;        // µ
    int                         nBaseBrightness;        // ׼
    int                         nStretchIntensity;      // ǿ
    CFG_RECT                    stuContrastRect;        // ǿλ,ӱܱߵĶԱȶ,8192ϵ
} CFG_THERMOGRAPHY_OPTION;

///@brief ȳ
typedef struct tagCFG_THERMOGRAPHY_INFO
{
	int                         nModeCount;             // ģʽĿǰֻһ
	CFG_THERMOGRAPHY_OPTION     stOptions[16];          // Ӧͬģʽ
} CFG_THERMOGRAPHY_INFO;

///@brief ƽ۽У׼ģʽ
typedef enum tagEM_FLAT_FIELD_CORRECTION_MODE
{
    EM_FLAT_FIELD_CORRECTION_UNKNOWN,                   //  δ֪ģʽ,ڱʾGetNewDevConfigȡδ֪ģʽ,SetNewDevConfigʹøģʽ
    EM_FLAT_FIELD_CORRECTION_AUTO,                      // "Auto":Զƽ۽У׼
    EM_FLAT_FIELD_CORRECTION_MANUAL,                    // "Manual":ֶƽ۽У׼
}EM_FLAT_FIELD_CORRECTION_MODE;

///@brief ƽ۽У׼
typedef struct tagCFG_FLAT_FIELD_CORRECTION_INFO
{
    EM_FLAT_FIELD_CORRECTION_MODE   emMode;             // ƽ۽У׼ģʽ,EM_FLAT_FIELD_CORRECTION_MODE
    int                             nPeriod;            // ԶлڣλΪ룬ֵΧοNET_OUT_THERMO_GETCAPSеstFFCPeriod
} CFG_FLAT_FIELD_CORRECTION_INFO;

///@brief ȳƵں
typedef struct tagCFG_THERMO_FUSION_INFO
{
    unsigned int                unMode;                 // ȳͼںģʽ,0ԭʼȳͼ,1 ɼںģʽ
    unsigned int                unRate;                 // ȳͼںʣMode=1ʱЧ,0~100ֵԽɼռԽ
} CFG_THERMO_FUSION_INFO;

///@brief ȳͷԵľֲԱȶǿ
typedef struct tagCFG_LCE_STATE_INFO
{
    unsigned int              unLCEValue;               // ֲԱȶǿ״ֵ̬ Χ[0,128]
    unsigned int              unHistGramValue;          // ֱͼYԶ,ֵԽͼҶȷֲԽֵԽСҶȷֲԽ,Χ[0,32]
} CFG_LCE_STATE_INFO;

///@brief ͳ
typedef enum tagCFG_STATISTIC_TYPE
{
	CFG_STATISTIC_TYPE_UNKNOWN,
	CFG_STATISTIC_TYPE_VAL, // ֵ
	CFG_STATISTIC_TYPE_MAX, // 
	CFG_STATISTIC_TYPE_MIN, // С
	CFG_STATISTIC_TYPE_AVR, // ƽ
	CFG_STATISTIC_TYPE_STD, // ׼
	CFG_STATISTIC_TYPE_MID, // м
	CFG_STATISTIC_TYPE_ISO, // ISO
} CFG_STATISTIC_TYPE;

///@brief Ƚ
typedef enum tagCFG_COMPARE_RESULT
{
	CFG_COMPARE_RESULT_UNKNOWN,
	CFG_COMPARE_RESULT_BELOW, // 
	CFG_COMPARE_RESULT_MATCH, // ƥ
	CFG_COMPARE_RESULT_ABOVE, // 
} CFG_COMPARE_RESULT;

///@brief µ㱨
typedef struct tagRADIOMETRY_ALARMSETTING 
{
	int                         nId;                    // Ψһ	ͳһ
	BOOL                        bEnable;                // Ƿõ㱨
    int                         nResultType;            // ±ͣ CFG_STATISTIC_TYPEȡֵ
                                                        // £ֵ
                                                        // ߲£, С, ƽ
                                                        // £, С, ƽ, ׼, м, ISO
	int                         nAlarmCondition;        //  CFG_COMPARE_RESULT
	float                       fThreshold;             // ֵ¶	
	float                       fHysteresis;            // ¶0.1 ʾ0.1Χ
	int                         nDuration;              // ֵ¶ȳʱ	λ
} CFG_RADIOMETRY_ALARMSETTING;

///@brief ¹򱾵ز
typedef struct tagRADIOMETRY_LOCALPARAM
{
	BOOL                        bEnable;                // Ƿñ
	float                       fObjectEmissivity;      // Ŀϵ	 0~1
	int                         nObjectDistance;        // Ŀ	
	int                         nRefalectedTemp;        // Ŀ귴¶
} CFG_RADIOMETRY_LOCALPARAM;

///@brief µ
typedef enum tagEM_CFG_AREA_SUBTYPE
{
	EM_CFG_AREA_SUBTYPE_UNKNOWN,		
	EM_CFG_AREA_SUBTYPE_RECT,		// 
	EM_CFG_AREA_SUBTYPE_ELLIPSE,	// Բ
	EM_CFG_AREA_SUBTYPE_POLYGON,	// 
} EM_CFG_AREA_SUBTYPE;

///@brief ¹
typedef struct tagCFG_RADIOMETRY_RULE
{
	BOOL                        bEnable;                // ʹ
	int                         nPresetId;              // Ԥõ
	int                         nRuleId;                // 
	char                        szName[128];            // Զ
	int                         nMeterType;             // ģʽͣ NET_RADIOMETRY_METERTYPE
	CFG_POLYGON                 stCoordinates[64];      // µ	ʹϵȡֵΪ0~8191
	int                         nCoordinateCnt;         // µʵʸ
	int                         nSamplePeriod;          // ¶Ȳ	λ : 
	CFG_RADIOMETRY_ALARMSETTING stAlarmSetting[64];     // µ㱨
	int                         nAlarmSettingCnt;       // µ㱨ʵʸ
	CFG_RADIOMETRY_LOCALPARAM   stLocalParameters;      // ز
	EM_CFG_AREA_SUBTYPE			emAreaSubType;			// µ			
} CFG_RADIOMETRY_RULE;

///@brief ¹ýṹ
typedef struct tagCFG_RADIOMETRY_RULE_INFO
{
    int                         nCount;                 // 
    CFG_RADIOMETRY_RULE         stRule[512];			// ¹
} CFG_RADIOMETRY_RULE_INFO;

///@brief ¶ͳ
typedef struct tagCFG_TEMP_STATISTICS
{
	BOOL                        bEnable;                // Ƿ¶ͳ
	char                        szName[128];            // 
	int                         nMeterType;             // ģʽͣ NET_RADIOMETRY_METERTYPE
	int                         nPeriod;                // ¶
} CFG_TEMP_STATISTICS;

///@brief ¶ͳýṹ
typedef struct tagCFG_TEMP_STATISTICS_INFO
{
	int                         nCount;                 // 
	CFG_TEMP_STATISTICS         stStatistics[64];       // ¶ͳ
} CFG_TEMP_STATISTICS_INFO;

///@brief ¶ȵλ
typedef enum tagCFG_TEMPERATURE_UNIT
{
	TEMPERATURE_UNIT_UNKNOWN,
	TEMPERATURE_UNIT_CENTIGRADE, // ϶
	TEMPERATURE_UNIT_FAHRENHEIT, // ϶
} CFG_TEMPERATURE_UNIT;

///@brief ȳȫ
typedef struct tagCFG_THERMOMETRY_INFO
{
    int                         nRelativeHumidity;          // ʪ
    float                       fAtmosphericTemperature;    // ¶
    float                       fObjectEmissivity;          // ϵ
    int                         nObjectDistance;            // 
    float                       fReflectedTemperature;      // 巴¶
    int                         nTemperatureUnit;           // ¶ȵλ TEMPERATURE_UNIT
    BOOL                        bIsothermEnable;            // ɫ깦ʹ
    int                         nMinLimitTemp;              // ¶ֵ
    int                         nMediumTemp;                // λ¶ֵ	
    int                         nMaxLimitTemp;              // ¶ֵ
    int                         nSaturationTemp;            // ߱¶ֵ
    CFG_RECT                    stIsothermRect;             // ɫOSD λãʹϵȡֵΪ0-8191
    BOOL                        bColorBarDisplay;           // ǷʾɫOSD ӣ
    BOOL                        bHotSpotFollow;             // Ƿȵ̽׷ʹ
    BOOL                        bTemperEnable;              // ¿
    CFG_RGBA                    stHighCTMakerColor;         // ɫ±עɫ
    CFG_RGBA                    stLowCTMakerColor;          // ɫ±עɫ
} CFG_THERMOMETRY_INFO;

///@brief Ϣ
typedef struct tagCFG_NEARLIGHT_INFO
{
    BOOL                bEnable;                // ǷʹܣTRUEʹܣFALSEʹ
    DWORD               dwLightPercent;         // ƹȰٷֱֵ(0~100)
    DWORD               dwAnglePercent;         // ƹǶȰٷֱֵ(0~100)
}CFG_NEARLIGHT_INFO;

///@brief ԶϢ
typedef struct tagCFG_FARLIGHT_INFO 
{
    BOOL                bEnable;                // ǷʹܣTRUEʹܣFALSEʹ
    DWORD               dwLightPercent;         // ƹȰٷֱֵ(0~100)
    DWORD               dwAnglePercent;         // ƹǶȰٷֱֵ(0~100)
}CFG_FARLIGHT_INFO;

///@brief ƹģʽ
typedef enum tagEM_CFG_LIGHTING_MODE
{
    EM_CFG_LIGHTING_MODE_UNKNOWN,               // δ֪
    EM_CFG_LIGHTING_MODE_MANUAL,                // ֶ
    EM_CFG_LIGHTING_MODE_ZOOMPRIO,              // 
    EM_CFG_LIGHTING_MODE_TIMING,                // ʱģʽ
    EM_CFG_LIGHTING_MODE_AUTO,                  // Զ
    EM_CFG_LIGHTING_MODE_OFF,                   // رģʽ
	EM_CFG_LIGHTING_MODE_SMARTLIGHT,			// ܵƹģʽ(ʹ)
	EM_CFG_LIGHTING_MODE_EXCLUSIVEMANUAL,		// ֵֶ֧ƹ
	EM_CFG_LIGHTING_MODE_FORCEON,				// ǿƴ򿪵ƹ
}EM_CFG_LIGHTING_MODE;

#define MAX_LIGHTING_NUM         16

///@brief ƹ
typedef struct tagCFG_LIGHTING_DETAIL
{
    int                                 nCorrection;                     // ƹⲹ (0~4) ʱЧ
    int                                 nSensitive;                      // ƹ(0~5)ʱЧĬΪ3
    EM_CFG_LIGHTING_MODE                emMode;                          // ƹģʽ
    int                                 nNearLight;                      // Ч
    CFG_NEARLIGHT_INFO                  stuNearLights[MAX_LIGHTING_NUM]; // б
    int                                 nFarLight;                       // ԶЧ
    CFG_FARLIGHT_INFO                   stuFarLights[MAX_LIGHTING_NUM];  // Զб
}CFG_LIGHTING_DETAIL;

#define MAX_LIGHTING_DETAIL_NUM  16

///@brief ƹ(Ӧ CFG_CMD_LIGHTING )
typedef struct tagCFG_LIGHTING_INFO
{
    int                         nLightingDetailNum;                         // ƹЧ
    CFG_LIGHTING_DETAIL         stuLightingDetail[MAX_LIGHTING_DETAIL_NUM]; // ƹϢб
}CFG_LIGHTING_INFO;

///@brief ƹƻ(Ӧ CFG_CMD_LIGHTINGSCHEDULE ) CFG_CMD_LIGHTING ModeΪTimingʱЧ
typedef struct tagCFG_LIGHTINGSCHEDULE_INFO
{
    CFG_TIME_SCHEDULE           stuTimeSchedule;                            // ƻ
}CFG_LIGHTINGSCHEDULE_INFO;

///@brief ˢģʽ
typedef enum tagEM_CFG_RAINBRUSHMODE_MODE
{
    EM_CFG_RAINBRUSHMODE_MODE_UNKNOWN,          // δ֪
    EM_CFG_RAINBRUSHMODE_MODE_MANUAL,           // ֶģʽ
    EM_CFG_RAINBRUSHMODE_MODE_TIMING,           // ʱģʽ
	EM_CFG_RAINBRUSHMODE_MODE_AUTO,				// ԶӦģʽ
	EM_CFG_RAINBRUSHMODE_MODE_TOUR,				// ˢѲģʽ
}EM_CFG_RAINBRUSHMODE_MODE;

///@brief ˢʹܵƽģʽ
typedef enum tagEM_CFG_RAINBRUSHMODE_ENABLEMODE
{
    EM_CFG_RAINBRUSHMODE_ENABLEMODE_UNKNOWN,     // δ֪
    EM_CFG_RAINBRUSHMODE_ENABLEMODE_LOW,         // ͵ƽЧգ
    EM_CFG_RAINBRUSHMODE_ENABLEMODE_HIGH,        // ߵƽЧ
}EM_CFG_RAINBRUSHMODE_ENABLEMODE;

///@brief ˢģʽ(Ӧ CFG_RAINBRUSHMODE_INFO )
typedef struct tagCFG_RAINBRUSHMODE_INFO
{
    EM_CFG_RAINBRUSHMODE_MODE       emMode;         // ˢģʽ
    EM_CFG_RAINBRUSHMODE_ENABLEMODE emEnableMode;   // ˢʹܵƽģʽ
    int                             nPort;          // ˢʹõIO˿,-1ʾδ豸,-2ʾֶЧ豸δ͸ֶΣ
	int								nSensitivity;	// ˢ, ֻеmodeΪAutoʱЧ, Χ[0, 10]
}CFG_RAINBRUSHMODE_INFO;

#define MAX_EMERGENCY_REOCRD_CLIENT_NUM         8       // Խ¼洢ͻ

///@brief ͻ˵Ľ¼Ϣ
typedef struct tagCFG_EMERGENCY_RECORD_CLIENT 
{
    char        szDevID[CFG_COMMON_STRING_128];         // ͻַʶΪƣǿͻmacַͻ豸ʹ豸к
    BOOL        bEnable;                                // ʹ
    int         nMaxTime;                               // 쳣Ͽ֮н洢ʱ, 
}CFG_EMERGENCY_RECORD_CLIENT;

///@brief ¼洢(Ӧ CFG_CMD_EMERGENCY_RECORD_FOR_PULL)
typedef struct tagCFG_EMERGENCY_RECORD_FOR_PULL_INFO 
{
    int         nClientNum;                             // Чͻ˽¼ø
    CFG_EMERGENCY_RECORD_CLIENT stuEmRecordInfo[MAX_EMERGENCY_REOCRD_CLIENT_NUM];// ͻ˽¼Ϣ 
}CFG_EMERGENCY_RECORD_FOR_PULL_INFO;

///@brief Ƶα
typedef struct tagCFG_HIGH_FREQUENCY 
{
    int         nPeriod;                            // ͳ, Ϊλ, Ĭ30(1800s)
    int         nMaxCount;                          // ڶӦͳϱ
}CFG_HIGH_FREQUENCY;

///@brief 澯ι(Ӧ CFG_CMD_ALARM_SHIELD_RULE)
typedef struct tagCFG_ALARM_SHIELD_RULE_INFO 
{
    CFG_HIGH_FREQUENCY  stuHighFreq;                // Ƶα, һϱıԴ˹˶ڱƵϱϢ
}CFG_ALARM_SHIELD_RULE_INFO;

#define CFG_MAX_VIDEOIN_ANALYSER_NUM        3       // ÿƵͨڵƵ
#define CFG_MAX_ANALYSE_RULE_GROUP_NUM      8       // Ƶ

///@brief ܷ, һаͬ͵Ķ
typedef struct tagCFG_ANALYSERULE_GROUP
{
    DWORD				dwRuleType;					// ͣdhnetsdk.h"ܷ¼"
    int                 nRuleStructSize;            // ͶӦĹṹĴС, parseʱ, packetʱ
    BOOL                bEnable;                    // ʹ
    BOOL                bEventHandlerEnable;        // ʹ, TRUE鱨ʹ, йʹùͬ; FALSEʹùиԵ
    CFG_ALARM_MSG_HANDLE stuEventHandler;			// 鱨
    CFG_TIME_SCHEDULE   stuEventTimeSection;        // 鱨ʱ
    int                 nRuleNum;                   // , parseʱ, packetʱ
    char*               pRuleBuf;                   // 򻺳, Ҫûڴ, ڴŹϢ
                                                    // Ϊ, pRuleBufݾǶCFG_CROSSLINE_INFO
    int                 nRuleBufSize;               // 򻺳С, ûд
}CFG_ANALYSERULE_GROUP;

///@brief ƵϢ
typedef struct tagCFG_VIDEO_IN_ANALYSER_INFO
{
    CFG_ANALYSEGLOBAL_INFO  stuGlobal;              // ȫ
    CFG_ANALYSEMODULES_INFO stuModules;             // ģ
    CFG_ANALYSERULE_GROUP	stuRuleGroup[CFG_MAX_ANALYSE_RULE_GROUP_NUM]; // , ԪصĹ򻺳Ҫûڴ
    int                     nRuleGroupNum;          // 
}CFG_VIDEOIN_ANALYSER_INFO;

///@brief Ƶͨڵܹ, ýṹܴ, ʹʱڶзڴ
typedef struct tagCFG_VIDEO_IN_ANALYSE_RULE_INFO
{
    int                     nAnalyserNum;                               // 
    CFG_VIDEOIN_ANALYSER_INFO stuAnalysers[CFG_MAX_VIDEOIN_ANALYSER_NUM]; // Ϣ
}CFG_VIDEOIN_ANALYSE_RULE_INFO;
///@brief ģʽ
typedef enum tagEM_CFG_ACCESS_WORD_MODE
{
    EM_CFG_ACCESS_WORD_MODE_UNKNOWN,                // δ֪
    EM_CFG_ACCESS_WORD_MODE_NORMAL,                 // "Normal" ģʽ
    EM_CFG_ACCESS_WORD_MODE_CLEAN,                  // "Clean"  ɨģʽ
    EM_CFG_ACCESS_WORD_MODE_DECORATION,             // "Decoration"  װģʽ
    EM_CFG_ACCESS_WORD_MODE_UNUSED,                 // "Unused" ͣģʽ
    EM_CFG_ACCESS_WORD_MODE_OUTSTANDING,            // "Outstanding" Ƿģʽ
}EM_CFG_ACCESS_WORD_MODE;

///@brief ģʽ(Ӧ CFG_CMD_ACCESS_WORK_MODE)
typedef struct tagCFG_ACCESS_WORK_MODE_INFO 
{
    EM_CFG_ACCESS_WORD_MODE  emMode;                // ģʽ
}CFG_ACCESS_WORK_MODE_INFO;

///@brief ԽԶ̷ʱ
typedef struct tagCFG_VIDEO_TALK_TIME_LIMIT
{
    int                                 nMaxRingingTime;      // ʱʱԶҶ, 1-600
    int                                 nMaxConnectingTime;   // ͨʱʱԶҶ, 1-600
    UINT                                nMaxLeaveWordTime;    // Զʱ,ʱԶ1-600
} CFG_VIDEO_TALK_TIME_LIMIT;

///@brief Զ豸
typedef enum tagEM_CFG_VT_TYPE
{
    EM_CFG_VT_TYPE_VTH = 0,                                   // VTH
    EM_CFG_VT_TYPE_VTO,                                       // VTO
    EM_CFG_VT_TYPE_VTS,                                       // VTS
    EM_CFG_VT_TYPE_MAX = 3,
} EM_CFG_VT_TYPE;

///@brief ƵԽ绰ͨ(CFG_CMD_VIDEO_TALK_PHONE_GENERAL)
typedef struct tagCFG_VIDEO_TALK_PHONE_GENERAL
{
    char                                szRingFile[MAX_PATH];               // ļ·
    int                                 nRingVolume;                        // , 0-100
    int                                 nTalkVolume;                        // ͨ, 0-100
    CFG_NET_TIME                        stuDisableRingStartTime;            // ſʼʱ
    CFG_NET_TIME                        stuDisableRingEndTime;              // Žʱ
    CFG_VIDEO_TALK_TIME_LIMIT           stuTimeLimit[EM_CFG_VT_TYPE_MAX];   // ÿԪضӦһԶ豸ͣǰֻVTSЧ
                                                                            // 0-VTH,1-VTO,2-VTS
    int                                 nMaxMonitorTime;                    // ԤʱʱԶ, 1-600
    int                                 nMaxRecordTime;                     // ¼ʱʱԶ, 15-300
    BOOL                                bSnapEnable;                        // ץͼʹ
                                                                            // ץͼϴ·RecordStoragePointEventSnapShot
    BOOL                                bRingSoundEnable;                   // ʹ
    char                                szVthRingFile[CFG_COMMON_STRING_128];   // ڻڻеļ
    UINT                                nVthRingVolume;                     // ڻڻ
    BOOL                                bLeaveMsgSoundEnable;               // Ӱʾʹ
    BOOL                                bSilenceEnable;                     // Ƿ
    UINT                                nMaxMonitorIPCTime;                 // IPCԤʱʱԶ0-10Сʱ,λΪ
    UINT                                nReviseTime;                        // ʱʹãϵͳʱıʱ,ʱµŽʱ,λ
    BOOL                                bTalkRecordUpload;                  // м¼Ƿϴ
    UINT                                nSnapShotCount;                     // ץͼƬ1-5
    BOOL                                bRemoteControl;                     // ǷԶ̿Ʋ
                                                                            // trueʱ,ڿͻ˿Զ̲豸ܼҾ豸豸Ĳ
    BOOL                                bLeaveMessageEnable;                // Լ¼Ƿ
    BOOL                                bLeaveMessageUpload;                // Լ¼Ƿϴ
    BOOL                                bLocalVideoEnable;                  // ƵǷ
    BOOL                                bPublishInfoOverlayingEnable;       // Ϣʹܿ                                 
} CFG_VIDEO_TALK_PHONE_GENERAL;

///@brief ץͼϳ
typedef struct tagCFG_TRAFFIC_SNAP_MOSAIC_INFO
{
    BOOL                                bEnable;                            // ǷͼƬϳ
    int                                 nPicCompressRate;                   // ͼƬѹȣ10-100
    BOOL                                bUploadNormalSnap;                  // ǷϴԭʼͼƬ
} CFG_TRAFFIC_SNAP_MOSAIC_INFO;

// ͨץĴ
#define TRAFFIC_SNAP_COUNT 4

///@brief ץãӦһ
typedef struct tagCFG_SNAPSHOT_RULE
{
    int                                 nType;                              //  dhnetsdk.h Сܷ¼͡궨
    int                                 nRepeatInterval;                    // 1~1440λӣĬ1440
    int                                 nSnapShotType[TRAFFIC_SNAP_COUNT];  // ץ飬0δ壬12Զ
    int                                 nSingleInterval[TRAFFIC_SNAP_COUNT];// ץͼʱ飬
                                                                            // һʱ䣺5~180 Ĭ10 ΥͣЧλ
                                                                            // ڶĸʱ䣺1~60Ĭ20
} CFG_SNAPSHOT_RULE;

///@brief ץãӦһ
typedef struct tagCFG_SCENE_SNAPSHOT_RULE
{
    int                                 nPresetID;                          // Ԥõ
    int                                 nCount;                             // 
    CFG_SNAPSHOT_RULE                   stRule[32];                         // 
} CFG_SCENE_SNAPSHOT_RULE;

///@brief ץ
typedef struct tagCFG_SCENE_SNAPSHOT_RULE_INFO
{
    int                                 nCount;                             // 
    CFG_SCENE_SNAPSHOT_RULE             stScene[32];                        // 
} CFG_SCENE_SNAPSHOT_RULE_INFO;

#define CFG_MAX_PTZTOUR_NUM             64          // Ѳ·
#define CFG_MAX_PTZTOUR_PRESET_NUM      64          // Ѳ·Ԥõ

///@brief Ѳ·еԤõ
typedef struct tagCFG_PTZTOUR_PRESET 
{
    int             nPresetID;              // Ԥõ
    int             nDuration;              // ڸԤõͣʱ, λ
    int             nSpeed;                 // Ԥõתٶ, 1~10
	BOOL            bEnable;                // Ԥõ۽ʹܣ0Ϊʹܣ1Ϊʹ
} CFG_PTZTOUR_PRESET;

///@brief Ѳ·
typedef struct tagCFG_PTZTOUR_SINGLE 
{
    BOOL                        bEnable;                                    // ʹ
    char                        szName[CFG_COMMON_STRING_64];               // 
    int                         nPresetsNum;                                // Ԥõ
    CFG_PTZTOUR_PRESET          stPresets[CFG_MAX_PTZTOUR_PRESET_NUM];      // ·Ԥõ
} CFG_PTZTOUR_SINGLE;

///@brief ̨Ѳ·
typedef struct tagCFG_PTZTOUR_INFO 
{
    int                         nCount;                                     // Ѳ·
    CFG_PTZTOUR_SINGLE          stTours[CFG_MAX_PTZTOUR_NUM];               // Ѳ·, ÿͨѲ·
} CFG_PTZTOUR_INFO;

///@brief ſڻ
typedef enum tagEM_CFG_VTO_TYPE
{
    EM_CFG_VTO_TYPE_UNKNOW =0   , //δ֪
    EM_CFG_VTO_TYPE_VTO         , //Ԫſڻ
    EM_CFG_VTO_TYPE_WALL        , //Χǽ
	EM_CFG_VTO_TYPE_MAX			,
}EM_CFG_VTO_TYPE;

///@brief ſڻϢ
typedef struct tagCFG_VTO_INFO 
{
    BOOL            bEnable;                                    // ʹ
    char            szID[CFG_COMMON_STRING_64];                 // ſڻʶ
    char            szIP[CFG_COMMON_STRING_64];                 // IPַ
    unsigned int    nPort;                                      // ˿
    EM_CFG_VTO_TYPE emType;                                     // ſڻ
    char            szMidNum[CFG_COMMON_STRING_32];             // ſڻк
    char            szMachineAddress[CFG_COMMON_STRING_128];    // ſڻλ
    char            szLoginUsername[CFG_COMMON_STRING_32];      // ¼û
    char            szLoginPassWord[CFG_COMMON_STRING_32];      // ¼    
    char            szRingFile[CFG_COMMON_STRING_256];          //ſڻڻڻļ	
    int             nRingVolume;                                // ڻС
    
    BYTE            byReserved[4];                              // ֽڶ
    BOOL            bUseEx;                                     // չûǷЧ
    char            szLoginUsernameEx[CFG_COMMON_STRING_128];   // ¼ûչ豸ǰ֧32λҲ'\0'ĶΪ˼豸 
    char            szLoginPassWordEx[CFG_COMMON_STRING_128];   // ¼չ豸ǰ֧32λҲ'\0'ĶΪ˼豸
}CFG_VTO_INFO;

///@brief ſڻϢб
typedef struct tagCFG_VTO_LIST 
{
    int             nVTONum;                            // ſڻ
    CFG_VTO_INFO    stuVTOInfos[CFG_MAX_VTO_NUM];       // ſڻϢ
}CFG_VTO_LIST;

///@brief 
typedef struct tagCFG_TS_POINT
{
    unsigned int     nX;     //귶Χ[0 - 65535]
    unsigned int     nY;     //귶Χ[0 - 65535]
}CFG_TS_POINT;

///@brief У׼
typedef struct tagCFG_TSPOINT_INFO
{
    CFG_TS_POINT         stDisplay[TS_POINT_NUM];         //ʾ,ֻ֧3
    CFG_TS_POINT         stScreen[TS_POINT_NUM];          //Ļ,ֻ֧3
}CFG_TSPOINT_INFO;

///@brief ڻ
typedef enum tagEM_CFG_VTH_TYPE
{
    EM_CFG_VTH_TYPE_UNKNOW=0 ,   // δ֪
    EM_CFG_VTH_TYPE_MAIN     ,   // ڻ
    EM_CFG_VTH_TYPE_SUB      ,   // ڻ
}EM_CFG_VTH_TYPE;

///@brief 豸ʹó
typedef enum tagEM_CFG_VTH_APPTYPE
{
    EM_CFG_VTH_APPTYPE_UNKNOW=0 , //δ֪
    EM_CFG_VTH_APPTYPE_COMMON   , //ڻ
    EM_CFG_VTH_APPTYPE_MANAGER  , //
}EM_CFG_VTH_APPTYPE;

///@brief ڻϢ
typedef struct tagCFG_VTH_NUMBER_INFO
{
    char                szShortNumber[CFG_COMMON_STRING_32];    // ̺ Χ[1,9999],ʾͬڻ;ڷֻ,̺Ϊ"9901-N" NΪ1,2,3.
    char                szMiddleNumber[CFG_COMMON_STRING_32];   // к ʽ:С(1λ)(2λ)Ԫ(1λ)̺(4λ)
    char                szVirtualNumber[CFG_COMMON_STRING_32];  // ڻ ʱ,豸ĺ룬ֻͬ
    EM_CFG_VTH_TYPE     emVthType;                              // ڻ
    char                szMainNumber[CFG_COMMON_STRING_32];     //  Χ[1,9999] emVthTypeΪEM_CFG_VTH_TYPE_SUBʱЧ 
    char                szSubNumber[CFG_COMMON_STRING_32];      // ֻ   Χ[1,5]    emVthTypeΪEM_CFG_VTH_TYPE_SUBʱЧ
    char                szMainDeviceIP[CFG_COMMON_STRING_64];   // ڻIP  ڵͬڻ emVthType EM_CFG_VTH_TYPE_SUBʱЧ
    EM_CFG_VTH_APPTYPE  emVthAppType;                           // 豸ʹó
	int					nLockState;								// ״̬0ʾ,Ĭֵ; 1ʾ
	char			    szUsername[MAX_USERNAME_LEN];			// û
	char				szPassword[MAX_PASSWORD_LEN];			// 
}CFG_VTH_NUMBER_INFO;

///@brief GPSģʽ
typedef enum tagEM_CFG_GPS_MODE
{
    EM_CFG_GPS_MODE_UNKNOWN,
    EM_CFG_GPS_MODE_GPS,                                                    // GPS
    EM_CFG_GPS_MODE_BEIDOU,                                                 // BEIDOU
    EM_CFG_GPS_MODE_GLONASS,                                                // GLONASS
    EM_CFG_GPS_MODE_MIX,                                                    // MIX
    EM_CFG_GPS_MODE_END = 5,                                                    // ڱʶ
} EM_CFG_GPS_MODE;

///@brief ƽ̨
typedef enum tagEM_CFG_TRANSFER_PLATFORM
{
    EM_CFG_TRANSFER_PLATFORM_UNKNOWN,
    EM_CFG_TRANSFER_PLATFORM_DSS,                                           // DSS
    EM_CFG_TRANSFER_PLATFORM_JTBB,                                          // JTBB
    EM_CFG_TRANSFER_PLATFORM_END = 3,                                           // ڱʶ
} EM_CFG_TRANSFER_PLATFORM;

///@brief GPS
typedef struct tagCFG_GPS_INFO
{
    BOOL                        bEnable;                                    // Ƿʹ
    int                         nSampleInterval;                            // Ӳɼ, λ
    int                         nNotifyInterval;                            // Ӧó֪ͨ, λ
    BOOL                        bSyncTime;                                  // ǷGPSʱͬ豸
    EM_CFG_GPS_MODE             emCurMode;                                  // ģ鵱ǰģʽ
    int                         nSupportModes;                              // ֵ֧Ķλģʽ
    EM_CFG_GPS_MODE             emSupportModes[EM_CFG_GPS_MODE_END];        // ģֵ֧Ķλģʽ
    char                        szCurModule[CFG_COMMON_STRING_64];          // ǰģ鳧ͱ־
    BOOL                        bShowLocation;                              // Ƿֵ֧λʾ
    int                         nSaveDays;                                  // GPSڲ, λ죬Χ0-365
    int                         nTransferPlatform;                          // ֲ֧ƽ̨
    EM_CFG_TRANSFER_PLATFORM    emTransferPlatform[EM_CFG_TRANSFER_PLATFORM_END];   // ֲ֧ƽ̨ݽշ
} CFG_GPS_INFO;

#define CFG_GPS_INFO_MAX        16

///@brief GPS
typedef struct tagCFG_GPS_INFO_ALL
{
    int                         nGps;                                       // GPS
    CFG_GPS_INFO                stGps[CFG_GPS_INFO_MAX];                    // GPS, ÿGPS豸Ӧһ
} CFG_GPS_INFO_ALL;


///@brief VTO豸
typedef enum tagNET_CFG_VTO_TYPE
{
	NET_CFG_VTO_TYPE_UNKNOWN = 0,							// δ֪
	NET_CFG_VTO_TYPE_VILLA,									// 1 
	NET_CFG_VTO_TYPE_DOOR,                                  // 2 ſڻ
	NET_CFG_VTO_TYPE_LADDER,                                // 3 ݿػ
    NET_CFG_VTO_TYPE_APART,                                 // 4 ģ黯ſڻ
    NET_CFG_VTO_TYPE_SECOND,                                // 5 ȷϻ
    NET_CFG_VTO_TYPE_FACE,                                  // 6 ¼
    NET_CFG_VTO_TYPE_CONTROLLER,                            // 7 
	NET_CFG_VTO_TYPE_MAX,
} NET_CFG_VTO_TYPE;

///@brief ſڻ

///@brief VTOϢ
typedef struct tagCFG_VTO_BASIC_INFO
{
	 char			  szNumber[AV_CFG_DeviceNo_Len];	// ſڻ
	 NET_CFG_VTO_TYPE emCfgVtoType;						// 豸
	 EM_CFG_VTO_TYPE  emType;							// ſڻ 1Ԫſڻ 2Χǽ
	 char			  szAnalogVersion[CFG_COMMON_STRING_64]; // ģϵͳ汾
	 BOOL			  bFaceDetect;						// Ŀʶʹ 1 0ر
	 int			  nPositon;							// VTO¥λ Int32, 0 ʾЧ												
														// 1,2,ʾһ㣬 -1,-2,ʾһ㣬
}CFG_VTO_BASIC_INFO;
///@brief ص
typedef enum tagEM_CFG_SHORTCUT_CALL_POSITION_TYPE
{
    EM_CFG_SHORTCUT_CALL_POSITION_TYPE_UNKNOWN,         // δ֪
    EM_CFG_SHORTCUT_CALL_POSITION_TYPE_SUPERMARKET,     // 
    EM_CFG_SHORTCUT_CALL_POSITION_TYPE_RESTAURANT,      // 
    EM_CFG_SHORTCUT_CALL_POSITION_TYPE_HOSPITAL,        // ҽԺ
    EM_CFG_SHORTCUT_CALL_POSITION_TYPE_MANAGER,         // 
    EM_CFG_SHORTCUT_CALL_POSITION_TYPE_CUSTOM,          // Զ
    EM_CFG_SHORTCUT_CALL_POSITION_TYPE_FRUITSTORE,      // ˮ
}EM_CFG_SHORTCUT_CALL_POSITION_TYPE;

///@brief ݺϢ
typedef struct tagCFG_SHORTCUT_CALL
{
    char			                    szCallNumber[CFG_COMMON_STRING_64];	// ݺ
    EM_CFG_SHORTCUT_CALL_POSITION_TYPE  emPositionType;						// ص
}CFG_SHORTCUT_CALL;

///@brief ݺ
typedef struct tagCFG_SHORTCUT_CALL_INFO
{
    int                 nMaxNum;                        // ṹ pShortcutCallInfo ָṹһ
    CFG_SHORTCUT_CALL*  pShortcutCallInfo;              // ڴ洢ݺϢĽṹָ룬û
    int                 nValidNum;                      // Чṹȡʱsdkдʱûд
}CFG_SHORTCUT_CALL_INFO;

///@brief ¼GPSLocationİ汾
typedef struct tagCFG_LOCATION_VER_INFO
{
    unsigned int        nVer;                           // 汾
} CFG_LOCATION_VER_INFO;

///@brief 豸ɷʵַ CFG_CMD_PARKING_SPACE_ACCESS_FILTER
typedef struct tagCFG_PARKING_SPACE_ACCESS_FILTER_INFO
{
    BOOL                    bEnable;                                                // ʹ
    int                     nTrustListNum;                                          // IP
    char                    szTrustList[CFG_MAX_TRUST_LIST][CFG_FILTER_IP_LEN];	    //  һ飬ÿһIP
} CFG_PARKING_SPACE_ACCESS_FILTER_INFO;

///@brief ʱ CFG_CMD_WORK_TIME
typedef struct tagCFG_WORK_TIME_INFO
{
    BOOL                bEnable;                        // ΪTRUEʱЧǹʱϱDH_ALARM_BUS_DRIVE_AFTER_WORK¼ΪFALSEʱЧ
    CFG_TIME            stWorkTimeBegin;                // ʼʱ
    CFG_TIME            stWorkTimeEnd;                  // ʱ
    DWORD               dwOutTimeBegin;                 // ʼάʱ, utc
    DWORD               dwOutTimeEnd;                   // άʱ, utc
} CFG_WORK_TIME_INFO;

///@brief λ״̬
typedef enum tagEM_CFG_LANE_STATUS
{
    EM_CFG_LANE_STATUS_UNKOWN = -1,                     // ״̬δ֪
    EM_CFG_LANE_STATUS_UNSUPERVISE = 0,                 // 
    EM_CFG_LANE_STATUS_SUPERVISE = 1,                   // 
}EM_CFG_LANE_STATUS;

#define MAX_LANES_NUM               64                  // ܳλ

///@brief λָʾƱ 
typedef struct tagCFG_PARKING_SPACE_LIGHT_GROUP_INFO
{
    BOOL                bEnable;                            // ΪTRUEʱЧΪFALSEʱЧ
    EM_CFG_LANE_STATUS  emLaneStatus[MAX_LANES_NUM];        // ܵĳλ±ʾλ
    int                 nLanesNum;                          // ЧĳλΪܻ򲻼ܵĳλ
    BOOL                bAcceptNetCtrl;                     // ǷԶ̿    
}CFG_PARKING_SPACE_LIGHT_GROUP_INFO;

#define MAX_LIGHT_GROUP_INFO_NUM        8                   // λָʾƱõ

///@brief λָʾƱ CFG_CMD_PARKING_SPACE_LIGHT_GROUP
typedef struct tagCFG_PARKING_SPACE_LIGHT_GROUP_INFO_ALL
{
    int                                         nCfgNum;                                            // ȡø
    CFG_PARKING_SPACE_LIGHT_GROUP_INFO          stuLightGroupInfo[MAX_LIGHT_GROUP_INFO_NUM];        // λָʾƱ
}CFG_PARKING_SPACE_LIGHT_GROUP_INFO_ALL;

///@brief ԶƵ(CFG_CMD_CUSTOM_AUDIO)
typedef struct tagCFG_CUSTOM_AUDIO 
{
    char                szPlateNotInDB[MAX_PATH];           // δݿĸ澯Ƶ·
}CFG_CUSTOM_AUDIO;


///@brief ״á
typedef struct tagCFG_RADAR_CARSPEED 
{
    int                 nTriggerLower;                  // ֵ
    int                 nTriggerUpper;                  // ֵ
    int                 nLimitLower;                    // ֵ
    int                 nLimitUpper;                    // ֵ
} CFG_RADAR_CARSPEED;

///@brief ״ CFG_CMD_DHRADER_PP
typedef struct tagCFG_DAHUA_RADAR
{
    int                 nAngle;                         // Ƕȣ״̽ͷװĽǶɵٶ λȣΧ0~45
    BOOL                bLowSpeed;                      // Ƿõ٣Ϊ TRUE ʱCFG_RADAR_CARSPEED ṹиֵЧ
    BOOL                bSpeedForSize;                  // ǷôС٣Ϊ FALSE ʱСٶãstuSmallCarSpeedЧ
    CFG_RADAR_CARSPEED  stuSmallCarSpeed;               // СٶãbSpeedForSize Ϊ TRUE ʱ nTriggerLower ԱͬʱҲгʹ󳵵Ĵֵ
    CFG_RADAR_CARSPEED  stuMediumCarSpeed;              // гٶãbSpeedForSize Ϊ TRUE ʱЧ nTriggerLower ԱʼЧ
    CFG_RADAR_CARSPEED  stuBigCarSpeed;                 // ٶãbSpeedForSize Ϊ TRUE ʱЧ nTriggerLower ԱʼЧ
    char                szName[256];                    // 豸װַ
    int                 nSensitivity;                   //  Χ0~50
    int                 nDetectMode;                    // ģʽȡֵ-1  0 ǰ 1 ǰȥ 2  3 ȥ 4 ǰ˫ 5 ˫
} CFG_DAHUA_RADAR;

///@brief 豸ͨwifiģɨΧ豸 CFG_CMD_WIFI_SEARCH
typedef struct tagCFG_WIFI_SEARCH_INFO
{
    BOOL                bEnable;                        // ǷЧ
    int                 nPeriod;                        // ¼ϱ, λ
	BOOL				bOptimizNotification;			// Ĭֵfalsefalseʱ豸״̬ÿξȫϱ,trueʱ豸״̬δPDOptimizationPeriodȡֵʱֻϱ/뿪豸״̬PDOptimizationPeriodȡֵʱϱȫ豸״̬

} CFG_WIFI_SEARCH_INFO;

///@brief 豸ͨģ34Gлʹ(CFG_CMD_G3G4AUTOCHANGE)       
typedef struct tagCFG_G3G4AUTOCHANGE
{
    BOOL                bEnable;                            // Ƿ3G4GԶл  ΪTRUEʱЧΪFALSEʱЧ       
}CFG_G3G4AUTOCHANGE;


#define MAX_POS_CODE_LENGTH             32                                      // ˢУ󳤶
#define MAX_ARRAY_POS_CODE              10                                      // ˢУ

///@brief ˢУУ(Ӧ CFG_CMD_CHECKCODE)
typedef struct tagCFG_CHECKCODE_INFO 
{
    BOOL                    bEnable;                                            // ʹ
    int                     nCodeCount;                                         //  Чֵ ĸ
    char                    szCode[MAX_ARRAY_POS_CODE][MAX_POS_CODE_LENGTH];    // ˢУ
}CFG_CHECKCODE_INFO;

///@brief Ĵƶƽ̨(Ӧ CFG_CMD_VSP_SCYDKD)
typedef struct tagCFG_VSP_SCYDKD_INFO
{
    BOOL                    bEnable;                            // ʹ
    char                    szServerIP[128];                    // עķIPַ
    int                     nServerPort;                        // עķ˿ں
    char                    szDeviceID[32];                     // Ƶ豸ID
    char                    szUserName[32];                     // ƽ̨û
}CFG_VSP_SCYDKD_INFO;

///@brief ̨
typedef struct tagCFG_PTZ_POWERUP_INFO 
{
    BOOL                    bEnable;                            // ر־
    int                     nFunction;                          // ܣ-1 ʾϵǰĶȡֵ EM_PTZ_ACTION
    int                     nScanId;                            // Զɨ
    int                     nPresetId;                          // Ԥõ
    int                     nPatternId;                         // ԶѲ
    int                     nTourId;                            // Ѳ
} CFG_PTZ_POWERUP_INFO;

// VTHԶIPC
#define MAX_REMOTE_IPC_NUM 64    // õԶIPC

///@brief ԶIPCЭ
typedef enum tagEM_CFG_REMOTE_IPC_DEVICE_PROTOCOL
{
    EM_CFG_REMOTE_IPC_DEVICE_PROTOCOL_UNKNOWN = 0,      // δ֪
    EM_CFG_REMOTE_IPC_DEVICE_PROTOCOL_HIKVISION,        // 
    EM_CFG_REMOTE_IPC_DEVICE_PROTOCOL_PRIVATE3,         // ˽Э
}EM_CFG_REMOTE_IPC_DEVICE_PROTOCOL;

///@brief ԶIPC
typedef enum tagEM_CFG_REMOTE_IPC_DEVICE_STREAMTYPE
{
    EM_CFG_REMOTE_IPC_DEVICE_STREAM_TYPE_UNKNOWN = 0,      // δ֪
    EM_CFG_REMOTE_IPC_DEVICE_STREAM_TYPE_MAIN,             // 
    EM_CFG_REMOTE_IPC_DEVICE_STREAM_TYPE_EXTRA1,           // 
}EM_CFG_REMOTE_IPC_DEVICE_STREAMTYPE;

#define MAX_REMOTEIPCINFO_IPADDR_LEN        128     // ԶIPC IPַ󳤶
#define MAX_REMOTEIPCINFO_MACADDR_LEN       64      // ԶIPC MACַ󳤶
#define MAX_REMOTEIPCINFO_USERNAME_LEN      128     // ԶIPCû󳤶
#define MAX_REMOTEIPCINFO_USERPSW_LENGTH    128     // ԶIPC󳤶

///@brief ԶIPC豸
typedef enum tagEM_CFG_REMOTE_IPC_RELY_TYPE
{
    EM_CFG_REMOTE_IPC_RELY_TYPE_UNKNOWN = 0,      // δ֪
    EM_CFG_REMOTE_IPC_RELY_TYPE_IPC,              // IPC
    EM_CFG_REMOTE_IPC_RELY_TYPE_NVR,              // NVR
}EM_CFG_REMOTE_IPC_RELY_TYPE;

///@brief ԶIPCϢ
typedef struct tagCFG_REMOTE_IPC_INFO
{
    char		                        szIP[MAX_REMOTEIPCINFO_IPADDR_LEN];	            // 豸IP
    char                                szMac[MAX_REMOTEIPCINFO_MACADDR_LEN];           // MACַ
    char		                        szUser[MAX_REMOTEIPCINFO_USERNAME_LEN];	        // û
	char		                        szPassword[MAX_REMOTEIPCINFO_USERPSW_LENGTH];   // 
	int	                                nPort;					                        // ˿
	EM_CFG_REMOTE_IPC_DEVICE_PROTOCOL   emProtocol;                                     // Э
	EM_CFG_REMOTE_IPC_DEVICE_STREAMTYPE emStreamType;                                   // ý
	int                                 nChannel;                                       // ͨ
	EM_CFG_REMOTE_IPC_RELY_TYPE         emIPCRely;                                      // 豸
}CFG_REMOTE_IPC_INFO;

///@brief VTHԶIPCýṹ, Ӧ CFG_CMD_VTH_REMOTE_IPC_INFO
///@brief ȫֵģͨ
typedef struct tagCFG_VTH_REMOTE_IPC_INFO
{
    int nRemoteIPCNum;                                              // ԶIPC
    CFG_REMOTE_IPC_INFO stuCfgRemoteIpcInfo[MAX_REMOTE_IPC_NUM];    // ԶIPCϢ
}CFG_VTH_REMOTE_IPC_INFO;

///@brief оҹʱ
typedef struct tagDAYNIGHT_INFO
{
    int                     nType;                              // лͣ1 - ӣ2 - еͨ˹ƬICR
    int                     nMode;                              // תģʽ1-ǲɫ2-Զл3-Ǻڰף4-裬5-л6-ⲿ룬7CⲿIO
    int                     nSensitivity;                       // תȣȡֵ 0~7
    int                     nDelay;                             // ҹģʽлʱʱ䣬ȡֵ3~30λ
} DAYNIGHT_INFO;

///@brief оҹ
typedef struct tagCFG_VIDEOIN_DAYNIGHT_INFO
{
    DAYNIGHT_INFO           stuSection[VIDEOIN_TSEC_NUM];       // ͬʱã˳ֱӦͨ졢ҹ
} CFG_VIDEOIN_DAYNIGHT_INFO;

///@brief Ƶͨ
typedef struct tagCFG_AUDIO_MIX_CHANNEL_INFO
{
    int                    nChannelNum;                              // Ƶͨ
    int                    nCombination[32];                         // Ƶͨб
}CFG_AUDIO_MIX_CHANNEL_INFO;

///@brief öÿƵͨ(Ӧ CFG_CMD_AUDIO_MIX_CHANNEL)
typedef struct tagCFG_AUDIO_MIX_CHANNEL_INFO_ALL
{

    int                           nMixChnInfoNum;                     // Ƶͨø
    CFG_AUDIO_MIX_CHANNEL_INFO    stuMixChnInfo[16];                  // Ƶͨ 
}CFG_AUDIO_MIX_CHANNEL_INFO_ALL;

#define CFG_AUDIOTOUCH_PITCH_INVALID_VALUE    -999                    //еnPitchЧֵ
#define CFG_AUDIOTOUCH_PITCH_MIN_VALUE        -50                     //еnPitchСֵ
#define CFG_AUDIOTOUCH_PITCH_MAX_VALUE         50                     //еnPitchֵ
///@brief Ƶͨ
typedef struct tagCFG_AUDIO_TOUCH_INFO
{
    int                           nPitch;                             // ֵ -50~50,0ʾ  ͨûбʱnPitchΪЧֵ CFG_AUDIOTOUCH_INVALID_VALUE     
}CFG_AUDIO_TOUCH_INFO;

///@brief Ƶͨ (Ӧ CFG_CMD_AUDIO_TOUCH)
typedef struct tagCFG_AUDIO_TOUCH_INFO_ALL
{
    BOOL                          bEnable;                            // ʹ
    int                           nAudioTouchNum;                     // Ƶͨø
    CFG_AUDIO_TOUCH_INFO          stuTouchInfo[64];                   // Ƶͨ
}CFG_AUDIO_TOUCH_INFO_ALL;

///@brief 齹
typedef struct tagCFG_UNFOCUSDETECT_INFO
{
    BOOL                    bEnable;                        //齹ʹܣTRUE FALSE ر
    int                     nSensitivity;                   //    1~100
    CFG_ALARM_MSG_HANDLE    stuEventHandler;			    //
    CFG_TIME_SECTION	    stuTimeSection[WEEK_DAY_NUM][MAX_REC_TSECT];   // ¼ӦʱΣʱλȡԴ˳ԱΪ׼ stuEventHandler е stuTimeSection
}CFG_UNFOCUSDETECT_INFO;


/*ƵˣPrivacyMasking(̨˽ڵ)Ĳڣ
VideoMosaicӵλǹ̶ģ̨ӵ
̨תᷴƫƣʼڵסͬһ塣*/
///@brief ˵(ӦCFG_CMD_VIDEO_MOSAIC)
typedef struct tagCFG_VIDEO_MOSAIC_INFO
{
	BOOL			bEnable;					// ˵ʹ
	int				nMosaic;					// ˿СȡֵԽԭʼͼԽ󣬷֮Խӽ
	int				nRectCount;					// ʵõ
	CFG_RECT		stuRect[MAX_RECT_COUNT];	// ,ʹϵȡֵΪ0~8192
} CFG_VIDEO_MOSAIC_INFO;

///@brief 
typedef struct tagCFG_MOVE_DETECT_INFO
{
	BOOL					bEnable;			// ʹ
	int						nSensitivity;		// , 0~100
	CFG_ALARM_MSG_HANDLE	stuEventHandler;	// Ϣ
} CFG_MOVE_DETECT_INFO;
///@brief ģʽ
typedef enum tagEM_CFG_ATMCONTROLLER_MODE
{
    EM_CFG_ATMCONTROLLER_MODE_UNKNOWN = 0,        //δ֪
    EM_CFG_ATMCONTROLLER_MODE_CLOSE,              //ر
    EM_CFG_ATMCONTROLLER_MODE_OPEN,               //
    EM_CFG_ATMCONTROLLER_MODE_LINKAGE,            //̽ģʽ
}EM_CFG_ATMCONTROLLER_MODE;

///@brief ƿ
typedef struct tagCFG_FLOODLIGHT_CONTROLMODE_INFO
{
    EM_CFG_ATMCONTROLLER_MODE emControlMode;          //ģʽ
}CFG_FLOODLIGHT_CONTROLMODE_INFO;

///@brief շȿ
typedef struct tagCFG_AIRFAN_CONTROLMODE_INFO
{
    EM_CFG_ATMCONTROLLER_MODE emControlMode;          //ģʽ
}CFG_AIRFAN_CONTROLMODE_INFO;

///@brief EAP
typedef enum tagEM_CFG_EAP_METHOD
{
    EM_CFG_EAP_METHOD_UNKNOWN,                            // UnKnown
    EM_CFG_EAP_METHOD_PEAP,                               // PEAP
    EM_CFG_EAP_METHOD_TLS,                                // TLS
    EM_CFG_EAP_METHOD_TTLS,                               // TTLS
} EM_CFG_EAP_METHOD;

///@brief EAP֤
typedef enum tagEM_CFG_EAP_AUTH_TYPE
{
    EM_CFG_EAP_AUTH_TYPE_UNKNOWN,                            // UnKnown
    EM_CFG_EAP_AUTH_TYPE_NONE,                               // NONE
    EM_CFG_EAP_AUTH_TYPE_PAP,                                // PAP
    EM_CFG_EAP_AUTH_TYPE_MSCHAP,                             // MSCHAP
    EM_CFG_EAP_AUTH_TYPE_MSCHAPV2,                           // MSCHAPV2
    EM_CFG_EAP_AUTH_TYPE_GTC,                                // GTC
} EM_CFG_EAP_AUTH_TYPE;

///@brief 豸֤ʽ
typedef enum tagEM_CFG_WIRELESS_AUTHENTICATION
{
    EM_CFG_WIRELESS_AUTHENTICATION_UNKNOWN,                             // UnKnown
    EM_CFG_WIRELESS_AUTHENTICATION_OPEN,                                // OPEN
    EM_CFG_WIRELESS_AUTHENTICATION_SHARED,                              // SHARED
    EM_CFG_WIRELESS_AUTHENTICATION_WPA,                                 // WPA
    EM_CFG_WIRELESS_AUTHENTICATION_WPAPSK,                              // WPA-PSK
    EM_CFG_WIRELESS_AUTHENTICATION_WPA2,                                // WPA2
    EM_CFG_WIRELESS_AUTHENTICATION_WPA2PSK,                             // WPA2-PSK
    EM_CFG_WIRELESS_AUTHENTICATION_WPANONE,                             // WPA-NONE
    EM_CFG_WIRELESS_AUTHENTICATION_WPAPSK_WPA2PSK,                      // WPA-PSK|WPA2-PSK
    EM_CFG_WIRELESS_AUTHENTICATION_WPA_WPA2,                            // WPA|WPA2
    EM_CFG_WIRELESS_AUTHENTICATION_WPA_WPAPSK,                          // WPA | WPA-PSK
    EM_CFG_WIRELESS_AUTHENTICATION_WPA2_WPA2PSK,                        // WPA2|WPA2-PSK
    EM_CFG_WIRELESS_AUTHENTICATION_WPA_WPAPSK_WPA2_WPA2PSK,             // WPA|WPA-PSK|WPA2|WPA2-PSK
} EM_CFG_WIRELESS_AUTHENTICATION;

///@brief ݼܷʽ
typedef enum tagEM_CFG_WIRELESS_DATA_ENCRYPT
{
    EM_CFG_WIRELESS_DATA_ENCRYPT_UNKNOWN,                            // UnKnown
    EM_CFG_WIRELESS_DATA_ENCRYPT_NONE,                               // NONE
    EM_CFG_WIRELESS_DATA_ENCRYPT_WEP,                                // WEP
    EM_CFG_WIRELESS_DATA_ENCRYPT_TKIP,                               // TKIP
    EM_CFG_WIRELESS_DATA_ENCRYPT_AES,                                // AES(CCMP)
    EM_CFG_WIRELESS_DATA_ENCRYPT_TKIP_AES,                           // TKIP+AES
} EM_CFG_WIRELESS_DATA_ENCRYPT;

///@brief WLANEAP
typedef struct tagCFG_WLAN_EAP
{
    EM_CFG_EAP_METHOD       emMethod;                           // EAP
    EM_CFG_EAP_AUTH_TYPE    emAuthType;                         // EAP֤
    char                    szIdentity[MAX_USERNAME_LEN];       // 
    char                    szAnonymousID[MAX_USERNAME_LEN];    // 
    char                    szPassword[MAX_PASSWORD_LEN];       // 
    char                    szCaCert[512];                      // CA֤
    char                    szUserCert[512];                    // û֤ 
} CFG_WLAN_EAP;

///@brief WLANNetwork
typedef struct tagCFG_WLAN_NETWORK
{
    char                    szIPAddress[AV_CFG_IP_Address_Len_EX];        // IP
    char                    szSubnetMask[AV_CFG_IP_Address_Len_EX];       // 
    char                    szDefaultGateway[AV_CFG_IP_Address_Len_EX];   // 
    BOOL                    bDhcpEnable;                              // ǷDHCP
    char                    szDnsServers[2][AV_CFG_IP_Address_Len_EX];    // DNS
} CFG_WLAN_NETWORK;

///@brief WLAN
typedef struct tagCFG_WLAN_INFO
{
    char                    szWlanName[CFG_COMMON_STRING_32];   // Wlan, ֻܻȡ޸
    BOOL                    bEnable;                            // WIFIʹܿ, TRUE, FALSEر
    char                    szSSID[CFG_MAX_SSID_LEN];           // (SSID)
    BOOL                    bConnectEnable;                     // ֶӿ, TRUEֶ, FALSEֶϿ
    BOOL                    bLinkEnable;                        // Զӿ, TRUEԶ, FALSEԶ, IPC
    int                     nLinkMode;                          // ģʽ, 0: auto, 1: adhoc, 2: Infrastructure
    int                     nEncryption;                        // ģʽ, 0: off, 1: on, 2: WEP64, 3: WEP128, 4: WPA-PSK-TKIP, 5: WPA-PSK-AES, 6: WPA2-PSK-TKIP, 7: WPA2-PSK-AES, 8: WPA-TKIP, 9: WPA-AES, 
																// 10: WPA2-TKIP, 11: WPA2-AES, 12: AUTO
                                                                /* byAuthMode  , byEncrAlgr  ӳϵ
                                                                * Authentication֤ʽ	DataEncryptionݼܷʽ	Encryptionģʽ						
                                                                * OPEN                    NONE                        "On" 							
                                                                * OPEN                    WEP                         "WEP-OPEN"							
                                                                * SHARD                   WEP                         "WEP-SHARED"						
                                                                * WPA                     TKIP                        "WPA-TKIP"							
                                                                * WPA-PSK                 TKIP                        "WPA-PSK-TKIP"						
                                                                * WPA2                    TKIP                        "WPA2-TKIP"							
                                                                * WPA2-PSK                TKIP                        "WPA2-PSK-TKIP"						
                                                                * WPA                     AES(CCMP)                   "WPA-AES"							
                                                                * WPA-PSK                 AES(CCMP)                   "WPA-PSK-AES"						
                                                                * WPA2                    AES(CCMP)                   "WPA2-AES"							
                                                                * WPA2-PSK                AES(CCMP)                   "WPA2-PSK-AES"					
                                                                * WPA                     TKIP+AES( mix Mode)         "WPA-TKIP""WPA-AES"				
                                                                * WPA-PSK                 TKIP+AES( mix Mode)         "WPA-PSK-TKIP""WPA-PSK-AES"		
                                                                * WPA2                    TKIP+AES( mix Mode)         "WPA2-TKIP""WPA2-AES"			
                                                                * WPA2-PSK                TKIP+AES( mix Mode)         "WPA2-PSK-TKIP""WPA2-PSK-AES"			
                                                                * WPA3-SAE				AES(CCMP)					"WPA3-SAE-CCMP"						
                                                                * WPA3-SAE/PSK			AES(CCMP)					"WPA3-SAE/PSK-CCMP"ģʽ	
                                                                */
    EM_CFG_WIRELESS_AUTHENTICATION emAuthentication;            // ֤ʽ,  ʱû
    EM_CFG_WIRELESS_DATA_ENCRYPT   emDataEncryption;            // ݼܷʽ, ʱû
    int                     nKeyType;                           // , 0: Hex, 1: ASCII
    int                     nKeyID;                             // Կ, ȡֵ0~3
    char                    szKeys[4][128];                     // 
    BOOL                    bKeyFlag;                           // ǷѾ
    CFG_WLAN_EAP            stuEap;                             // EAP
    CFG_WLAN_NETWORK        stuNetwork;                         // Network
} CFG_WLAN_INFO;

///@brief WLAN(Ӧ CFG_CMD_WLAN)
typedef struct tagCFG_NETAPP_WLAN
{
    int                     nNum;                               // stuWlanInfoЧWLANø
    CFG_WLAN_INFO           stuWlanInfo[8];                     // WLANϢ
} CFG_NETAPP_WLAN;

///@brief Smart264 뷽ʽ
typedef struct tagCFG_SMART_ENCODE_INFO
{
	BOOL				bSmartH264;							    //ʶǷSmartH264
	BYTE                byReserved[256];						//Ԥֶ
} CFG_SMART_ENCODE_INFO;

///@brief ظٱ
typedef struct tagCFG_VEHICLE_HIGHSPEED_INFO
{
	BOOL                    bEnable;							// ٱʹ
	int						nSpeedHighLine;						// ޱֵ λKm/h
	int						nTime;								// ٺ೤ʱ䱨 λ
	int						nAlertSpeed;						// Ԥٶ  λKm/h
	int						nInstantSpeed;						// ˲ʱٶ  λKm/h
	CFG_ALARM_MSG_HANDLE    stuEventHandler;			        // 
} CFG_VEHICLE_HIGHSPEED_INFO;

///@brief صٱ
typedef struct tagCFG_VEHICLE_LOWSPEED_INFO
{
	BOOL                    bEnable;							// ٱʹ
	int						nSpeedLowLine;						// ޱֵ λKm/h
	int						nTime;								// ٺ೤ʱ䱨 λ
	int						nSpeedMotion;						// ٶٶֵڴֵ  λKm/h
	CFG_ALARM_MSG_HANDLE    stuEventHandler;			        // 
} CFG_VEHICLE_LOWSPEED_INFO;

///@brief ˵绰ӻϢ
typedef struct tagCFG_PSTN_PERSON_SERVER_INFO
{
    char					szName[MAX_NAME_LEN];						// ˵绰
    char					szNumber[MAX_PHONE_NUMBER_LEN];				// ˵绰ջ
}CFG_PSTN_PERSON_SERVER_INFO;

///@brief ˵绰ӻϢ
typedef struct tagCFG_PSTN_PERSON_SERVER_INFO_ALL
{
    BOOL                            bEnable;                                    // ˵绰ӻʹ
    int                             nServerCount;                               // Чĸ˵绰ӻϢ,Ŀǰ֧3
    CFG_PSTN_PERSON_SERVER_INFO     stuPSTNPersonServer[MAX_PSTN_SERVER_NUM];   // ˵绰ӻϢ,ÿԪضӦһ˵绰
                                                                                // ֶ֧ٸ˵绰,ͨȡ(CLIENT_QueryNewSystemInfoӦCFG_CAP_ALARM) ȡЧ绰
}CFG_PSTN_PERSON_SERVER_INFO_ALL;

///@brief Ϣ
typedef struct tagCFG_ARMLINK_INFO
{
    BOOL                            bMMSEnable;                                 // ǷͶϢ(ĬϷ)
    CFG_PSTN_ALARM_SERVER	        stuPSTNAlarmServer;						    // 绰Ϣ
    BOOL                            bPersonAlarmEnable;                         // Ƿ˽ϵ˴绰(PSTNPersonServerеϵ˷)
	int								nAlarmOutChannels[256];						// ͨб
	int								nAlarmOutChannelNum;						// ͨŸ
	BOOL							bVoiceEnable;								// Ƿʾ
}CFG_ARMLINK_INFO;

///@brief PSTN Լƻ
typedef struct tagCFG_PSTN_TESTPLAN_INFO
{
    BOOL                  bAlarmEnable;                             // ʹ
    int                   nPeriod;                                  //  λСʱ
    int                   nAlarmServerCount;                        // ҪԵı绰ĸ
    int                   nAlarmServer[MAX_PSTN_SERVER_NUM];        // ҪԵı绰ţ0ʼ
}CFG_PSTN_TESTPLAN_INFO;

///@brief ʹ
typedef struct tagCFG_DEFENCE_ARMMODE_INFO
{
    BOOL                bEnableDefenceArm;                          // ʹ
}CFG_DEFENCE_ARMMODE_INFO;

///@brief ̽װģʽ
typedef enum tagEM_CFG_SENSORMODE_TYPE
{
    EM_CFG_SENSORMODE_TYPE_UNKNOWN,
    EM_CFG_SENSORMODE_TYPE_TWOSTATE,                                // ̬
    EM_CFG_SENSORMODE_TYPE_FOURSTATE,                               // ̬
}EM_CFG_SENSORMODE_TYPE;

///@brief ̽װģʽ
typedef struct tagCFG_SENSORMODE_INFO
{
    EM_CFG_SENSORMODE_TYPE                 emState;                 //̽װģʽ         
}CFG_SENSORMODE_INFO;

///@brief Ledʾƻ
typedef struct tagCFG_CABINLED_TIME_SCHEDULE
{
    BOOL                    bEnable;                                // Ledʾƻʹ
}CFG_CABINLED_TIME_SCHEDULE;

///@brief ״̬
typedef enum tagEM_ALARMLAMP_MODE
{
    EM_ALARMLAMP_MODE_UNKNOWN = -1,                                 // δ֪
    EM_ALARMLAMP_MODE_OFF,                                          // 
    EM_ALARMLAMP_MODE_ON,                                           // 
    EM_ALARMLAMP_MODE_BLINK,                                        // ˸
}EM_ALARMLAMP_MODE;

///@brief (Ӧ CFG_CMD_ALARMLAMP)
typedef struct tagCFG_ALARMLAMP_INFO
{
    EM_ALARMLAMP_MODE      emAlarmLamp;                             // ״̬
}CFG_ALARMLAMP_INFO;

///@brief ״ ¥ר(Ӧ CFG_CMD_RADAR_SPEED_MEASURE)
typedef struct tagCFG_RADAR_SPEED_MEASURE_INFO
{
    float                   fSpeedMeasureLimit;                     // ֵ,ֻдﵽٶֵ,״ܼ(λ:km/h)
    float                   fSpeedUpperLimit;                       // ٱֵ,ֵϱ(λ:km/h)

}CFG_RADAR_SPEED_MEASURE_INFO;


///@brief 
typedef struct tagCFG_LASER_DIST_MEASURE_INFO
{
    BOOL                            bEncodeBlend;                   // ӵƵ    
    BOOL                            bEnable;                        // ʹ,Ƿ򿪼๦
}CFG_LASER_DIST_MEASURE_INFO;




///@brief Ϣ
typedef struct tagCFG_CFG_CMD_ATMOSPHERE_OSD_INFO
{
    BOOL                            bEncodeBlendEnable;             // ǷӵƵtruefalseر
    UINT                            nMask;                          // 1ʾ 0ʾ
                                                                    // bit0:  
                                                                    // bit1: 
                                                                    // bit2: ʪ
                                                                    // bit3¶
                                                                    // bit4ѹǿ
                                                                    // bit5ǿ
}CFG_CMD_ATMOSPHERE_OSD_INFO;

///@brief ɽ4Gֵģʽ(Ӧ CFG_CMD_OIL_4G_OVERFLOW)
typedef struct tagCFG_OIL_4G_OVERFLOW_INFO
{
	int								nFlowRateMode;					// 4Gģʽ1ֶ0-ԶĬԶ
	int								nFlowRateMax;					// 4GֵλΪ(MB), ĬֵΪ60*1024(MB)
}CFG_OIL_4G_OVERFLOW_INFO;

///@brief ɽ4GOSD(Ӧ CFG_CMD_OIL_VIDEOWIDGET_4G_FLOW)
typedef struct tagCFG_OIL_VIDEOWIDGET_4G_FLOW_INFO
{
    BOOL                            bEncodeBlend;                   // ӵƵʹ
	CFG_RECT						stuRect;						// ӵ
}CFG_OIL_VIDEOWIDGET_4G_FLOW_INFO;

#define CFG_PARK_SPACE_STATE_TYPE_NUM      3                        // λ״̬͸ Ϊ λ޳ λг λԤ

///@brief λָʾϢ
typedef struct tagCFG_PARK_SPACE_OUT_LIGHT_INFO
{
    EM_CFG_PARKINGSPACE_LIGHT_STATE stNormalSpace[CFG_PARK_SPACE_STATE_TYPE_NUM][CFG_MAX_PARKINGSPACE_LIGHT_NUM];  // ͨλ״̬Ϣ
                                                                                                                   // һάȱʾλ״̬ 0-λ޳ 1-λг 2-λԤ
                                                                                                                   // ڶάȱʾָʾɫ 05ֱʾ        
    EM_CFG_PARKINGSPACE_LIGHT_STATE stSpecialSpace[CFG_PARK_SPACE_STATE_TYPE_NUM][CFG_MAX_PARKINGSPACE_LIGHT_NUM]; // ⳵λ״̬Ϣ ͬ
}CFG_PARK_SPACE_OUT_LIGHT_INFO;

///@brief Žʾʾ(ӦCFG_CMD_ACCESS_TEXTDISPLAY)
typedef struct tagCFG_ACCESS_TEXTDISPLAY_INFO
{
	char szOpenSucceedText[MAX_ACCESS_TEXTDISPLAY_LEN];              //ųɹʾϢ
	char szOpenFailedText[MAX_ACCESS_TEXTDISPLAY_LEN];               //ʧʾϢ
}CFG_ACCESS_TEXTDISPLAY_INFO;

///@brief ſڻй
typedef enum tagEM_CFG_ROOM_RULE
{
    EM_CFG_ROOM_RULE_UNKNOW,                                        // δ֪
	EM_CFG_ROOM_RULE_SERIAL,                                        // Serial ţЩʹ1~100ķ
	EM_CFG_ROOM_RULE_NOSERIAL,                                      // NoSerial ţڵ301,502
}EM_CFG_ROOM_RULE;

///@brief VTOչϢ
typedef struct tagCFG_VTO_CALL_INFO_EXTEND
{
	char                            szMainVTOIP[MAX_ADDRESS_LEN];               //ſڻIP
	BOOL                            bGroupCallEnable;                           //Ⱥ
	char                            szManagerNumber[MAX_PHONE_NUMBER_LEN];      //
	char                            szUrgentNumber[MAX_PHONE_NUMBER_LEN];       //к
	CFG_TIME_SECTION                stuTimeSection;                             //VTSʱ 
	unsigned int                    nMaxExtensionIndex;                         //ſڻϿõڻֻ Ŵ1ʼ
    EM_CFG_ROOM_RULE                emRoomRule;                                 //ſڻ֧źкͷź2׹
	BOOL							bMulticasEnable;							//TRUE:ſڻ鲥ַڻ鲥ַ FALSE:ڻſڻ
}CFG_VTO_CALL_INFO_EXTEND;

///@brief ʦƵĿ漰IPCNVR Ϣ,
typedef struct tagCFG_NETNVR_ENCRYPT_CHANNEL_INFO
{
	BOOL						bEncryptEnable;					// ƵǷ
	BOOL						bMatchNvrEnable;				// NVRʹ
	char						szNvrAddress[16];				// NVR IPַ
	DWORD						nMatchPort;						// Զ˿
	DWORD						nTalkPort;						// Э̶˿
	char						szDevID[32];					// IPC豸к	
}CFG_NETNVR_ENCRYPT_CHANNEL_INFO;

///@brief ʦƵĿ漰IPCNVR Ϣ,,Ӧ CFG_CMD_NETNVR_ENCRYPT
typedef struct tagCFG_NETNVR_ENCRYPT_INFO
{
	int									nChannelID;									// ͨ(0ʼ)
	int									nNvrEncryptNum;								// ÿͨʵʼϢø
	CFG_NETNVR_ENCRYPT_CHANNEL_INFO		stuNvrEncryptInfo[CFG_MAX_NVR_ENCRYPT_COUNT];// ÿͨӦļϢ,123
}CFG_NETNVR_ENCRYPT_INFO;

///@brief Ƶƶ˿Ϣ
typedef struct tagCFG_LAMP_PORT_INFO
{
    int					nValidPortNum;						// Ƶø
    char				szPort[8];							// ƵƵĶ˿ں,ڿܰ
}CFG_LAMP_PORT_INFO;

///@brief ƵϢ
typedef struct tagCFG_SINGLE_STROBOSCOPIC_LAMP_INFO
{
	CFG_FLASH_CONTROL	stuLampInfo;						// ƵƵϢ
	int					nStroboscopicMode;					// Ƶģʽ,Ƶʣ0ʾҪ
	int					nPreTime;							// Ƶǰʱ,λus
	int					nPulseWidth;						// Ƶ,λus
	int					nDelayTime;							// ʱʱ,λusʾǰ
	int					nFrequency;							// ƵƵĹƵʣλHZ,Ʃ50HZ, 100HZ 
	CFG_LAMP_PORT_INFO	stuPortInfo;						// Ƶƶ˿Ϣ
}CFG_SINGLE_STROBOSCOPIC_LAMP_INFO;

///@brief Ƶ(Ӧ CFG_CMD_STROBOSCOPIC_LAMP)
typedef struct tagCFG_STROBOSCOPIC_LAMP_INFO
{
    int									nValidConfigNum;	// Ƶø
    CFG_SINGLE_STROBOSCOPIC_LAMP_INFO   stuStroboInfo[8];	// ƵϢ
}CFG_STROBOSCOPIC_LAMP_INFO;

///@brief Https
typedef struct tagCFG_HTTPS_INFO
{
    BOOL                                bEnable;                                    // ʹ
    int                                 nPort;                                      // ˿ں
    char                                szRootCertificatePath[CFG_COMMON_STRING_128];                 // ֤·
    char                                szCountry[CFG_COMMON_STRING_8];                               // 
    char                                szState[CFG_COMMON_STRING_64];                                // ʡ
    char                                szLocatity[CFG_COMMON_STRING_64];                             // λ
    char                                szOrganization[CFG_COMMON_STRING_64];                         // ֯
    char                                szOrganizationUnit[CFG_COMMON_STRING_64];                    // ֯Ԫ
    char                                szCommonName[CFG_COMMON_STRING_128];                          // CNֶΣIP
    char                                szEmail[CFG_COMMON_STRING_128];                               // 
    char                                szName[CFG_COMMON_STRING_128];                                // ˾
    char                                szPath[CFG_COMMON_STRING_128];                                // ַ֤
    int                                 nUsefulLife;                                // ֤Ч
}CFG_HTTPS_INFO;

///@brief UPnPģʽ
typedef enum tagEM_CONFIGURATION_MODE
{
	EM_CONFIGURATION_UNKNOWN = -1,													// δ֪ģʽ
	EM_CONFIGURATION_MANUAL,														// ֶ
	EM_CONFIGURATION_AUTO,															// Զ
}EM_CONFIGURATION_MODE;

///@brief UPnP
typedef enum tagEM_SERVICE_TYPE
{
	EM_SERVICE_UNKNOWN = -1,														// δ֪
	EM_SERVICE_WEB,																	// WEB
	EM_SERVICE_PRIV,																// ˽Э
	EM_SERVICE_RTSP,																// RTSP
	EM_SERVICE_HTTPS,																// HTTPS
	EM_SERVICE_SNMP,																// SNMP
}EM_SERVICE_TYPE;

///@brief Э
typedef enum tagEM_PROTOCOL_TYPE
{
	EM_PROTOCOL_UNKNOWN = -1,														// δ֪Э
	EM_PROTOCOL_TCP,																// TCPЭ
	EM_PROTOCOL_UDP,																// UDPЭ
}EM_PROTOCOL_TYPE;

///@brief ӳϢ
typedef struct tagCFG_MAP_TABLE_INFO
{
	BOOL 								bEnable;									// ʹܿ
	char 								szServiceName[CFG_COMMON_STRING_64];		// ƣOldUPnPʵֶ
	EM_SERVICE_TYPE						emServiceType;								// 
	EM_PROTOCOL_TYPE					emProtocol;									// Э
	UINT								nInnerPort;									// ڲ˿
	UINT								nOuterPort;									// ⲿ˿
}CFG_MAP_TABLE_INFO;

///@brief UPNPãӦĿCFG_CMD_UPNP
typedef struct tagCFG_UPNP_INFO
{
	BOOL								bEnable;									// ˿ӳʹ
	BOOL								bStartDeviceDiscover;						// ǷUPnPҹ
	EM_CONFIGURATION_MODE				emMode;										// ģʽ
	int									nMaxTable;									// ӳ
	int									nReturnTable;								// ʵӳ
	CFG_MAP_TABLE_INFO				    *pstuMapTable;								// ӳϢ
}CFG_UPNP_INFO;

///@brief 
typedef struct tagCFG_ADAPT_ENCODE_INFO
{
    int                             nIPSmoothness;                   // I/P֡ƽȣΧ1~100,1ʾƽ100ʾ
    int                             nAdjustEnable;                   // Ӧʹ,1 0رաݲִֶ֧
}CFG_ADAPT_ENCODE_INFO;

///@brief Ӧ
typedef struct tagCFG_NET_AUTO_ADAPT_ENCODE
{
    CFG_ADAPT_ENCODE_INFO    stuMainStream[MAX_VIDEOSTREAM_NUM];	 // 0ͨ¼1-¼2¼,ֻ֧ͨ¼
    CFG_ADAPT_ENCODE_INFO	 stuExtraStream[MAX_VIDEOSTREAM_NUM];    // 011223
}CFG_NET_AUTO_ADAPT_ENCODE;

///@brief ͨ
typedef struct tagCFG_COMBINATION_CHANNEL
{
    int                                 nMaxChannel;    // ͨ
    int                                 nReturnChannel; // ʵʷͨ
    int                                 *pnChannel;     // ͨϢ
}CFG_COMBINATION_CHANNEL;

///@brief ָģʽ
typedef struct tagCFG_FREESPLIT_INFO
{
    CFG_SPLITMODE                       emSplitMode;        // ָģʽ
    int                                 nMaxCombination;    // ϸ
    int                                 nReturnCombination; // ʵϸ
    CFG_COMBINATION_CHANNEL             *pstuCombination;   // Ϣ
}CFG_FREESPLIT_INFO;

///@brief ɷָģʽĴ
typedef struct tagCFG_FREECOMBINATION_INFO
{
    int                 nMaxSplit;      // ָģʽ
    int                 nReturnSplit;   // ʵʷָģʽ
    CFG_FREESPLIT_INFO  *pstuSplit;     // ɷָģʽϢ
}CFG_FREECOMBINATION_INFO;

///@brief 豸Э
typedef enum tagCFG_EM_DEVICE_PROTOCOL
{
	CFG_EM_PROTOCOL_PRIVATE3,                   // ˽3Э,Dahua3
	CFG_EM_PROTOCOL_ONVIF,                      // Onvif    		
}CFG_EM_DEVICE_PROTOCOL;

///@brief ƽ̨ԤIPC CFG_CMD_PLATFORM_MONITOR_IPC
typedef struct tagCFG_PLATFORMMONITORIPC_INFO
{
	BOOL					bEnable;                        // ʹ
	char					szDevIpAddress[MAX_NAME_LEN];	// 豸ipַ
	int						nPort;                          // ˿
	char					szUserName[MAX_USERNAME_LEN];	// û
	char					szPassword[MAX_PASSWORD_LEN];	// 
	CFG_EM_STREAM_TYPE		emStreamType;                   // 
	CFG_EM_DEVICE_PROTOCOL  emProtocol;                     // Э
	int						nChannelID;                     // ͨ
}CFG_PLATFORMMONITORIPC_INFO;

#define MAX_AREA_COUNT	8		// 

///@brief (ӦCFG_CMD_IOT_INFRARED_DETECT)
typedef struct tagCFG_IOT_INFRARED_DETECT_INFO
{
	BOOL					bEnable[MAX_AREA_COUNT];				// ʹܣʾǷ,8
	int						nDetectRadius;							// 뾶λ
} CFG_IOT_INFRARED_DETECT_INFO;

///@brief ¼(ӦCFG_CMD_IOT_RECORD_HANDLE)
typedef struct tagCFG_IOT_RECORD_HANDLE_INFO
{
	BOOL					bEnable;								//  ʹܣʾǷ¼
	int						nRecordTime;							// ¼ʱ䣬λ
} CFG_IOT_RECORD_HANDLE_INFO;

///@brief ץͼ(ӦCFG_CMD_IOT_SNAP_HANDLE)
typedef struct tagCFG_IOT_SNAP_HANDLE_INFO
{
	BOOL					bEnable;								// ʹܣʾǷץͼ
	int						nSnapNum;								// ץͼ
} CFG_IOT_SNAP_HANDLE_INFO;

///@brief ת
typedef struct tagCFG_CALLFORWARD_INFO
{
    BOOL                    bAlwaysForwardEnable;                           // ǿתʹ
    char                    szAlwaysForwardNumber[MAX_PHONE_NUMBER_LEN];    // ǿתƺ
    BOOL                    bBusyForwardEnable;                             // æתʹ
    char                    szBusyForwardNumber[MAX_PHONE_NUMBER_LEN];      // æתƺ
    BOOL                    bNoAnswerForwardEnable;                         // Ӧתʹ
    char                    szNoAnswerForwardNumber[MAX_PHONE_NUMBER_LEN];  // Ӧתƺ
}CFG_CALLFORWARD_INFO;

///@brief öӦCFD_CMD_DOORBELLSOUND
typedef struct tagCFG_DOOR_BELLSOUND_INFO
{
    BOOL                    bSilenceEnable;                   // Ƿtrue false 
    UINT                    nRingVolume;                      // ȡֵΧ0~100
    char                    szRingFile[CFG_COMMON_STRING_64]; // ļֻ֧"A","B","C"ļֻѡһļ
}CFG_DOOR_BELLSOUND_INFO;

///@brief telnet öӦCFG_CMD_TELNET
typedef struct tagCFG_TELNET_INFO
{
    BOOL                    bEnable;                   // telnetʹܿtrueʹfalseȥʹ
}CFG_TELNET_INFO;

///@brief ʾ쳣Ϣĵ Ӧṹ CFG_OSD_SYSABNORMAL_INFO
typedef struct tagCFG_OSD_SYSABNORMAL_INFO
{
	AV_CFG_Color		stuBackColor;					// ɫ
	AV_BOOL				bEncodeBlend;					// ӵ
	AV_CFG_Color		stuFrontColor;					// ǰɫ
	AV_BOOL				bPreviewBlend;					// ӵԤƵ
	AV_CFG_Rect			stuRect;						// , ȡֵ0~8191
	int					nDisplayTime;					// ʾʱ䣬λΪsΪ0ʾһֱʾ
	AV_BOOL				bNetAbort;						// ǷʾϿtrueΪʾfalseΪʾ
	AV_BOOL				bIPConflict;					// ǷʾIPͻtrueΪʾfalseΪʾ
	AV_BOOL				bVoltageStatus;					// Ƿʾѹ쳣trueΪʾfalseΪʾ
	AV_BOOL             bOutputCurrentStatus;			// Ƿʾ⹩쳣trueΪʾfalseΪʾ
	AV_BOOL				bSDHotPlug;						// ǷʾSD롢γ쳣trueΪʾfalseΪʾ
	AV_BOOL				bSDLowSpace;					// ǷʾSDռ䲻,trueΪʾfalseΪʾ
	AV_BOOL				bSDFailure;						// ǷʾSD,trueΪʾfalseΪʾ
	AV_BOOL				bDestroy;						// Ƿʾƻ,trueΪʾfalseΪʾ
}CFG_OSD_SYSABNORMAL_INFO;

///@brief Ƶ(Ӧṹ CFG_VIDEO_WIDGET2_INFO)
typedef struct tagCFG_VIDEO_WIDGET2_INFO
{
	int					nOSDLineSpacing;				//м౶Ļ׼Ĭǵǰ߶ȵʮ֮һȡֵΧΪ0~5ĬֵΪ0
}CFG_VIDEO_WIDGET2_INFO;

///@brief ͳƵOSD(Ӧṹ CFG_VIDEOWIDGET_NUMBERSTAT_INFO)
typedef struct tagCFG_VIDEOWIDGET_NUMBERSTAT_INFO
{
	AV_BOOL				bEncodeBlend;					// ӵ,ֵΪfalseıⲻõײAPI
	AV_CFG_Color		stuFrontColor;					// ǰɫ
	AV_CFG_Color		stuBackColor;					// ɫ
	EM_TITLE_TEXT_ALIGN emTextAlign;                    // 뷽ʽ
	AV_CFG_Rect			stuRect;						// , ȡֵ0~8192
	AV_BOOL				bShowEnterNum;					// Ƿʾ
	AV_BOOL				bShowExitNum;					// Ƿʾ뿪
}CFG_VIDEOWIDGET_NUMBERSTAT_INFO;

///@brief 
typedef enum tagEM_MOSAIC_TYPE
{
	EM_MOSAIC_TYPE_INVALID,								// Ч
	EM_MOSAIC_TYPE_NO,									// 
	EM_MOSAIC_TYPE_8,									// [8x8С] 
	EM_MOSAIC_TYPE_16,									// [16x16С] 
	EM_MOSAIC_TYPE_24,									// [24x24С] 
	EM_MOSAIC_TYPE_32,									// [32x32С] 
}EM_MOSAIC_TYPE;

///@brief ״
typedef enum tagEM_SHAPE_TYPE
{
	EM_SHAPE_TYPE_INVALID,								// Ч
	EM_SHAPE_TYPE_RECT,									// 
	EM_SHAPE_TYPE_POLYGON,								// 
}EM_SHAPE_TYPE;

///@brief ̨굥Ԫ
typedef struct tagPTZ_SPEED
{
    float                  fPositionX;           //̨ˮƽ,һ-1~1
    float                  fPositionY;           //ֱ̨,һ-1~1
    float                  fZoom;                //̨ȦŴ,һ 0~1
    char                   szReserve[32];        //Ԥ32ֽ
}PTZ_SPEED;

///@brief 򣻸߾ఴ8192ı
typedef struct 
{
	long             left;
	long             top;
	long             right;
	long             bottom;
} DH_RECT_REGION, *LPDH_RECT_REGION;

///@brief ˽ڵϢ
typedef struct tagCGF_MASKING_INFO
{
	BOOL					bEnable;							// ˽ڵر־ truefalse
	PTZ_SPEED				stuPosition;						// ̨Ŵ
	EM_SHAPE_TYPE			stuShapeType;						// ״
	DH_RECT_REGION			stuRect;							// , ȡֵ0~8192
	int						nPolygonPoint;						// ζ
	CFG_POLYGON				stuPolygon[MAX_POLYGON_NUM];		// ζ,ȡֵ0~8192
	AV_CFG_Color			stuColor;							// ڵɫ
	EM_MOSAIC_TYPE			stuMosaicType;						// ڵͣʱڵɫֶЧ
    double                  dViewAngle;                         // ˮƽӳ, Χ[0.0, 360.0]λ
}CGF_MASKING_INFO;

///@brief ͨ˽ڵ(Ӧṹ CFG_PRIVACY_MASKING_INFO)
typedef struct tagCFG_PRIVACY_MASKING_INFO
{
	int nMaskingInfoCount;														// ˽ڵø
	CGF_MASKING_INFO stuMaskingInfo[MAX_PRIVACY_MASKING_COUNT];					// ˽ڵϢ
}CFG_PRIVACY_MASKING_INFO;

///@brief 豸Ϣ(Ӧṹ CFG_DEVICE_INFO)
typedef struct tagCFG_DEVICE_INFO
{
	char szSerial[CFG_COMMON_STRING_64];				// ƷϵƣIPCͺIPCͷͺSDͷͬ
	char szMode[CFG_COMMON_STRING_64];					// 豸ͺ
	char szResolution[CFG_COMMON_STRING_16];            // оֱ
	char szCameraID[CFG_COMMON_STRING_16];              // оID
}CFG_DEVICE_INFO;

#define CFG_MAX_POLICE_ID_MAP_NUM 64                    // ԱID豸ͨӳϵ

///@brief ԱID豸ͨӳϵϢ(Ӧ CFG_CMD_POLICEID_MAP_INFO)
typedef struct tagCFG_POLICEID_MAP_INFO
{
    char    szPoliceID[CFG_MAX_POLICE_ID_MAP_NUM][CFG_COMMON_STRING_32];				// ԱID
    int     nIDCount;                                                                   // IDĿ
    
}CFG_POLICEID_MAP_INFO;

///@brief GPSδλ(Ӧ CFG_CMD_GPS_NOT_ALIGNED)
typedef struct tagCFG_GPS_NOT_ALIGNED_INFO
{
	BOOL		                 bEnable;						// ʹ
	DWORD      	                 dwNotifyTimes;                 // GPSδλʱ䣬ʱ򴥷λ
	CFG_ALARM_MSG_HANDLE         stuEventHandler;	        	//  
}CFG_GPS_NOT_ALIGNED_INFO;

///@brief δӣwifi3G/4G(Ӧ CFG_CMD_WIRELESS_NOT_CONNECTED)
typedef struct tagCFG_WIRELESS_NOT_CONNECTED_INFO
{
	BOOL		                 bEnable;						// ʹ
	DWORD      	                 dwNotifyTimes;                 // δӣwifi3G/4Gʱ䣬ʱ򴥷λ
	CFG_ALARM_MSG_HANDLE         stuEventHandler;		        //  
}CFG_WIRELESS_NOT_CONNECTED_INFO;

///@brief ΢Ƴ澯(Ӧ CFG_CMD_MCS_GENERAL_CAPACITY_LOW)
typedef struct tagCFG_MCS_GENERAL_CAPACITY_LOW
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_GENERAL_CAPACITY_LOW;

///@brief ΢ƴ洢ڵ(Ӧ CFG_CMD_MCS_DATA_NODE_OFFLINE)
typedef struct tagCFG_MCS_DATA_NODE_OFFLINE
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_DATA_NODE_OFFLINE;

///@brief ΢ƴ߸澯(Ӧ CFG_CMD_MCS_DISK_OFFLINE)
typedef struct tagCFG_MCS_DISK_OFFLINE
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_DISK_OFFLINE;

///@brief ΢ƴ̱澯(Ӧ CFG_CMD_MCS_DISK_SLOW)
typedef struct tagCFG_MCS_DISK_SLOW
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_DISK_SLOW;

///@brief ΢ƴ𻵸澯(Ӧ CFG_CMD_MCS_DISK_BROKEN)
typedef struct tagCFG_MCS_DISK_BROKEN
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_DISK_BROKEN;

///@brief ΢ƴδ֪澯(Ӧ CFG_CMD_MCS_DISK_UNKNOW_ERROR)
typedef struct tagCFG_MCS_DISK_UNKNOW_ERROR
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_DISK_UNKNOW_ERROR;

///@brief ΢Ԫݷ쳣澯(Ӧ CFG_CMD_MCS_METADATA_SERVER_ABNORMAL)
typedef struct tagCFG_MCS_METADATA_SERVER_ABNORMAL
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_METADATA_SERVER_ABNORMAL;

///@brief ΢Ŀ¼쳣澯(Ӧ CFG_CMD_MCS_CATALOG_SERVER_ABNORMAL)
typedef struct tagCFG_MCS_CATALOG_SERVER_ABNORMAL
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_CATALOG_SERVER_ABNORMAL;

///@brief ΢Ƴ澯ָ澯(Ӧ CFG_CMD_MCS_GENERAL_CAPACITY_RESUME)
typedef struct tagCFG_MCS_GENERAL_CAPACITY_RESUME
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_GENERAL_CAPACITY_RESUME;

///@brief ΢ƴ洢ڵ߸澯(Ӧ CFG_CMD_MCS_DATA_NODE_ONLINE)
typedef struct tagCFG_MCS_DATA_NODE_ONLINE
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_DATA_NODE_ONLINE;

///@brief ΢ƴ߸澯(Ӧ CFG_CMD_MCS_DISK_ONLINE)
typedef struct tagCFG_MCS_DISK_ONLINE
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_DISK_ONLINE;

///@brief ΢Ԫݱ߸澯(Ӧ CFG_CMD_MCS_METADATA_SLAVE_ONLINE)
typedef struct tagCFG_MCS_METADATA_SLAVE_ONLINE
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_METADATA_SLAVE_ONLINE;

///@brief ΢Ŀ¼߸澯(Ӧ CFG_CMD_MCS_CATALOG_SERVER_ONLINE)
typedef struct tagCFG_MCS_CATALOG_SERVER_ONLINE
{
	BOOL						bEnable;						// ʹܿأtrueΪ;falseΪرգĬֵ 	
	CFG_ALARM_MSG_HANDLE        stuEventHandler;				//      
}CFG_MCS_CATALOG_SERVER_ONLINE;

///@brief SecurityAlarmsͻƹܣ˽
typedef struct tagCFG_SECURITY_ALARMS_PRIVACY
{
    char                        szCode[CFG_COMMON_STRING_64];   // ˽
    BOOL                        bEnable;                        // Ƿ˽
}CFG_SECURITY_ALARMS_PRIVACY;

///@brief ŽԤǷ
typedef struct tagCFG_ACCESSCONTROL_DELAYSTRATEGY
{
    BOOL                    bEnable;                                    // Ƿ
    int                     nPreArrearsTerm;                            // ԤǷޣλ
    int                     nArrearsTerm;                               // Ƿޣλ
}CFG_ACCESSCONTROL_DELAYSTRATEGY;


///@brief ˻ʱ  ( Ӧ CFG_CMD_NO_FLY_TIME )
typedef struct tagCFG_NO_FLY_TIME_INFO
{
    BOOL		                 bEnable;						// ʱʹ
    CFG_ALARM_MSG_HANDLE         stuEventHandler;		        //  
}CFG_NO_FLY_TIME_INFO;


///@brief ù  ( Ӧ CFG_CMD_PWD_RESET )
typedef struct tagCFG_PWD_RESET_INFO
{
    BOOL		                 bEnable;						// ùʹ
}CFG_PWD_RESET_INFO;


///@brief Ԥж¼( Ӧṹ CFG_NET_MONITOR_ABORT_INFO )
typedef struct tagCFG_NET_MONITOR_ABORT_INFO
{
	BOOL		                bEnable;			// ʹܿ
    CFG_ALARM_MSG_HANDLE		stuEventHandler;	//  
} CFG_NET_MONITOR_ABORT_INFO;

///@brief չ  ( Ӧ CFG_CMD_LOCAL_EXT_ALARM )
typedef struct tagCFG_LOCAL_EXT_ALARME_INFO
{
    BOOL		            bEnable;						        // ʹ
    int                     nSensorType;					        //  0, 1,
    char                    szAlarmChannelName[CFG_COMMON_STRING_64];      // ͨ
    CFG_ALARM_MSG_HANDLE    stuEventHandler;		                //  
}CFG_LOCAL_EXT_ALARME_INFO;

#define		MAX_INVITE_NUMBER_LIST		16
///@brief ƵԽ绰( Ӧ CFG_CMD_VIDEO_TALK_PHONE_BASIC )
typedef struct tagCFG_VIDEO_TALK_PHONE_BASIC_INFO
{
	BOOL					bAlarmOutputEnable;													// ʹ
	BOOL					bNoAnswerTransferPlatformEnable;									// Ӧתƽ̨ʹ
	BOOL					bEachCallEnable;													// ͨʹ
	BOOL					bAutoAnswerEnable;													// Զʹ
	int						nInviteNumberList;													// зб
	char					szInviteNumberList[MAX_INVITE_NUMBER_LIST][CFG_COMMON_STRING_16];	// зб
    BOOL                    bVTOCallSoundEnable;                                                // Ƿſڻʹ
    char                    szVTOCallSound[CFG_COMMON_STRING_128];                              // ſڻ·
    BOOL                    bEnableCall;                                                        // ʹ 
} CFG_VIDEO_TALK_PHONE_BASIC_INFO;

///@brief 
typedef enum tagEM_LANGUAGE_TYPE
{
    EM_LANGUAGE_ENGLISH,                // Ӣ    
    EM_LANGUAGE_CHINESE_SIMPLIFIED,     //     
    EM_LANGUAGE_CHINESE_TRADITIONAL,    //     
    EM_LANGUAGE_ITALIAN,                //     
    EM_LANGUAGE_SPANISH,                // 
    EM_LANGUAGE_JAPANESE,               // İ    
    EM_LANGUAGE_RUSSIAN,                // İ        
    EM_LANGUAGE_FRENCH,                 // İ        
    EM_LANGUAGE_GERMAN,                 // İ        
    EM_LANGUAGE_PORTUGUESE,             //     
    EM_LANGUAGE_TURKEY,                 //     
    EM_LANGUAGE_POLISH,                 //     
    EM_LANGUAGE_ROMANIAN,               //     
    EM_LANGUAGE_HUNGARIAN,              //     
    EM_LANGUAGE_FINNISH,                //     
    EM_LANGUAGE_ESTONIAN,               // ɳ    
    EM_LANGUAGE_KOREAN,                 //     
    EM_LANGUAGE_FARSI,                  // ˹     
    EM_LANGUAGE_DANSK,                  // 
    EM_LANGUAGE_CZECHISH,               // ݿ
    EM_LANGUAGE_BULGARIA,               // 
    EM_LANGUAGE_SLOVAKIAN,              // ˹工
    EM_LANGUAGE_SLOVENIA,               // ˹
    EM_LANGUAGE_CROATIAN,               // ޵
    EM_LANGUAGE_DUTCH,                  // 
    EM_LANGUAGE_GREEK,                  // ϣ
    EM_LANGUAGE_UKRAINIAN,              // ڿ
    EM_LANGUAGE_SWEDISH,                // 
    EM_LANGUAGE_SERBIAN,                // ά
    EM_LANGUAGE_VIETNAMESE,             // Խ
    EM_LANGUAGE_LITHUANIAN,             // 
    EM_LANGUAGE_FILIPINO,               // ɱ
    EM_LANGUAGE_ARABIC,                 // 
    EM_LANGUAGE_CATALAN,                // ̩
    EM_LANGUAGE_LATVIAN,                // ά
    EM_LANGUAGE_THAI,                   // ̩
    EM_LANGUAGE_HEBREW,                 // ϣ
    EM_LANGUAGE_Bosnian,                // ˹
} EM_LANGUAGE_TYPE;

// ֵ֧Ը
#define	MAX_SUPPORTED_LANGUAGE	32
///@brief ֻϢķĿ (Ӧ CFG_APP_EVENT_LANGUAGE_INFO )
typedef struct tagCFG_APP_EVENT_LANGUAGE_INFO
{
	EM_LANGUAGE_TYPE		emCurrLanguage;														// ϢҪɵĿ
	int						nSupportLanguageCount;												// 豸ֵ֧Ը
	EM_LANGUAGE_TYPE		emLanguage[MAX_SUPPORTED_LANGUAGE];									// 豸ַ֧б
} CFG_APP_EVENT_LANGUAGE_INFO;

///@brief dropbox token( ӦCFG_CMD_DROPBOXTOKEN)
typedef struct tagCFG_DROPBOXTOKEN_INFO
{
    char                    szDropBoxToken[CFG_COMMON_STRING_128];                               // dropbox token
    BOOL                    bKeyValid;                                                           // token valid
}CFG_DROPBOXTOKEN_INFO;

///@brief PtzDevice ( Ӧ CFG_CMD_PTZDEVICE)
typedef struct tagCFG_PTZDEVICE_INFO
{
    CFG_COMM_PROP		    stuAttribute;							                             // 
	int					    nAddress;								                             // 豸ַ
    int                     nPort;                                                               // ڶ˿ں
    int                     nCurrentMode;                                                        // ģʽ0ģʽ 1Ӳģʽ
    char				    szProtocolName[MAX_NAME_LEN];			                             // Э
}CFG_PTZDEVICE_INFO;

///@brief DevLocation ( ӦCFG_CMD_DEVLOCATION)
typedef struct tagCFG_DEVLOCATION_INFO
{
    UINT							unLongitude;							                    //  λ֮һȣΧ0-360
	UINT							unLatitude;								                    // γ λ֮һȣΧ0-360
    double                          dbAltitude;                                                 //  λ
    BOOL                            bConfigEnable;                                              // trueGPSϢϱ
	float							fHeight;													// 豸߶ λ
}CFG_DEVLOCATION_INFO;

///@brief FireWarningExt ( ӦCFG_CMD_FIRE_WARNING_EXT)
typedef struct tagCFG_FIREWARNING_EXT_INFO
{
	BOOL			bVisualOverviewEnable;	// ɼͨǷҪȫͼ
	BOOL			bVisualDetailEnable;	// ɼͨǷҪϸͼ
	UINT			nThermoSnapTimes;		// ȳͨץͼ
}CFG_FIREWARNING_EXT_INFO;

///@brief 궨ϢԪ
typedef struct tagCFG_CALIBRATE_UNIT_INFO
{
	UINT		nHeight;			// ֱʸ
	UINT		nWidth;				// ֱʿ
	float		nPosition[3];		// ̨λ(P/T/Z һ)
	UINT		nLocation[2];		// 궨
	UINT		nHFOV;				// ӳ(λ0.01)
	UINT		nVFOV;				// ӳ(λ0.01)
}CFG_CALIBRATE_UNIT_INFO;

///@brief 궨Ϣ
typedef struct tagCFG_CALIBRATE_INFO
{
	CFG_CALIBRATE_UNIT_INFO stuCalibrateUnitInfo[5][2];		//궨ϢԪ
	int nInfoNum;			//궨
}CFG_CALIBRATE_INFO;

///@brief 궨Ϣ
typedef struct tagCFG_LOCATION_CALIBRATE_POINT_INFO
{
	UINT		nID;							// 궨ID
	char		szName[CFG_COMMON_STRING_128];	// 궨
	BOOL		bEnable;						// ʹ
	UINT		nLongitude;						// 
	UINT		nLatitude;						// γ
	double		fAltitude;						// 
	CFG_CALIBRATE_INFO	stuCalibrateInfo;		// 궨Ϣ
	BYTE		byReserved1[4];					// ֽڶ
}CFG_LOCATION_CALIBRATE_POINT_INFO;


#define MAX_CALIBRATE_POINT_NUM 64 // 궨
///@brief LocationCalibrate ( ӦCFG_CMD_LOCATION_CALIBRATE)
typedef struct tagCFG_LOCATION_CALIBRATE_INFO
{
	UINT		nVisualMaxHFOV;				// ɼӽ
	UINT		nVisualMaxVFOV;				// ɼӽ
	UINT		nThermoMaxHFOV;				// ȳӽ
	UINT		nThermoMaxVFOV;				// ȳӽ
	CFG_LOCATION_CALIBRATE_POINT_INFO	stuPointInfo[MAX_CALIBRATE_POINT_NUM];	// 궨Ϣ
	int			nPointNum;					// 궨
	BYTE		byReserved1[4];				// ֽڶ
}CFG_LOCATION_CALIBRATE_INFO;


///@brief (Ӧ CFG_CMD_IDLINGTIME)
typedef struct tagCFG_IDLINGTIME_INFO
{
	int						nIdlingTimeThreshold;		// ֵͣ,λ:
	int						nSpeedThreshold;			// жٶ,λ:km/h
}CFG_IDLINGTIME_INFO;

///@brief ʻ״̬(Ӧ CFG_CMD_CARDIVERSTATE)
typedef struct tagCFG_CARDIVERSTATE_INFO
{
	int						nAccelerationThreshold;		// ٷֵ,λ:0.1m/s^2
	int						nDecelerationThreshold;		// ٷֵ,λ:0.1m/s^2
}CFG_CARDIVERSTATE_INFO;

///@brief (Ӧ CFG_CMD_VEHICLE)
typedef struct tagCFG_VEHICLE_INFO
{
	char					szPlateNumber[CFG_MAX_PLATE_NUMBER_LEN];			// 
}CFG_VEHICLE_INFO;

///@brief ܼҾӳб(ӦCFG_CMD_SMARTHOME_SCENELIST)
typedef struct tagCFG_SMARTHOME_SCENELIST_INFO
{
	DWORD							dwSize;				//ṹС
	char							szSceneID[32];		//ID
	char 							szName[128];		//
}CFG_SMARTHOME_SCENELIST_INFO;

///@brief ƹ
typedef enum tagEM_CFG_LC_LIGHT_TYPE
{
	EM_CFG_LC_LIGHT_TYPEUNKNOWN,						//δ֪
	EM_CFG_LC_LIGHT_TYPE_INFRAREDLIGHT,					//
	EM_CFG_LC_LIGHT_TYPE_WIHTELIGHT,					//׹
	EM_CFG_LC_LIGHT_TYPE_LASERLIGHT,					//
	EM_CFG_LC_LIGHT_TYPE_AIMIXLIGHT,					//ܻ(IDлͰ׹)
	EM_CFG_LC_LIGHT_TYPE_PILOTLIGHT,					//ָʾ
}EM_CFG_LC_LIGHT_TYPE;

///@brief ƹģʽ
typedef enum tagEM_CFG_LC_MODE
{
	EM_CFG_LC_MODE_UNKNOWN,								//δ֪
	EM_CFG_LC_MODE_MANUAL,								//ֶ
	EM_CFG_LC_MODE_ZOOMPRIO,							//
	EM_CFG_LC_MODE_TIMING,								//ʱ()
	EM_CFG_LC_MODE_AUTO,								//Զ
	EM_CFG_LC_MODE_OFF,									//رյƹ
	EM_CFG_LC_MODE_EXCLUSIVEMANUAL,						//ֵֶ֧ƹ()
	EM_CFG_LC_MODE_SMARTLIGHT,							//ܵƹ()
	EM_CFG_LC_MODE_LINKING,								//¼()
	EM_CFG_LC_MODE_DUSKTODAWN,							//
    EM_CFG_LC_MODE_FORCEON,                             //ǿƴ򿪵ƹ 
}EM_CFG_LC_MODE;

#define CFG_LC_LIGHT_COUNT 4			//ƹƹ

///@brief ƹϢ
typedef struct tagNET_LIGHT_INFO
{
	int			nLight;						//Ȱٷֱ
	int			nAngle;						//ƽǶȹһֵ
}NET_LIGHT_INFO;

///@brief ϢԪ
typedef struct tagCFG_LIGHTING_V2_UNIT
{
	EM_CFG_LC_LIGHT_TYPE	emLightType;					//ƹ
	EM_CFG_LC_MODE			emMode;							//ƹģʽ
	int					nCorrection;					//ƹⲹ
	int					nSensitive;						//ƹ
	int					nLightSwitchDelay;				//ƿʱ
	NET_LIGHT_INFO		anNearLight[CFG_LC_LIGHT_COUNT];	//Ϣ
	int					nNearLightLen;					//
	NET_LIGHT_INFO		anMiddleLight[CFG_LC_LIGHT_COUNT];	//йϢ
	int					nMiddleLightLen;				//й
	NET_LIGHT_INFO		anFarLight[CFG_LC_LIGHT_COUNT];		//ԶϢ
	int					nFarLightLen;					//Զ
    BYTE                byReserved[128];			    //Ԥֽ	
}CFG_LIGHTING_V2_UNIT;
#define LC_LIGHT_TYPE_NUM 3
///@brief ҹ
typedef struct tagCFG_LIGHTING_V2_DAYNIGHT
{
	CFG_LIGHTING_V2_UNIT		anLightInfo[LC_LIGHT_TYPE_NUM];			//͵ƹϢ
	int							nLightInfoLen;							//ƹ
}CFG_LIGHTING_V2_DAYNIGHT;

#define CFG_LC_LIGHT_CONFIG 8                               // ҹӦƹ
///@brief 
typedef struct tagCFG_LIGHTING_V2_INFO
{
	int							nChannel;					// ͨ
    int                         nDNLightInfoNum;            // ҹӦƹ             
	CFG_LIGHTING_V2_DAYNIGHT	anDNLightInfo[CFG_LC_LIGHT_CONFIG];			// ҹӦƹ
                                                                            // Ԫ0ʼֱʾ 졢ҹͨ˳⡢һ⡢ǿ⡢նȡԶ
}CFG_LIGHTING_V2_INFO;

#define MAX_KBUSER_NUM				    100				    // Աû

///@brief ԱûϢ
typedef struct tagCFG_KBUSER_PASSWORD_INFO
{
    UINT                                       nUserCode;                        // û
    char                                       szPassword[7];                     // û
    BYTE                                      bReserved[257];                   // ֽ
}CFG_KBUSER_PASSWORD_INFO; 

///@brief ̲Աû(ӦCFG_CMD_KBUSER_PASSWORD)
typedef struct tagCFG_KBUSER_USERS_INFO
{
    DWORD							             dwSize;				          // ṹС
    int                                          nKbuserNum;                         // ԱûһĬֵ֧Ϊ32
    CFG_KBUSER_PASSWORD_INFO                       stuKbuserPassword[MAX_KBUSER_NUM];             // ԱûϢ
}CFG_KBUSER_USERS_INFO;
///@brief ״̬
typedef enum tagEM_GOLD_SERVICE
{
	EM_GOLD_SERVICE_UNKNOWN = -1,		//δ֪
	EM_GOLD_SERVICE_CLOSE,				//ر
	EM_GOLD_SERVICE_OPEN,				//
	EM_GOLD_SERVICE_OTHER,				//
}EM_GOLD_SERVICE;
///@brief Ž
typedef enum tagEM_GUARD_AREA
{
	EM_GUARD_AREA_UNKNOWN,			//δ֪
	EM_GUARD_AREA_HANDOVER,			//
	EM_GUARD_AREA_CASH,				//ֽ
	EM_GUARD_AREA_NOBLEMETAL,		//
	EM_GUARD_AREA_DEPOSIT,			//Ĵ
	EM_GUARD_AREA_CUSTODY,			//ܿ
	EM_GUARD_AREA_CHECK,			//
	EM_GUARD_AREA_GOLDSPLIT,		//ƽָ
	EM_GUARD_AREA_GODLSALE,			//ƽ
	EM_GUARD_AREA_LOAD,				//װж
	EM_GUARD_AREA_BUSINESS,			//Ӫҵ
	EM_GUARD_AREA_OFFICE,			//칫
	EM_GUARD_AREA_DUTYROOM,			//ֵ
	EM_GUARD_AREA_OTHER,			//
	EM_GUARD_AREA_VOUCHER,			//ƾ֤
	EM_GUARD_AREA_ISSUE,			//п
	EM_GUARD_AREA_ACCOUNT,			//
}EM_GUARD_AREA;
///@brief Ž
typedef enum tagEM_GUARD_TYPE
{
	EM_GUARD_TYPE_UNKNOWN,			//δ֪
	EM_GUARD_TYPE_VAULT,			//
	EM_GUARD_TYPE_WORK,				//
}EM_GUARD_TYPE;
///@brief OEM
typedef struct tagCFG_ACCESS_OEM_DATA
{
	char				szZoneNo[6];			//
	BYTE				byReserved1[2];			//ֽ
	char				szBrNo[6];				//
	BYTE				byReserved2[2];			//ֽ
	EM_GUARD_AREA		emGuardArea;			//Ž
	BYTE				byReserved3[1];			//ֽ
	EM_GUARD_TYPE		emGuardType;			//Ž
	BYTE				byReserved4[1];			//ֽ
	char				szCorpId[11];			//̱ʶ
	BYTE				byReserved5[1];			//ֽ
	char				szDeviceType[6];		//豸
	BYTE				byReserved6[2];			//ֽ
	char				szLastModTime[20];		//޸ʱ
	char				szLastModUser[11];		//޸
	BYTE				byReserved7[1];			//ֽ
	EM_GOLD_SERVICE		emService;				//״̬
	BYTE				byReserved[128];		//ֽ
}CFG_ACCESS_OEM_DATA;
///@brief нŽ
typedef struct tagCFG_ACCESS_OEM_INFO
{
	char					szCorporation[CFG_COMMON_STRING_32];		//OEM
	unsigned int			nSuiteNumber;								//OEM׼
	CFG_ACCESS_OEM_DATA		stuData;									//OEMϢ
	BYTE					byReserved[1024];							//ֽ
}CFG_ACCESS_OEM_INFO;
///@brief ȳеĻо
typedef struct tagCFG_THERM_DENOISE_INFO
{
	BOOL							bEnable;					// оʹ
	UINT							nDenoiseValue;				// ȼ0-100, bEnableΪTRUEʱЧ
	BYTE							byReserved[128];			// ֽ
}CFG_THERM_DENOISE_INFO;
///@brief ȳеĻо
typedef struct tagCFG_THERM_DENOISE
{
	CFG_THERM_DENOISE_INFO			stuThermDenoiseInfo[3];		// [0]:죬[1]:ҹ[2]:ͨ
	BYTE							byReserved[1024];			// ֽ
}CFG_THERM_DENOISE;

///@brief ƹ⹤ģʽ
typedef enum tagEM_LAMP_WORK_MODE
{
    EM_LAMP_UNKNOWN = -1,		// δ֪
    EM_LAMP_NO_FLASH,			// ֹ
    EM_LAMP_ALWAYS_FLASH,		// ʼ
    EM_LAMP_AUTO_FLASH,         // Զ
}EM_LAMP_WORK_MODE;

///@brief ƹԶģʽ
typedef enum tagEM_LAMP_AUTO_TYPE
{
    EM_LAMP_AUTO_UNKNOWN,			// δ֪
    EM_LAMP_AUTO_TIMEING,			// ʱƿ
    EM_LAMP_ALWAYS_BRIGHTNESS,		// 
    EM_LAMP_AUTO_SPACE_STATE,       // ʻʱ豸ƣһʱرաʱֵɳȡֵݲš
    EM_LAMP_AUTO_ICRCUT,            // ưICRлϣICR״̬
}EM_LAMP_AUTO_TYPE;

///@brief ͨƹ
typedef struct tagTRAFFIC_CONSTATE_LAMP_CONFIG
{
    UINT                    nLightMask;                 // ƿ,ĳЩ6,òֵλʾ1ʾ0ʾ
    UINT                    nBrightness;                // [0,100]
    UINT                    nPreValue;                  // Ԥֵ, ȵڴֵƿʼ
    EM_LAMP_WORK_MODE		emLampMode;			        // ƹ⹤ģʽ
    EM_LAMP_AUTO_TYPE       emAutoMode;                 // ԶģʽµĹ
	CFG_TIME_SCHEDULE       stuTimeSchedule;			// ʱ
	UINT					nCarPassBrightness;			// ʱƵ(ͼٹȾгʱߣӳֵʶ),Χ[0,100]ֵӦnBrightness.
    BYTE					byReserved[1020];	        // ֽ
}TRAFFIC_CONSTATE_LAMP_CONFIG;

///@brief ܽͨƹ
typedef struct tagCFG_CONSTANT_LAMP_INFO
{
    UINT                         nTrafficLampNum;    // ܽͨƹø
    TRAFFIC_CONSTATE_LAMP_CONFIG stuTrafficLamp[16];	 // ƹ
}CFG_CONSTANT_LAMP_INFO;

///@brief Ȧģʽ
typedef enum tagEM_TRAFFOCIO_WORKMODE
{
    EM_TRAFFOCIO_UNKNOWN = -1,			// δ֪
    EM_TRAFFOCIO_SINGLE_COIL,			// Ȧģʽ
    EM_TRAFFOCIO_DOUBLE_COIL_SPEED,		// ˫Ȧģʽ
    EM_TRAFFOCIO_DOUBLE_COIL_TRAFFIC,	// ˫Ȧͨģʽ
}EM_TRAFFOCIO_WORKMODE;


///@brief Ȧʽ
typedef enum tagEM_COIL_TRIGGER_MODE
{
    EM_TRIGGER_UNKNOWN = -1,		// δ֪
    EM_TRIGGER_NO_TRIGGER,			// 
    EM_TRIGGER_RISING_EDGE,			// 
    EM_TRIGGER_FALLING_EDGE,		// ½
    EM_TRIGGER_RISING_FALLING,		// ½
}EM_COIL_TRIGGER_MODE;

///@brief Ȧ
typedef enum tagEM_COIL_CONFIG_TYEP
{
    EM_COIL_CONFIG_UNKNOWN = -1,		// δ֪
    EM_COIL_CONFIG_GATE,	    		// 
    EM_COIL_CONFIG_ELE_POLICE,			// 羯
}EM_COIL_CONFIG_TYEP;


///@brief ץʱ
typedef enum tagEM_SNAP_TRIGGER_MODE
{
    EM_SNAP_TRIGGER_UNKNOWN = -1,		// δ֪
    EM_SNAP_TRIGGER_NO_TRIGGER,		    // 
    EM_SNAP_TRIGGER_IN_TRIGGER,		    // Ȧ
    EM_SNAP_TRIGGER_OUT_TRIGGER,		// Ȧ
    EM_SNAP_TRIGGER_INOUT_TRIGGER,		// Ȧ
}EM_SNAP_TRIGGER_MODE;

///@brief Ʒ
typedef enum tagEM_RED_DIRECTION
{
    EM_RED_DIRECTION_UNKNOWN = -1,		// δ֪
    EM_RED_DIRECTION_NO_RELATED,        // 
    EM_RED_DIRECTION_LEFT,              // ת
    EM_RED_DIRECTION_STRAIGT,           // ֱк
    EM_RED_DIRECTION_RIGHT,             // ת
    EM_RED_DIRECTION_WAIT_LEFT,         // 
    EM_RED_DIRECTION_WAIT_RIGHT,        // 
    EM_RED_DIRECTION_STRAIGT_LEFT,      // ֱת
    EM_RED_DIRECTION_STRAIGT_RIGHT,     // ֱת羯Ч
}EM_RED_DIRECTION;


///@brief Ȧ
typedef struct tagCFG_TRAFFICIO_LANES_COILS
{
    UINT                        nCoilID;                // ȦID
    EM_COIL_TRIGGER_MODE        emTriggerMode;          // ʽ
    EM_COIL_CONFIG_TYEP         emType;                 // 
    UINT                        nDelayFlashID;          // ʱ,Χ0~50ʾʱκ
    UINT                        nFlashSerialID;         // ,Χ0~50ʾ
    EM_RED_DIRECTION            emRedDirection;         // Ʒ
    UINT                        nNextTriggerTime;       // ´δʱ
    UINT                        nDelayTriggerTime;      // ʱʱ,msΪλ0ʾ
    EM_SNAP_TRIGGER_MODE        emSnapTriggerMode;      // ץʱ
}CFG_TRAFFICIO_LANES_COILS;

///@brief ͨȦĳ
typedef struct tagCFG_TRAFFICIO_LANES
{
    UINT                        nLaneNumber;            // ,ŷΧ0-7
    UINT                        nCarScheme;             // ÷,ķ巽οlocal.png
    EM_TRAFFOCIO_WORKMODE       emWorkMode;             // ʽ
    int                         nLanesCoils;            // Ȧõĸ
    CFG_TRAFFICIO_LANES_COILS   stuLanesCoils[32];      // Ȧ
    BYTE					    byReserved[2048];	    // ֽ
}CFG_TRAFFICIO_LANES;

///@brief ȦIO
typedef struct tagCFG_TRAFFIC_IO
{
    BOOL                bEnable;                 // ʹ
    UINT                nLanes;                  // 
    CFG_TRAFFICIO_LANES stuTrafficIoLanes[16];   // 
}CFG_TRAFFIC_IO;

///@brief Ԥһ
typedef struct tagNET_COLLECTION_NAME_INFOS
{
    char        szName[32];                         // 
    char        szVideoName[32];                    // ƵԤ
    char        szAdditionalName[32];               // Ԥ
    char        szControlID[32];                    // Ʊ
    BYTE		byReserved[64];	                    // ֽ
}NET_COLLECTION_NAME_INFOS;

///@brief Ԥһ
typedef struct tagNET_MONITOR_WALL_COLLECTION_MAP_INFO
{
   NET_COLLECTION_NAME_INFOS        stuCollection[32];          // Ԥ,һǽ32Ԥ
   int                              nCollectionCount;           // Ԥõĸ
   BYTE		                        byReserved[132];	        // ֽ
}NET_MONITOR_WALL_COLLECTION_MAP_INFO;

///@brief ǽԤ,һά飬ÿһԪضӦһǽӦṹ
typedef struct tagCFG_MONITOR_WALL_COLLECTION_MAP_INFO
{   
    DWORD                                   dwSize;                             // ṹС
    BOOL                                    bAllMonitorWall;                    // ǷΪȫǽãֻʱЧTRUEʾеǽ(chennal Ϊ-1);FALSEʾָǽдchennal Ϊ-1
    BYTE                                    byReserved[4];                      // ֽڣֽڶ
    int                                     nWallCount;                         // ǽĸ
    NET_MONITOR_WALL_COLLECTION_MAP_INFO    stuMonitorWallCollectioInfo[16];    // ǽԤϢ16ʾ֧16ǽǽԤ
}CFG_MONITOR_WALL_COLLECTION_MAP_INFO;

///@brief Ƶ
typedef enum tagEM_INPUT_STREAM_TYPE
{
    EM_INPUT_STREAM_UNKNOWN,		    // δ֪
    EM_INPUT_STREAM_MAIN,		        // Main-
    EM_INPUT_STREAM_EXTRA1,		        // Extra1-1
    EM_INPUT_STREAM_EXTRA2,		        // Extra2-2
    EM_INPUT_STREAM_EXTRA3,		        // Extra3-3
}EM_INPUT_STREAM_TYPE;

///@brief 豸ӷʽ
typedef enum tagEM_CONNECTING_METHOD
{
    EM_CONNECTING_UNKNOWN,		        // δ֪
    EM_CONNECTING_DIRECT,		        // Direct, ֱ豸
    EM_CONNECTING_VIADSS,		        // ViaDSS, ƽ̨
}EM_CONNECTING_METHOD;

///@brief Ȩ֤ϢԤ
typedef struct tagNET_CASCADE_AUTHENTICATOR
{
    char            szUserName[128];        // û
    char            szPassWord[128];        // 
    char            szSerialNo[64];         // ֤豸к
    BYTE            bReserver[128];         // ֽ
}NET_CASCADE_AUTHENTICATOR;

///@brief ƵϢ
typedef struct tagNET_VIDEO_INPUT_INFO
{
    char                            szDevice[32];           // 豸Ψһ־
    UINT                            nChannel;               // Ƶͨ
    UINT                            nInterval;              // Ѳʱ,λ,Χ[5,120]
    EM_INPUT_STREAM_TYPE            emStream;               // Ƶ
    EM_CONNECTING_METHOD            emConnectingMethod;     // 豸ӷʽ
    NET_CASCADE_AUTHENTICATOR       stuCascadeAuthenticator; //Ȩ֤ϢԤ
    AV_CFG_RemoteDevice             stuDevice;              // 豸ϸϢ,ֻɻȡɸ
    BYTE		                    byReserved[256];	    // ֽ
}NET_VIDEO_INPUT_INFO;

///@brief Ԥһ
typedef struct tagNET_VIDEO_INPUT_GROUP_INFO
{
    char                            szName[32];             // 
    char                            szControlID[32];        // Ʊ
    BYTE		                    byReserved1[4];	        // ֽ,ֽڶ
    int                             nListCount;             // Ƶб        
    NET_VIDEO_INPUT_INFO            stuVideoInput[64];      // ƵϢ飬֧64
    BYTE		                    byReserved[256];	    // ֽ
}NET_VIDEO_INPUT_GROUP_INFO;

///@brief Ƶ
typedef struct tagCFG_VIDEO_INPUT_GROUP_INFO
{   
    DWORD                           dwSize;                 // ṹС
    BYTE		                    byReserved1[4];	        // ֽ,ֽڶ
    int					            nMaxGroupCount;			// ϢС, ûд
    int					            nRetGroupCount;			// صϢ
    NET_VIDEO_INPUT_GROUP_INFO*     pGroupInfo;             // ,ûԼڴ
}CFG_VIDEO_INPUT_GROUP_INFO;

///@brief ųʱδ
typedef struct tagCFG_DOOR_NOT_CLOSE_INFO
{
	BOOL							bEnable;				// ʹܿ
	CFG_ALARM_MSG_HANDLE			stuEventHandler;		// 
}CFG_DOOR_NOT_CLOSE_INFO;

///@brief 뱨
typedef struct tagCFG_BREAK_IN_INFO
{
	BOOL							bEnable;				// ʹܿ
	CFG_ALARM_MSG_HANDLE			stuEventHandler;		// 
}CFG_BREAK_IN_INFO;

///@brief Ǳر
typedef struct tagCFG_ANTI_PASSBACK_INFO
{
	BOOL							bEnable;				// ʹܿ
	CFG_ALARM_MSG_HANDLE			stuEventHandler;		// 
}CFG_ANTI_PASSBACK_INFO;


///@brief вȱ
typedef struct tagCFG_DURESS_INFO
{
	BOOL							bEnable;				// ʹܿ
	int								nDelayLinkTime;			// ʱʱ䣬λ룬Χ1-300
	CFG_ALARM_MSG_HANDLE			stuEventHandler;		// 
}CFG_DURESS_INFO;


///@brief Ƿα
typedef struct tagCFG_DOOR_MALICIOUS_ACCESSCONTROL_INFO
{
	BOOL							bEnable;				// ʹܿ
	int								nLimitedTimes;			// ƴΧ2-30
	CFG_ALARM_MSG_HANDLE			stuEventHandler;		// 
}CFG_DOOR_MALICIOUS_ACCESSCONTROL_INFO;


///@brief ׼Դ쳣
typedef struct tagCFG_REGULATOR_DETECT_INFO
{
	BOOL							bEnable;				// ʹܿ
	int								nSensitivity;			// , 1-100
	CFG_ALARM_MSG_HANDLE			stuEventHandler;		// 
}CFG_REGULATOR_DETECT_INFO;

///@brief ⹦ģʽ
typedef enum tagEM_INFRARED_FUNC_MODE
{
    EM_INFRARED_FUNC_MODE_UNKNWON,              // δ֪
    EM_INFRARED_FUNC_MODE_ON,                   // 
    EM_INFRARED_FUNC_MODE_OFF,                  // ر
    EM_INFRARED_FUNC_MODE_AUTO,                 // Զ
} EM_INFRARED_FUNC_MODE;

///@brief 
typedef enum tagEM_INFRARED_LIGHT_LEVEL
{
    EM_INFRARED_LIGHT_LEVEL_UNKNOWN,            // δ֪
    EM_INFRARED_LIGHT_LEVEL_HIGH,               // 
    EM_INFRARED_LIGHT_LEVEL_MEDIUM,             // 
    EM_INFRARED_LIGHT_LEVEL_LOW,                // 
} EM_INFRARED_LIGHT_LEVEL;

///@brief ⹦, Ӧ CFG_CMD_INFRARED_CONFIG
typedef struct tagCFG_INFRARED_INFO
{
    EM_INFRARED_FUNC_MODE       emInfraredMode;         // ⹦ģʽ
    EM_INFRARED_LIGHT_LEVEL     emLightLevel;           // , emInfraredMode Ϊ EM_INFRARED_FUNC_MODE_ON ʱЧ
    char		                szReserved[1024];	    // ֽ
} CFG_INFRARED_INFO;

/************************************************************************
** ӿڶ
***********************************************************************/
///@brief ¼͸dhnetsdk.hı(pAlarmInfo, pBufferڴSDKڲͷ)
typedef int  (CALLBACK *fALARMEvent)(DWORD dwAlarmType, void* pAlarmInfo, DWORD dwStructSize, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser);

///@brief صʽݽdwDataTypeʾݽõ(pDataInfo, pBufferڴSDKڲͷ) 
typedef int  (CALLBACK *fAnalyzerData)(DWORD dwDataType, void* pDataInfo, DWORD dwStructSize, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser);

///@brief ѯϢ(szInBufferlpOutBufferڴûͷ)
CLIENT_CFG_API BOOL  CALL_METHOD CLIENT_ParseData(char* szCommand, char* szInBuffer, LPVOID lpOutBuffer, DWORD dwOutBufferSize, void* pReserved);

///@brief ҪõϢ(lpInBufferszOutBufferڴûͷ)
CLIENT_CFG_API BOOL  CALL_METHOD CLIENT_PacketData(char* szCommand, LPVOID lpInBuffer, DWORD dwInBufferSize, char* szOutBuffer, DWORD dwOutBufferSize);

///@brief ¼񱨾¼(lpInBufferڴûͷ)
CLIENT_CFG_API BOOL  CALL_METHOD CLIENT_ParseAnalyzerEventData(LPVOID lpInBuffer, DWORD dwInBufferSize, fALARMEvent cbEvent, LDWORD dwUser);

///@brief صʽݽ(lpInBufferڴûͷ)
CLIENT_CFG_API BOOL CALL_METHOD CLIENT_ParseDataByCallback(LPVOID lpInBuffer, DWORD dwInBufferSize, fAnalyzerData cbAnalyzer, LDWORD dwUser);

///@brief ȡȫ/ģ/ָµܹ(szInBufferڴûͷ)
CLIENT_CFG_API BOOL CALL_METHOD CLIENT_ParseVideoInAnalyse(char* szCommand, EM_SCENE_TYPE emSceneType, char *szInBuffer, DWORD dwInBufferSize, LPVOID lpOutParam, DWORD dwOutParamSize);


#ifdef __cplusplus
}
#endif

#endif // DHCONFIGSDK_H



